<?php
namespace Elementor;
//if(!class_exists('CertainDev_Icons')):
class CertainDev_Icons{
	public static $icons;
	function __construct(){
		# code...
	}

	public static function set_icon_color($values){
		$result = array('value' => '#333');	
		if(is_array($values)){
			$result['type'] = ($values['gradient_enabled'] == 'yes') ? 'gradient' : 'color';
			$result['id'] =  substr(str_shuffle('abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789'),0,10);
			if($values['gradient_enabled'] == 'yes' ){
				$x1 = $x2 = $y1 = $y2 = '0%';
				$x1 = (strpos($values['direction'], 'left') !== false) ? '100%' : '0%';
				$x2 = (strpos($values['direction'], 'right') !== false) ? '100%' : '0%';
				$y1 = (strpos($values['direction'], 'top') !== false) ? '100%' : '0%';
				$y2 = (strpos($values['direction'], 'bottom') !== false) ? '100%' : '0%';
				$directions = 'x1="'.$x1.'" x2="'.$x2.'"  y1="'.$y1.'" y2="'.$y2.'"';
				$result['value'] = '<defs><linearGradient '.$directions.' id="'.$result['id'].'"><stop offset="'.$values['color_one_pos'].'%"   stop-color="'.$values['color_one'].'"/><stop offset="'.$values['color_two_pos'].'%" stop-color="'.$values['color_two'].'"/></linearGradient></defs>';
			}
			if($values['gradient_enabled'] == 'no' || $values['gradient_enabled'] == '' )
				$result['value'] = $values['color_one'];
		}
		return $result;
	}

	public static function get_icon($iconName, $color = [], $size = ''){
		$svgSizes = $svg = $fill = $gradient  = '';
		$iconsArray = CertainDev_Icons::get_icons_list();
		if(array_key_exists($iconName,$iconsArray)){
			$svgSizes = ($size != '') ? ' width="'.$size.'" height="'.$size.'"'	: '';	
			if($color != ''){
				$colorValue = CertainDev_Icons::set_icon_color($color);
				$fill = ($colorValue['type'] == 'color') ? ' fill="'.$colorValue['value'].'" style="color:'.$colorValue['value'].';" '  : ' style="fill:url(#'.$colorValue['id'].');"  fill="url(#'.$colorValue['id'].')" ';
				$gradient = ($colorValue['type'] == 'gradient') ? $colorValue['value'] : '';
			}
			$svg = '<svg '.$svgSizes.' viewBox="'.$iconsArray[$iconName]['viewbox'].'" '.$fill.'>';
			$svg .= $iconsArray[$iconName]['path']; 
			$svg .= $gradient; 
			$svg .= '</svg>'; 			
		}
		return $svg;
	}

	public static function get_simple_icon($iconName){
		$svg = '';		
		$iconsArray = CertainDev_Icons::get_icons_list();
		if(array_key_exists($iconName,$iconsArray)){
			$svg = '<svg viewBox="'.$iconsArray[$iconName]['viewbox'].'">';
				$svg .= $iconsArray[$iconName]['path']; 
			$svg .= '</svg>'; 
		}
		return $svg;

	}

	//Social Icon 
	public static function get_icon_classes($iconName, $colorValue = '', $size = '', $customClasses = ''){
		$svgSizes = $fill = $svg = $gradient  = '';
		$iconsArray = CertainDev_Icons::get_icons_list();
		if(array_key_exists($iconName,$iconsArray)){
			$svgSizes = ($size != '') ? ' width="'.$size.'" height="'.$size.'"'	: '';	
			if($colorValue != ''){
				$fill = ($colorValue['type'] == 'color') ? 'fill="'.$colorValue['value'].'"  style="color:'.$colorValue['value'].';"' : 'fill="url(#'.$colorValue['id'].')"';
				$gradient = ($colorValue['type'] == 'gradient') ? 'fill="'.$colorValue['value'].'"' : '';
			}
			$customClasses = ($customClasses != '') ? 'class="'.$customClasses.'"' : '';
			$svg = '<svg '.$customClasses.' '.$svgSizes.' viewBox="'.$iconsArray[$iconName]['viewbox'].'" '.$fill.'>';
			$svg .= $iconsArray[$iconName]['path']; 
			$svg .= $gradient; 
			$svg .= '</svg>'; 
		}
		return $svg;
	}

	public static function get_icon_minimal($iconName){
		$svg = '';
		$iconsArray = CertainDev_Icons::get_icons_list();
		if(array_key_exists($iconName,$iconsArray)){
			$svg = '<svg viewBox="'.$iconsArray[$iconName]['viewbox'].'">';
			$svg .= $iconsArray[$iconName]['path']; 
			$svg .= '</svg>'; 			
		}
		return $svg;
	}


	//Print SVG icon With Graient Color Front End
	public static function get_icon_gradient($iconName, $color, $idSvg){
		$icon = '';
		$iconsArray = CertainDev_Icons::get_icons_list();
		if(array_key_exists($iconName,$iconsArray)){
			$gradientColor = '';
			if(is_object($color) || is_array($color)){
				$gradientColor = '<defs>
				<linearGradient id="'.$idSvg.'" gradientTransform="rotate('.$color['angle'].')"><stop offset="'.$color['percent1'].'%" stop-color="'.$color['color1'].'"/><stop offset="'.$color['percent2'].'%" stop-color="'.$color['color2'].'"/></linearGradient></defs>';
				$svgAttributes = 'fill="url(#'.$idSvg.')" style="fill:url(#'.$idSvg.');"';
            }else
	            $svgAttributes = ($color !== '') ? 'fill="'.$color.'" style="color:'.$color.';"' : '';
    
            $icon = '<svg '.$svgAttributes.' viewBox="'.$iconsArray[$iconName]['viewbox'].'">'.$gradientColor.''.$iconsArray[$iconName]['path'].'</svg>';
		}
		return $icon;
	}


	//Get Icon List HTML
	public static function get_list_html(){
		$iconsList = '';
		$iconsArray = CertainDev_Icons::get_icons_list();
		foreach ($iconsArray as $key => $icon) {
			$iconsList .= '<div class="elb-ichs-icon"  data-iconid="'.$key.'" data-keywords="'.$iconsArray[$key]['keywords'].'"><svg width="27" height="27" viewBox="'.$iconsArray[$key]['viewbox'].'">'.$iconsArray[$key]['path'].'</svg></div>';
		}
		return $iconsList;
	} 

	//Get the list of Icon Set names
	public static function get_icons_setnames_list(){
		$result = (get_option('elb_icon_sets')) ? get_option('elb_icon_sets') : array();
		array_unshift($result, esc_html__('default-set','booster-addons'));	
		return $result;
	}

	//Getting the List of Icons
	public static function get_icons_list(){
		//get the list of Custon ICons
		$iconSetListArray = get_option('elb_icon_sets');
		$iconsArray = CertainDev_Icons::$icons;
		if(is_array($iconSetListArray) && class_exists('ELB_Uploader_Manager')){
			$iconsArray = array_merge(\ELB_Uploader_Manager::get_icons_mixed(), CertainDev_Icons::$icons);
		}
		return $iconsArray;
	}

}

CertainDev_Icons::$icons = array(	
	
	'vpn_key' => array('keywords' => 'vpn_key ','viewbox' => '0 0 32 32', 'path' =>'<path d="M9.313 19.354q1.063 0 1.875-0.813t0.813-1.875-0.813-1.875-1.875-0.813-1.844 0.813-0.781 1.875 0.781 1.875 1.844 0.813zM16.875 13.979h13.813v5.375h-2.688v5.313h-5.313v-5.313h-5.813q-0.813 2.375-2.875 3.844t-4.688 1.469q-3.313 0-5.656-2.344t-2.344-5.656 2.344-5.656 5.656-2.344q2.625 0 4.688 1.469t2.875 3.844z"></path>'),
	   	 			'brightness_7' => array('keywords' => 'brightness_7 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 11.354q2.188 0 3.75 1.563t1.563 3.75-1.563 3.75-3.75 1.563-3.75-1.563-1.563-3.75 1.563-3.75 3.75-1.563zM16 24.667q3.313 0 5.656-2.344t2.344-5.656-2.344-5.656-5.656-2.344-5.656 2.344-2.344 5.656 2.344 5.656 5.656 2.344zM26.688 12.229l4.375 4.438-4.375 4.438v6.25h-6.25l-4.438 4.375-4.438-4.375h-6.25v-6.25l-4.375-4.438 4.375-4.438v-6.25h6.25l4.438-4.375 4.438 4.375h6.25v6.25z"></path>'),
	   	 			'slideshare' => array('keywords' => 'slideshare ','viewbox' => '0 0 32 32', 'path' =>'<path d="M15.589 13.5q0 1.482-1.134 2.545t-2.723 1.063-2.723-1.063-1.134-2.545q0-1.5 1.134-2.554t2.723-1.054 2.723 1.054 1.134 2.554zM24.554 13.5q0 1.482-1.125 2.545t-2.732 1.063q-1.589 0-2.723-1.063t-1.134-2.545q0-1.5 1.134-2.554t2.723-1.054q1.607 0 2.732 1.054t1.125 2.554zM28.571 16.714v-11.911q0-1.554-0.571-2.205t-1.982-0.652h-19.857q-1.482 0-2.009 0.607t-0.527 2.25v12.018q0.768 0.411 1.58 0.714t1.446 0.5 1.446 0.33 1.268 0.196 1.25 0.071 1.045 0.009 1.009-0.036 0.795-0.036q1.214-0.018 1.696 0.482 0.107 0.107 0.179 0.161 0.464 0.446 1.089 0.911 0.125-1.625 2.107-1.554 0.089 0 0.652 0.027t0.768 0.036 0.813 0.018 0.946-0.018 0.973-0.080 1.089-0.152 1.107-0.241 1.196-0.348 1.205-0.482 1.286-0.616zM31.482 16.625q-2.161 2.661-6.643 4.5 1.5 5.089-0.411 8.304-1.179 2.018-3.268 2.643-1.857 0.571-3.25-0.268-1.536-0.911-1.464-2.929l-0.018-5.821v-0.018q-0.143-0.036-0.438-0.107t-0.42-0.089l-0.018 6.036q0.071 2.036-1.482 2.929-1.411 0.839-3.268 0.268-2.089-0.643-3.25-2.679-1.875-3.214-0.393-8.268-4.482-1.839-6.643-4.5-0.446-0.661-0.071-1.125t1.071 0.018q0.054 0.036 0.196 0.125t0.196 0.143v-12.393q0-1.286 0.839-2.196t2.036-0.911h22.446q1.196 0 2.036 0.911t0.839 2.196v12.393l0.375-0.268q0.696-0.482 1.071-0.018t-0.071 1.125z"></path>'),
	   	 			'pen' => array('keywords' => 'pen ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31.818 9.122l-8.939-8.939c-0.292-0.292-0.676-0.226-0.855 0.146l-1.199 2.497 8.35 8.35 2.497-1.199c0.372-0.178 0.438-0.563 0.146-0.855zM19.231 4.231l-8.231 0.686c-0.547 0.068-1.002 0.184-1.159 0.899-0 0.001-0 0.001-0.001 0.002-2.232 10.721-9.84 21.183-9.84 21.183l1.793 1.793 8.5-8.5c-0.187-0.392-0.293-0.83-0.293-1.293 0-1.657 1.343-3 3-3s3 1.343 3 3-1.343 3-3 3c-0.463 0-0.902-0.105-1.293-0.293l-8.5 8.5 1.793 1.793c0 0 10.462-7.608 21.183-9.84 0.001-0 0.001-0 0.002-0.001 0.714-0.157 0.831-0.612 0.898-1.159l0.686-8.231-8.538-8.539z"></path>'),
	   	 			'pen_style1' => array('keywords' => 'pen_style1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31.707 21.293l-21-21c-0.39-0.391-1.024-0.391-1.414 0l-9 9c-0.391 0.39-0.391 1.024 0 1.414l21 21c0.188 0.188 0.442 0.293 0.707 0.293h9c0.552 0 1-0.448 1-1v-9c0-0.265-0.105-0.52-0.293-0.707zM20.527 28.113l-14.114-14.114 7.586-7.586 14.113 14.113c-0.668 0.313-1.297 0.742-1.82 1.265-0.787 0.788-1.374 1.816-1.646 2.852-1.038 0.272-2.065 0.86-2.853 1.648-0.523 0.523-0.953 1.153-1.265 1.82zM10 2.414l2.586 2.586-7.586 7.586-2.586-2.586 7.586-7.586zM30 30h-7.586l-0.333-0.333c0.156-0.603 0.506-1.34 1.126-1.96 0.785-0.785 1.785-1.144 2.404-1.213 0.465-0.052 0.831-0.418 0.883-0.883 0.070-0.618 0.428-1.619 1.213-2.404 0.62-0.62 1.357-0.97 1.959-1.127l0.334 0.334v7.585zM14.207 9.793c-0.39-0.39-1.024-0.39-1.414 0s-0.39 1.024 0 1.414l10 10c0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293c0.39-0.39 0.39-1.023 0-1.414l-10-10zM11.207 12.793c-0.39-0.39-1.024-0.39-1.414 0s-0.39 1.024 0 1.414l10 10c0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293c0.39-0.39 0.39-1.023 0-1.414l-10-10z"></path>'),
	   	 			'law_symbol' => array('keywords' => 'law_symbol ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31 18c0-0.123-0.026-0.24-0.067-0.349l0.003-0.001-4.501-12c-0.142-0.378-0.505-0.649-0.933-0.649-0.001 0-0.002 0-0.003 0h-8.5v-4c0-0.552-0.448-1-1-1s-1 0.448-1 1v4h-8.498c-0.001 0-0.002 0-0.003 0-0.428 0-0.791 0.271-0.933 0.65l-0.003-0.001-4.5 12 0.003 0.001c-0.041 0.11-0.067 0.226-0.067 0.349v0 1.001c-0 3.038 2.462 5.5 5.5 5.5 3.037 0 5.501-2.462 5.5-5.499 0-0 0-0 0-0v-1.001c0-0.123-0.025-0.24-0.066-0.349l0.003-0.001-3.994-10.649h7.057v23h-1.998c-0.001 0-0.002 0-0.002 0-0.552 0-1 0.448-1 1s0.448 1 1 1h6c0.552 0 1-0.448 1-1s-0.448-1-1-1c-0.001 0-0.002 0-0.003 0h-1.997v-23h7.057l-3.994 10.649 0.003 0.001c-0.041 0.11-0.067 0.226-0.067 0.349v0 1.001c-0 3.038 2.462 5.5 5.5 5.5 3.037 0 5.501-2.462 5.5-5.499 0-0 0-0 0-0v-1.001zM6.5 8.848l3.057 8.152h-6.114l3.057-8.152zM6.5 22.5c-1.934 0-3.499-1.567-3.5-3.5v-0h7c0 1.93-1.566 3.5-3.5 3.5zM28.557 17h-6.114l3.057-8.152 3.057 8.152zM25.5 22.5c-1.933 0-3.499-1.567-3.5-3.5v-0h7c0 1.93-1.567 3.5-3.5 3.5z"></path>'),
	   	 			'sort-numeric-asc' => array('keywords' => 'sort-numeric-asc ','viewbox' => '0 0 32 32', 'path' =>'<path d="M10 24v-24h-4v24h-5l7 7 7-7h-5zM27 14c-0.552 0-1-0.448-1-1v-11h-1c-0.552 0-1-0.448-1-1s0.448-1 1-1h2c0.552 0 1 0.448 1 1v12c0 0.552-0.448 1-1 1zM29 18h-6c-0.552 0-1 0.448-1 1v6c0 0.552 0.448 1 1 1h5v4h-5c-0.552 0-1 0.448-1 1s0.448 1 1 1h6c0.552 0 1-0.448 1-1v-12c0-0.552-0.448-1-1-1zM24 20h4v4h-4v-4z"></path>'),
	   	 			'cloche_snow' => array('keywords' => 'cloche_snow ','viewbox' => '0 0 32 32', 'path' =>'<path d="M17 13.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM15 9c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM21.5 15.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM25.5 12c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM25.5 19.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM20.5 8.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM11 12c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM11 17c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM8.5 21c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM7 15c0-4.963 4.037-9 9-9 0.552 0 1-0.448 1-1s-0.448-1-1-1c-6.066 0-11 4.934-11 11 0 0.552 0.448 1 1 1s1-0.448 1-1zM26.104 26.066c3.004-2.744 4.896-6.686 4.896-11.066 0-8.271-6.729-15-15-15s-15 6.729-15 15c0 4.38 1.893 8.322 4.896 11.066l-1.825 4.563c-0.123 0.308-0.086 0.657 0.101 0.931s0.496 0.439 0.828 0.439h22c0.332 0 0.642-0.165 0.828-0.439s0.224-0.624 0.101-0.931l-1.825-4.563zM3 15c0-7.168 5.832-13 13-13s13 5.832 13 13c0 4.019-1.836 7.614-4.711 10h-4.789v-2.148c0.157 0.091 0.326 0.148 0.499 0.148 0.304 0 0.605-0.138 0.801-0.4 0.331-0.442 0.242-1.069-0.2-1.4l-4-3c-0.015-0.012-0.032-0.018-0.048-0.029-0.029-0.019-0.058-0.037-0.089-0.053-0.029-0.015-0.058-0.029-0.088-0.040s-0.058-0.023-0.089-0.032c-0.032-0.009-0.065-0.017-0.098-0.023-0.030-0.006-0.061-0.011-0.091-0.013-0.032-0.003-0.064-0.005-0.097-0.005s-0.065 0.001-0.097 0.005c-0.031 0.003-0.061 0.008-0.091 0.013-0.033 0.006-0.066 0.014-0.098 0.023-0.030 0.009-0.059 0.020-0.089 0.032s-0.059 0.026-0.089 0.041c-0.031 0.016-0.059 0.034-0.088 0.053-0.015 0.011-0.033 0.017-0.049 0.029l-0.899 0.675v-0.375c0-0.552-0.448-1-1-1s-1 0.448-1 1v1.875l-1.1 0.825c-0.442 0.331-0.531 0.958-0.2 1.4 0.197 0.262 0.496 0.4 0.801 0.4 0.172 0 0.342-0.056 0.499-0.148v2.148h-4.789c-2.876-2.386-4.712-5.981-4.712-10zM14.489 21.384l1.511-1.134 1.512 1.134c-0.004 0.038-0.012 0.076-0.012 0.116v3.5h-3v-3.5c0-0.040-0.008-0.078-0.011-0.116zM6.477 30l1.2-3h16.646l1.2 3h-19.046z"></path>'),
	   	 			'person_user1' => array('keywords' => 'person_user1 ','viewbox' => '0 0 22 32', 'path' =>'<path d="M11 11c3.033 0 5.5-2.468 5.5-5.5 0-3.033-2.467-5.5-5.5-5.5s-5.5 2.467-5.5 5.5c0 3.032 2.467 5.5 5.5 5.5zM11 2c1.929 0 3.5 1.57 3.5 3.5s-1.57 3.5-3.5 3.5-3.5-1.57-3.5-3.5c0-1.93 1.57-3.5 3.5-3.5zM11 12c-6.065 0-11 4.934-11 11 0 0.552 0.448 1 1 1h4v7c0 0.552 0.448 1 1 1h10c0.552 0 1-0.448 1-1v-7h4c0.552 0 1-0.448 1-1 0-6.065-4.934-11-11-11zM14.659 14.788c-0.656 1.309-2.004 2.211-3.569 2.212-1.591 0-2.958-0.933-3.601-2.278 1.080-0.46 2.264-0.722 3.511-0.722 1.304 0 2.539 0.287 3.659 0.787zM16 22c-0.552 0-1 0.448-1 1v7h-8v-7c0-0.552-0.448-1-1-1h-3.945c0.288-2.588 1.68-4.843 3.69-6.295 0.844 1.668 2.438 2.887 4.344 3.208v3.364c-0.595 0.346-1.001 0.985-1.001 1.722 0 1.104 0.896 2 2 2s2.001-0.895 2.001-2c-0.001-0.738-0.405-1.375-1-1.722v-3.364c1.871-0.314 3.442-1.496 4.298-3.117 1.94 1.454 3.276 3.672 3.557 6.204h-3.944z"></path>'),
	   	 			'fire' => array('keywords' => 'fire ','viewbox' => '0 0 32 32', 'path' =>'<path d="M10.031 32c-2.133-4.438-0.997-6.981 0.642-9.376 1.795-2.624 2.258-5.221 2.258-5.221s1.411 1.834 0.847 4.703c2.493-2.775 2.963-7.196 2.587-8.889 5.635 3.938 8.043 12.464 4.798 18.783 17.262-9.767 4.294-24.38 2.036-26.027 0.753 1.646 0.895 4.433-0.625 5.785-2.573-9.759-8.937-11.759-8.937-11.759 0.753 5.033-2.728 10.536-6.084 14.648-0.118-2.007-0.243-3.392-1.298-5.312-0.237 3.646-3.023 6.617-3.777 10.27-1.022 4.946 0.765 8.568 7.555 12.394z"></path>'),
	   	 			'star-o' => array('keywords' => 'star-o ','viewbox' => '0 0 30 32', 'path' =>'<path d="M20.304 18.214l5.464-5.304-7.536-1.107-3.375-6.821-3.375 6.821-7.536 1.107 5.464 5.304-1.304 7.518 6.75-3.554 6.732 3.554zM29.714 11.839q0 0.393-0.464 0.857l-6.482 6.321 1.536 8.929q0.018 0.125 0.018 0.357 0 0.893-0.732 0.893-0.339 0-0.714-0.214l-8.018-4.214-8.018 4.214q-0.393 0.214-0.714 0.214-0.375 0-0.563-0.259t-0.188-0.634q0-0.107 0.036-0.357l1.536-8.929-6.5-6.321q-0.446-0.482-0.446-0.857 0-0.661 1-0.821l8.964-1.304 4.018-8.125q0.339-0.732 0.875-0.732t0.875 0.732l4.018 8.125 8.964 1.304q1 0.161 1 0.821z"></path>'),
	   	 			'usb_symbol1' => array('keywords' => 'usb_symbol1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M24 9h-4c-0.552 0-1 0.448-1 1v4c0 0.552 0.448 1 1 1h0.826c-0.264 0.563-0.892 1.009-2.318 1.813l-0.576 0.322c-0.334 0.186-0.645 0.358-0.933 0.533v-9.668h1.5c0.334 0 0.646-0.167 0.832-0.446s0.22-0.63 0.091-0.939l-2.5-6c-0.155-0.373-0.519-0.616-0.923-0.616s-0.768 0.242-0.923 0.616l-2.5 6c-0.129 0.308-0.095 0.661 0.091 0.939s0.498 0.446 0.832 0.446h1.5v12.206c-0.306-0.198-0.65-0.395-1.045-0.596-1.594-0.815-2.409-1.309-2.751-1.864 1.056-0.465 1.796-1.52 1.796-2.745 0-1.655-1.345-3-3-3s-3 1.345-3 3c0 1.343 0.886 2.481 2.104 2.863 0.427 1.729 2.139 2.607 3.941 3.527 1.86 0.951 1.954 1.413 1.955 2.61v0.131c-1.723 0.447-3 2.009-3 3.869 0 2.206 1.794 4 4 4s4-1.794 4-4c0-1.86-1.277-3.422-3-3.869v-3.131c0-1.027 0.189-1.166 1.904-2.117 0.184-0.102 0.381-0.211 0.589-0.328 1.848-1.044 3.078-1.869 3.413-3.555h1.095c0.552 0 1-0.448 1-1v-4c0-0.553-0.448-1.001-1-1.001zM16 3.6l1 2.4h-2l1-2.4zM10 14c0.552 0 1 0.448 1 1s-0.448 1-1 1-1-0.448-1-1 0.448-1 1-1zM18 28c0 1.103-0.898 2-2 2s-2-0.897-2-2 0.897-2 2-2c1.102 0 2 0.897 2 2zM23 13h-2v-2h2v2z"></path>'),
	   	 			'arrow-right' => array('keywords' => 'arrow-right ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31 16l-15-15v9h-16v12h16v9z"></path>'),
	   	 			'exclamation-triangle' => array('keywords' => 'exclamation-triangle ','viewbox' => '0 0 32 32', 'path' =>'<path d="M18.286 24.839v-3.393q0-0.25-0.17-0.42t-0.402-0.17h-3.429q-0.232 0-0.402 0.17t-0.17 0.42v3.393q0 0.25 0.17 0.42t0.402 0.17h3.429q0.232 0 0.402-0.17t0.17-0.42zM18.25 18.161l0.321-8.196q0-0.214-0.179-0.339-0.232-0.196-0.429-0.196h-3.929q-0.196 0-0.429 0.196-0.179 0.125-0.179 0.375l0.304 8.161q0 0.179 0.179 0.295t0.429 0.116h3.304q0.25 0 0.42-0.116t0.188-0.295zM18 1.482l13.714 25.143q0.625 1.125-0.036 2.25-0.304 0.518-0.83 0.821t-1.134 0.304h-27.429q-0.607 0-1.134-0.304t-0.83-0.821q-0.661-1.125-0.036-2.25l13.714-25.143q0.304-0.554 0.839-0.875t1.161-0.321 1.161 0.321 0.839 0.875z"></path>'),
	   	 			'hummer_1' => array('keywords' => 'hummer_1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M21 2.084v-1.084c0-0.552-0.448-1-1-1h-8c-0.552 0-1 0.448-1 1v1h-1.999v-1c0-0.552-0.448-1-1-1h-3c-0.552 0-1 0.448-1 1v8c0 0.552 0.448 1 1 1h3c0.552 0 1-0.448 1-1v-1h1.999v1c0 0.552 0.448 1 1 1h1.001v19.001c0 1.654 1.345 3 3 3s3-1.346 3-3v-19.001h1c0.552 0 1-0.448 1-1v-0.9c2.053 0.395 3.942 1.979 5.082 4.336 0.17 0.35 0.523 0.565 0.901 0.565 0.067 0 0.137-0.007 0.205-0.021 0.449-0.094 0.777-0.482 0.794-0.941l0.007-0.136c0.006-0.11 0.012-0.22 0.012-0.331 0-4.872-3.061-8.896-7-9.488zM7 8h-1v-6h1v6zM9 6v-2h1.999v2h-1.999zM12.999 7.005c0-0.002 0.001-0.003 0.001-0.005v-4c0-0.002-0.001-0.003-0.001-0.005v-0.995h6v6h-6v-0.995zM17 29.001c0 0.552-0.448 1-1 1s-1-0.448-1-1v-19.001h2v19.001zM21 6.071v-1.965c1.907 0.406 3.511 1.95 4.358 4.058-1.277-1.141-2.779-1.874-4.358-2.094z"></path>'),
	   	 			'weather_20' => array('keywords' => 'weather_20 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25 7c-0.477 0-0.954 0.050-1.424 0.149-1.648-2.578-4.482-4.149-7.576-4.149-3.92 0-7.348 2.539-8.545 6.181-0.474-0.12-0.96-0.181-1.455-0.181-3.308 0-6 2.691-6 6s2.692 6 6 6h1.5c0.552 0 1-0.448 1-1s-0.448-1-1-1h-1.5c-2.205 0-4-1.794-4-4s1.795-4 4-4c0.594 0 1.171 0.132 1.716 0.392 0.28 0.133 0.605 0.13 0.883-0.011s0.473-0.4 0.53-0.704c0.629-3.29 3.518-5.677 6.87-5.677 2.617 0 4.996 1.447 6.209 3.775 0.227 0.437 0.738 0.642 1.204 0.486 0.518-0.174 1.053-0.261 1.587-0.261 2.757 0 5 2.243 5 5s-2.243 5-5 5h-0.5c-0.552 0-1 0.448-1 1s0.448 1 1 1h0.5c3.86 0 7-3.14 7-7s-3.14-7-7-7zM11.5 18c-0.552 0-1 0.448-1 1v2c0 0.552 0.448 1 1 1s1-0.448 1-1v-2c0-0.552-0.448-1-1-1zM14.5 19c-0.552 0-1 0.448-1 1v2c0 0.552 0.448 1 1 1s1-0.448 1-1v-2c0-0.552-0.448-1-1-1zM17.5 18c-0.552 0-1 0.448-1 1v2c0 0.552 0.448 1 1 1s1-0.448 1-1v-2c0-0.552-0.448-1-1-1zM20.5 19c-0.552 0-1 0.448-1 1v2c0 0.552 0.448 1 1 1s1-0.448 1-1v-2c0-0.552-0.448-1-1-1zM11.5 24c-0.552 0-1 0.448-1 1v2c0 0.552 0.448 1 1 1s1-0.448 1-1v-2c0-0.552-0.448-1-1-1zM14.5 25c-0.552 0-1 0.448-1 1v2c0 0.552 0.448 1 1 1s1-0.448 1-1v-2c0-0.552-0.448-1-1-1zM17.5 24c-0.552 0-1 0.448-1 1v2c0 0.552 0.448 1 1 1s1-0.448 1-1v-2c0-0.552-0.448-1-1-1zM20.5 25c-0.552 0-1 0.448-1 1v2c0 0.552 0.448 1 1 1s1-0.448 1-1v-2c0-0.552-0.448-1-1-1z"></path>'),
	   	 			'tools' => array('keywords' => 'tools ','viewbox' => '0 0 31 32', 'path' =>'<path d="M0.211 5.646c-0.847 0.848-0.666 2.042 0.008 2.715 0.027 0.026 2.734 2.612 6.541 6.419 0.098 0.098 0.226 0.146 0.354 0.146s0.256-0.049 0.354-0.146c0.195-0.195 0.195-0.512 0-0.707-0.574-0.574-1.12-1.117-1.638-1.631l1.589-1.589c0.195-0.195 0.195-0.512 0-0.707s-0.512-0.195-0.707 0l-1.593 1.593c-0.891-0.88-1.676-1.648-2.315-2.271l3.615-3.615c0.195-0.195 0.195-0.512 0-0.707s-0.512-0.195-0.707 0l-3.626 3.626c-0.736-0.713-1.16-1.118-1.167-1.125-0.211-0.211-0.488-0.805 0-1.293l5-5c0.193-0.196 0.707-0.585 1.271-0.024 0.025 0.028 2.55 2.896 6.404 6.75 0.195 0.195 0.512 0.195 0.707 0s0.195-0.512 0-0.707c-3.83-3.829-6.336-6.675-6.382-6.727-0.932-0.93-2.056-0.651-2.707 0l-5.001 5zM21.419 24.146c-0.195-0.195-0.512-0.195-0.707 0l-1.591 1.59c-0.485-0.491-0.994-1.005-1.53-1.541-0.195-0.195-0.512-0.195-0.707 0s-0.195 0.512 0 0.707c3.704 3.703 6.291 6.469 6.328 6.509 0.343 0.344 0.813 0.533 1.323 0.533v0c0.525 0 1.056-0.205 1.385-0.535l4.998-5.057c0.629-0.629 0.665-1.696 0.078-2.285l-6.706-6.705c-0.195-0.195-0.512-0.195-0.707 0s-0.195 0.512 0 0.707l6.706 6.705c0.2 0.2 0.162 0.632-0.079 0.873l-4.999 5.057c-0.115 0.116-0.376 0.24-0.676 0.24 0 0 0 0 0 0-0.172 0-0.418-0.042-0.604-0.229-0.010-0.011-0.429-0.458-1.156-1.219l3.644-3.644c0.195-0.195 0.195-0.512 0-0.707s-0.512-0.195-0.707 0l-3.629 3.629c-0.624-0.649-1.389-1.438-2.26-2.326l1.596-1.596c0.195-0.194 0.195-0.51 0-0.706zM-0.293 31.829c0.096 0.098 0.225 0.15 0.358 0.15 0.048 0 0.096-0.007 0.143-0.021l10-2.979c0.081-0.024 0.153-0.067 0.212-0.127l17.090-17.205c0.024-0.024 0.036-0.055 0.054-0.082l3.656-3.656c0.294-0.295 0.457-0.686 0.457-1.103s-0.163-0.807-0.457-1.1l-5.235-5.234c-0.588-0.588-1.615-0.588-2.203 0l-3.739 3.739c-0.024 0.024-0.037 0.055-0.055 0.083l-17.116 17.117c-0.056 0.056-0.098 0.124-0.122 0.199l-3.16 9.715c-0.058 0.177-0.013 0.37 0.117 0.504zM20.425 5.271l1.039 1.039-15.523 15.565-1.727-0.392 16.211-16.212zM6.565 22.666l15.607-15.648 2.436 2.436-15.748 15.546h-2.295v-2.334zM26.449 11.296l-16.244 16.354-0.577-2.002 15.687-15.487 1.134 1.135zM3.558 22.359l2.007 0.456v2.685c0 0.276 0.224 0.5 0.5 0.5h2.624l0.634 2.2-8.488 2.529 2.723-8.37zM24.49 1.179c0.211-0.211 0.578-0.211 0.789 0l5.235 5.235c0.105 0.105 0.163 0.245 0.163 0.394 0 0.148-0.058 0.289-0.164 0.395l-3.371 3.372-6.023-6.023 3.371-3.373z"></path>'),
	   	 			'looks' => array('keywords' => 'looks ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 8.667q6.063 0 10.375 4.313t4.313 10.375h-2.688q0-4.938-3.5-8.469t-8.5-3.531-8.5 3.531-3.5 8.469h-2.688q0-6.063 4.313-10.375t10.375-4.313zM16 13.979q3.813 0 6.563 2.75t2.75 6.625h-2.625q0-2.75-1.969-4.719t-4.719-1.969-4.719 1.969-1.969 4.719h-2.625q0-3.875 2.75-6.625t6.563-2.75z"></path>'),
	   	 			'move-down' => array('keywords' => 'move-down ','viewbox' => '0 0 32 32', 'path' =>'<path d="M24 22v-12h-2v12h-5l6 6 6-6zM10 8v6h-6v-6h6zM12 6h-10v10h10v-10zM2 20h3v2h-3v-2zM6 20h3v2h-3v-2zM10 20h2v3h-2v-3zM2 27h2v3h-2v-3zM5 28h3v2h-3v-2zM9 28h3v2h-3v-2zM2 23h2v3h-2v-3zM10 24h2v3h-2v-3z"></path>'),
	   	 			'layers_clear' => array('keywords' => 'layers_clear ','viewbox' => '0 0 32 32', 'path' =>'<path d="M4.375 1.979l24.938 25-1.688 1.688-5-5.063-6.625 5.125-12-9.313 2.188-1.688 9.813 7.688 4.688-3.688-1.875-1.875-2.813 2.125q-0.563-0.438-5.094-3.969t-6.906-5.344l4.313-3.375-5.625-5.625zM28 12.667q-1.688 1.313-5.375 4.188l-10.5-10.5 3.875-3zM26.438 20.667l-1.938-1.938 1.563-1.188 1.938 1.875z"></path>'),
	   	 			'registered' => array('keywords' => 'registered ','viewbox' => '0 0 32 32', 'path' =>'<path d="M18.607 12.839q0-1.571-1.071-2.161-0.589-0.321-2.089-0.321h-2.196v5.018h2.893q1.179 0 1.821-0.661t0.643-1.875zM19.536 17.929l3.661 6.661q0.143 0.304-0.018 0.554-0.143 0.286-0.482 0.286h-2.714q-0.357 0-0.5-0.304l-3.464-6.518h-2.768v6.25q0 0.25-0.161 0.411t-0.411 0.161h-2.393q-0.25 0-0.411-0.161t-0.161-0.411v-17.143q0-0.25 0.161-0.411t0.411-0.161h5.25q2.286 0 3.393 0.429 1.518 0.554 2.393 1.946t0.875 3.214q0 1.643-0.759 2.955t-2.063 1.955q0.107 0.179 0.161 0.286zM16 3.143q-2.679 0-5.107 1.045t-4.188 2.804-2.804 4.188-1.045 5.107 1.045 5.107 2.804 4.188 4.188 2.804 5.107 1.045 5.107-1.045 4.188-2.804 2.804-4.188 1.045-5.107-1.045-5.107-2.804-4.188-4.188-2.804-5.107-1.045zM32 16.286q0 3.25-1.268 6.214t-3.411 5.107-5.107 3.411-6.214 1.268-6.214-1.268-5.107-3.411-3.411-5.107-1.268-6.214 1.268-6.214 3.411-5.107 5.107-3.411 6.214-1.268 6.214 1.268 5.107 3.411 3.411 5.107 1.268 6.214z"></path>'),
	   	 			'tumblr3' => array('keywords' => 'tumblr3 ','viewbox' => '0 0 20 32', 'path' =>'<path d="M16.857 24.018l1.429 4.232q-0.411 0.625-1.982 1.179t-3.161 0.571q-1.857 0.036-3.402-0.464t-2.545-1.321-1.696-1.893-0.991-2.143-0.295-2.107v-9.714h-3v-3.839q1.286-0.464 2.304-1.241t1.625-1.607 1.036-1.821 0.607-1.768 0.268-1.58q0.018-0.089 0.080-0.152t0.134-0.063h4.357v7.571h5.946v4.5h-5.964v9.25q0 0.536 0.116 1t0.402 0.938 0.884 0.741 1.455 0.25q1.393-0.036 2.393-0.518z"></path>'),
	   	 			'behance' => array('keywords' => 'behance ','viewbox' => '0 0 32 32', 'path' =>'<path d="M9.281 6.412c0.944 0 1.794 0.081 2.569 0.25 0.775 0.162 1.431 0.438 1.988 0.813 0.55 0.375 0.975 0.875 1.287 1.5 0.3 0.619 0.45 1.394 0.45 2.313 0 0.994-0.225 1.819-0.675 2.481-0.456 0.662-1.119 1.2-2.006 1.625 1.213 0.35 2.106 0.962 2.706 1.831 0.6 0.875 0.887 1.925 0.887 3.163 0 1-0.194 1.856-0.575 2.581-0.387 0.731-0.912 1.325-1.556 1.781-0.65 0.462-1.4 0.8-2.237 1.019-0.831 0.219-1.688 0.331-2.575 0.331h-9.544v-19.688h9.281zM8.719 14.363c0.769 0 1.406-0.181 1.906-0.55 0.5-0.363 0.738-0.963 0.738-1.787 0-0.456-0.081-0.838-0.244-1.131-0.169-0.294-0.387-0.525-0.669-0.688-0.275-0.169-0.588-0.281-0.956-0.344-0.356-0.069-0.731-0.1-1.113-0.1h-4.050v4.6h4.388zM8.956 22.744c0.425 0 0.831-0.038 1.213-0.125 0.387-0.087 0.731-0.219 1.019-0.419 0.287-0.194 0.531-0.45 0.706-0.788 0.175-0.331 0.256-0.756 0.256-1.275 0-1.012-0.287-1.738-0.856-2.175-0.569-0.431-1.325-0.644-2.262-0.644h-4.7v5.419h4.625zM22.663 22.675c0.587 0.575 1.431 0.863 2.531 0.863 0.788 0 1.475-0.2 2.044-0.6s0.913-0.825 1.044-1.262h3.45c-0.556 1.719-1.394 2.938-2.544 3.675-1.131 0.738-2.519 1.113-4.125 1.113-1.125 0-2.131-0.181-3.038-0.538-0.906-0.363-1.663-0.869-2.3-1.531-0.619-0.663-1.106-1.45-1.45-2.375-0.337-0.919-0.512-1.938-0.512-3.038 0-1.069 0.175-2.063 0.525-2.981 0.356-0.925 0.844-1.719 1.494-2.387s1.413-1.2 2.313-1.588c0.894-0.387 1.881-0.581 2.975-0.581 1.206 0 2.262 0.231 3.169 0.706 0.9 0.469 1.644 1.1 2.225 1.887s0.994 1.694 1.25 2.706c0.256 1.012 0.344 2.069 0.275 3.175h-10.294c0 1.119 0.375 2.188 0.969 2.756zM27.156 15.188c-0.462-0.512-1.256-0.794-2.212-0.794-0.625 0-1.144 0.106-1.556 0.319-0.406 0.213-0.738 0.475-0.994 0.787-0.25 0.313-0.425 0.65-0.525 1.006-0.1 0.344-0.163 0.663-0.181 0.938h6.375c-0.094-1-0.438-1.738-0.906-2.256zM20.887 8h7.981v1.944h-7.981v-1.944z"></path>'),
	   	 			'enter' => array('keywords' => 'enter ','viewbox' => '0 0 32 32', 'path' =>'<path d="M12 16h-10v-4h10v-4l6 6-6 6zM32 0v26l-12 6v-6h-12v-8h2v6h10v-18l8-4h-18v8h-2v-10z"></path>'),
	   	 			'plugs' => array('keywords' => 'plugs ','viewbox' => '0 0 32 32', 'path' =>'<path d="M8 11.5h-2.5v-5c0-0.552-0.448-1-1-1s-1 0.448-1 1v5h-2.5c-0.552 0-1 0.448-1 1v10c0 0.552 0.448 1 1 1h2.5v5c0 0.552 0.448 1 1 1s1-0.448 1-1v-5h2.5c0.552 0 1-0.448 1-1v-10c0-0.552-0.448-1-1-1zM7 21.5h-5v-8h5v8zM31 10.5h-2.5v-5c0-0.552-0.448-1-1-1s-1 0.448-1 1v5h-2.5c-0.552 0-1 0.448-1 1v10c0 0.552 0.448 1 1 1h2.5v5c0 0.552 0.448 1 1 1s1-0.448 1-1v-5h2.5c0.552 0 1-0.448 1-1v-10c0-0.552-0.448-1-1-1zM30 20.5h-5v-8h5v8zM19.5 8.5h-2.5v-5c0-0.552-0.448-1-1-1s-1 0.448-1 1v5h-2.5c-0.552 0-1 0.448-1 1v8c0 0.552 0.448 1 1 1h2.5v5c0 0.552 0.448 1 1 1s1-0.448 1-1v-5h2.5c0.552 0 1-0.448 1-1v-8c0-0.552-0.448-1-1-1zM18.5 16.5h-5v-6h5v6z"></path>'),
	   	 			'folder_16' => array('keywords' => 'folder_16 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M19 17.5c-0.001 0-0.002 0.001-0.003 0.001h-1.997v-2.001c0-0.552-0.448-1-1-1s-1 0.448-1 1v2.001h-1.998c-0.001 0-0.002-0.001-0.002-0.001-0.552 0-1 0.448-1 1s0.448 1 1 1v0.001h2v2c0 0.552 0.448 0.999 1 0.999s1-0.448 1-0.999v0-2l2-0.001c0.552 0 1-0.448 1-1s-0.448-1-1-1zM29 6.5h-14.070l-3.369-3.561c-0.292-0.293-0.676-0.439-1.060-0.439v0h-7.5c-1.65 0-3 1.349-3 3v21c0 1.649 1.35 3 3 3h26c1.65 0 3-1.351 3-3v-17c0-1.651-1.35-3-3-3zM30 26.5c0 0.55-0.45 1-1 1h-26c-0.55 0-1-0.45-1-1v-17c0-0.55 0.45-1 1-1h11.499c0.001 0 0.001 0 0.002 0h14.499c0.55 0 1 0.45 1 1v17z"></path>'),
	   	 			'hourglass-o' => array('keywords' => 'hourglass-o ','viewbox' => '0 0 27 32', 'path' =>'<path d="M25.143 2.571q0 4.661-1.902 8.241t-4.759 5.473q2.857 1.893 4.759 5.473t1.902 8.241h1.714q0.25 0 0.411 0.161t0.161 0.411v1.143q0 0.25-0.161 0.411t-0.411 0.161h-26.286q-0.25 0-0.411-0.161t-0.161-0.411v-1.143q0-0.25 0.161-0.411t0.411-0.161h1.714q0-4.661 1.902-8.241t4.759-5.473q-2.857-1.893-4.759-5.473t-1.902-8.241h-1.714q-0.25 0-0.411-0.161t-0.161-0.411v-1.143q0-0.25 0.161-0.411t0.411-0.161h26.286q0.25 0 0.411 0.161t0.161 0.411v1.143q0 0.25-0.161 0.411t-0.411 0.161h-1.714zM15.607 15.214q1.375-0.518 2.661-1.652t2.313-2.723 1.652-3.75 0.625-4.518h-18.286q0 2.357 0.625 4.518t1.652 3.75 2.312 2.723 2.661 1.652q0.339 0.125 0.545 0.42t0.205 0.652-0.205 0.652-0.545 0.42q-1.375 0.518-2.661 1.652t-2.313 2.723-1.652 3.75-0.625 4.518h18.286q0-2.357-0.625-4.518t-1.652-3.75-2.313-2.723-2.661-1.652q-0.339-0.125-0.545-0.42t-0.205-0.652 0.205-0.652 0.545-0.42z"></path>'),
	   	 			'photo_size_select_small' => array('keywords' => 'photo_size_select_small ','viewbox' => '0 0 32 32', 'path' =>'<path d="M9.313 4.667v2.688h-2.625v-2.688h2.625zM14.688 4.667v2.688h-2.688v-2.688h2.688zM4 15.354v2.625h-2.688v-2.625h2.688zM4 4.667v2.688h-2.688q0-1 0.844-1.844t1.844-0.844zM25.313 25.979v2.688h-2.625v-2.688h2.625zM25.313 4.667v2.688h-2.625v-2.688h2.625zM20 25.979v2.688h-2.688v-2.688h2.688zM4 9.979v2.688h-2.688v-2.688h2.688zM4 28.667q-1.063 0-1.875-0.813t-0.813-1.875v-5.313h13.375v8h-10.688zM28 4.667q1 0 1.844 0.844t0.844 1.844h-2.688v-2.688zM30.688 9.979v2.688h-2.688v-2.688h2.688zM20 4.667v2.688h-2.688v-2.688h2.688zM30.688 25.979q0 1-0.844 1.844t-1.844 0.844v-2.688h2.688zM30.688 15.354v2.625h-2.688v-2.625h2.688zM30.688 20.667v2.688h-2.688v-2.688h2.688z"></path>'),
	   	 			'ship_steering_wheel' => array('keywords' => 'ship_steering_wheel ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31 15h-3.045c-0.212-2.559-1.229-4.89-2.798-6.743l2.156-2.156c0.39-0.391 0.39-1.024 0-1.414s-1.023-0.391-1.414 0l-2.156 2.156c-1.852-1.569-4.184-2.586-6.743-2.798v-3.045c0-0.552-0.448-1-1-1s-1 0.448-1 1v3.045c-2.559 0.212-4.89 1.229-6.743 2.798l-2.156-2.156c-0.39-0.391-1.024-0.391-1.414 0s-0.391 1.024 0 1.414l2.156 2.156c-1.569 1.853-2.586 4.184-2.798 6.743h-3.045c-0.552 0-1 0.448-1 1s0.448 1 1 1h3.045c0.212 2.558 1.229 4.89 2.798 6.743l-2.156 2.156c-0.391 0.39-0.391 1.024 0 1.414 0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293l2.156-2.156c1.853 1.569 4.185 2.586 6.743 2.798v3.045c0 0.552 0.448 1 1 1s1-0.448 1-1v-3.045c2.558-0.212 4.89-1.229 6.743-2.798l2.156 2.156c0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293c0.39-0.39 0.39-1.023 0-1.414l-2.156-2.156c1.569-1.852 2.586-4.184 2.798-6.743h3.045c0.552 0 1-0.448 1-1s-0.448-1-1-1zM22.324 8.261l-3.57 3.569c-0.525-0.348-1.117-0.601-1.755-0.73v-5.050c2.009 0.2 3.843 0.998 5.325 2.211zM16 19c-1.655 0-3-1.346-3-3s1.345-3 3-3 3 1.345 3 3-1.346 3-3 3zM15 6.051v5.050c-0.637 0.13-1.23 0.383-1.755 0.73l-3.569-3.569c1.482-1.213 3.316-2.011 5.324-2.211zM8.261 9.676l3.569 3.569c-0.348 0.524-0.601 1.117-0.73 1.755h-5.050c0.2-2.008 0.998-3.842 2.211-5.324zM6.051 17h5.050c0.13 0.637 0.383 1.23 0.73 1.755l-3.569 3.57c-1.213-1.482-2.011-3.316-2.211-5.325zM9.676 23.738l3.569-3.57c0.524 0.348 1.117 0.601 1.755 0.73v5.050c-2.008-0.201-3.842-0.998-5.324-2.211zM17 25.949v-5.050c0.637-0.13 1.23-0.383 1.755-0.73l3.57 3.57c-1.482 1.213-3.316 2.011-5.325 2.211zM23.738 22.324l-3.57-3.57c0.348-0.525 0.601-1.117 0.73-1.755h5.050c-0.201 2.009-0.998 3.843-2.211 5.325zM20.899 15c-0.13-0.637-0.383-1.23-0.73-1.755l3.57-3.569c1.213 1.482 2.011 3.316 2.211 5.324h-5.050z"></path>'),
	   	 			'local_movies' => array('keywords' => 'local_movies ','viewbox' => '0 0 32 32', 'path' =>'<path d="M24 12.667v-2.688h-2.688v2.688h2.688zM24 17.979v-2.625h-2.688v2.625h2.688zM24 23.354v-2.688h-2.688v2.688h2.688zM10.688 12.667v-2.688h-2.688v2.688h2.688zM10.688 17.979v-2.625h-2.688v2.625h2.688zM10.688 23.354v-2.688h-2.688v2.688h2.688zM24 4.667h2.688v24h-2.688v-2.688h-2.688v2.688h-10.625v-2.688h-2.688v2.688h-2.688v-24h2.688v2.688h2.688v-2.688h10.625v2.688h2.688v-2.688z"></path>'),
	   	 			'safari' => array('keywords' => 'safari ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 0c-8.838 0-16 7.162-16 16s7.162 16 16 16 16-7.163 16-16-7.163-16-16-16zM29.95 14.775l-0.031-0.331c0.006 0.113 0.019 0.219 0.031 0.331zM27.762 8.4l-0.225-0.338c0.075 0.113 0.15 0.225 0.225 0.338zM26.894 7.206l-0.137-0.169c0.050 0.056 0.094 0.112 0.137 0.169zM24.956 5.237l-0.169-0.138c0.063 0.050 0.113 0.094 0.169 0.138zM23.938 4.463l-0.337-0.225c0.113 0.075 0.225 0.15 0.337 0.225zM17.556 2.087l-0.337-0.031c0.113 0.006 0.225 0.019 0.337 0.031zM14.775 2.050l-0.338 0.031c0.113-0.006 0.225-0.019 0.338-0.031zM8.4 4.237l-0.338 0.225c0.113-0.075 0.225-0.15 0.338-0.225zM7.206 5.106l-0.162 0.131c0.056-0.044 0.106-0.088 0.162-0.131zM5.237 7.044l-0.138 0.169c0.050-0.056 0.094-0.112 0.138-0.169zM4.463 8.063l-0.225 0.338c0.075-0.113 0.15-0.225 0.225-0.338zM2.087 14.444l-0.031 0.338c0.006-0.113 0.019-0.225 0.031-0.338zM2.050 17.225l0.031 0.337c-0.006-0.113-0.019-0.225-0.031-0.337zM4.237 23.594l0.225 0.337c-0.075-0.106-0.15-0.219-0.225-0.337zM4.5 23.988l2.494-1.669-0.275-0.419-2.494 1.669c-1.131-1.756-1.875-3.775-2.125-5.95l1.494-0.15-0.050-0.5-1.494 0.15c-0.025-0.288-0.038-0.581-0.044-0.875h3v-0.5h-3c0.006-0.294 0.019-0.581 0.044-0.875l1.494 0.144 0.050-0.5-1.494-0.144c0.25-2.175 1-4.194 2.131-5.95l2.494 1.669 0.275-0.419-2.5-1.656c0.169-0.237 0.338-0.475 0.519-0.7l1.156 0.95 0.319-0.388-1.156-0.95c0.188-0.225 0.388-0.438 0.588-0.65l2.119 2.119 0.356-0.356-2.119-2.119c0.213-0.2 0.425-0.4 0.644-0.588l0.95 1.162 0.387-0.319-0.95-1.156c0.231-0.181 0.463-0.356 0.7-0.525l1.669 2.494 0.419-0.275-1.669-2.494c1.756-1.131 3.775-1.875 5.95-2.125l0.15 1.494 0.5-0.050-0.15-1.494c0.287-0.025 0.581-0.038 0.875-0.044v3h0.5v-3c0.294 0.006 0.581 0.019 0.875 0.044l-0.144 1.494 0.5 0.050 0.144-1.494c2.175 0.25 4.194 1 5.95 2.131l-1.669 2.494 0.419 0.275 1.669-2.494c0.238 0.169 0.475 0.338 0.7 0.519l-0.95 1.156 0.387 0.319 0.95-1.156c0.225 0.188 0.438 0.388 0.65 0.588l-0.8 0.781-10.938 7.294-7.294 10.937-0.781 0.781c-0.2-0.212-0.4-0.425-0.588-0.644l1.156-0.95-0.319-0.387-1.156 0.95c-0.181-0.225-0.35-0.462-0.519-0.7zM5.237 24.956c-0.044-0.056-0.088-0.106-0.131-0.163l0.131 0.163zM7.044 26.762l0.162 0.131c-0.056-0.044-0.106-0.087-0.162-0.131zM8.063 27.531l0.338 0.225c-0.113-0.069-0.225-0.144-0.338-0.225zM14.444 29.913l0.338 0.031c-0.113-0.006-0.225-0.019-0.338-0.031zM17.225 29.95l0.331-0.031c-0.113 0.006-0.219 0.019-0.331 0.031zM23.6 27.762l0.337-0.225c-0.113 0.075-0.225 0.15-0.337 0.225zM24.794 26.894l0.169-0.137c-0.056 0.050-0.113 0.094-0.169 0.137zM25.887 25.913l0.025-0.025c-0.006 0.006-0.019 0.019-0.025 0.025zM26.762 24.956l0.137-0.169c-0.050 0.056-0.094 0.113-0.137 0.169zM26.981 24.688l-1.156-0.95-0.319 0.387 1.156 0.95c-0.188 0.225-0.387 0.438-0.587 0.65l-2.119-2.119-0.356 0.356 2.119 2.119c-0.212 0.2-0.425 0.4-0.644 0.587l-0.95-1.163-0.387 0.319 0.95 1.156c-0.231 0.181-0.462 0.356-0.7 0.525l-1.669-2.494-0.419 0.275 1.669 2.494c-1.756 1.131-3.775 1.875-5.95 2.125l-0.15-1.494-0.5 0.050 0.15 1.494c-0.288 0.025-0.581 0.038-0.875 0.044v-3h-0.5v3c-0.294-0.006-0.581-0.019-0.875-0.044l0.144-1.494-0.5-0.050-0.144 1.494c-2.175-0.25-4.194-1-5.95-2.131l1.669-2.494-0.419-0.275-1.656 2.494c-0.237-0.169-0.475-0.337-0.7-0.519l0.95-1.156-0.388-0.319-0.95 1.156c-0.225-0.188-0.438-0.387-0.65-0.587l0.787-0.781 10.937-7.294 7.294-10.938 0.781-0.781c0.2 0.213 0.4 0.425 0.587 0.644l-1.156 0.95 0.319 0.387 1.156-0.95c0.181 0.231 0.356 0.463 0.525 0.7l-2.494 1.669 0.275 0.419 2.494-1.669c1.131 1.756 1.875 3.775 2.125 5.95l-1.494 0.15 0.050 0.5 1.494-0.15c0.025 0.287 0.038 0.581 0.044 0.875h-3v0.5h3c-0.006 0.294-0.019 0.581-0.044 0.875l-1.494-0.144-0.050 0.5 1.494 0.144c-0.25 2.175-1 4.194-2.131 5.95l-2.494-1.669-0.275 0.419 2.494 1.669c-0.163 0.225-0.337 0.456-0.519 0.688zM29.95 17.219c-0.012 0.113-0.019 0.225-0.031 0.337l0.031-0.337zM27.762 23.6c-0.075 0.113-0.15 0.225-0.225 0.337l0.225-0.337zM13.517 2.221l0.585 2.942-0.49 0.098-0.585-2.942 0.49-0.098zM18.489 29.78l-0.585-2.942 0.49-0.098 0.585 2.942-0.49 0.098zM12.176 2.528l0.436 1.435-0.478 0.145-0.436-1.435 0.478-0.145zM19.826 29.465l-0.436-1.435 0.478-0.145 0.436 1.435-0.478 0.145zM10.875 2.972l1.148 2.772-0.462 0.191-1.148-2.772 0.462-0.191zM21.129 29.030l-1.148-2.772 0.462-0.191 1.148 2.772-0.462 0.191zM9.176 3.771l0.441-0.236 0.707 1.323-0.441 0.236-0.707-1.323zM22.816 28.228l-0.441 0.236-0.707-1.323 0.441-0.236 0.707 1.323zM3.769 9.182l1.323 0.707-0.236 0.441-1.323-0.707 0.236-0.441zM28.226 22.819l-1.323-0.707 0.236-0.441 1.323 0.707-0.236 0.441zM5.744 12.019l-2.772-1.148 0.191-0.462 2.772 1.148-0.191 0.462zM26.26 19.978l2.772 1.148-0.191 0.462-2.772-1.148 0.191-0.462zM2.673 11.7l1.436 0.435-0.145 0.479-1.436-0.435 0.145-0.479zM29.322 20.302l-1.436-0.435 0.145-0.479 1.436 0.435-0.145 0.479zM2.315 13.024l2.942 0.585-0.098 0.49-2.942-0.585 0.098-0.49zM29.679 18.976l-2.942-0.585 0.098-0.49 2.942 0.585-0.098 0.49zM2.218 18.486l2.942-0.585 0.098 0.49-2.942 0.585-0.098-0.49zM29.776 13.513l-2.942 0.585-0.098-0.49 2.942-0.585 0.098 0.49zM2.53 19.829l1.435-0.436 0.145 0.478-1.435 0.436-0.145-0.478zM29.468 12.178l-1.435 0.436-0.145-0.478 1.435-0.436 0.145 0.478zM3.161 21.591l-0.191-0.462 2.772-1.148 0.191 0.462-2.772 1.148zM28.837 10.413l0.191 0.462-2.772 1.148-0.191-0.462 2.772-1.148zM3.776 22.821l-0.236-0.441 1.323-0.707 0.236 0.441-1.323 0.707zM28.233 9.181l0.236 0.441-1.323 0.707-0.236-0.441 1.323-0.707zM9.621 28.464l-0.441-0.236 0.707-1.323 0.441 0.236-0.707 1.323zM22.377 3.534l0.441 0.236-0.707 1.323-0.441-0.236 0.707-1.323zM10.415 28.837l1.148-2.772 0.462 0.191-1.148 2.772-0.462-0.191zM21.59 3.16l-1.148 2.772-0.462-0.191 1.148-2.772 0.462 0.191zM12.176 29.47l-0.478-0.145 0.435-1.435 0.478 0.145-0.435 1.435zM19.823 2.528l0.479 0.145-0.435 1.436-0.479-0.145 0.435-1.436zM13.515 29.776l-0.49-0.098 0.585-2.942 0.49 0.098-0.585 2.942zM18.485 2.218l0.49 0.098-0.585 2.942-0.49-0.098 0.585-2.942z"></path>'),
	   	 			'thumb_up' => array('keywords' => 'thumb_up ','viewbox' => '0 0 32 32', 'path' =>'<path d="M30.688 13.979l-0.063 0.125h0.063v2.563q0 0.5-0.188 1l-4.063 9.375q-0.625 1.625-2.438 1.625h-12q-1.063 0-1.875-0.813t-0.813-1.875v-13.313q0-1.063 0.813-1.875l8.75-8.813 1.438 1.438q0.563 0.563 0.563 1.375v0.438l-1.313 6.125h8.438q1.063 0 1.875 0.781t0.813 1.844zM1.313 28.667v-16h5.375v16h-5.375z"></path>'),
	   	 			'memory_ship' => array('keywords' => 'memory_ship ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31 7h-30c-0.552 0-1 0.448-1 1v12c0 0.552 0.448 1 1 1h2v3c0 0.552 0.448 1 1 1h24c0.552 0 1-0.448 1-1v-3h2c0.552 0 1-0.448 1-1v-12c0-0.552-0.448-1-1-1zM5 21h2v2h-2v-2zM23 23h-2v-2h2v2zM19 23h-2v-2h2v2zM15 23h-2v-2h2v2zM11 23h-2v-2h2v2zM27 23h-2v-2h2v2zM30 19h-28v-10h28v10zM6 18h4c0.552 0 1-0.448 1-1v-6c0-0.552-0.448-1-1-1h-4c-0.552 0-1 0.448-1 1v6c0 0.552 0.448 1 1 1zM7 12h2v4h-2v-4zM14 18h4c0.552 0 1-0.448 1-1v-6c0-0.552-0.448-1-1-1h-4c-0.552 0-1 0.448-1 1v6c0 0.552 0.448 1 1 1zM15 12h2v4h-2v-4zM22 18h4c0.552 0 1-0.448 1-1v-6c0-0.552-0.448-1-1-1h-4c-0.552 0-1 0.448-1 1v6c0 0.552 0.448 1 1 1zM23 12h2v4h-2v-4z"></path>'),
	   	 			'hand-o-right' => array('keywords' => 'hand-o-right ','viewbox' => '0 0 32 32', 'path' =>'<path d="M4.571 24.286q0-0.464-0.339-0.804t-0.804-0.339-0.804 0.339-0.339 0.804 0.339 0.804 0.804 0.339 0.804-0.339 0.339-0.804zM29.714 14q0-0.911-0.696-1.598t-1.589-0.688h-10.286q0-0.357 0.268-0.866t0.589-0.982 0.589-1.214 0.268-1.509q0-1.196-0.795-1.741t-2.063-0.545q-0.429 0-1.607 2.482-0.429 0.786-0.661 1.161-0.714 1.143-2 2.589-1.268 1.446-1.804 1.893-1.232 1.018-2.5 1.018h-0.571v11.429h0.571q1.286 0 2.982 0.571t3.455 1.143 3.205 0.571q3.375 0 3.375-2.982 0-0.464-0.089-1 0.536-0.286 0.848-0.938t0.313-1.313-0.321-1.232q0.946-0.893 0.946-2.125 0-0.446-0.179-0.991t-0.446-0.848h5.911q0.929 0 1.607-0.679t0.679-1.607zM32 13.982q0 1.875-1.348 3.232t-3.223 1.357h-3.018q-0.071 1.107-0.661 2.125 0.054 0.375 0.054 0.768 0 1.804-1.071 3.179 0.018 2.482-1.518 3.92t-4.054 1.438q-2.375 0-5.75-1.232-2.929-1.054-3.982-1.054h-5.143q-0.946 0-1.616-0.67t-0.67-1.616v-11.429q0-0.946 0.67-1.616t1.616-0.67h5.143q0.179 0 0.384-0.080t0.42-0.25 0.402-0.321 0.429-0.402 0.366-0.384 0.339-0.384 0.25-0.304q1.161-1.321 1.786-2.304 0.232-0.375 0.589-1.107t0.661-1.286 0.723-1.125 0.982-0.884 1.241-0.313q2.232 0 3.687 1.196t1.455 3.375q0 1.214-0.393 2.286h6.679q1.857 0 3.214 1.357t1.357 3.196z"></path>'),
	   	 			'mic3' => array('keywords' => 'mic3 ','viewbox' => '0 0 15 32', 'path' =>'<path d="M7 24.007v3.993h-2.966c-1.141 0-2 0.859-2 2v1.5c0 0.276 0.224 0.5 0.5 0.5h10c0.276 0 0.5-0.224 0.5-0.5v-1.425c0-1.164-0.879-2.075-2-2.075h-3.034v-3.993c3.973-0.278 7.068-3.56 7.068-7.564v-1.887c0-0.295-0.239-0.534-0.534-0.534s-0.534 0.24-0.534 0.535v1.887c0 3.597-2.9 6.522-6.466 6.522s-6.466-2.926-6.466-6.522v-1.887c0-0.295-0.239-0.534-0.534-0.534s-0.534 0.239-0.534 0.534v1.887c0 4.003 3.095 7.285 7 7.563zM12.034 30.075v0.925h-9v-1c0-0.589 0.411-1 1-1h7c0.57 0 1 0.462 1 1.075zM7.534-0.034c-2.5 0-4.534 2.059-4.534 4.591v11.887c0 2.531 2.034 4.591 4.534 4.591s4.534-2.060 4.466-4.591v-11.887c0.068-2.532-1.966-4.591-4.466-4.591zM11 16.443c0 1.942-1.555 3.522-3.466 3.522s-3.534-1.579-3.534-3.522v-11.886c0-1.942 1.623-3.522 3.534-3.522s3.466 1.579 3.466 3.522v11.886z"></path>'),
	   	 			'center_focus_strong' => array('keywords' => 'center_focus_strong ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25.313 25.979v-5.313h2.688v5.313q0 1.063-0.813 1.875t-1.875 0.813h-5.313v-2.688h5.313zM25.313 4.667q1.063 0 1.875 0.813t0.813 1.875v5.312h-2.688v-5.313h-5.313v-2.688h5.313zM6.688 7.354v5.312h-2.688v-5.313q0-1.063 0.813-1.875t1.875-0.813h5.313v2.688h-5.313zM6.688 20.667v5.313h5.313v2.688h-5.313q-1.063 0-1.875-0.813t-0.813-1.875v-5.313h2.688zM16 11.354q2.188 0 3.75 1.563t1.563 3.75-1.563 3.75-3.75 1.563-3.75-1.563-1.563-3.75 1.563-3.75 3.75-1.563z"></path>'),
	   	 			'ring_bell' => array('keywords' => 'ring_bell ','viewbox' => '0 0 32 32', 'path' =>'<path d="M27.001 21c-1.103 0-2-0.898-2-2v-8c0-3.519-2.613-6.433-6-6.92v-1.080c0-1.655-1.346-3-3-3s-3 1.345-3 3v1.080c-3.386 0.487-6 3.401-6 6.92v8c0 0.001 0 0.002 0 0.003-0.002 1.101-0.897 1.997-1.998 1.997-0.001 0-0.002 0-0.003 0-1.655 0-3 1.346-3 3s1.345 3 3 3h6.001c0 2.758 2.243 5.001 5 5.001s5-2.243 5-5h6c1.654 0 3-1.346 3-3s-1.346-3-3-3zM16.001 30c-1.655 0-3-1.346-3-3h6c0 1.654-1.346 3-3 3zM27.001 25h-22.001c-0.551 0-1-0.448-1-1 0-0.551 0.448-0.999 0.998-1 0.001 0 0.002 0 0.003 0 2.205 0 4-1.794 4-4 0-0.002-0.001-0.003-0.001-0.005v-7.995c0-2.757 2.243-5 5-5 0.552 0 1-0.448 1-1v-2c0-0.552 0.448-1 1-1s1 0.448 1 1v2c0 0.552 0.448 1 1 1 2.757 0 5 2.243 5 5v8c0 2.206 1.794 4 4 4 0.552 0 1 0.448 1 1s-0.449 1-1 1z"></path>'),
	   	 			'weighing_scale_kitchen' => array('keywords' => 'weighing_scale_kitchen ','viewbox' => '0 0 32 32', 'path' =>'<path d="M27.5 0h-23c-0.552 0-1 0.448-1 1s0.448 1 1 1h1v3c0 0.003 0.001 0.006 0.001 0.010 0.005 1.649 1.348 2.99 2.999 2.99h6.5v1.047c-5.598 0.507-10 5.224-10 10.953v9c0 1.65 1.35 3 3 3h16c1.65 0 3-1.35 3-3v-9c0-5.728-4.402-10.445-10-10.953v-1.048h6.5c1.655 0 3.001-1.346 3.001-3 0-0.005-0.002-0.010-0.002-0.014v-2.986h1c0.552 0 1-0.448 1-1s-0.448-1-1-1zM25 20v9c0 0.55-0.45 1-1 1h-16c-0.55 0-1-0.45-1-1v-9c0-4.963 4.037-9 9-9s9 4.037 9 9zM24.5 5.008c-0.004 0.548-0.45 0.992-1 0.992h-15c-0.551 0-1-0.448-1-1 0-0.002-0-0.003-0-0.005v-2.995h17v3c0 0.003 0 0.005 0 0.008zM9 20c0 3.86 3.14 7 7 7s7-3.14 7-7-3.14-7-7-7-7 3.14-7 7zM21 20c0 2.757-2.243 5-5 5s-5-2.243-5-5 2.243-5 5-5c2.757 0 5 2.243 5 5zM15 18.5v1.889c-0.305 0.274-0.5 0.668-0.5 1.111 0 0.828 0.672 1.5 1.501 1.5s1.499-0.672 1.499-1.5c0-0.442-0.195-0.837-0.5-1.111v-1.889c0-0.552-0.448-1-1-1s-1 0.448-1 1z"></path>'),
	   	 			'playlist_add_check' => array('keywords' => 'playlist_add_check ','viewbox' => '0 0 32 32', 'path' =>'<path d="M28.688 15.979l2 2-9.313 9.375-6.063-6 2-2 4.063 4zM2.688 21.979v-2.625h10.625v2.625h-10.625zM18.688 8.667v2.688h-16v-2.688h16zM18.688 13.979v2.688h-16v-2.688h16z"></path>'),
	   	 			'hospital_bed1' => array('keywords' => 'hospital_bed1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M13 9.001c0.004 0 0.007-0.001 0.010-0.001h2.99v3.001c0 0.552 0.448 1 1 1s1-0.448 1-1c0-0.004-0.001-0.007-0.001-0.010v-2.991h2.991c0.003 0 0.006 0.001 0.010 0.001 0.552 0 1-0.448 1-1s-0.448-1-1-1v0h-3.001v-2.99c0-0.003 0.001-0.006 0.001-0.010 0-0.552-0.448-1-1-1s-1 0.447-1 1v0 3h-3c-0.552 0-1 0.448-1 1s0.448 1 1 1.001zM7.913 18.996c0.030 0.003 0.059 0.004 0.088 0.004 0.513 0 0.95-0.392 0.995-0.913 0.048-0.55-0.36-1.035-0.909-1.083-1.317-0.114-2.53-0.717-3.325-1.652-0.359-0.421-0.99-0.472-1.41-0.114s-0.47 0.99-0.114 1.409c1.134 1.333 2.837 2.189 4.675 2.349zM31 20h-14.586l1-1h13.586c0.552 0 1-0.448 1-1s-0.448-1-1-1h-20c-0.552 0-1 0.448-1 1v2h-8v-6c0-0.552-0.448-1-1-1s-1 0.448-1 1v14c0 0.552 0.448 1 1 1s1-0.448 1-1v-6h8v2c0 0.404 0.243 0.769 0.617 0.924 0.124 0.051 0.254 0.076 0.383 0.076 0.26 0 0.515-0.102 0.707-0.293l2.707-2.707h15.586v6c0 0.552 0.448 1 1 1s1-0.448 1-1v-7c0-0.552-0.448-1-1-1zM12 19h2.586l-2.586 2.586v-2.586z"></path>'),
	   	 			'wrench' => array('keywords' => 'wrench ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31.342 25.559l-14.392-12.336c0.67-1.259 1.051-2.696 1.051-4.222 0-4.971-4.029-9-9-9-0.909 0-1.787 0.135-2.614 0.386l5.2 5.2c0.778 0.778 0.778 2.051 0 2.828l-3.172 3.172c-0.778 0.778-2.051 0.778-2.828 0l-5.2-5.2c-0.251 0.827-0.386 1.705-0.386 2.614 0 4.971 4.029 9 9 9 1.526 0 2.963-0.38 4.222-1.051l12.336 14.392c0.716 0.835 1.938 0.882 2.716 0.104l3.172-3.172c0.778-0.778 0.731-2-0.104-2.716z"></path>'),
	   	 			'arrow_drop_down' => array('keywords' => 'arrow_drop_down ','viewbox' => '0 0 32 32', 'path' =>'<path d="M9.313 13.979h13.375l-6.688 6.688z"></path>'),
	   	 			'beaker' => array('keywords' => 'beaker ','viewbox' => '0 0 27 32', 'path' =>'<path d="M17.5 1c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-9c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h9zM0.99 27.635c-1.074 1.511-0.954 2.498-0.664 3.060 0.307 0.595 1.107 1.305 3.174 1.305h20c2.067 0 2.867-0.71 3.174-1.306 0.29-0.562 0.41-1.549-0.648-3.034l-6.219-9.95-0.088-0.124c-0.447-0.638-2.719-4.564-2.719-7.836v-7.25c0-0.276-0.224-0.5-0.5-0.5h-7c-0.276 0-0.5 0.224-0.5 0.5v7.25c0 3.491-2.465 7.957-2.493 8.005l-5.517 9.88zM25.786 30.235c-0.251 0.487-1.084 0.765-2.286 0.765h-20c-1.202 0-2.035-0.278-2.286-0.765-0.229-0.444-0.020-1.162 0.62-2.066l4.999-8.948 0.007 0.004c0.91 0.525 1.851 1.068 3.719 1.068s2.81-0.542 3.719-1.066c0.833-0.48 1.619-0.934 3.22-0.934 0.607 0 1.133 0.075 1.617 0.21l6.080 9.712c0.611 0.858 0.82 1.576 0.591 2.020zM10 9.75v-6.75h6v6.75c0 2.84 1.516 6.042 2.404 7.602-0.29-0.033-0.585-0.059-0.905-0.059-1.869 0-2.81 0.542-3.719 1.066-0.833 0.48-1.619 0.934-3.22 0.934s-2.387-0.454-3.219-0.934l-0.019-0.011 0.046-0.082c0.025-0.040 2.632-4.686 2.632-8.516z"></path>'),
	   	 			'star-half2' => array('keywords' => 'star-half2 ','viewbox' => '0 0 15 32', 'path' =>'<path d="M14.857 0.857v23.911l-8.018 4.214q-0.393 0.214-0.714 0.214-0.375 0-0.563-0.259t-0.188-0.634q0-0.107 0.036-0.357l1.536-8.929-6.5-6.321q-0.446-0.482-0.446-0.857 0-0.661 1-0.821l8.964-1.304 4.018-8.125q0.339-0.732 0.875-0.732z"></path>'),
	   	 			'paintbrush' => array('keywords' => 'paintbrush ','viewbox' => '0 0 22 32', 'path' =>'<path d="M15.403 21h4.58c1.053 0 1.909-0.856 2.017-1.909v-17.182c-0.108-1.053-0.964-1.909-2.017-1.909h-17.966c-1.053 0-1.909 0.856-2.017 1.909v17.182c0.108 1.053 0.964 1.909 2.017 1.909h4.962c0.348 0 2.083 0.074 2.083 1.542 0 2.622-0.553 3.842-0.762 4.302l-0.049 0.109 0.403 0.174v0.013l-0.447-0.090c-0.017 0.033-0.030 0.068-0.038 0.104-0.154 0.411-0.232 0.833-0.232 1.257 0.001 2.147 1.231 3.589 3.063 3.589 1.851 0 3.094-1.442 3.094-3.589 0-0.391-0.066-0.78-0.198-1.161-0.005-0.114-0.049-0.22-0.119-0.302-0.026-0.060-0.060-0.125-0.101-0.202-0.219-0.415-0.676-1.277-0.676-4.204 0-0.62 0.64-1.542 2.403-1.542zM1 12.059h20v3.941h-20v-3.941zM2.017 1h17.966c0.501 0 0.909 0.408 1.017 0.909v9.149h-20v-9.149c0.108-0.501 0.516-0.909 1.017-0.909zM12.792 27.214c0.028 0.053 0.052 0.097 0.093 0.189 0 0.001 0.003 0.007 0.007 0.016 0.004 0.013 0.008 0.025 0.013 0.038 0.125 0.313 0.188 0.635 0.188 0.954 0.001 1.252-0.549 2.589-2.093 2.589-1.521 0-2.062-1.337-2.062-2.589 0-0.319 0.063-0.641 0.188-0.954 0.004-0.012 0.009-0.023 0.012-0.035 0.014-0.030 0.031-0.068 0.033-0.072l0.042-0.093c0.232-0.514 0.851-1.876 0.851-4.715-0.002-2.007-1.939-2.542-3.114-2.542 0 0 0 0-0.001 0h-4.932c-0.501 0-0.909-0.408-1.017-0.909v-2.091h20v2.091c-0.108 0.501-0.516 0.909-1.017 0.909h-4.58c-2.497 0-3.403 1.521-3.403 2.542 0 3.175 0.535 4.187 0.792 4.672z"></path>'),
	   	 			'try' => array('keywords' => 'try ','viewbox' => '0 0 21 32', 'path' =>'<path d="M20.571 15.143q0 3.411-1.688 6.304t-4.58 4.58-6.304 1.688h-2.857q-0.25 0-0.411-0.161t-0.161-0.411v-10.911l-3.839 1.179q-0.054 0.018-0.161 0.018-0.179 0-0.339-0.107-0.232-0.179-0.232-0.464v-2.286q0-0.411 0.411-0.554l4.161-1.268v-1.661l-3.839 1.179q-0.054 0.018-0.161 0.018-0.179 0-0.339-0.107-0.232-0.179-0.232-0.464v-2.286q0-0.411 0.411-0.554l4.161-1.268v-4.464q0-0.25 0.161-0.411t0.411-0.161h2.857q0.25 0 0.411 0.161t0.161 0.411v3.232l6.696-2.071q0.268-0.089 0.5 0.089t0.232 0.464v2.286q0 0.411-0.411 0.554l-7.018 2.161v1.661l6.696-2.071q0.268-0.089 0.5 0.089t0.232 0.464v2.286q0 0.411-0.411 0.554l-7.018 2.161v8.696q3.357-0.232 5.679-2.696t2.321-5.857q0-0.25 0.161-0.411t0.411-0.161h2.857q0.25 0 0.411 0.161t0.161 0.411z"></path>'),
	   	 			'rain_bow' => array('keywords' => 'rain_bow ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 7.5c-8.822 0-16 7.178-16 16 0 0.552 0.448 1 1 1s1-0.448 1-1c0-7.72 6.28-14 14-14s14 6.28 14 14c0 0.552 0.448 1 1 1s1-0.448 1-1c0-8.822-7.178-16-16-16zM16 11.5c-6.617 0-12 5.383-12 12 0 0.552 0.448 1 1 1s1-0.448 1-1c0-5.514 4.486-10 10-10s10 4.486 10 10c0 0.552 0.448 1 1 1s1-0.448 1-1c0-6.617-5.383-12-12-12zM16 15.5c-4.411 0-8 3.589-8 8 0 0.552 0.448 1 1 1s1-0.448 1-1c0-3.308 2.691-6 6-6s6 2.692 6 6c0 0.552 0.448 1 1 1s1-0.448 1-1c0-4.411-3.589-8-8-8z"></path>'),
	   	 			'graphic_eq' => array('keywords' => 'graphic_eq ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25.313 13.979h2.688v5.375h-2.688v-5.375zM20 24.667v-16h2.688v16h-2.688zM4 19.354v-5.375h2.688v5.375h-2.688zM14.688 29.979v-26.625h2.625v26.625h-2.625zM9.313 24.667v-16h2.688v16h-2.688z"></path>'),
	   	 			'dashcube' => array('keywords' => 'dashcube ','viewbox' => '0 0 25 32', 'path' =>'<path d="M0 12.429q0-2.339 1.634-4.045t3.973-1.705h13.25l6.286-6.393v26.25q0 2.357-1.634 4.054t-3.973 1.696h-13.929q-2.339 0-3.973-1.696t-1.634-4.054v-14.107zM22 25.893l-3.143-3.214v-7.589q0-0.821-0.571-1.411t-1.393-0.589h-8.643q-0.821 0-1.393 0.589t-0.571 1.411v8.786q0 0.821 0.58 1.42t1.384 0.598h13.75z"></path>'),
	   	 			'align-center' => array('keywords' => 'align-center ','viewbox' => '0 0 32 32', 'path' =>'<path d="M32 24.286v2.286q0 0.464-0.339 0.804t-0.804 0.339h-29.714q-0.464 0-0.804-0.339t-0.339-0.804v-2.286q0-0.464 0.339-0.804t0.804-0.339h29.714q0.464 0 0.804 0.339t0.339 0.804zM25.143 17.429v2.286q0 0.464-0.339 0.804t-0.804 0.339h-16q-0.464 0-0.804-0.339t-0.339-0.804v-2.286q0-0.464 0.339-0.804t0.804-0.339h16q0.464 0 0.804 0.339t0.339 0.804zM29.714 10.571v2.286q0 0.464-0.339 0.804t-0.804 0.339h-25.143q-0.464 0-0.804-0.339t-0.339-0.804v-2.286q0-0.464 0.339-0.804t0.804-0.339h25.143q0.464 0 0.804 0.339t0.339 0.804zM22.857 3.714v2.286q0 0.464-0.339 0.804t-0.804 0.339h-11.429q-0.464 0-0.804-0.339t-0.339-0.804v-2.286q0-0.464 0.339-0.804t0.804-0.339h11.429q0.464 0 0.804 0.339t0.339 0.804z"></path>'),
	   	 			'google-wallet' => array('keywords' => 'google-wallet ','viewbox' => '0 0 33 32', 'path' =>'<path d="M7.875 12.286q0.571 0 0.929 0.464 4.75 6.5 6.464 13.821h-7.964q-2.268-7.875-6.554-13.375-0.214-0.286-0.054-0.598t0.518-0.313h6.661zM17.857 18.661q-0.875 3.554-2.232 7.018-1.411-5.536-4.571-10.607 0.714-3.946 0.786-8.018 3.768 6.071 6.018 11.607zM19.625 6q4.196 5.786 6.866 12.473t3.295 13.813h-8.054q-0.732-11.875-9.875-26.286h7.768zM32 16.286q0 7.571-1.804 14.5-1.196-10-6.411-19.339-0.446-5.375-1.893-10.429-0.071-0.286 0.098-0.509t0.455-0.223h6.411q0.375 0 0.688 0.232t0.402 0.589q2.054 7.304 2.054 15.179z"></path>'),
	   	 			'projector_datashow2' => array('keywords' => 'projector_datashow2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M8 13.5h-3c-0.552 0-1 0.448-1 1s0.448 1 1 1h3c0.552 0 1-0.448 1-1s-0.448-1-1-1zM8 16.5h-3c-0.552 0-1 0.448-1 1s0.448 1 1 1h3c0.552 0 1-0.448 1-1s-0.448-1-1-1zM22 12.5c0.552 0 1 0.448 1 1s0.448 1 1 1 1-0.448 1-1c0-1.655-1.346-3-3-3-0.552 0-1 0.448-1 1s0.448 1 1 1zM29 10.5h-1.811c-1.040-1.79-2.974-3-5.189-3s-4.148 1.21-5.189 3h-13.812c-1.655 0-3 1.345-3 3v6c0 1.654 1.345 3 3 3h3v1c0 0.552 0.448 1 1 1s1-0.448 1-1v-1h16v1c0 0.552 0.448 1 1 1s1-0.448 1-1v-1h3c1.654 0 3-1.346 3-3v-6c0-1.655-1.346-3-3-3zM22 9.5c2.206 0 4 1.794 4 4s-1.794 4-4 4-4-1.794-4-4 1.794-4 4-4zM30 19.5c0 0.552-0.448 1-1 1h-26c-0.552 0-1-0.448-1-1v-6c0-0.552 0.448-1 1-1h13.090c-0.055 0.326-0.091 0.659-0.091 1 0 3.308 2.691 6 6 6s6-2.692 6-6c0-0.341-0.035-0.674-0.090-1h1.090c0.552 0 1 0.448 1 1v6z"></path>'),
	   	 			'text_formatting1' => array('keywords' => 'text_formatting1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M24.207 15.298c-0.39-0.39-1.023-0.39-1.414 0l-4 4c-0.39 0.39-0.39 1.023 0 1.414s1.023 0.39 1.414 0l2.293-2.293v12.581c0 0.552 0.448 1 1 1s1-0.448 1-1v-12.581l2.293 2.293c0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293c0.39-0.39 0.39-1.023 0-1.414l-4-4zM16 24.5h-12c-0.552 0-1 0.448-1 1s0.448 1 1 1h12c0.552 0 1-0.448 1-1s-0.448-1-1-1zM28 12h-9c-0.552 0-1 0.448-1 1s0.448 1 1 1h9c0.552 0 1-0.448 1-1s-0.448-1-1-1zM3.732 23.463c0.535 0.149 1.084-0.162 1.233-0.695l1.889-6.768h6.296l1.889 6.768c0.123 0.442 0.525 0.732 0.963 0.732 0.089 0 0.179-0.012 0.27-0.037 0.532-0.148 0.843-0.7 0.695-1.232l-6-21.5c-0.12-0.432-0.515-0.732-0.963-0.732s-0.843 0.299-0.963 0.732l-6 21.5c-0.148 0.532 0.163 1.083 0.695 1.232zM10.001 4.72l2.59 9.28h-5.18l2.59-9.28zM23 11h3c0.552 0 1-0.448 1-1v-7c0-1.655-1.346-3-3-3-0.552 0-1 0.448-1 1s0.448 1 1 1c0.552 0 1 0.448 1 1v1h-2c-1.93 0-3.5 1.571-3.5 3.5s1.57 3.5 3.5 3.5zM23 6h2v3h-2c-0.827 0-1.5-0.673-1.5-1.5s0.673-1.5 1.5-1.5z"></path>'),
	   	 			'road2' => array('keywords' => 'road2 ','viewbox' => '0 0 34 32', 'path' =>'<path d="M19.839 18.071v-0.071l-0.429-5.714q-0.018-0.232-0.196-0.402t-0.411-0.17h-3.321q-0.232 0-0.411 0.17t-0.196 0.402l-0.429 5.714v0.071q-0.018 0.214 0.143 0.357t0.375 0.143h4.357q0.214 0 0.375-0.143t0.143-0.357zM33.393 26.411q0 1.304-0.821 1.304h-12.571q0.232 0 0.393-0.17t0.143-0.402l-0.357-4.571q-0.018-0.232-0.196-0.402t-0.411-0.17h-4.857q-0.232 0-0.411 0.17t-0.196 0.402l-0.357 4.571q-0.018 0.232 0.143 0.402t0.393 0.17h-12.571q-0.821 0-0.821-1.304 0-0.964 0.464-2.071l7.446-18.643q0.143-0.339 0.464-0.589t0.679-0.25h6.054q-0.232 0-0.411 0.17t-0.196 0.402l-0.268 3.429q-0.018 0.25 0.143 0.411t0.393 0.161h2.964q0.232 0 0.393-0.161t0.143-0.411l-0.268-3.429q-0.018-0.232-0.196-0.402t-0.411-0.17h6.054q0.357 0 0.679 0.25t0.464 0.589l7.446 18.643q0.464 1.107 0.464 2.071z"></path>'),
	   	 			'users' => array('keywords' => 'users ','viewbox' => '0 0 36 32', 'path' =>'<path d="M24 24.082v-1.649c2.203-1.241 4-4.337 4-7.432 0-4.971 0-9-6-9s-6 4.029-6 9c0 3.096 1.797 6.191 4 7.432v1.649c-6.784 0.555-12 3.888-12 7.918h28c0-4.030-5.216-7.364-12-7.918zM10.225 24.854c1.728-1.13 3.877-1.989 6.243-2.513-0.47-0.556-0.897-1.176-1.265-1.844-0.95-1.726-1.453-3.627-1.453-5.497 0-2.689 0-5.228 0.956-7.305 0.928-2.016 2.598-3.265 4.976-3.734-0.529-2.39-1.936-3.961-5.682-3.961-6 0-6 4.029-6 9 0 3.096 1.797 6.191 4 7.432v1.649c-6.784 0.555-12 3.888-12 7.918h8.719c0.454-0.403 0.956-0.787 1.506-1.146z"></path>'),
	   	 			'thumbs-down' => array('keywords' => 'thumbs-down ','viewbox' => '0 0 29 32', 'path' =>'<path d="M4.571 10.571q0 0.464-0.339 0.804t-0.804 0.339q-0.482 0-0.813-0.339t-0.33-0.804q0-0.482 0.33-0.813t0.813-0.33q0.464 0 0.804 0.33t0.339 0.813zM7.429 19.714v-11.429q0-0.464-0.339-0.804t-0.804-0.339h-5.143q-0.464 0-0.804 0.339t-0.339 0.804v11.429q0 0.464 0.339 0.804t0.804 0.339h5.143q0.464 0 0.804-0.339t0.339-0.804zM27.589 17.054q0.982 1.089 0.982 2.661-0.018 1.393-1.027 2.411t-2.402 1.018h-4.946q0.071 0.25 0.143 0.429t0.196 0.393 0.179 0.321q0.321 0.661 0.482 1.018t0.339 1.045 0.179 1.366q0 0.429-0.009 0.696t-0.089 0.804-0.214 0.893-0.429 0.804-0.714 0.723-1.071 0.464-1.473 0.188q-0.464 0-0.804-0.339-0.357-0.357-0.607-0.893t-0.348-0.929-0.223-1.089q-0.161-0.75-0.241-1.080t-0.313-0.866-0.554-0.857q-0.589-0.589-1.804-2.143-0.875-1.143-1.804-2.161t-1.357-1.054q-0.446-0.036-0.768-0.366t-0.321-0.777v-11.446q0-0.464 0.339-0.795t0.804-0.348q0.625-0.018 2.821-0.786 1.375-0.464 2.152-0.705t2.17-0.518 2.571-0.277h2.304q2.375 0.036 3.518 1.393 1.036 1.232 0.875 3.232 0.696 0.661 0.964 1.679 0.304 1.089 0 2.089 0.821 1.089 0.768 2.446 0 0.571-0.268 1.357z"></path>'),
	   	 			'email' => array('keywords' => 'email ','viewbox' => '0 0 32 32', 'path' =>'<path d="M26.688 11.354v-2.688l-10.688 6.688-10.688-6.688v2.688l10.688 6.625zM26.688 5.979q1.063 0 1.844 0.813t0.781 1.875v16q0 1.063-0.781 1.875t-1.844 0.813h-21.375q-1.063 0-1.844-0.813t-0.781-1.875v-16q0-1.063 0.781-1.875t1.844-0.813h21.375z"></path>'),
	   	 			'reply_all' => array('keywords' => 'reply_all ','viewbox' => '0 0 32 32', 'path' =>'<path d="M17.313 12.667q6.5 0.938 10.031 4.969t4.656 9.719q-4.813-6.813-14.688-6.813v5.438l-9.313-9.313 9.313-9.313v5.313zM9.313 11.354l-5.313 5.313 5.313 5.313v4l-9.313-9.313 9.313-9.313v4z"></path>'),
	   	 			'focus' => array('keywords' => 'focus ','viewbox' => '0 0 42 32', 'path' =>'<path d="M8.5 0h-7c-0.827 0-1.5 0.673-1.5 1.5v6c0 0.276 0.224 0.5 0.5 0.5s0.5-0.224 0.5-0.5v-6c0-0.276 0.225-0.5 0.5-0.5h7c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5zM40.5 0h-7c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h7c0.275 0 0.5 0.224 0.5 0.5v6c0 0.276 0.224 0.5 0.5 0.5s0.5-0.224 0.5-0.5v-6c0-0.827-0.673-1.5-1.5-1.5zM41.5 24c-0.276 0-0.5 0.224-0.5 0.5v6c0 0.276-0.225 0.5-0.5 0.5h-7c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h7c0.827 0 1.5-0.673 1.5-1.5v-6c0-0.276-0.224-0.5-0.5-0.5zM0.5 24c-0.276 0-0.5 0.224-0.5 0.5v6c0 0.827 0.673 1.5 1.5 1.5h7c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-7c-0.275 0-0.5-0.224-0.5-0.5v-6c0-0.276-0.224-0.5-0.5-0.5zM23.5 19c0.276 0 0.5-0.224 0.5-0.5v-5c0-0.276-0.224-0.5-0.5-0.5h-5c-0.276 0-0.5 0.224-0.5 0.5v5c0 0.276 0.224 0.5 0.5 0.5h5zM19 14h4v4h-4v-4z"></path>'),
	   	 			'law_hummer' => array('keywords' => 'law_hummer ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 9.5h-15v-2c0.552 0 1-0.448 1-1v-3c0-0.552-0.448-1-1-1h-9c-0.552 0-1 0.448-1 1v3c0 0.552 0.448 1 1 1v10c-0.552 0-1 0.448-1 1v3c0 0.552 0.448 1 1 1h9c0.552 0 1-0.448 1-1v-3c0-0.552-0.448-1-1-1v-2h15c1.654 0 3-1.345 3-3s-1.346-3-3-3zM6 4.5h7v1h-7v-1zM12.999 20.5h-7v-1h7v1zM7 17.5v-10h5v10h-5zM29 13.5h-15v-2h15c0.552 0 1 0.448 1 1s-0.448 1-1 1zM18 27.5v0c-0-1.654-1.346-3-3.001-3h-11c-1.655 0-3 1.346-3 3v0c-0.552 0-1 0.448-1 1s0.448 1 1 1h17c0.552 0 1-0.448 1-1s-0.448-1-1-1zM2.999 27.5c0-0.552 0.449-1 1-1h11c0.552 0 1 0.448 1 1h-13z"></path>'),
	   	 			'volume1_success' => array('keywords' => 'volume1_success ','viewbox' => '0 0 32 32', 'path' =>'<path d="M19.56 0.354l-0.21-0.107c-0.863-0.441-2.054-0.278-2.77 0.38l-9.108 8.373h-4.471c-1.655 0-3 1.345-3 3v8c0 1.654 1.345 3 3 3h4.471l9.108 8.372c0.445 0.41 1.075 0.628 1.695 0.628 0.376 0 0.749-0.080 1.075-0.247l0.211-0.108c0.821-0.419 1.44-1.438 1.44-2.369v-26.554c0-0.931-0.619-1.95-1.44-2.369zM2 20v-8c0-0.552 0.448-1 1-1h4v10h-4c-0.552 0-1-0.448-1-1zM19 29.277c0 0.183-0.192 0.508-0.349 0.587l-0.212 0.108c-0.121 0.061-0.404 0.021-0.506-0.072l-8.934-8.211v-11.377l8.934-8.211c0.102-0.093 0.386-0.133 0.506-0.072l0.211 0.107c0.157 0.080 0.349 0.404 0.349 0.587v26.554zM31.707 12.793c-0.39-0.39-1.024-0.39-1.414 0l-4.293 4.293-2.293-2.293c-0.39-0.39-1.023-0.39-1.414 0s-0.39 1.024 0 1.415l3 3c0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293c0.001-0 0.001-0.001 0.002-0.002l4.998-4.998c0.391-0.39 0.391-1.024 0-1.414z"></path>'),
	   	 			'mic_symbol3' => array('keywords' => 'mic_symbol3 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M24 6h-1.080c-0.488-3.386-3.401-6-6.92-6s-6.433 2.614-6.92 6h-1.080c-0.552 0-1 0.448-1 1s0.448 1 1 1h1.080c0.252 1.749 1.146 3.293 2.443 4.375l0.979 14.691c0.035 0.526 0.471 0.933 0.998 0.933h1.5v3c0 0.552 0.448 1 1 1s1-0.448 1-1v-3h1.5c0.526 0 0.963-0.408 0.998-0.933l0.98-14.691c1.297-1.082 2.191-2.626 2.442-4.375h1.080c0.552 0 1-0.448 1-1s-0.448-1-1-1zM16 2c2.415 0 4.434 1.72 4.899 4h-9.799c0.464-2.28 2.485-4 4.899-4zM17.564 26h-3.129l-0.829-12.431c0.748 0.274 1.551 0.431 2.393 0.431s1.645-0.157 2.393-0.431l-0.828 12.431zM16 12c-2.415 0-4.434-1.72-4.899-4h9.799c-0.465 2.28-2.485 4-4.899 4zM15 18v2c0 0.552 0.448 1 1 1s1-0.448 1-1v-2c0-0.552-0.448-1-1-1s-1 0.448-1 1z"></path>'),
	   	 			'brightness_high' => array('keywords' => 'brightness_high ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 11.354q2.188 0 3.75 1.563t1.563 3.75-1.563 3.75-3.75 1.563-3.75-1.563-1.563-3.75 1.563-3.75 3.75-1.563zM16 24.667q3.313 0 5.656-2.344t2.344-5.656-2.344-5.656-5.656-2.344-5.656 2.344-2.344 5.656 2.344 5.656 5.656 2.344zM26.688 12.229l4.375 4.438-4.375 4.438v6.25h-6.25l-4.438 4.375-4.438-4.375h-6.25v-6.25l-4.375-4.438 4.375-4.438v-6.25h6.25l4.438-4.375 4.438 4.375h6.25v6.25z"></path>'),
	   	 			'top_alignment' => array('keywords' => 'top_alignment ','viewbox' => '0 0 32 32', 'path' =>'<path d="M18 28h11c0.552 0 1-0.448 1-1v-26c0-0.552-0.448-1-1-1h-11c-0.552 0-1 0.448-1 1v26c0 0.552 0.448 1 1 1zM19 2h9v24h-9v-24zM3 28h11c0.552 0 1-0.448 1-1v-11c0-0.552-0.448-1-1-1h-11c-0.552 0-1 0.448-1 1v11c0 0.552 0.448 1 1 1zM4 17h9v9h-9v-9zM30 30h-28c-0.552 0-1 0.448-1 1s0.448 1 1 1h28c0.552 0 1-0.448 1-1s-0.448-1-1-1zM6 21c0.256 0 0.512-0.098 0.707-0.293l1-1c0.391-0.39 0.391-1.023 0-1.414s-1.024-0.39-1.414 0l-1 1c-0.391 0.39-0.391 1.023 0 1.414 0.195 0.195 0.451 0.293 0.707 0.293zM10.293 18.294l-4.999 4.999c-0.391 0.39-0.391 1.024 0 1.414 0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293l4.999-4.999c0.39-0.39 0.39-1.024 0-1.414s-1.024-0.39-1.414 0z"></path>'),
	   	 			'key4' => array('keywords' => 'key4 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M14.683 14.698c0.117 0 0.235-0.041 0.33-0.124l11.317-9.922-0.66-0.752-11.317 9.921c-0.208 0.182-0.229 0.498-0.046 0.706 0.099 0.113 0.237 0.171 0.376 0.171zM10.188 32c6.142 0 9.812-4.83 9.812-9.5 0-1.346-0.322-2.829-0.798-3.792l4.522-2.261c0.169-0.085 0.276-0.258 0.276-0.447v-4h3c0.011 0 0.102-0.006 0.113-0.006 0.666-0.045 0.865-0.257 0.887-0.994v-4h3c0.129 0 0.218 0.014 0.278 0.023 0.121 0.019 0.347 0.054 0.543-0.122 0.202-0.18 0.193-0.408 0.185-0.609-0.002-0.072-0.006-0.167-0.006-0.292v-4.531c0-0.81-0.659-1.469-1.469-1.469h-3.875c-0.354 0-0.698 0.129-0.969 0.364l-13.187 11.56c-0.649-0.13-1.63-0.299-2.313-0.299-5.617 0-10.187 4.57-10.187 10.187s4.57 10.188 10.188 10.188zM10.188 12.625c0.501 0 1.359 0.12 2.354 0.328 0.155 0.034 0.314-0.010 0.432-0.113l13.371-11.722c0.087-0.076 0.198-0.118 0.311-0.118h3.875c0.259 0 0.469 0.21 0.469 0.469v4.531h-3.5c-0.276 0-0.5 0.224-0.5 0.5v4.5h-3.5c-0.276 0-0.5 0.224-0.5 0.5v4.191l-4.724 2.362c-0.131 0.065-0.227 0.186-0.262 0.328s-0.006 0.293 0.080 0.412c0.44 0.607 0.906 2.114 0.906 3.707 0 4.178-3.296 8.5-8.812 8.5-5.066 0-9.188-4.122-9.188-9.188s4.122-9.187 9.188-9.187zM8.5 27c1.93 0 3.5-1.57 3.5-3.5s-1.57-3.5-3.5-3.5-3.5 1.57-3.5 3.5 1.57 3.5 3.5 3.5zM8.5 21c1.378 0 2.5 1.122 2.5 2.5s-1.122 2.5-2.5 2.5-2.5-1.122-2.5-2.5 1.122-2.5 2.5-2.5z"></path>'),
	   	 			'gbp' => array('keywords' => 'gbp ','viewbox' => '0 0 18 32', 'path' =>'<path d="M18.214 20.589v6.554q0 0.25-0.161 0.411t-0.411 0.161h-17.071q-0.25 0-0.411-0.161t-0.161-0.411v-2.679q0-0.232 0.17-0.402t0.402-0.17h1.732v-6.839h-1.696q-0.25 0-0.411-0.17t-0.161-0.402v-2.339q0-0.25 0.161-0.411t0.411-0.161h1.696v-3.982q0-3.054 2.205-5.036t5.616-1.982q3.304 0 5.982 2.232 0.161 0.143 0.179 0.366t-0.125 0.402l-1.839 2.268q-0.161 0.196-0.393 0.214-0.232 0.036-0.411-0.125-0.089-0.089-0.464-0.339t-1.232-0.571-1.661-0.321q-1.518 0-2.446 0.839t-0.929 2.196v3.839h5.446q0.232 0 0.402 0.161t0.17 0.411v2.339q0 0.232-0.17 0.402t-0.402 0.17h-5.446v6.768h7.393v-3.232q0-0.232 0.161-0.402t0.411-0.17h2.893q0.25 0 0.411 0.17t0.161 0.402z"></path>'),
	   	 			'arrow_drop_up' => array('keywords' => 'arrow_drop_up ','viewbox' => '0 0 32 32', 'path' =>'<path d="M9.313 19.354l6.688-6.688 6.688 6.688h-13.375z"></path>'),
	   	 			'home_hand' => array('keywords' => 'home_hand ','viewbox' => '0 0 32 32', 'path' =>'<path d="M30.695 12.331l-12.5-12.050c-0.387-0.373-1.001-0.373-1.389 0l-12.5 12.050c-0.397 0.383-0.409 1.017-0.026 1.414s1.016 0.409 1.414 0.026l1.323-1.275v5.871c-2.282 0.419-4.85 1.061-5.263 1.165-0.444 0.112-0.755 0.512-0.755 0.97v6c0 0.552 0.448 1 1 1h4.665c2.509 1.453 8.942 4.5 10.773 4.5 1.91 0 9.697-4.221 10.77-5.293 0.424-0.423 0.533-1.020 0.294-1.598-0.11-0.264-0.302-0.525-0.548-0.77 0.020-0.136 0.030-0.276 0.030-0.416v-11.428l1.323 1.275c0.194 0.187 0.444 0.28 0.694 0.28 0.262 0 0.523-0.102 0.72-0.306 0.384-0.398 0.372-1.031-0.025-1.414zM9.018 10.566l8.482-8.178 8.483 8.178v12.603c-0.483-0.162-0.98-0.259-1.448-0.259-0.328 0-0.636 0.047-0.914 0.14-0.553 0.184-1.098 0.405-1.621 0.63v-9.681c0-0.552-0.448-1-1-1h-7c-0.552 0-1 0.448-1 1v5.011c-1.713-0.723-2.582-1.012-3.063-1.012-0.258 0-0.57 0.021-0.92 0.059v-7.493zM20 22.267c-0.309-0.254-0.697-0.483-1.169-0.686-0.573-0.246-1.335-0.587-2.169-0.961-0.607-0.271-1.155-0.517-1.662-0.74v-4.88h5v7.267zM17.436 30c-1.073-0.003-7.135-2.648-9.983-4.358-0.155-0.093-0.333-0.142-0.514-0.142h-3.938v-4.217c1.978-0.477 5.593-1.283 6.9-1.285 0.655 0.077 4.096 1.619 5.944 2.447 0.845 0.379 1.618 0.724 2.199 0.974 0.679 0.291 0.817 0.517 0.829 0.517v-0c-0.029 0.187-0.457 0.604-0.993 0.945l-4.036-1.794c-0.505-0.224-1.095 0.003-1.321 0.508-0.224 0.505 0.003 1.096 0.508 1.32l4.5 2c0.058 0.026 0.119 0.044 0.178 0.058 0.209 0.073 0.431 0.121 0.677 0.121 0.905 0 1.962-0.48 3.301-1.086 0.833-0.378 1.694-0.767 2.566-1.058 0.073-0.024 0.17-0.037 0.281-0.037 0.637 0 1.431 0.381 1.852 0.701-1.788 1.245-7.858 4.349-8.952 4.387z"></path>'),
	   	 			'cc-paypal' => array('keywords' => 'cc-paypal ','viewbox' => '0 0 41 32', 'path' =>'<path d="M13.304 16.464q0 0.661-0.455 1.098t-1.116 0.438q-0.518 0-0.83-0.286t-0.313-0.786q0-0.661 0.446-1.116t1.107-0.455q0.5 0 0.83 0.295t0.33 0.813zM27.321 13.804q0 0.75-0.393 1.018t-1.179 0.268l-0.571 0.018 0.304-1.911q0.036-0.196 0.232-0.196h0.321q0.393 0 0.625 0.036t0.446 0.223 0.214 0.545zM33.589 16.464q0 0.643-0.455 1.089t-1.098 0.446q-0.518 0-0.839-0.286t-0.321-0.786q0-0.661 0.446-1.116t1.107-0.455q0.5 0 0.83 0.295t0.33 0.812zM9.161 13.411q0-1.054-0.688-1.527t-1.795-0.473h-2.857q-0.339 0-0.375 0.339l-1.161 7.286q-0.018 0.107 0.054 0.196t0.179 0.089h1.357q0.357 0 0.393-0.339l0.321-1.964q0.018-0.143 0.125-0.232t0.268-0.116 0.304-0.027 0.339 0.018 0.25 0.018q1.536 0 2.411-0.866t0.875-2.402zM14.679 18.982l0.732-4.661q0.018-0.107-0.054-0.196t-0.179-0.089h-1.357q-0.25 0-0.304 0.589-0.482-0.714-1.696-0.714-1.286 0-2.188 0.964t-0.902 2.268q0 1.054 0.616 1.679t1.652 0.625q0.5 0 1.036-0.214t0.857-0.571q-0.071 0.214-0.071 0.375 0 0.286 0.232 0.286h1.232q0.339 0 0.393-0.339zM22.661 14.286q0-0.089-0.071-0.17t-0.161-0.080h-1.375q-0.196 0-0.321 0.179l-1.893 2.786-0.786-2.679q-0.089-0.286-0.393-0.286h-1.339q-0.089 0-0.161 0.080t-0.071 0.17q0 0.036 0.348 1.054t0.75 2.196 0.42 1.25q-1.464 2-1.464 2.143 0 0.232 0.232 0.232h1.375q0.196 0 0.321-0.179l4.554-6.571q0.036-0.036 0.036-0.125zM29.446 13.411q0-1.054-0.688-1.527t-1.795-0.473h-2.839q-0.357 0-0.393 0.339l-1.161 7.286q-0.018 0.107 0.054 0.196t0.179 0.089h1.464q0.214 0 0.286-0.232l0.321-2.071q0.018-0.143 0.125-0.232t0.268-0.116 0.304-0.027 0.339 0.018 0.25 0.018q1.536 0 2.411-0.866t0.875-2.402zM34.964 18.982l0.732-4.661q0.018-0.107-0.054-0.196t-0.179-0.089h-1.357q-0.25 0-0.304 0.589-0.464-0.714-1.696-0.714-1.286 0-2.188 0.964t-0.902 2.268q0 1.054 0.616 1.679t1.652 0.625q0.518 0 1.054-0.214t0.839-0.571q0 0.018-0.036 0.161t-0.036 0.214q0 0.286 0.232 0.286h1.232q0.339 0 0.393-0.339zM38.857 11.679v-0.018q0-0.25-0.232-0.25h-1.321q-0.196 0-0.232 0.196l-1.161 7.429-0.018 0.036q0 0.089 0.071 0.17t0.179 0.080h1.179q0.339 0 0.375-0.339zM7 14.071q-0.089 0.625-0.464 0.821t-1.071 0.196l-0.589 0.018 0.304-1.911q0.036-0.196 0.232-0.196h0.339q0.714 0 1.036 0.205t0.214 0.866zM41.143 4.857v22.857q0 0.929-0.679 1.607t-1.607 0.679h-36.571q-0.929 0-1.607-0.679t-0.679-1.607v-22.857q0-0.929 0.679-1.607t1.607-0.679h36.571q0.929 0 1.607 0.679t0.679 1.607z"></path>'),
	   	 			'location-arrow' => array('keywords' => 'location-arrow ','viewbox' => '0 0 25 32', 'path' =>'<path d="M25.018 6.518l-11.429 22.857q-0.304 0.625-1.018 0.625-0.089 0-0.268-0.036-0.393-0.089-0.634-0.402t-0.241-0.705v-10.286h-10.286q-0.393 0-0.705-0.241t-0.402-0.634 0.071-0.75 0.518-0.536l22.857-11.429q0.232-0.125 0.518-0.125 0.482 0 0.804 0.339 0.268 0.25 0.33 0.616t-0.116 0.705z"></path>'),
	   	 			'wrench2' => array('keywords' => 'wrench2 ','viewbox' => '0 0 30 32', 'path' =>'<path d="M6.857 26.571q0-0.464-0.339-0.804t-0.804-0.339-0.804 0.339-0.339 0.804 0.339 0.804 0.804 0.339 0.804-0.339 0.339-0.804zM18.357 19.071l-12.179 12.179q-0.661 0.661-1.607 0.661-0.929 0-1.625-0.661l-1.893-1.929q-0.679-0.643-0.679-1.607 0-0.946 0.679-1.625l12.161-12.161q0.696 1.75 2.045 3.098t3.098 2.045zM29.679 11.304q0 0.696-0.411 1.893-0.839 2.393-2.938 3.884t-4.616 1.491q-3.304 0-5.652-2.348t-2.348-5.652 2.348-5.652 5.652-2.348q1.036 0 2.17 0.295t1.92 0.83q0.286 0.196 0.286 0.5t-0.286 0.5l-5.232 3.018v4l3.446 1.911q0.089-0.054 1.411-0.866t2.42-1.446 1.259-0.634q0.268 0 0.42 0.179t0.152 0.446z"></path>'),
	   	 			'letter_box1' => array('keywords' => 'letter_box1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25 8.5h-7v-1h4c0.552 0 1-0.448 1-1v-3c0-0.552-0.448-1-1-1h-5c-0.552 0-1 0.448-1 1v5h-9c-3.86 0-7 3.14-7 7v7c0 0.552 0.448 1 1 1h12v5c0 0.552 0.448 1 1 1h4c0.552 0 1-0.448 1-1v-5h12c0.552 0 1-0.448 1-1v-7c0-3.86-3.14-7-7-7zM18 4.5h3v1h-3v-1zM7 10.5c2.757 0 5 2.243 5 5v6h-10v-6c0-2.757 2.243-5 5-5zM17 27.5h-2v-4h2v4zM30 21.5h-16v-6c0-1.958-0.81-3.729-2.111-5h4.111v4c0 0.552 0.448 1 1 1s1-0.448 1-1v-4h7c2.757 0 5 2.243 5 5v6zM5 20.5h4c0.552 0 1-0.448 1-1s-0.448-1-1-1h-4c-0.552 0-1 0.448-1 1s0.448 1 1 1z"></path>'),
	   	 			'pied-piper' => array('keywords' => 'pied-piper ','viewbox' => '0 0 41 32', 'path' =>'<path d="M41.143 0.286q-1.232 0.821-2.232 1.643t-1.589 1.446-1.063 1.277-0.67 1.027-0.393 0.795-0.25 0.527q-0.179 0.321-0.634 2.438t-0.866 2.938q-0.268 0.518-0.893 1.080t-1.205 0.902-1.295 0.732-0.857 0.5q-0.839 0.554-2.696 4.125-6.089-0.25-11.25 2.821-1.643 0.946-5.411 3.196 0.839-0.286 1.536-0.554t0.982-0.393l0.268-0.125q1.268-0.482 2.911-1.152t2.384-0.955 1.929-0.616 2.545-0.563q3.321-0.554 8.304 0.125 0.018 0 0.179 0.054 0.196 0.107 0.25 0.304t-0.054 0.393l-3.464 6.161q-0.268 0.518-0.839 0.393-2.286-0.429-6.321-0.429-2.607 0-7.179 0.795t-7 0.83q-1.464 0.018-2.661-0.232t-1.911-0.661-1.089-0.714-0.589-0.607l-0.018-0.018v-0.036q0-0.107 0.107-0.107 2.464 0 6.625-0.982 3.429-6.536 6.688-9.357t6.848-2.821q0.089 0 0.259 0.009t0.679 0.089 0.982 0.214 1.098 0.438 1.125 0.705 0.964 1.054 0.714 1.473l1.821-3.161q0.036-0.071 0.375-0.759t0.795-1.545 1.089-1.955 1.5-2.384 1.795-2.446q1.179-1.464 2.286-2.527t2.17-1.723 1.652-0.955 1.571-0.705z"></path>'),
	   	 			'translate' => array('keywords' => 'translate ','viewbox' => '0 0 32 32', 'path' =>'<path d="M21.188 23.354h4.313l-2.188-5.813zM24.688 13.979l6 16h-2.688l-1.5-4h-6.313l-1.5 4h-2.688l6-16h2.688zM17.188 20.729l-1.063 2.75-4.125-4.125-6.688 6.625-1.875-1.875 6.813-6.688q-2.5-2.75-4-6.063h2.688q1.313 2.5 3.063 4.438 2.875-3.188 4.25-7.125h-14.938v-2.688h9.375v-2.625h2.625v2.625h9.375v2.688h-3.938q-1.625 5-4.938 8.688l-0.063 0.063z"></path>'),
	   	 			'speaker' => array('keywords' => 'speaker ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 16.667q1.625 0 2.813 1.188t1.188 2.813-1.188 2.813-2.813 1.188-2.813-1.188-1.188-2.813 1.188-2.813 2.813-1.188zM16 27.354q2.75 0 4.719-1.969t1.969-4.719-1.969-4.719-4.719-1.969-4.719 1.969-1.969 4.719 1.969 4.719 4.719 1.969zM16 5.979q-1.125 0-1.906 0.813t-0.781 1.875 0.781 1.875 1.906 0.813q1.063 0 1.875-0.813t0.813-1.875-0.813-1.875-1.875-0.813zM22.688 3.354q1.063 0 1.844 0.781t0.781 1.844v21.375q0 1.063-0.781 1.844t-1.844 0.781h-13.375q-1.063 0-1.844-0.781t-0.781-1.844v-21.375q0-1.063 0.781-1.844t1.844-0.781h13.375z"></path>'),
	   	 			'vertical_align_top' => array('keywords' => 'vertical_align_top ','viewbox' => '0 0 32 32', 'path' =>'<path d="M5.313 4.667h21.375v2.688h-21.375v-2.688zM10.688 15.354l5.313-5.375 5.313 5.375h-4v13.313h-2.625v-13.313h-4z"></path>'),
	   	 			'chrome2' => array('keywords' => 'chrome2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M15.946 0.286q4.286-0.036 8.054 2.143 4.143 2.393 6.286 6.643l-13.25-0.696q-2.857-0.161-5.25 1.33t-3.304 4.098l-4.929-7.571q2.286-2.839 5.554-4.384t6.839-1.563zM2.607 7.518l6.018 11.839q1.286 2.554 3.768 3.875t5.232 0.804l-4.107 8.054q-3.786-0.589-6.875-2.813t-4.866-5.643-1.777-7.348q0-4.768 2.607-8.768zM30.929 10.536q1.036 2.679 1.063 5.545t-0.866 5.464-2.732 4.857-4.393 3.741q-4.107 2.375-8.893 2.125l7.232-11.125q1.571-2.339 1.473-5.188t-1.902-4.955zM16 10.893q2.232 0 3.813 1.58t1.58 3.813-1.58 3.813-3.813 1.58-3.813-1.58-1.58-3.813 1.58-3.813 3.813-1.58z"></path>'),
	   	 			'speedometer' => array('keywords' => 'speedometer ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16-0.034c-8.841 0-16.035 7.192-16.035 16.034s7.194 16.034 16.035 16.034 16.035-7.192 16.035-16.034-7.194-16.034-16.035-16.034zM16 30.966c-8.252 0-14.965-6.714-14.965-14.966s6.713-14.966 14.965-14.966 14.965 6.714 14.965 14.966-6.713 14.966-14.965 14.966zM16.5 6.053c0.305 0 0.553-0.247 0.553-0.553v-2c0-0.306-0.248-0.553-0.553-0.553s-0.553 0.247-0.553 0.553v2c0 0.306 0.248 0.553 0.553 0.553zM5.5 14.947h-2c-0.305 0-0.553 0.247-0.553 0.553s0.248 0.553 0.553 0.553h2c0.305 0 0.553-0.247 0.553-0.553s-0.248-0.553-0.553-0.553zM25.947 15.5c0 0.306 0.248 0.553 0.553 0.553h2c0.305 0 0.553-0.247 0.553-0.553s-0.248-0.553-0.553-0.553h-2c-0.305 0-0.553 0.247-0.553 0.553zM8.575 10.128c0.142 0 0.283-0.054 0.391-0.162 0.216-0.216 0.216-0.565 0-0.781l-1.575-1.576c-0.216-0.217-0.565-0.217-0.781 0s-0.216 0.565 0 0.781l1.575 1.575c0.107 0.109 0.249 0.163 0.39 0.163zM23.891 21.109c-0.216-0.217-0.565-0.217-0.781 0s-0.216 0.565 0 0.781l1.5 1.5c0.108 0.108 0.249 0.162 0.391 0.162s0.283-0.054 0.391-0.162c0.216-0.216 0.216-0.565 0-0.781l-1.501-1.5zM24.891 7.891c0.216-0.216 0.216-0.565 0-0.781s-0.565-0.217-0.781 0l-1.575 1.575c-0.216 0.216-0.216 0.565 0 0.781 0.108 0.108 0.249 0.162 0.391 0.162s0.283-0.054 0.391-0.162l1.574-1.575zM8.609 21.609l-1.5 1.5c-0.216 0.216-0.216 0.565 0 0.781 0.108 0.108 0.249 0.162 0.391 0.162s0.283-0.054 0.391-0.162l1.5-1.5c0.216-0.216 0.216-0.565 0-0.781s-0.566-0.216-0.782 0zM19.5 24h-7c-0.889-0.034-1.535 0.611-1.535 1.5v0.957c0 0.898 0.674 1.603 1.535 1.543h7c0.86 0.060 1.535-0.645 1.535-1.543v-0.957c0-0.889-0.646-1.534-1.535-1.5zM19.965 26.457c0 0.257-0.146 0.534-0.465 0.568h-7c-0.32-0.034-0.465-0.312-0.465-0.025v-0.957c0-0.839 0.169-1.009 0.465-1.043h7c0.296 0.034 0.465 0.204 0.465 0.5v0.957zM16 18.667c0.712 0 1.382-0.277 1.885-0.781 0.911-0.911 1.024-2.32 0.34-3.355l2.653-2.653c0.208-0.209 0.208-0.547 0-0.756-0.209-0.209-0.547-0.209-0.756 0l-2.656 2.656c-1.025-0.655-2.473-0.543-3.351 0.336-1.040 1.040-1.040 2.731 0 3.771 0.503 0.505 1.173 0.782 1.885 0.782zM15.058 15.058c0.251-0.252 0.586-0.391 0.942-0.391s0.691 0.139 0.943 0.391c0.52 0.52 0.52 1.365 0 1.885-0.503 0.504-1.381 0.504-1.885 0-0.52-0.52-0.52-1.366 0-1.885z"></path>'),
	   	 			'building_symbol1' => array('keywords' => 'building_symbol1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31 10.5c0.552 0 1-0.448 1-1v-2c0-0.43-0.276-0.813-0.683-0.949l-5.876-1.959c-0.184-0.061-0.384-0.067-0.573-0.018l-3.164 0.838-5.116-3.72c-0.261-0.19-0.598-0.242-0.905-0.14l-15 5c-0.408 0.136-0.683 0.518-0.683 0.948v2c0 0.552 0.448 1 1 1h2.5v12h-0.5c-0.552 0-1 0.448-1 1v2h-1c-0.552 0-1 0.448-1 1v3c0 0.552 0.448 1 1 1h30c0.552 0 1-0.448 1-1v-3c0-0.552-0.448-1-1-1h-1v-2c0-0.552-0.448-1-1-1h-0.5v-12h2.5zM2 8.22l13.828-4.609 5.084 3.697c0.243 0.178 0.552 0.236 0.844 0.158l3.335-0.883 4.909 1.637v0.28h-28v-0.28zM13.5 22.5v-12h5v12h-5zM6.5 10.5h4v12h-4v-12zM30 28.5h-28v-1h28v1zM4 25.5v-1h24v1h-24zM25.5 22.5h-4v-12h4v12z"></path>'),
	   	 			'done_all' => array('keywords' => 'done_all ','viewbox' => '0 0 32 32', 'path' =>'<path d="M0.563 18.542l1.875-1.875 7.438 7.438-1.875 1.875zM29.625 8.104l1.938 1.875-16 16-7.5-7.438 1.938-1.875 5.563 5.563zM24 9.979l-8.438 8.5-1.875-1.875 8.438-8.5z"></path>'),
	   	 			'search3' => array('keywords' => 'search3 ','viewbox' => '0 0 30 32', 'path' =>'<path d="M20.571 15.143q0-3.304-2.348-5.652t-5.652-2.348-5.652 2.348-2.348 5.652 2.348 5.652 5.652 2.348 5.652-2.348 2.348-5.652zM29.714 30q0 0.929-0.679 1.607t-1.607 0.679q-0.964 0-1.607-0.679l-6.125-6.107q-3.196 2.214-7.125 2.214-2.554 0-4.884-0.991t-4.018-2.679-2.679-4.018-0.991-4.884 0.991-4.884 2.679-4.018 4.018-2.679 4.884-0.991 4.884 0.991 4.018 2.679 2.679 4.018 0.991 4.884q0 3.929-2.214 7.125l6.125 6.125q0.661 0.661 0.661 1.607z"></path>'),
	   	 			'profile-male' => array('keywords' => 'profile-male ','viewbox' => '0 0 36 32', 'path' =>'<path d="M0.5 31.983c0.268 0.067 0.542-0.088 0.612-0.354 1.030-3.843 5.216-4.839 7.718-5.435 0.627-0.149 1.122-0.267 1.444-0.406 2.85-1.237 3.779-3.227 4.057-4.679 0.034-0.175-0.029-0.355-0.165-0.473-1.484-1.281-2.736-3.204-3.526-5.416-0.022-0.063-0.057-0.121-0.103-0.171-1.045-1.136-1.645-2.337-1.645-3.294 0-0.559 0.211-0.934 0.686-1.217 0.145-0.087 0.236-0.24 0.243-0.408 0.221-5.094 3.849-9.104 8.299-9.13 0.005 0 0.102 0.007 0.107 0.007 4.472 0.062 8.077 4.158 8.206 9.324 0.004 0.143 0.068 0.277 0.178 0.369 0.313 0.265 0.459 0.601 0.459 1.057 0 0.801-0.427 1.786-1.201 2.772-0.037 0.047-0.065 0.101-0.084 0.158-0.8 2.536-2.236 4.775-3.938 6.145-0.144 0.116-0.212 0.302-0.178 0.483 0.278 1.451 1.207 3.44 4.057 4.679 0.337 0.146 0.86 0.26 1.523 0.403 2.477 0.536 6.622 1.435 7.639 5.232 0.060 0.223 0.262 0.37 0.482 0.37 0.043 0 0.086-0.006 0.13-0.017 0.267-0.072 0.425-0.346 0.354-0.613-1.175-4.387-5.871-5.404-8.393-5.95-0.585-0.127-1.090-0.236-1.336-0.344-1.86-0.808-3.006-2.039-3.411-3.665 1.727-1.483 3.172-3.771 3.998-6.337 0.877-1.14 1.359-2.314 1.359-3.317 0-0.669-0.216-1.227-0.644-1.663-0.238-5.604-4.237-10.017-9.2-10.088l-0.149-0.002c-4.873 0.026-8.889 4.323-9.24 9.83-0.626 0.46-0.944 1.105-0.944 1.924 0 1.183 0.669 2.598 1.84 3.896 0.809 2.223 2.063 4.176 3.556 5.543-0.403 1.632-1.55 2.867-3.414 3.676-0.241 0.105-0.721 0.22-1.277 0.352-2.541 0.604-7.269 1.729-8.453 6.147-0.071 0.267 0.087 0.54 0.354 0.612z"></path>'),
	   	 			'indent' => array('keywords' => 'indent ','viewbox' => '0 0 32 32', 'path' =>'<path d="M6.286 15.143q0 0.25-0.161 0.411l-5.143 5.143q-0.161 0.161-0.411 0.161-0.232 0-0.402-0.17t-0.17-0.402v-10.286q0-0.232 0.17-0.402t0.402-0.17q0.25 0 0.411 0.161l5.143 5.143q0.161 0.161 0.161 0.411zM32 23.714v3.429q0 0.232-0.17 0.402t-0.402 0.17h-30.857q-0.232 0-0.402-0.17t-0.17-0.402v-3.429q0-0.232 0.17-0.402t0.402-0.17h30.857q0.232 0 0.402 0.17t0.17 0.402zM32 16.857v3.429q0 0.232-0.17 0.402t-0.402 0.17h-19.429q-0.232 0-0.402-0.17t-0.17-0.402v-3.429q0-0.232 0.17-0.402t0.402-0.17h19.429q0.232 0 0.402 0.17t0.17 0.402zM32 10v3.429q0 0.232-0.17 0.402t-0.402 0.17h-19.429q-0.232 0-0.402-0.17t-0.17-0.402v-3.429q0-0.232 0.17-0.402t0.402-0.17h19.429q0.232 0 0.402 0.17t0.17 0.402zM32 3.143v3.429q0 0.232-0.17 0.402t-0.402 0.17h-30.857q-0.232 0-0.402-0.17t-0.17-0.402v-3.429q0-0.232 0.17-0.402t0.402-0.17h30.857q0.232 0 0.402 0.17t0.17 0.402z"></path>'),
	   	 			'rotate_right' => array('keywords' => 'rotate_right ','viewbox' => '0 0 32 32', 'path' =>'<path d="M22.5 21.292q1.063-1.438 1.375-3.313h2.688q-0.375 2.875-2.125 5.188zM17.313 24.542q1.875-0.313 3.313-1.375l1.938 1.938q-2.25 1.75-5.25 2.125v-2.688zM26.563 15.354h-2.688q-0.313-1.875-1.375-3.313l1.938-1.875q1.75 2.313 2.125 5.188zM20.75 8.042l-6.063 5.938v-5.188q-2.875 0.5-4.781 2.719t-1.906 5.156 1.906 5.156 4.781 2.719v2.688q-3.938-0.5-6.656-3.5t-2.719-7.063 2.719-7.063 6.656-3.5v-4.125z"></path>'),
	   	 			'hdr_off' => array('keywords' => 'hdr_off ','viewbox' => '0 0 32 32', 'path' =>'<path d="M3.313 3.979q6.125 6.187 25.5 25.375l-1.5 1.438-10.125-10.125h-4.5v-4.563l-2-2v6.563h-2v-3.313h-2.688v3.313h-2v-8h2v2.688h2.688v-2.688h0.5l-7.313-7.313zM17.313 14.667h-0.5l-2-2h2.5q0.813 0 1.406 0.594t0.594 1.406v2.563l-2-2v-0.563zM23.313 14.667v1.313h2.688v-1.313h-2.688zM23.313 20.667h-0.5l-1.5-1.438v-6.563h4.688q0.813 0 1.406 0.594t0.594 1.406v1.313q0 1.438-1.188 1.875l1.188 2.813h-2l-1.188-2.688h-1.5v2.688z"></path>'),
	   	 			'two_documents' => array('keywords' => 'two_documents ','viewbox' => '0 0 32 32', 'path' =>'<path d="M6.5 12v0h11c0.552 0 1-0.448 1-1s-0.448-1-1-1c-0.001 0-0.002 0-0.003 0h-10.995c-0.001 0-0.002 0-0.003 0-0.552 0-1 0.448-1 1s0.448 1 1 1zM17.5 15c-0.001 0-0.002 0-0.003 0h-10.995c-0.001 0-0.002 0-0.003 0-0.552 0-1 0.448-1 1s0.448 1 1 1v0h11c0.552 0 1-0.448 1-1s-0.448-1-1-1zM13 20c-0.001 0-0.002 0-0.002 0h-6.495c-0.001 0-0.002 0-0.003 0-0.552 0-1 0.448-1 1s0.448 1 1 1v0h6.5c0.552 0 1-0.448 1-1s-0.448-1-1-1zM28.5 0h-25c-1.65 0-3 1.35-3 3v26c0 1.65 1.35 3 3 3h25c1.65 0 3-1.35 3-3v-26c0-1.65-1.35-3-3-3zM21.5 29c0 0.55-0.45 1-1 1h-17c-0.55 0-1-0.45-1-1v-26c0-0.55 0.45-1 1-1h17c0.55 0 1 0.45 1 1v26zM29.5 29c0 0.55-0.45 1-1 1h-5.177c0.113-0.314 0.177-0.649 0.177-1v-12.001l2 0.001c0.552 0 1-0.448 1-1s-0.448-1-1-1c-0.002 0-0.004 0-0.006 0l-1.994-0.001v-2.999h2c0.552 0 1-0.448 1-1s-0.448-1-1-1c-0.002 0-0.004 0-0.006 0l-1.994-0.001v-6.999c0-0.351-0.064-0.687-0.177-1h5.177c0.55 0 1 0.45 1 1v26z"></path>'),
	   	 			'basket_n3' => array('keywords' => 'basket_n3 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 8.001h-2.084l-6.207-6.205c-0-0-0.001-0.002-0.002-0.002-0.39-0.39-1.023-0.39-1.414 0s-0.39 1.024 0 1.414l4.794 4.793-16.672-0.001 4.792-4.793c0.39-0.39 0.39-1.024 0-1.415s-1.024-0.391-1.415 0l-6.205 6.207h-1.587c-1.649 0-3 1.35-3 3.001v2c0 1.357 0.915 2.511 2.159 2.877l1.341 11.623c0 1.651 1.349 3 3 3h19c1.649 0 3-1.349 3-3l1.341-11.623c1.244-0.367 2.159-1.52 2.159-2.877v-2c0-1.651-1.349-3-3-3zM26.5 27.501c0 0.55-0.45 1-1 1h-19c-0.55 0-1-0.45-1-1l-1.327-11.5h23.654l-1.328 11.5zM30 13.001c0 0.55-0.45 1-1 1h-26c-0.55 0-1-0.45-1-1v-2c0-0.55 0.45-1.001 1-1.001l26 0.001c0.55 0 1 0.45 1 1v2zM23 20c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM23 24.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM19 20c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM19 24.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM15 20c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM15 24.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM11 20c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM11 24.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1z"></path>'),
	   	 			'play_arrow' => array('keywords' => 'play_arrow ','viewbox' => '0 0 32 32', 'path' =>'<path d="M10.688 7.354l14.625 9.313-14.625 9.313v-18.625z"></path>'),
	   	 			'kiosque_3' => array('keywords' => 'kiosque_3 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M28 11h-1.047c-0.173-1.94-0.854-3.757-1.953-5.315v-4.685c0-0.552-0.448-1-1-1h-4c-0.552 0-1 0.448-1 1v2.707c-0.613-1.020-1.726-1.707-3-1.707s-2.387 0.687-3 1.707v-2.707c0-0.552-0.448-1-1-1h-4c-0.552 0-1 0.448-1 1v4.686c-1.099 1.558-1.78 3.375-1.953 5.314h-1.047c-0.552 0-1 0.448-1 1v4c0 0.552 0.448 1 1 1h1v14c0 0.552 0.448 1 1 1h20c0.552 0 1-0.448 1-1v-14h1c0.552 0 1-0.448 1-1v-4c0-0.552-0.448-1-1-1zM21 2h2v9h-2v-9zM16 4c0.827 0 1.5 0.673 1.5 1.5s-0.673 1.5-1.5 1.5-1.5-0.673-1.5-1.5 0.673-1.5 1.5-1.5zM16 9c1.274 0 2.387-0.687 3-1.707v3.707h-6v-3.707c0.613 1.020 1.726 1.707 3 1.707zM9 2h2v9h-2v-9zM14.5 30v-6h3v6h-3zM25 30h-5.5v-7c0-0.552-0.448-1-1-1h-5c-0.552 0-1 0.448-1 1v7h-5.5v-13h18v13zM27 15h-22v-2h22v2z"></path>'),
	   	 			'strikethrough2' => array('keywords' => 'strikethrough2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31.429 16.286q0.25 0 0.411 0.161t0.161 0.411v1.143q0 0.25-0.161 0.411t-0.411 0.161h-30.857q-0.25 0-0.411-0.161t-0.161-0.411v-1.143q0-0.25 0.161-0.411t0.411-0.161h30.857zM8.625 15.143q-0.5-0.625-0.911-1.429-0.857-1.732-0.857-3.357 0-3.232 2.393-5.518 2.375-2.268 7.018-2.268 0.893 0 2.982 0.339 1.179 0.214 3.161 0.857 0.179 0.679 0.375 2.107 0.25 2.196 0.25 3.268 0 0.321-0.089 0.804l-0.214 0.054-1.5-0.107-0.25-0.036q-0.893-2.661-1.839-3.661-1.571-1.625-3.75-1.625-2.036 0-3.25 1.054-1.196 1.036-1.196 2.607 0 1.304 1.179 2.5t4.982 2.304q1.232 0.357 3.089 1.179 1.036 0.5 1.696 0.929h-13.268zM17.679 19.714h7.339q0.125 0.696 0.125 1.643 0 1.982-0.732 3.786-0.411 0.982-1.268 1.857-0.661 0.625-1.946 1.446-1.429 0.857-2.732 1.179-1.429 0.375-3.625 0.375-2.036 0-3.482-0.411l-2.5-0.714q-1.018-0.286-1.286-0.5-0.143-0.143-0.143-0.393v-0.232q0-1.929-0.036-2.786-0.018-0.536 0-1.214l0.036-0.661v-0.786l1.821-0.036q0.268 0.607 0.536 1.268t0.402 1 0.223 0.482q0.625 1.018 1.429 1.679 0.768 0.643 1.875 1.018 1.054 0.393 2.357 0.393 1.143 0 2.482-0.482 1.375-0.464 2.179-1.536 0.839-1.089 0.839-2.304 0-1.5-1.446-2.804-0.607-0.518-2.446-1.268z"></path>'),
	   	 			'comments' => array('keywords' => 'comments ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25.143 14q0 2.482-1.679 4.589t-4.58 3.33-6.313 1.223q-1.536 0-3.143-0.286-2.214 1.571-4.964 2.286-0.643 0.161-1.536 0.286h-0.054q-0.196 0-0.366-0.143t-0.205-0.375q-0.018-0.054-0.018-0.116t0.009-0.116 0.036-0.107l0.045-0.089t0.063-0.098 0.071-0.089 0.080-0.089 0.071-0.080q0.089-0.107 0.411-0.446t0.464-0.527 0.402-0.518 0.446-0.688 0.366-0.786q-2.214-1.286-3.482-3.161t-1.268-4q0-2.482 1.679-4.589t4.58-3.33 6.312-1.223 6.313 1.223 4.58 3.33 1.679 4.589zM32 18.571q0 2.143-1.268 4.009t-3.482 3.152q0.179 0.429 0.366 0.786t0.446 0.688 0.402 0.518 0.464 0.527 0.411 0.446q0.018 0.018 0.071 0.080t0.080 0.089 0.071 0.089 0.063 0.098l0.045 0.089t0.036 0.107 0.009 0.116-0.018 0.116q-0.054 0.25-0.232 0.393t-0.393 0.125q-0.893-0.125-1.536-0.286-2.75-0.714-4.964-2.286-1.607 0.286-3.143 0.286-4.839 0-8.429-2.357 1.036 0.071 1.571 0.071 2.875 0 5.518-0.804t4.714-2.304q2.232-1.643 3.429-3.786t1.196-4.536q0-1.375-0.411-2.714 2.304 1.268 3.643 3.179t1.339 4.107z"></path>'),
	   	 			'arrow-down2' => array('keywords' => 'arrow-down2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M27.414 19.414l-10 10c-0.781 0.781-2.047 0.781-2.828 0l-10-10c-0.781-0.781-0.781-2.047 0-2.828s2.047-0.781 2.828 0l6.586 6.586v-19.172c0-1.105 0.895-2 2-2s2 0.895 2 2v19.172l6.586-6.586c0.39-0.39 0.902-0.586 1.414-0.586s1.024 0.195 1.414 0.586c0.781 0.781 0.781 2.047 0 2.828z"></path>'),
	   	 			'left-quote' => array('keywords' => 'left-quote ','viewbox' => '0 0 32 32', 'path' =>'<path d="M32 28v-12h-8c0-4.41 3.586-8 8-8v-4c-6.617 0-12 5.383-12 12v12h12zM12 28v-12h-8c0-4.41 3.586-8 8-8v-4c-6.617 0-12 5.383-12 12v12h12z"></path>'),
	   	 			'sellsy' => array('keywords' => 'sellsy ','viewbox' => '0 0 37 32', 'path' =>'<path d="M26.786 24.768v-13.089q0-0.375-0.268-0.643t-0.625-0.268h-1.661q-0.357 0-0.625 0.268t-0.268 0.643v13.089q0 0.357 0.268 0.625t0.625 0.268h1.661q0.357 0 0.625-0.268t0.268-0.625zM21.714 24.768v-9.482q0-0.357-0.268-0.625t-0.625-0.268h-1.804q-0.357 0-0.625 0.268t-0.268 0.625v9.482q0 0.357 0.268 0.625t0.625 0.268h1.804q0.357 0 0.625-0.268t0.268-0.625zM16.5 24.768v-7.661q0-0.357-0.268-0.625t-0.625-0.268h-1.804q-0.357 0-0.625 0.268t-0.268 0.625v7.661q0 0.357 0.268 0.625t0.625 0.268h1.804q0.357 0 0.625-0.268t0.268-0.625zM11.286 24.768v-6.464q0-0.357-0.268-0.625t-0.625-0.268h-1.804q-0.357 0-0.625 0.268t-0.268 0.625v6.464q0 0.357 0.268 0.625t0.625 0.268h1.804q0.357 0 0.625-0.268t0.268-0.625zM36.571 22.161q0 2.964-2.107 5.071t-5.071 2.107h-22.214q-2.964 0-5.071-2.107t-2.107-5.071q0-2.071 1.125-3.83t3-2.652q-0.179-0.607-0.179-1.304 0-2.018 1.438-3.455t3.455-1.438q1.821 0 3.214 1.196 0.804-3.268 3.464-5.357t6.036-2.089q2.661 0 4.911 1.313t3.563 3.563 1.313 4.911q0 1.179-0.25 2.179 2.411 0.589 3.946 2.545t1.536 4.42z"></path>'),
	   	 			'prescription_bottle2' => array('keywords' => 'prescription_bottle2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M19.999 14h-8c-0.552 0-1 0.448-1 1v7c0 0.552 0.448 1 1 1h8c0.552 0 1-0.448 1-1v-7c0-0.552-0.448-1-1-1zM18.999 21h-6v-5h6v5zM22.498 0h-12.999c-1.649 0-2.999 1.351-2.999 3v1c0 1.104 0.606 2.071 1.499 2.592v24.408c0 0.552 0.448 1 1 1h14c0.552 0 1-0.448 1-1v-24.408c0.894-0.521 1.5-1.488 1.5-2.592v-1c0-1.649-1.351-3-3.001-3zM8.499 3c0-0.55 0.45-1 1-1h12.999c0.55 0 1.001 0.45 1.001 1v1c0 0.55-0.451 1-1.001 1h-12.999c-0.55 0-1-0.45-1-1v-1zM9.999 30v-23h12v23h-12z"></path>'),
	   	 			'building' => array('keywords' => 'building ','viewbox' => '0 0 25 32', 'path' =>'<path d="M24 0.286q0.464 0 0.804 0.339t0.339 0.804v29.714q0 0.464-0.339 0.804t-0.804 0.339h-22.857q-0.464 0-0.804-0.339t-0.339-0.804v-29.714q0-0.464 0.339-0.804t0.804-0.339h22.857zM9.143 5.429v1.143q0 0.25 0.161 0.411t0.411 0.161h1.143q0.25 0 0.411-0.161t0.161-0.411v-1.143q0-0.25-0.161-0.411t-0.411-0.161h-1.143q-0.25 0-0.411 0.161t-0.161 0.411zM9.143 10v1.143q0 0.25 0.161 0.411t0.411 0.161h1.143q0.25 0 0.411-0.161t0.161-0.411v-1.143q0-0.25-0.161-0.411t-0.411-0.161h-1.143q-0.25 0-0.411 0.161t-0.161 0.411zM9.143 14.571v1.143q0 0.25 0.161 0.411t0.411 0.161h1.143q0.25 0 0.411-0.161t0.161-0.411v-1.143q0-0.25-0.161-0.411t-0.411-0.161h-1.143q-0.25 0-0.411 0.161t-0.161 0.411zM9.143 19.143v1.143q0 0.25 0.161 0.411t0.411 0.161h1.143q0.25 0 0.411-0.161t0.161-0.411v-1.143q0-0.25-0.161-0.411t-0.411-0.161h-1.143q-0.25 0-0.411 0.161t-0.161 0.411zM6.857 24.857v-1.143q0-0.25-0.161-0.411t-0.411-0.161h-1.143q-0.25 0-0.411 0.161t-0.161 0.411v1.143q0 0.25 0.161 0.411t0.411 0.161h1.143q0.25 0 0.411-0.161t0.161-0.411zM6.857 20.286v-1.143q0-0.25-0.161-0.411t-0.411-0.161h-1.143q-0.25 0-0.411 0.161t-0.161 0.411v1.143q0 0.25 0.161 0.411t0.411 0.161h1.143q0.25 0 0.411-0.161t0.161-0.411zM6.857 15.714v-1.143q0-0.25-0.161-0.411t-0.411-0.161h-1.143q-0.25 0-0.411 0.161t-0.161 0.411v1.143q0 0.25 0.161 0.411t0.411 0.161h1.143q0.25 0 0.411-0.161t0.161-0.411zM6.857 11.143v-1.143q0-0.25-0.161-0.411t-0.411-0.161h-1.143q-0.25 0-0.411 0.161t-0.161 0.411v1.143q0 0.25 0.161 0.411t0.411 0.161h1.143q0.25 0 0.411-0.161t0.161-0.411zM6.857 6.571v-1.143q0-0.25-0.161-0.411t-0.411-0.161h-1.143q-0.25 0-0.411 0.161t-0.161 0.411v1.143q0 0.25 0.161 0.411t0.411 0.161h1.143q0.25 0 0.411-0.161t0.161-0.411zM16 29.429v-3.429q0-0.25-0.161-0.411t-0.411-0.161h-5.714q-0.25 0-0.411 0.161t-0.161 0.411v3.429q0 0.25 0.161 0.411t0.411 0.161h5.714q0.25 0 0.411-0.161t0.161-0.411zM16 20.286v-1.143q0-0.25-0.161-0.411t-0.411-0.161h-1.143q-0.25 0-0.411 0.161t-0.161 0.411v1.143q0 0.25 0.161 0.411t0.411 0.161h1.143q0.25 0 0.411-0.161t0.161-0.411zM16 15.714v-1.143q0-0.25-0.161-0.411t-0.411-0.161h-1.143q-0.25 0-0.411 0.161t-0.161 0.411v1.143q0 0.25 0.161 0.411t0.411 0.161h1.143q0.25 0 0.411-0.161t0.161-0.411zM16 11.143v-1.143q0-0.25-0.161-0.411t-0.411-0.161h-1.143q-0.25 0-0.411 0.161t-0.161 0.411v1.143q0 0.25 0.161 0.411t0.411 0.161h1.143q0.25 0 0.411-0.161t0.161-0.411zM16 6.571v-1.143q0-0.25-0.161-0.411t-0.411-0.161h-1.143q-0.25 0-0.411 0.161t-0.161 0.411v1.143q0 0.25 0.161 0.411t0.411 0.161h1.143q0.25 0 0.411-0.161t0.161-0.411zM20.571 24.857v-1.143q0-0.25-0.161-0.411t-0.411-0.161h-1.143q-0.25 0-0.411 0.161t-0.161 0.411v1.143q0 0.25 0.161 0.411t0.411 0.161h1.143q0.25 0 0.411-0.161t0.161-0.411zM20.571 20.286v-1.143q0-0.25-0.161-0.411t-0.411-0.161h-1.143q-0.25 0-0.411 0.161t-0.161 0.411v1.143q0 0.25 0.161 0.411t0.411 0.161h1.143q0.25 0 0.411-0.161t0.161-0.411zM20.571 15.714v-1.143q0-0.25-0.161-0.411t-0.411-0.161h-1.143q-0.25 0-0.411 0.161t-0.161 0.411v1.143q0 0.25 0.161 0.411t0.411 0.161h1.143q0.25 0 0.411-0.161t0.161-0.411zM20.571 11.143v-1.143q0-0.25-0.161-0.411t-0.411-0.161h-1.143q-0.25 0-0.411 0.161t-0.161 0.411v1.143q0 0.25 0.161 0.411t0.411 0.161h1.143q0.25 0 0.411-0.161t0.161-0.411zM20.571 6.571v-1.143q0-0.25-0.161-0.411t-0.411-0.161h-1.143q-0.25 0-0.411 0.161t-0.161 0.411v1.143q0 0.25 0.161 0.411t0.411 0.161h1.143q0.25 0 0.411-0.161t0.161-0.411z"></path>'),
	   	 			'card_medallion' => array('keywords' => 'card_medallion ','viewbox' => '0 0 32 32', 'path' =>'<path d="M26 5.5c-0.002 0-0.003 0-0.005 0h-19.99c-0.002 0-0.003-0-0.005-0-0.552 0-1 0.448-1 1s0.448 1 1 1v0l20-0c0.552 0 1-0.447 1-1s-0.448-1-1-1zM16 9.501h-10c-0.552 0-1 0.448-1 1s0.448 1 1 1h10c0.552 0 1-0.448 1-1s-0.448-1-1-1zM12 13.501h-6c-0.552 0-1 0.448-1 1s0.448 1 1 1h6c0.553 0 1-0.448 1-1s-0.447-1-1-1zM22 19.5c1.103 0 2-0.897 2-2s-0.897-2-2-2-2 0.897-2 2 0.897 2 2 2zM29 0.5h-26c-1.65 0-3 1.349-3 3v16c0 1.649 1.35 3 3 3h14.5v8c0 0.392 0.229 0.747 0.584 0.91 0.134 0.061 0.275 0.090 0.416 0.090 0.236 0 0.47-0.084 0.655-0.244l2.849-2.469 2.846 2.439c0.297 0.254 0.715 0.311 1.069 0.149 0.355-0.163 0.582-0.518 0.582-0.909v-7.967h2.5c1.65 0 3-1.351 3-3v-16c0-1.651-1.35-3-3-3zM18.148 15.996l-0.177-0.822 0.8-0.258c0.306-0.098 0.547-0.338 0.645-0.645l0.259-0.8 0.822 0.177c0.315 0.069 0.642-0.020 0.881-0.236l0.622-0.563 0.623 0.563c0.238 0.216 0.567 0.304 0.881 0.236l0.822-0.177 0.259 0.8c0.099 0.306 0.339 0.546 0.645 0.645l0.8 0.258-0.177 0.822c-0.068 0.314 0.020 0.642 0.236 0.881l0.563 0.622-0.564 0.623c-0.216 0.239-0.303 0.567-0.236 0.881l0.177 0.822-0.8 0.258c-0.306 0.099-0.547 0.338-0.645 0.645l-0.259 0.8-0.822-0.177c-0.316-0.069-0.643 0.020-0.881 0.236l-0.622 0.564-0.623-0.564c-0.186-0.168-0.425-0.259-0.671-0.259-0.070 0-0.14 0.008-0.21 0.023l-0.822 0.177-0.259-0.8c-0.099-0.306-0.339-0.546-0.645-0.645l-0.8-0.258 0.177-0.822c0.068-0.314-0.020-0.642-0.236-0.881l-0.563-0.622 0.564-0.623c0.216-0.239 0.304-0.567 0.236-0.881zM22.651 26.707c-0.376-0.323-0.93-0.321-1.305 0.003l-1.846 1.599v-4.698l0.915-0.197 0.914 0.827c0.191 0.172 0.431 0.259 0.671 0.259s0.48-0.086 0.671-0.259l0.914-0.827 0.915 0.197v4.681l-1.849-1.585zM30 19.5c0 0.55-0.45 1-1 1h-0.805c0-0.070-0.006-0.14-0.020-0.21l-0.259-1.205 0.826-0.914c0.344-0.381 0.344-0.961 0-1.342l-0.826-0.914 0.259-1.205c0.108-0.502-0.182-1.005-0.671-1.162l-1.173-0.378-0.378-1.174c-0.157-0.489-0.659-0.778-1.162-0.671l-1.205 0.259-0.914-0.826c-0.381-0.345-0.961-0.345-1.342 0l-0.914 0.826-1.205-0.259c-0.502-0.107-1.005 0.182-1.162 0.671l-0.378 1.174-1.173 0.378c-0.489 0.157-0.779 0.659-0.671 1.162l0.259 1.205-0.826 0.914c-0.344 0.381-0.344 0.961 0 1.342l0.826 0.914-0.258 1.205c-0.015 0.070-0.021 0.14-0.021 0.21h-12.806c-0.55 0-1-0.45-1-1v-16c0-0.55 0.45-1 1-1h26c0.55 0 1 0.45 1 1v16z"></path>'),
	   	 			'vlc_player' => array('keywords' => 'vlc_player ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31 30h-2.756l-8.786-29.287c-0.13-0.433-0.528-0.708-0.957-0.708 0-0.002-0-0.003-0-0.005h-5c0 0.002-0.001 0.003-0.001 0.005-0.43 0-0.828 0.275-0.957 0.708l-8.786 29.287h-2.756c-0.552 0-1 0.448-1 1s0.448 1 1 1h3.499c0 0 0.001 0 0.002 0s0.001 0 0.002 0h22.996c0 0 0.001 0 0.002 0s0.001 0 0.002 0h3.499c0.552 0 1-0.448 1-1s-0.448-1-1-1zM11.244 12h9.512l2.401 8h-14.313l2.4-8zM14.244 2h3.512l2.401 8h-8.313l2.4-8zM8.244 22h15.512l2.401 8h-20.313l2.4-8z"></path>'),
	   	 			'copyright2' => array('keywords' => 'copyright2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 27.354q4.375 0 7.531-3.156t3.156-7.531-3.156-7.531-7.531-3.156-7.531 3.156-3.156 7.531 3.156 7.531 7.531 3.156zM16 3.354q5.5 0 9.406 3.906t3.906 9.406-3.906 9.406-9.406 3.906-9.406-3.906-3.906-9.406 3.906-9.406 9.406-3.906zM15.813 12.854q-2.5 0-2.5 3.625v0.375q0 3.625 2.5 3.625 0.938 0 1.563-0.531t0.625-1.344h2.375q0 1.563-1.375 2.75-1.313 1.125-3.188 1.125-2.5 0-3.813-1.5t-1.313-4.125v-0.375q0-2.563 1.25-4 1.5-1.688 3.875-1.688 2.063 0 3.25 1.188 1.313 1.313 1.313 3.063h-2.375q0-0.438-0.188-0.813-0.313-0.625-0.438-0.75-0.625-0.625-1.563-0.625z"></path>'),
	   	 			'bath_shower' => array('keywords' => 'bath_shower ','viewbox' => '0 0 32 32', 'path' =>'<path d="M32 21c0-1.654-1.346-3-3-3h-9v-0.5c0-0.552-0.448-1-1-1s-1 0.448-1 1v0.5h-1v-0.5c0-0.552-0.448-1-1-1s-1 0.448-1 1v0.5h-1v-0.5c0-0.552-0.448-1-1-1s-1 0.448-1 1v0.5h-5.535v-14c0-1.103 0.897-2 2-2 0.531 0 1.030 0.206 1.408 0.58l1.802 1.986c-0.287 0.514-0.443 1.095-0.443 1.701 0 0.934 0.364 1.813 1.026 2.475 0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293l3.535-3.535c0.39-0.391 0.39-1.024 0-1.414-0.66-0.661-1.54-1.026-2.474-1.026-0.576 0-1.13 0.139-1.627 0.4l-1.78-1.962c-0.005-0.006-0.012-0.010-0.018-0.016s-0.010-0.014-0.015-0.020c-0.755-0.754-1.759-1.17-2.826-1.17-2.205 0-4 1.794-4 4v14h-1.465c-1.655 0-3 1.346-3 3 0 1.393 0.957 2.564 2.246 2.9l1.805 5.416c0.136 0.409 0.518 0.684 0.949 0.684h1.382l-0.277 0.552c-0.247 0.494-0.046 1.095 0.447 1.342 0.144 0.072 0.296 0.105 0.447 0.105 0.367 0 0.72-0.203 0.896-0.552l0.723-1.448h14.763l0.724 1.448c0.175 0.35 0.529 0.552 0.895 0.552 0.151 0 0.302-0.034 0.447-0.105 0.494-0.247 0.695-0.848 0.448-1.342l-0.276-0.552h1.382c0.43 0 0.813-0.276 0.948-0.684l1.805-5.416c1.291-0.335 2.247-1.506 2.247-2.9zM14.816 4.769l-1.582 1.582c-0.002-0.028-0.002-0.056-0.002-0.083 0-0.401 0.156-0.777 0.44-1.061s0.66-0.439 1.061-0.439c0.027 0 0.056 0 0.083 0.002zM29 22c-0.014 0-0.027 0.003-0.041 0.004-0.031 0.001-0.061 0.005-0.093 0.009-0.037 0.005-0.073 0.011-0.108 0.019-0.025 0.006-0.049 0.015-0.073 0.023-0.038 0.012-0.074 0.026-0.11 0.043-0.023 0.011-0.044 0.023-0.065 0.035-0.034 0.019-0.067 0.038-0.098 0.061-0.023 0.017-0.043 0.035-0.064 0.053-0.026 0.023-0.052 0.047-0.077 0.072-0.020 0.023-0.039 0.046-0.058 0.070-0.021 0.027-0.041 0.053-0.059 0.083-0.016 0.026-0.029 0.052-0.043 0.079-0.017 0.032-0.032 0.066-0.045 0.099-0.005 0.012-0.011 0.021-0.015 0.033l-1.772 5.317h-20.559l-1.772-5.316c-0.004-0.012-0.010-0.021-0.015-0.033-0.013-0.034-0.028-0.067-0.045-0.099-0.014-0.028-0.028-0.055-0.044-0.081-0.018-0.028-0.037-0.053-0.057-0.079s-0.039-0.052-0.062-0.075c-0.022-0.023-0.046-0.044-0.071-0.066-0.023-0.020-0.046-0.041-0.072-0.059-0.027-0.020-0.057-0.037-0.087-0.054-0.026-0.015-0.050-0.030-0.077-0.041-0.031-0.015-0.064-0.026-0.097-0.038-0.029-0.010-0.057-0.020-0.087-0.026-0.031-0.008-0.063-0.012-0.095-0.017-0.034-0.005-0.068-0.009-0.103-0.010-0.013-0.002-0.025-0.005-0.038-0.005-0.551 0-1-0.448-1-1s0.449-1 1-1h26c0.552 0 1 0.448 1 1s-0.448 1-1 1z"></path>'),
	   	 			'pigeon' => array('keywords' => 'pigeon ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31.737 22.207c-0.421-0.924-1.333-1.354-2.399-1.092-0.956 0.233-1.883 0.352-2.752 0.352-2.41 0-3.933-0.891-4.698-1.506 1.012-1.187 2.86-3.674 3.585-6.73 1.48-6.241 4.301-7.268 4.309-7.271 0.427-0.125 0.719-0.516 0.718-0.96s-0.294-0.835-0.72-0.959c-1.723-0.502-3.391-0.757-4.959-0.757-2.787 0-5.046 0.795-6.858 1.945-0.271-0.836-0.43-2.139-0.431-3.228-0-0.369-0.203-0.708-0.529-0.881s-0.72-0.155-1.026 0.050c-5.412 3.608-6.919 8.595-7.329 10.733-0.883-0.168-1.797-0.285-2.681-0.285-3.562 0-5.679 1.883-5.965 5.302-0.029 0.339 0.117 0.669 0.387 0.876s0.627 0.262 0.947 0.148c0.501-0.18 0.947-0.27 1.325-0.27 1.375 0 2.040 1.303 3.099 3.608 1.057 2.302 2.373 5.165 5.358 6.771 1.736 0.933 3.548 1.406 5.386 1.406 0 0 0 0 0 0 2.488 0 4.468-0.864 5.594-1.504 0.575 1.034 1.584 2.486 2.893 2.913 0.276 0.090 0.562 0.136 0.85 0.136 1.533 0 2.902-1.215 4.485-3.041 1.25-1.44 2.136-4.157 1.407-5.753zM15.654 3.905c0.105 0.841 0.304 1.792 0.665 2.558-2.464 2.159-3.827 4.87-4.417 6.287-0.395-0.126-0.833-0.261-1.301-0.39 0.289-1.548 1.349-5.346 5.053-8.455zM28.82 26.649c-0.558 0.643-2.040 2.351-2.975 2.351-0.078 0-0.154-0.012-0.23-0.037-0.798-0.261-1.762-1.823-2.191-2.848-0.12-0.29-0.372-0.507-0.677-0.584-0.081-0.021-0.165-0.031-0.247-0.031-0.226 0-0.448 0.076-0.627 0.221-0.022 0.017-2.196 1.735-5.366 1.735-1.505 0-2.998-0.393-4.439-1.168-2.396-1.288-3.507-3.709-4.489-5.844-1.077-2.346-2.192-4.773-4.917-4.773-0.126 0-0.252 0.005-0.381 0.015 0.519-1.421 1.701-2.071 3.686-2.071 2.218 0 4.819 0.867 6.216 1.333 0.257 0.085 0.537 0.063 0.777-0.062s0.42-0.341 0.498-0.6c0.073-0.245 1.299-4.148 4.626-6.734 0.090-0.046 0.177-0.103 0.253-0.178 0.011-0.011 0.018-0.024 0.029-0.035 1.637-1.192 3.753-2.056 6.456-2.056 0.727 0 1.483 0.064 2.261 0.189-1.199 1.208-2.629 3.392-3.555 7.297-0.865 3.647-3.702 6.492-3.729 6.519-0.359 0.354-0.398 0.919-0.092 1.32 0.089 0.117 2.241 2.861 6.88 2.861 1.030 0 2.116-0.137 3.227-0.409 0.045-0.011 0.079-0.017 0.11-0.018 0.235 0.434-0.003 2.341-1.103 3.608z"></path>'),
	   	 			'casette_player' => array('keywords' => 'casette_player ','viewbox' => '0 0 32 32', 'path' =>'<path d="M24.5 20.5c0 0.828-0.672 1.5-1.5 1.5s-1.5-0.672-1.5-1.5c0-0.828 0.672-1.5 1.5-1.5s1.5 0.672 1.5 1.5zM28 12.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM5.5 12.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM10.5 20.5c0 0.828-0.672 1.5-1.5 1.5s-1.5-0.672-1.5-1.5c0-0.828 0.672-1.5 1.5-1.5s1.5 0.672 1.5 1.5zM9 14.5c-3.309 0-6 2.692-6 6s2.691 6 6 6 6-2.692 6-6-2.691-6-6-6zM9 24.5c-2.205 0-4-1.794-4-4s1.795-4 4-4 4 1.794 4 4-1.794 4-4 4zM23 14.5c-3.308 0-6 2.692-6 6s2.692 6 6 6 6-2.692 6-6-2.692-6-6-6zM23 24.5c-2.206 0-4-1.794-4-4s1.794-4 4-4 4 1.794 4 4-1.794 4-4 4zM29 7.5h-2v-3c0-1.655-1.346-3-3-3h-16c-1.655 0-3 1.345-3 3v3.001h-2c-1.655 0-3 1.345-3 3v16.999c0 1.654 1.345 3 3 3h26c1.654 0 3-1.346 3-3v-17c0-1.655-1.346-3-3-3zM7 4.5c0-0.551 0.449-1 1-1h16c0.552 0 1 0.449 1 1v3.001h-18v-3.001zM21.382 9.501l-1 1.999h-8.764l-0.999-1.999h10.764zM30 27.5c0 0.552-0.448 1-1 1h-26c-0.551 0-1-0.448-1-1v-17c0-0.552 0.449-1 1-1h5.382l1.723 3.447c0.169 0.338 0.516 0.553 0.895 0.553h10c0.379 0 0.725-0.214 0.895-0.553l1.724-3.447h5.382c0.552 0 1 0.448 1 1v17z"></path>'),
	   	 			'camera' => array('keywords' => 'camera ','viewbox' => '0 0 32 32', 'path' =>'<path d="M9.5 19c0 3.59 2.91 6.5 6.5 6.5s6.5-2.91 6.5-6.5-2.91-6.5-6.5-6.5-6.5 2.91-6.5 6.5zM30 8h-7c-0.5-2-1-4-3-4h-8c-2 0-2.5 2-3 4h-7c-1.1 0-2 0.9-2 2v18c0 1.1 0.9 2 2 2h28c1.1 0 2-0.9 2-2v-18c0-1.1-0.9-2-2-2zM16 27.875c-4.902 0-8.875-3.973-8.875-8.875s3.973-8.875 8.875-8.875c4.902 0 8.875 3.973 8.875 8.875s-3.973 8.875-8.875 8.875zM30 14h-4v-2h4v2z"></path>'),
	   	 			'table2' => array('keywords' => 'table2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M0 2v28h32v-28h-32zM12 20v-6h8v6h-8zM20 22v6h-8v-6h8zM20 6v6h-8v-6h8zM10 6v6h-8v-6h8zM2 14h8v6h-8v-6zM22 14h8v6h-8v-6zM22 12v-6h8v6h-8zM2 22h8v6h-8v-6zM22 28v-6h8v6h-8z"></path>'),
	   	 			'camera_symbol4' => array('keywords' => 'camera_symbol4 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M6 22c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM27 17h-5c0-0.552-0.448-1-1-1h-1v-2.001c1.654 0 3-1.345 3-3v-6c0-0.552-0.448-1-1-1h-12c-0.552 0-1 0.448-1 1v6c0 1.655 1.345 3 3 3v2.001h-1c-0.552 0-1 0.448-1 1h-5c-2.757 0-5 2.243-5 5s2.243 5 5 5h5c0 0.552 0.448 1 1 1h10c0.552 0 1-0.448 1-1h5c2.757 0 5-2.243 5-5s-2.243-5-5-5zM11 6h10v5c0 0.552-0.448 1-1 1h-8c-0.552 0-1-0.448-1-1v-5zM14 14h4v2h-4v-2.001zM5 25c-1.655 0-3-1.346-3-3s1.345-3 3-3h5v6h-5zM12 26v-8h8v8h-8zM27 25h-5v-6h5c1.654 0 3 1.346 3 3s-1.346 3-3 3zM24 21h4v2h-4v-2zM17.895 20.552c-0.001 0.001-0.002 0.002-0.003 0.003-0.164-0.328-0.5-0.555-0.892-0.555h-2c-0.391 0-0.726 0.227-0.89 0.554-0.002-0-0.002-0-0.004-0.002l-1 2c-0.247 0.494-0.047 1.095 0.447 1.342 0.143 0.072 0.296 0.105 0.446 0.105 0.367 0 0.72-0.202 0.896-0.552l0.723-1.448h0.763l0.724 1.448c0.176 0.351 0.529 0.552 0.896 0.552 0.151 0 0.302-0.034 0.447-0.105 0.494-0.247 0.695-0.848 0.448-1.342l-1-2zM16 11c0.552 0 1-0.448 1-1v-2c0-0.552-0.448-1-1-1s-1 0.448-1 1v2c0 0.552 0.448 1 1 1zM13 11c0.552 0 1-0.448 1-1v-2c0-0.552-0.448-1-1-1s-1 0.448-1 1v2c0 0.552 0.448 1 1 1zM19 11c0.552 0 1-0.448 1-1v-2c0-0.552-0.448-1-1-1s-1 0.448-1 1v2c0 0.552 0.448 1 1 1z"></path>'),
	   	 			'user_symbol3' => array('keywords' => 'user_symbol3 ','viewbox' => '0 0 22 32', 'path' =>'<path d="M11 11c3.032 0 5.5-2.468 5.5-5.5 0-3.033-2.467-5.5-5.5-5.5s-5.5 2.467-5.5 5.5c0 3.032 2.467 5.5 5.5 5.5zM11 2c1.929 0 3.5 1.57 3.5 3.5s-1.57 3.5-3.5 3.5-3.5-1.57-3.5-3.5c0-1.93 1.57-3.5 3.5-3.5zM11 12c-6.065 0-11 4.934-11 11 0 0.552 0.448 1 1 1h4v7c0 0.552 0.448 1 1 1h10c0.552 0 1-0.448 1-1v-7h4c0.552 0 1-0.448 1-1 0-6.065-4.934-11-11-11zM14.102 14.558l-3.102 3.447-3.102-3.447c0.969-0.357 2.011-0.557 3.102-0.557s2.134 0.201 3.102 0.557zM6 22h-3.945c0.302-2.717 1.822-5.066 3.995-6.505l3.949 4.388v10.116h-3v-7c0-0.552-0.448-1-1-1zM16 22c-0.552 0-1 0.448-1 1v7h-3v-10.116l3.949-4.388c2.173 1.438 3.694 3.788 3.995 6.505h-3.944z"></path>'),
	   	 			'electron_symbol' => array('keywords' => 'electron_symbol ','viewbox' => '0 0 32 32', 'path' =>'<path d="M30 5.5c-1.105 0-2 0.896-2 2 0 0.042 0.010 0.082 0.012 0.123l-3.133 2.089c-0.266-0.132-0.562-0.212-0.879-0.212-0.371 0-0.714 0.107-1.012 0.284l-4.991-2.807c-0.014-1.093-0.903-1.976-1.998-1.976-1.097 0-1.985 0.883-1.998 1.976l-4.991 2.807c-0.298-0.175-0.641-0.284-1.011-0.284-1.106 0-2 0.896-2 2 0 0.739 0.404 1.377 1 1.723v5.555c-0.596 0.346-1 0.985-1 1.723 0 0.042 0.010 0.081 0.012 0.123l-3.133 2.089c-0.266-0.131-0.562-0.212-0.879-0.212-1.105 0-2 0.895-2 2s0.894 2 2 2c1.103 0 2-0.895 2-2 0-0.042-0.010-0.081-0.013-0.123l3.134-2.089c0.266 0.131 0.561 0.212 0.879 0.212 0.37 0 0.713-0.108 1.011-0.284l4.991 2.807c0.014 1.093 0.901 1.977 1.998 1.977 1.095 0 1.985-0.883 1.997-1.977l4.991-2.807c0.298 0.176 0.641 0.284 1.012 0.284 1.104 0 2-0.895 2-2 0-0.738-0.405-1.376-1-1.723v-5.555c0.595-0.347 1-0.985 1-1.723 0-0.042-0.010-0.082-0.012-0.123l3.134-2.089c0.265 0.132 0.561 0.212 0.879 0.212 1.104 0 2-0.896 2-2s-0.896-2-2-2zM22.003 20.476l-4.991 2.808c-0.298-0.176-0.641-0.284-1.012-0.284s-0.714 0.108-1.011 0.283l-4.99-2.807c-0.009-0.728-0.409-1.356-0.998-1.698v-5.555c0.588-0.343 0.989-0.97 0.998-1.698l4.991-2.807c0.297 0.175 0.64 0.283 1.012 0.283s0.713-0.108 1.011-0.284l4.991 2.808c0.009 0.728 0.409 1.356 0.997 1.698v5.555c-0.588 0.343-0.988 0.971-0.997 1.699z"></path>'),
	   	 			'angle-down' => array('keywords' => 'angle-down ','viewbox' => '0 0 21 32', 'path' =>'<path d="M19.196 13.429q0 0.232-0.179 0.411l-8.321 8.321q-0.179 0.179-0.411 0.179t-0.411-0.179l-8.321-8.321q-0.179-0.179-0.179-0.411t0.179-0.411l0.893-0.893q0.179-0.179 0.411-0.179t0.411 0.179l7.018 7.018 7.018-7.018q0.179-0.179 0.411-0.179t0.411 0.179l0.893 0.893q0.179 0.179 0.179 0.411z"></path>'),
	   	 			'text-width2' => array('keywords' => 'text-width2 ','viewbox' => '0 0 27 32', 'path' =>'<path d="M1.446 2.589l0.964 0.482q0.214 0.089 3.768 0.089 0.786 0 2.357-0.036t2.357-0.036q1.25 0 4.402-0.018t5.438-0.009 4.411 0.080q0.589 0.018 1-0.554l0.75-0.018q0.071 0 0.25 0.009t0.25 0.009q0.036 2 0.036 6 0 1.429-0.089 1.946-0.696 0.25-1.214 0.321-0.446-0.786-0.964-2.286-0.054-0.161-0.196-0.848t-0.268-1.313-0.125-0.643q-0.179-0.232-0.482-0.339-0.089-0.036-1.179-0.036-0.536 0-1.661-0.018t-1.839-0.018-1.679 0.036-1.714 0.125q-0.161 1.446-0.143 2.429l0.018 2.714v-0.929q0 0.982 0.018 2.75t0.027 3.214 0.009 2.732q0 0.286-0.045 1.277t0 1.634 0.223 1.232q0.714 0.375 2.214 0.759t2.143 0.67q0.089 0.714 0.089 0.893 0 0.25-0.054 0.518l-0.607 0.018q-1.357 0.036-3.893-0.143t-3.696-0.179q-0.893 0-2.696 0.161t-2.714 0.161q-0.054-0.911-0.054-0.929v-0.161q0.304-0.482 1.098-0.768t1.759-0.518 1.393-0.482q0.125-0.286 0.205-1.321t0.107-2.598 0.027-2.768-0.009-2.741-0.009-1.589q0-0.125-0.045-0.384t-0.045-0.402q0-0.125 0.009-0.786t0.018-1.304 0-1.366-0.054-1.205-0.116-0.571q-0.196-0.214-2.893-0.214-0.732 0-2.911 0.241t-2.464 0.438q-0.339 0.214-0.607 1.277t-0.563 1.991-0.759 0.964q-0.75-0.464-1-0.786v-6.839zM23.393 25.482q0.214 0 0.75 0.348t1.027 0.741 1.063 0.875 0.643 0.536q0.464 0.375 0.464 0.875t-0.464 0.875q-0.071 0.054-0.643 0.536t-1.063 0.875-1.027 0.741-0.75 0.348q-0.232 0-0.366-0.188t-0.179-0.509-0.045-0.598 0.027-0.589 0.027-0.348h-18.286q0 0.036 0.027 0.348t0.027 0.589-0.045 0.598-0.179 0.509-0.366 0.188q-0.214 0-0.75-0.348t-1.027-0.741-1.063-0.875-0.643-0.536q-0.464-0.375-0.464-0.875t0.464-0.875q0.071-0.054 0.643-0.536t1.063-0.875 1.027-0.741 0.75-0.348q0.232 0 0.366 0.188t0.179 0.509 0.045 0.598-0.027 0.589-0.027 0.348h18.286q0-0.036-0.027-0.348t-0.027-0.589 0.045-0.598 0.179-0.509 0.366-0.188z"></path>'),
	   	 			'play_for_work' => array('keywords' => 'play_for_work ','viewbox' => '0 0 32 32', 'path' =>'<path d="M8 19.354h2.688q0 2.188 1.563 3.75t3.75 1.563 3.75-1.563 1.563-3.75h2.688q0 3.313-2.344 5.656t-5.656 2.344-5.656-2.344-2.344-5.656zM14.688 7.354h2.625v7.437h4.688l-6 6-6-6h4.688v-7.438z"></path>'),
	   	 			'soccer_field' => array('keywords' => 'soccer_field ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 4.5h-26c-1.65 0-3 1.351-3 3v17c0 1.651 1.35 3 3 3h26c1.65 0 3-1.349 3-3v-17c0-1.649-1.35-3-3-3zM6.498 15.999c0 0.343-0.035 0.678-0.101 1.001h-4.397v-2h4.397c0.066 0.323 0.101 0.656 0.101 0.999zM5.489 19c-0.817 1.086-2.063 1.831-3.49 1.973v-1.973h3.49zM2 13v-1.974c1.428 0.142 2.674 0.887 3.491 1.974h-3.491zM3 25.5c-0.55 0-1-0.45-1-1v-1.526c3.63-0.258 6.501-3.279 6.499-6.975 0.001-3.697-2.867-6.716-6.499-6.974v-1.526c0-0.55 0.45-1 1-1h12v4.601c-2.282 0.463-4.001 2.481-4 4.9-0.001 2.419 1.717 4.436 4 4.899v4.601h-12zM15 18.826c-1.165-0.412-1.999-1.52-1.999-2.825s0.835-2.413 1.999-2.825v5.65zM17 13.175c1.165 0.412 2 1.52 2 2.825-0 1.304-0.835 2.413-2 2.825v-5.65zM29 25.5h-12v-4.601c2.282-0.463 4.001-2.479 4-4.899 0.001-2.419-1.718-4.437-4-4.901v-4.601h12c0.55 0 1 0.45 1 1v1.525c-3.632 0.257-6.502 3.278-6.501 6.975-0.001 3.698 2.869 6.718 6.501 6.974v1.526c0 0.55-0.45 1-1 1zM25.601 17c-0.066-0.323-0.101-0.657-0.101-0.999s0.035-0.678 0.101-1.001h4.399v2h-4.399zM30 19v1.974c-1.428-0.142-2.675-0.887-3.492-1.974h3.492zM26.509 13c0.818-1.087 2.064-1.831 3.491-1.973v1.973h-3.491z"></path>'),
	   	 			'backward3' => array('keywords' => 'backward3 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M28.911 2.804q0.339-0.339 0.571-0.232t0.232 0.571v26.286q0 0.464-0.232 0.571t-0.571-0.232l-12.679-12.679q-0.143-0.161-0.232-0.339v12.679q0 0.464-0.232 0.571t-0.571-0.232l-12.679-12.679q-0.339-0.339-0.339-0.804t0.339-0.804l12.679-12.679q0.339-0.339 0.571-0.232t0.232 0.571v12.679q0.089-0.196 0.232-0.339z"></path>'),
	   	 			'sort2' => array('keywords' => 'sort2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M4 17.979v-2.625h16v2.625h-16zM4 8.667h24v2.688h-24v-2.688zM4 24.667v-2.688h8v2.688h-8z"></path>'),
	   	 			'phone_locked' => array('keywords' => 'phone_locked ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25.625 5.979v-0.625q0-0.938-0.688-1.625t-1.625-0.688-1.594 0.688-0.656 1.625v0.625h4.563zM26.688 5.979q0.563 0 0.938 0.406t0.375 0.969v5.312q0 0.563-0.375 0.938t-0.938 0.375h-6.688q-0.563 0-0.938-0.375t-0.375-0.938v-5.313q0-0.563 0.375-0.969t0.938-0.406v-0.625q0-1.375 0.969-2.375t2.344-1 2.375 1 1 2.375v0.625zM26.688 21.354q0.563 0 0.938 0.375t0.375 0.938v4.688q0 0.563-0.375 0.938t-0.938 0.375q-9.375 0-16.031-6.656t-6.656-16.031q0-0.563 0.375-0.938t0.938-0.375h4.688q0.563 0 0.938 0.375t0.375 0.938q0 2.5 0.75 4.75 0.25 0.813-0.313 1.375l-2.938 2.938q2.938 5.75 8.813 8.813l2.938-2.938q0.563-0.563 1.375-0.313 2.25 0.75 4.75 0.75z"></path>'),
	   	 			'share2' => array('keywords' => 'share2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M24 22.104q1.625 0 2.75 1.156t1.125 2.719q0 1.625-1.156 2.781t-2.719 1.156-2.719-1.156-1.156-2.781q0-0.625 0.063-0.875l-9.438-5.5q-1.188 1.063-2.75 1.063-1.625 0-2.813-1.188t-1.188-2.813 1.188-2.813 2.813-1.188q1.563 0 2.75 1.063l9.375-5.438q-0.125-0.625-0.125-0.938 0-1.625 1.188-2.813t2.813-1.188 2.813 1.188 1.188 2.813-1.188 2.813-2.813 1.188q-1.5 0-2.75-1.125l-9.375 5.5q0.125 0.625 0.125 0.938t-0.125 0.938l9.5 5.5q1.125-1 2.625-1z"></path>'),
	   	 			'trash-o' => array('keywords' => 'trash-o ','viewbox' => '0 0 25 32', 'path' =>'<path d="M9.143 13.429v10.286q0 0.25-0.161 0.411t-0.411 0.161h-1.143q-0.25 0-0.411-0.161t-0.161-0.411v-10.286q0-0.25 0.161-0.411t0.411-0.161h1.143q0.25 0 0.411 0.161t0.161 0.411zM13.714 13.429v10.286q0 0.25-0.161 0.411t-0.411 0.161h-1.143q-0.25 0-0.411-0.161t-0.161-0.411v-10.286q0-0.25 0.161-0.411t0.411-0.161h1.143q0.25 0 0.411 0.161t0.161 0.411zM18.286 13.429v10.286q0 0.25-0.161 0.411t-0.411 0.161h-1.143q-0.25 0-0.411-0.161t-0.161-0.411v-10.286q0-0.25 0.161-0.411t0.411-0.161h1.143q0.25 0 0.411 0.161t0.161 0.411zM20.571 26.357v-16.929h-16v16.929q0 0.393 0.125 0.723t0.259 0.482 0.188 0.152h14.857q0.054 0 0.188-0.152t0.259-0.482 0.125-0.723zM8.571 7.143h8l-0.857-2.089q-0.125-0.161-0.304-0.196h-5.661q-0.179 0.036-0.304 0.196zM25.143 7.714v1.143q0 0.25-0.161 0.411t-0.411 0.161h-1.714v16.929q0 1.482-0.839 2.563t-2.018 1.080h-14.857q-1.179 0-2.018-1.045t-0.839-2.527v-17h-1.714q-0.25 0-0.411-0.161t-0.161-0.411v-1.143q0-0.25 0.161-0.411t0.411-0.161h5.518l1.25-2.982q0.268-0.661 0.964-1.125t1.411-0.464h5.714q0.714 0 1.411 0.464t0.964 1.125l1.25 2.982h5.518q0.25 0 0.411 0.161t0.161 0.411z"></path>'),
	   	 			'basket_1' => array('keywords' => 'basket_1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31 2h-30c-0.552 0-1 0.447-1 1v19c0 0.552 0.448 1 1 1h8v6c0 0.552 0.448 1 1 1s1-0.448 1-1v-1h2v1c0 0.552 0.448 1 1 1s1-0.448 1-1v-1h2v1c0 0.552 0.448 1 1 1s1-0.448 1-1v-1h2v1c0 0.552 0.448 1 1 1s1-0.448 1-1v-6h8c0.552 0 1-0.448 1-1v-19c0-0.553-0.448-1-1-1zM21 22h-2v-2h2v2zM17 20v2h-2v-2h2zM23 18h-14v-7h14v7zM13 20v2h-2v-2h2zM11 26v-2h2v2h-2zM15 26v-2h2v2h-2zM19 26v-2h2v2h-2zM23 20h1c0.552 0 1-0.448 1-1v-9c0-0.553-0.448-1-1-1h-16c-0.552 0-1 0.447-1 1v9c0 0.552 0.448 1 1 1h1v1h-7v-17h28v17h-7v-1z"></path>'),
	   	 			'tab_unselected' => array('keywords' => 'tab_unselected ','viewbox' => '0 0 32 32', 'path' =>'<path d="M22.688 28.667v-2.688h2.625v2.688h-2.625zM17.313 28.667v-2.688h2.688v2.688h-2.688zM28 17.979v-2.625h2.688v2.625h-2.688zM28 28.667v-2.688h2.688q0 1.063-0.813 1.875t-1.875 0.813zM6.688 7.354v-2.688h2.625v2.688h-2.625zM6.688 28.667v-2.688h2.625v2.688h-2.625zM12 7.354v-2.688h2.688v2.688h-2.688zM28 23.354v-2.688h2.688v2.688h-2.688zM28 4.667q1.063 0 1.875 0.813t0.813 1.875v5.312h-13.375v-8h10.688zM4 28.667q-1.063 0-1.875-0.813t-0.813-1.875h2.688v2.688zM1.313 23.354v-2.688h2.688v2.688h-2.688zM12 28.667v-2.688h2.688v2.688h-2.688zM1.313 7.354q0-1.063 0.813-1.875t1.875-0.813v2.688h-2.688zM1.313 17.979v-2.625h2.688v2.625h-2.688zM1.313 12.667v-2.688h2.688v2.688h-2.688z"></path>'),
	   	 			'device_hub' => array('keywords' => 'device_hub ','viewbox' => '0 0 32 32', 'path' =>'<path d="M22.688 21.979h5.313v6.688h-6.688v-4.063l-5.313-5.625-5.313 5.625v4.063h-6.688v-6.688h5.313l5.375-5.313v-4.25q-1.188-0.438-1.938-1.438t-0.75-2.313q0-1.625 1.188-2.813t2.813-1.188 2.813 1.188 1.188 2.813q0 1.313-0.75 2.313t-1.938 1.438v4.25z"></path>'),
	   	 			'angle-double-right' => array('keywords' => 'angle-double-right ','viewbox' => '0 0 18 32', 'path' =>'<path d="M10.625 17.429q0 0.232-0.179 0.411l-8.321 8.321q-0.179 0.179-0.411 0.179t-0.411-0.179l-0.893-0.893q-0.179-0.179-0.179-0.411t0.179-0.411l7.018-7.018-7.018-7.018q-0.179-0.179-0.179-0.411t0.179-0.411l0.893-0.893q0.179-0.179 0.411-0.179t0.411 0.179l8.321 8.321q0.179 0.179 0.179 0.411zM17.482 17.429q0 0.232-0.179 0.411l-8.321 8.321q-0.179 0.179-0.411 0.179t-0.411-0.179l-0.893-0.893q-0.179-0.179-0.179-0.411t0.179-0.411l7.018-7.018-7.018-7.018q-0.179-0.179-0.179-0.411t0.179-0.411l0.893-0.893q0.179-0.179 0.411-0.179t0.411 0.179l8.321 8.321q0.179 0.179 0.179 0.411z"></path>'),
	   	 			'touch_app' => array('keywords' => 'touch_app ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25.125 21.854q1.188 0.563 1.188 1.813v0.25l-1 7.063q-0.063 0.75-0.625 1.219t-1.313 0.469h-9.063q-0.813 0-1.375-0.563l-6.625-6.625 1.063-1.063q0.438-0.438 1.063-0.438 0.063 0 0.156 0.031t0.156 0.031l4.563 0.938v-14.313q0-0.875 0.594-1.438t1.406-0.563 1.406 0.563 0.594 1.438v8h1.063q0.188 0 0.688 0.125zM12 15.667q-2.688-1.75-2.688-5 0-2.5 1.75-4.25t4.25-1.75 4.25 1.75 1.75 4.25q0 3.313-2.625 5v-5q0-1.375-1-2.344t-2.375-0.969-2.344 0.969-0.969 2.344v5z"></path>'),
	   	 			'border_top' => array('keywords' => 'border_top ','viewbox' => '0 0 32 32', 'path' =>'<path d="M20 17.979v-2.625h2.688v2.625h-2.688zM25.313 28.667v-2.688h2.688v2.688h-2.688zM14.688 12.667v-2.688h2.625v2.688h-2.625zM20 28.667v-2.688h2.688v2.688h-2.688zM25.313 23.354v-2.688h2.688v2.688h-2.688zM4 4.667h24v2.688h-24v-2.688zM25.313 17.979v-2.625h2.688v2.625h-2.688zM25.313 12.667v-2.688h2.688v2.688h-2.688zM14.688 23.354v-2.688h2.625v2.688h-2.625zM4 12.667v-2.688h2.688v2.688h-2.688zM4 17.979v-2.625h2.688v2.625h-2.688zM4 28.667v-2.688h2.688v2.688h-2.688zM4 23.354v-2.688h2.688v2.688h-2.688zM14.688 28.667v-2.688h2.625v2.688h-2.625zM14.688 17.979v-2.625h2.625v2.625h-2.625zM9.313 17.979v-2.625h2.688v2.625h-2.688zM9.313 28.667v-2.688h2.688v2.688h-2.688z"></path>'),
	   	 			'sun_down' => array('keywords' => 'sun_down ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 6.5c0.552 0 1-0.448 1-1v-2c0-0.552-0.448-1-1-1s-1 0.448-1 1v2c0 0.552 0.448 1 1 1zM25 15.5c0 0.552 0.448 1 1 1h2c0.552 0 1-0.448 1-1s-0.448-1-1-1h-2c-0.552 0-1 0.448-1 1zM4 16.5h2c0.552 0 1-0.448 1-1s-0.448-1-1-1h-2c-0.552 0-1 0.448-1 1s0.448 1 1 1zM8.222 9.136c0.196 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293c0.39-0.39 0.39-1.024 0-1.414l-1.415-1.414c-0.391-0.391-1.024-0.391-1.415 0s-0.391 1.024 0 1.414l1.415 1.414zM23.072 9.428c0.256 0 0.512-0.098 0.707-0.293l1.414-1.414c0.39-0.39 0.39-1.024 0-1.414s-1.023-0.391-1.414 0l-1.414 1.414c-0.39 0.39-0.39 1.024-0 1.414 0.195 0.195 0.451 0.293 0.707 0.293zM31 18.5h-7.586c0.385-0.948 0.586-1.961 0.586-3 0-4.411-3.589-8-8-8s-8 3.589-8 8c0 1.039 0.2 2.053 0.585 3h-7.585c-0.552 0-1 0.448-1 1s0.448 1 1 1h30c0.552 0 1-0.448 1-1s-0.448-1-1-1zM10.807 18.5c-0.529-0.912-0.807-1.939-0.807-3 0-3.309 2.691-6 6-6s6 2.691 6 6c0 1.061-0.278 2.088-0.807 3h-10.386zM17.293 25.793l-0.293 0.293v-2.586c0-0.552-0.448-1-1-1s-1 0.448-1 1v2.586l-0.293-0.293c-0.39-0.39-1.024-0.39-1.414 0s-0.39 1.023 0 1.414l1.999 2c0.046 0.047 0.098 0.088 0.153 0.125 0.025 0.017 0.052 0.028 0.078 0.042 0.031 0.017 0.062 0.036 0.095 0.050s0.068 0.021 0.101 0.032c0.028 0.009 0.056 0.020 0.085 0.026 0.065 0.012 0.13 0.020 0.195 0.020s0.131-0.007 0.196-0.020c0.029-0.006 0.057-0.017 0.085-0.026 0.034-0.011 0.069-0.018 0.102-0.032s0.063-0.032 0.095-0.050c0.026-0.014 0.052-0.026 0.078-0.042 0.055-0.037 0.107-0.078 0.154-0.125l1.999-2c0.39-0.39 0.39-1.023 0-1.414s-1.024-0.39-1.415 0z"></path>'),
	   	 			'store' => array('keywords' => 'store ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 24.667v-5.313h-8v5.313h8zM28 19.354h-1.313v8h-2.688v-8h-5.313v8h-13.375v-8h-1.313v-2.688l1.313-6.688h21.375l1.313 6.688v2.688zM26.688 5.979v2.687h-21.375v-2.688h21.375z"></path>'),
	   	 			'usb' => array('keywords' => 'usb ','viewbox' => '0 0 41 32', 'path' =>'<path d="M40.857 14.661q0.286 0.143 0.286 0.482t-0.286 0.482l-5.714 3.429q-0.143 0.089-0.286 0.089-0.161 0-0.286-0.071-0.286-0.179-0.286-0.5v-2.286h-15.321q0.661 1.036 1.482 2.946 0.286 0.661 0.438 0.982t0.429 0.875 0.482 0.839 0.482 0.607 0.563 0.464 0.589 0.143h1.714v-1.714q0-0.25 0.161-0.411t0.411-0.161h5.714q0.25 0 0.411 0.161t0.161 0.411v5.714q0 0.25-0.161 0.411t-0.411 0.161h-5.714q-0.25 0-0.411-0.161t-0.161-0.411v-1.714h-1.714q-0.571 0-1.089-0.179t-0.911-0.42-0.804-0.723-0.661-0.821-0.598-1.018-0.509-1.027-0.5-1.080q-0.411-0.946-0.661-1.455t-0.643-1.161-0.795-0.955-0.83-0.304h-6.429q-0.393 1.5-1.625 2.464t-2.804 0.964q-1.893 0-3.232-1.339t-1.339-3.232 1.339-3.232 3.232-1.339q1.571 0 2.804 0.964t1.625 2.464h1.857q0.429 0 0.83-0.304t0.795-0.955 0.643-1.161 0.661-1.455q0.339-0.732 0.5-1.080t0.509-1.027 0.598-1.018 0.661-0.821 0.804-0.723 0.911-0.42 1.089-0.179h1.911q0.375-1.018 1.25-1.652t1.982-0.634q1.429 0 2.429 1t1 2.429-1 2.429-2.429 1q-1.107 0-1.982-0.634t-1.25-1.652h-1.911q-0.304 0-0.589 0.143t-0.563 0.464-0.482 0.607-0.482 0.839-0.429 0.875-0.438 0.982q-0.821 1.911-1.482 2.946h19.893v-2.286q0-0.321 0.286-0.5t0.571 0.018z"></path>'),
	   	 			'send2' => array('keywords' => 'send2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M2.688 28.667v-9.313l20-2.688-20-2.688v-9.313l28 12z"></path>'),
	   	 			'done' => array('keywords' => 'done ','viewbox' => '0 0 32 32', 'path' =>'<path d="M12 22.292l14.125-14.188 1.875 1.875-16 16-7.438-7.438 1.813-1.875z"></path>'),
	   	 			'ipod_simple' => array('keywords' => 'ipod_simple ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16.001 15c-3.86 0-7 3.14-7 7s3.14 7 7 7c3.86 0 7-3.14 7-7s-3.139-7-7-7zM16.001 26.999c-2.757 0-5-2.242-5-5s2.242-5 5-5 5 2.242 5 5-2.242 5-5 5zM16.001 19c-1.655 0-3 1.346-3 3s1.345 3 3 3 3-1.346 3-3-1.346-3-3-3zM16.001 23c-0.552 0-1-0.448-1-1s0.448-1 1-1c0.552 0 1 0.448 1 1s-0.448 1-1 1zM24 0h-16c-1.655 0-3 1.345-3 3v26c0 1.654 1.345 3 3 3h16c1.654 0 3-1.346 3-3v-26c0-1.655-1.346-3-3-3zM25 29c0 0.552-0.448 1-1 1h-16c-0.551 0-1-0.448-1-1v-26c0-0.551 0.449-1 1-1h16c0.552 0 1 0.449 1 1v26zM23 3h-14c-0.552 0-1 0.448-1 1v9c0 0.552 0.448 1 1 1h14c0.552 0 1-0.448 1-1v-9c0-0.552-0.448-1-1-1zM22 12h-12v-7h12v7z"></path>'),
	   	 			'open_symbol' => array('keywords' => 'open_symbol ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 14h-2.508l-8.645-11.239c0.098-0.235 0.152-0.491 0.152-0.761 0-1.105-0.895-2-2-2s-2 0.895-2 2c0 0.27 0.055 0.527 0.152 0.761l-8.645 11.239h-2.507c-1.651 0-3 1.35-3 3v12c0 1.65 1.349 3 3 3h26c1.649 0 3-1.35 3-3v-12c0-1.65-1.351-3-3-3zM15.743 3.974c0.085 0.011 0.169 0.026 0.257 0.026s0.172-0.014 0.256-0.026l7.713 10.026h-15.938l7.712-10.026zM30 29c0 0.55-0.45 1-1 1h-26c-0.55 0-1-0.45-1-1v-12c0-0.55 0.45-1 1-1h26c0.55 0 1 0.45 1 1v12zM8.655 20.424c-0.793 0-1.397 0.219-1.813 0.657s-0.624 1.074-0.624 1.906c0 0.841 0.209 1.481 0.627 1.921s1.019 0.66 1.803 0.66c0.796 0 1.399-0.219 1.812-0.656s0.618-1.076 0.618-1.918c0-0.843-0.205-1.483-0.615-1.918s-1.013-0.653-1.808-0.653zM9.408 24.092c-0.165 0.235-0.418 0.352-0.761 0.352-0.673 0-1.008-0.483-1.008-1.449 0-0.975 0.338-1.463 1.015-1.463 0.332 0 0.582 0.119 0.751 0.357 0.167 0.238 0.251 0.607 0.251 1.106 0.001 0.496-0.082 0.862-0.248 1.097zM13.902 20.503h-1.729v4.997h1.35v-1.657h0.38c0.606 0 1.073-0.152 1.403-0.456s0.493-0.736 0.493-1.294c0-0.509-0.158-0.9-0.475-1.176s-0.791-0.413-1.422-0.413zM14.252 22.571c-0.12 0.114-0.281 0.171-0.484 0.171h-0.246v-1.148h0.348c0.373 0 0.56 0.169 0.56 0.506 0 0.201-0.060 0.358-0.179 0.471zM16.722 25.5h2.967v-1.101h-1.616v-0.944h1.497v-1.084h-1.497v-0.786h1.616v-1.084h-2.967zM24.395 22.762c0 0.305 0.016 0.71 0.048 1.213h-0.020l-1.819-3.473h-1.764v4.997h1.197v-2.253c0-0.291-0.021-0.715-0.065-1.268h0.031l1.825 3.521h1.77v-4.997h-1.203v2.259z"></path>'),
	   	 			'spinner3' => array('keywords' => 'spinner3 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 9.472c-1.030 0-1.865-0.835-1.865-1.865v-5.596c0-1.030 0.835-1.865 1.865-1.865s1.865 0.835 1.865 1.865v5.596c0 1.030-0.835 1.865-1.865 1.865zM16 31.155c-0.644 0-1.166-0.522-1.166-1.166v-5.596c0-0.644 0.522-1.166 1.166-1.166s1.166 0.522 1.166 1.166v5.596c0 0.644-0.522 1.166-1.166 1.166zM11.805 10.48c-0.604 0-1.192-0.314-1.516-0.875l-2.798-4.846c-0.483-0.836-0.196-1.906 0.64-2.389s1.906-0.196 2.389 0.64l2.798 4.846c0.483 0.836 0.196 1.906-0.64 2.389-0.275 0.159-0.576 0.235-0.873 0.235zM22.995 29.164c-0.363 0-0.715-0.188-0.91-0.525l-2.798-4.846c-0.29-0.502-0.118-1.143 0.384-1.433s1.143-0.118 1.433 0.384l2.798 4.846c0.29 0.502 0.118 1.143-0.384 1.433-0.165 0.095-0.346 0.141-0.524 0.141zM8.729 13.436c-0.277 0-0.557-0.070-0.814-0.219l-4.846-2.798c-0.781-0.451-1.048-1.449-0.597-2.229s1.449-1.048 2.229-0.597l4.846 2.798c0.781 0.451 1.048 1.449 0.597 2.229-0.302 0.524-0.851 0.816-1.415 0.816zM28.114 23.927c-0.158 0-0.319-0.040-0.465-0.125l-4.846-2.798c-0.446-0.258-0.599-0.828-0.341-1.274s0.828-0.599 1.274-0.341l4.846 2.798c0.446 0.258 0.599 0.828 0.341 1.274-0.173 0.299-0.486 0.466-0.809 0.466zM7.607 17.515h-5.596c-0.837 0-1.516-0.678-1.516-1.515s0.678-1.515 1.516-1.515h5.596c0.837 0 1.516 0.678 1.516 1.515s-0.678 1.515-1.516 1.515zM29.989 16.933c-0 0 0 0 0 0h-5.596c-0.515-0-0.933-0.418-0.933-0.933s0.418-0.933 0.933-0.933c0 0 0 0 0 0h5.596c0.515 0 0.933 0.418 0.933 0.933s-0.418 0.933-0.933 0.933zM3.886 24.394c-0.483 0-0.954-0.251-1.213-0.7-0.386-0.669-0.157-1.525 0.512-1.911l4.846-2.798c0.669-0.387 1.525-0.157 1.911 0.512s0.157 1.525-0.512 1.911l-4.846 2.798c-0.22 0.127-0.461 0.188-0.698 0.188zM23.27 12.736c-0.322 0-0.636-0.167-0.809-0.466-0.258-0.446-0.105-1.016 0.341-1.274l4.846-2.798c0.446-0.257 1.016-0.105 1.274 0.341s0.105 1.016-0.341 1.274l-4.846 2.798c-0.147 0.085-0.307 0.125-0.465 0.125zM9.004 29.397c-0.218 0-0.438-0.055-0.64-0.172-0.613-0.354-0.823-1.138-0.469-1.752l2.798-4.846c0.354-0.613 1.138-0.823 1.752-0.469s0.823 1.138 0.469 1.752l-2.798 4.846c-0.237 0.411-0.668 0.641-1.112 0.641zM20.196 9.664c-0.158 0-0.319-0.040-0.465-0.125-0.446-0.258-0.599-0.828-0.341-1.274l2.798-4.846c0.258-0.446 0.828-0.599 1.274-0.341s0.599 0.828 0.341 1.274l-2.798 4.846c-0.173 0.299-0.486 0.466-0.809 0.466z"></path>'),
	   	 			'cloud_download' => array('keywords' => 'cloud_download ','viewbox' => '0 0 32 32', 'path' =>'<path d="M22.688 17.979h-4v-5.313h-5.375v5.313h-4l6.688 6.688zM25.813 14.042q2.563 0.188 4.375 2.094t1.813 4.531q0 2.75-1.969 4.719t-4.719 1.969h-17.313q-3.313 0-5.656-2.344t-2.344-5.656q0-3.063 2.063-5.344t5.063-2.594q1.313-2.438 3.688-3.938t5.188-1.5q3.625 0 6.375 2.281t3.438 5.781z"></path>'),
	   	 			'green_planet4' => array('keywords' => 'green_planet4 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M20.979 10.899c0-3.033-3.78-7.98-4.21-8.534-0.379-0.488-1.2-0.488-1.579 0-0.431 0.554-4.21 5.501-4.21 8.534 0 3.008 1.927 4.601 4 4.986v4.095c0 0.552 0.448 1 1 1s1-0.448 1-1v-4.077c2.491-0.383 4-2.225 4-5.003zM16.979 13.866v-3.886c0-0.552-0.448-1-1-1s-1 0.448-1 1v3.851c-0.889-0.261-2-0.975-2-2.931 0-1.475 1.614-4.256 3.001-6.234 1.385 1.976 2.999 4.756 2.999 6.234 0 1.938-0.945 2.709-2 2.966zM27.529 7.362c-0.255-0.247-0.588-0.383-0.939-0.383-0.586 0-1.157 0.367-1.654 1.061-0.615 0.863-1.075 2.198-0.717 3.242 0.235 0.684 0.535 1.351 0.819 1.959-0.604 0.025-1.422 0.363-2.037 1.754-0.204 0.461-0.488 1.074-0.798 1.746-1.654 3.578-2.204 4.878-2.204 5.523 0 1.688 1.148 6.419 1.279 6.953 0.11 0.448 0.511 0.762 0.971 0.762h5c0.552 0 1-0.448 1-1v-4.014c1.113-1.89 3.75-7.19 3.75-8.759 0-1.631-3.541-7.944-4.471-8.845zM26.4 24.161c-0.098 0.158-0.15 0.34-0.15 0.526v3.291h-3.21c-0.395-1.69-1.024-4.599-1.039-5.676 0.112-0.596 1.35-3.275 2.019-4.723 0.316-0.683 0.604-1.307 0.811-1.777 0.14-0.316 0.255-0.469 0.319-0.536 0.146 0.089 0.362 0.328 0.553 0.601l-1.445 3.152c-0.23 0.502-0.010 1.096 0.492 1.326 0.136 0.061 0.277 0.091 0.416 0.091 0.379 0 0.741-0.216 0.91-0.583l1.667-3.635c0.023-0.051 0.038-0.103 0.052-0.155 0.334-0.915-0.169-2.012-0.809-3.381-0.312-0.668-0.636-1.358-0.873-2.052-0.105-0.306 0.136-0.944 0.398-1.354 1.078 1.581 3.419 6.049 3.49 6.928-0.020 0.874-2.207 5.707-3.599 7.956zM8.998 14.995c-0.615-1.392-1.433-1.729-2.037-1.754 0.282-0.607 0.583-1.275 0.819-1.959 0.359-1.043-0.101-2.38-0.717-3.242-0.495-0.694-1.067-1.061-1.654-1.061-0.351 0-0.684 0.136-0.939 0.383-0.929 0.9-4.47 7.213-4.47 8.845 0 1.569 2.637 6.868 3.75 8.758v4.014c0 0.552 0.448 1 1 1h5c0.46 0 0.861-0.314 0.971-0.762 0.131-0.535 1.279-5.265 1.279-6.953 0-0.645-0.55-1.945-2.204-5.523-0.31-0.671-0.594-1.285-0.798-1.746zM8.96 27.979h-3.21v-3.291c0-0.186-0.052-0.368-0.15-0.526-1.392-2.249-3.579-7.082-3.6-7.939 0.072-0.894 2.413-5.364 3.491-6.945 0.261 0.41 0.503 1.049 0.397 1.354-0.239 0.694-0.561 1.385-0.873 2.052-0.64 1.368-1.143 2.466-0.809 3.381 0.014 0.052 0.029 0.105 0.053 0.155l1.667 3.635c0.168 0.366 0.531 0.583 0.91 0.583 0.139 0 0.281-0.029 0.417-0.091 0.502-0.23 0.722-0.824 0.492-1.326l-1.446-3.153c0.197-0.283 0.419-0.531 0.546-0.608 0.061 0.063 0.18 0.213 0.326 0.543 0.207 0.47 0.496 1.094 0.811 1.777 0.669 1.448 1.907 4.127 2.019 4.723-0.014 1.076-0.643 3.986-1.038 5.676z"></path>'),
	   	 			'web' => array('keywords' => 'web ','viewbox' => '0 0 32 32', 'path' =>'<path d="M26.688 24.667v-12h-5.375v12h5.375zM20 17.979v-5.313h-14.688v5.313h14.688zM20 24.667v-5.313h-14.688v5.313h14.688zM26.688 5.979q1.063 0 1.844 0.813t0.781 1.875v16q0 1.063-0.781 1.875t-1.844 0.813h-21.375q-1.063 0-1.844-0.813t-0.781-1.875v-16q0-1.063 0.781-1.875t1.844-0.813h21.375z"></path>'),
	   	 			'speaker_group' => array('keywords' => 'speaker_group ','viewbox' => '0 0 32 32', 'path' =>'<path d="M8 7.354v21.313h13.313v2.688h-13.313q-1.125 0-1.906-0.813t-0.781-1.875v-21.313h2.688zM15.313 17.354q0-1.375 1-2.375t2.375-1 2.344 1 0.969 2.375-0.969 2.344-2.344 0.969-2.375-0.969-1-2.344zM18.688 22.667q2.188 0 3.75-1.563t1.563-3.75-1.563-3.781-3.75-1.594-3.781 1.594-1.594 3.781 1.594 3.75 3.781 1.563zM18.688 4.667q-1.063 0-1.875 0.781t-0.813 1.906 0.781 1.875 1.906 0.75q1.063 0 1.844-0.75t0.781-1.875-0.781-1.906-1.844-0.781zM24.25 1.979q1 0 1.719 0.719t0.719 1.719v19.188q0 1-0.719 1.688t-1.719 0.688h-11.188q-1 0-1.688-0.688t-0.688-1.688v-19.188q0-1 0.688-1.719t1.688-0.719h11.188z"></path>'),
	   	 			'onedrive' => array('keywords' => 'onedrive ','viewbox' => '0 0 32 32', 'path' =>'<path d="M10.965 25.887c-1.884-0.471-2.933-1.968-2.936-4.189-0.001-0.71 0.050-1.051 0.228-1.507 0.435-1.12 1.585-1.965 3.099-2.276 0.753-0.155 0.986-0.321 0.986-0.705 0-0.121 0.090-0.48 0.199-0.799 0.498-1.447 1.42-2.653 2.405-3.147 1.031-0.516 1.551-0.633 2.798-0.626 1.771 0.009 2.655 0.394 3.89 1.691l0.68 0.714 0.609-0.211c2.947-1.020 5.885 0.716 6.122 3.617l0.065 0.794 0.58 0.208c1.657 0.594 2.436 1.841 2.295 3.674-0.092 1.199-0.653 2.156-1.541 2.631l-0.417 0.223-9.276 0.018c-7.128 0.014-9.394-0.012-9.785-0.109v0zM3.226 24.561c-1.131-0.284-2.328-1.339-2.89-2.546-0.319-0.685-0.336-0.785-0.336-1.996 0-1.152 0.027-1.337 0.281-1.909 0.535-1.206 1.559-2.077 2.845-2.419 0.271-0.072 0.526-0.188 0.567-0.256s0.085-0.443 0.099-0.831c0.090-2.412 1.587-4.538 3.678-5.221 1.13-0.369 2.612-0.403 3.841 0.116 0.39 0.165 0.346 0.2 1.17-0.942 0.487-0.675 1.41-1.39 2.216-1.818 0.87-0.462 1.775-0.675 2.857-0.672 3.024 0.008 5.63 2.007 6.594 5.058 0.308 0.975 0.293 1.248-0.071 1.256-0.159 0.004-0.613 0.096-1.009 0.205l-0.721 0.199-0.658-0.695c-1.855-1.96-4.882-2.384-7.456-1.044-1.028 0.536-1.854 1.305-2.478 2.307-0.445 0.714-1.012 2.047-1.012 2.378 0 0.235-0.18 0.352-0.948 0.618-2.378 0.824-3.766 2.728-3.765 5.163 0 0.887 0.216 1.971 0.516 2.592 0.113 0.234 0.176 0.457 0.14 0.495-0.092 0.097-3.050 0.064-3.459-0.038v0z"></path>'),
	   	 			'upload4' => array('keywords' => 'upload4 ','viewbox' => '0 0 30 32', 'path' =>'<path d="M22.857 26.571q0-0.464-0.339-0.804t-0.804-0.339-0.804 0.339-0.339 0.804 0.339 0.804 0.804 0.339 0.804-0.339 0.339-0.804zM27.429 26.571q0-0.464-0.339-0.804t-0.804-0.339-0.804 0.339-0.339 0.804 0.339 0.804 0.804 0.339 0.804-0.339 0.339-0.804zM29.714 22.571v5.714q0 0.714-0.5 1.214t-1.214 0.5h-26.286q-0.714 0-1.214-0.5t-0.5-1.214v-5.714q0-0.714 0.5-1.214t1.214-0.5h7.625q0.375 1 1.259 1.643t1.973 0.643h4.571q1.089 0 1.973-0.643t1.259-1.643h7.625q0.714 0 1.214 0.5t0.5 1.214zM23.911 11q-0.304 0.714-1.054 0.714h-4.571v8q0 0.464-0.339 0.804t-0.804 0.339h-4.571q-0.464 0-0.804-0.339t-0.339-0.804v-8h-4.571q-0.75 0-1.054-0.714-0.304-0.696 0.25-1.232l8-8q0.321-0.339 0.804-0.339t0.804 0.339l8 8q0.554 0.536 0.25 1.232z"></path>'),
	   	 			'subdirectory_arrow_right' => array('keywords' => 'subdirectory_arrow_right ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25.313 20.667l-8 8-1.875-1.875 4.813-4.813h-14.938v-16h2.688v13.375h12.25l-4.813-4.813 1.875-1.875z"></path>'),
	   	 			'window_corners' => array('keywords' => 'window_corners ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31 7c0.552 0 1-0.448 1-1v-5c0-0.552-0.448-1-1-1h-5c-0.552 0-1 0.448-1 1v1.5h-18v-1.5c0-0.552-0.448-1-1-1h-5c-0.552 0-1 0.448-1 1v5c0 0.552 0.448 1 1 1h1.5v18h-1.5c-0.552 0-1 0.448-1 1v5c0 0.552 0.448 1 1 1h5c0.552 0 1-0.448 1-1v-1.5h18v1.5c0 0.552 0.448 1 1 1h5c0.552 0 1-0.448 1-1v-5c0-0.552-0.448-1-1-1h-1.5v-18h1.5zM27 2h3v3h-3v-3zM2 2h3v3h-3v-3zM5 30h-3v-3h3v3zM30 30h-3v-3h3v3zM27.5 25h-1.5c-0.552 0-1 0.448-1 1v1.5h-18v-1.5c0-0.552-0.448-1-1-1h-1.5v-18h1.5c0.552 0 1-0.448 1-1v-1.5h18v1.5c0 0.552 0.448 1 1 1h1.5v18z"></path>'),
	   	 			'piechart' => array('keywords' => 'piechart ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 17.518c0-0.276-0.224-0.5-0.5-0.5h-13.5v-13.518c0-0.276-0.224-0.5-0.5-0.5-7.995 0-14.5 6.495-14.5 14.479 0 8.278 6.243 14.521 14.521 14.521 7.713 0 14.479-6.768 14.479-14.482zM1 17.479c0-7.266 5.787-13.206 13-13.47v13.509c0 0.276 0.224 0.5 0.5 0.482h13.49c-0.283 6.99-6.455 13-13.469 13-7.708 0-13.521-5.812-13.521-13.521zM17.5 15h13.999c0.276 0.018 0.501-0.224 0.501-0.5 0-7.995-6.505-14.5-14.5-14.5-0.276 0-0.5 0.224-0.5 0.5v14.018c0 0.276 0.224 0.5 0.5 0.482zM18 1.009c7.063 0.259 12.759 5.97 12.994 13.009h-12.994v-13.009z"></path>'),
	   	 			'pagebreak' => array('keywords' => 'pagebreak ','viewbox' => '0 0 32 32', 'path' =>'<path d="M8 12v-12h24v12h-2v-10h-20v10zM32 18v14h-24v-14h2v12h20v-12zM16 14h4v2h-4zM10 14h4v2h-4zM22 14h4v2h-4zM28 14h4v2h-4zM0 9l6 6-6 6z"></path>'),
	   	 			'braille' => array('keywords' => 'braille ','viewbox' => '0 0 39 32', 'path' =>'<path d="M3.429 21.429q-1.179 0-2.018 0.839t-0.839 2.018 0.839 2.018 2.018 0.839 2.018-0.839 0.839-2.018-0.839-2.018-2.018-0.839zM12.571 21.429q-1.179 0-2.018 0.839t-0.839 2.018 0.839 2.018 2.018 0.839 2.018-0.839 0.839-2.018-0.839-2.018-2.018-0.839zM12.571 12.286q-1.179 0-2.018 0.839t-0.839 2.018 0.839 2.018 2.018 0.839 2.018-0.839 0.839-2.018-0.839-2.018-2.018-0.839zM26.286 21.429q-1.179 0-2.018 0.839t-0.839 2.018 0.839 2.018 2.018 0.839 2.018-0.839 0.839-2.018-0.839-2.018-2.018-0.839zM35.429 21.429q-1.179 0-2.018 0.839t-0.839 2.018 0.839 2.018 2.018 0.839 2.018-0.839 0.839-2.018-0.839-2.018-2.018-0.839zM26.286 12.286q-1.179 0-2.018 0.839t-0.839 2.018 0.839 2.018 2.018 0.839 2.018-0.839 0.839-2.018-0.839-2.018-2.018-0.839zM35.429 12.286q-1.179 0-2.018 0.839t-0.839 2.018 0.839 2.018 2.018 0.839 2.018-0.839 0.839-2.018-0.839-2.018-2.018-0.839zM35.429 3.143q-1.179 0-2.018 0.839t-0.839 2.018 0.839 2.018 2.018 0.839 2.018-0.839 0.839-2.018-0.839-2.018-2.018-0.839zM6.857 24.286q0 1.429-1 2.429t-2.429 1-2.429-1-1-2.429 1-2.429 2.429-1 2.429 1 1 2.429zM16 24.286q0 1.429-1 2.429t-2.429 1-2.429-1-1-2.429 1-2.429 2.429-1 2.429 1 1 2.429zM6.857 15.143q0 1.429-1 2.429t-2.429 1-2.429-1-1-2.429 1-2.429 2.429-1 2.429 1 1 2.429zM16 15.143q0 1.429-1 2.429t-2.429 1-2.429-1-1-2.429 1-2.429 2.429-1 2.429 1 1 2.429zM6.857 6q0 1.429-1 2.429t-2.429 1-2.429-1-1-2.429 1-2.429 2.429-1 2.429 1 1 2.429zM29.714 24.286q0 1.429-1 2.429t-2.429 1-2.429-1-1-2.429 1-2.429 2.429-1 2.429 1 1 2.429zM16 6q0 1.429-1 2.429t-2.429 1-2.429-1-1-2.429 1-2.429 2.429-1 2.429 1 1 2.429zM38.857 24.286q0 1.429-1 2.429t-2.429 1-2.429-1-1-2.429 1-2.429 2.429-1 2.429 1 1 2.429zM29.714 15.143q0 1.429-1 2.429t-2.429 1-2.429-1-1-2.429 1-2.429 2.429-1 2.429 1 1 2.429zM38.857 15.143q0 1.429-1 2.429t-2.429 1-2.429-1-1-2.429 1-2.429 2.429-1 2.429 1 1 2.429zM29.714 6q0 1.429-1 2.429t-2.429 1-2.429-1-1-2.429 1-2.429 2.429-1 2.429 1 1 2.429zM38.857 6q0 1.429-1 2.429t-2.429 1-2.429-1-1-2.429 1-2.429 2.429-1 2.429 1 1 2.429z"></path>'),
	   	 			'eye-blocked' => array('keywords' => 'eye-blocked ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29.561 0.439c-0.586-0.586-1.535-0.586-2.121 0l-6.318 6.318c-1.623-0.492-3.342-0.757-5.122-0.757-6.979 0-13.028 4.064-16 10 1.285 2.566 3.145 4.782 5.407 6.472l-4.968 4.968c-0.586 0.586-0.586 1.535 0 2.121 0.293 0.293 0.677 0.439 1.061 0.439s0.768-0.146 1.061-0.439l27-27c0.586-0.586 0.586-1.536 0-2.121zM13 10c1.32 0 2.44 0.853 2.841 2.037l-3.804 3.804c-1.184-0.401-2.037-1.521-2.037-2.841 0-1.657 1.343-3 3-3zM3.441 16c1.197-1.891 2.79-3.498 4.67-4.697 0.122-0.078 0.246-0.154 0.371-0.228-0.311 0.854-0.482 1.776-0.482 2.737 0 1.715 0.54 3.304 1.459 4.607l-1.904 1.904c-1.639-1.151-3.038-2.621-4.114-4.323zM24 13.813c0-0.849-0.133-1.667-0.378-2.434l-10.056 10.056c0.768 0.245 1.586 0.378 2.435 0.378 4.418 0 8-3.582 8-8zM25.938 9.062l-2.168 2.168c0.040 0.025 0.079 0.049 0.118 0.074 1.88 1.199 3.473 2.805 4.67 4.697-1.197 1.891-2.79 3.498-4.67 4.697-2.362 1.507-5.090 2.303-7.889 2.303-1.208 0-2.403-0.149-3.561-0.439l-2.403 2.403c1.866 0.671 3.873 1.036 5.964 1.036 6.978 0 13.027-4.064 16-10-1.407-2.81-3.504-5.2-6.062-6.938z"></path>'),
	   	 			'trophy2' => array('keywords' => 'trophy2 ','viewbox' => '0 0 30 32', 'path' =>'<path d="M8.179 16.054q-1.321-2.893-1.321-6.625h-4.571v1.714q0 1.393 1.688 2.893t4.205 2.018zM27.429 11.143v-1.714h-4.571q0 3.732-1.321 6.625 2.518-0.518 4.205-2.018t1.688-2.893zM29.714 8.857v2.286q0 1.268-0.741 2.554t-2 2.321-3.089 1.741-3.848 0.795q-0.75 0.964-1.696 1.696-0.679 0.607-0.938 1.295t-0.259 1.598q0 0.964 0.545 1.625t1.741 0.661q1.339 0 2.384 0.813t1.045 2.045v1.143q0 0.25-0.161 0.411t-0.411 0.161h-14.857q-0.25 0-0.411-0.161t-0.161-0.411v-1.143q0-1.232 1.045-2.045t2.384-0.813q1.196 0 1.741-0.661t0.545-1.625q0-0.911-0.259-1.598t-0.938-1.295q-0.946-0.732-1.696-1.696-2.018-0.089-3.848-0.795t-3.089-1.741-2-2.321-0.741-2.554v-2.286q0-0.714 0.5-1.214t1.214-0.5h5.143v-1.714q0-1.179 0.839-2.018t2.018-0.839h10.286q1.179 0 2.018 0.839t0.839 2.018v1.714h5.143q0.714 0 1.214 0.5t0.5 1.214z"></path>'),
	   	 			'weather_12' => array('keywords' => 'weather_12 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M21.5 20.518h-1.134l0.567-0.982c0.138-0.239 0.056-0.545-0.183-0.683s-0.545-0.056-0.683 0.183l-0.567 0.982-0.567-0.982c-0.139-0.239-0.444-0.322-0.683-0.183s-0.322 0.444-0.183 0.683l0.567 0.982h-1.134c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h1.134l-0.567 0.982c-0.138 0.239-0.056 0.545 0.183 0.683 0.078 0.046 0.165 0.067 0.25 0.067 0.173 0 0.341-0.090 0.433-0.25l0.567-0.982 0.567 0.982c0.093 0.16 0.261 0.25 0.433 0.25 0.084 0 0.171-0.021 0.25-0.067 0.239-0.138 0.322-0.444 0.183-0.683l-0.567-0.982h1.134c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5zM21.5 26.018h-1.134l0.567-0.982c0.138-0.239 0.056-0.545-0.183-0.683s-0.545-0.056-0.683 0.183l-0.567 0.982-0.567-0.982c-0.139-0.239-0.444-0.322-0.683-0.183s-0.322 0.444-0.183 0.683l0.567 0.982h-1.134c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h1.134l-0.567 0.982c-0.138 0.239-0.056 0.545 0.183 0.683 0.078 0.046 0.165 0.067 0.25 0.067 0.173 0 0.341-0.090 0.433-0.25l0.567-0.982 0.567 0.982c0.093 0.16 0.261 0.25 0.433 0.25 0.084 0 0.171-0.021 0.25-0.067 0.239-0.138 0.322-0.444 0.183-0.683l-0.567-0.982h1.134c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5zM25 7.25c-0.477 0-0.954 0.050-1.424 0.149-1.648-2.578-4.482-4.149-7.576-4.149-3.92 0-7.348 2.539-8.545 6.181-0.474-0.12-0.96-0.181-1.455-0.181-3.308 0-6 2.691-6 6s2.692 6 6 6h1.5c0.552 0 1-0.448 1-1s-0.448-1-1-1h-1.5c-2.205 0-4-1.794-4-4s1.795-4 4-4c0.594 0 1.171 0.132 1.716 0.392 0.28 0.133 0.605 0.13 0.883-0.011s0.473-0.4 0.53-0.704c0.629-3.29 3.518-5.677 6.87-5.677 2.617 0 4.996 1.447 6.209 3.775 0.227 0.437 0.738 0.643 1.204 0.486 0.518-0.174 1.053-0.261 1.587-0.261 2.757 0 5 2.243 5 5s-2.243 5-5 5h-0.5c-0.552 0-1 0.448-1 1s0.448 1 1 1h0.5c3.86 0 7-3.14 7-7s-3.14-7-7-7zM12 23.25v-4c0-0.276-0.223-0.5-0.5-0.5s-0.5 0.224-0.5 0.5v4c0 0.276 0.223 0.5 0.5 0.5s0.5-0.224 0.5-0.5zM15 24.25v-4c0-0.276-0.223-0.5-0.5-0.5s-0.5 0.224-0.5 0.5v4c0 0.276 0.223 0.5 0.5 0.5s0.5-0.224 0.5-0.5zM15.5 26.75c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM12.5 25.75c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1z"></path>'),
	   	 			'network_check' => array('keywords' => 'network_check ','viewbox' => '0 0 32 32', 'path' =>'<path d="M6.688 17.979q4-4 9.75-3.813l-1.75 3.813q-3.063 0.375-5.375 2.688zM22.688 20.667q-0.688-0.688-1.625-1.313l0.75-3.875q2 1 3.5 2.5zM28 15.354q-2.438-2.438-5.5-3.688l0.688-3.75q4.313 1.563 7.5 4.75zM1.313 12.667q3.688-3.688 8.531-5.156t9.781-0.594l-1.563 3.563q-3.813-0.5-7.531 0.781t-6.531 4.094zM21.188 7.354q0.688 0 0.688 0.625l-3.25 17.188v0.063q-0.188 0.875-0.938 1.5t-1.688 0.625q-1.125 0-1.906-0.781t-0.781-1.906q0-0.688 0.313-1.313l6.938-15.5q0.188-0.5 0.625-0.5z"></path>'),
	   	 			'photo_filter' => array('keywords' => 'photo_filter ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25.375 13.979h2.625v12q0 1.063-0.781 1.875t-1.844 0.813h-18.688q-1.063 0-1.875-0.813t-0.813-1.875v-18.625q0-1.063 0.813-1.875t1.875-0.813h12v2.688h-12v18.625h18.688v-12zM16.5 9.354l1.625 3.5 3.438 1.563-3.438 1.563-1.625 3.5-1.563-3.5-3.5-1.563 3.5-1.563zM22.813 12.542l-0.75-1.75-1.75-0.813 1.75-0.75 0.75-1.75 0.813 1.75 1.75 0.75-1.75 0.813z"></path>'),
	   	 			'compare_arrows' => array('keywords' => 'compare_arrows ','viewbox' => '0 0 32 32', 'path' =>'<path d="M20 17.979l-5.313-5.313 5.313-5.313v4h9.313v2.625h-9.313v4zM12 19.354v-4l5.313 5.313-5.313 5.313v-4h-9.313v-2.625h9.313z"></path>'),
	   	 			'equalizer2' => array('keywords' => 'equalizer2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M14 4v-0.5c0-0.825-0.675-1.5-1.5-1.5h-5c-0.825 0-1.5 0.675-1.5 1.5v0.5h-6v4h6v0.5c0 0.825 0.675 1.5 1.5 1.5h5c0.825 0 1.5-0.675 1.5-1.5v-0.5h18v-4h-18zM8 8v-4h4v4h-4zM26 13.5c0-0.825-0.675-1.5-1.5-1.5h-5c-0.825 0-1.5 0.675-1.5 1.5v0.5h-18v4h18v0.5c0 0.825 0.675 1.5 1.5 1.5h5c0.825 0 1.5-0.675 1.5-1.5v-0.5h6v-4h-6v-0.5zM20 18v-4h4v4h-4zM14 23.5c0-0.825-0.675-1.5-1.5-1.5h-5c-0.825 0-1.5 0.675-1.5 1.5v0.5h-6v4h6v0.5c0 0.825 0.675 1.5 1.5 1.5h5c0.825 0 1.5-0.675 1.5-1.5v-0.5h18v-4h-18v-0.5zM8 28v-4h4v4h-4z"></path>'),
	   	 			'home3' => array('keywords' => 'home3 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M32 19l-6-6v-9h-4v5l-6-6-16 16v1h4v10h10v-6h4v6h10v-10h4z"></path>'),
	   	 			'dehaze' => array('keywords' => 'dehaze ','viewbox' => '0 0 32 32', 'path' =>'<path d="M2.688 7.979h26.625v2.687h-26.625v-2.688zM2.688 14.667h26.625v2.688h-26.625v-2.688zM2.688 21.354h26.625v2.625h-26.625v-2.625z"></path>'),
	   	 			'weather_14' => array('keywords' => 'weather_14 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25 6.5c-0.477 0-0.954 0.050-1.424 0.149-1.648-2.578-4.482-4.149-7.576-4.149-3.92 0-7.348 2.538-8.545 6.18-0.474-0.12-0.96-0.18-1.455-0.18-3.308 0-6 2.691-6 6s2.692 6 6 6h1.5c0.552 0 1-0.448 1-1s-0.448-1-1-1h-1.5c-2.205 0-4-1.795-4-4s1.795-4 4-4c0.594 0 1.171 0.132 1.716 0.392 0.28 0.133 0.605 0.13 0.883-0.011s0.473-0.4 0.53-0.704c0.629-3.29 3.518-5.677 6.87-5.677 2.617 0 4.996 1.447 6.209 3.775 0.227 0.437 0.738 0.642 1.204 0.486 0.518-0.174 1.053-0.261 1.587-0.261 2.757 0 5 2.243 5 5s-2.243 5-5 5h-0.5c-0.552 0-1 0.448-1 1s0.448 1 1 1h0.5c3.86 0 7-3.14 7-7s-3.14-7-7-7zM13.014 18.642c-0.473-0.285-1.088-0.131-1.372 0.343l-3 5c-0.284 0.474-0.131 1.088 0.343 1.372 0.161 0.096 0.338 0.142 0.514 0.142 0.34 0 0.671-0.174 0.858-0.486l3-5c0.284-0.473 0.131-1.087-0.343-1.372zM21.015 18.642c-0.474-0.285-1.088-0.131-1.372 0.343l-3 5c-0.284 0.474-0.131 1.088 0.343 1.372 0.161 0.096 0.338 0.142 0.514 0.142 0.34 0 0.671-0.174 0.858-0.486l3-5c0.284-0.473 0.131-1.087-0.343-1.372zM16.985 18.625c-0.483-0.268-1.091-0.094-1.36 0.389l-5 9c-0.268 0.483-0.095 1.091 0.389 1.36 0.153 0.085 0.32 0.126 0.485 0.126 0.351 0 0.693-0.186 0.875-0.514l5-9c0.268-0.483 0.095-1.092-0.389-1.36z"></path>'),
	   	 			'beach_chair' => array('keywords' => 'beach_chair ','viewbox' => '0 0 32 32', 'path' =>'<path d="M1 9h1.131c0.095 0.366 0.239 0.71 0.426 1.028l-0.801 0.801c-0.391 0.39-0.391 1.024 0 1.414 0.195 0.196 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293l0.801-0.801c0.317 0.188 0.662 0.332 1.028 0.427v1.131c0 0.552 0.448 1 1 1s1-0.448 1-1v-1.132c0.365-0.094 0.71-0.239 1.028-0.427l0.801 0.801c0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293c0.39-0.39 0.39-1.024 0-1.414l-0.801-0.801c0.188-0.318 0.332-0.662 0.427-1.028h1.132c0.552 0 1-0.448 1-1s-0.448-1-1-1h-1.131c-0.095-0.365-0.239-0.71-0.427-1.028l0.801-0.801c0.39-0.391 0.39-1.024 0-1.414s-1.024-0.39-1.414 0l-0.801 0.801c-0.317-0.187-0.662-0.332-1.028-0.425v-1.132c0-0.552-0.448-1-1-1s-1 0.448-1 1v1.132c-0.365 0.094-0.71 0.239-1.028 0.426l-0.8-0.8c-0.39-0.39-1.024-0.39-1.414 0s-0.391 1.023 0 1.414l0.801 0.801c-0.188 0.317-0.332 0.662-0.427 1.027h-1.131c-0.552 0-1 0.448-1 1s0.448 1 1 1zM6 6c1.103 0 2 0.897 2 2s-0.897 2-2 2-2-0.897-2-2 0.897-2 2-2zM31.665 13.252c-0.413-0.367-1.046-0.33-1.412 0.083l-6.857 7.714-1.538-2.564c-0.18-0.302-0.506-0.485-0.858-0.485h-6c-0.552 0-1 0.448-1 1s0.448 1 1 1h5.434l1.2 2h-16.634c-0.335 0-0.646 0.167-0.832 0.445l-4 6c-0.306 0.459-0.182 1.081 0.278 1.387 0.17 0.114 0.363 0.168 0.553 0.168 0.323 0 0.64-0.156 0.833-0.445l3.703-5.555h17.299l3.309 5.515c0.188 0.313 0.518 0.485 0.858 0.485 0.175 0 0.352-0.046 0.513-0.142 0.474-0.284 0.628-0.898 0.343-1.372l-3.384-5.639 7.274-8.182c0.367-0.414 0.33-1.046-0.083-1.412z"></path>'),
	   	 			'stack-overflow' => array('keywords' => 'stack-overflow ','viewbox' => '0 0 27 32', 'path' =>'<path d="M23.018 29.429h-19.964v-8.571h-2.857v11.429h25.679v-11.429h-2.857v8.571zM6.196 20.071l0.589-2.804 13.982 2.946-0.589 2.786zM8.036 13.393l1.196-2.607 12.946 6.054-1.196 2.589zM11.625 7.036l1.821-2.196 10.964 9.161-1.821 2.196zM18.714 0.286l8.518 11.446-2.286 1.714-8.518-11.446zM5.893 26.554v-2.839h14.286v2.839h-14.286z"></path>'),
	   	 			'stopwatch' => array('keywords' => 'stopwatch ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 6.038v-2.038h4v-2c0-1.105-0.895-2-2-2h-6c-1.105 0-2 0.895-2 2v2h4v2.038c-6.712 0.511-12 6.119-12 12.962 0 7.18 5.82 13 13 13s13-5.82 13-13c0-6.843-5.288-12.451-12-12.962zM22.071 26.071c-1.889 1.889-4.4 2.929-7.071 2.929s-5.182-1.040-7.071-2.929c-1.889-1.889-2.929-4.4-2.929-7.071s1.040-5.182 2.929-7.071c1.814-1.814 4.201-2.844 6.754-2.923l-0.677 9.813c-0.058 0.822 0.389 1.181 0.995 1.181s1.053-0.36 0.995-1.181l-0.677-9.813c2.552 0.079 4.94 1.11 6.754 2.923 1.889 1.889 2.929 4.4 2.929 7.071s-1.040 5.182-2.929 7.071z"></path>'),
	   	 			'brightness_auto' => array('keywords' => 'brightness_auto ','viewbox' => '0 0 32 32', 'path' =>'<path d="M19.063 21.979h2.563l-4.313-12h-2.625l-4.313 12h2.563l0.938-2.625h4.25zM26.688 12.229l4.375 4.438-4.375 4.438v6.25h-6.25l-4.438 4.375-4.438-4.375h-6.25v-6.25l-4.375-4.438 4.375-4.438v-6.25h6.25l4.438-4.375 4.438 4.375h6.25v6.25zM14.438 17.542l1.563-4.875 1.563 4.875h-3.125z"></path>'),
	   	 			'server_symbol3' => array('keywords' => 'server_symbol3 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M8.974 4.501c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM6 4.501c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM8.974 15.501c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM6 15.501c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM28.999 9c1.654 0 3-1.345 3-3v-3c0-1.654-1.345-3-3-3l-25.999 0.001c-1.654 0-3 1.345-3 3v3c0 1.654 1.345 3 3 3l12-0.001v2h-12c-1.654 0-3 1.345-3 3v3c0 1.654 1.345 3 3 3h12v6.277c-0.3 0.175-0.548 0.422-0.722 0.722h-8.277c-0.552 0-1 0.448-1 1s0.448 1 1 1h8.277c0.347 0.594 0.984 1 1.722 1s1.376-0.405 1.722-1h0.042c1.468 1.826 3.716 3 6.235 3 4.411 0 8-3.589 8-8 0-1.66-0.509-3.203-1.378-4.482 0.827-0.534 1.378-1.462 1.378-2.517v-3c0-1.654-1.345-3-3-3h-12v-2l12-0.001zM17.999 24c0-3.308 2.691-6 6-6 1.294 0 2.49 0.416 3.47 1.114l-8.355 8.356c-0.699-0.981-1.115-2.177-1.115-3.47zM23.999 30c-1.294 0-2.49-0.416-3.47-1.115l8.355-8.356c0.699 0.981 1.115 2.177 1.115 3.471 0 3.308-2.691 6-6 6zM28.999 13.001c0.552 0 1 0.448 1 1v3c0 0.469-0.325 0.86-0.761 0.968-1.405-1.221-3.234-1.968-5.238-1.968-2.021 0-3.864 0.759-5.274 2h-2.723c-0.001 0-0.002 0-0.002 0s-0.002 0-0.002 0h-12.997c-0.551 0-1-0.448-1-1v-3c0-0.551 0.449-1 1-1h25.999zM3 7.001c-0.551 0-1-0.449-1-1v-3c0-0.552 0.449-1 1-1l25.999-0.001c0.552 0 1 0.449 1 1v3c0 0.552-0.448 1-1 1l-25.999 0.001z"></path>'),
	   	 			'umbrella_1' => array('keywords' => 'umbrella_1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M17 2.047v-1.048c0-0.552-0.448-1-1-1s-1 0.448-1 1v1.048c-5.598 0.507-10 5.225-10 10.953 0 0.552 0.448 1 1 1h9v14c0 0.334-0.097 2-2 2-1.825 0-1.992-1.533-2-2.006-0.003-0.549-0.449-0.994-1-0.994v0c-0.552 0-1 0.448-1 1 0 0.101 0.014 1.012 0.48 1.948 0.662 1.323 1.912 2.052 3.52 2.052 2.934 0 4-2.392 4-4v-14h9c0.552 0 1-0.448 1-1 0-5.728-4.402-10.445-10-10.953zM24.941 12h-2.968c-0.131-2.759-0.794-5.192-1.805-6.969 2.588 1.359 4.436 3.937 4.773 6.969zM11.832 5.031c-1.011 1.777-1.675 4.21-1.806 6.969h-2.967c0.337-3.031 2.185-5.611 4.773-6.969zM12.026 12c0.198-3.872 1.531-6.73 2.974-7.665v7.665h-2.974zM17 4.335c1.443 0.936 2.776 3.793 2.974 7.665h-2.974v-7.665z"></path>'),
	   	 			'slow_motion_video' => array('keywords' => 'slow_motion_video ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29.313 16.667q0 5.125-3.438 8.938t-8.5 4.313v-2.688q3.938-0.5 6.625-3.531t2.688-7.031-2.688-7.031-6.625-3.531v-2.688q5.063 0.5 8.5 4.313t3.438 8.938zM7.563 26.979l1.875-1.875q2.313 1.75 5.25 2.125v2.688q-3.938-0.375-7.125-2.938zM5.438 17.979q0.375 2.938 2.125 5.188l-1.875 1.938q-2.563-3.188-2.938-7.125h2.688zM7.563 10.104q-1.75 2.313-2.125 5.25h-2.688q0.375-3.938 2.938-7.125zM14.688 6.104q-2.938 0.375-5.25 2.125l-1.875-1.875q3.188-2.563 7.125-2.938v2.688zM17.375 13.729l3.938 2.938q-3.938 2.938-8 6z"></path>'),
	   	 			'security' => array('keywords' => 'security ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 1.979l12 5.375v8q0 5.563-3.438 10.156t-8.563 5.844q-5.125-1.25-8.563-5.844t-3.438-10.156v-8zM16 16.667v11.938q3.688-1.188 6.25-4.469t3.063-7.469h-9.313zM16 16.667v-11.75l-9.313 4.125v7.625h9.313z"></path>'),
	   	 			'gift_surprise1' => array('keywords' => 'gift_surprise1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 8h-2v-3.61c0-1.385-0.931-2.39-2.215-2.39-0.334 0-0.674 0.069-1.014 0.204l-4.938 1.976c-0.725-0.728-1.727-1.179-2.834-1.179s-2.108 0.452-2.834 1.179l-4.939-1.976c-0.339-0.135-0.679-0.204-1.013-0.204-1.284 0-2.215 1.005-2.215 2.39v3.61h-2c-1.649 0-3 1.35-3 3.001v3c0 1.299 0.839 2.409 2 2.824v10.177c0 1.651 1.349 3 3 3h22c1.649 0 3-1.349 3-3v-10.177c1.162-0.415 2-1.525 2-2.823v-3c0-1.651-1.349-3-3-3zM24.514 4.061c0.127-0.051 0.218-0.062 0.271-0.062 0.059 0 0.215 0 0.215 0.39v3.61h-5.131c0.082-0.321 0.131-0.654 0.131-1 0-0.372-0.055-0.731-0.151-1.073l4.665-1.865zM16 5c1.103 0 2 0.897 2 2s-0.897 2-2 2-2-0.898-2-2 0.897-2 2-2zM7 4.39c0-0.39 0.156-0.39 0.215-0.39 0.053 0 0.144 0.010 0.271 0.062l4.665 1.865c-0.096 0.343-0.15 0.701-0.15 1.073 0 0.346 0.049 0.679 0.132 1h-5.131v-3.609zM13 28h-8c-0.55 0-1-0.45-1-1v-10h9v11zM13 15h-10c-0.55 0-1-0.45-1-1v-3c0-0.55 0.45-1.001 1-1.001h2.995c0.002 0 0.003 0.001 0.005 0.001h7v5zM15 28v-17.132c0.32 0.083 0.655 0.132 1 0.132s0.68-0.049 1-0.132v17.132h-2zM28 27c0 0.55-0.45 1-1 1h-8v-11h9v10zM30 14c0 0.55-0.45 1-1 1h-10v-5h10c0.55 0 1 0.45 1 1v3z"></path>'),
	   	 			'shield' => array('keywords' => 'shield ','viewbox' => '0 0 32 32', 'path' =>'<path d="M30 0l-14 4-14-4c0 0-0.141 1.616 0 4l14 4.378 14-4.378c0.141-2.384 0-4 0-4zM2.256 6.097c0.75 7.834 3.547 21.007 13.744 25.903 10.197-4.896 12.995-18.069 13.744-25.903l-13.744 5.167-13.744-5.167z"></path>'),
	   	 			'pencil3' => array('keywords' => 'pencil3 ','viewbox' => '0 0 27 32', 'path' =>'<path d="M6.482 27.714l1.625-1.625-4.196-4.196-1.625 1.625v1.911h2.286v2.286h1.911zM15.821 11.143q0-0.393-0.393-0.393-0.179 0-0.304 0.125l-9.679 9.679q-0.125 0.125-0.125 0.304 0 0.393 0.393 0.393 0.179 0 0.304-0.125l9.679-9.679q0.125-0.125 0.125-0.304zM14.857 7.714l7.429 7.429-14.857 14.857h-7.429v-7.429zM27.054 9.429q0 0.946-0.661 1.607l-2.964 2.964-7.429-7.429 2.964-2.946q0.643-0.679 1.607-0.679 0.946 0 1.625 0.679l4.196 4.179q0.661 0.696 0.661 1.625z"></path>'),
	   	 			'mosque_sign' => array('keywords' => 'mosque_sign ','viewbox' => '0 0 32 32', 'path' =>'<path d="M6 22c-0.552 0-1 0.448-1 1v1c0 0.552 0.448 1 1 1s1-0.448 1-1v-1c0-0.552-0.448-1-1-1zM10 22c-0.552 0-1 0.448-1 1v1c0 0.552 0.448 1 1 1s1-0.448 1-1v-1c0-0.552-0.448-1-1-1zM22 22c-0.552 0-1 0.448-1 1v1c0 0.552 0.448 1 1 1s1-0.448 1-1v-1c0-0.552-0.448-1-1-1zM26 22c-0.552 0-1 0.448-1 1v1c0 0.552 0.448 1 1 1s1-0.448 1-1v-1c0-0.552-0.448-1-1-1zM31 9h-0.574l-0.942-5.178c-0.087-0.476-0.5-0.821-0.984-0.821s-0.898 0.345-0.984 0.821l-0.942 5.178h-0.574c-0.552 0-1 0.448-1 1s0.448 1 1 1v7h-1.102c-0.544-2.934-3.425-5.287-7.131-5.863l-0.753-2.257c0.436-0.124 0.85-0.345 1.193-0.688 0.39-0.39 0.39-1.024 0-1.414s-1.024-0.391-1.414 0c-0.295 0.295-0.776 0.295-1.072 0-0.143-0.143-0.222-0.333-0.222-0.535s0.079-0.393 0.222-0.535c0.39-0.391 0.39-1.024 0-1.415s-1.024-0.391-1.414-0c-0.521 0.521-0.807 1.213-0.807 1.95s0.287 1.429 0.807 1.95c0.22 0.219 0.472 0.383 0.736 0.512l-0.81 2.432c-3.706 0.577-6.588 2.93-7.131 5.863h-1.103v-7c0.552 0 1-0.448 1-1s-0.448-1-1-1h-0.574l-0.942-5.178c-0.087-0.476-0.5-0.821-0.984-0.821s-0.897 0.345-0.984 0.821l-0.942 5.178h-0.574c-0.552 0-1 0.448-1 1s0.448 1 1 1v17c0 0.552 0.448 1 1 1h28c0.552 0 1-0.448 1-1v-17c0.552 0 1-0.448 1-1s-0.448-1-1-1zM16 14c3.381 0 6.209 1.72 6.859 4h-13.718c0.65-2.28 3.479-4 6.859-4zM15 27v-2c0-0.552 0.448-1 1-1s1 0.448 1 1v2h-2zM29 27h-10v-2c0-1.654-1.346-3-3-3s-3 1.346-3 3v2h-10v-16h1v8c0 0.552 0.448 1 1 1h22c0.552 0 1-0.448 1-1v-8h1v16z"></path>'),
	   	 			'border_inner' => array('keywords' => 'border_inner ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25.313 23.354v-2.688h2.688v2.688h-2.688zM25.313 28.667v-2.688h2.688v2.688h-2.688zM17.313 4.667v10.688h10.688v2.625h-10.688v10.688h-2.625v-10.688h-10.688v-2.625h10.688v-10.688h2.625zM20 28.667v-2.688h2.688v2.688h-2.688zM25.313 4.667h2.688v2.688h-2.688v-2.688zM25.313 12.667v-2.688h2.688v2.688h-2.688zM22.688 4.667v2.688h-2.688v-2.688h2.688zM6.688 4.667v2.688h-2.688v-2.688h2.688zM12 4.667v2.688h-2.688v-2.688h2.688zM4 23.354v-2.688h2.688v2.688h-2.688zM6.688 9.979v2.688h-2.688v-2.688h2.688zM9.313 28.667v-2.688h2.688v2.688h-2.688zM4 28.667v-2.688h2.688v2.688h-2.688z"></path>'),
	   	 			'sidebar' => array('keywords' => 'sidebar ','viewbox' => '0 0 32 32', 'path' =>'<path d="M1,3V29H31V3ZM3,27V5h8V27Zm26,0H13V5H29Z"/> <rect height="2" width="4" x="5" y="15"/> <rect height="2" width="4" x="5" y="11"/> <rect height="2" width="4" x="5" y="7"/>'),
	   	 			'gift_surprise3' => array('keywords' => 'gift_surprise3 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 0h-26c-1.655 0-3 1.345-3 3v26c0 1.654 1.345 3 3 3h26c1.654 0 3-1.346 3-3v-26c0-1.655-1.346-3-3-3zM16 14c1.102 0 2 0.897 2 2s-0.898 2-2 2-2-0.897-2-2 0.898-2 2-2zM12.301 17.517l-4.811 1.921c-0.128 0.051-0.219 0.061-0.273 0.061-0.065 0-0.218 0-0.218-0.39v-6.22c0-0.39 0.152-0.39 0.218-0.39 0.054 0 0.145 0.011 0.272 0.062l4.811 1.921c-0.193 0.468-0.301 0.98-0.301 1.518s0.108 1.049 0.301 1.518zM19.699 14.482l4.811-1.921c0.128-0.051 0.219-0.062 0.273-0.062 0.065 0 0.218 0 0.218 0.39v6.22c0 0.186-0.045 0.302-0.087 0.349-0.011 0.012-0.037 0.041-0.131 0.041-0.054 0-0.145-0.011-0.272-0.061l-4.811-1.921c0.193-0.468 0.301-0.98 0.301-1.518s-0.108-1.050-0.301-1.518zM17 2v10.132c-0.32-0.083-0.654-0.132-1-0.132s-0.68 0.049-1 0.132v-10.132h2zM2 3c0-0.551 0.448-1 1-1h10v10.608l-4.77-1.904c-0.339-0.135-0.679-0.204-1.013-0.204-1.285 0-2.217 1.005-2.217 2.39v0.11h-3v-10zM2 15h3v2h-3v-2zM13 30h-10c-0.552 0-1-0.448-1-1v-10h3v0.11c0 1.385 0.933 2.39 2.217 2.39 0.333 0 0.675-0.069 1.014-0.204l4.769-1.904v10.608zM15 30v-10.132c0.32 0.083 0.655 0.132 1 0.132s0.68-0.049 1-0.132v10.132h-2zM30 29c0 0.552-0.448 1-1 1h-10v-10.608l4.77 1.904c0.339 0.135 0.68 0.204 1.013 0.204 0.636 0 1.21-0.25 1.619-0.706 0.392-0.436 0.599-1.019 0.599-1.684v-0.11h3v10zM30 17h-3v-2h3v2zM30 13h-3v-0.11c0-1.385-0.933-2.39-2.218-2.39-0.334 0-0.674 0.069-1.014 0.204l-4.768 1.904v-10.608h10c0.552 0 1 0.449 1 1v10z"></path>'),
	   	 			'youtube3' => array('keywords' => 'youtube3 ','viewbox' => '0 0 27 32', 'path' =>'<path d="M17.339 22.5v3.768q0 1.196-0.696 1.196-0.411 0-0.804-0.393v-5.375q0.393-0.393 0.804-0.393 0.696 0 0.696 1.196zM23.375 22.518v0.821h-1.607v-0.821q0-1.214 0.804-1.214t0.804 1.214zM6.125 18.625h1.911v-1.679h-5.571v1.679h1.875v10.161h1.786v-10.161zM11.268 28.786h1.589v-8.821h-1.589v6.75q-0.536 0.75-1.018 0.75-0.321 0-0.375-0.375-0.018-0.054-0.018-0.625v-6.5h-1.589v6.982q0 0.875 0.143 1.304 0.214 0.661 1.036 0.661 0.857 0 1.821-1.089v0.964zM18.929 26.143v-3.518q0-1.304-0.161-1.768-0.304-1-1.268-1-0.893 0-1.661 0.964v-3.875h-1.589v11.839h1.589v-0.857q0.804 0.982 1.661 0.982 0.964 0 1.268-0.982 0.161-0.482 0.161-1.786zM24.964 25.964v-0.232h-1.625q0 0.911-0.036 1.089-0.125 0.643-0.714 0.643-0.821 0-0.821-1.232v-1.554h3.196v-1.839q0-1.411-0.482-2.071-0.696-0.911-1.893-0.911-1.214 0-1.911 0.911-0.5 0.661-0.5 2.071v3.089q0 1.411 0.518 2.071 0.696 0.911 1.929 0.911 1.286 0 1.929-0.946 0.321-0.482 0.375-0.964 0.036-0.161 0.036-1.036zM14.107 9.661v-3.75q0-1.232-0.768-1.232t-0.768 1.232v3.75q0 1.25 0.768 1.25t0.768-1.25zM26.946 23.071q0 4.179-0.464 6.25-0.25 1.054-1.036 1.768t-1.821 0.821q-3.286 0.375-9.911 0.375t-9.911-0.375q-1.036-0.107-1.83-0.821t-1.027-1.768q-0.464-2-0.464-6.25 0-4.179 0.464-6.25 0.25-1.054 1.036-1.768t1.839-0.839q3.268-0.357 9.893-0.357t9.911 0.357q1.036 0.125 1.83 0.839t1.027 1.768q0.464 2 0.464 6.25zM9.125 0.286h1.821l-2.161 7.125v4.839h-1.786v-4.839q-0.25-1.321-1.089-3.786-0.661-1.839-1.161-3.339h1.893l1.268 4.696zM15.732 6.232v3.125q0 1.446-0.5 2.107-0.661 0.911-1.893 0.911-1.196 0-1.875-0.911-0.5-0.679-0.5-2.107v-3.125q0-1.429 0.5-2.089 0.679-0.911 1.875-0.911 1.232 0 1.893 0.911 0.5 0.661 0.5 2.089zM21.714 3.339v8.911h-1.625v-0.982q-0.946 1.107-1.839 1.107-0.821 0-1.054-0.661-0.143-0.429-0.143-1.339v-7.036h1.625v6.554q0 0.589 0.018 0.625 0.054 0.393 0.375 0.393 0.482 0 1.018-0.768v-6.804h1.625z"></path>'),
	   	 			'dashboard2' => array('keywords' => 'dashboard2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M17.313 4.667h10.688v8h-10.688v-8zM17.313 28.667v-13.313h10.688v13.313h-10.688zM4 28.667v-8h10.688v8h-10.688zM4 17.979v-13.313h10.688v13.313h-10.688z"></path>'),
	   	 			'android2' => array('keywords' => 'android2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M20 7.354v-1.375h-1.313v1.375h1.313zM13.313 7.354v-1.375h-1.313v1.375h1.313zM20.688 3.542q3.313 2.375 3.313 6.437h-16q0-4.125 3.25-6.438l-1.75-1.75q-0.5-0.5 0-0.938t0.938 0l2 2q1.625-0.875 3.563-0.875 1.875 0 3.5 0.875l2-2q0.5-0.438 0.938 0t0 0.938zM27.313 11.354q0.813 0 1.406 0.594t0.594 1.406v9.313q0 0.875-0.594 1.438t-1.406 0.563-1.406-0.563-0.594-1.438v-9.313q0-0.813 0.594-1.406t1.406-0.594zM4.688 11.354q0.813 0 1.406 0.594t0.594 1.406v9.313q0 0.875-0.594 1.438t-1.406 0.563-1.406-0.563-0.594-1.438v-9.313q0-0.813 0.594-1.406t1.406-0.594zM8 24.667v-13.313h16v13.313q0 0.563-0.375 0.938t-0.938 0.375h-1.375v4.688q0 0.875-0.594 1.438t-1.406 0.563-1.406-0.563-0.594-1.438v-4.688h-2.625v4.688q0 0.875-0.594 1.438t-1.406 0.563-1.406-0.563-0.594-1.438v-4.688h-1.375q-0.563 0-0.938-0.375t-0.375-0.938z"></path>'),
	   	 			'jsfiddle' => array('keywords' => 'jsfiddle ','viewbox' => '0 0 37 32', 'path' =>'<path d="M32.143 14.071q1.982 0.821 3.205 2.598t1.223 3.955q0 2.929-2.107 5.009t-5.089 2.080q-0.071 0-0.205-0.009t-0.188-0.009h-21.732q-3.036-0.179-5.143-2.241t-2.107-5.009q0-1.964 0.982-3.625t2.625-2.625q-0.214-0.696-0.214-1.464 0-2.054 1.464-3.5t3.554-1.446q1.696 0 3.071 1.036 1.339-2.75 3.973-4.429t5.83-1.679q2.964 0 5.464 1.438t3.955 3.902 1.455 5.375q0 0.107-0.009 0.321t-0.009 0.321zM8.357 18.821q0 2.179 1.5 3.446t3.714 1.268q2.446 0 4.286-1.768-0.286-0.357-0.848-1.009t-0.777-0.902q-1.196 1.161-2.571 1.161-0.982 0-1.67-0.598t-0.688-1.563q0-0.946 0.688-1.554t1.634-0.607q0.786 0 1.509 0.375t1.304 0.982 1.161 1.339 1.232 1.464 1.375 1.339 1.732 0.982 2.17 0.375q2.161 0 3.652-1.277t1.491-3.402q0-2.161-1.5-3.429t-3.696-1.268q-2.554 0-4.304 1.732 0.25 0.286 0.527 0.607t0.616 0.714 0.518 0.607q1.179-1.143 2.536-1.143 0.929 0 1.643 0.589t0.714 1.5q0 1.018-0.661 1.634t-1.679 0.616q-0.768 0-1.473-0.375t-1.286-0.982-1.17-1.339-1.241-1.464-1.384-1.339-1.723-0.982-2.116-0.375q-2.179 0-3.696 1.259t-1.518 3.384z"></path>'),
	   	 			'menu' => array('keywords' => 'menu ','viewbox' => '0 0 32 32', 'path' =>'<path d="M4 8.667h24v2.688h-24v-2.688zM4 17.979v-2.625h24v2.625h-24zM4 24.667v-2.688h24v2.688h-24z"></path>'),
	   	 			'directions' => array('keywords' => 'directions ','viewbox' => '0 0 32 32', 'path' =>'<path d="M18.688 19.979l4.625-4.625-4.625-4.688v3.313h-6.688q-0.563 0-0.938 0.406t-0.375 0.969v5.313h2.625v-4h5.375v3.313zM28.938 15.729q0.875 1 0 1.875l-12 12q-0.375 0.375-0.938 0.375t-0.938-0.375l-12-12q-0.375-0.375-0.375-0.938t0.375-0.938l12-12q0.375-0.375 0.938-0.375t0.938 0.375z"></path>'),
	   	 			'weather_8' => array('keywords' => 'weather_8 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M27 7.5c1.654 0 3 1.345 3 3 0 1.653-1.344 2.998-2.997 3-0.001 0-0.002 0-0.003 0h-10c-0.552 0-1 0.448-1 1s0.448 1 1 1h9.994c0.002-0.001 0.003 0 0.005 0 2.757 0 5-2.243 5-5s-2.243-5-5-5c-0.552 0-1 0.448-1 1s0.448 1 1 1zM27 16.5c-0.002 0-0.003 0-0.005 0h-15.994c-0.552 0-1 0.448-1 1s0.448 1 1 1h16c0.001 0 0.002-0 0.003-0 1.652 0.003 2.996 1.346 2.996 3s-1.346 3-3 3c-0.552 0-1 0.448-1 1s0.448 1 1 1c2.757 0 5-2.243 5-5s-2.243-5-5-5zM24.072 19.596c-0.454 0.215-1.516 0.404-2.272 0.404h-16.466c-1.838 0-3.333-1.514-3.333-3.375s1.495-3.375 3.333-3.375c0.493 0 0.973 0.111 1.426 0.329 0.28 0.135 0.607 0.132 0.885-0.008s0.474-0.401 0.532-0.707c0.534-2.819 2.983-4.864 5.823-4.864 2.217 0 4.233 1.239 5.261 3.232 0.227 0.44 0.741 0.646 1.208 0.489 1.298-0.438 2.698-0.21 3.785 0.585 0.445 0.326 1.072 0.229 1.398-0.217s0.229-1.072-0.217-1.397c-1.386-1.014-3.124-1.408-4.803-1.079-1.459-2.248-3.933-3.614-6.63-3.614-3.415 0-6.406 2.205-7.495 5.383-0.383-0.088-0.774-0.132-1.171-0.132-2.941-0.001-5.333 2.411-5.333 5.375s2.393 5.375 5.333 5.375h16.466c0.929 0 2.302-0.205 3.128-0.596 0.499-0.237 0.712-0.832 0.476-1.332s-0.831-0.712-1.332-0.476z"></path>'),
	   	 			'pocket_light' => array('keywords' => 'pocket_light ','viewbox' => '0 0 32 32', 'path' =>'<path d="M23 3c0-0.552-0.448-1-1-1h-3.175c-0.413-1.163-1.522-2-2.825-2s-2.412 0.837-2.825 2h-3.175c-0.552 0-1 0.448-1 1 0 2.467 0.819 5.989 3 6.819v18.181c0 2.206 1.794 4 4 4s4-1.794 4-4v-18.181c2.18-0.83 3-4.351 3-6.819zM14 14h4v12h-4v-12zM18 12h-4v-2h4v2zM16 30c-1.103 0-2-0.898-2-2h4c0 1.102-0.898 2-2 2zM19 8h-6c-1.050 0-1.756-2.091-1.948-4h9.895c-0.191 1.909-0.898 4-1.948 4zM16 15c-0.552 0-1 0.448-1 1v2c0 0.552 0.448 1 1 1s1-0.448 1-1v-2c0-0.552-0.448-1-1-1z"></path>'),
	   	 			'pause-circle' => array('keywords' => 'pause-circle ','viewbox' => '0 0 27 32', 'path' =>'<path d="M12.571 21.429v-10.286q0-0.25-0.161-0.411t-0.411-0.161h-4.571q-0.25 0-0.411 0.161t-0.161 0.411v10.286q0 0.25 0.161 0.411t0.411 0.161h4.571q0.25 0 0.411-0.161t0.161-0.411zM20.571 21.429v-10.286q0-0.25-0.161-0.411t-0.411-0.161h-4.571q-0.25 0-0.411 0.161t-0.161 0.411v10.286q0 0.25 0.161 0.411t0.411 0.161h4.571q0.25 0 0.411-0.161t0.161-0.411zM27.429 16.286q0 3.732-1.839 6.884t-4.991 4.991-6.884 1.839-6.884-1.839-4.991-4.991-1.839-6.884 1.839-6.884 4.991-4.991 6.884-1.839 6.884 1.839 4.991 4.991 1.839 6.884z"></path>'),
	   	 			'trash' => array('keywords' => 'trash ','viewbox' => '0 0 25 32', 'path' =>'<path d="M9.143 24.857v-12.571q0-0.25-0.161-0.411t-0.411-0.161h-1.143q-0.25 0-0.411 0.161t-0.161 0.411v12.571q0 0.25 0.161 0.411t0.411 0.161h1.143q0.25 0 0.411-0.161t0.161-0.411zM13.714 24.857v-12.571q0-0.25-0.161-0.411t-0.411-0.161h-1.143q-0.25 0-0.411 0.161t-0.161 0.411v12.571q0 0.25 0.161 0.411t0.411 0.161h1.143q0.25 0 0.411-0.161t0.161-0.411zM18.286 24.857v-12.571q0-0.25-0.161-0.411t-0.411-0.161h-1.143q-0.25 0-0.411 0.161t-0.161 0.411v12.571q0 0.25 0.161 0.411t0.411 0.161h1.143q0.25 0 0.411-0.161t0.161-0.411zM8.571 7.143h8l-0.857-2.089q-0.125-0.161-0.304-0.196h-5.661q-0.179 0.036-0.304 0.196zM25.143 7.714v1.143q0 0.25-0.161 0.411t-0.411 0.161h-1.714v16.929q0 1.482-0.839 2.563t-2.018 1.080h-14.857q-1.179 0-2.018-1.045t-0.839-2.527v-17h-1.714q-0.25 0-0.411-0.161t-0.161-0.411v-1.143q0-0.25 0.161-0.411t0.411-0.161h5.518l1.25-2.982q0.268-0.661 0.964-1.125t1.411-0.464h5.714q0.714 0 1.411 0.464t0.964 1.125l1.25 2.982h5.518q0.25 0 0.411 0.161t0.161 0.411z"></path>'),
	   	 			'confirmation_number' => array('keywords' => 'confirmation_number ','viewbox' => '0 0 32 32', 'path' =>'<path d="M17.313 11.979v-2.625h-2.625v2.625h2.625zM17.313 17.979v-2.625h-2.625v2.625h2.625zM17.313 23.979v-2.625h-2.625v2.625h2.625zM29.313 13.979q-1.063 0-1.844 0.813t-0.781 1.875 0.781 1.875 1.844 0.813v5.313q0 1.063-0.781 1.875t-1.844 0.813h-21.375q-1.063 0-1.844-0.813t-0.781-1.875v-5.313q1.125 0 1.875-0.781t0.75-1.906q0-1.063-0.781-1.875t-1.844-0.813v-5.313q0-1.125 0.781-1.906t1.844-0.781h21.375q1.063 0 1.844 0.781t0.781 1.906v5.313z"></path>'),
	   	 			'direction_symbol3' => array('keywords' => 'direction_symbol3 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M21 30h-4v-29c0-0.552-0.448-1-1-1s-1 0.448-1 1v29h-4c-0.552 0-1 0.448-1 1s0.448 1 1 1h10c0.552 0 1-0.448 1-1s-0.448-1-1-1zM14 12.5v-8c0-0.552-0.448-1-1-1h-8c-0.314 0-0.611 0.148-0.8 0.4l-3 4c-0.266 0.356-0.266 0.844 0 1.2l3 4c0.189 0.252 0.486 0.4 0.8 0.4h8c0.552 0 1-0.448 1-1zM12 11.5h-6.5l-2.25-3 2.25-3h6.5v6zM30.8 7.899l-3-4c-0.189-0.252-0.485-0.4-0.8-0.4h-8c-0.552 0-1 0.448-1 1v8c0 0.552 0.448 1 1 1h8c0.314 0 0.611-0.148 0.8-0.4l3-4c0.267-0.355 0.267-0.845 0-1.2zM26.5 11.499h-6.5v-6h6.5l2.25 3-2.25 3z"></path>'),
	   	 			'weather_24' => array('keywords' => 'weather_24 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M4 25.5h-3c-0.552 0-1-0.448-1-1s0.448-1 1-1h3c0.552 0 1 0.448 1 1s-0.448 1-1 1zM10.5 25.5h-3c-0.552 0-1-0.448-1-1s0.448-1 1-1h3c0.552 0 1 0.448 1 1s-0.448 1-1 1zM16.5 25.5h-3c-0.552 0-1-0.448-1-1s0.448-1 1-1h3c0.552 0 1 0.448 1 1s-0.448 1-1 1zM22.5 25.5h-3c-0.552 0-1-0.448-1-1s0.448-1 1-1h3c0.552 0 1 0.448 1 1s-0.448 1-1 1zM12.5 29.5h-3c-0.552 0-1-0.448-1-1s0.448-1 1-1h3c0.552 0 1 0.448 1 1s-0.448 1-1 1zM19 29.5h-3c-0.552 0-1-0.448-1-1s0.448-1 1-1h3c0.552 0 1 0.448 1 1s-0.448 1-1 1zM25 29.5h-3c-0.552 0-1-0.448-1-1s0.448-1 1-1h3c0.552 0 1 0.448 1 1s-0.448 1-1 1zM31 29.5h-3c-0.552 0-1-0.448-1-1s0.448-1 1-1h3c0.552 0 1 0.448 1 1s-0.448 1-1 1zM25 20.5h-19c-3.308 0-6-2.692-6-6s2.692-6 6-6c0.495 0 0.981 0.060 1.454 0.18 1.198-3.642 4.626-6.18 8.546-6.18 3.094 0 5.928 1.571 7.576 4.149 0.471-0.098 0.947-0.149 1.424-0.149 3.86 0 7 3.14 7 7s-3.14 7-7 7zM6 10.5c-2.205 0-4 1.794-4 4s1.795 4 4 4h19c2.758 0 5-2.243 5-5s-2.242-5-5-5c-0.534 0-1.068 0.088-1.587 0.261-0.466 0.157-0.977-0.050-1.204-0.486-1.212-2.328-3.591-3.775-6.209-3.775-3.352 0-6.242 2.388-6.87 5.677-0.059 0.304-0.255 0.565-0.531 0.704s-0.603 0.145-0.882 0.011c-0.545-0.259-1.123-0.392-1.716-0.392z"></path>'),
	   	 			'cloud_upload' => array('keywords' => 'cloud_upload ','viewbox' => '0 0 32 32', 'path' =>'<path d="M18.688 17.979h4l-6.688-6.625-6.688 6.625h4v5.375h5.375v-5.375zM25.813 14.042q2.563 0.188 4.375 2.094t1.813 4.531q0 2.75-1.969 4.719t-4.719 1.969h-17.313q-3.313 0-5.656-2.344t-2.344-5.656q0-3.063 2.063-5.344t5.063-2.594q1.313-2.438 3.688-3.938t5.188-1.5q3.625 0 6.375 2.281t3.438 5.781z"></path>'),
	   	 			'spinner2' => array('keywords' => 'spinner2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M32 16c-0.040-2.089-0.493-4.172-1.331-6.077-0.834-1.906-2.046-3.633-3.533-5.060-1.486-1.428-3.248-2.557-5.156-3.302-1.906-0.748-3.956-1.105-5.981-1.061-2.025 0.040-4.042 0.48-5.885 1.292-1.845 0.809-3.517 1.983-4.898 3.424s-2.474 3.147-3.193 4.994c-0.722 1.846-1.067 3.829-1.023 5.79 0.040 1.961 0.468 3.911 1.254 5.694 0.784 1.784 1.921 3.401 3.316 4.736 1.394 1.336 3.046 2.391 4.832 3.085 1.785 0.697 3.701 1.028 5.598 0.985 1.897-0.040 3.78-0.455 5.502-1.216 1.723-0.759 3.285-1.859 4.574-3.208 1.29-1.348 2.308-2.945 2.977-4.67 0.407-1.046 0.684-2.137 0.829-3.244 0.039 0.002 0.078 0.004 0.118 0.004 1.105 0 2-0.895 2-2 0-0.056-0.003-0.112-0.007-0.167h0.007zM28.822 21.311c-0.733 1.663-1.796 3.169-3.099 4.412s-2.844 2.225-4.508 2.868c-1.663 0.646-3.447 0.952-5.215 0.909-1.769-0.041-3.519-0.429-5.119-1.14-1.602-0.708-3.053-1.734-4.25-2.991s-2.141-2.743-2.76-4.346c-0.621-1.603-0.913-3.319-0.871-5.024 0.041-1.705 0.417-3.388 1.102-4.928 0.683-1.541 1.672-2.937 2.883-4.088s2.642-2.058 4.184-2.652c1.542-0.596 3.192-0.875 4.832-0.833 1.641 0.041 3.257 0.404 4.736 1.064 1.48 0.658 2.82 1.609 3.926 2.774s1.975 2.54 2.543 4.021c0.57 1.481 0.837 3.064 0.794 4.641h0.007c-0.005 0.055-0.007 0.11-0.007 0.167 0 1.032 0.781 1.88 1.784 1.988-0.195 1.088-0.517 2.151-0.962 3.156z"></path>'),
	   	 			'browser_symbol6' => array('keywords' => 'browser_symbol6 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 2.5h-26c-1.65 0-3 1.35-3 3v21c0 1.65 1.35 3 3 3h26c1.65 0 3-1.35 3-3v-21c0-1.65-1.35-3-3-3zM30 26.5c0 0.55-0.45 1-1 1h-26c-0.55 0-1-0.45-1-1v-14h28v14zM30 10.5h-28v-5c0-0.55 0.45-1 1-1h26c0.55 0 1 0.45 1 1v5zM6 7.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM10 7.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM14 7.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM14.586 24.906c0.161 0.363 0.521 0.594 0.913 0.594 0.029 0 0.058-0.001 0.087-0.004 0.426-0.037 0.78-0.34 0.884-0.754l0.855-3.418 3.418-0.855c0.414-0.104 0.717-0.459 0.753-0.884s-0.2-0.826-0.59-1l-9-4c-0.38-0.168-0.822-0.085-1.114 0.207s-0.375 0.735-0.207 1.114l4 9zM17.44 19.235l-1.183 0.296c-0.358 0.090-0.637 0.369-0.727 0.728l-0.296 1.182-1.764-3.97 3.97 1.765z"></path>'),
	   	 			'tux' => array('keywords' => 'tux ','viewbox' => '0 0 32 32', 'path' =>'<path d="M17.739 23.029c-2.561 1.191-4.942 1.179-6.542 1.063-1.908-0.138-3.442-0.66-4.117-1.117-0.416-0.281-0.981-0.173-1.262 0.243s-0.173 0.981 0.243 1.262c1.084 0.734 3.002 1.28 5.005 1.424 0.34 0.024 0.712 0.040 1.114 0.040 1.743 0 3.957-0.166 6.326-1.268 0.455-0.212 0.652-0.752 0.441-1.207s-0.752-0.652-1.208-0.441zM27.842 21.682c0.087-7.896 0.899-22.819-14.218-21.613-14.925 1.201-10.968 16.968-11.19 22.248-0.197 2.793-1.124 6.208-2.434 9.683h4.034c0.415-1.473 0.72-2.929 0.851-4.317 0.243 0.17 0.503 0.334 0.781 0.491 0.452 0.266 0.84 0.62 1.251 0.995 0.961 0.876 2.050 1.868 4.179 1.992 0.143 0.008 0.287 0.012 0.427 0.012 2.153 0 3.625-0.942 4.809-1.699 0.567-0.363 1.057-0.676 1.518-0.827 1.31-0.41 2.454-1.072 3.309-1.914 0.134-0.131 0.258-0.267 0.374-0.405 0.476 1.746 1.129 3.711 1.853 5.672h8.614c-2.068-3.195-4.201-6.324-4.158-10.318zM3.878 17.386c0-0 0-0.001-0-0.001-0.148-2.577 1.085-4.745 2.754-4.842s3.142 1.913 3.291 4.49c0 0 0 0.001 0 0.001 0.008 0.139 0.011 0.276 0.012 0.413-0.529 0.133-1.006 0.326-1.434 0.551-0.002-0.019-0.003-0.038-0.005-0.057 0-0 0-0.001 0-0.001-0.143-1.463-0.924-2.567-1.745-2.467s-1.371 1.367-1.228 2.83c0 0 0 0.001 0 0.001 0.062 0.638 0.246 1.207 0.501 1.639-0.064 0.050-0.243 0.182-0.45 0.333-0.155 0.114-0.344 0.252-0.572 0.42-0.621-0.815-1.047-1.987-1.123-3.309zM20.789 23.756c-0.059 1.362-1.841 2.643-3.487 3.158l-0.009 0.003c-0.684 0.222-1.295 0.613-1.941 1.026-1.085 0.695-2.208 1.413-3.829 1.413-0.106 0-0.215-0.003-0.323-0.009-1.485-0.087-2.179-0.72-3.059-1.521-0.464-0.423-0.943-0.86-1.562-1.223l-0.013-0.008c-1.335-0.753-2.163-1.69-2.216-2.506-0.026-0.406 0.154-0.757 0.537-1.044 0.832-0.624 1.39-1.032 1.759-1.302 0.41-0.3 0.533-0.39 0.625-0.477 0.066-0.062 0.136-0.131 0.213-0.205 0.764-0.743 2.043-1.986 4.005-1.986 1.2 0 2.528 0.462 3.943 1.372 0.666 0.434 1.246 0.634 1.981 0.887 0.505 0.174 1.077 0.372 1.843 0.7l0.012 0.005c0.715 0.294 1.559 0.83 1.521 1.717zM20.395 20.556c-0.137-0.069-0.28-0.135-0.43-0.196-0.691-0.296-1.245-0.496-1.704-0.656 0.254-0.497 0.411-1.116 0.426-1.789 0-0 0-0.001 0-0.001 0.035-1.637-0.79-2.966-1.844-2.968s-1.936 1.322-1.971 2.959c0 0 0 0.001 0 0.001-0.001 0.054-0.001 0.107-0.001 0.16-0.649-0.299-1.287-0.515-1.911-0.649-0.003-0.061-0.006-0.123-0.008-0.185 0-0 0-0.001 0-0.002-0.061-2.982 1.769-5.45 4.086-5.513s4.245 2.303 4.305 5.285c0 0.001 0 0.001 0 0.002 0.027 1.348-0.333 2.59-0.949 3.552z"></path>'),
	   	 			'signal' => array('keywords' => 'signal ','viewbox' => '0 0 32 32', 'path' =>'<path d="M4.571 26v3.429q0 0.25-0.161 0.411t-0.411 0.161h-3.429q-0.25 0-0.411-0.161t-0.161-0.411v-3.429q0-0.25 0.161-0.411t0.411-0.161h3.429q0.25 0 0.411 0.161t0.161 0.411zM11.429 23.714v5.714q0 0.25-0.161 0.411t-0.411 0.161h-3.429q-0.25 0-0.411-0.161t-0.161-0.411v-5.714q0-0.25 0.161-0.411t0.411-0.161h3.429q0.25 0 0.411 0.161t0.161 0.411zM18.286 19.143v10.286q0 0.25-0.161 0.411t-0.411 0.161h-3.429q-0.25 0-0.411-0.161t-0.161-0.411v-10.286q0-0.25 0.161-0.411t0.411-0.161h3.429q0.25 0 0.411 0.161t0.161 0.411zM25.143 12.286v17.143q0 0.25-0.161 0.411t-0.411 0.161h-3.429q-0.25 0-0.411-0.161t-0.161-0.411v-17.143q0-0.25 0.161-0.411t0.411-0.161h3.429q0.25 0 0.411 0.161t0.161 0.411zM32 3.143v26.286q0 0.25-0.161 0.411t-0.411 0.161h-3.429q-0.25 0-0.411-0.161t-0.161-0.411v-26.286q0-0.25 0.161-0.411t0.411-0.161h3.429q0.25 0 0.411 0.161t0.161 0.411z"></path>'),
	   	 			'tablet3' => array('keywords' => 'tablet3 ','viewbox' => '0 0 21 32', 'path' =>'<path d="M11.429 25.429q0-0.464-0.339-0.804t-0.804-0.339-0.804 0.339-0.339 0.804 0.339 0.804 0.804 0.339 0.804-0.339 0.339-0.804zM18.286 22.571v-17.143q0-0.232-0.17-0.402t-0.402-0.17h-14.857q-0.232 0-0.402 0.17t-0.17 0.402v17.143q0 0.232 0.17 0.402t0.402 0.17h14.857q0.232 0 0.402-0.17t0.17-0.402zM20.571 5.429v19.429q0 1.179-0.839 2.018t-2.018 0.839h-14.857q-1.179 0-2.018-0.839t-0.839-2.018v-19.429q0-1.179 0.839-2.018t2.018-0.839h14.857q1.179 0 2.018 0.839t0.839 2.018z"></path>'),
	   	 			'speakerphone_1' => array('keywords' => 'speakerphone_1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M32 13.999c0-1.86-1.278-3.422-3-3.868v-5.936c0-0.877-0.364-1.59-0.999-1.952-0.64-0.365-1.451-0.316-2.214 0.133l-8.053 4.623h-10.733c-3.86 0-7 3.14-7 7s3.14 7 7 7h1v6c0 1.654 1.345 3 3 3s3-1.346 3-3v-6h3.733l8.044 4.619c0.43 0.253 0.872 0.381 1.291 0.381 0.332 0 0.649-0.081 0.933-0.242 0.634-0.363 0.999-1.075 0.999-1.953v-5.936c1.722-0.445 3-2.008 3-3.868zM2 13.999c0-2.757 2.243-5 5-5h5v10h-5c-2.757 0-5-2.243-5-5zM11 28c-0.552 0-1-0.448-1-1v-6h2v6c0 0.552-0.448 1-1 1zM27 23.804c0 0.077-0.008 0.136-0.016 0.178-0.048-0.015-0.115-0.044-0.201-0.094l-8.285-4.757c-0.017-0.010-0.034-0.015-0.052-0.023-0.032-0.016-0.064-0.031-0.096-0.044s-0.064-0.021-0.097-0.030c-0.029-0.008-0.058-0.015-0.087-0.020-0.040-0.006-0.078-0.010-0.117-0.012-0.017-0.001-0.032-0.005-0.049-0.005h-4v-10h4c0.017 0 0.033-0.004 0.050-0.005 0.038-0.002 0.076-0.005 0.115-0.011 0.030-0.005 0.059-0.012 0.089-0.020 0.032-0.008 0.064-0.018 0.096-0.030 0.034-0.012 0.066-0.027 0.097-0.043 0.017-0.008 0.035-0.013 0.052-0.023l8.294-4.762c0.080-0.048 0.145-0.074 0.192-0.089 0.008 0.043 0.015 0.103 0.015 0.181v19.609zM29 15.721v-3.444c0.595 0.347 1 0.985 1 1.722s-0.405 1.376-1 1.722z"></path>'),
	   	 			'pie-chart2' => array('keywords' => 'pie-chart2 ','viewbox' => '0 0 31 32', 'path' =>'<path d="M13.714 16.179l9.75 9.75q-1.893 1.929-4.42 3t-5.33 1.071q-3.732 0-6.884-1.839t-4.991-4.991-1.839-6.884 1.839-6.884 4.991-4.991 6.884-1.839v13.607zM17.054 16.286h13.804q0 2.804-1.071 5.33t-3 4.42zM29.714 14h-13.714v-13.714q3.732 0 6.884 1.839t4.991 4.991 1.839 6.884z"></path>'),
	   	 			'cast_connected' => array('keywords' => 'cast_connected ','viewbox' => '0 0 32 32', 'path' =>'<path d="M28 4.667q1.063 0 1.875 0.813t0.813 1.875v18.625q0 1.063-0.813 1.875t-1.875 0.813h-9.313v-2.688h9.313v-18.625h-24v4h-2.688v-4q0-1.063 0.813-1.875t1.875-0.813h24zM1.313 13.979q6.063 0 10.375 4.313t4.313 10.375h-2.688q0-5-3.531-8.5t-8.469-3.5v-2.688zM25.313 9.979v13.375h-7.5q-1.25-3.938-4.219-6.938t-6.906-4.25v-2.188h18.625zM1.313 19.354q3.875 0 6.625 2.719t2.75 6.594h-2.688q0-2.75-1.969-4.719t-4.719-1.969v-2.625zM1.313 24.667q1.625 0 2.813 1.188t1.188 2.813h-4v-4z"></path>'),
	   	 			'trending_down' => array('keywords' => 'trending_down ','viewbox' => '0 0 32 32', 'path' =>'<path d="M21.313 24.667l3.063-3.063-6.5-6.5-5.313 5.313-9.875-9.875 1.875-1.875 8 8 5.313-5.313 8.375 8.375 3.063-3.063v8h-8z"></path>'),
	   	 			'brightness_low' => array('keywords' => 'brightness_low ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 24.667q3.313 0 5.656-2.344t2.344-5.656-2.344-5.656-5.656-2.344-5.656 2.344-2.344 5.656 2.344 5.656 5.656 2.344zM26.688 21.104v6.25h-6.25l-4.438 4.375-4.438-4.375h-6.25v-6.25l-4.375-4.438 4.375-4.438v-6.25h6.25l4.438-4.375 4.438 4.375h6.25v6.25l4.375 4.438z"></path>'),
	   	 			'database_computer_connect' => array('keywords' => 'database_computer_connect ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25.5 29h2c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-2c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5zM25.5 27h2c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-2c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5zM30 22h-1v-1.5c0-0.552-0.448-1-1-1s-1 0.448-1 1v1.5h-4c-0.552 0-1 0.448-1 1v8c0 0.552 0.448 1 1 1h7c0.552 0 1-0.448 1-1v-8c0-0.552-0.448-1-1-1zM29 30h-5v-6h5v6zM11 0h-9c-0.552 0-1 0.448-1 1v6c0 0.552 0.448 1 1 1h3.5v1h-1c-0.552 0-1 0.448-1 1s0.448 1 1 1h4c0.552 0 1-0.448 1-1s-0.448-1-1-1h-1v-1h3.5c0.552 0 1-0.448 1-1v-6c0-0.552-0.448-1-1-1zM10 6h-7v-4h7v4zM5.79 12.79c-0.185 0.19-0.29 0.445-0.29 0.71s0.105 0.52 0.295 0.705c0.185 0.19 0.445 0.295 0.705 0.295s0.52-0.105 0.705-0.295c0.19-0.185 0.295-0.44 0.295-0.705s-0.105-0.52-0.295-0.71c-0.37-0.37-1.040-0.37-1.415 0zM6.5 20.5c-0.555 0-1 0.445-1 1 0 0.55 0.445 1 1 1 0.55 0 1-0.45 1-1 0-0.555-0.45-1-1-1zM6.5 16.5c-0.555 0-1 0.445-1 1 0 0.55 0.445 1 1 1 0.55 0 1-0.45 1-1 0-0.555-0.45-1-1-1zM5.79 24.79c-0.185 0.19-0.29 0.445-0.29 0.71s0.105 0.52 0.295 0.705c0.185 0.19 0.445 0.295 0.705 0.295s0.52-0.105 0.705-0.295c0.19-0.185 0.295-0.44 0.295-0.705s-0.105-0.52-0.295-0.71c-0.37-0.37-1.040-0.37-1.415 0zM14.5 24.5c-0.555 0-1 0.445-1 1 0 0.55 0.445 1 1 1 0.55 0 1-0.45 1-1 0-0.555-0.45-1-1-1zM10.5 24.5c-0.55 0-1 0.445-1 1 0 0.55 0.45 1 1 1s1-0.45 1-1c0-0.555-0.45-1-1-1zM17.795 24.79c-0.19 0.19-0.295 0.445-0.295 0.71s0.105 0.52 0.295 0.705c0.185 0.19 0.44 0.295 0.705 0.295s0.52-0.105 0.705-0.295c0.19-0.185 0.295-0.44 0.295-0.705s-0.105-0.52-0.295-0.71c-0.37-0.37-1.040-0.37-1.41 0zM27 17c0.26 0 0.52-0.105 0.705-0.295 0.19-0.185 0.295-0.44 0.295-0.705s-0.105-0.52-0.295-0.71c-0.37-0.37-1.040-0.37-1.41 0-0.19 0.19-0.295 0.445-0.295 0.71s0.105 0.52 0.295 0.71c0.185 0.185 0.445 0.29 0.705 0.29zM27 13c0.55 0 1-0.45 1-1s-0.45-1-1-1-1 0.45-1 1c0 0.55 0.45 1 1 1zM27 9c0.55 0 1-0.45 1-1 0-0.555-0.45-1-1-1s-1 0.445-1 1c0 0.55 0.45 1 1 1zM27 5c0.265 0 0.52-0.105 0.705-0.295 0.19-0.185 0.295-0.445 0.295-0.705s-0.105-0.52-0.295-0.71c-0.37-0.37-1.040-0.37-1.41 0-0.19 0.19-0.295 0.45-0.295 0.71 0 0.265 0.105 0.52 0.295 0.705 0.185 0.19 0.44 0.295 0.705 0.295zM23 5c0.555 0 1-0.45 1-1s-0.445-1-1-1c-0.55 0-1 0.45-1 1s0.45 1 1 1zM19 3c-0.55 0-1 0.45-1 1s0.45 1 1 1 1-0.45 1-1c0-0.55-0.45-1-1-1zM14.29 3.29c-0.185 0.19-0.29 0.445-0.29 0.71s0.105 0.52 0.295 0.705c0.185 0.19 0.445 0.295 0.705 0.295s0.52-0.105 0.705-0.295c0.19-0.185 0.295-0.44 0.295-0.705s-0.105-0.52-0.295-0.71c-0.37-0.37-1.040-0.37-1.415 0z"></path>'),
	   	 			'hand_care2' => array('keywords' => 'hand_care2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M24.535 22.912c-0.328 0-0.636 0.047-0.914 0.14-0.97 0.323-1.92 0.754-2.758 1.134-0.002 0.001-0.004 0.002-0.006 0.003 0.013-0.099 0.018-0.202 0.015-0.305-0.028-0.959-0.715-1.733-2.041-2.301-0.573-0.246-1.335-0.587-2.169-0.961-4.316-1.933-5.982-2.62-6.724-2.62-2.064 0-7.563 1.374-8.182 1.53-0.444 0.112-0.755 0.512-0.755 0.97v6c0 0.552 0.448 1 1 1h4.665c2.509 1.453 8.941 4.5 10.772 4.5 1.91 0 9.697-4.221 10.77-5.293 0.424-0.423 0.533-1.020 0.294-1.598-0.468-1.13-2.395-2.197-3.966-2.197zM17.436 30c-1.073-0.003-7.135-2.648-9.983-4.358-0.155-0.093-0.333-0.142-0.514-0.142h-3.938v-4.217c1.978-0.477 5.593-1.283 6.9-1.285 0.655 0.077 4.096 1.619 5.944 2.447 0.845 0.379 1.618 0.724 2.199 0.974 0.679 0.291 0.817 0.517 0.829 0.517v-0c-0.029 0.187-0.457 0.604-0.993 0.945l-4.036-1.794c-0.506-0.224-1.095 0.003-1.321 0.508-0.224 0.505 0.003 1.096 0.508 1.32l4.5 2c0.058 0.026 0.119 0.044 0.178 0.058 0.209 0.073 0.431 0.121 0.677 0.121 0.905 0 1.962-0.48 3.301-1.086 0.833-0.378 1.694-0.767 2.566-1.058 0.073-0.024 0.17-0.037 0.281-0.037 0.637 0 1.431 0.381 1.852 0.701-1.788 1.245-7.858 4.349-8.952 4.387zM16.5 15.5c2.486 0 4.5-2.014 4.5-4.5 0-2.484-2.014-4.501-4.5-4.5-2.483-0-4.5 2.016-4.5 4.5s2.017 4.501 4.5 4.5zM16.5 8.5c1.378 0 2.5 1.118 2.5 2.5 0 1.378-1.122 2.498-2.5 2.5-1.383-0.002-2.501-1.122-2.5-2.5-0.001-1.382 1.118-2.5 2.5-2.5zM26.5 11c-2.483-0.001-4.5 2.017-4.5 4.5s2.017 4.501 4.5 4.5c2.486 0 4.5-2.014 4.5-4.5 0-2.484-2.014-4.501-4.5-4.5zM26.5 18c-1.383-0.002-2.5-1.121-2.5-2.5-0-1.382 1.118-2.5 2.5-2.5 1.378 0 2.5 1.118 2.5 2.5 0 1.379-1.121 2.5-2.5 2.5zM25.5 9c2.486 0 4.5-2.014 4.5-4.5 0-2.484-2.014-4.501-4.5-4.5-2.483-0.001-4.5 2.017-4.5 4.5s2.017 4.501 4.5 4.5zM25.5 2c1.378 0 2.5 1.118 2.5 2.5 0 1.379-1.122 2.499-2.5 2.5-1.383-0.002-2.5-1.121-2.5-2.5-0-1.382 1.118-2.5 2.5-2.5z"></path>'),
	   	 			'weather_22' => array('keywords' => 'weather_22 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M32 13.5c0-3.86-3.14-7-7-7-0.478 0-0.954 0.050-1.424 0.149-1.648-2.578-4.482-4.149-7.576-4.149-3.92 0-7.348 2.538-8.545 6.18-0.474-0.12-0.96-0.18-1.455-0.18-3.308 0-6 2.691-6 6s2.692 6 6 6h1.5c0.552 0 1-0.448 1-1s-0.448-1-1-1h-1.5c-2.205 0-4-1.794-4-4s1.795-4 4-4c0.594 0 1.171 0.132 1.716 0.392 0.28 0.134 0.605 0.13 0.883-0.011 0.277-0.139 0.473-0.4 0.53-0.704 0.629-3.29 3.518-5.677 6.87-5.677 2.617 0 4.996 1.447 6.209 3.776 0.227 0.437 0.738 0.642 1.204 0.486 0.518-0.174 1.052-0.262 1.587-0.262 2.757 0 5 2.243 5 5s-2.243 5-5 5h-0.5c-0.383 0-0.711 0.218-0.879 0.533-0.633-0.339-1.355-0.533-2.121-0.533-2.482 0-4.5 2.018-4.5 4.5s2.018 4.5 4.5 4.5 4.5-2.018 4.5-4.5c0-0.93-0.283-1.794-0.768-2.511 3.752-0.124 6.768-3.207 6.768-6.989zM21.5 26.5c-1.93 0-3.5-1.57-3.5-3.5s1.57-3.5 3.5-3.5 3.5 1.57 3.5 3.5-1.57 3.5-3.5 3.5zM12.014 18.642c-0.473-0.284-1.088-0.131-1.372 0.343l-3 5c-0.284 0.474-0.131 1.088 0.343 1.372 0.161 0.096 0.338 0.142 0.514 0.142 0.34 0 0.671-0.173 0.858-0.485l3-5c0.284-0.474 0.131-1.087-0.343-1.372zM15.986 18.626c-0.483-0.268-1.091-0.094-1.36 0.388l-5 9c-0.268 0.483-0.095 1.092 0.389 1.36 0.153 0.085 0.321 0.126 0.485 0.126 0.351 0 0.693-0.186 0.875-0.514l5-9c0.268-0.483 0.095-1.092-0.389-1.36zM21.5 20.5c-0.276 0-0.5 0.224-0.5 0.5v2.5c0 0.276 0.224 0.5 0.5 0.5s0.5-0.224 0.5-0.5v-2.5c0-0.276-0.224-0.5-0.5-0.5zM22 25c0 0.276-0.224 0.5-0.5 0.5s-0.5-0.224-0.5-0.5c0-0.276 0.224-0.5 0.5-0.5s0.5 0.224 0.5 0.5z"></path>'),
	   	 			'text_format_indent_2' => array('keywords' => 'text_format_indent_2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M1 2h30c0.552 0 1-0.448 1-1s-0.448-1-1-1h-30c-0.552 0-1 0.448-1 1s0.448 1 1 1zM31 12h-20c-0.552 0-1 0.448-1 1s0.448 1 1 1h20c0.552 0 1-0.447 1-1s-0.448-1-1-1zM21 30h-20c-0.552 0-1 0.448-1 1s0.448 1 1 1h20c0.552 0 1-0.448 1-1s-0.448-1-1-1zM31 24h-30c-0.552 0-1 0.448-1 1s0.448 1 1 1h30c0.552 0 1-0.448 1-1s-0.448-1-1-1zM31 6h-30c-0.552 0-1 0.448-1 1s0.448 1 1 1h30c0.552 0 1-0.447 1-1s-0.448-1-1-1zM31 18h-20c-0.552 0-1 0.448-1 1s0.448 1 1 1h20c0.552 0 1-0.448 1-1s-0.448-1-1-1zM0 20c0 0.256 0.098 0.512 0.293 0.707 0.391 0.39 1.024 0.39 1.414 0l4-4c0.391-0.39 0.391-1.024 0-1.414l-4-4c-0.391-0.39-1.024-0.39-1.414 0s-0.391 1.024 0 1.414l3.293 3.293-3.293 3.293c-0.196 0.195-0.293 0.451-0.293 0.707z"></path>'),
	   	 			'cutlery' => array('keywords' => 'cutlery ','viewbox' => '0 0 25 32', 'path' =>'<path d="M11.429 1.429v11.429q0 1.089-0.634 1.982t-1.652 1.25v13.911q0 0.929-0.679 1.607t-1.607 0.679h-2.286q-0.929 0-1.607-0.679t-0.679-1.607v-13.911q-1.018-0.357-1.652-1.25t-0.634-1.982v-11.429q0-0.464 0.339-0.804t0.804-0.339 0.804 0.339 0.339 0.804v7.429q0 0.464 0.339 0.804t0.804 0.339 0.804-0.339 0.339-0.804v-7.429q0-0.464 0.339-0.804t0.804-0.339 0.804 0.339 0.339 0.804v7.429q0 0.464 0.339 0.804t0.804 0.339 0.804-0.339 0.339-0.804v-7.429q0-0.464 0.339-0.804t0.804-0.339 0.804 0.339 0.339 0.804zM25.143 1.429v28.571q0 0.929-0.679 1.607t-1.607 0.679h-2.286q-0.929 0-1.607-0.679t-0.679-1.607v-9.143h-4q-0.232 0-0.402-0.17t-0.17-0.402v-14.286q0-2.357 1.679-4.036t4.036-1.679h4.571q0.464 0 0.804 0.339t0.339 0.804z"></path>'),
	   	 			'copy' => array('keywords' => 'copy ','viewbox' => '0 0 32 32', 'path' =>'<path d="M20 8v-8h-14l-6 6v18h12v8h20v-24h-12zM6 2.828v3.172h-3.172l3.172-3.172zM2 22v-14h6v-6h10v6l-6 6v8h-10zM18 10.828v3.172h-3.172l3.172-3.172zM30 30h-16v-14h6v-6h10v20z"></path>'),
	   	 			'quote-right' => array('keywords' => 'quote-right ','viewbox' => '0 0 30 32', 'path' =>'<path d="M13.714 6v12.571q0 1.857-0.723 3.545t-1.955 2.92-2.92 1.955-3.545 0.723h-1.143q-0.464 0-0.804-0.339t-0.339-0.804v-2.286q0-0.464 0.339-0.804t0.804-0.339h1.143q1.893 0 3.232-1.339t1.339-3.232v-0.571q0-0.714-0.5-1.214t-1.214-0.5h-4q-1.429 0-2.429-1t-1-2.429v-6.857q0-1.429 1-2.429t2.429-1h6.857q1.429 0 2.429 1t1 2.429zM29.714 6v12.571q0 1.857-0.723 3.545t-1.955 2.92-2.92 1.955-3.545 0.723h-1.143q-0.464 0-0.804-0.339t-0.339-0.804v-2.286q0-0.464 0.339-0.804t0.804-0.339h1.143q1.893 0 3.232-1.339t1.339-3.232v-0.571q0-0.714-0.5-1.214t-1.214-0.5h-4q-1.429 0-2.429-1t-1-2.429v-6.857q0-1.429 1-2.429t2.429-1h6.857q1.429 0 2.429 1t1 2.429z"></path>'),
	   	 			'temperature_1' => array('keywords' => 'temperature_1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25 18c-0.002 0-0.003 0-0.005 0h-23.995c-0.552 0-1 0.448-1 1s0.448 1 1 1h24.002c0.001 0 0.002-0 0.003-0 1.652 0.003 2.996 1.347 2.996 3 0 1.654-1.346 3-3 3s-3-1.346-3-3c0-0.552-0.448-1-1-1s-1 0.448-1 1c0 2.757 2.243 5 5 5s5-2.243 5-5-2.243-5-5-5zM1 13.999h11.995c0.002 0 0.003 0.001 0.005 0.001 2.757 0 5-2.243 5-5s-2.243-5-5-5-5 2.243-5 5c0 0.552 0.448 1 1 1s1-0.448 1-1c0-1.655 1.345-3 3-3s3 1.345 3 3c0 1.653-1.344 2.998-2.996 3-0.001 0-0.002 0-0.002 0h-12.002c-0.552 0-1 0.448-1 1s0.448 0.999 1 0.999zM26 5c-3.308 0-6 2.691-6 6 0 0.552 0.448 1 1 1s1-0.448 1-1c0-2.206 1.794-4 4-4s4 1.794 4 4c0 2.204-1.793 3.998-3.997 4-0.001 0-0.002 0-0.003 0h-25c-0.552 0-1 0.448-1 1s0.448 1 1 1h24.995c0.002-0 0.003 0 0.005 0 3.308 0 6-2.691 6-6s-2.692-6-6-6z"></path>'),
	   	 			'filter_2' => array('keywords' => 'filter_2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M22.688 17.979v2.688h-8v-5.313q0-1.125 0.781-1.906t1.844-0.781h2.688v-2.688h-5.313v-2.625h5.313q1.125 0 1.906 0.75t0.781 1.875v2.688q0 1.125-0.813 1.906t-1.875 0.781h-2.688v2.625h5.375zM28 23.354v-18.688h-18.688v18.688h18.688zM28 1.979q1.063 0 1.875 0.813t0.813 1.875v18.688q0 1.063-0.813 1.844t-1.875 0.781h-18.688q-1.063 0-1.844-0.781t-0.781-1.844v-18.688q0-1.063 0.781-1.875t1.844-0.813h18.688zM4 7.354v21.313h21.313v2.688h-21.313q-1.063 0-1.875-0.813t-0.813-1.875v-21.313h2.688z"></path>'),
	   	 			'colorize' => array('keywords' => 'colorize ','viewbox' => '0 0 32 32', 'path' =>'<path d="M9.25 25.979l10.75-10.75-2.563-2.563-10.75 10.75zM27.625 8.167q0.938 0.938 0 1.875l-4.188 4.188 2.563 2.563-1.875 1.875-1.875-1.875-11.938 11.875h-6.313v-6.313l11.875-11.938-1.875-1.875 1.875-1.875 2.563 2.563 4.188-4.188q0.375-0.375 0.938-0.375t0.938 0.375z"></path>'),
	   	 			'star_half' => array('keywords' => 'star_half ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 21.229l5 3-1.313-5.688 4.438-3.875-5.875-0.5-2.25-5.375v12.438zM29.313 12.979l-7.25 6.313 2.188 9.375-8.25-5-8.25 5 2.188-9.375-7.25-6.313 9.563-0.813 3.75-8.813 3.75 8.813z"></path>'),
	   	 			'bell-slash-o' => array('keywords' => 'bell-slash-o ','viewbox' => '0 0 37 32', 'path' =>'<path d="M18.571 30.571q0-0.286-0.286-0.286-1.054 0-1.813-0.759t-0.759-1.813q0-0.286-0.286-0.286t-0.286 0.286q0 1.304 0.92 2.223t2.223 0.92q0.286 0 0.286-0.286zM8.982 22.089l15.661-13.571q-0.75-1.571-2.366-2.616t-3.991-1.045q-1.661 0-3.027 0.563t-2.17 1.438-1.232 1.839-0.429 1.875q0 6.857-2.446 11.518zM33.143 25.429q0 0.929-0.679 1.607t-1.607 0.679h-8q0 1.893-1.339 3.232t-3.232 1.339-3.223-1.33-1.348-3.223l2.661-2.304h13.518q-2.964-3.339-4.054-8.196l1.982-1.732q1.089 6.357 5.321 9.929zM34.679 0.571l1.5 1.714q0.143 0.179 0.134 0.42t-0.188 0.402l-33.429 28.964q-0.179 0.143-0.42 0.125t-0.384-0.196l-1.5-1.714q-0.143-0.179-0.134-0.42t0.188-0.384l3.321-2.875q-0.339-0.571-0.339-1.179 0.893-0.75 1.625-1.571t1.518-2.134 1.33-2.83 0.893-3.679 0.348-4.643q0-2.714 2.089-5.045t5.482-2.83q-0.143-0.339-0.143-0.696 0-0.714 0.5-1.214t1.214-0.5 1.214 0.5 0.5 1.214q0 0.357-0.143 0.696 2.214 0.321 3.911 1.473t2.643 2.813l7.464-6.482q0.179-0.143 0.42-0.125t0.384 0.196z"></path>'),
	   	 			'chain-broken' => array('keywords' => 'chain-broken ','viewbox' => '0 0 30 32', 'path' =>'<path d="M7.839 22.982l-4.571 4.571q-0.179 0.161-0.411 0.161-0.214 0-0.411-0.161-0.161-0.179-0.161-0.411t0.161-0.411l4.571-4.571q0.179-0.161 0.411-0.161t0.411 0.161q0.161 0.179 0.161 0.411t-0.161 0.411zM10.857 23.714v5.714q0 0.25-0.161 0.411t-0.411 0.161-0.411-0.161-0.161-0.411v-5.714q0-0.25 0.161-0.411t0.411-0.161 0.411 0.161 0.161 0.411zM6.857 19.714q0 0.25-0.161 0.411t-0.411 0.161h-5.714q-0.25 0-0.411-0.161t-0.161-0.411 0.161-0.411 0.411-0.161h5.714q0.25 0 0.411 0.161t0.161 0.411zM29.429 22q0 2.143-1.518 3.625l-2.625 2.607q-1.482 1.482-3.625 1.482-2.161 0-3.643-1.518l-5.964-5.982q-0.375-0.375-0.75-1l4.268-0.321 4.875 4.893q0.482 0.482 1.214 0.491t1.214-0.473l2.625-2.607q0.5-0.5 0.5-1.196 0-0.714-0.5-1.214l-4.893-4.911 0.321-4.268q0.625 0.375 1 0.75l6 6q1.5 1.536 1.5 3.643zM18.411 9.071l-4.268 0.321-4.875-4.893q-0.5-0.5-1.214-0.5-0.696 0-1.214 0.482l-2.625 2.607q-0.5 0.5-0.5 1.196 0 0.714 0.5 1.214l4.893 4.893-0.321 4.286q-0.625-0.375-1-0.75l-6-6q-1.5-1.536-1.5-3.643 0-2.143 1.518-3.625l2.625-2.607q1.482-1.482 3.625-1.482 2.161 0 3.643 1.518l5.964 5.982q0.375 0.375 0.75 1zM29.714 10.571q0 0.25-0.161 0.411t-0.411 0.161h-5.714q-0.25 0-0.411-0.161t-0.161-0.411 0.161-0.411 0.411-0.161h5.714q0.25 0 0.411 0.161t0.161 0.411zM20 0.857v5.714q0 0.25-0.161 0.411t-0.411 0.161-0.411-0.161-0.161-0.411v-5.714q0-0.25 0.161-0.411t0.411-0.161 0.411 0.161 0.161 0.411zM27.268 3.554l-4.571 4.571q-0.196 0.161-0.411 0.161t-0.411-0.161q-0.161-0.179-0.161-0.411t0.161-0.411l4.571-4.571q0.179-0.161 0.411-0.161t0.411 0.161q0.161 0.179 0.161 0.411t-0.161 0.411z"></path>'),
	   	 			'list2' => array('keywords' => 'list2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M9.313 9.979h18.688v2.688h-18.688v-2.688zM9.313 23.354v-2.688h18.688v2.688h-18.688zM9.313 17.979v-2.625h18.688v2.625h-18.688zM4 12.667v-2.688h2.688v2.688h-2.688zM4 23.354v-2.688h2.688v2.688h-2.688zM4 17.979v-2.625h2.688v2.625h-2.688z"></path>'),
	   	 			'foursquare' => array('keywords' => 'foursquare ','viewbox' => '0 0 32 32', 'path' =>'<path d="M26.611 2.815c-0.377-0.513-0.975-0.815-1.611-0.815h-19c-1.105 0-2 0.895-2 2v24c0 0.809 0.487 1.538 1.235 1.848 0.247 0.102 0.507 0.152 0.765 0.152 0.521 0 1.032-0.203 1.415-0.586l7.414-7.414h5.172c0.875 0 1.648-0.569 1.909-1.403l5-16c0.19-0.607 0.079-1.269-0.298-1.781zM21.030 10h-7.030c-1.105 0-2 0.895-2 2s0.895 2 2 2h5.78l-1.25 4h-4.53c-0.53 0-1.039 0.211-1.414 0.586l-4.586 4.586v-17.172h14.28l-1.25 4z"></path>'),
	   	 			'recycle2' => array('keywords' => 'recycle2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M12.148 2.666l-3.063 4.555c-0.154 0.229-0.093 0.54 0.136 0.694s0.54 0.093 0.694-0.136l3.081-4.583c0.82-1.417 1.888-2.196 3.004-2.196s2.184 0.779 3.003 2.194l5.514 9.6-3.92-0.784c-0.273-0.057-0.535 0.121-0.588 0.393s0.122 0.534 0.392 0.588l5 1c0.034 0.006 0.067 0.009 0.099 0.009 0.079 0 0.153-0.025 0.221-0.059 0.009-0.004 0.019-0.002 0.028-0.007 0.010-0.006 0.016-0.016 0.026-0.023 0.033-0.022 0.062-0.048 0.089-0.078 0.016-0.017 0.032-0.032 0.045-0.051 0.021-0.031 0.035-0.065 0.049-0.1 0.009-0.023 0.021-0.044 0.026-0.068 0.001-0.006 0.005-0.010 0.006-0.016l1-5c0.054-0.271-0.122-0.534-0.392-0.588-0.273-0.057-0.535 0.121-0.588 0.393l-0.739 3.695-5.401-9.404c-1.008-1.737-2.382-2.694-3.87-2.694s-2.862 0.957-3.852 2.666zM10 28.519c0-0.276-0.224-0.5-0.5-0.5h-4.499c-1.547-0.003-2.784-0.609-3.392-1.664-0.648-1.123-0.539-2.604 0.3-4.063l5.512-9.644 1.615 4.039c0.078 0.194 0.266 0.313 0.464 0.313 0.062 0 0.125-0.012 0.186-0.036 0.256-0.103 0.381-0.394 0.279-0.649l-2-5c-0.010-0.026-0.028-0.045-0.042-0.068-0.013-0.021-0.022-0.042-0.038-0.062-0.035-0.042-0.075-0.075-0.119-0.103-0.007-0.005-0.011-0.012-0.018-0.016-0.001-0.001-0.002 0-0.003-0.001-0.056-0.032-0.117-0.051-0.182-0.059-0.011-0.001-0.021 0.002-0.032 0.001-0.043-0.003-0.085-0.006-0.129 0.004l-5 1c-0.271 0.054-0.446 0.317-0.392 0.588s0.313 0.447 0.588 0.393l3.922-0.784-5.48 9.588c-1.021 1.775-1.129 3.62-0.298 5.061 0.792 1.371 2.343 2.16 4.257 2.164h4.5c0.277-0.002 0.501-0.226 0.501-0.502zM31.264 26.846c0.823-1.426 0.712-3.258-0.281-4.98l-2.025-4.568c-0.112-0.252-0.407-0.368-0.66-0.254-0.252 0.112-0.366 0.407-0.254 0.66l2.049 4.614c0.834 1.452 0.946 2.92 0.306 4.028-0.605 1.049-1.844 1.651-3.399 1.654l-10.31 0.017 2.163-2.163c0.195-0.195 0.195-0.512 0-0.707s-0.512-0.195-0.707 0l-3 3c-0.1 0.1-0.147 0.232-0.145 0.363 0 0.003-0.002 0.006-0.002 0.010 0 0.162 0.083 0.3 0.204 0.391l2.943 2.943c0.098 0.097 0.226 0.146 0.354 0.146s0.256-0.049 0.354-0.146c0.195-0.195 0.195-0.512 0-0.707l-2.13-2.13 10.277-0.017c1.92-0.004 3.474-0.789 4.263-2.154z"></path>'),
	   	 			'directions_ferry' => array('keywords' => 'directions_ferry ','viewbox' => '0 0 32 32', 'path' =>'<path d="M8 8.667v5.313l8-2.625 8 2.625v-5.313h-16zM5.25 25.979l-2.5-8.875q-0.438-1.25 0.875-1.688l1.688-0.563v-6.188q0-1.063 0.813-1.875t1.875-0.813h4v-4h8v4h4q1.063 0 1.875 0.813t0.813 1.875v6.188l1.688 0.563q1.313 0.438 0.875 1.688l-2.5 8.875h-0.063q-3.063 0-5.375-2.625-2.313 2.625-5.313 2.625t-5.313-2.625q-2.313 2.625-5.375 2.625h-0.063zM26.688 28.667h2.625v2.688h-2.625q-2.813 0-5.375-1.313-5.313 2.75-10.625 0-2.563 1.313-5.375 1.313h-2.625v-2.688h2.625q2.875 0 5.375-1.75 2.438 1.688 5.313 1.688t5.313-1.688q2.5 1.75 5.375 1.75z"></path>'),
	   	 			'television_old' => array('keywords' => 'television_old ','viewbox' => '0 0 32 32', 'path' =>'<path d="M28 13.5c0 1.105-0.895 2-2 2s-2-0.895-2-2c0-1.105 0.895-2 2-2s2 0.895 2 2zM28 19.5c0 1.105-0.895 2-2 2s-2-0.895-2-2c0-1.105 0.895-2 2-2s2 0.895 2 2zM29 8.5h-10.175c-0.117-0.332-0.288-0.638-0.508-0.904l4.389-4.388c0.39-0.39 0.39-1.024 0-1.414s-1.024-0.391-1.414 0l-4.758 4.758c-0.174-0.032-0.352-0.051-0.535-0.051s-0.361 0.019-0.536 0.051l-4.758-4.758c-0.39-0.391-1.024-0.391-1.414 0s-0.39 1.024 0 1.414l4.389 4.388c-0.219 0.266-0.39 0.573-0.508 0.904h-10.175c-1.655 0-3 1.345-3 3v16c0 1.654 1.345 3 3 3h26c1.654 0 3-1.346 3-3v-16c0-1.655-1.346-3-3-3zM30 27.5c0 0.552-0.448 1-1 1h-26c-0.551 0-1-0.448-1-1v-16c0-0.552 0.449-1 1-1h26c0.552 0 1 0.448 1 1v16zM21 11.5h-17c-0.552 0-1 0.448-1 1v14c0 0.552 0.448 1 1 1h17c0.552 0 1-0.448 1-1v-14c0-0.552-0.448-1-1-1zM20 25.5h-15v-12h15v12z"></path>'),
	   	 			'gesture' => array('keywords' => 'gesture ','viewbox' => '0 0 32 32', 'path' =>'<path d="M18.5 25.417q0.875 0 1.75-1.156t1.125-3.531q-1.875 0.5-2.875 1.688t-1 2q0 0.438 0.313 0.719t0.688 0.281zM6.125 9.854l-2.313-2.25q0.625-0.75 1.125-1.25 1.688-1.688 3.625-1.688 1.188 0 2.281 0.938t1.094 2.875q0 1.875-1.75 4.375-1.75 2.438-2.438 4.688-0.375 1.063-0.219 1.813t0.656 0.75q0.563 0 1.5-1.125 1.375-1.375 3.063-3.625 3-3.75 6.563-3.75 2.625 0 3.906 1.719t1.469 3.844h3.313v3.313h-3.25q-0.375 4.313-2.313 6.25t-4 1.938q-1.75 0-3-1.219t-1.25-2.906q0-2.063 1.875-4.313t5.313-2.875q-0.063-0.5-0.094-0.688t-0.188-0.594-0.375-0.594-0.656-0.344-1.063-0.156q-1.75 0-5.438 4.563-1.063 1.313-1.469 1.781t-1.156 1.094-1.438 0.813q-2.188 0.688-3.75-0.813t-1.563-3.75q0-0.938 0.344-2.063t0.906-2.188 1.063-1.906 0.969-1.531 0.531-0.75q1.063-1.75 0.375-2-0.438-0.188-2.25 1.625z"></path>'),
	   	 			'buy_symbol_circle' => array('keywords' => 'buy_symbol_circle ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 0c-8.836 0-16 7.163-16 16s7.163 16 16 16 16-7.163 16-16-7.163-16-16-16zM16 30c-7.732 0-14-6.268-14-14s6.268-14 14-14 14 6.268 14 14-6.268 14-14 14zM11.376 15.508v-0.039c0.268-0.065 0.485-0.211 0.649-0.438s0.246-0.5 0.246-0.821c0-0.487-0.188-0.845-0.565-1.076s-0.953-0.345-1.729-0.345h-1.992v5.711h2.222c0.672 0 1.203-0.149 1.592-0.448s0.584-0.706 0.584-1.224c0-0.349-0.079-0.633-0.239-0.851s-0.415-0.375-0.77-0.469zM9.528 13.957h0.434c0.485 0 0.726 0.16 0.726 0.48 0 0.18-0.060 0.315-0.181 0.406s-0.293 0.136-0.514 0.136h-0.465v-1.023zM10.072 17.308h-0.543v-1.199h0.511c0.245 0 0.431 0.051 0.56 0.152s0.194 0.247 0.194 0.438c0 0.406-0.241 0.609-0.723 0.609zM16.889 16.133c0 0.412-0.071 0.707-0.213 0.889s-0.37 0.271-0.685 0.271c-0.294 0-0.517-0.091-0.668-0.273s-0.226-0.475-0.226-0.879v-3.351h-1.55v3.472c0 0.747 0.209 1.32 0.627 1.719s1.016 0.598 1.795 0.598c0.797 0 1.407-0.205 1.83-0.615s0.635-0.989 0.635-1.736v-3.438h-1.543v3.344zM21.975 14.906l-0.977-2.117h-1.68l1.879 3.527v2.183h1.555v-2.23l1.879-3.48h-1.672z"></path>'),
	   	 			'crosshairs' => array('keywords' => 'crosshairs ','viewbox' => '0 0 27 32', 'path' =>'<path d="M21.375 18.571h-1.946q-0.464 0-0.804-0.339t-0.339-0.804v-2.286q0-0.464 0.339-0.804t0.804-0.339h1.946q-0.571-1.929-2.009-3.366t-3.366-2.009v1.946q0 0.464-0.339 0.804t-0.804 0.339h-2.286q-0.464 0-0.804-0.339t-0.339-0.804v-1.946q-1.929 0.571-3.366 2.009t-2.009 3.366h1.946q0.464 0 0.804 0.339t0.339 0.804v2.286q0 0.464-0.339 0.804t-0.804 0.339h-1.946q0.571 1.929 2.009 3.366t3.366 2.009v-1.946q0-0.464 0.339-0.804t0.804-0.339h2.286q0.464 0 0.804 0.339t0.339 0.804v1.946q1.929-0.571 3.366-2.009t2.009-3.366zM27.429 15.143v2.286q0 0.464-0.339 0.804t-0.804 0.339h-2.554q-0.661 2.875-2.759 4.973t-4.973 2.759v2.554q0 0.464-0.339 0.804t-0.804 0.339h-2.286q-0.464 0-0.804-0.339t-0.339-0.804v-2.554q-2.875-0.661-4.973-2.759t-2.759-4.973h-2.554q-0.464 0-0.804-0.339t-0.339-0.804v-2.286q0-0.464 0.339-0.804t0.804-0.339h2.554q0.661-2.875 2.759-4.973t4.973-2.759v-2.554q0-0.464 0.339-0.804t0.804-0.339h2.286q0.464 0 0.804 0.339t0.339 0.804v2.554q2.875 0.661 4.973 2.759t2.759 4.973h2.554q0.464 0 0.804 0.339t0.339 0.804z"></path>'),
	   	 			'design_tool1' => array('keywords' => 'design_tool1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M24.906 15.577l-7-15c-0.164-0.352-0.517-0.577-0.906-0.577h-2c-0.389 0-0.742 0.225-0.906 0.577l-7 15c-0.188 0.403-0.087 0.882 0.248 1.176 0.037 0.031 3.621 3.241 3.655 9.164l-0.977 4.886c-0.059 0.294 0.017 0.599 0.207 0.83s0.473 0.366 0.773 0.366h10c0.003 0 0.007 0 0.011 0 0.552 0 1-0.448 1-1 0-0.116-0.020-0.229-0.057-0.333l-0.95-4.75c0.034-5.879 3.622-9.135 3.655-9.164 0.334-0.294 0.435-0.773 0.247-1.176zM12.22 30l0.6-3h6.361l0.6 3h-7.561zM19.030 25h-6.060c-0.293-4.888-2.673-8.015-3.769-9.21l5.799-12.425v10.912c-0.595 0.347-1 0.985-1 1.723 0 1.105 0.896 2 2 2s2-0.895 2-2c0-0.739-0.405-1.376-1-1.723v-10.912l5.799 12.425c-1.096 1.194-3.476 4.322-3.769 9.21z"></path>'),
	   	 			'spinner12' => array('keywords' => 'spinner12 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M9.393 25.179q0 0.946-0.67 1.616t-1.616 0.67q-0.929 0-1.607-0.679t-0.679-1.607q0-0.946 0.67-1.616t1.616-0.67 1.616 0.67 0.67 1.616zM18.286 28.857q0 0.946-0.67 1.616t-1.616 0.67-1.616-0.67-0.67-1.616 0.67-1.616 1.616-0.67 1.616 0.67 0.67 1.616zM5.714 16.286q0 0.946-0.67 1.616t-1.616 0.67-1.616-0.67-0.67-1.616 0.67-1.616 1.616-0.67 1.616 0.67 0.67 1.616zM27.179 25.179q0 0.929-0.679 1.607t-1.607 0.679q-0.946 0-1.616-0.67t-0.67-1.616 0.67-1.616 1.616-0.67 1.616 0.67 0.67 1.616zM9.964 7.393q0 1.179-0.839 2.018t-2.018 0.839-2.018-0.839-0.839-2.018 0.839-2.018 2.018-0.839 2.018 0.839 0.839 2.018zM30.857 16.286q0 0.946-0.67 1.616t-1.616 0.67-1.616-0.67-0.67-1.616 0.67-1.616 1.616-0.67 1.616 0.67 0.67 1.616zM19.429 3.714q0 1.429-1 2.429t-2.429 1-2.429-1-1-2.429 1-2.429 2.429-1 2.429 1 1 2.429zM28.893 7.393q0 1.661-1.179 2.83t-2.821 1.17q-1.661 0-2.83-1.17t-1.17-2.83q0-1.643 1.17-2.821t2.83-1.179q1.643 0 2.821 1.179t1.179 2.821z"></path>'),
	   	 			'ioxhost' => array('keywords' => 'ioxhost ','viewbox' => '0 0 37 32', 'path' =>'<path d="M26.125 15.143q0 0.625-0.446 1.080t-1.089 0.455h-12.536q-0.643 0-1.089-0.455t-0.446-1.080 0.446-1.080 1.089-0.455h12.536q0.643 0 1.089 0.455t0.446 1.080zM29.946 15.143q0-1.536-0.411-3.036h-17.536q-0.643 0-1.089-0.446t-0.446-1.071q0-0.643 0.446-1.089t1.089-0.446h16.214q-1.571-2.554-4.196-4.054t-5.714-1.5q-3.161 0-5.848 1.563t-4.25 4.241-1.563 5.839q0 1.536 0.411 3.036h17.536q0.643 0 1.089 0.446t0.446 1.071q0 0.643-0.446 1.089t-1.089 0.446h-16.214q1.571 2.554 4.205 4.054t5.723 1.5q2.357 0 4.518-0.92t3.714-2.482 2.482-3.714 0.929-4.527zM36.571 10.589q0 0.625-0.446 1.071t-1.089 0.446h-2.339q0.304 1.518 0.304 3.036 0 2.982-1.17 5.705t-3.134 4.696-4.688 3.143-5.705 1.17q-4.393 0-8.009-2.375t-5.384-6.25h-3.375q-0.643 0-1.089-0.446t-0.446-1.089q0-0.625 0.446-1.071t1.089-0.446h2.357q-0.304-1.518-0.304-3.036 0-2.982 1.17-5.705t3.134-4.696 4.688-3.143 5.723-1.17q4.375 0 7.991 2.375t5.384 6.25h3.357q0.643 0 1.089 0.446t0.446 1.089z"></path>'),
	   	 			'right-quote' => array('keywords' => 'right-quote ','viewbox' => '0 0 32 32', 'path' =>'<path d="M0 4v12h8c0 4.41-3.586 8-8 8v4c6.617 0 12-5.383 12-12v-12h-12zM20 4v12h8c0 4.41-3.586 8-8 8v4c6.617 0 12-5.383 12-12v-12h-12z"></path>'),
	   	 			'timer_off' => array('keywords' => 'timer_off ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 27.354q2.438 0 4.688-1.313l-12.75-12.75q-1.25 2.125-1.25 4.688 0 3.875 2.719 6.625t6.594 2.75zM4 5.979l23.688 23.688-1.688 1.688-3.375-3.375q-3.125 2-6.625 2-5 0-8.5-3.531t-3.5-8.469q0-3.625 2-6.625l-3.688-3.688zM14.688 13.229v-1.875h2.625v4.563zM20 1.979v2.688h-8v-2.688h8zM25.375 6.729l1.875 1.875-1.875 1.938q2.625 3.313 2.625 7.438 0 3.625-2 6.625l-1.938-1.938q1.25-2.125 1.25-4.688 0-3.875-2.719-6.594t-6.594-2.719q-2.5 0-4.625 1.25l-2-1.938q3-2 6.625-2 4.188 0 7.5 2.625z"></path>'),
	   	 			'paper_holders' => array('keywords' => 'paper_holders ','viewbox' => '0 0 23 32', 'path' =>'<path d="M17 11h-11c-0.552 0-1 0.448-1 1s0.448 1 1 1h11c0.552 0 1-0.448 1-1s-0.448-1-1-1zM17 16h-11c-0.552 0-1 0.448-1 1s0.448 1 1 1h11c0.552 0 1-0.448 1-1s-0.448-1-1-1zM17 21h-11c-0.552 0-1 0.448-1 1s0.448 1 1 1h11c0.552 0 1-0.448 1-1s-0.448-1-1-1zM20 2h-2.5v-1c0-0.552-0.448-1-1-1h-10c-0.552 0-1 0.448-1 1v1h-2.5c-1.65 0-3 1.351-3 3v24c0 1.651 1.35 3 3 3h17c1.65 0 3-1.349 3-3v-24c0-1.649-1.35-3-3-3zM7.5 2h8v2h-8v-2zM21 29c0 0.55-0.45 1-1 1h-17c-0.55 0-1-0.45-1-1v-24c0-0.55 0.45-1 1-1h2.5v1c0 0.552 0.448 1 1 1h10c0.552 0 1-0.448 1-1v-1h2.5c0.55 0 1 0.45 1 1v24z"></path>'),
	   	 			'building_symbol3' => array('keywords' => 'building_symbol3 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31 15.5c0.552 0 1-0.448 1-1v-3c0-0.552-0.448-1-1-1h-3.5v-2c0-0.552-0.448-1-1-1h-7v-1c0-0.441-0.288-0.811-0.684-0.944 0.731-0.589 1.184-1.405 1.184-2.305 0-0.552-0.448-1-1-1s-1 0.448-1 1c0 0.402-0.386 0.831-1 1.067v-1.817c0-0.552-0.448-1-1-1s-1 0.448-1 1v1.817c-0.614-0.237-1-0.664-1-1.067 0-0.552-0.448-1-1-1s-1 0.448-1 1c0 0.901 0.454 1.716 1.184 2.306-0.396 0.133-0.684 0.503-0.684 0.944v1h-7c-0.552 0-1 0.448-1 1v2h-3.5c-0.552 0-1 0.448-1 1v3c0 0.552 0.448 1 1 1h1v13h-1c-0.552 0-1 0.448-1 1s0.448 1 1 1h30c0.552 0 1-0.448 1-1s-0.448-1-1-1h-1v-13h1zM25.5 9.5v1h-6v-1h6zM17.5 10.5h-3v-3h3v3zM6.5 9.5h6v1h-6v-1zM2 12.5h28v1h-28v-1zM10.5 15.5v13h-2.5v-13h2.5zM12.5 15.5h7.5v13h-7.5v-13zM22 15.5h2v13h-2v-13zM4 15.5h2v13h-2v-13zM28 28.5h-2v-13h2v13z"></path>'),
	   	 			'developer_board' => array('keywords' => 'developer_board ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 15.354h5.313v8h-5.313v-8zM8 9.979h6.688v6.688h-6.688v-6.688zM16 9.979h5.313v4h-5.313v-4zM8 17.979h6.688v5.375h-6.688v-5.375zM24 25.979v-18.625h-18.688v18.625h18.688zM29.313 12.667h-2.625v2.688h2.625v2.625h-2.625v2.688h2.625v2.688h-2.625v2.625q0 1.063-0.813 1.875t-1.875 0.813h-18.688q-1.063 0-1.844-0.813t-0.781-1.875v-18.625q0-1.063 0.781-1.875t1.844-0.813h18.688q1.063 0 1.875 0.813t0.813 1.875v2.625h2.625v2.688z"></path>'),
	   	 			'magic' => array('keywords' => 'magic ','viewbox' => '0 0 30 32', 'path' =>'<path d="M21.25 10.661l5.232-5.232-1.911-1.911-5.232 5.232zM29.232 5.429q0 0.482-0.321 0.804l-22.964 22.964q-0.321 0.321-0.804 0.321t-0.804-0.321l-3.536-3.536q-0.321-0.321-0.321-0.804t0.321-0.804l22.964-22.964q0.321-0.321 0.804-0.321t0.804 0.321l3.536 3.536q0.321 0.321 0.321 0.804zM5.107 2.036l1.75 0.536-1.75 0.536-0.536 1.75-0.536-1.75-1.75-0.536 1.75-0.536 0.536-1.75zM11.357 4.929l3.5 1.071-3.5 1.071-1.071 3.5-1.071-3.5-3.5-1.071 3.5-1.071 1.071-3.5zM27.964 13.464l1.75 0.536-1.75 0.536-0.536 1.75-0.536-1.75-1.75-0.536 1.75-0.536 0.536-1.75zM16.536 2.036l1.75 0.536-1.75 0.536-0.536 1.75-0.536-1.75-1.75-0.536 1.75-0.536 0.536-1.75z"></path>'),
	   	 			'network_wifi' => array('keywords' => 'network_wifi ','viewbox' => '0 0 32 32', 'path' =>'<path d="M27.25 15.229l0.063 0.063-11.313 14-11.313-14 0.063-0.063-4.25-5.25q7.563-5.313 15.5-5.313t15.5 5.313z"></path>'),
	   	 			'castle_symbol7' => array('keywords' => 'castle_symbol7 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 11.499h-26c-1.649 0-3 1.351-3 3v13c0 1.651 1.351 3 3 3h26c1.651 0 3-1.349 3-3v-13c0-1.649-1.349-3-3-3zM19 28.5h-6v-4c0.001-1.657 1.343-2.999 3-3s3 1.343 3 3v4zM30 27.5c0 0.55-0.45 1-1 1h-8v-4c0.001-2.761-2.24-5-5-5s-5.001 2.239-5 5v4h-8c-0.55 0-1-0.45-1-1v-13c0-0.55 0.45-1 1-1h26c0.55 0 1 0.45 1 1v13zM30.448 3.605l-4-2c-0.309-0.155-0.677-0.138-0.973 0.044s-0.475 0.504-0.475 0.851v6h-8v-1.382l3.447-1.723c0.338-0.17 0.552-0.516 0.552-0.894s-0.214-0.725-0.552-0.894l-4-2c-0.309-0.155-0.678-0.138-0.973 0.044s-0.475 0.504-0.475 0.85v6h-8v-1.382l3.447-1.723c0.338-0.17 0.553-0.516 0.553-0.894s-0.214-0.725-0.553-0.894l-4-2c-0.309-0.155-0.678-0.138-0.973 0.044s-0.475 0.504-0.475 0.85v7c0 0.552 0.448 1 1 1 0.001 0 0.002 0 0.003 0h19.995c0.001 0 0.001 0 0.002 0 0.552 0 1-0.448 1-1 0-0.001 0-0.002 0-0.002v-2.38l3.448-1.723c0.338-0.17 0.552-0.516 0.552-0.894s-0.214-0.725-0.552-0.894zM17 4.881v-0.764l0.764 0.382-0.764 0.382zM7 4.881v-0.764l0.764 0.382-0.764 0.382zM27 4.881v-0.764l0.764 0.382-0.764 0.382z"></path>'),
	   	 			'user_person2' => array('keywords' => 'user_person2 ','viewbox' => '0 0 22 32', 'path' =>'<path d="M11 11c3.032 0 5.5-2.468 5.5-5.5 0-3.033-2.467-5.5-5.5-5.5s-5.5 2.467-5.5 5.5c0 3.032 2.467 5.5 5.5 5.5zM11 2c1.929 0 3.5 1.57 3.5 3.5s-1.57 3.5-3.5 3.5-3.5-1.57-3.5-3.5c0-1.93 1.57-3.5 3.5-3.5zM11 12c-6.065 0-11 4.934-11 11 0 0.552 0.448 1 1 1h4v7c0 0.552 0.448 1 1 1h10c0.552 0 1-0.448 1-1v-7h4c0.552 0 1-0.448 1-1 0-6.065-4.934-11-11-11zM16 22c-0.552 0-1 0.448-1 1v7h-8v-7c0-0.552-0.448-1-1-1h-3.945c0.453-4.077 3.643-7.332 7.684-7.902l0.761 1.902h1l0.761-1.902c4.041 0.57 7.231 3.825 7.684 7.902h-3.944zM10.5 17l-1 7 1.5 1 1.5-1-1-7z"></path>'),
	   	 			'medallion_1' => array('keywords' => 'medallion_1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M15.999 17.5c2.76 0 5.001-2.238 5-4.999 0.001-2.761-2.239-5.001-5-5.001s-5.001 2.24-5 5c-0.001 2.761 2.238 4.999 5 4.999zM15.999 9.501c1.657-0.001 3 1.343 3 2.999 0 1.655-1.343 3-3 3.001s-2.999-1.343-3-3c0.001-1.657 1.343-2.999 3-3zM31.706 24.366l-5.883-5.883c0.080-0.131 0.156-0.265 0.231-0.399 0.92-1.654 1.446-3.556 1.445-5.582v-0.001c0.002-4.962-3.142-9.191-7.546-10.803-1.233-0.452-2.565-0.698-3.954-0.698s-2.721 0.246-3.954 0.698c-4.404 1.612-7.548 5.841-7.546 10.803v0.001c-0 2.027 0.526 3.929 1.446 5.582 0.074 0.134 0.151 0.268 0.231 0.399l-5.883 5.883c-0.277 0.277-0.366 0.69-0.23 1.056 0.052 0.137 0.131 0.259 0.23 0.358 0.167 0.167 0.391 0.273 0.635 0.291l3.76 0.268 0.287 3.737c0.030 0.39 0.285 0.726 0.651 0.861s0.777 0.046 1.054-0.23l6.952-6.952c0.765 0.16 1.556 0.244 2.368 0.244s1.603-0.085 2.367-0.244l6.952 6.952c0.276 0.276 0.689 0.366 1.055 0.23 0.365-0.136 0.619-0.471 0.649-0.861l0.288-3.737 3.76-0.268c0.244-0.017 0.469-0.123 0.636-0.291 0.099-0.099 0.178-0.22 0.23-0.358 0.138-0.366 0.049-0.779-0.229-1.056zM25.5 12.5c0 0.039-0.006 0.076-0.006 0.116-0.008 0.615-0.069 1.217-0.188 1.799-0.887 4.324-4.715 7.585-9.307 7.587-4.593-0.001-8.421-3.264-9.307-7.588-0.043-0.214-0.071-0.434-0.099-0.655-0.013-0.096-0.034-0.19-0.044-0.287-0.027-0.259-0.035-0.524-0.040-0.789-0.002-0.062-0.010-0.121-0.010-0.182 0.003-5.249 4.252-9.499 9.5-9.5 5.249 0.001 9.498 4.251 9.501 9.5zM6.803 27.756l-0.186-2.428c-0.038-0.494-0.431-0.885-0.926-0.921l-2.436-0.174 4.123-4.123c1.123 1.271 2.521 2.293 4.102 2.969l-4.678 4.677zM26.308 24.407c-0.494 0.035-0.887 0.427-0.926 0.921l-0.186 2.428-4.677-4.677c1.581-0.677 2.98-1.698 4.102-2.969l4.123 4.123-2.436 0.174z"></path>'),
	   	 			'tree' => array('keywords' => 'tree ','viewbox' => '0 0 32 32', 'path' =>'<path d="M30.5 24h-0.5v-6.5c0-1.93-1.57-3.5-3.5-3.5h-8.5v-4h0.5c0.825 0 1.5-0.675 1.5-1.5v-5c0-0.825-0.675-1.5-1.5-1.5h-5c-0.825 0-1.5 0.675-1.5 1.5v5c0 0.825 0.675 1.5 1.5 1.5h0.5v4h-8.5c-1.93 0-3.5 1.57-3.5 3.5v6.5h-0.5c-0.825 0-1.5 0.675-1.5 1.5v5c0 0.825 0.675 1.5 1.5 1.5h5c0.825 0 1.5-0.675 1.5-1.5v-5c0-0.825-0.675-1.5-1.5-1.5h-0.5v-6h8v6h-0.5c-0.825 0-1.5 0.675-1.5 1.5v5c0 0.825 0.675 1.5 1.5 1.5h5c0.825 0 1.5-0.675 1.5-1.5v-5c0-0.825-0.675-1.5-1.5-1.5h-0.5v-6h8v6h-0.5c-0.825 0-1.5 0.675-1.5 1.5v5c0 0.825 0.675 1.5 1.5 1.5h5c0.825 0 1.5-0.675 1.5-1.5v-5c0-0.825-0.675-1.5-1.5-1.5zM6 30h-4v-4h4v4zM18 30h-4v-4h4v4zM14 8v-4h4v4h-4zM30 30h-4v-4h4v4z"></path>'),
	   	 			'format_shapes' => array('keywords' => 'format_shapes ','viewbox' => '0 0 32 32', 'path' =>'<path d="M14.25 17.667h3.5l-1.75-5.125zM18.313 19.354h-4.688l-0.938 2.625h-2.188l4.563-12h1.875l4.5 12h-2.125zM25.313 7.354h2.688v-2.688h-2.688v2.688zM28 28.667v-2.688h-2.688v2.688h2.688zM22.688 25.979v-2.625h2.625v-13.375h-2.625v-2.625h-13.375v2.625h-2.625v13.375h2.625v2.625h13.375zM6.688 28.667v-2.688h-2.688v2.688h2.688zM4 4.667v2.688h2.688v-2.688h-2.688zM30.688 9.979h-2.688v13.375h2.688v8h-8v-2.688h-13.375v2.688h-8v-8h2.688v-13.375h-2.688v-8h8v2.688h13.375v-2.688h8v8z"></path>'),
	   	 			'text_formatting5' => array('keywords' => 'text_formatting5 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M8.219 10.625c0.197 0.246 0.488 0.375 0.781 0.375 0.219 0 0.44-0.072 0.624-0.219 0.431-0.345 0.501-0.974 0.156-1.406l-4-5c-0.38-0.474-1.182-0.474-1.562 0l-4 5c-0.345 0.431-0.275 1.060 0.156 1.406s1.060 0.275 1.405-0.156l2.22-2.774v16.294l-2.219-2.774c-0.345-0.43-0.975-0.502-1.405-0.156-0.431 0.345-0.501 0.974-0.156 1.406l4 5c0.189 0.237 0.477 0.375 0.781 0.375s0.591-0.138 0.781-0.375l4-5c0.345-0.431 0.275-1.061-0.156-1.406s-1.061-0.275-1.405 0.156l-2.22 2.774v-16.294l2.219 2.774zM31 4h-15c-0.552 0-1 0.448-1 1v4c0 0.552 0.448 1 1 1s1-0.448 1-1v-3h5.5v20h-1.5c-0.552 0-1 0.448-1 1s0.448 1 1 1h5c0.552 0 1-0.448 1-1s-0.448-1-1-1h-1.5v-20h5.5v3c0 0.552 0.448 1 1 1s1-0.448 1-1v-4c0-0.552-0.448-1-1-1z"></path>'),
	   	 			'bullseye' => array('keywords' => 'bullseye ','viewbox' => '0 0 27 32', 'path' =>'<path d="M18.286 16.286q0 1.893-1.339 3.232t-3.232 1.339-3.232-1.339-1.339-3.232 1.339-3.232 3.232-1.339 3.232 1.339 1.339 3.232zM20.571 16.286q0-2.839-2.009-4.848t-4.848-2.009-4.848 2.009-2.009 4.848 2.009 4.848 4.848 2.009 4.848-2.009 2.009-4.848zM22.857 16.286q0 3.786-2.679 6.464t-6.464 2.679-6.464-2.679-2.679-6.464 2.679-6.464 6.464-2.679 6.464 2.679 2.679 6.464zM25.143 16.286q0-2.321-0.911-4.438t-2.438-3.643-3.643-2.438-4.438-0.911-4.438 0.911-3.643 2.438-2.438 3.643-0.911 4.438 0.911 4.438 2.438 3.643 3.643 2.438 4.438 0.911 4.438-0.911 3.643-2.438 2.438-3.643 0.911-4.438zM27.429 16.286q0 3.732-1.839 6.884t-4.991 4.991-6.884 1.839-6.884-1.839-4.991-4.991-1.839-6.884 1.839-6.884 4.991-4.991 6.884-1.839 6.884 1.839 4.991 4.991 1.839 6.884z"></path>'),
	   	 			'zoom_out_map' => array('keywords' => 'zoom_out_map ','viewbox' => '0 0 32 32', 'path' =>'<path d="M28 20.667v8h-8l3.063-3.063-3.875-3.813 1.938-1.938 3.813 3.875zM12 28.667h-8v-8l3.063 3.063 3.813-3.875 1.938 1.938-3.875 3.813zM4 12.667v-8h8l-3.063 3.063 3.875 3.813-1.938 1.938-3.813-3.875zM20 4.667h8v8l-3.063-3.063-3.813 3.875-1.938-1.938 3.875-3.813z"></path>'),
	   	 			'pin_drop' => array('keywords' => 'pin_drop ','viewbox' => '0 0 32 32', 'path' =>'<path d="M6.688 27.354h18.625v2.625h-18.625v-2.625zM13.313 11.354q0 1.063 0.813 1.844t1.875 0.781q1.125 0 1.906-0.781t0.781-1.844-0.813-1.875-1.875-0.813-1.875 0.813-0.813 1.875zM24 11.354q0 2.688-2 6.344t-4 5.969l-2 2.313q-0.875-0.938-2.219-2.563t-3.563-5.5-2.219-6.563q0-3.313 2.344-5.656t5.656-2.344 5.656 2.344 2.344 5.656z"></path>'),
	   	 			'airplanemode_active' => array('keywords' => 'airplanemode_active ','viewbox' => '0 0 32 32', 'path' =>'<path d="M28 21.979l-10.688-3.313v7.313l2.688 2v2l-4.688-1.313-4.625 1.313v-2l2.625-2v-7.313l-10.625 3.313v-2.625l10.625-6.688v-7.313q0-0.813 0.594-1.406t1.406-0.594 1.406 0.594 0.594 1.406v7.313l10.688 6.688v2.625z"></path>'),
	   	 			'filter_vintage' => array('keywords' => 'filter_vintage ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 21.979q2.188 0 3.75-1.563t1.563-3.75-1.563-3.75-3.75-1.563-3.75 1.563-1.563 3.75 1.563 3.75 3.75 1.563zM3.063 24.104q0-2.375 1.406-4.531t3.719-2.906l-1.125-0.563q-1.875-1.125-2.938-2.969t-1.063-3.906q4-2.313 8 0 0.563 0.25 1.063 0.688-0.125-0.875-0.125-1.25 0-2.188 1.094-4.031t2.906-2.906q1.813 1.063 2.906 2.906t1.094 4.031q0 0.375-0.125 1.25 0.5-0.438 1.063-0.688 4-2.313 8 0 0 2.063-1.063 3.906t-2.938 2.969q-0.125 0.063-0.344 0.188t-0.406 0.219-0.375 0.156q0.188 0.063 0.375 0.156t0.406 0.219 0.344 0.188q1.875 1.125 2.938 2.969t1.063 3.906q-4 2.313-8 0-0.563-0.25-1.063-0.688 0.125 0.875 0.125 1.25 0 2.188-1.094 4.031t-2.906 2.906q-1.813-1.063-2.906-2.906t-1.094-4.031q0-0.375 0.125-1.25-0.5 0.438-1.063 0.688-4 2.313-8 0z"></path>'),
	   	 			'hand-o-up' => array('keywords' => 'hand-o-up ','viewbox' => '0 0 27 32', 'path' =>'<path d="M22.857 28.857q0-0.464-0.339-0.804t-0.804-0.339-0.804 0.339-0.339 0.804 0.339 0.804 0.804 0.339 0.804-0.339 0.339-0.804zM25.143 15.214q0-3.375-2.982-3.375-0.464 0-1 0.089-0.286-0.536-0.938-0.848t-1.313-0.313-1.232 0.321q-0.893-0.946-2.125-0.946-0.446 0-0.991 0.179t-0.848 0.446v-5.911q0-0.929-0.679-1.607t-1.607-0.679q-0.911 0-1.598 0.696t-0.688 1.589v10.286q-0.357 0-0.866-0.268t-0.982-0.589-1.214-0.589-1.509-0.268q-1.196 0-1.741 0.795t-0.545 2.063q0 0.429 2.482 1.607 0.786 0.429 1.161 0.661 1.143 0.714 2.589 2 1.446 1.268 1.893 1.804 1.018 1.232 1.018 2.5v0.571h11.429v-0.571q0-1.286 0.571-2.982t1.143-3.455 0.571-3.205zM27.429 15.125q0 2.375-1.232 5.75-1.054 2.929-1.054 3.982v5.143q0 0.946-0.67 1.616t-1.616 0.67h-11.429q-0.946 0-1.616-0.67t-0.67-1.616v-5.143q0-0.179-0.080-0.384t-0.25-0.42-0.321-0.402-0.402-0.429-0.384-0.366-0.384-0.339-0.304-0.25q-1.321-1.161-2.304-1.786-0.375-0.232-1.107-0.589t-1.286-0.661-1.125-0.723-0.884-0.982-0.313-1.241q0-2.232 1.196-3.688t3.375-1.455q1.214 0 2.286 0.393v-6.679q0-1.857 1.357-3.214t3.196-1.357q1.875 0 3.232 1.348t1.357 3.223v3.018q1.107 0.071 2.125 0.661 0.375-0.054 0.768-0.054 1.804 0 3.179 1.071 2.482-0.018 3.92 1.518t1.438 4.054z"></path>'),
	   	 			'laptop2' => array('keywords' => 'laptop2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M5.313 8.667v13.313h21.375v-13.313h-21.375zM26.688 24.667h5.313v2.688h-32v-2.688h5.313q-1.063 0-1.844-0.813t-0.781-1.875v-13.313q0-1.063 0.781-1.875t1.844-0.813h21.375q1.063 0 1.844 0.813t0.781 1.875v13.313q0 1.063-0.781 1.875t-1.844 0.813z"></path>'),
	   	 			'notifications_active' => array('keywords' => 'notifications_active ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 29.979q-1.125 0-1.906-0.781t-0.781-1.844h5.313q0 1.125-0.75 1.875t-1.875 0.75zM24 15.354v6.625l2.688 2.688v1.313h-21.375v-1.313l2.688-2.688v-6.625q0-3.125 1.594-5.438t4.406-3v-0.938q0-0.813 0.563-1.406t1.438-0.594 1.438 0.594 0.563 1.406v0.938q2.813 0.688 4.406 3t1.594 5.438zM26.625 14.667q-0.313-5.375-4.688-8.563l1.875-1.875q5.188 4 5.5 10.438h-2.688zM10.125 6.104q-4.438 3.125-4.75 8.563h-2.688q0.313-6.438 5.5-10.438z"></path>'),
	   	 			'tap_symbol3' => array('keywords' => 'tap_symbol3 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M17.414 16l3-3h4.224l2.721 2.268c0.183 0.153 0.411 0.232 0.64 0.232 0.144 0 0.289-0.031 0.424-0.094 0.351-0.165 0.576-0.518 0.576-0.906v-10c0-0.026-0.009-0.050-0.011-0.075l2.718-2.718c0.39-0.391 0.39-1.024 0-1.414s-1.023-0.391-1.414 0l-5.707 5.707h-5.086v-3h1.277c0.346 0.595 0.984 1 1.723 1 1.027 0 2-0.896 2-2s-0.895-2-2-2c-0.738 0-1.376 0.405-1.723 1h-4.555c-0.347-0.595-0.985-1-1.723-1-1.104 0-2 0.895-2 2s0.896 2 2 2c0.739 0 1.376-0.405 1.722-1h1.277v3h-4.5c-1.589 0-3.067 0.471-4.313 1.273l-6.98-6.98c-0.391-0.391-1.024-0.391-1.414 0s-0.391 1.024 0 1.414l6.856 6.856c-1.329 1.429-2.148 3.337-2.148 5.438v2c0 0.552 0.448 1 1 1h5c0.552 0 1-0.448 1-1v-2c0-0.169 0.046-0.325 0.12-0.466l2.466 2.466-3 3h-7.586c-0.281 0-0.549 0.118-0.739 0.326s-0.283 0.485-0.258 0.765l0.625 6.867-3.336 3.335c-0.391 0.39-0.391 1.023 0 1.414 0.196 0.196 0.452 0.294 0.708 0.294s0.511-0.098 0.707-0.293l2.156-2.157 0.14 1.54c0.048 0.515 0.479 0.91 0.997 0.91h7c0.517 0 0.949-0.395 0.996-0.91l1-11c0.018-0.195-0.026-0.387-0.116-0.556l2.12-2.12 14.293 14.293c0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293c0.391-0.39 0.391-1.023 0-1.414l-14.293-14.293zM5.095 21h4.49l-4.117 4.117-0.374-4.117zM11.087 30h-5.174l-0.208-2.291 6.149-6.149-0.767 8.44zM24 11h-1.586l1.586-1.586v1.586zM27 12.364l-1-0.833v-4.064l1-0.833v5.73zM13 8h9.586l-3 3h-6.586c-0.183 0-0.361 0.019-0.535 0.051l-2.324-2.324c0.85-0.464 1.825-0.727 2.859-0.727zM10 14v1h-3v-1c0-1.549 0.595-2.958 1.562-4.024l2.12 2.12c-0.426 0.518-0.682 1.182-0.682 1.903zM14.414 13h3.172l-1.586 1.586-1.586-1.586z"></path>'),
	   	 			'earth' => array('keywords' => 'earth ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 0c-8.837 0-16 7.163-16 16s7.163 16 16 16 16-7.163 16-16-7.163-16-16-16zM16 30c-1.967 0-3.84-0.407-5.538-1.139l7.286-8.197c0.163-0.183 0.253-0.419 0.253-0.664v-3c0-0.552-0.448-1-1-1-3.531 0-7.256-3.671-7.293-3.707-0.188-0.188-0.442-0.293-0.707-0.293h-4c-0.552 0-1 0.448-1 1v6c0 0.379 0.214 0.725 0.553 0.894l3.447 1.724v5.871c-3.627-2.53-6-6.732-6-11.489 0-2.147 0.484-4.181 1.348-6h3.652c0.265 0 0.52-0.105 0.707-0.293l4-4c0.188-0.188 0.293-0.442 0.293-0.707v-2.419c1.268-0.377 2.61-0.581 4-0.581 2.2 0 4.281 0.508 6.134 1.412-0.13 0.109-0.256 0.224-0.376 0.345-1.133 1.133-1.757 2.64-1.757 4.243s0.624 3.109 1.757 4.243c1.139 1.139 2.663 1.758 4.239 1.758 0.099 0 0.198-0.002 0.297-0.007 0.432 1.619 1.211 5.833-0.263 11.635-0.014 0.055-0.022 0.109-0.026 0.163-2.541 2.596-6.084 4.208-10.004 4.208z"></path>'),
	   	 			'border_all' => array('keywords' => 'border_all ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25.313 15.354v-8h-8v8h8zM25.313 25.979v-8h-8v8h8zM14.688 15.354v-8h-8v8h8zM14.688 25.979v-8h-8v8h8zM4 4.667h24v24h-24v-24z"></path>'),
	   	 			'bell-slash' => array('keywords' => 'bell-slash ','viewbox' => '0 0 37 32', 'path' =>'<path d="M27.821 15.5q1.089 6.357 5.321 9.929 0 0.929-0.679 1.607t-1.607 0.679h-8q0 1.893-1.339 3.232t-3.232 1.339-3.223-1.33-1.348-3.223zM18.286 30.857q0.286 0 0.286-0.286t-0.286-0.286q-1.054 0-1.813-0.759t-0.759-1.813q0-0.286-0.286-0.286t-0.286 0.286q0 1.304 0.92 2.223t2.223 0.92zM36.179 2.286q0.143 0.179 0.134 0.42t-0.188 0.402l-33.429 28.964q-0.179 0.143-0.42 0.125t-0.384-0.196l-1.5-1.714q-0.143-0.179-0.134-0.42t0.188-0.384l3.321-2.875q-0.339-0.571-0.339-1.179 0.893-0.75 1.625-1.571t1.518-2.134 1.33-2.83 0.893-3.679 0.348-4.643q0-2.714 2.089-5.045t5.482-2.83q-0.143-0.339-0.143-0.696 0-0.714 0.5-1.214t1.214-0.5 1.214 0.5 0.5 1.214q0 0.357-0.143 0.696 2.214 0.321 3.911 1.473t2.643 2.813l7.464-6.482q0.179-0.143 0.42-0.125t0.384 0.196z"></path>'),
	   	 			'credit_card' => array('keywords' => 'credit_card ','viewbox' => '0 0 32 32', 'path' =>'<path d="M26.688 11.354v-2.688h-21.375v2.688h21.375zM26.688 24.667v-8h-21.375v8h21.375zM26.688 5.979q1.125 0 1.875 0.781t0.75 1.906v16q0 1.125-0.75 1.906t-1.875 0.781h-21.375q-1.125 0-1.875-0.781t-0.75-1.906v-16q0-1.125 0.75-1.906t1.875-0.781h21.375z"></path>'),
	   	 			'map_marker_1' => array('keywords' => 'map_marker_1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 6c-2.206 0-4 1.795-4 4s1.794 4 4 4 4-1.794 4-4-1.794-4-4-4zM16 12c-1.103 0-2-0.897-2-2s0.897-2 2-2c1.102 0 2 0.897 2 2s-0.898 2-2 2zM16 0c-5.514 0-10 4.486-10 10 0 7.714 8.793 20.993 9.168 21.555 0.185 0.279 0.498 0.445 0.832 0.445s0.646-0.167 0.832-0.445c0.374-0.561 9.168-13.841 9.168-21.555 0-5.514-4.486-10-10-10zM16 29.144c-2.2-3.52-8-13.35-8-19.144 0-4.411 3.589-8 8-8s8 3.589 8 8c0 5.791-5.8 15.623-8 19.144z"></path>'),
	   	 			'gamepad' => array('keywords' => 'gamepad ','viewbox' => '0 0 34 32', 'path' =>'<path d="M14.857 19.714v-2.286q0-0.25-0.161-0.411t-0.411-0.161h-3.429v-3.429q0-0.25-0.161-0.411t-0.411-0.161h-2.286q-0.25 0-0.411 0.161t-0.161 0.411v3.429h-3.429q-0.25 0-0.411 0.161t-0.161 0.411v2.286q0 0.25 0.161 0.411t0.411 0.161h3.429v3.429q0 0.25 0.161 0.411t0.411 0.161h2.286q0.25 0 0.411-0.161t0.161-0.411v-3.429h3.429q0.25 0 0.411-0.161t0.161-0.411zM25.143 20.857q0-0.946-0.67-1.616t-1.616-0.67-1.616 0.67-0.67 1.616 0.67 1.616 1.616 0.67 1.616-0.67 0.67-1.616zM29.714 16.286q0-0.946-0.67-1.616t-1.616-0.67-1.616 0.67-0.67 1.616 0.67 1.616 1.616 0.67 1.616-0.67 0.67-1.616zM34.286 18.571q0 3.786-2.679 6.464t-6.464 2.679q-3.429 0-6.036-2.286h-3.929q-2.607 2.286-6.036 2.286-3.786 0-6.464-2.679t-2.679-6.464 2.679-6.464 6.464-2.679h16q3.786 0 6.464 2.679t2.679 6.464z"></path>'),
	   	 			'wound_closure_tape' => array('keywords' => 'wound_closure_tape ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29.571 2.425c-1.564-1.563-3.643-2.425-5.854-2.425s-4.29 0.861-5.854 2.425l-15.443 15.441c-3.228 3.229-3.228 8.481 0 11.709 1.564 1.564 3.643 2.425 5.854 2.425s4.29-0.861 5.854-2.425l15.442-15.442c3.227-3.227 3.227-8.48-0-11.709zM14.496 8.62l8.88 8.88-5.881 5.881-8.88-8.881 5.88-5.88zM12.715 28.161c-1.186 1.186-2.763 1.839-4.44 1.839s-3.254-0.654-4.44-1.839c-2.448-2.448-2.448-6.432 0-8.881l3.366-3.366 8.88 8.881-3.367 3.366zM28.157 12.719l-3.366 3.367-8.88-8.88 3.367-3.366c1.186-1.186 2.763-1.839 4.44-1.839s3.255 0.653 4.441 1.839c2.447 2.448 2.447 6.432-0 8.88zM21.495 8.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM24.495 11.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM25.495 4.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM28.495 7.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM21.996 5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM24.995 8c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM27.995 11c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM5.496 24.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM8.496 27.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM9.496 20.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM12.496 23.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM5.996 21c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM8.995 24c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM11.995 27c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1z"></path>'),
	   	 			'percent' => array('keywords' => 'percent ','viewbox' => '0 0 27 32', 'path' =>'<path d="M22.857 23.143q0-0.929-0.679-1.607t-1.607-0.679-1.607 0.679-0.679 1.607 0.679 1.607 1.607 0.679 1.607-0.679 0.679-1.607zM9.143 9.429q0-0.929-0.679-1.607t-1.607-0.679-1.607 0.679-0.679 1.607 0.679 1.607 1.607 0.679 1.607-0.679 0.679-1.607zM27.429 23.143q0 2.839-2.009 4.848t-4.848 2.009-4.848-2.009-2.009-4.848 2.009-4.848 4.848-2.009 4.848 2.009 2.009 4.848zM25.714 3.714q0 0.357-0.232 0.679l-18.857 25.143q-0.339 0.464-0.911 0.464h-2.857q-0.464 0-0.804-0.339t-0.339-0.804q0-0.357 0.232-0.679l18.857-25.143q0.339-0.464 0.911-0.464h2.857q0.464 0 0.804 0.339t0.339 0.804zM13.714 9.429q0 2.839-2.009 4.848t-4.848 2.009-4.848-2.009-2.009-4.848 2.009-4.848 4.848-2.009 4.848 2.009 2.009 4.848z"></path>'),
	   	 			'border_color' => array('keywords' => 'border_color ','viewbox' => '0 0 32 32', 'path' =>'<path d="M0 27.354h32v5.313h-32v-5.313zM27.625 6.042l-2.625 2.625-5-5 2.625-2.625q0.375-0.375 0.938-0.375t0.938 0.375l3.125 3.125q0.375 0.375 0.375 0.938t-0.375 0.938zM23.688 9.979l-13.375 13.375h-5v-5l13.375-13.375z"></path>'),
	   	 			'volume1_up' => array('keywords' => 'volume1_up ','viewbox' => '0 0 32 32', 'path' =>'<path d="M19.56 0.354l-0.21-0.107c-0.864-0.441-2.053-0.278-2.77 0.38l-9.108 8.373h-4.471c-1.655 0-3 1.345-3 3v8c0 1.654 1.345 3 3 3h4.471l9.108 8.372c0.445 0.41 1.075 0.628 1.695 0.628 0.376 0 0.749-0.080 1.075-0.247l0.211-0.108c0.821-0.419 1.44-1.438 1.44-2.369v-26.554c0-0.931-0.619-1.95-1.44-2.369zM2 20v-8c0-0.552 0.449-1 1-1h4v10h-4c-0.551 0-1-0.448-1-1zM19 29.277c0 0.183-0.192 0.508-0.349 0.587l-0.212 0.108c-0.121 0.061-0.405 0.021-0.506-0.072l-8.934-8.211v-11.377l8.934-8.211c0.102-0.093 0.386-0.133 0.506-0.072l0.211 0.107c0.157 0.080 0.349 0.404 0.349 0.587v26.554zM31 15h-2v-2c0-0.552-0.448-1-1-1s-1 0.448-1 1v2h-2c-0.552 0-1 0.448-1 1s0.448 1 1 1h2v2c0 0.552 0.448 1 1 1s1-0.448 1-1v-2h2c0.552 0 1-0.448 1-1s-0.448-1-1-1z"></path>'),
	   	 			'youtube' => array('keywords' => 'youtube ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31.681 9.6c0 0-0.313-2.206-1.275-3.175-1.219-1.275-2.581-1.281-3.206-1.356-4.475-0.325-11.194-0.325-11.194-0.325h-0.012c0 0-6.719 0-11.194 0.325-0.625 0.075-1.987 0.081-3.206 1.356-0.963 0.969-1.269 3.175-1.269 3.175s-0.319 2.588-0.319 5.181v2.425c0 2.587 0.319 5.181 0.319 5.181s0.313 2.206 1.269 3.175c1.219 1.275 2.819 1.231 3.531 1.369 2.563 0.244 10.881 0.319 10.881 0.319s6.725-0.012 11.2-0.331c0.625-0.075 1.988-0.081 3.206-1.356 0.962-0.969 1.275-3.175 1.275-3.175s0.319-2.587 0.319-5.181v-2.425c-0.006-2.588-0.325-5.181-0.325-5.181zM12.694 20.15v-8.994l8.644 4.513-8.644 4.481z"></path>'),
	   	 			'video_tape1' => array('keywords' => 'video_tape1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M18 9.5c-0.552 0-1 0.448-1 1v2c0 0.552 0.448 1 1 1s1-0.448 1-1v-2c0-0.552-0.448-1-1-1zM21 9.5c-0.552 0-1 0.448-1 1v2c0 0.552 0.448 1 1 1s1-0.448 1-1v-2c0-0.552-0.448-1-1-1zM18 18.5c-0.552 0-1 0.448-1 1v2c0 0.552 0.448 1 1 1s1-0.448 1-1v-2c0-0.552-0.448-1-1-1zM21 18.5c-0.552 0-1 0.448-1 1v2c0 0.552 0.448 1 1 1s1-0.448 1-1v-2c0-0.552-0.448-1-1-1zM24 9.5c-0.552 0-1 0.448-1 1v2c0 0.552 0.448 1 1 1s1-0.448 1-1v-2c0-0.552-0.448-1-1-1zM24 18.5c-0.552 0-1 0.448-1 1v2c0 0.552 0.448 1 1 1s1-0.448 1-1v-2c0-0.552-0.448-1-1-1zM27 9.5c-0.552 0-1 0.448-1 1v2c0 0.552 0.448 1 1 1s1-0.448 1-1v-2c0-0.552-0.448-1-1-1zM31 6.5h-15v-2h2c0.552 0 1-0.448 1-1s-0.448-1-1-1h-17c-0.552 0-1 0.448-1 1s0.448 1 1 1h2v23h-2c-0.552 0-1 0.448-1 1s0.448 1 1 1h17c0.552 0 1-0.448 1-1s-0.448-1-1-1h-2v-2h11c0.552 0 1-0.448 1-1 0-1.654 1.346-3 3-3 0.552 0 1-0.448 1-1v-13c0-0.552-0.448-1-1-1zM5 27.5v-23h9v23h-9zM26.101 23.5h-10.101v-15h14v11.101c-1.956 0.399-3.5 1.944-3.899 3.899z"></path>'),
	   	 			'upload3' => array('keywords' => 'upload3 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M15 22h-15v8h30v-8h-15zM28 26h-4v-2h4v2zM7 10l8-8 8 8h-5v10h-6v-10z"></path>'),
	   	 			'weather_23' => array('keywords' => 'weather_23 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25 7c-0.477 0-0.954 0.050-1.424 0.149-1.648-2.578-4.482-4.149-7.576-4.149-3.919 0-7.348 2.539-8.545 6.181-0.474-0.12-0.96-0.181-1.455-0.181-3.308 0-6 2.691-6 6s2.692 6 6 6h1c0.552 0 1-0.448 1-1s-0.448-1-1-1h-1c-2.205 0-4-1.794-4-4s1.795-4 4-4c0.594 0 1.171 0.132 1.716 0.392 0.279 0.133 0.605 0.13 0.882-0.011s0.473-0.4 0.531-0.704c0.629-3.29 3.518-5.677 6.87-5.677 2.617 0 4.996 1.447 6.209 3.775 0.227 0.437 0.738 0.642 1.204 0.486 0.518-0.174 1.053-0.261 1.587-0.261 2.757 0 5 2.243 5 5s-2.243 5-5 5c-0.552 0-1 0.448-1 1s0.448 1 1 1c3.86 0 7-3.14 7-7s-3.14-7-7-7zM21.5 19.768h-1.134l0.567-0.982c0.138-0.239 0.056-0.545-0.183-0.683s-0.545-0.056-0.683 0.183l-0.567 0.982-0.567-0.982c-0.138-0.239-0.445-0.322-0.683-0.183-0.239 0.138-0.322 0.444-0.183 0.683l0.567 0.982h-1.134c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h1.134l-0.567 0.982c-0.138 0.239-0.056 0.545 0.183 0.683 0.078 0.046 0.165 0.067 0.25 0.067 0.173 0 0.341-0.090 0.433-0.25l0.567-0.982 0.567 0.982c0.093 0.16 0.261 0.25 0.433 0.25 0.084 0 0.171-0.021 0.25-0.067 0.239-0.138 0.322-0.444 0.183-0.683l-0.567-0.982h1.134c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5zM21.5 25.268h-1.134l0.567-0.982c0.138-0.239 0.056-0.545-0.183-0.683s-0.545-0.056-0.683 0.183l-0.567 0.982-0.567-0.982c-0.138-0.239-0.445-0.322-0.683-0.183-0.239 0.138-0.322 0.444-0.183 0.683l0.567 0.982h-1.134c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h1.134l-0.567 0.982c-0.138 0.239-0.056 0.545 0.183 0.683 0.078 0.046 0.165 0.067 0.25 0.067 0.173 0 0.341-0.090 0.433-0.25l0.567-0.982 0.567 0.982c0.093 0.16 0.261 0.25 0.433 0.25 0.084 0 0.171-0.021 0.25-0.067 0.239-0.138 0.322-0.444 0.183-0.683l-0.567-0.982h1.134c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5zM14 18c-0.552 0-1 0.448-1 1v2c0 0.552 0.448 1 1 1s1-0.448 1-1v-2c0-0.552-0.448-1-1-1zM11 19c-0.552 0-1 0.448-1 1v2c0 0.552 0.448 1 1 1s1-0.448 1-1v-2c0-0.552-0.448-1-1-1zM14 24c-0.552 0-1 0.448-1 1v2c0 0.552 0.448 1 1 1s1-0.448 1-1v-2c0-0.552-0.448-1-1-1zM11 25c-0.552 0-1 0.448-1 1v2c0 0.552 0.448 1 1 1s1-0.448 1-1v-2c0-0.552-0.448-1-1-1z"></path>'),
	   	 			'target2' => array('keywords' => 'target2 ','viewbox' => '0 0 42 32', 'path' =>'<path d="M41.779 13.090c-0.225-0.189-0.562-0.159-0.752 0.068l-2.367 2.84c-0.051-0.016-0.103-0.032-0.16 0.002h-1.391l1.77-2.158c0.189-0.227 0.158-0.563-0.068-0.752s-0.563-0.159-0.752 0.068l-2.34 2.842h-1.579l1.77-2.158c0.189-0.227 0.158-0.563-0.068-0.752s-0.562-0.159-0.752 0.068l-2.34 2.842h-0.752c-0.019-8.841-7.187-16-15.998-16-8.822 0-16 7.178-16 16s7.178 16 16 16c8.473 0 15.41-6.626 15.948-15h0.803l2.34 2.842c0.105 0.127 0.258 0.192 0.41 0.192 0.121 0 0.242-0.040 0.342-0.124 0.227-0.188 0.258-0.525 0.068-0.752l-1.771-2.158h1.579l2.34 2.842c0.105 0.127 0.258 0.192 0.41 0.192 0.121 0 0.242-0.040 0.342-0.124 0.227-0.188 0.258-0.525 0.068-0.752l-1.77-2.158h1.391c0.057 0.034 0.109 0.018 0.161 0.002l2.367 2.84c0.105 0.127 0.258 0.192 0.41 0.192 0.121 0 0.242-0.040 0.342-0.124 0.227-0.188 0.258-0.525 0.068-0.752l-2.215-2.658 2.215-2.658c0.189-0.227 0.158-0.564-0.069-0.752zM16 31c-8.271 0-15-6.729-15-15s6.729-15 15-15c8.26 0 14.979 6.71 14.998 15h-3c-0.018-6.635-5.392-12-11.998-12-6.617 0-12 5.383-12 12s5.383 12 12 12c6.268 0 11.421-4.832 11.948-11h3c-0.535 7.823-7.026 14-14.948 14zM23.998 16c-0.018-4.429-3.598-8-7.998-8-4.411 0-8 3.589-8 8s3.589 8 8 8c4.060 0 7.416-3.043 7.925-7h3.022c-0.523 5.616-5.231 10-10.947 10-6.065 0-11-4.935-11-11s4.935-11 11-11c6.054 0 10.98 4.916 10.998 11h-3zM19.997 16c-0.019-2.224-1.802-4-3.997-4-2.206 0-4 1.794-4 4s1.794 4 4 4c1.846 0 3.388-1.263 3.847-3h3.068c-0.503 3.404-3.408 6-6.915 6-3.859 0-7-3.141-7-7s3.141-7 7-7c3.848 0 6.98 3.122 6.998 7h-3.001zM16.5 17h2.305c-0.423 1.178-1.516 2-2.805 2-1.654 0-3-1.346-3-3s1.346-3 3-3c1.643 0 2.978 1.328 2.997 3h-2.497c-0.295-0.034-0.534 0.205-0.534 0.5s0.239 0.534 0.534 0.5z"></path>'),
	   	 			'user_dual' => array('keywords' => 'user_dual ','viewbox' => '0 0 30 32', 'path' =>'<path d="M11 11c3.033 0 5.5-2.467 5.5-5.5s-2.467-5.5-5.5-5.5-5.5 2.467-5.5 5.5c0 3.033 2.467 5.5 5.5 5.5zM11 2c1.93 0 3.5 1.571 3.5 3.5s-1.57 3.5-3.5 3.5-3.5-1.57-3.5-3.5c0-1.929 1.57-3.5 3.5-3.5zM18.939 9c-0.242 0-0.488-0.026-0.732-0.078-0.54-0.117-1.072 0.23-1.186 0.77s0.23 1.072 0.77 1.186c0.38 0.081 0.766 0.121 1.148 0.121 3.032 0 5.5-2.467 5.5-5.5s-2.468-5.5-5.5-5.5c-0.381 0-0.767 0.041-1.148 0.122-0.54 0.114-0.885 0.645-0.77 1.186s0.647 0.885 1.186 0.771c0.243-0.051 0.489-0.078 0.732-0.078 1.93 0 3.5 1.57 3.5 3.5s-1.57 3.5-3.5 3.5zM22 23c0-6.066-4.934-11-11-11s-11 4.934-11 11c0 0.552 0.448 1 1 1h4v7c0 0.552 0.448 1 1 1h10c0.552 0 1-0.448 1-1v-7h4c0.552 0 1-0.448 1-1zM16 22c-0.552 0-1 0.448-1 1v7h-8v-7c0-0.552-0.448-1-1-1h-3.945c0.499-4.493 4.321-8 8.945-8s8.446 3.507 8.945 8h-3.945zM20.555 12.13c-0.549-0.082-1.055 0.298-1.135 0.844-0.080 0.547 0.297 1.055 0.844 1.135 4.114 0.605 7.184 3.849 7.622 7.891h-3.947c-0.552 0-1 0.448-1 1v7h-3c-0.552 0-1 0.448-1 1s0.448 1 1 1h4c0.552 0 1-0.448 1-1v-7h4c0.552 0 1-0.448 1-1 0-5.499-3.947-10.071-9.384-10.87z"></path>'),
	   	 			'phone_signal_tower' => array('keywords' => 'phone_signal_tower ','viewbox' => '0 0 32 32', 'path' =>'<path d="M11 3c2.206 0 4 1.795 4 4 0 0.552 0.448 1 1 1s1-0.448 1-1c0-2.205 1.794-4 4-4 0.552 0 1-0.448 1-1s-0.448-1-1-1c-1.537 0-2.938 0.586-4 1.54v-1.54c0-0.552-0.448-1-1-1s-1 0.448-1 1v1.54c-1.063-0.954-2.463-1.54-4-1.54-0.552 0-1 0.448-1 1s0.448 1 1 1zM24.983 30.816l-4.5-24c-0.069-0.366-0.335-0.663-0.691-0.772s-0.743-0.011-1.005 0.255l-2.787 2.831-2.787-2.832c-0.261-0.266-0.649-0.364-1.005-0.255s-0.622 0.406-0.691 0.772l-4.5 24c-0.072 0.385 0.087 0.776 0.407 1.002 0.173 0.121 0.375 0.183 0.577 0.183 0.174 0 0.348-0.046 0.505-0.137l7.495-4.381 7.495 4.381c0.157 0.091 0.331 0.137 0.505 0.137 0.202 0 0.404-0.061 0.576-0.183 0.32-0.226 0.479-0.617 0.407-1.002zM20.242 16.384l0.923 4.924-3.558-2.829 2.635-2.096zM16 17.201l-2.883-2.291 2.883-2.928 2.883 2.928-2.883 2.291zM11.758 16.384l2.636 2.095-3.559 2.829 0.923-4.924zM16 19.756l3.922 3.118-3.922 2.292-3.922-2.292 3.922-3.118zM18.87 9.066l0.69 3.681-2.157-2.191 1.466-1.49zM13.13 9.066l1.467 1.49-2.156 2.191 0.69-3.681zM9.386 29.031l0.915-4.88 3.717 2.172-4.632 2.707zM17.982 26.324l3.717-2.172 0.915 4.88-4.632-2.707z"></path>'),
	   	 			'letter_pen_write' => array('keywords' => 'letter_pen_write ','viewbox' => '0 0 32 32', 'path' =>'<path d="M20.5 21.5c0-0.552-0.448-1-1-1h-16.5c-0.551 0-1-0.448-1-1v-13.644l11.095 8.806c0.4 0.318 0.902 0.477 1.405 0.477s1.005-0.159 1.405-0.477l11.095-8.806v8.645c0 0.552 0.448 1 1 1s1-0.448 1-1v-9c0-1.655-1.346-3-3-3h-23c-1.655 0-3 1.345-3 3v14c0 1.654 1.345 3 3 3h16.5c0.552 0 1-0.448 1-1zM14.662 13.095c-0.066 0.053-0.257 0.053-0.323 0l-10.83-8.595h21.983l-10.83 8.595zM31.707 19.793l-3-3c-0.39-0.39-1.024-0.39-1.414 0l-8 8c-0.188 0.188-0.293 0.442-0.293 0.707v3c0 0.552 0.448 1 1 1h3c0.265 0 0.52-0.105 0.707-0.293l8-8c0.391-0.39 0.391-1.024 0-1.414zM29.585 20.5l-0.585 0.586-1.586-1.586 0.586-0.585 1.585 1.585zM22.585 27.5h-1.585v-1.585l5-5 1.586 1.586-5 5z"></path>'),
	   	 			'newsletter' => array('keywords' => 'newsletter ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 4.5h-20c-1.655 0-3 1.345-3 3v2h-3c-1.655 0-3 1.345-3 3v11c0 2.206 1.794 4 4 4h24c2.206 0 4-1.794 4-4v-16c0-1.655-1.346-3-3-3zM2 23.5v-11c0-0.552 0.449-1 1-1h3v12c0 1.102-0.897 2-2 2s-2-0.898-2-2zM28 25.5h-20.541c0.342-0.589 0.541-1.271 0.541-2v-16c0-0.551 0.448-1 1-1h20c0.552 0 1 0.449 1 1v16c0 1.102-0.897 2-2 2zM11 16.5h6c0.552 0 1-0.448 1-1v-6c0-0.552-0.448-1-1-1h-6c-0.552 0-1 0.448-1 1v6c0 0.552 0.448 1 1 1zM12 10.5h4v4h-4v-4zM27 8.5h-7c-0.552 0-1 0.448-1 1s0.448 1 1 1h7c0.552 0 1-0.448 1-1s-0.448-1-1-1zM27 11.5h-7c-0.552 0-1 0.448-1 1s0.448 1 1 1h7c0.552 0 1-0.448 1-1s-0.448-1-1-1zM27 14.5h-7c-0.552 0-1 0.448-1 1s0.448 1 1 1h7c0.552 0 1-0.448 1-1s-0.448-1-1-1zM27 18.5h-16c-0.552 0-1 0.448-1 1s0.448 1 1 1h16c0.552 0 1-0.448 1-1s-0.448-1-1-1zM27 21.5h-16c-0.552 0-1 0.448-1 1s0.448 1 1 1h16c0.552 0 1-0.448 1-1s-0.448-1-1-1z"></path>'),
	   	 			'skyatlas' => array('keywords' => 'skyatlas ','viewbox' => '0 0 37 32', 'path' =>'<path d="M30.179 14.339q2.643 0 4.518 1.759t1.875 4.366q0 2.804-1.946 4.67t-4.768 1.866q-1.518 0-2.893-0.491t-2.464-1.313-2.107-1.893-1.946-2.259-1.848-2.366-1.938-2.25-2.089-1.893-2.429-1.313-2.839-0.491q-2.75 0-4.491 1.634t-1.741 4.366q0 2.804 1.857 4.464t4.696 1.661q1.786 0 3.714-0.67t3.446-1.759q0.089-0.071 0.375-0.33t0.536-0.429 0.393-0.17q0.25 0 0.438 0.188t0.188 0.438q0 0.429-1.071 1.375-1.804 1.571-4.188 2.536t-4.652 0.964q-2.375 0-4.384-1.036t-3.214-2.946-1.205-4.304q0-3.661 2.527-6.089t6.205-2.429q2.143 0 4.045 0.777t3.313 2.018 2.705 2.732 2.482 2.991 2.384 2.741 2.67 2.018 3.080 0.777q1.821 0 3.009-1.098t1.188-2.902q0-1.696-1.152-2.839t-2.848-1.143q-0.536 0-1.455 0.33t-1.223 0.33q-0.357 0-0.634-0.268t-0.277-0.625q0-0.321 0.152-1.018t0.152-1.054q0-2.839-1.92-4.696t-4.759-1.857q-1.036 0-1.991 0.33t-1.5 0.723-0.991 0.723-0.589 0.33q-0.268 0-0.455-0.188t-0.188-0.455q0-0.339 0.446-0.821 1.054-1.196 2.625-1.848t3.25-0.652q3.411 0 5.679 2.241t2.268 5.634q0 0.661-0.071 1.179 1.018-0.268 2.054-0.268z"></path>'),
	   	 			'old_school_camera' => array('keywords' => 'old_school_camera ','viewbox' => '0 0 32 32', 'path' =>'<path d="M28 8c0 1.105-0.895 2-2 2s-2-0.895-2-2c0-1.105 0.895-2 2-2s2 0.895 2 2zM29 2h-26c-1.655 0-3 1.345-3 3v22c0 1.654 1.345 3 3 3h26c1.654 0 3-1.346 3-3v-22c0-1.655-1.346-3-3-3zM3 4h26c0.552 0 1 0.449 1 1v15h-28v-15c0-0.551 0.448-1 1-1zM29 28h-26c-0.552 0-1-0.448-1-1v-5h28v5c0 0.552-0.448 1-1 1zM16 18c3.308 0 6-2.691 6-6s-2.692-6-6-6-6 2.691-6 6 2.691 6 6 6zM16 8c2.206 0 4 1.794 4 4s-1.794 4-4 4-4-1.794-4-4 1.794-4 4-4zM26 24h-20c-0.552 0-1 0.448-1 1s0.448 1 1 1h20c0.552 0 1-0.448 1-1s-0.448-1-1-1z"></path>'),
	   	 			'filter_9' => array('keywords' => 'filter_9 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M20 12.667v-2.688h-2.688v2.688h2.688zM20 7.354q1.125 0 1.906 0.75t0.781 1.875v8q0 1.125-0.813 1.906t-1.875 0.781h-5.313v-2.688h5.313v-2.625h-2.688q-1.063 0-1.844-0.781t-0.781-1.906v-2.688q0-1.125 0.781-1.875t1.844-0.75h2.688zM28 23.354v-18.688h-18.688v18.688h18.688zM28 1.979q1.063 0 1.875 0.813t0.813 1.875v18.688q0 1.063-0.813 1.844t-1.875 0.781h-18.688q-1.063 0-1.844-0.781t-0.781-1.844v-18.688q0-1.063 0.781-1.875t1.844-0.813h18.688zM4 7.354v21.313h21.313v2.688h-21.313q-1.063 0-1.875-0.813t-0.813-1.875v-21.313h2.688z"></path>'),
	   	 			'cc-mastercard' => array('keywords' => 'cc-mastercard ','viewbox' => '0 0 41 32', 'path' =>'<path d="M11.982 16.946h-0.232q-0.839 0-0.839 0.571 0 0.393 0.357 0.393 0.304 0 0.5-0.268t0.214-0.696zM19.036 16.304h1.107v-0.054q0.018-0.071 0.009-0.116t-0.018-0.125-0.036-0.143-0.080-0.116-0.134-0.089-0.205-0.036q-0.5 0-0.643 0.679zM28.679 16.946h-0.214q-0.857 0-0.857 0.571 0 0.393 0.357 0.393 0.304 0 0.5-0.268t0.214-0.696zM34.375 16.482q0-0.732-0.536-0.732-0.339 0-0.554 0.357t-0.214 0.911q0 0.75 0.5 0.75 0.357 0 0.58-0.357t0.223-0.929zM8.571 13.964h1.554l-0.786 4.679h-1l0.571-3.589-1.268 3.589h-0.696l-0.071-3.571-0.607 3.571h-0.946l0.786-4.679h1.446l0.036 2.911zM13.089 15.875q0 0.107-0.071 0.75-0.286 1.804-0.304 2.018h-0.839l0.018-0.393q-0.357 0.464-1.036 0.464-0.411 0-0.67-0.286t-0.259-0.75q0-0.696 0.464-1.080t1.304-0.384q0.25 0 0.411 0.018 0-0.054 0.009-0.098t0.018-0.080 0.009-0.054q0-0.357-0.643-0.357-0.518 0-1.054 0.179 0-0.071 0.125-0.857 0.679-0.196 1.196-0.196 1.321 0 1.321 1.107zM15.875 14.839l-0.143 0.875q-0.393-0.054-0.732-0.054-0.482 0-0.482 0.304 0 0.143 0.080 0.214t0.384 0.196q0.714 0.339 0.714 1.071 0 1.286-1.554 1.268-0.607 0-1.036-0.107 0-0.036 0.125-0.875 0.518 0.143 0.911 0.143 0.571 0 0.571-0.339 0-0.125-0.080-0.205t-0.384-0.223q-0.768-0.357-0.768-1.054 0-1.286 1.5-1.286 0.536 0 0.893 0.071zM17.446 14.839h0.5l-0.125 0.929h-0.518q-0.036 0.304-0.116 0.723t-0.125 0.688-0.045 0.321q0 0.286 0.339 0.286 0.143 0 0.286-0.036l-0.143 0.839q-0.375 0.125-0.714 0.125-0.768 0-0.804-0.839 0-0.214 0.143-1 0.054-0.357 0.446-2.607h0.982zM21.071 16.143q0 0.411-0.125 0.929h-1.982q-0.054 0.393 0.179 0.589t0.679 0.196q0.536 0 1.036-0.25l-0.161 0.964q-0.536 0.143-1.018 0.143-1.696 0-1.696-1.696 0-0.982 0.491-1.616t1.241-0.634q0.625 0 0.991 0.375t0.366 1zM23.554 14.821q-0.232 0.411-0.393 1.107-0.393-0.036-0.554 0.429t-0.446 2.286h-1l0.054-0.25q0.393-2.321 0.518-3.554h0.911l-0.054 0.589q0.25-0.375 0.455-0.527t0.509-0.080zM26.893 14.089l-0.161 1.018q-0.5-0.25-0.893-0.25-0.554 0-0.911 0.491t-0.357 1.259q0 0.536 0.241 0.839t0.688 0.304q0.375 0 0.857-0.232l-0.179 1.054q-0.5 0.143-0.893 0.143-0.804 0-1.277-0.545t-0.473-1.473q0-1.25 0.634-2.045t1.634-0.795q0.464 0 1.089 0.232zM29.786 15.875q0 0.321-0.071 0.75-0.232 1.411-0.304 2.018h-0.821l0.018-0.393q-0.357 0.464-1.054 0.464-0.411 0-0.661-0.286t-0.25-0.75q0-0.696 0.455-1.080t1.295-0.384q0.268 0 0.411 0.018 0.036-0.125 0.036-0.232 0-0.357-0.643-0.357-0.518 0-1.054 0.179 0-0.071 0.143-0.857 0.679-0.196 1.196-0.196 1.304 0 1.304 1.107zM32.304 14.821q-0.25 0.429-0.375 1.107-0.411-0.036-0.563 0.411t-0.455 2.304h-1l0.054-0.25q0.339-1.857 0.518-3.554h0.929q0 0.196-0.071 0.589 0.268-0.375 0.473-0.527t0.491-0.080zM34.821 13.964h1l-0.768 4.679h-0.946l0.054-0.339q-0.411 0.411-0.929 0.411-0.554 0-0.884-0.429t-0.33-1.143q0-0.946 0.491-1.643t1.152-0.696q0.554 0 0.946 0.518zM36.804 16.286q0-2.643-1.295-4.875t-3.536-3.536-4.884-1.304q-3.232 0-5.857 1.964 2.268 2.071 3.054 5.071h-0.893q-0.786-2.679-2.821-4.518-2.036 1.839-2.821 4.518h-0.893q0.786-3 3.054-5.071-2.625-1.964-5.857-1.964-2.643 0-4.884 1.304t-3.536 3.536-1.295 4.875 1.295 4.875 3.536 3.536 4.884 1.304q3.232 0 5.857-1.964-2.143-1.982-2.946-4.714h0.893q0.821 2.464 2.714 4.161 1.893-1.696 2.714-4.161h0.893q-0.804 2.732-2.946 4.714 2.625 1.964 5.857 1.964 2.643 0 4.884-1.304t3.536-3.536 1.295-4.875zM41.143 4.857v22.857q0 0.929-0.679 1.607t-1.607 0.679h-36.571q-0.929 0-1.607-0.679t-0.679-1.607v-22.857q0-0.929 0.679-1.607t1.607-0.679h36.571q0.929 0 1.607 0.679t0.679 1.607z"></path>'),
	   	 			'dashboard' => array('keywords' => 'dashboard ','viewbox' => '0 0 32 32', 'path' =>'<path d="M6.857 20.857q0-0.946-0.67-1.616t-1.616-0.67-1.616 0.67-0.67 1.616 0.67 1.616 1.616 0.67 1.616-0.67 0.67-1.616zM10.286 12.857q0-0.946-0.67-1.616t-1.616-0.67-1.616 0.67-0.67 1.616 0.67 1.616 1.616 0.67 1.616-0.67 0.67-1.616zM17.929 21.446l1.804-6.821q0.107-0.464-0.134-0.866t-0.688-0.527-0.857 0.116-0.536 0.705l-1.804 6.821q-1.071 0.089-1.911 0.777t-1.125 1.759q-0.357 1.375 0.357 2.607t2.089 1.589 2.607-0.357 1.589-2.089q0.286-1.071-0.107-2.089t-1.286-1.625zM29.714 20.857q0-0.946-0.67-1.616t-1.616-0.67-1.616 0.67-0.67 1.616 0.67 1.616 1.616 0.67 1.616-0.67 0.67-1.616zM18.286 9.429q0-0.946-0.67-1.616t-1.616-0.67-1.616 0.67-0.67 1.616 0.67 1.616 1.616 0.67 1.616-0.67 0.67-1.616zM26.286 12.857q0-0.946-0.67-1.616t-1.616-0.67-1.616 0.67-0.67 1.616 0.67 1.616 1.616 0.67 1.616-0.67 0.67-1.616zM32 20.857q0 4.661-2.518 8.625-0.339 0.518-0.964 0.518h-25.036q-0.625 0-0.964-0.518-2.518-3.946-2.518-8.625 0-3.25 1.268-6.214t3.411-5.107 5.107-3.411 6.214-1.268 6.214 1.268 5.107 3.411 3.411 5.107 1.268 6.214z"></path>'),
	   	 			'no_smoking_sign' => array('keywords' => 'no_smoking_sign ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 0c-8.823 0-16 7.178-16 16s7.177 16 16 16c8.822 0 16-7.178 16-16s-7.178-16-16-16zM16 2c3.5 0 6.702 1.295 9.159 3.426l-3.183 3.183c-1.366-0.594-1.977-1.060-1.977-2.109 0-0.552-0.448-1-1-1s-1 0.448-1 1c0 1.963 1.199 2.962 2.471 3.614l-4.387 4.386h-10.085c-0.553 0-1 0.448-1 1v4c0 0.552 0.447 1 1 1h4.085l-4.66 4.659c-2.131-2.457-3.425-5.659-3.425-9.159 0-7.72 6.28-14 14-14zM12.085 18.5h-0.085v-2h2.085l-2 2zM16.913 16.5h8.087v2h-10.087l2-2zM7 18.5v-2h3v2h-3zM16 30c-3.501 0-6.703-1.295-9.161-3.427l6.074-6.073h13.087c0.552 0 1-0.448 1-1v-4c0-0.552-0.448-1-1-1h-7.087l3.526-3.526c1.073 0.473 1.561 0.837 1.561 1.526 0 0.552 0.448 1 1 1s1-0.448 1-1c0-1.588-0.957-2.441-2.061-3.027l2.634-2.633c2.131 2.457 3.427 5.66 3.427 9.16 0 7.72-6.28 14-14 14z"></path>'),
	   	 			'files-empty' => array('keywords' => 'files-empty ','viewbox' => '0 0 32 32', 'path' =>'<path d="M28.681 11.159c-0.694-0.947-1.662-2.053-2.724-3.116s-2.169-2.030-3.116-2.724c-1.612-1.182-2.393-1.319-2.841-1.319h-11.5c-1.379 0-2.5 1.122-2.5 2.5v23c0 1.378 1.121 2.5 2.5 2.5h19c1.378 0 2.5-1.122 2.5-2.5v-15.5c0-0.448-0.137-1.23-1.319-2.841zM24.543 9.457c0.959 0.959 1.712 1.825 2.268 2.543h-4.811v-4.811c0.718 0.556 1.584 1.309 2.543 2.268v0zM28 29.5c0 0.271-0.229 0.5-0.5 0.5h-19c-0.271 0-0.5-0.229-0.5-0.5v-23c0-0.271 0.229-0.5 0.5-0.5 0 0 11.499-0 11.5 0v7c0 0.552 0.448 1 1 1h7v15.5zM18.841 1.319c-1.612-1.182-2.393-1.319-2.841-1.319h-11.5c-1.378 0-2.5 1.121-2.5 2.5v23c0 1.207 0.86 2.217 2 2.45v-25.45c0-0.271 0.229-0.5 0.5-0.5h15.215c-0.301-0.248-0.595-0.477-0.873-0.681z"></path>'),
	   	 			'cog_dual' => array('keywords' => 'cog_dual ','viewbox' => '0 0 32 32', 'path' =>'<path d="M10 15.5c-2.205 0-4 1.794-4 4s1.795 4 4 4 4-1.794 4-4-1.794-4-4-4zM10 21.5c-1.103 0-2-0.897-2-2s0.897-2 2-2 2 0.897 2 2-0.898 2-2 2zM19 18.5h-1.070c-0.183-1.457-0.759-2.791-1.619-3.898l0.76-0.76c0.39-0.39 0.39-1.024 0-1.414s-1.024-0.39-1.415 0l-0.759 0.76c-1.106-0.861-2.44-1.436-3.898-1.619v-1.069c0-0.552-0.448-1-1-1s-1 0.448-1 1v1.069c-1.457 0.183-2.792 0.759-3.897 1.618l-0.76-0.759c-0.39-0.39-1.024-0.39-1.415 0s-0.39 1.024 0 1.414l0.76 0.759c-0.86 1.106-1.436 2.44-1.619 3.898h-1.069c-0.552 0-1 0.448-1 1s0.448 1 1 1h1.069c0.183 1.457 0.759 2.791 1.619 3.898l-0.759 0.759c-0.39 0.39-0.39 1.023 0 1.414 0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293l0.759-0.759c1.106 0.861 2.44 1.436 3.898 1.619v1.070c0 0.552 0.448 1 1 1s1-0.448 1-1v-1.070c1.457-0.183 2.791-0.759 3.898-1.619l0.759 0.759c0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293c0.39-0.39 0.39-1.023 0-1.414l-0.759-0.759c0.86-1.106 1.436-2.44 1.619-3.898h1.069c0.552 0 1-0.448 1-1s-0.448-1-1-1zM10 25.5c-3.308 0-5.999-2.691-6-5.998 0-0 0-0.001 0-0.002v-0.002c0-3.308 2.692-5.998 6-5.998s6 2.692 6 6-2.692 6-6 6zM31 8h-1.116c-0.114-0.5-0.313-0.969-0.578-1.391l0.791-0.792c0.39-0.391 0.39-1.024-0-1.414s-1.024-0.391-1.415 0l-0.791 0.791c-0.422-0.266-0.89-0.465-1.391-0.58v-1.115c0-0.552-0.448-1-1-1s-1 0.448-1 1v1.115c-0.501 0.114-0.969 0.313-1.39 0.579l-0.791-0.791c-0.39-0.391-1.024-0.391-1.415 0s-0.39 1.024 0 1.414l0.791 0.791c-0.267 0.423-0.465 0.891-0.579 1.392h-1.116c-0.552 0-1 0.448-1 1s0.448 1 1 1h1.116c0.114 0.501 0.313 0.969 0.579 1.391l-0.791 0.791c-0.39 0.39-0.39 1.024 0 1.414 0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293l0.791-0.79c0.422 0.266 0.89 0.464 1.391 0.579v1.116c0 0.552 0.448 1 1 1s1-0.448 1-1v-1.116c0.501-0.114 0.969-0.313 1.392-0.579l0.791 0.79c0.195 0.196 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293c0.39-0.39 0.39-1.024-0-1.414l-0.791-0.791c0.266-0.422 0.465-0.889 0.579-1.39h1.117c0.552 0 1-0.448 1-1s-0.448-1-1-1zM25.5 11.5c-1.379 0-2.5-1.121-2.5-2.5s1.121-2.5 2.5-2.5c1.378 0 2.5 1.122 2.5 2.5s-1.122 2.5-2.5 2.5z"></path>'),
	   	 			'directions_bike' => array('keywords' => 'directions_bike ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25.313 27.979q1.938 0 3.313-1.344t1.375-3.281-1.375-3.313-3.313-1.375-3.281 1.375-1.344 3.313 1.344 3.281 3.281 1.344zM25.313 16.667q2.813 0 4.75 1.938t1.938 4.75-1.938 4.719-4.75 1.906-4.719-1.906-1.906-4.719 1.906-4.75 4.719-1.938zM14.375 14.667l2.938 3.063v8.25h-2.625v-6.625l-4.313-3.75q-0.75-0.5-0.75-1.875 0-1.125 0.75-1.875l3.75-3.75q0.5-0.75 1.875-0.75 1.188 0 2.125 0.75l2.563 2.563q2 2 4.75 2v2.688q-3.938 0-6.75-2.813l-1.063-1.063zM6.688 27.979q1.938 0 3.281-1.344t1.344-3.281-1.344-3.313-3.281-1.375-3.313 1.375-1.375 3.313 1.375 3.281 3.313 1.344zM6.688 16.667q2.813 0 4.719 1.938t1.906 4.75-1.906 4.719-4.719 1.906-4.75-1.906-1.938-4.719 1.938-4.75 4.75-1.938zM20.688 7.979q-1.063 0-1.875-0.781t-0.813-1.844 0.813-1.875 1.875-0.813 1.844 0.813 0.781 1.875-0.781 1.844-1.844 0.781z"></path>'),
	   	 			'watch_1' => array('keywords' => 'watch_1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M17 15.086v-1.586c0-0.552-0.448-1-1-1s-1 0.448-1 1v2c0 0.277 0.113 0.526 0.293 0.708l1.999 1.999c0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293c0.39-0.39 0.39-1.023 0-1.414l-1.707-1.707zM16 8.5c-3.86 0-7 3.14-7 7s3.14 7 7 7 7-3.14 7-7-3.14-7-7-7zM16 20.5c-2.757 0-5-2.243-5-5s2.243-5 5-5 5 2.243 5 5-2.243 5-5 5zM13.5 5h5c0.552 0 1-0.448 1-1s-0.448-1-1-1c-0.001 0-0.002 0-0.003 0h-4.995c-0.001 0-0.002 0-0.002 0-0.552 0-1 0.448-1 1s0.448 1 1 1zM23 0h-14c-1.65 0-3 1.35-3 3v26c0 1.65 1.35 3 3 3h14c1.65 0 3-1.35 3-3v-26c0-1.65-1.35-3-3-3zM24 29c0 0.55-0.45 1-1 1h-14c-0.55 0-1-0.45-1-1v-26c0-0.55 0.45-1 1-1h14c0.55 0 1 0.45 1 1v26zM17.75 27.25c0 0.966-0.784 1.75-1.75 1.75s-1.75-0.784-1.75-1.75c0-0.966 0.784-1.75 1.75-1.75s1.75 0.784 1.75 1.75z"></path>'),
	   	 			'house2' => array('keywords' => 'house2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31.207 14.793l-14.5-14.5c-0.39-0.391-1.024-0.391-1.414 0l-14.5 14.5c-0.391 0.39-0.391 1.024 0 1.414s1.024 0.39 1.414 0l1.793-1.793v14.586c0 1.65 1.35 3 3 3h18c1.65 0 3-1.35 3-3v-14.586l1.793 1.793c0.39 0.39 1.024 0.39 1.414 0s0.39-1.024 0-1.414zM13 30v-11h6v11h-6zM26 29c0 0.55-0.45 1-1 1h-4v-12c0-0.552-0.448-1-1-1h-8c-0.552 0-1 0.448-1 1v12h-4c-0.55 0-1-0.45-1-1v-16.586l10-10 10 10v16.586z"></path>'),
	   	 			'search' => array('keywords' => 'search ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31.008 27.231l-7.58-6.447c-0.784-0.705-1.622-1.029-2.299-0.998 1.789-2.096 2.87-4.815 2.87-7.787 0-6.627-5.373-12-12-12s-12 5.373-12 12 5.373 12 12 12c2.972 0 5.691-1.081 7.787-2.87-0.031 0.677 0.293 1.515 0.998 2.299l6.447 7.58c1.104 1.226 2.907 1.33 4.007 0.23s0.997-2.903-0.23-4.007zM12 20c-4.418 0-8-3.582-8-8s3.582-8 8-8 8 3.582 8 8-3.582 8-8 8z"></path>'),
	   	 			'hourglass-3' => array('keywords' => 'hourglass-3 ','viewbox' => '0 0 27 32', 'path' =>'<path d="M25.143 2.571q0 4.661-1.902 8.241t-4.759 5.473q2.857 1.893 4.759 5.473t1.902 8.241h1.714q0.25 0 0.411 0.161t0.161 0.411v1.143q0 0.25-0.161 0.411t-0.411 0.161h-26.286q-0.25 0-0.411-0.161t-0.161-0.411v-1.143q0-0.25 0.161-0.411t0.411-0.161h1.714q0-4.661 1.902-8.241t4.759-5.473q-2.857-1.893-4.759-5.473t-1.902-8.241h-1.714q-0.25 0-0.411-0.161t-0.161-0.411v-1.143q0-0.25 0.161-0.411t0.411-0.161h26.286q0.25 0 0.411 0.161t0.161 0.411v1.143q0 0.25-0.161 0.411t-0.411 0.161h-1.714zM15.607 15.214q1.375-0.518 2.661-1.652t2.313-2.723 1.652-3.75 0.625-4.518h-18.286q0 2.357 0.625 4.518t1.652 3.75 2.312 2.723 2.661 1.652q0.339 0.125 0.545 0.42t0.205 0.652-0.205 0.652-0.545 0.42q-2.446 0.911-4.357 3.5h12.5q-1.911-2.589-4.357-3.5-0.339-0.125-0.545-0.42t-0.205-0.652 0.205-0.652 0.545-0.42z"></path>'),
	   	 			'brightness_6' => array('keywords' => 'brightness_6 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 24.667q3.313 0 5.656-2.344t2.344-5.656-2.344-5.656-5.656-2.344v16zM26.688 21.104v6.25h-6.25l-4.438 4.375-4.438-4.375h-6.25v-6.25l-4.375-4.438 4.375-4.438v-6.25h6.25l4.438-4.375 4.438 4.375h6.25v6.25l4.375 4.438z"></path>'),
	   	 			'cut' => array('keywords' => 'cut ','viewbox' => '0 0 32 32', 'path' =>'<path d="M17.143 16.286q0.464 0 0.804 0.339t0.339 0.804-0.339 0.804-0.804 0.339-0.804-0.339-0.339-0.804 0.339-0.804 0.804-0.339zM22.5 17.429l9.054 7.107q0.5 0.357 0.446 1-0.089 0.625-0.625 0.911l-2.286 1.143q-0.232 0.125-0.518 0.125-0.304 0-0.554-0.143l-12.321-6.911-1.964 1.179q-0.143 0.071-0.214 0.089 0.25 0.875 0.179 1.732-0.125 1.375-1 2.634t-2.357 2.205q-2.357 1.5-4.946 1.5-2.429 0-3.964-1.393-1.607-1.5-1.411-3.696 0.125-1.357 1-2.625t2.339-2.214q2.357-1.5 4.964-1.5 1.482 0 2.696 0.554 0.161-0.232 0.393-0.393l2.179-1.304-2.179-1.304q-0.232-0.161-0.393-0.393-1.214 0.554-2.696 0.554-2.607 0-4.964-1.5-1.464-0.946-2.339-2.214t-1-2.625q-0.089-1.054 0.277-2.018t1.134-1.661q1.518-1.411 3.964-1.411 2.589 0 4.946 1.5 1.482 0.929 2.357 2.196t1 2.643q0.071 0.857-0.179 1.732 0.071 0.018 0.214 0.089l1.964 1.179 12.321-6.911q0.25-0.143 0.554-0.143 0.286 0 0.518 0.125l2.286 1.143q0.536 0.286 0.625 0.911 0.054 0.643-0.446 1zM10.339 12.786q0.821-0.75 0.375-1.929t-1.893-2.089q-1.643-1.054-3.429-1.054-1.321 0-2.018 0.643-0.821 0.75-0.375 1.929t1.893 2.089q1.643 1.054 3.429 1.054 1.321 0 2.018-0.643zM8.821 26.089q1.446-0.911 1.893-2.089t-0.375-1.929q-0.696-0.643-2.018-0.643-1.786 0-3.429 1.054-1.446 0.911-1.893 2.089t0.375 1.929q0.696 0.643 2.018 0.643 1.786 0 3.429-1.054zM12 15.143l1.714 1.036v-0.196q0-0.643 0.589-1l0.25-0.143-1.411-0.839-0.464 0.464q-0.054 0.054-0.179 0.196t-0.214 0.214q-0.036 0.036-0.071 0.063t-0.054 0.045zM16 19.143l1.714 0.571 13.143-10.286-2.286-1.143-13.714 7.696v2.018l-2.857 1.714 0.161 0.143q0.036 0.036 0.125 0.107 0.071 0.071 0.196 0.214t0.196 0.214l0.464 0.464zM28.571 26.571l2.286-1.143-9.286-7.286-3.161 2.464q-0.036 0.054-0.232 0.125z"></path>'),
	   	 			'filter2' => array('keywords' => 'filter2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M28 23.354v-18.688h-18.688v18.688h18.688zM28 1.979q1.063 0 1.875 0.813t0.813 1.875v18.688q0 1.063-0.813 1.844t-1.875 0.781h-18.688q-1.063 0-1.844-0.781t-0.781-1.844v-18.688q0-1.063 0.781-1.875t1.844-0.813h18.688zM4 7.354v21.313h21.313v2.688h-21.313q-1.063 0-1.875-0.813t-0.813-1.875v-21.313h2.688zM21.25 14.417l4.75 6.25h-14.688l3.688-4.688 2.625 3.125z"></path>'),
	   	 			'google-plus' => array('keywords' => 'google-plus ','viewbox' => '0 0 32 32', 'path' =>'<path d="M10.181 14.294v3.494h5.775c-0.231 1.5-1.744 4.394-5.775 4.394-3.475 0-6.313-2.881-6.313-6.431s2.838-6.431 6.313-6.431c1.981 0 3.3 0.844 4.056 1.569l2.762-2.662c-1.775-1.656-4.075-2.662-6.819-2.662-5.631 0.006-10.181 4.556-10.181 10.188s4.55 10.181 10.181 10.181c5.875 0 9.775-4.131 9.775-9.95 0-0.669-0.075-1.181-0.163-1.688h-9.613zM32 14h-3v-3h-3v3h-3v3h3v3h3v-3h3z"></path>'),
	   	 			'bell-o' => array('keywords' => 'bell-o ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16.286 30.571q0-0.286-0.286-0.286-1.054 0-1.813-0.759t-0.759-1.813q0-0.286-0.286-0.286t-0.286 0.286q0 1.304 0.92 2.223t2.223 0.92q0.286 0 0.286-0.286zM4.393 25.429h23.214q-4.75-5.357-4.75-14.857 0-0.911-0.429-1.875t-1.232-1.839-2.17-1.438-3.027-0.563-3.027 0.563-2.17 1.438-1.232 1.839-0.429 1.875q0 9.5-4.75 14.857zM30.857 25.429q0 0.929-0.679 1.607t-1.607 0.679h-8q0 1.893-1.339 3.232t-3.232 1.339-3.232-1.339-1.339-3.232h-8q-0.929 0-1.607-0.679t-0.679-1.607q0.893-0.75 1.625-1.571t1.518-2.134 1.33-2.83 0.893-3.679 0.348-4.643q0-2.714 2.089-5.045t5.482-2.83q-0.143-0.339-0.143-0.696 0-0.714 0.5-1.214t1.214-0.5 1.214 0.5 0.5 1.214q0 0.357-0.143 0.696 3.393 0.5 5.482 2.83t2.089 5.045q0 2.482 0.348 4.643t0.893 3.679 1.33 2.83 1.518 2.134 1.625 1.571z"></path>'),
	   	 			'backward2' => array('keywords' => 'backward2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M18 5v10l10-10v22l-10-10v10l-11-11z"></path>'),
	   	 			'termometer_3' => array('keywords' => 'termometer_3 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M17 24.277v-10.277c0-0.552-0.448-1-1-1s-1 0.448-1 1v10.277c-0.595 0.346-1 0.984-1 1.723 0 1.105 0.896 2 2 2s2-0.895 2-2c0-0.738-0.405-1.376-1-1.723zM20 21.538v-17.538c0-2.205-1.794-4-4-4s-4 1.794-4 4v17.538c-1.274 1.137-2 2.733-2 4.462 0 3.308 2.692 6 6 6s6-2.692 6-6c0-1.729-0.727-3.325-2-4.462zM16 30c-2.206 0-4-1.794-4-4 0-1.27 0.584-2.436 1.601-3.201 0.261-0.197 0.395-0.496 0.396-0.799 0.001 0 0.002 0 0.004 0v-18c0-1.103 0.897-2 2-2s2 0.897 2 2v18c0.002 0 0.003 0 0.005 0 0 0.303 0.134 0.605 0.395 0.801 1.017 0.764 1.6 1.93 1.6 3.2 0 2.206-1.794 4-4 4z"></path>'),
	   	 			'crop' => array('keywords' => 'crop ','viewbox' => '0 0 32 32', 'path' =>'<path d="M26 8l6-6-2-2-6 6h-14v-6h-4v6h-6v4h6v16h16v6h4v-6h6v-4h-6v-14zM10 10h10l-10 10v-10zM12 22l10-10v10h-10z"></path>'),
	   	 			'transform' => array('keywords' => 'transform ','viewbox' => '0 0 32 32', 'path' =>'<path d="M13.313 11.354v-2.688h8q1.063 0 1.875 0.813t0.813 1.875v8h-2.688v-8h-8zM29.313 24.667h-5.313v2.688h2.688l-4 4-4-4h2.625v-2.688h-10.625q-1.063 0-1.875-0.813t-0.813-1.875v-10.625h-5.313v-2.688h5.313v-2.688h-2.688l4-4 4 4h-2.625v16h18.625v2.688z"></path>'),
	   	 			'tablet4' => array('keywords' => 'tablet4 ','viewbox' => '0 0 25 32', 'path' =>'<path d="M1.5 32h22c0.827 0 1.5-0.673 1.5-1.5v-29c0-0.827-0.673-1.5-1.5-1.5h-22c-0.827 0-1.5 0.673-1.5 1.5v29c0 0.827 0.673 1.5 1.5 1.5zM1 1.5c0-0.276 0.224-0.5 0.5-0.5h22c0.276 0 0.5 0.224 0.5 0.5v29c0 0.276-0.224 0.5-0.5 0.5h-22c-0.276 0-0.5-0.224-0.5-0.5v-29zM3.5 27h18c0.276 0 0.5-0.224 0.5-0.5v-23c0-0.276-0.224-0.5-0.5-0.5h-18c-0.276 0-0.5 0.224-0.5 0.5v23c0 0.276 0.224 0.5 0.5 0.5zM4 4h17v22h-17v-22zM12 29c0 0.552 0.448 1 1 1s1-0.448 1-1c0-0.552-0.448-1-1-1s-1 0.448-1 1z"></path>'),
	   	 			'eur' => array('keywords' => 'eur ','viewbox' => '0 0 18 32', 'path' =>'<path d="M17.429 23.625l0.625 2.839q0.054 0.214-0.054 0.402t-0.304 0.259l-0.089 0.018q-0.071 0.036-0.188 0.063t-0.286 0.080-0.384 0.098-0.455 0.089-0.536 0.089-0.598 0.080-0.652 0.054-0.688 0.018q-4.179 0-7.304-2.33t-4.25-6.277h-1.696q-0.232 0-0.402-0.17t-0.17-0.402v-2.018q0-0.232 0.17-0.402t0.402-0.17h1.179q-0.036-1.018 0.018-1.875h-1.196q-0.25 0-0.411-0.161t-0.161-0.411v-2.036q0-0.25 0.161-0.411t0.411-0.161h1.75q1.196-3.75 4.348-6.036t7.152-2.286q1.821 0 3.464 0.411 0.196 0.054 0.357 0.268 0.107 0.196 0.054 0.429l-0.768 2.839q-0.054 0.232-0.25 0.348t-0.429 0.045l-0.071-0.018q-0.071-0.018-0.205-0.045l-0.313-0.063t-0.402-0.063-0.464-0.054-0.518-0.045-0.527-0.018q-2.25 0-4.036 1.143t-2.679 3.143h8.357q0.286 0 0.446 0.214 0.179 0.214 0.125 0.464l-0.429 2.036q-0.089 0.464-0.571 0.464h-8.714q-0.054 0.661 0 1.875h8.196q0.268 0 0.446 0.214 0.161 0.214 0.107 0.482l-0.429 2q-0.036 0.196-0.196 0.33t-0.357 0.134h-6.911q0.857 2.089 2.67 3.313t4.080 1.223q0.321 0 0.643-0.027t0.598-0.063 0.527-0.080 0.438-0.089 0.33-0.080l0.214-0.054 0.089-0.036q0.232-0.089 0.464 0.036 0.214 0.125 0.268 0.375z"></path>'),
	   	 			'flight_takeoff' => array('keywords' => 'flight_takeoff ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29.438 13.542q0.188 0.813-0.219 1.5t-1.219 0.938q-7.75 2.063-12.875 3.438l-7.063 1.875-2.125 0.625-3.5-6 1.938-0.5 2.625 2 6.625-1.75-5.5-9.563 2.563-0.688 9.188 8.563 7.125-1.875q0.813-0.25 1.531 0.188t0.906 1.25zM3.313 25.979h25.375v2.688h-25.375v-2.688z"></path>'),
	   	 			'brightness_4' => array('keywords' => 'brightness_4 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 24.667q3.313 0 5.656-2.344t2.344-5.656-2.344-5.656-5.656-2.344q-1.625 0-3.313 0.75 2.063 0.938 3.344 2.906t1.281 4.344-1.281 4.344-3.344 2.906q1.688 0.75 3.313 0.75zM26.688 12.229l4.375 4.438-4.375 4.438v6.25h-6.25l-4.438 4.375-4.438-4.375h-6.25v-6.25l-4.375-4.438 4.375-4.438v-6.25h6.25l4.438-4.375 4.438 4.375h6.25v6.25z"></path>'),
	   	 			'format_strikethrough' => array('keywords' => 'format_strikethrough ','viewbox' => '0 0 32 32', 'path' =>'<path d="M4 19.354v-2.688h24v2.688h-24zM6.688 5.979h18.625v4h-6.625v4h-5.375v-4h-6.625v-4zM13.313 25.979v-4h5.375v4h-5.375z"></path>'),
	   	 			'airplay' => array('keywords' => 'airplay ','viewbox' => '0 0 32 32', 'path' =>'<path d="M28 4.667q1.063 0 1.875 0.813t0.813 1.875v16q0 1.063-0.813 1.844t-1.875 0.781h-5.313v-2.625h5.313v-16h-24v16h5.313v2.625h-5.313q-1.063 0-1.875-0.781t-0.813-1.844v-16q0-1.063 0.813-1.875t1.875-0.813h24zM8 29.979l8-8 8 8h-16z"></path>'),
	   	 			'cc-stripe' => array('keywords' => 'cc-stripe ','viewbox' => '0 0 41 32', 'path' =>'<path d="M28.518 16.411q0 1.232-0.375 1.893-0.339 0.625-0.929 0.625-0.411 0-0.732-0.161v-4q0.518-0.536 1.018-0.536 1.018 0 1.018 2.179zM36.339 15.768h-1.964q0.107-1.75 1-1.75 0.911 0 0.964 1.75zM8.5 18.179q0-1.054-0.589-1.634t-1.804-1.027q-0.643-0.232-0.929-0.429t-0.286-0.446q0-0.464 0.679-0.464 1.036 0 2.214 0.589l0.321-2q-1.196-0.571-2.661-0.571-1.375 0-2.196 0.679-0.857 0.696-0.857 1.946 0 1.036 0.58 1.616t1.777 1.009q0.696 0.25 0.973 0.455t0.277 0.491q0 0.554-0.857 0.554-0.518 0-1.25-0.223t-1.286-0.545l-0.321 2.018q1.286 0.732 3 0.732 1.446 0 2.304-0.661 0.911-0.732 0.911-2.089zM13.768 14.339l0.339-1.982h-1.714v-2.411l-2.304 0.375-0.321 2.036-0.821 0.143-0.304 1.839h1.107v3.911q0 1.5 0.786 2.143 0.679 0.536 1.982 0.536 0.571 0 1.411-0.196v-2.107q-0.571 0.125-0.786 0.125-0.75 0-0.75-0.893v-3.518h1.375zM19.411 14.786v-2.482q-0.268-0.054-0.5-0.054-0.571 0-0.991 0.286t-0.598 0.821l-0.179-1h-2.339v8.411h2.679v-5.464q0.464-0.554 1.464-0.554 0.286 0 0.464 0.036zM20.071 20.768h2.679v-8.411h-2.679v8.411zM31.179 16.321q0-2.179-0.804-3.196-0.714-0.929-1.982-0.929-1.143 0-2.089 1l-0.143-0.839h-2.357v11.518l2.679-0.446v-2.696q0.643 0.196 1.214 0.196 1.482 0 2.393-1 1.089-1.161 1.089-3.607zM22.821 10.107q0-0.589-0.411-1t-1-0.411-1 0.411-0.411 1 0.411 1.009 1 0.42 1-0.42 0.411-1.009zM38.857 16.482q0-2.018-0.857-3.143-0.893-1.143-2.571-1.143-1.714 0-2.705 1.179t-0.991 3.214q0 2.286 1.125 3.357 0.982 0.982 2.875 0.982 1.804 0 2.857-0.714l-0.286-1.839q-1.018 0.554-2.286 0.554-0.768 0-1.125-0.339-0.411-0.339-0.5-1.179h4.429q0.036-0.25 0.036-0.929zM41.143 4.857v22.857q0 0.929-0.679 1.607t-1.607 0.679h-36.571q-0.929 0-1.607-0.679t-0.679-1.607v-22.857q0-0.929 0.679-1.607t1.607-0.679h36.571q0.929 0 1.607 0.679t0.679 1.607z"></path>'),
	   	 			'computer' => array('keywords' => 'computer ','viewbox' => '0 0 32 32', 'path' =>'<path d="M5.313 8.667v13.313h21.375v-13.313h-21.375zM26.688 24.667h5.313v2.688h-32v-2.688h5.313q-1.063 0-1.844-0.813t-0.781-1.875v-13.313q0-1.063 0.781-1.875t1.844-0.813h21.375q1.063 0 1.844 0.813t0.781 1.875v13.313q0 1.063-0.781 1.875t-1.844 0.813z"></path>'),
	   	 			'align-left' => array('keywords' => 'align-left ','viewbox' => '0 0 32 32', 'path' =>'<path d="M32 24.286v2.286q0 0.464-0.339 0.804t-0.804 0.339h-29.714q-0.464 0-0.804-0.339t-0.339-0.804v-2.286q0-0.464 0.339-0.804t0.804-0.339h29.714q0.464 0 0.804 0.339t0.339 0.804zM25.143 17.429v2.286q0 0.464-0.339 0.804t-0.804 0.339h-22.857q-0.464 0-0.804-0.339t-0.339-0.804v-2.286q0-0.464 0.339-0.804t0.804-0.339h22.857q0.464 0 0.804 0.339t0.339 0.804zM29.714 10.571v2.286q0 0.464-0.339 0.804t-0.804 0.339h-27.429q-0.464 0-0.804-0.339t-0.339-0.804v-2.286q0-0.464 0.339-0.804t0.804-0.339h27.429q0.464 0 0.804 0.339t0.339 0.804zM22.857 3.714v2.286q0 0.464-0.339 0.804t-0.804 0.339h-20.571q-0.464 0-0.804-0.339t-0.339-0.804v-2.286q0-0.464 0.339-0.804t0.804-0.339h20.571q0.464 0 0.804 0.339t0.339 0.804z"></path>'),
	   	 			'chevron_left' => array('keywords' => 'chevron_left ','viewbox' => '0 0 32 32', 'path' =>'<path d="M20.563 10.542l-6.125 6.125 6.125 6.125-1.875 1.875-8-8 8-8z"></path>'),
	   	 			'petronas_towers' => array('keywords' => 'petronas_towers ','viewbox' => '0 0 32 32', 'path' =>'<path d="M27 13v-4c0-0.552-0.448-1-1-1v-2.5c0-0.069-0.007-0.136-0.020-0.202-0.077-0.942-0.667-1.741-1.5-2.098 0.014-0.066 0.020-0.132 0.020-0.201v-2c0-0.552-0.448-1-1-1s-1 0.448-1 1v2c0 0.069 0.007 0.135 0.020 0.2-0.833 0.357-1.423 1.156-1.5 2.098-0.014 0.066-0.020 0.133-0.020 0.202v2.5c-0.552 0-1 0.448-1 1v4c-0.552 0-1 0.448-1 1v2h-6v-2c0-0.552-0.448-1-1-1v-4c0-0.552-0.448-1-1-1v-2.5c0-0.069-0.007-0.136-0.021-0.202-0.077-0.942-0.667-1.741-1.5-2.098 0.014-0.066 0.021-0.132 0.021-0.201v-2c0-0.552-0.448-1-1-1s-1 0.448-1 1v2c0 0.069 0.007 0.135 0.021 0.2-0.833 0.357-1.423 1.156-1.5 2.098-0.013 0.066-0.021 0.133-0.021 0.202v2.5c-0.552 0-1 0.448-1 1v4c-0.552 0-1 0.448-1 1v17c0 0.552 0.448 1 1 1h7c0.552 0 1-0.448 1-1v-9.136c0.052-0.030 0.104-0.064 0.151-0.105l2.849-2.442 2.849 2.442c0.048 0.041 0.098 0.076 0.151 0.107v9.134c0 0.552 0.448 1 1 1h7c0.552 0 1-0.448 1-1v-17c0-0.552-0.448-1-1-1zM11 30h-5v-15c0.552 0 1-0.448 1-1v-4c0.552 0 1-0.448 1-1v-3.5c0-0.276 0.225-0.5 0.5-0.5s0.5 0.224 0.5 0.5v3.5c0 0.552 0.448 1 1 1v4c0 0.552 0.448 1 1 1v15zM13 19.255v-1.255h1.463l-1.463 1.255zM17.537 18h1.463v1.255l-1.463-1.255zM26 30h-5v-15c0.552 0 1-0.448 1-1v-4c0.552 0 1-0.448 1-1v-3.5c0-0.276 0.224-0.5 0.5-0.5s0.5 0.224 0.5 0.5v3.5c0 0.552 0.448 1 1 1v4c0 0.552 0.448 1 1 1v15z"></path>'),
	   	 			'dedent' => array('keywords' => 'dedent ','viewbox' => '0 0 32 32', 'path' =>'<path d="M6.857 10v10.286q0 0.232-0.17 0.402t-0.402 0.17q-0.25 0-0.411-0.161l-5.143-5.143q-0.161-0.161-0.161-0.411t0.161-0.411l5.143-5.143q0.161-0.161 0.411-0.161 0.232 0 0.402 0.17t0.17 0.402zM32 23.714v3.429q0 0.232-0.17 0.402t-0.402 0.17h-30.857q-0.232 0-0.402-0.17t-0.17-0.402v-3.429q0-0.232 0.17-0.402t0.402-0.17h30.857q0.232 0 0.402 0.17t0.17 0.402zM32 16.857v3.429q0 0.232-0.17 0.402t-0.402 0.17h-19.429q-0.232 0-0.402-0.17t-0.17-0.402v-3.429q0-0.232 0.17-0.402t0.402-0.17h19.429q0.232 0 0.402 0.17t0.17 0.402zM32 10v3.429q0 0.232-0.17 0.402t-0.402 0.17h-19.429q-0.232 0-0.402-0.17t-0.17-0.402v-3.429q0-0.232 0.17-0.402t0.402-0.17h19.429q0.232 0 0.402 0.17t0.17 0.402zM32 3.143v3.429q0 0.232-0.17 0.402t-0.402 0.17h-30.857q-0.232 0-0.402-0.17t-0.17-0.402v-3.429q0-0.232 0.17-0.402t0.402-0.17h30.857q0.232 0 0.402 0.17t0.17 0.402z"></path>'),
	   	 			'plug_power' => array('keywords' => 'plug_power ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31.706 11.793l-0.691-0.691c0.857-1.355 0.841-2.952-0.143-3.938-0.188-0.188-0.442-0.293-0.707-0.293-0.164 0-0.323 0.045-0.465 0.12l-1.449-1.449c-0.39-0.39-1.023-0.391-1.414 0s-0.39 1.024 0 1.415l1.414 1.414-1.414 1.415-1.414-1.414c-0.39-0.391-1.024-0.391-1.414 0s-0.39 1.024 0 1.414l1.448 1.448c-0.075 0.143-0.12 0.302-0.12 0.466 0 0.265 0.105 0.52 0.293 0.707 0.489 0.489 1.171 0.758 1.92 0.758v0c0.7 0 1.415-0.232 2.058-0.646l0.393 0.393v14.086c0 1.654-1.346 3-3 3v0 0c-1.654 0-2.999-1.345-3-2.998 0-0.001 0-0.001 0-0.002v-7c0-2.757-2.243-5-5-5h-1v-9c0-3.308-2.691-6-6-6h-6c-3.308 0-6 2.692-6 6v25c0 0.552 0.448 1 1 1h16c0.552 0 1-0.448 1-1v-14h1c1.654 0 3 1.346 3 3v6.998c0 0.001 0 0.002 0 0.002 0 2.758 2.242 5 5 5v0 0c2.757 0 5-2.242 5-5v-14.5c0-0.277-0.113-0.527-0.294-0.707zM16 30h-14v-24c0-2.205 1.795-4 4-4h6c2.206 0 4 1.795 4 4v24zM11.53 13.152c-0.165-0.104-0.348-0.149-0.53-0.149 0-0.001 0-0.002 0-0.003h-2.196l1.543-2.47c0.293-0.469 0.15-1.085-0.318-1.378s-1.085-0.15-1.378 0.318l-2.5 4c-0.293 0.469-0.151 1.085 0.318 1.378 0.165 0.103 0.348 0.152 0.529 0.152 0.002-0.001 0.002-0.001 0.003-0.001h2.195l-1.543 2.47c-0.293 0.468-0.151 1.085 0.318 1.378 0.165 0.103 0.348 0.152 0.529 0.152 0.334 0 0.659-0.166 0.849-0.47l2.5-4c0.292-0.469 0.15-1.085-0.319-1.378z"></path>'),
	   	 			'tablet_android' => array('keywords' => 'tablet_android ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25.688 25.979v-21.313h-19.375v21.313h19.375zM18.688 29.979v-1.313h-5.375v1.313h5.375zM24 0.667q1.625 0 2.813 1.188t1.188 2.813v24q0 1.625-1.188 2.813t-2.813 1.188h-16q-1.625 0-2.813-1.188t-1.188-2.813v-24q0-1.625 1.188-2.813t2.813-1.188h16z"></path>'),
	   	 			'router_1' => array('keywords' => 'router_1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M10 17c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM13 17c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM25 12h-4v-7c0-0.552-0.448-1-1-1s-1 0.448-1 1v7h-12c-1.655 0-3 1.345-3 3v4c0 1.654 1.345 3 3 3h8v6.277c-0.3 0.175-0.548 0.422-0.723 0.723h-8.277c-0.552 0-1 0.448-1 1s0.448 1 1 1h8.277c0.347 0.595 0.985 1 1.723 1s1.376-0.405 1.723-1h8.277c0.552 0 1-0.448 1-1s-0.448-1-1-1h-8.277c-0.175-0.3-0.422-0.548-0.723-0.723v-6.277h8c1.654 0 3-1.346 3-3v-4c0-1.655-1.346-3-3-3zM26 19c0 0.552-0.448 1-1 1h-18c-0.551 0-1-0.448-1-1v-4c0-0.552 0.449-1 1-1h18c0.552 0 1 0.448 1 1v4zM13.862 9.771c0.187 0.155 0.412 0.23 0.637 0.23 0.287 0 0.573-0.123 0.771-0.362 0.352-0.426 0.293-1.056-0.132-1.408-1.056-0.875-1.638-2.022-1.638-3.23s0.582-2.355 1.638-3.23c0.425-0.352 0.485-0.983 0.132-1.408s-0.983-0.484-1.408-0.132c-1.523 1.262-2.362 2.956-2.362 4.77s0.839 3.508 2.362 4.77zM16.362 7.771c0.187 0.155 0.413 0.23 0.637 0.23 0.287 0 0.573-0.123 0.77-0.362 0.352-0.426 0.294-1.056-0.133-1.407-0.411-0.341-0.638-0.778-0.638-1.23s0.227-0.889 0.638-1.23c0.426-0.352 0.485-0.982 0.133-1.408s-0.983-0.485-1.408-0.132c-0.879 0.728-1.362 1.712-1.362 2.77s0.483 2.043 1.362 2.77zM26 5c0 1.207-0.581 2.355-1.637 3.23-0.426 0.352-0.485 0.983-0.133 1.408 0.198 0.239 0.483 0.362 0.77 0.362 0.225 0 0.451-0.075 0.637-0.23 1.523-1.261 2.363-2.956 2.363-4.77s-0.839-3.509-2.363-4.77c-0.425-0.352-1.055-0.293-1.407 0.132-0.352 0.426-0.294 1.056 0.133 1.408 1.055 0.875 1.637 2.022 1.637 3.23zM22.363 6.23c-0.426 0.352-0.485 0.982-0.133 1.407 0.198 0.239 0.483 0.362 0.77 0.362 0.225 0 0.451-0.075 0.637-0.23 0.879-0.728 1.363-1.712 1.363-2.77s-0.483-2.042-1.363-2.77c-0.425-0.353-1.055-0.293-1.407 0.132s-0.294 1.056 0.133 1.407c0.411 0.341 0.637 0.778 0.637 1.23s-0.227 0.889-0.637 1.23z"></path>'),
	   	 			'bold2' => array('keywords' => 'bold2 ','viewbox' => '0 0 25 32', 'path' =>'<path d="M9.911 27.446q1.321 0.571 2.5 0.571 6.714 0 6.714-5.982 0-2.036-0.732-3.214-0.482-0.786-1.098-1.321t-1.205-0.83-1.438-0.446-1.5-0.188-1.688-0.036q-1.304 0-1.804 0.179 0 0.946-0.009 2.839t-0.009 2.821q0 0.143-0.018 1.205t-0.009 1.723 0.080 1.491 0.214 1.188zM9.661 14.125q0.75 0.125 1.946 0.125 1.464 0 2.554-0.232t1.964-0.795 1.33-1.598 0.455-2.536q0-1.25-0.518-2.188t-1.411-1.464-1.929-0.777-2.214-0.25q-0.893 0-2.321 0.232 0 0.893 0.071 2.696t0.071 2.714q0 0.482-0.009 1.429t-0.009 1.411q0 0.821 0.018 1.232zM0 30l0.036-1.679q0.268-0.071 1.518-0.286t1.893-0.482q0.125-0.214 0.223-0.482t0.152-0.598 0.098-0.58 0.054-0.67 0.009-0.607v-1.17q0-17.536-0.393-18.304-0.071-0.143-0.393-0.259t-0.795-0.196-0.884-0.125-0.866-0.080-0.545-0.054l-0.071-1.482q1.75-0.036 6.071-0.205t6.661-0.17q0.411 0 1.223 0.009t1.205 0.009q1.25 0 2.438 0.232t2.295 0.75 1.929 1.268 1.321 1.866 0.5 2.455q0 0.929-0.295 1.705t-0.696 1.286-1.152 1.027-1.304 0.804-1.5 0.714q2.75 0.625 4.58 2.393t1.83 4.429q0 1.786-0.625 3.205t-1.67 2.33-2.464 1.527-2.92 0.866-3.143 0.25q-0.786 0-2.357-0.054t-2.357-0.054q-1.893 0-5.482 0.196t-4.125 0.214z"></path>'),
	   	 			'make-group' => array('keywords' => 'make-group ','viewbox' => '0 0 32 32', 'path' =>'<path d="M10 4h-4c-1.1 0-2 0.9-2 2v4c0 1.1 0.9 2 2 2h4c1.1 0 2-0.9 2-2v-4c0-1.1-0.9-2-2-2zM22 12h4c1.1 0 2-0.9 2-2v-4c0-1.1-0.9-2-2-2h-4c-1.1 0-2 0.9-2 2v4c0 1.1 0.9 2 2 2zM22 6h4v4h-4v-4zM10 20h-4c-1.1 0-2 0.9-2 2v4c0 1.1 0.9 2 2 2h4c1.1 0 2-0.9 2-2v-4c0-1.1-0.9-2-2-2zM10 26h-4v-4h4v4zM26 20h-4c-1.1 0-2 0.9-2 2v4c0 1.1 0.9 2 2 2h4c1.1 0 2-0.9 2-2v-4c0-1.1-0.9-2-2-2zM28 16h-2c-2.671 0-5.182-1.040-7.071-2.929s-2.929-4.4-2.929-7.071v-2c0-2.2-1.8-4-4-4h-8c-2.2 0-4 1.8-4 4v8c0 2.2 1.8 4 4 4h2c2.671 0 5.182 1.040 7.071 2.929s2.929 4.4 2.929 7.071v2c0 2.2 1.8 4 4 4h8c2.2 0 4-1.8 4-4v-8c0-2.2-1.8-4-4-4zM30 28c0 0.53-0.209 1.031-0.589 1.411s-0.881 0.589-1.411 0.589h-8c-0.53 0-1.031-0.209-1.411-0.589s-0.589-0.881-0.589-1.411v-2c0-6.627-5.373-12-12-12h-2c-0.53 0-1.031-0.209-1.411-0.589s-0.589-0.881-0.589-1.411v-8c0-0.53 0.209-1.031 0.589-1.411s0.881-0.589 1.411-0.589h8c0.53 0 1.031 0.209 1.411 0.589s0.589 0.881 0.589 1.411v2c0 6.627 5.373 12 12 12h2c0.53 0 1.031 0.209 1.411 0.589s0.589 0.881 0.589 1.411v8z"></path>'),
	   	 			'female' => array('keywords' => 'female ','viewbox' => '0 0 23 32', 'path' =>'<path d="M22.857 19.143q0 0.714-0.5 1.214t-1.214 0.5q-0.911 0-1.429-0.768l-4.054-6.089h-0.804v2.357l4.411 7.339q0.161 0.268 0.161 0.589 0 0.464-0.339 0.804t-0.804 0.339h-3.429v4.857q0 0.821-0.589 1.411t-1.411 0.589h-2.857q-0.821 0-1.411-0.589t-0.589-1.411v-4.857h-3.429q-0.464 0-0.804-0.339t-0.339-0.804q0-0.321 0.161-0.589l4.411-7.339v-2.357h-0.804l-4.054 6.089q-0.518 0.768-1.429 0.768-0.714 0-1.214-0.5t-0.5-1.214q0-0.518 0.286-0.946l4.571-6.857q1.304-1.911 3.143-1.911h6.857q1.839 0 3.143 1.911l4.571 6.857q0.286 0.429 0.286 0.946zM15.429 4.857q0 1.661-1.17 2.83t-2.83 1.17-2.83-1.17-1.17-2.83 1.17-2.83 2.83-1.17 2.83 1.17 1.17 2.83z"></path>'),
	   	 			'island_summer' => array('keywords' => 'island_summer ','viewbox' => '0 0 32 32', 'path' =>'<path d="M20.205 7h1.132c0.094 0.365 0.239 0.71 0.427 1.028l-0.801 0.8c-0.39 0.39-0.39 1.024 0 1.415 0.195 0.196 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293l0.802-0.801c0.317 0.188 0.662 0.332 1.027 0.427v1.131c0 0.552 0.448 1 1 1s1-0.448 1-1v-1.131c0.365-0.095 0.71-0.239 1.027-0.427l0.802 0.801c0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293c0.39-0.39 0.39-1.024 0-1.415l-0.801-0.8c0.188-0.317 0.332-0.662 0.427-1.028h1.132c0.552 0 1-0.448 1-1s-0.448-1-1-1h-1.132c-0.094-0.365-0.239-0.71-0.427-1.028l0.801-0.8c0.39-0.39 0.39-1.024 0-1.415s-1.023-0.391-1.414 0l-0.802 0.801c-0.317-0.188-0.662-0.332-1.027-0.426v-1.131c0-0.552-0.448-1-1-1s-1 0.448-1 1v1.131c-0.365 0.095-0.71 0.239-1.027 0.426l-0.802-0.801c-0.39-0.39-1.023-0.391-1.414 0s-0.39 1.024 0 1.415l0.801 0.8c-0.188 0.318-0.332 0.663-0.427 1.028h-1.132c-0.552 0-1 0.448-1 1s0.448 1 1 1zM25.205 4c1.103 0 2 0.897 2 2s-0.897 2-2 2-2-0.897-2-2 0.897-2 2-2zM30.509 30.047c-0.262-0.084-6.506-2.047-14.305-2.047-0.922 0-1.821 0.029-2.692 0.076-0.111-8.142-1.653-13.194-2.568-15.488 1.948 0.239 3.231 1.011 4.165 2.491 0.19 0.301 0.514 0.466 0.846 0.466 0.182 0 0.367-0.050 0.533-0.155 0.467-0.295 0.607-0.912 0.311-1.38-1.033-1.636-2.442-2.66-4.323-3.154 0.27-0.096 0.555-0.188 0.864-0.271 1.495-0.4 2.671-0.438 3.491-0.107 0.515 0.206 1.095-0.043 1.301-0.555s-0.043-1.095-0.555-1.301c-1.249-0.501-2.803-0.491-4.755 0.031-0.758 0.203-1.422 0.444-2.003 0.723 0.434-1.627 1.243-2.589 2.451-2.913 0.534-0.143 0.85-0.691 0.707-1.224s-0.693-0.851-1.224-0.707c-2.021 0.542-3.338 2.098-3.936 4.63-1.784-1.893-3.703-2.585-5.723-2.042-0.534 0.143-0.85 0.691-0.707 1.225s0.691 0.851 1.224 0.707c1.21-0.323 2.391 0.105 3.58 1.297-0.644 0.049-1.34 0.171-2.097 0.374-1.948 0.522-3.3 1.29-4.133 2.349-0.342 0.434-0.266 1.063 0.168 1.404 0.183 0.144 0.401 0.214 0.617 0.214 0.296 0 0.59-0.131 0.787-0.382 0.548-0.697 1.583-1.252 3.077-1.653 0.461-0.123 0.887-0.208 1.285-0.262-1.335 1.353-2.010 2.927-2.086 4.828-0.022 0.552 0.407 1.017 0.959 1.039 0.013 0 0.027 0 0.040 0 0.534 0 0.977-0.422 0.998-0.96 0.068-1.692 0.742-2.974 2.207-4.127 0.816 2.018 2.399 6.956 2.495 15.051-5.477 0.519-9.406 1.755-9.614 1.82-0.524 0.169-0.814 0.731-0.647 1.256s0.73 0.817 1.256 0.649c0.061-0.020 6.223-1.953 13.696-1.953s13.636 1.933 13.697 1.953c0.101 0.032 0.203 0.047 0.303 0.047 0.424 0 0.817-0.271 0.953-0.697 0.168-0.526-0.122-1.088-0.648-1.256z"></path>'),
	   	 			'gg' => array('keywords' => 'gg ','viewbox' => '0 0 37 32', 'path' =>'<path d="M13.143 14.571l6.857 6.857-6.857 6.857-12-12 12-12 3 3-1.714 1.714-1.286-1.286-8.571 8.571 8.571 8.571 3.446-3.446-5.161-5.125zM23.429 4.286l12 12-12 12-3-3 1.714-1.714 1.286 1.286 8.571-8.571-8.571-8.571-3.446 3.446 5.161 5.125-1.714 1.714-6.857-6.857z"></path>'),
	   	 			'object-ungroup' => array('keywords' => 'object-ungroup ','viewbox' => '0 0 41 32', 'path' =>'<path d="M41.143 14h-2.286v11.429h2.286v6.857h-6.857v-2.286h-16v2.286h-6.857v-6.857h2.286v-2.286h-6.857v2.286h-6.857v-6.857h2.286v-11.429h-2.286v-6.857h6.857v2.286h16v-2.286h6.857v6.857h-2.286v2.286h6.857v-2.286h6.857v6.857zM36.571 9.429v2.286h2.286v-2.286h-2.286zM25.143 2.571v2.286h2.286v-2.286h-2.286zM2.286 2.571v2.286h2.286v-2.286h-2.286zM4.571 23.143v-2.286h-2.286v2.286h2.286zM27.429 20.857h-2.286v2.286h2.286v-2.286zM6.857 20.857h16v-2.286h2.286v-11.429h-2.286v-2.286h-16v2.286h-2.286v11.429h2.286v2.286zM16 30v-2.286h-2.286v2.286h2.286zM38.857 30v-2.286h-2.286v2.286h2.286zM36.571 25.429v-11.429h-2.286v-2.286h-6.857v6.857h2.286v6.857h-6.857v-2.286h-6.857v2.286h2.286v2.286h16v-2.286h2.286z"></path>'),
	   	 			'upload2' => array('keywords' => 'upload2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M0 28h32v2h-32zM32 24v2h-32v-2l4-8h8v4h8v-4h8zM7 10l9-9 9 9h-7v8h-4v-8z"></path>'),
	   	 			'map' => array('keywords' => 'map ','viewbox' => '0 0 32 32', 'path' =>'<path d="M0 6l10-4v24l-10 4zM12 1l10 6v23l-10-5zM24 7l8-6v24l-8 6z"></path>'),
	   	 			'filter_5' => array('keywords' => 'filter_5 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M22.688 17.979q0 1.125-0.813 1.906t-1.875 0.781h-5.313v-2.688h5.313v-2.625h-5.313v-8h8v2.625h-5.375v2.688h2.688q1.063 0 1.875 0.781t0.813 1.906v2.625zM4 7.354v21.313h21.313v2.688h-21.313q-1.063 0-1.875-0.813t-0.813-1.875v-21.313h2.688zM28 23.354v-18.688h-18.688v18.688h18.688zM28 1.979q1.063 0 1.875 0.813t0.813 1.875v18.688q0 1.063-0.813 1.844t-1.875 0.781h-18.688q-1.063 0-1.844-0.781t-0.781-1.844v-18.688q0-1.063 0.781-1.875t1.844-0.813h18.688z"></path>'),
	   	 			'titlebar' => array('keywords' => 'titlebar ','viewbox' => '0 0 32 32', 'path' =>'<rect height="28" width="28" x="2" y="2" style="fill: transparent;stroke-width:1;stroke:currentColor;"/> <rect height="5" width="20" x="6" y="8" style="fill: transparent;stroke-width:1;stroke:currentColor;"/> <rect height="1" width="20" x="6" y="16"/> <rect height="1" width="20" x="6" y="19"/> <rect height="1" width="20" x="6" y="22"/>'),
	   	 			'chat_bubble' => array('keywords' => 'chat_bubble ','viewbox' => '0 0 32 32', 'path' =>'<path d="M26.688 3.354q1.063 0 1.844 0.781t0.781 1.844v16q0 1.063-0.781 1.875t-1.844 0.813h-18.688l-5.313 5.313v-24q0-1.063 0.781-1.844t1.844-0.781h21.375z"></path>'),
	   	 			'track_changes' => array('keywords' => 'track_changes ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25.438 7.229q3.875 3.875 3.875 9.438 0 5.5-3.906 9.406t-9.406 3.906-9.406-3.906-3.906-9.406 3.906-9.406 9.406-3.906h1.313v11q1.375 0.75 1.375 2.313 0 1.063-0.813 1.875t-1.875 0.813-1.875-0.813-0.813-1.875q0-1.563 1.375-2.313v-2.813q-1.75 0.5-2.875 1.875t-1.125 3.25q0 2.188 1.563 3.75t3.75 1.563 3.75-1.563 1.563-3.75q0-2.063-1.563-3.75l1.875-1.875q2.375 2.375 2.375 5.625 0 3.313-2.344 5.656t-5.656 2.344-5.656-2.344-2.344-5.656q0-2.938 1.906-5.156t4.781-2.719v-2.688q-3.938 0.5-6.656 3.5t-2.719 7.063q0 4.375 3.156 7.531t7.531 3.156 7.531-3.156 3.156-7.531q0-4.438-3.125-7.563z"></path>'),
	   	 			'images_book' => array('keywords' => 'images_book ','viewbox' => '0 0 32 32', 'path' =>'<path d="M21.5 17.5c1.654 0 3-1.346 3-3s-1.346-3-3-3-3 1.345-3 3 1.346 3 3 3zM21.5 13.5c0.552 0 1 0.448 1 1s-0.448 1-1 1c-0.552 0-1-0.448-1-1s0.448-1 1-1zM31.986 24.836l-3-18c-0.005-0.027-0.014-0.051-0.020-0.076-0.008-0.032-0.015-0.064-0.026-0.095-0.012-0.036-0.030-0.069-0.047-0.104-0.013-0.027-0.024-0.053-0.040-0.079-0.021-0.035-0.047-0.066-0.072-0.098-0.015-0.019-0.026-0.039-0.041-0.056-0.003-0.003-0.007-0.005-0.010-0.009-0.030-0.032-0.064-0.059-0.098-0.088-0.018-0.015-0.034-0.032-0.053-0.046-0.053-0.038-0.11-0.071-0.17-0.098-0.022-0.010-0.046-0.015-0.068-0.024-0.041-0.015-0.081-0.030-0.123-0.040-0.026-0.006-0.053-0.007-0.080-0.011-0.040-0.005-0.080-0.012-0.121-0.013-0.006-0-0.012-0.002-0.018-0.002h-5.5v-1c0-0.552-0.448-1-1-1s-1 0.448-1 1v1h-4v-1c0-0.552-0.448-1-1-1s-1 0.448-1 1v1h-4v-1c0-0.552-0.448-1-1-1s-1 0.448-1 1v1h-5.5c-0.514 0-0.944 0.389-0.995 0.901l-2 20c-0.028 0.281 0.064 0.561 0.254 0.77s0.459 0.329 0.742 0.329h25c0.514 0 0.944-0.39 0.995-0.901l0.11-1.099h3.891c0.001 0 0.002 0 0.003 0 0.055 0 0.11-0.005 0.166-0.014 0.545-0.091 0.913-0.605 0.822-1.151zM3.905 8h4.595v1c0 0.552 0.448 1 1 1s1-0.448 1-1v-1h4v1c0 0.552 0.448 1 1 1s1-0.448 1-1v-1h4v1c0 0.552 0.448 1 1 1s1-0.448 1-1v-1h4.395l-1.68 16.801-7.508-7.508c-0.39-0.39-1.024-0.39-1.414 0l-2.293 2.293-3.293-3.293c-0.39-0.39-1.024-0.39-1.414 0l-6.908 6.908 1.52-15.201zM20.414 26l-5-5 1.586-1.586 6.586 6.586h-3.172zM17.586 26h-15.172l7.586-7.586 7.586 7.586zM28.248 14.57l1.572 9.43h-2.515l0.943-9.43z"></path>'),
	   	 			'weather_11' => array('keywords' => 'weather_11 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25 7.75c-0.477 0-0.954 0.050-1.424 0.149-1.648-2.578-4.482-4.149-7.576-4.149-3.919 0-7.348 2.539-8.545 6.181-0.474-0.12-0.96-0.181-1.455-0.181-3.308 0-6 2.691-6 6s2.692 6 6 6h1.5c0.552 0 1-0.448 1-1s-0.448-1-1-1h-1.5c-2.205 0-4-1.794-4-4s1.795-4 4-4c0.594 0 1.171 0.132 1.716 0.392 0.279 0.133 0.605 0.13 0.882-0.011s0.473-0.4 0.531-0.704c0.629-3.29 3.518-5.677 6.87-5.677 2.617 0 4.996 1.447 6.209 3.775 0.227 0.437 0.739 0.643 1.204 0.486 0.518-0.174 1.053-0.261 1.587-0.261 2.757 0 5 2.243 5 5s-2.243 5-5 5h-0.5c-0.552 0-1 0.448-1 1s0.448 1 1 1h0.5c3.86 0 7-3.14 7-7s-3.14-7-7-7zM12 23.75v-4c0-0.276-0.224-0.5-0.5-0.5s-0.5 0.224-0.5 0.5v4c0 0.276 0.224 0.5 0.5 0.5s0.5-0.224 0.5-0.5zM15 24.75v-4c0-0.276-0.224-0.5-0.5-0.5s-0.5 0.224-0.5 0.5v4c0 0.276 0.224 0.5 0.5 0.5s0.5-0.224 0.5-0.5zM18 23.75v-4c0-0.276-0.224-0.5-0.5-0.5s-0.5 0.224-0.5 0.5v4c0 0.276 0.224 0.5 0.5 0.5s0.5-0.224 0.5-0.5zM21 24.75v-4c0-0.276-0.224-0.5-0.5-0.5s-0.5 0.224-0.5 0.5v4c0 0.276 0.224 0.5 0.5 0.5s0.5-0.224 0.5-0.5zM21.5 27.25c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM18.5 26.25c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM15.5 27.25c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM12.5 26.25c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1z"></path>'),
	   	 			'plug_symbol' => array('keywords' => 'plug_symbol ','viewbox' => '0 0 32 32', 'path' =>'<path d="M23.407 18.094c-1.081-1.413-1.407-1.84-1.407-4.094 0-1.655 1.346-3 3-3 0.552 0 1-0.448 1-1s-0.448-1-1-1c-2.757 0-5 2.243-5 5v0 0c0 2.813 0.558 3.66 1.819 5.309 0.12 0.157 0.247 0.323 0.382 0.503 1.332 1.774 1.799 2.625 1.799 5.189 0 2.757-2.243 5-5 5s-5-2.243-5-5v-11h2c1.654 0 3-1.345 3-3v-2c0.552 0 1-0.448 1-1v-3c0-0.552-0.448-1-1-1h-2v-3c0-0.552-0.448-1-1-1s-1 0.448-1 1v3h-4v-3c0-0.552-0.448-1-1-1s-1 0.448-1 1v3h-2c-0.552 0-1 0.448-1 1v3c0 0.552 0.448 1 1 1v2c0 1.655 1.345 3 3 3h2v11c0 3.86 3.14 7 7 7s7-3.14 7-7c0-3.133-0.671-4.352-2.2-6.389-0.139-0.184-0.27-0.355-0.393-0.517zM9 11v-3c0-0.552-0.448-1-1-1v-1h10v1c-0.552 0-1 0.448-1 1v3c0 0.552-0.448 1-1 1h-6c-0.552 0-1-0.448-1-1z"></path>'),
	   	 			'caution' => array('keywords' => 'caution ','viewbox' => '0 0 35 32', 'path' =>'<path d="M21.799 2.954c-1.105-1.904-2.609-2.954-4.235-2.954s-3.131 1.050-4.236 2.954l-12.269 21.133c-1.12 1.947-1.24 3.969-0.33 5.546 0.866 1.5 2.565 2.363 4.664 2.367h24.341c0 0 0 0 0.001 0 2.102-0.004 3.804-0.864 4.667-2.361 0.905-1.567 0.783-3.581-0.335-5.525l-12.268-21.16zM33.537 29.139c-0.681 1.18-2.067 1.858-3.804 1.861h-24.339c-1.731-0.003-3.115-0.684-3.799-1.867-0.727-1.26-0.606-2.917 0.33-4.546l12.268-21.131c0.919-1.584 2.116-2.456 3.371-2.456s2.452 0.872 3.37 2.456l12.268 21.157c0.935 1.626 1.057 3.276 0.335 4.526zM17.564 20c0.276 0 0.5-0.224 0.5-0.5v-10c0-0.276-0.224-0.5-0.5-0.5s-0.5 0.224-0.5 0.5v10c0 0.276 0.224 0.5 0.5 0.5zM17.5 22.5c-1.103 0-2 0.897-2 2s0.897 2 2 2 2-0.897 2-2-0.897-2-2-2zM17.5 25.5c-0.551 0-1-0.448-1-1s0.449-1 1-1 1 0.448 1 1-0.449 1-1 1z"></path>'),
	   	 			'computer_connection_fail' => array('keywords' => 'computer_connection_fail ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31 21h-9c-0.552 0-1 0.448-1 1v6c0 0.552 0.448 1 1 1h3.5v1h-1c-0.552 0-1 0.448-1 1s0.448 1 1 1h4c0.552 0 1-0.448 1-1s-0.448-1-1-1h-1v-1h3.5c0.552 0 1-0.448 1-1v-6c0-0.552-0.448-1-1-1zM30 27h-7v-4h7v4zM2 8h3.5v1h-1c-0.552 0-1 0.448-1 1s0.448 1 1 1h4c0.552 0 1-0.448 1-1s-0.448-1-1-1h-1v-1h3.5c0.552 0 1-0.448 1-1v-6c0-0.552-0.448-1-1-1h-9c-0.552 0-1 0.448-1 1v6c0 0.552 0.448 1 1 1zM3 2h7v4h-7v-4zM5.795 12.79c-0.19 0.19-0.295 0.445-0.295 0.71s0.105 0.52 0.295 0.705c0.185 0.19 0.44 0.295 0.705 0.295 0.26 0 0.52-0.105 0.705-0.295 0.19-0.185 0.295-0.445 0.295-0.705s-0.105-0.52-0.295-0.71c-0.37-0.37-1.040-0.37-1.41 0zM14.5 24.5c-0.19 0-0.366 0.056-0.518 0.149-0.178-3.579-3.052-6.453-6.631-6.632 0.093-0.151 0.149-0.328 0.149-0.517 0-0.555-0.45-1-1-1s-1 0.445-1 1c0 0.236 0.086 0.451 0.224 0.622-3.252 0.602-5.724 3.454-5.724 6.878 0 3.86 3.14 7 7 7 3.423 0 6.276-2.472 6.878-5.724 0.171 0.137 0.386 0.224 0.622 0.224 0.55 0 1-0.45 1-1s-0.45-1-1-1zM7 30c-2.757 0-5-2.243-5-5s2.243-5 5-5 5 2.243 5 5-2.243 5-5 5zM17.79 24.79c-0.185 0.19-0.29 0.445-0.29 0.71 0 0.26 0.105 0.52 0.295 0.705 0.185 0.19 0.44 0.295 0.705 0.295 0.26 0 0.52-0.105 0.705-0.295 0.19-0.185 0.295-0.445 0.295-0.705 0-0.265-0.105-0.52-0.295-0.71-0.37-0.37-1.040-0.37-1.415 0zM9.207 22.793c-0.39-0.39-1.024-0.39-1.414 0l-0.793 0.793-0.793-0.793c-0.39-0.39-1.024-0.39-1.414 0s-0.391 1.023 0 1.414l0.793 0.793-0.793 0.793c-0.391 0.39-0.391 1.023 0 1.414 0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293l0.793-0.793 0.793 0.793c0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293c0.39-0.39 0.39-1.023 0-1.414l-0.793-0.793 0.793-0.793c0.39-0.39 0.39-1.023 0-1.414z"></path>'),
	   	 			'sort-amount-desc2' => array('keywords' => 'sort-amount-desc2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M21.714 28.286v3.429q0 0.25-0.161 0.411t-0.411 0.161h-4.571q-0.25 0-0.411-0.161t-0.161-0.411v-3.429q0-0.25 0.161-0.411t0.411-0.161h4.571q0.25 0 0.411 0.161t0.161 0.411zM13.143 26q0 0.214-0.179 0.429l-5.696 5.696q-0.179 0.161-0.411 0.161-0.214 0-0.411-0.161l-5.714-5.714q-0.268-0.286-0.125-0.625 0.143-0.357 0.536-0.357h3.429v-24.571q0-0.25 0.161-0.411t0.411-0.161h3.429q0.25 0 0.411 0.161t0.161 0.411v24.571h3.429q0.25 0 0.411 0.161t0.161 0.411zM25.143 19.143v3.429q0 0.25-0.161 0.411t-0.411 0.161h-8q-0.25 0-0.411-0.161t-0.161-0.411v-3.429q0-0.25 0.161-0.411t0.411-0.161h8q0.25 0 0.411 0.161t0.161 0.411zM28.571 10v3.429q0 0.25-0.161 0.411t-0.411 0.161h-11.429q-0.25 0-0.411-0.161t-0.161-0.411v-3.429q0-0.25 0.161-0.411t0.411-0.161h11.429q0.25 0 0.411 0.161t0.161 0.411zM32 0.857v3.429q0 0.25-0.161 0.411t-0.411 0.161h-14.857q-0.25 0-0.411-0.161t-0.161-0.411v-3.429q0-0.25 0.161-0.411t0.411-0.161h14.857q0.25 0 0.411 0.161t0.161 0.411z"></path>'),
	   	 			'audiotrack' => array('keywords' => 'audiotrack ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 4.667h9.313v4h-5.313v14.688h-0.063q-0.25 2.25-1.938 3.781t-4 1.531q-2.5 0-4.25-1.75t-1.75-4.25 1.75-4.25 4.25-1.75q1.063 0 2 0.375v-12.375z"></path>'),
	   	 			'local_restaurant' => array('keywords' => 'local_restaurant ','viewbox' => '0 0 32 32', 'path' =>'<path d="M19.813 16.042l-1.938 1.938 9.188 9.188-1.875 1.875-9.188-9.188-9.188 9.188-1.875-1.875 13-13q-0.75-1.5-0.219-3.5t2.094-3.563q1.938-1.938 4.313-2.219t3.813 1.156 1.156 3.844-2.219 4.344q-1.563 1.563-3.563 2.063t-3.5-0.25zM10.813 18.479l-5.625-5.625q-1.563-1.563-1.563-3.75t1.563-3.75l9.375 9.313z"></path>'),
	   	 			'volume1_none' => array('keywords' => 'volume1_none ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25.060 0.354l-0.21-0.107c-0.864-0.441-2.054-0.278-2.77 0.38l-9.108 8.372h-4.471c-1.655 0-3 1.345-3 3v8c0 1.654 1.345 3 3 3h4.471l9.108 8.371c0.445 0.41 1.075 0.628 1.695 0.628 0.376 0 0.749-0.080 1.075-0.247l0.211-0.108c0.821-0.419 1.44-1.438 1.44-2.369v-26.553c0-0.931-0.619-1.95-1.44-2.369zM7.5 20v-8c0-0.552 0.449-1 1-1h4v10h-4c-0.551 0-1-0.448-1-1zM24.5 29.276c0 0.183-0.193 0.508-0.349 0.587l-0.212 0.108c-0.121 0.061-0.405 0.021-0.506-0.072l-8.934-8.212v-11.376l8.934-8.211c0.102-0.093 0.386-0.133 0.506-0.072l0.211 0.107c0.156 0.080 0.349 0.404 0.349 0.587v26.553z"></path>'),
	   	 			'user-plus2' => array('keywords' => 'user-plus2 ','viewbox' => '0 0 37 32', 'path' =>'<path d="M12.571 16.286q-2.839 0-4.848-2.009t-2.009-4.848 2.009-4.848 4.848-2.009 4.848 2.009 2.009 4.848-2.009 4.848-4.848 2.009zM29.714 18.571h6.286q0.232 0 0.402 0.17t0.17 0.402v3.429q0 0.232-0.17 0.402t-0.402 0.17h-6.286v6.286q0 0.232-0.17 0.402t-0.402 0.17h-3.429q-0.232 0-0.402-0.17t-0.17-0.402v-6.286h-6.286q-0.232 0-0.402-0.17t-0.17-0.402v-3.429q0-0.232 0.17-0.402t0.402-0.17h6.286v-6.286q0-0.232 0.17-0.402t0.402-0.17h3.429q0.232 0 0.402 0.17t0.17 0.402v6.286zM16.571 22.571q0 0.929 0.679 1.607t1.607 0.679h4.571v4.25q-1.214 0.893-3.054 0.893h-15.607q-2.161 0-3.464-1.232t-1.304-3.393q0-0.946 0.063-1.848t0.25-1.946 0.473-1.938 0.768-1.741 1.107-1.446 1.527-0.955 1.991-0.357q0.339 0 0.696 0.304 1.411 1.089 2.759 1.634t2.938 0.545 2.938-0.545 2.759-1.634q0.357-0.304 0.696-0.304 2.357 0 3.875 1.714h-3.982q-0.929 0-1.607 0.679t-0.679 1.607v3.429z"></path>'),
	   	 			'bell2' => array('keywords' => 'bell2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16.286 30.571q0-0.286-0.286-0.286-1.054 0-1.813-0.759t-0.759-1.813q0-0.286-0.286-0.286t-0.286 0.286q0 1.304 0.92 2.223t2.223 0.92q0.286 0 0.286-0.286zM30.857 25.429q0 0.929-0.679 1.607t-1.607 0.679h-8q0 1.893-1.339 3.232t-3.232 1.339-3.232-1.339-1.339-3.232h-8q-0.929 0-1.607-0.679t-0.679-1.607q0.893-0.75 1.625-1.571t1.518-2.134 1.33-2.83 0.893-3.679 0.348-4.643q0-2.714 2.089-5.045t5.482-2.83q-0.143-0.339-0.143-0.696 0-0.714 0.5-1.214t1.214-0.5 1.214 0.5 0.5 1.214q0 0.357-0.143 0.696 3.393 0.5 5.482 2.83t2.089 5.045q0 2.482 0.348 4.643t0.893 3.679 1.33 2.83 1.518 2.134 1.625 1.571z"></path>'),
	   	 			'hotairballoon' => array('keywords' => 'hotairballoon ','viewbox' => '0 0 28 32', 'path' =>'<path d="M28 9.401c0-6.326-4.579-9.401-14-9.401s-14 3.075-14 9.401c0 7.275 13.173 15.668 13.733 16.021 0.001 0.001 0.003 0 0.005 0.001 0.011 0.007 0.023 0.007 0.035 0.013 0.072 0.038 0.148 0.064 0.227 0.064s0.155-0.026 0.227-0.063c0.011-0.006 0.024-0.006 0.035-0.013 0.001-0.001 0.003 0 0.005-0.001 0.56-0.354 13.733-8.746 13.733-16.022zM18 9.401c0 5.56-2.876 12.121-4 14.473-1.124-2.351-4-8.909-4-14.473 0-7.53 2.283-8.401 4-8.401s4 0.871 4 8.401zM9 9.401c0 4.797 1.979 10.141 3.331 13.236-2.742-2.897-7.331-8.456-7.331-13.236 0-4.69 1.918-7.327 5.977-8.132-1.324 1.448-1.977 4.142-1.977 8.132zM19 9.401c0-3.99-0.652-6.684-1.977-8.132 4.059 0.805 5.977 3.443 5.977 8.132 0 4.78-4.589 10.338-7.331 13.236 1.352-3.094 3.331-8.439 3.331-13.236zM1 9.401c0-3.971 1.987-6.47 6.156-7.632-2.114 1.532-3.156 4.064-3.156 7.632 0 4.203 3.135 8.792 5.838 11.973-3.858-3.068-8.838-7.83-8.838-11.973zM18.162 21.374c2.703-3.181 5.838-7.769 5.838-11.973 0-3.568-1.042-6.101-3.156-7.632 4.169 1.162 6.156 3.661 6.156 7.632 0 4.143-4.98 8.905-8.838 11.973zM11.5 27c-0.276 0-0.5 0.224-0.5 0.5v3c0 0.841 0.659 1.5 1.5 1.5h3c0.841 0 1.5-0.659 1.5-1.5v-3c0-0.276-0.224-0.5-0.5-0.5h-5zM16 30.5c0 0.294-0.206 0.5-0.5 0.5h-3c-0.294 0-0.5-0.206-0.5-0.5v-2.5h4v2.5z"></path>'),
	   	 			'hourglass-1' => array('keywords' => 'hourglass-1 ','viewbox' => '0 0 27 32', 'path' =>'<path d="M25.143 2.571q0 4.661-1.902 8.241t-4.759 5.473q2.857 1.893 4.759 5.473t1.902 8.241h1.714q0.25 0 0.411 0.161t0.161 0.411v1.143q0 0.25-0.161 0.411t-0.411 0.161h-26.286q-0.25 0-0.411-0.161t-0.161-0.411v-1.143q0-0.25 0.161-0.411t0.411-0.161h1.714q0-4.661 1.902-8.241t4.759-5.473q-2.857-1.893-4.759-5.473t-1.902-8.241h-1.714q-0.25 0-0.411-0.161t-0.161-0.411v-1.143q0-0.25 0.161-0.411t0.411-0.161h26.286q0.25 0 0.411 0.161t0.161 0.411v1.143q0 0.25-0.161 0.411t-0.411 0.161h-1.714zM22.857 2.571h-18.286q0 1.179 0.161 2.286h17.964q0.161-1.089 0.161-2.286zM22.857 30q0-2.321-0.607-4.455t-1.616-3.714-2.259-2.714-2.607-1.688h-4.107q-1.357 0.554-2.607 1.688t-2.259 2.714-1.616 3.714-0.607 4.455h18.286z"></path>'),
	   	 			'quote-left' => array('keywords' => 'quote-left ','viewbox' => '0 0 30 32', 'path' =>'<path d="M13.714 17.429v6.857q0 1.429-1 2.429t-2.429 1h-6.857q-1.429 0-2.429-1t-1-2.429v-12.571q0-1.857 0.723-3.545t1.955-2.92 2.92-1.955 3.545-0.723h1.143q0.464 0 0.804 0.339t0.339 0.804v2.286q0 0.464-0.339 0.804t-0.804 0.339h-1.143q-1.893 0-3.232 1.339t-1.339 3.232v0.571q0 0.714 0.5 1.214t1.214 0.5h4q1.429 0 2.429 1t1 2.429zM29.714 17.429v6.857q0 1.429-1 2.429t-2.429 1h-6.857q-1.429 0-2.429-1t-1-2.429v-12.571q0-1.857 0.723-3.545t1.955-2.92 2.92-1.955 3.545-0.723h1.143q0.464 0 0.804 0.339t0.339 0.804v2.286q0 0.464-0.339 0.804t-0.804 0.339h-1.143q-1.893 0-3.232 1.339t-1.339 3.232v0.571q0 0.714 0.5 1.214t1.214 0.5h4q1.429 0 2.429 1t1 2.429z"></path>'),
	   	 			'compass_tool2' => array('keywords' => 'compass_tool2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M26.931 30.636l-3.956-10.136h1.024c0.552 0 1-0.448 1-1s-0.448-1-1-1h-1.804l-2.991-7.666c1.096-0.918 1.796-2.296 1.796-3.834 0-2.415-1.72-4.434-4-4.899v-1.101c0-0.552-0.448-1-1-1s-1 0.448-1 1v1.101c-2.28 0.465-4 2.485-4 4.899 0 1.538 0.7 2.916 1.796 3.834l-2.992 7.666h-1.804c-0.552 0-1 0.448-1 1s0.448 1 1 1h1.024l-3.955 10.136c-0.2 0.515 0.053 1.095 0.568 1.296 0.12 0.047 0.242 0.069 0.364 0.069 0.4 0 0.777-0.241 0.932-0.637l4.24-10.864h3.829c0 0.552 0.448 1 1 1s1-0.448 1-1h3.829l4.239 10.864c0.154 0.395 0.532 0.637 0.932 0.637 0.12 0 0.244-0.023 0.363-0.069 0.514-0.201 0.768-0.78 0.567-1.296zM16 4c1.654 0 3 1.345 3 3s-1.346 3-3 3c-1.655 0-3-1.345-3-3s1.346-3 3-3zM17 18.5c0-0.552-0.448-1-1-1s-1 0.448-1 1h-3.049l2.619-6.711c0.454 0.136 0.933 0.211 1.43 0.211s0.976-0.075 1.43-0.211l2.619 6.711h-3.049z"></path>'),
	   	 			'letter_box3' => array('keywords' => 'letter_box3 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25 0h-18c-3.86 0-7 3.14-7 7v8c0 0.552 0.448 1 1 1h12v15c0 0.552 0.448 1 1 1h4c0.552 0 1-0.448 1-1v-15h12c0.552 0 1-0.448 1-1v-8c0-3.86-3.14-7-7-7zM25 2c2.757 0 5 2.243 5 5v7h-16v-7c0-1.958-0.81-3.728-2.111-5h13.111zM7 2c2.757 0 5 2.243 5 5v7h-10v-7c0-2.757 2.243-5 5-5zM17 30h-2v-14h2v14zM17 8.5h7v2c0 0.552 0.448 1 1 1s1-0.448 1-1v-3c0-0.552-0.448-1-1-1h-8c-0.552 0-1 0.448-1 1s0.448 1 1 1zM5 13h4c0.552 0 1-0.448 1-1s-0.448-1-1-1h-4c-0.552 0-1 0.448-1 1s0.448 1 1 1z"></path>'),
	   	 			'pie_chart' => array('keywords' => 'pie_chart ','viewbox' => '0 0 32 32', 'path' =>'<path d="M18 15h13c0.003-0.001 0.007-0.001 0.010 0 0.552 0 1-0.448 1-1 0-0.097-0.014-0.191-0.039-0.28-1.023-7.022-6.822-12.777-13.839-13.711-0.285-0.036-0.573 0.049-0.791 0.239s-0.341 0.464-0.341 0.752v13c0 0.552 0.448 1 1 1zM19 2.192c5.299 1.175 9.614 5.491 10.805 10.808h-10.805v-10.808zM31 17h-16v-16c0-0.288-0.124-0.562-0.341-0.752s-0.506-0.278-0.79-0.239c-7.907 1.044-13.869 7.92-13.869 15.992 0 8.822 7.178 16 16 16 8.072 0 14.947-5.962 15.991-13.869 0.038-0.285-0.049-0.573-0.239-0.79s-0.463-0.341-0.752-0.341zM16 30c-7.72 0-14-6.28-14-14 0-6.681 4.654-12.426 11-13.811v15.811c0 0.552 0.448 1 1 1h15.81c-1.384 6.346-7.129 11-13.81 11z"></path>'),
	   	 			'map-o' => array('keywords' => 'map-o ','viewbox' => '0 0 37 32', 'path' =>'<path d="M36.071 0.482q0.5 0.357 0.5 0.946v25.143q0 0.357-0.196 0.643t-0.518 0.411l-11.429 4.571q-0.429 0.196-0.857 0l-11-4.393-11 4.393q-0.179 0.089-0.429 0.089-0.339 0-0.643-0.196-0.5-0.357-0.5-0.946v-25.143q0-0.357 0.196-0.643t0.518-0.411l11.429-4.571q0.429-0.196 0.857 0l11 4.393 11-4.393q0.571-0.232 1.071 0.107zM13.143 2.893v22.679l10.286 4.107v-22.679zM2.286 6.768v22.679l9.714-3.875v-22.679zM34.286 25.804v-22.679l-9.714 3.875v22.679z"></path>'),
	   	 			'computer_symbol' => array('keywords' => 'computer_symbol ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31 23.5h-30c-0.552 0-1 0.448-1 1s0.448 1 1 1h30c0.552 0 1-0.448 1-1s-0.448-1-1-1zM28 9.5c0-1.65-1.351-3-3-3h-18c-1.651 0-3 1.35-3 3v13h24v-13zM6 9.5c0-0.55 0.45-1 1-1h18c0.55 0 1 0.45 1 1v11h-20v-11z"></path>'),
	   	 			'flad_symbol1' => array('keywords' => 'flad_symbol1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M4.5 31v-30c0-0.552-0.447-1-1-1s-1 0.448-1 1v30c0 0.552 0.448 1 1 1s1-0.448 1-1zM28.5 20h-22c-0.552 0-1-0.448-1-1v-18c0-0.552 0.448-1 1-1h22c0.363 0 0.695 0.196 0.872 0.51s0.169 0.702-0.019 1.010l-5.181 8.479 5.181 8.479c0.189 0.308 0.196 0.695 0.019 1.011s-0.51 0.511-0.872 0.511zM7.5 18h19.218l-4.57-7.479c-0.196-0.32-0.196-0.723 0-1.043l4.57-7.479h-19.218v16z"></path>'),
	   	 			'folder_8' => array('keywords' => 'folder_8 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 6.5h-14.070l-3.369-3.561c-0.292-0.293-0.677-0.439-1.060-0.439v0h-7.5c-1.651 0-3 1.349-3 3v21c0 1.649 1.349 3 3 3h26c1.649 0 3-1.351 3-3v-17c0-1.651-1.351-3-3-3zM30 26.5c0 0.55-0.45 1-1 1h-26c-0.55 0-1-0.45-1-1v-17c0-0.55 0.45-1 1-1h26c0.55 0 1 0.45 1 1v17zM23.707 17.293l-2.67-2.67c-0.39-0.39-1.023-0.39-1.414 0s-0.39 1.024 0 1.414l1.962 1.963-1.963 1.964c-0.39 0.39-0.39 1.023 0 1.414 0.39 0.39 1.023 0.39 1.414 0 0.001-0.001 0.002-0.002 0.002-0.003l2.665-2.666c0.001 0 0.002-0.001 0.003-0.002 0.195-0.195 0.293-0.451 0.293-0.707s-0.098-0.512-0.293-0.707zM12.377 14.623c-0.39-0.39-1.024-0.39-1.414 0-0.001 0.001-0.002 0.002-0.002 0.002l-2.661 2.662c-0.002 0.002-0.005 0.004-0.008 0.006-0.389 0.39-0.389 1.023 0 1.414 0.002 0.002 0.004 0.003 0.005 0.005l2.665 2.665c0.39 0.39 1.024 0.39 1.414 0s0.39-1.023 0-1.414l-1.963-1.963 1.963-1.963c0.39-0.39 0.39-1.024 0-1.414zM18.052 14.319c-0.36-0.207-0.817-0.084-1.024 0.274l-3.5 6.063c-0.207 0.358-0.085 0.817 0.274 1.024 0.358 0.207 0.818 0.084 1.024-0.274l3.5-6.063c0.207-0.358 0.084-0.818-0.274-1.024z"></path>'),
	   	 			'maximize_symbol' => array('keywords' => 'maximize_symbol ','viewbox' => '0 0 32 32', 'path' =>'<path d="M27.082 4.003c-0.028-0.003-0.055-0.003-0.083-0.003h-6c-0.552 0-1 0.448-1 1s0.448 1 1 1h3.588l-7.294 7.294c-0.39 0.39-0.39 1.024 0 1.414 0.195 0.196 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293l7.292-7.292 0 3.585c0 0.552 0.448 1 1 1s1-0.448 1-1l-0-5.064c0-1.198 0-1.857-0.917-1.934zM31 22.5c-0.552 0-1 0.448-1 1v0.5h-0.5c-0.552 0-1 0.448-1 1s0.448 1 1 1h1.5c0.552 0 1-0.448 1-1v-1.5c0-0.552-0.448-1-1-1zM16.667 24h-0.667v-7c0-0.552-0.448-1-1-1h-7v-0.667c0-0.552-0.448-1-1-1s-1 0.448-1 1v0.667h-5c-0.552 0-1 0.448-1 1v14c0 0.552 0.448 1 1 1h14c0.552 0 1-0.448 1-1v-5h0.667c0.552 0 1-0.448 1-1s-0.448-1-1-1zM14 30h-12v-12h4v0.833c0 0.552 0.448 1 1 1s1-0.448 1-1v-0.833h6v6h-0.833c-0.552 0-1 0.448-1 1s0.448 1 1 1h0.833v4zM24.834 24h-3.5c-0.552 0-1 0.448-1 1s0.448 1 1 1h3.5c0.552 0 1-0.448 1-1s-0.448-1-1-1zM8.5 24h-0.5v-0.5c0-0.552-0.448-1-1-1s-1 0.448-1 1v1.5c0 0.552 0.448 1 1 1h1.5c0.552 0 1-0.448 1-1s-0.448-1-1-1zM7 11.666c0.552 0 1-0.448 1-1v-3.5c0-0.552-0.448-1-1-1s-1 0.448-1 1v3.5c0 0.553 0.448 1 1 1zM7 3.5c0.552 0 1-0.448 1-1v-0.5h0.5c0.552 0 1-0.448 1-1s-0.448-1-1-1h-1.5c-0.552 0-1 0.448-1 1v1.5c0 0.552 0.448 1 1 1zM13.166 2h3.5c0.552 0 1-0.448 1-1s-0.448-1-1-1h-3.5c-0.552 0-1 0.448-1 1s0.448 1 1 1zM21.333 2h3.5c0.552 0 1-0.448 1-1s-0.448-1-1-1h-3.5c-0.552 0-1 0.448-1 1s0.448 1 1 1zM31 0h-1.5c-0.552 0-1 0.448-1 1s0.448 1 1 1h0.5v0.5c0 0.552 0.448 1 1 1s1-0.448 1-1v-1.5c0-0.552-0.448-1-1-1zM31 6.167c-0.552 0-1 0.447-1 1v3.5c0 0.552 0.448 1 1 1s1-0.448 1-1v-3.5c0-0.553-0.448-1-1-1zM31 14.334c-0.552 0-1 0.448-1 1v3.5c0 0.552 0.448 1 1 1s1-0.448 1-1v-3.5c0-0.553-0.448-1-1-1z"></path>'),
	   	 			'credit-card-alt' => array('keywords' => 'credit-card-alt ','viewbox' => '0 0 41 32', 'path' =>'<path d="M0 27.143v-10.857h41.143v10.857q0 1.179-0.839 2.018t-2.018 0.839h-35.429q-1.179 0-2.018-0.839t-0.839-2.018zM11.429 23.143v2.286h6.857v-2.286h-6.857zM4.571 23.143v2.286h4.571v-2.286h-4.571zM38.286 2.571q1.179 0 2.018 0.839t0.839 2.018v4h-41.143v-4q0-1.179 0.839-2.018t2.018-0.839h35.429z"></path>'),
	   	 			'more_vert' => array('keywords' => 'more_vert ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 21.979q1.063 0 1.875 0.813t0.813 1.875-0.813 1.875-1.875 0.813-1.875-0.813-0.813-1.875 0.813-1.875 1.875-0.813zM16 13.979q1.063 0 1.875 0.813t0.813 1.875-0.813 1.875-1.875 0.813-1.875-0.813-0.813-1.875 0.813-1.875 1.875-0.813zM16 11.354q-1.063 0-1.875-0.813t-0.813-1.875 0.813-1.875 1.875-0.813 1.875 0.813 0.813 1.875-0.813 1.875-1.875 0.813z"></path>'),
	   	 			'merge_type' => array('keywords' => 'merge_type ','viewbox' => '0 0 32 32', 'path' =>'<path d="M10 11.354l6-6 6 6h-4.688v8.5l-8 8-1.875-1.875 7.25-7.188v-7.438h-4.688zM22.688 27.854l-4.563-4.5 1.875-1.875 4.563 4.5z"></path>'),
	   	 			'loop' => array('keywords' => 'loop ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 24.667v-4l5.313 5.313-5.313 5.375v-4q-4.375 0-7.531-3.156t-3.156-7.531q0-3.125 1.688-5.688l1.938 1.938q-0.938 1.688-0.938 3.75 0 3.313 2.344 5.656t5.656 2.344zM16 5.979q4.375 0 7.531 3.156t3.156 7.531q0 3.125-1.688 5.688l-1.938-1.938q0.938-1.688 0.938-3.75 0-3.313-2.344-5.656t-5.656-2.344v4l-5.313-5.313 5.313-5.375v4z"></path>'),
	   	 			'flattr' => array('keywords' => 'flattr ','viewbox' => '0 0 32 32', 'path' =>'<path d="M11.486 0c-7.605 0-11.486 4.38-11.486 12.558v0 17.157l7.45-7.457v-8.716c0-3.388 0.898-5.544 3.91-6.028v0c1.052-0.206 3.242-0.134 4.635-0.134v0 5.175c0 0.047 0.006 0.131 0.019 0.175v0c0.058 0.21 0.248 0.363 0.472 0.363v0c0.127 0 0.246-0.066 0.368-0.187v0l12.91-12.905-18.277-0.002zM24.55 9.742v8.715c0 3.388-0.898 5.544-3.91 6.028v0c-1.052 0.206-3.242 0.134-4.635 0.134v0-5.175c0-0.047-0.006-0.131-0.019-0.174v0c-0.058-0.21-0.248-0.363-0.472-0.363v0c-0.127-0-0.246 0.066-0.368 0.186v0l-12.91 12.905 18.277 0.002c7.605 0 11.486-4.38 11.486-12.558v0-17.157l-7.45 7.457z"></path>'),
	   	 			'weather_10' => array('keywords' => 'weather_10 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M32 14c0-3.86-3.14-7-7-7-0.477 0-0.954 0.050-1.424 0.149-1.648-2.578-4.482-4.149-7.576-4.149-3.919 0-7.347 2.539-8.545 6.181-0.474-0.12-0.96-0.181-1.455-0.181-3.308 0-6 2.691-6 6s2.692 6 6 6h9.416c-0.258 0.802-0.416 1.563-0.416 2.227 0 3.183 2.692 5.773 6 5.773s6-2.59 6-5.773c0-0.715-0.183-1.541-0.477-2.41 3.128-0.698 5.477-3.483 5.477-6.818zM21 27c-2.206 0-4-1.692-4-3.773 0-2.111 2.424-6.151 4-8.485 1.576 2.334 4 6.374 4 8.485 0 2.080-1.794 3.773-4 3.773zM25.756 18.936c-1.421-3.033-3.596-6.046-3.948-6.528-0.189-0.257-0.488-0.409-0.807-0.409s-0.618 0.152-0.806 0.409c-0.355 0.485-2.558 3.537-3.978 6.591h-10.216c-2.205 0-4-1.794-4-4s1.795-4 4-4c0.593 0 1.171 0.132 1.716 0.392 0.279 0.133 0.605 0.13 0.882-0.011s0.473-0.4 0.531-0.704c0.629-3.29 3.518-5.677 6.87-5.677 2.617 0 4.996 1.447 6.209 3.775 0.227 0.437 0.738 0.642 1.204 0.486 0.519-0.174 1.053-0.261 1.587-0.261 2.757 0 5 2.243 5 5 0 2.5-1.846 4.571-4.245 4.936z"></path>'),
	   	 			'color_lens' => array('keywords' => 'color_lens ','viewbox' => '0 0 32 32', 'path' =>'<path d="M23.313 16.667q0.813 0 1.406-0.563t0.594-1.438-0.594-1.438-1.406-0.563-1.406 0.563-0.594 1.438 0.594 1.438 1.406 0.563zM19.313 11.354q0.813 0 1.406-0.594t0.594-1.406-0.594-1.406-1.406-0.594-1.406 0.594-0.594 1.406 0.594 1.406 1.406 0.594zM12.688 11.354q0.813 0 1.406-0.594t0.594-1.406-0.594-1.406-1.406-0.594-1.406 0.594-0.594 1.406 0.594 1.406 1.406 0.594zM8.688 16.667q0.813 0 1.406-0.563t0.594-1.438-0.594-1.438-1.406-0.563-1.406 0.563-0.594 1.438 0.594 1.438 1.406 0.563zM16 4.667q4.938 0 8.469 3.125t3.531 7.562q0 2.75-1.969 4.688t-4.719 1.938h-2.313q-0.875 0-1.438 0.594t-0.563 1.406q0 0.688 0.5 1.313t0.5 1.375q0 0.875-0.563 1.438t-1.438 0.563q-5 0-8.5-3.5t-3.5-8.5 3.5-8.5 8.5-3.5z"></path>'),
	   	 			'bookmark-o' => array('keywords' => 'bookmark-o ','viewbox' => '0 0 23 32', 'path' =>'<path d="M20.571 4.857h-18.286v22.179l9.143-8.768 1.589 1.518 7.554 7.25v-22.179zM20.786 2.571q0.411 0 0.786 0.161 0.589 0.232 0.938 0.732t0.348 1.107v23.018q0 0.607-0.348 1.107t-0.938 0.732q-0.339 0.143-0.786 0.143-0.857 0-1.482-0.571l-7.875-7.571-7.875 7.571q-0.643 0.589-1.482 0.589-0.411 0-0.786-0.161-0.589-0.232-0.938-0.732t-0.348-1.107v-23.018q0-0.607 0.348-1.107t0.938-0.732q0.375-0.161 0.786-0.161h18.714z"></path>'),
	   	 			'whatshot' => array('keywords' => 'whatshot ','viewbox' => '0 0 32 32', 'path' =>'<path d="M15.625 25.979q2.688 0 4.531-1.844t1.844-4.531q0-2.75-0.75-5.375-1.938 2.563-6.188 3.438-3.75 0.813-3.75 4.125 0 1.75 1.25 2.969t3.063 1.219zM18 1.542q4 3.25 6.344 7.906t2.344 9.906q0 4.375-3.125 7.5t-7.563 3.125-7.563-3.125-3.125-7.5q0-6.75 4.313-11.875v0.5q0 2.063 1.375 3.5t3.438 1.438q2 0 3.281-1.406t1.281-3.531q0-1.25-0.25-2.875t-0.5-2.563z"></path>'),
	   	 			'camera_symbol1' => array('keywords' => 'camera_symbol1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 8h-8.5c-0.552 0-1-0.449-1-1 0-1.655-1.346-3-3-3h-7c-1.655 0-3 1.345-3 3 0 0.551-0.449 1-1 1h-2.5c-1.655 0-3 1.345-3 3v14c0 1.654 1.345 3 3 3h26c1.654 0 3-1.346 3-3v-14c0-1.655-1.346-3-3-3zM30 25c0 0.552-0.448 1-1 1h-26c-0.551 0-1-0.448-1-1v-14.001c0-0.552 0.449-1 1-1h2.5c1.655 0 3-1.345 3-3 0-0.551 0.448-1 1-1h7c0.552 0 1 0.449 1 1 0 1.655 1.346 3 3 3h8.5c0.552 0 1 0.448 1 1v14.001zM13.5 12c-3.309 0-6 2.691-6 6s2.691 6 6 6 6-2.692 6-6c0-3.309-2.692-6-6-6zM13.5 22c-2.206 0-4-1.795-4-4 0-2.206 1.794-4 4-4s4 1.794 4 4c0 2.205-1.794 4-4 4zM27 14c0 1.105-0.895 2-2 2s-2-0.895-2-2c0-1.105 0.895-2 2-2s2 0.895 2 2z"></path>'),
	   	 			'wireless_4g_modem' => array('keywords' => 'wireless_4g_modem ','viewbox' => '0 0 32 32', 'path' =>'<path d="M20 10h-8c-1.655 0-3 1.345-3 3v12c0 3.86 3.14 7 7 7s7-3.14 7-7v-12c0-1.655-1.346-3-3-3zM16 30c-2.757 0-5-2.243-5-5v-12c0-0.552 0.448-1 1-1h8c0.552 0 1 0.448 1 1v12c0 2.757-2.243 5-5 5zM12.77 7.638c0.875-1.056 2.021-1.638 3.23-1.638s2.355 0.582 3.23 1.638c0.198 0.239 0.483 0.362 0.77 0.362 0.225 0 0.451-0.075 0.637-0.23 0.426-0.352 0.485-0.983 0.133-1.407-1.262-1.524-2.956-2.362-4.77-2.362s-3.508 0.839-4.77 2.362c-0.352 0.425-0.293 1.056 0.133 1.407 0.425 0.352 1.055 0.293 1.408-0.133zM23.719 3.304c-2.060-2.131-4.801-3.304-7.719-3.304s-5.66 1.174-7.719 3.304c-0.384 0.397-0.373 1.030 0.024 1.415s1.031 0.373 1.414-0.024c1.68-1.739 3.91-2.696 6.282-2.696s4.602 0.957 6.282 2.696c0.195 0.202 0.457 0.304 0.718 0.304 0.25 0 0.501-0.093 0.695-0.281 0.396-0.384 0.407-1.017 0.023-1.415zM15 15c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM19 15c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM15 19c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM19 19c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM15 23c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM19 23c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1z"></path>'),
	   	 			'chef_hat_toque' => array('keywords' => 'chef_hat_toque ','viewbox' => '0 0 32 32', 'path' =>'<path d="M24.5 2c-1.030 0-2.017 0.314-2.845 0.888-1.303-1.786-3.407-2.888-5.655-2.888s-4.352 1.101-5.656 2.888c-0.826-0.573-1.814-0.888-2.844-0.888-2.758 0-5 2.243-5 5 0 1.681 0.831 3.22 2.204 4.143l0.796 19.897c0.021 0.536 0.463 0.96 1 0.96h19c0.536 0 0.977-0.424 0.999-0.96l0.796-19.896c1.373-0.924 2.205-2.462 2.205-4.144 0-2.757-2.243-5-5-5zM7.46 30l-0.080-2h17.239l-0.080 2h-17.079zM25.862 9.67c-0.322 0.165-0.53 0.489-0.544 0.851l-0.619 15.479h-3.699c0-0.001 0-0.001 0-0.002v-7.998c0-0.001 0-0.002 0-0.003 0-0.552-0.448-1-1-1s-0.999 0.448-1 1v8.003h-2c0-0.001 0-0.001 0-0.002v-9.998c0-0.001 0-0.002 0-0.003 0-0.552-0.448-1-1-1s-0.999 0.447-1 1v10.003h-2c0-0.001 0-0.001 0-0.002v-7.998c0-0.001 0-0.002 0-0.003 0-0.552-0.447-1-1-1s-0.999 0.448-1 1v8.003h-3.699l-0.62-15.479c-0.014-0.361-0.223-0.686-0.544-0.851-1.011-0.517-1.638-1.54-1.638-2.67 0-1.655 1.346-3 3-3 0.894 0 1.735 0.396 2.308 1.085 0.219 0.263 0.554 0.396 0.896 0.353 0.339-0.043 0.633-0.256 0.778-0.566 0.823-1.744 2.597-2.872 4.519-2.872s3.695 1.128 4.518 2.872c0.145 0.309 0.439 0.522 0.779 0.566s0.677-0.090 0.895-0.353c0.572-0.689 1.413-1.085 2.308-1.085 1.654 0 3 1.345 3 3 0 1.13-0.628 2.154-1.638 2.67z"></path>'),
	   	 			'bullhorn2' => array('keywords' => 'bullhorn2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29.714 11.714q0.946 0 1.616 0.67t0.67 1.616-0.67 1.616-1.616 0.67v6.857q0 0.929-0.679 1.607t-1.607 0.679q-7.446-6.196-14.5-6.786-1.036 0.339-1.625 1.179t-0.554 1.795 0.714 1.652q-0.357 0.589-0.411 1.17t0.107 1.036 0.598 0.982 0.857 0.893 1.098 0.902q-0.518 1.036-1.991 1.482t-3.009 0.205-2.357-0.991q-0.125-0.411-0.527-1.563t-0.571-1.688-0.411-1.589-0.268-1.804 0.063-1.759 0.393-1.973h-2.179q-1.179 0-2.018-0.839t-0.839-2.018v-3.429q0-1.179 0.839-2.018t2.018-0.839h8.571q7.768 0 16-6.857 0.929 0 1.607 0.679t0.679 1.607v6.857zM27.429 22.5v-17.036q-7.036 5.393-13.714 6.125v4.821q6.732 0.75 13.714 6.089z"></path>'),
	   	 			'file-powerpoint-o' => array('keywords' => 'file-powerpoint-o ','viewbox' => '0 0 27 32', 'path' =>'<path d="M26.214 7.071q0.5 0.5 0.857 1.357t0.357 1.571v20.571q0 0.714-0.5 1.214t-1.214 0.5h-24q-0.714 0-1.214-0.5t-0.5-1.214v-28.571q0-0.714 0.5-1.214t1.214-0.5h16q0.714 0 1.571 0.357t1.357 0.857zM18.286 2.714v6.714h6.714q-0.179-0.518-0.393-0.732l-5.589-5.589q-0.214-0.214-0.732-0.393zM25.143 30v-18.286h-7.429q-0.714 0-1.214-0.5t-0.5-1.214v-7.429h-13.714v27.429h22.857zM7.429 25.821v1.893h5.839v-1.893h-1.661v-2.982h2.446q1.357 0 2.107-0.268 1.196-0.411 1.902-1.554t0.705-2.607q0-1.446-0.661-2.518t-1.786-1.554q-0.857-0.339-2.321-0.339h-6.571v1.911h1.643v9.911h-1.643zM13.732 20.821h-2.125v-4.786h2.143q0.929 0 1.482 0.321 1 0.589 1 2.054 0 1.589-1.107 2.143-0.554 0.268-1.393 0.268z"></path>'),
	   	 			'indent-decrease' => array('keywords' => 'indent-decrease ','viewbox' => '0 0 32 32', 'path' =>'<path d="M0 2h32v4h-32zM12 8h20v4h-20zM12 14h20v4h-20zM12 20h20v4h-20zM0 26h32v4h-32zM8 10v12l-8-6z"></path>'),
	   	 			'ellipsis-v' => array('keywords' => 'ellipsis-v ','viewbox' => '0 0 7 32', 'path' =>'<path d="M6.857 22.571v3.429q0 0.714-0.5 1.214t-1.214 0.5h-3.429q-0.714 0-1.214-0.5t-0.5-1.214v-3.429q0-0.714 0.5-1.214t1.214-0.5h3.429q0.714 0 1.214 0.5t0.5 1.214zM6.857 13.429v3.429q0 0.714-0.5 1.214t-1.214 0.5h-3.429q-0.714 0-1.214-0.5t-0.5-1.214v-3.429q0-0.714 0.5-1.214t1.214-0.5h3.429q0.714 0 1.214 0.5t0.5 1.214zM6.857 4.286v3.429q0 0.714-0.5 1.214t-1.214 0.5h-3.429q-0.714 0-1.214-0.5t-0.5-1.214v-3.429q0-0.714 0.5-1.214t1.214-0.5h3.429q0.714 0 1.214 0.5t0.5 1.214z"></path>'),
	   	 			'basket_n4' => array('keywords' => 'basket_n4 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 8.001h-4v-5.5c0-0.552-0.448-1-1-1h-8c-0.552 0-1 0.448-1 1h-7c-0.552 0-1 0.448-1 1v4.5h2v-3.5h6v3.5h-12c-1.649 0-3 1.35-3 3.001v2c0 1.357 0.915 2.511 2.159 2.877l1.341 11.623c0 1.651 1.349 3 3 3h19c1.649 0 3-1.349 3-3l1.341-11.623c1.244-0.367 2.159-1.52 2.159-2.877v-2c0-1.651-1.349-3-3-3zM17 3.5h6v4.5h-6v-4.5zM26.5 27.5c0 0.55-0.45 1-1 1h-19c-0.55 0-1-0.45-1-1l-1.327-11.5h23.654l-1.327 11.5zM30 13.001c0 0.55-0.45 1-1 1h-26c-0.55 0-1-0.45-1-1v-2c0-0.55 0.45-1.001 1-1.001l26 0.001c0.55 0 1 0.45 1 1v2zM14 26c0.553 0 1-0.448 1-1 0-0.001 0-0.001 0-0.002v-5.495c0-0.001 0-0.002 0-0.003 0-0.552-0.447-1-1-1s-0.999 0.448-1 1v5.5c0 0.552 0.448 1 1 1zM22 26c0.552 0 1-0.448 1-1 0-0.001 0-0.001 0-0.002v-5.495c0-0.001 0-0.002 0-0.003 0-0.552-0.448-1-1-1s-0.999 0.448-1 1v5.5c0 0.552 0.448 1 1 1zM18 26c0.552 0 1-0.448 1-1 0-0.001 0-0.001 0-0.002v-5.495c0-0.001 0-0.002 0-0.003 0-0.552-0.448-1-1-1s-0.999 0.448-1 1v5.5c0 0.552 0.448 1 1 1zM10 26c0.553 0 1-0.448 1-1 0-0.001 0-0.001 0-0.002v-5.495c0-0.001 0-0.002 0-0.003 0-0.552-0.447-1-1-1s-0.999 0.448-1 1v5.5c0 0.552 0.448 1 1 1z"></path>'),
	   	 			'marina_symbol' => array('keywords' => 'marina_symbol ','viewbox' => '0 0 32 32', 'path' =>'<path d="M28 18c-0.001 0-0.002 0-0.003 0h-2.495c-0.001 0-0.001 0-0.002 0-0.552 0-1 0.448-1 1s0.448 1 1 1h1.453c-0.476 5.276-4.675 9.47-9.951 9.948v-16.292h1.999c0.552 0 1-0.448 1-1s-0.448-1-1-1c-0.001 0-0.002 0-0.003 0h-1.996v-1.757c2.281-0.464 4-2.481 3.999-4.899 0.001-2.761-2.24-5-5.001-5s-5 2.24-4.999 5c-0.001 2.42 1.717 4.436 4 4.9v1.757h-1.998c-0.001 0-0.001 0-0.002 0-0.553 0-1 0.447-1 1s0.447 1 1 1h2c0 0 0.001 16.099 0.001 16.293-5.278-0.477-9.479-4.673-9.954-9.95h1.453c0.552 0 1-0.448 1-1s-0.448-1-1-1c-0.001 0-0.002 0-0.003 0h-2.495c-0.001 0-0.001 0-0.002 0-0.553 0-1 0.448-1 1-0.002 7.178 5.823 13 13 13s13.002-5.822 13-13c0-0.552-0.448-1-1-1zM13 5c0-1.657 1.343-2.999 3-3s3 1.343 3 3c-0.001 1.655-1.343 3-3 3s-3-1.343-3-3z"></path>'),
	   	 			'drag_handle' => array('keywords' => 'drag_handle ','viewbox' => '0 0 32 32', 'path' =>'<path d="M5.313 20.667v-2.688h21.375v2.688h-21.375zM26.688 12.667v2.688h-21.375v-2.688h21.375z"></path>'),
	   	 			'headset' => array('keywords' => 'headset ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 1.979q5 0 8.5 3.531t3.5 8.469v9.375q0 1.625-1.188 2.813t-2.813 1.188h-4v-10.688h5.313v-2.688q0-3.875-2.719-6.594t-6.594-2.719-6.594 2.719-2.719 6.594v2.688h5.313v10.688h-4q-1.625 0-2.813-1.188t-1.188-2.813v-9.375q0-4.938 3.5-8.469t8.5-3.531z"></path>'),
	   	 			'paint-format' => array('keywords' => 'paint-format ','viewbox' => '0 0 32 32', 'path' =>'<path d="M32 18v-12h-6v-2c0-1.1-0.9-2-2-2h-22c-1.1 0-2 0.9-2 2v6c0 1.1 0.9 2 2 2h22c1.1 0 2-0.9 2-2v-2h4v8h-18v4h-1c-0.552 0-1 0.448-1 1v10c0 0.552 0.448 1 1 1h4c0.552 0 1-0.448 1-1v-10c0-0.552-0.448-1-1-1h-1v-2h18zM24 6h-22v-2h22v2z"></path>'),
	   	 			'arrow-up3' => array('keywords' => 'arrow-up3 ','viewbox' => '0 0 30 32', 'path' =>'<path d="M28.768 17.625q0 0.911-0.661 1.607l-1.339 1.339q-0.679 0.679-1.625 0.679-0.964 0-1.607-0.679l-5.25-5.232v12.571q0 0.929-0.67 1.509t-1.616 0.58h-2.286q-0.946 0-1.616-0.58t-0.67-1.509v-12.571l-5.25 5.232q-0.643 0.679-1.607 0.679t-1.607-0.679l-1.339-1.339q-0.679-0.679-0.679-1.607 0-0.946 0.679-1.625l11.625-11.625q0.625-0.661 1.607-0.661 0.964 0 1.625 0.661l11.625 11.625q0.661 0.696 0.661 1.625z"></path>'),
	   	 			'box-remove' => array('keywords' => 'box-remove ','viewbox' => '0 0 32 32', 'path' =>'<path d="M26 2h-20l-6 6v21c0 0.552 0.448 1 1 1h30c0.552 0 1-0.448 1-1v-21l-6-6zM20 20v6h-8v-6h-6l10-8 10 8h-6zM4.828 6l2-2h18.343l2 2h-22.343z"></path>'),
	   	 			'collections_bookmark' => array('keywords' => 'collections_bookmark ','viewbox' => '0 0 32 32', 'path' =>'<path d="M26.688 16.667v-10.688h-6.688v10.688l3.313-2zM26.688 3.354q1.063 0 1.844 0.781t0.781 1.844v16q0 1.063-0.781 1.875t-1.844 0.813h-16q-1.063 0-1.875-0.813t-0.813-1.875v-16q0-1.063 0.813-1.844t1.875-0.781h16zM5.313 8.667v18.688h18.688v2.625h-18.688q-1.063 0-1.844-0.781t-0.781-1.844v-18.688h2.625z"></path>'),
	   	 			'folder_13' => array('keywords' => 'folder_13 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M19 17c-0.001 0-0.002 0-0.003 0h-5.995c-0.001 0-0.001 0-0.002 0-0.553 0-1 0.448-1 1s0.447 1 1 1v0h6c0.552 0 1-0.448 1-1s-0.448-1-1-1zM29 6.5h-14.070l-3.369-3.561c-0.292-0.293-0.676-0.439-1.060-0.439v0h-7.5c-1.65 0-3 1.349-3 3v21c0 1.649 1.35 3 3 3h26c1.651 0 3-1.351 3-3v-17c0-1.651-1.349-3-3-3zM30 26.5c0 0.55-0.45 1-1 1h-26c-0.55 0-1-0.45-1-1v-17c0-0.55 0.45-1 1-1h26c0.55 0 1 0.45 1 1v17z"></path>'),
	   	 			'format_list_bulleted' => array('keywords' => 'format_list_bulleted ','viewbox' => '0 0 32 32', 'path' =>'<path d="M9.313 7.354h18.688v2.625h-18.688v-2.625zM9.313 17.979v-2.625h18.688v2.625h-18.688zM9.313 25.979v-2.625h18.688v2.625h-18.688zM5.313 22.917q0.75 0 1.281 0.5t0.531 1.25-0.531 1.25-1.281 0.5-1.25-0.5-0.5-1.25 0.5-1.25 1.25-0.5zM5.313 6.667q0.813 0 1.406 0.563t0.594 1.437-0.594 1.438-1.406 0.563-1.406-0.563-0.594-1.438 0.594-1.438 1.406-0.563zM5.313 14.667q0.813 0 1.406 0.563t0.594 1.438-0.594 1.438-1.406 0.563-1.406-0.563-0.594-1.438 0.594-1.438 1.406-0.563z"></path>'),
	   	 			'user_card1' => array('keywords' => 'user_card1 ','viewbox' => '0 0 25 32', 'path' =>'<path d="M22 0h-19c-1.65 0-3 1.35-3 3v26c0 1.65 1.35 3 3 3h19c1.65 0 3-1.35 3-3v-26c0-1.65-1.35-3-3-3zM23 29c0 0.55-0.45 1-1 1h-19c-0.55 0-1-0.45-1-1v-26c0-0.55 0.45-1 1-1h19c0.55 0 1 0.45 1 1v26zM8.5 17h1v3c0 0.552 0.448 1 1 1h4c0.552 0 1-0.448 1-1v-3h1c0.552 0 1-0.448 1-1 0-2.757-2.243-5-5-5s-5 2.243-5 5c0 0.552 0.448 1 1 1zM12.5 13c1.303 0 2.416 0.836 2.829 2h-0.829c-0.552 0-1 0.448-1 1v3h-2v-3c0-0.552-0.448-1-1-1h-0.829c0.412-1.164 1.525-2 2.829-2zM16 7.5c0-1.929-1.57-3.5-3.5-3.5s-3.5 1.571-3.5 3.5 1.57 3.5 3.5 3.5c1.93 0 3.5-1.57 3.5-3.5zM12.5 9c-0.827 0-1.5-0.673-1.5-1.5s0.673-1.5 1.5-1.5 1.5 0.673 1.5 1.5-0.673 1.5-1.5 1.5zM20 23c-0.001 0-0.002 0-0.003 0h-14.995c-0.001 0-0.002 0-0.003 0-0.552 0-1 0.448-1 1s0.448 1 1 1v0h15c0.552 0 1-0.448 1-1s-0.448-1-1-1zM20 26c-0.001 0-0.002 0-0.003 0h-14.995c-0.001 0-0.002 0-0.003 0-0.552 0-1 0.448-1 1s0.448 1 1 1v0h15c0.552 0 1-0.448 1-1s-0.448-1-1-1z"></path>'),
	   	 			'user_symbol1' => array('keywords' => 'user_symbol1 ','viewbox' => '0 0 20 32', 'path' =>'<path d="M10 13c-5.514 0-10 4.486-10 10 0 0.552 0.448 1 1 1h3.5v7c0 0.552 0.448 1 1 1h9c0.552 0 1-0.448 1-1v-7h3.5c0.552 0 1-0.448 1-1 0-5.514-4.486-10-10-10zM13.518 15.818c-0.011 0.059-0.018 0.12-0.018 0.182v4h-7v-4c0-0.063-0.008-0.123-0.019-0.182 1.063-0.522 2.257-0.818 3.519-0.818s2.456 0.295 3.518 0.818zM4.5 17.206v4.794h-2.438c0.236-1.879 1.131-3.552 2.438-4.794zM13.5 30h-7v-8h7v8zM15.5 22v-4.794c1.308 1.241 2.202 2.915 2.438 4.794h-2.438zM9.5 24c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM12.5 24c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM3.5 7h1.5c0 2.757 2.243 5 5 5s5-2.243 5-5h1.5c0.256 0 0.512-0.098 0.707-0.293 0.39-0.391 0.39-1.024 0-1.414-0.68-0.681-1.197-1.364-1.695-2.023-1.271-1.681-2.472-3.269-5.511-3.269s-4.24 1.589-5.511 3.269c-0.498 0.66-1.014 1.343-1.696 2.023-0.39 0.391-0.39 1.024 0 1.414 0.196 0.196 0.451 0.293 0.707 0.293zM10 10c-1.655 0-3-1.345-3-3h6c0 1.655-1.345 3-3 3zM6.084 4.476c1.167-1.545 1.872-2.476 3.916-2.476s2.749 0.931 3.916 2.476c0.128 0.17 0.261 0.345 0.399 0.524h-8.63c0.138-0.179 0.271-0.354 0.399-0.524z"></path>'),
	   	 			'strikethrough_s' => array('keywords' => 'strikethrough_s ','viewbox' => '0 0 32 32', 'path' =>'<path d="M12.5 18.167q0 3.375 3.875 3.375 3.063 0 3.063-2.25 0-1-0.406-1.438t-1.469-0.938q-0.063 0-0.219-0.063t-0.281-0.125-0.25-0.063h-12.813v-2.688h24v2.688h-5.188q0 0.063 0.094 0.219t0.156 0.219q0.438 1.063 0.438 2.188 0 3.813-4.188 5-1.313 0.375-2.875 0.375-1 0-1.938-0.188-2.25-0.438-3.5-1.375-2.438-1.813-2.438-4.938h3.938zM19.438 10.667q0-2.813-3.188-2.813-2.25 0-2.938 1.375-0.188 0.375-0.188 0.875 0 0.938 1 1.625 1 0.625 1.875 0.938h-6.125q0-0.063-0.125-0.156t-0.125-0.156q-0.5-0.813-0.5-2.25 0-2.313 2-3.938 2.125-1.5 5.188-1.5 3.313 0 5.188 1.688 1.938 1.75 1.938 4.313h-4z"></path>'),
	   	 			'sort-alpha-desc' => array('keywords' => 'sort-alpha-desc ','viewbox' => '0 0 32 32', 'path' =>'<path d="M10 24v-24h-4v24h-5l7 7 7-7h-5zM29 14h-8c-0.369 0-0.708-0.203-0.882-0.528s-0.155-0.72 0.050-1.027l6.963-10.445h-6.131c-0.552 0-1-0.448-1-1s0.448-1 1-1h8c0.369 0 0.708 0.203 0.882 0.528s0.155 0.72-0.050 1.027l-6.963 10.445h6.131c0.552 0 1 0.448 1 1s-0.448 1-1 1zM31.894 30.553l-6-12c-0.169-0.339-0.516-0.553-0.894-0.553s-0.725 0.214-0.895 0.553l-6 12c-0.247 0.494-0.047 1.095 0.447 1.342 0.144 0.072 0.296 0.106 0.447 0.106 0.367 0 0.72-0.203 0.895-0.553l1.724-3.447h6.764l1.724 3.447c0.247 0.494 0.848 0.694 1.342 0.447s0.694-0.848 0.447-1.342zM22.618 26l2.382-4.764 2.382 4.764h-4.764z"></path>'),
	   	 			'aperture' => array('keywords' => 'aperture ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 32c8.822 0 16-7.178 16-16s-7.178-16-16-16-16 7.178-16 16 7.178 16 16 16zM7.71 3.51c-0.877 2.364-1.313 4.809-1.246 7.287 0.050 1.798 0.357 3.599 0.917 5.355 0.435 1.36 1.003 2.655 1.691 3.848 0.11 0.192 0.225 0.381 0.341 0.568 0.095 0.152 0.258 0.236 0.425 0.236 0.091 0 0.182-0.024 0.264-0.075 0.234-0.146 0.307-0.454 0.161-0.688-0.11-0.178-0.219-0.358-0.325-0.541-0.651-1.131-1.191-2.359-1.604-3.651-0.531-1.667-0.823-3.376-0.87-5.079-0.071-2.608 0.416-5.183 1.473-7.714 0.049-0.12 0.101-0.238 0.153-0.356 2.070-1.080 4.417-1.7 6.91-1.7 2.393 0 4.648 0.577 6.657 1.578-2.48 0.423-4.809 1.267-6.919 2.563-1.531 0.939-2.938 2.107-4.179 3.471-0.962 1.055-1.799 2.196-2.487 3.388-0.111 0.192-0.219 0.386-0.322 0.581-0.13 0.244-0.037 0.547 0.207 0.676 0.074 0.040 0.155 0.059 0.234 0.059 0.179 0 0.352-0.097 0.441-0.266 0.098-0.184 0.199-0.367 0.305-0.55 0.652-1.131 1.447-2.212 2.36-3.215 1.179-1.294 2.513-2.401 3.964-3.293 2.225-1.365 4.698-2.231 7.354-2.572 0.146-0.020 0.293-0.036 0.44-0.053 3.917 2.507 6.588 6.776 6.897 11.686-1.606-1.935-3.501-3.53-5.678-4.709-1.582-0.857-3.297-1.491-5.097-1.884-1.62-0.355-3.252-0.506-4.843-0.448-0.275 0.011-0.491 0.242-0.481 0.519 0.010 0.27 0.231 0.481 0.5 0.481 0.006 0 0.012 0 0.019 0 1.496-0.056 3.054 0.088 4.593 0.425 1.707 0.373 3.334 0.975 4.833 1.786 2.295 1.244 4.281 2.953 5.958 5.151 0.072 0.093 0.141 0.188 0.211 0.282-0.215 4.934-2.808 9.258-6.677 11.834 0.877-2.364 1.313-4.809 1.246-7.287-0.050-1.798-0.357-3.599-0.917-5.355-0.435-1.36-1.003-2.655-1.691-3.848-0.11-0.192-0.225-0.381-0.341-0.568-0.146-0.235-0.455-0.305-0.688-0.161-0.234 0.146-0.307 0.454-0.161 0.688 0.11 0.178 0.219 0.358 0.325 0.541 0.651 1.131 1.191 2.359 1.604 3.651 0.531 1.667 0.823 3.376 0.87 5.079 0.071 2.607-0.416 5.183-1.473 7.714-0.050 0.119-0.101 0.238-0.153 0.356-2.071 1.080-4.418 1.7-6.911 1.7-2.393 0-4.648-0.577-6.657-1.578 2.479-0.423 4.809-1.267 6.919-2.563 1.533-0.941 2.939-2.109 4.179-3.471 0.963-1.056 1.8-2.196 2.487-3.389 0.111-0.192 0.219-0.386 0.322-0.581 0.13-0.244 0.037-0.547-0.207-0.676-0.242-0.13-0.547-0.036-0.676 0.207-0.098 0.184-0.199 0.367-0.305 0.55-0.652 1.131-1.447 2.212-2.361 3.215-1.176 1.293-2.51 2.4-3.963 3.293-2.225 1.365-4.698 2.231-7.354 2.572-0.146 0.020-0.293 0.036-0.44 0.053-3.917-2.507-6.588-6.776-6.897-11.686 1.606 1.935 3.501 3.53 5.678 4.709 1.582 0.857 3.297 1.491 5.097 1.884 1.395 0.307 2.8 0.461 4.178 0.461 0.223 0 0.443-0.004 0.665-0.012 0.275-0.011 0.491-0.242 0.481-0.519-0.010-0.275-0.205-0.505-0.519-0.481-1.494 0.057-3.054-0.088-4.593-0.425-1.707-0.373-3.334-0.975-4.833-1.786-2.295-1.244-4.281-2.953-5.958-5.151-0.072-0.093-0.141-0.188-0.211-0.282 0.216-4.934 2.81-9.258 6.678-11.834z"></path>'),
	   	 			'stockpot' => array('keywords' => 'stockpot ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 14h-7.146c-0.665-2.453-3.763-4.279-8.094-4.825 0.155-0.361 0.24-0.758 0.24-1.175 0-1.655-1.345-3-3-3s-3 1.345-3 3c0 0.417 0.085 0.813 0.24 1.175-4.903 0.618-8.241 2.875-8.241 5.825 0 0.073 0.009 0.145 0.025 0.214l0.976 8.786c0 1.65 1.35 3 3 3h14c1.65 0 3-1.35 3-3l0.445-4h7.556c1.654 0 3-1.346 3-3s-1.346-3-3-3zM10.001 8c0-0.552 0.448-1 1-1s1 0.448 1 1-0.448 1-1 1-1-0.448-1-1zM11.001 11c4.598 0 7.746 1.421 8.698 3h-17.396c0.952-1.579 4.101-3 8.698-3zM18 25h-14c-0.55 0-1-0.45-1-1l-0.941-8h17.882l-0.941 8c0 0.55-0.45 1-1 1zM29 18h-7.334l0.223-2h7.111c0.552 0 1 0.448 1 1s-0.448 1-1 1z"></path>'),
	   	 			'cloud-check' => array('keywords' => 'cloud-check ','viewbox' => '0 0 32 32', 'path' =>'<path d="M27.883 16.078c0.076-0.347 0.117-0.708 0.117-1.078 0-2.761-2.239-5-5-5-0.445 0-0.875 0.058-1.285 0.167-0.775-2.417-3.040-4.167-5.715-4.167-2.73 0-5.033 1.823-5.76 4.318-0.711-0.207-1.462-0.318-2.24-0.318-4.418 0-8 3.582-8 8s3.582 8 8 8h19c2.761 0 5-2.239 5-5 0-2.46-1.777-4.505-4.117-4.922zM13 24l-5-5 2-2 3 3 7-7 2 2-9 9z"></path>'),
	   	 			'phonelink_erase' => array('keywords' => 'phonelink_erase ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25.313 1.979q1.063 0 1.875 0.813t0.813 1.875v24q0 1.063-0.813 1.875t-1.875 0.813h-13.313q-1.063 0-1.875-0.813t-0.813-1.875v-4h2.688v2.688h13.313v-21.375h-13.313v2.688h-2.688v-4q0-1.063 0.813-1.875t1.875-0.813h13.313zM17.313 11.604l-5.313 5.313 5.313 5.375-1.313 1.313-5.313-5.313-5.375 5.313-1.313-1.313 5.313-5.375-5.313-5.313 1.313-1.313 5.375 5.313 5.313-5.313z"></path>'),
	   	 			'table' => array('keywords' => 'table ','viewbox' => '0 0 32 32', 'path' =>'<path d="M0 6v22h32v-22h-32zM12 20v-4h8v4h-8zM20 22v4h-8v-4h8zM20 10v4h-8v-4h8zM10 10v4h-8v-4h8zM2 16h8v4h-8v-4zM22 16h8v4h-8v-4zM22 14v-4h8v4h-8zM2 22h8v4h-8v-4zM22 26v-4h8v4h-8z"></path>'),
	   	 			'contact_phone' => array('keywords' => 'contact_phone ','viewbox' => '0 0 32 32', 'path' =>'<path d="M23.813 19.354q-0.5-1.313-0.5-2.688t0.5-2.688h2.188l2-2.625-2.625-2.688q-2.75 2.063-3.688 5.313-0.375 1.313-0.375 2.688t0.375 2.688q0.938 3.25 3.688 5.313l2.625-2.688-2-2.625h-2.188zM18.688 24.667v-1.313q0-1.813-2.75-2.969t-5.25-1.156-5.25 1.156-2.75 2.969v1.313h16zM10.688 8.667q-1.625 0-2.813 1.188t-1.188 2.813 1.188 2.813 2.813 1.188 2.813-1.188 1.188-2.813-1.188-2.813-2.813-1.188zM29.313 4.667q1.063 0 1.875 0.813t0.813 1.875v18.625q0 1.063-0.813 1.875t-1.875 0.813h-26.625q-1.063 0-1.875-0.813t-0.813-1.875v-18.625q0-1.063 0.813-1.875t1.875-0.813h26.625z"></path>'),
	   	 			'contrast' => array('keywords' => 'contrast ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 0c-8.837 0-16 7.163-16 16s7.163 16 16 16 16-7.163 16-16-7.163-16-16-16zM4 16c0-6.627 5.373-12 12-12v24c-6.627 0-12-5.373-12-12z"></path>'),
	   	 			'volume1_mute2' => array('keywords' => 'volume1_mute2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M26.5 25.086v-18.172l5.207-5.207c0.391-0.391 0.391-1.024 0-1.414s-1.024-0.391-1.414 0l-3.793 3.793v-1.362c0-0.931-0.619-1.95-1.44-2.369l-0.21-0.107c-0.864-0.441-2.053-0.278-2.77 0.381l-9.108 8.372h-2.558l-8.707-8.707c-0.39-0.391-1.024-0.391-1.414 0s-0.391 1.024 0 1.414l7.405 7.405c-1.266 0.352-2.199 1.512-2.199 2.888v8c0 1.376 0.933 2.536 2.198 2.887l-7.405 7.405c-0.391 0.39-0.391 1.023 0 1.414 0.196 0.195 0.451 0.293 0.707 0.293s0.511-0.098 0.707-0.293l8.707-8.707h2.558l9.108 8.372c0.445 0.409 1.075 0.628 1.695 0.628 0.376 0 0.749-0.081 1.075-0.247l0.211-0.108c0.821-0.419 1.44-1.437 1.44-2.369v-1.363l3.793 3.793c0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293c0.391-0.39 0.391-1.023 0-1.414l-5.207-5.207zM24.5 23.086l-7.086-7.086 7.086-7.086v14.172zM23.433 2.1c0.102-0.093 0.386-0.133 0.506-0.072l0.211 0.107c0.157 0.080 0.349 0.404 0.349 0.587v3.362l-8.5 8.5-1.5-1.5v-2.774l8.933-8.211zM8.5 21c-0.552 0-1-0.448-1-1v-8c0-0.552 0.448-1 1-1h1.086l2.914 2.914v4.172l-2.914 2.914h-1.086zM24.5 29.276c0 0.183-0.192 0.508-0.349 0.587l-0.212 0.108c-0.121 0.061-0.404 0.021-0.506-0.073l-8.934-8.211v-2.774l1.5-1.5 8.5 8.5v3.363z"></path>'),
	   	 			'power' => array('keywords' => 'power ','viewbox' => '0 0 32 32', 'path' =>'<path d="M21.375 9.979q1 0 1.813 0.844t0.813 1.844v7.313l-4.688 4.688v4h-6.625v-4l-4.688-4.688v-7.313q0-1 0.813-1.844t1.813-0.844h0.063v-5.313h2.625v5.313h5.375v-5.313h2.625z"></path>'),
	   	 			'printer' => array('keywords' => 'printer ','viewbox' => '0 0 32 32', 'path' =>'<path d="M8 2h16v4h-16v-4zM30 8h-28c-1.1 0-2 0.9-2 2v10c0 1.1 0.9 2 2 2h6v8h16v-8h6c1.1 0 2-0.9 2-2v-10c0-1.1-0.9-2-2-2zM4 14c-1.105 0-2-0.895-2-2s0.895-2 2-2 2 0.895 2 2-0.895 2-2 2zM22 28h-12v-10h12v10z"></path>'),
	   	 			'heart-broken' => array('keywords' => 'heart-broken ','viewbox' => '0 0 32 32', 'path' =>'<path d="M23.6 2c4.637 0 8.4 3.764 8.4 8.401 0 9.132-9.87 11.964-15.999 21.232-6.485-9.326-16.001-11.799-16.001-21.232 0-4.637 3.763-8.401 8.4-8.401 1.886 0 3.625 0.86 5.025 2.12l-2.425 3.88 7 4-4 10 11-12-7-4 1.934-2.901c1.107-0.68 2.35-1.099 3.665-1.099z"></path>'),
	   	 			'shield3' => array('keywords' => 'shield3 ','viewbox' => '0 0 27 32', 'path' =>'<path d="M13.5 0c-8.937 0-13.208 5.047-13.386 5.262-0.073 0.090-0.114 0.202-0.114 0.319v10.054c0 8.504 7.826 13.553 11.19 15.329 0.244 0.129 0.546 0.035 0.676-0.209 0.129-0.244 0.035-0.547-0.209-0.676-3.98-2.101-10.657-6.771-10.657-14.445v-9.863c0.702-0.755 4.632-4.597 12-4.765v30.494c0 0.276 0.224 0.5 0.5 0.5 0.149 0 0.283-0.065 0.375-0.169 1.637-0.704 13.125-6.015 13.125-16.331v-10c0-0.117-0.041-0.23-0.115-0.319-0.148-0.179-3.714-4.375-11.141-5.124-0.275-0.019-0.521 0.173-0.548 0.447-0.028 0.275 0.173 0.52 0.447 0.548 6.287 0.634 9.703 3.945 10.357 4.64v9.808c0 8.952-9.363 13.949-12 15.179v-30.179c0-0.276-0.224-0.5-0.5-0.5z"></path>'),
	   	 			'bar_chart_up' => array('keywords' => 'bar_chart_up ','viewbox' => '0 0 32 32', 'path' =>'<path d="M20.872 4.686l0.001-0c0.372 0.418 0.975 0.419 1.349 0 0.371-0.418 0.371-1.096-0-1.514-0.002-0.003-0.005-0.004-0.007-0.006l-2.534-2.845c-0.003-0.003-0.005-0.007-0.007-0.009-0.319-0.357-0.805-0.406-1.173-0.153-0.062 0.043-0.122 0.092-0.175 0.153l-2.547 2.861c-0.371 0.417-0.371 1.095 0.001 1.514s0.975 0.418 1.347 0l0.866-0.97c-0.147 6.733-7.185 11.784-16.492 11.784-0.552 0-1 0.448-1 1s0.448 1 1 1c10.458 0 18.361-5.918 18.494-13.8l0.878 0.987zM30.5 0h-5c-0.552 0-1 0.448-1 1v30c0 0.552 0.448 1 1 1h5c0.552 0 1-0.448 1-1v-30c0-0.552-0.448-1-1-1zM29.5 30h-3v-28h3v28zM22.5 13h-5c-0.552 0-1 0.448-1 1v17c0 0.552 0.448 1 1 1h5c0.552 0 1-0.448 1-1v-17c0-0.552-0.448-1-1-1zM21.5 30h-3v-15h3v15zM14.5 18h-5c-0.552 0-1 0.448-1 1v12c0 0.552 0.448 1 1 1h5c0.552 0 1-0.448 1-1v-12c0-0.552-0.448-1-1-1zM13.5 30h-3v-10h3v10zM6.5 21h-5c-0.552 0-1 0.448-1 1v9c0 0.552 0.448 1 1 1h5c0.552 0 1-0.448 1-1v-9c0-0.552-0.448-1-1-1zM5.5 30h-3v-7h3v7z"></path>'),
	   	 			'folder_10' => array('keywords' => 'folder_10 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 6.5h-14.070l-3.369-3.561c-0.292-0.293-0.677-0.439-1.060-0.439v0h-7.5c-1.651 0-3 1.349-3 3v21c0 1.649 1.349 3 3 3h26c1.649 0 3-1.351 3-3v-17c0-1.651-1.351-3-3-3zM30 26.5c0 0.55-0.45 1-1 1h-26c-0.55 0-1-0.45-1-1v-17c0-0.55 0.45-1 1-1h26c0.55 0 1 0.45 1 1v17zM21.25 20.404c0-0.551-0.448-0.999-1-1-0.552 0.001-1 0.448-1 1v1.346h-6.5l0.001-1.346h-0.001c0-0.551-0.448-0.999-1-1-0.552 0.001-1 0.448-1 1 0 0.001 0 0.002 0 0.002l0.001 2.337c0 0.003-0.001 0.005-0.001 0.008 0 0.552 0.448 1.001 1 1 0 0 0 0 0.001 0v0h8.495c0.002 0 0.003 0 0.005 0s0.003 0 0.005 0h0.042v-0.005c0.53-0.024 0.953-0.459 0.953-0.995v-2.347zM19.378 15.213c-0.002-0.001-0.003-0.002-0.004-0.003l-2.665-2.665c-0 0-0.002-0.001-0.003-0.002-0.098-0.098-0.21-0.171-0.331-0.22-0.361-0.146-0.79-0.073-1.084 0.219-0.001 0.001-0.001 0.002-0.002 0.003l-2.668 2.668c-0.39 0.39-0.39 1.023 0 1.414s1.024 0.39 1.414 0l0.963-0.963v3.585c0 0.552 0.447 1 1 1s1-0.448 1-0.999v-3.586l0.963 0.963 0-0.001c0.39 0.39 1.023 0.39 1.415 0 0.39-0.39 0.39-1.024 0-1.414z"></path>'),
	   	 			'bar_chart3' => array('keywords' => 'bar_chart3 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31 9.635h-7.5c-0.552 0-1 0.448-1 1v7h-5.5v-3c0-0.552-0.448-1-1-1h-7.5c-0.552 0-1 0.448-1 1v7h-6.5c-0.552 0-1 0.448-1 1v8c0 0.552 0.448 1 1 1h30c0.552 0 1-0.448 1-1v-20c0-0.553-0.448-1-1-1zM7.5 29.635h-5.5v-6h5.5v6zM15 18.635v11h-5.5v-14h5.5v3zM22.5 29.635h-5.5v-10h5.5v10zM30 29.635h-5.5v-18h5.5v18zM1.006 15.135c0.19 0 0.383-0.054 0.553-0.168l11.392-7.594 4.429 3.543c0.344 0.274 0.826 0.293 1.188 0.046l11.473-7.819 0.012 0.019 0.832 1.248 1.11-3.744-3.884-0.415 0.82 1.229-10.88 7.413-4.423-3.538c-0.34-0.272-0.818-0.293-1.179-0.051l-12 8c-0.46 0.306-0.584 0.927-0.278 1.386 0.193 0.29 0.51 0.446 0.834 0.446z"></path>'),
	   	 			'volume1_low' => array('keywords' => 'volume1_low ','viewbox' => '0 0 32 32', 'path' =>'<path d="M22.566 0.354l-0.21-0.107c-0.864-0.441-2.055-0.278-2.771 0.38l-9.111 8.373h-4.473c-1.654 0-3.001 1.345-3.001 3v8c0 1.654 1.346 3 3.001 3h4.473l9.111 8.372c0.447 0.41 1.076 0.628 1.696 0.628 0.376 0 0.749-0.080 1.075-0.247l0.211-0.108c0.821-0.419 1.441-1.438 1.441-2.369v-26.554c0-0.931-0.62-1.95-1.441-2.369zM5 20v-8c0-0.552 0.449-1 1-1h4.001v10h-4.001c-0.551 0-1-0.448-1-1zM22.006 29.277c0 0.183-0.193 0.508-0.349 0.587l-0.212 0.108c-0.12 0.061-0.405 0.021-0.506-0.072l-8.936-8.211v-11.377l8.936-8.211c0.102-0.093 0.386-0.133 0.506-0.072l0.211 0.107c0.157 0.080 0.349 0.404 0.349 0.587v26.554zM26.726 10.305c-0.384-0.398-1.017-0.408-1.415-0.025-0.398 0.384-0.409 1.017-0.025 1.414 2.293 2.374 2.293 6.237 0 8.611-0.384 0.398-0.372 1.030 0.025 1.414 0.194 0.188 0.445 0.28 0.695 0.28 0.262 0 0.523-0.102 0.72-0.305 3.032-3.141 3.032-8.25 0-11.39z"></path>'),
	   	 			'under_connect' => array('keywords' => 'under_connect ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 21.132v-3.132c0-1.654-1.346-3-3-3h-9v-4.132c1.723-0.446 3-2.008 3-3.868 0-2.205-1.794-4-4-4s-4 1.795-4 4c0 1.86 1.277 3.422 3 3.868v4.132h-9c-1.655 0-3 1.346-3 3v3.132c-1.722 0.445-3 2.008-3 3.868 0 2.206 1.794 4 4 4s4-1.794 4-4c0-1.86-1.277-3.422-3-3.868v-3.132c0-0.552 0.448-1 1-1h9v4.132c-1.723 0.446-3 2.009-3 3.868 0 2.206 1.794 4 4 4s4-1.794 4-4c0-1.86-1.277-3.422-3-3.868v-4.132h9c0.552 0 1 0.448 1 1v3.132c-1.723 0.446-3 2.009-3 3.868 0 2.206 1.794 4 4 4s4-1.794 4-4c0-1.86-1.277-3.422-3-3.868zM6 25c0 1.103-0.897 2-2 2s-2-0.897-2-2 0.897-2 2-2 2 0.897 2 2zM18 25c0 1.103-0.898 2-2 2s-2-0.897-2-2 0.898-2 2-2 2 0.897 2 2zM16 9c-1.102 0-2-0.897-2-2s0.898-2 2-2 2 0.897 2 2-0.898 2-2 2zM28 27c-1.102 0-2-0.897-2-2s0.898-2 2-2 2 0.897 2 2-0.898 2-2 2z"></path>'),
	   	 			'personal_video' => array('keywords' => 'personal_video ','viewbox' => '0 0 32 32', 'path' =>'<path d="M28 23.354v-16h-24v16h24zM28 4.667q1.063 0 1.875 0.781t0.813 1.906l-0.063 16q0 1.063-0.781 1.844t-1.844 0.781h-6.688v2.688h-10.625v-2.688h-6.688q-1.125 0-1.906-0.781t-0.781-1.844v-16q0-1.125 0.781-1.906t1.906-0.781h24z"></path>'),
	   	 			'melody_symbol3' => array('keywords' => 'melody_symbol3 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M20.354 3.623c-1.035-1.021-1.854-1.827-1.854-2.623 0-0.552-0.448-1-1-1s-1 0.448-1 1v21.261c-0.951-0.787-2.171-1.261-3.5-1.261-3.033 0-5.5 2.468-5.5 5.5s2.467 5.5 5.5 5.5 5.5-2.468 5.5-5.5v-21.899c0.148 0.148 0.298 0.296 0.449 0.446 1.665 1.641 3.551 3.501 3.551 6.953 0 4.053-1.767 6.357-1.781 6.375-0.345 0.431-0.275 1.061 0.156 1.405s1.061 0.276 1.406-0.156c0.090-0.114 2.219-2.829 2.219-7.625 0-4.289-2.396-6.652-4.146-8.377zM13 30c-1.93 0-3.5-1.57-3.5-3.5s1.57-3.5 3.5-3.5 3.5 1.57 3.5 3.5-1.57 3.5-3.5 3.5z"></path>'),
	   	 			'magic_design_tool1' => array('keywords' => 'magic_design_tool1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M23.5 0c-0.552 0-1 0.448-1 1v4c0 0.552 0.448 1 1 1s1-0.448 1-1v-4c0-0.552-0.448-1-1-1zM23.5 11c-0.552 0-1 0.447-1 1v4c0 0.552 0.448 1 1 1s1-0.448 1-1v-4c0-0.553-0.448-1-1-1zM18.904 2.49c-0.39-0.39-1.023-0.39-1.414 0s-0.39 1.024 0 1.414l2.829 2.829c0.195 0.196 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293c0.39-0.39 0.39-1.024 0-1.414l-2.828-2.829zM26.682 10.268c-0.39-0.39-1.023-0.39-1.414 0s-0.39 1.024 0 1.414l2.828 2.828c0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293c0.39-0.39 0.39-1.024 0-1.414l-2.828-2.828zM25.974 7.024c0.256 0 0.512-0.098 0.707-0.293l2.829-2.828c0.39-0.39 0.39-1.024 0-1.414s-1.023-0.39-1.414 0l-2.828 2.828c-0.39 0.391-0.39 1.024 0 1.414 0.195 0.196 0.451 0.293 0.707 0.293zM19.293 11.293l-19 19c-0.391 0.39-0.391 1.023 0 1.414 0.196 0.195 0.451 0.293 0.707 0.293s0.511-0.098 0.707-0.293l19-19c0.39-0.39 0.39-1.024 0-1.414s-1.023-0.39-1.414 0zM20 7.499l-4 0c-0.552 0-1 0.448-1 1s0.448 1 1 1l4-0.001c0.552 0 1-0.447 1-1 0-0.551-0.448-1-1-1zM31 7.5l-4-0c-0.552 0-1 0.448-1 1s0.448 1 1 1l4 0.001c0.552 0 1-0.448 1-1s-0.448-1-1-1z"></path>'),
	   	 			'camera_symbol2' => array('keywords' => 'camera_symbol2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M27.75 11.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM29 6.5h-1v-2c0-0.552-0.448-1-1-1h-6c-0.552 0-1 0.448-1 1v2h-17c-1.655 0-3 1.345-3 3v16c0 1.654 1.345 3 3 3l26 0c1.654 0 3-1.346 3-3v-16c0-1.655-1.346-3-3-3zM2 16.5h8.091c-0.056 0.326-0.091 0.659-0.091 1s0.035 0.674 0.091 1h-8.091v-2zM16 13.5c2.206 0 4 1.794 4 4s-1.794 4-4 4-4-1.794-4-4 1.794-4 4-4zM21.91 16.5h8.090v2h-8.090c0.055-0.326 0.090-0.659 0.090-1s-0.035-0.674-0.090-1zM22 5.5h4v1h-4v-1zM3 8.5h26c0.552 0 1 0.448 1 1v5h-8.812c-1.040-1.79-2.974-3-5.189-3s-4.149 1.21-5.188 3h-8.812v-5c0-0.552 0.449-1 1-1zM29 26.5l-26-0c-0.551 0-1-0.448-1-1v-5h8.812c1.040 1.79 2.973 3 5.188 3s4.148-1.21 5.189-3h8.811v5c0 0.552-0.448 1-1 1zM4 10.5h5v2h-5v-2z"></path>'),
	   	 			'envelope2' => array('keywords' => 'envelope2 ','viewbox' => '0 0 38 32', 'path' =>'<path d="M20.060 0.413c-0.58-0.533-1.539-0.533-2.119 0l-17.688 10.671c-0.15 0.091-0.242 0.253-0.242 0.428v18.922c0 0.863 0.706 1.566 1.574 1.566h34.83c0.868 0 1.574-0.703 1.574-1.566v-18.922c0-0.175-0.092-0.337-0.242-0.428l-17.687-10.671zM18.504 1.24c0.035-0.021 0.066-0.046 0.095-0.074 0.108-0.107 0.25-0.166 0.401-0.166s0.293 0.059 0.4 0.166c0.029 0.028 0.061 0.053 0.095 0.074l17.227 10.394-12.478 7.436c-0.237 0.142-0.315 0.448-0.174 0.686 0.094 0.157 0.26 0.244 0.43 0.244 0.087 0 0.175-0.022 0.255-0.070l12.245-7.29v17.757l-16.935-11.266c-0.538-0.429-1.594-0.429-2.096-0.025l-16.969 11.286v-17.752l12.244 7.29c0.080 0.048 0.169 0.070 0.256 0.070 0.17 0 0.336-0.087 0.43-0.244 0.141-0.237 0.063-0.544-0.174-0.686l-12.479-7.436 17.227-10.394zM36.090 31h-34.188l16.656-11.086c0.173-0.138 0.712-0.137 0.919 0.025l16.613 11.061zM6.5 13h25c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-25c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5z"></path>'),
	   	 			'computer_server1' => array('keywords' => 'computer_server1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M6 13c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM30 0h-18c-0.552 0-1 0.448-1 1v12c0 0.552 0.448 1 1 1h8v2h-2c-0.552 0-1 0.448-1 1s0.448 1 1 1h6c0.552 0 1-0.448 1-1s-0.448-1-1-1h-2v-2h8c0.552 0 1-0.448 1-1v-12c0-0.552-0.448-1-1-1zM29 12h-16v-10h16v10zM30 29h-23.277c-0.175-0.3-0.423-0.548-0.723-0.723v-10.277h2c0.552 0 1-0.448 1-1v-16c0-0.552-0.448-1-1-1h-6c-0.552 0-1 0.448-1 1v16c0 0.552 0.448 1 1 1h2v10.277c-0.3 0.174-0.548 0.422-0.723 0.723h-1.278c-0.552 0-1 0.448-1 1s0.448 1 1 1h1.278c0.346 0.595 0.984 1 1.723 1s1.376-0.405 1.723-1h23.277c0.552 0 1-0.448 1-1s-0.448-1-1-1zM3 5h4v1h-4v-1zM3 2h4v1h-4v-1zM3 8h4v8h-4v-8z"></path>'),
	   	 			'phonelink_lock' => array('keywords' => 'phonelink_lock ','viewbox' => '0 0 32 32', 'path' =>'<path d="M12.688 15.354v-2q0-0.75-0.594-1.25t-1.406-0.5-1.406 0.5-0.594 1.25v2h4zM14.375 15.354q0.625 0 1.125 0.5t0.5 1.188v4.688q0 0.625-0.531 1.125t-1.219 0.5h-7.313q-0.625 0-1.125-0.531t-0.5-1.219v-4.688q0-0.625 0.5-1.094t1.125-0.469v-2q0-1.375 1.156-2.375t2.594-1 2.563 1 1.125 2.375v2zM25.313 1.979q1.063 0 1.875 0.813t0.813 1.875v24q0 1.063-0.813 1.875t-1.875 0.813h-13.313q-1.063 0-1.875-0.813t-0.813-1.875v-4h2.688v2.688h13.313v-21.375h-13.313v2.688h-2.688v-4q0-1.063 0.813-1.875t1.875-0.813h13.313z"></path>'),
	   	 			'format_line_spacing' => array('keywords' => 'format_line_spacing ','viewbox' => '0 0 32 32', 'path' =>'<path d="M13.313 17.979v-2.625h16v2.625h-16zM13.313 25.979v-2.625h16v2.625h-16zM13.313 7.354h16v2.625h-16v-2.625zM8 9.979v13.375h3.313l-4.625 4.625-4.688-4.625h3.313v-13.375h-3.313l4.688-4.625 4.625 4.625h-3.313z"></path>'),
	   	 			'clipboard3' => array('keywords' => 'clipboard3 ','viewbox' => '0 0 28 32', 'path' =>'<path d="M1.5 32h25c0.869 0 1.5-0.631 1.5-1.5v-28c0-0.869-0.631-1.5-1.5-1.5h-4c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h4c0.313 0 0.5 0.187 0.5 0.5v28c0 0.313-0.187 0.5-0.5 0.5h-25c-0.313 0-0.5-0.187-0.5-0.5v-28c0-0.313 0.187-0.5 0.5-0.5h4c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-4c-0.869 0-1.5 0.631-1.5 1.5v28c0 0.869 0.631 1.5 1.5 1.5zM5.5 5c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-2c-0.276 0-0.5 0.224-0.5 0.5v24c0 0.276 0.224 0.5 0.5 0.5h21c0.276 0 0.5-0.224 0.5-0.5v-24c0-0.276-0.224-0.5-0.5-0.5h-2c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h1.5v23h-20v-23h1.5zM9 7h10c1.215 0 2-0.785 2-2v-4.5c0-0.276-0.224-0.5-0.5-0.5h-13c-0.276 0-0.5 0.224-0.5 0.5v4.5c0 1.215 0.785 2 2 2zM8 1h12v4c0 0.664-0.337 1-1 1h-10c-0.663 0-1-0.336-1-1v-4zM8.5 16h11c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-11c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5zM8.5 12h11c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-11c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5zM8.5 20h11c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-11c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5zM8.5 24h11c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-11c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5z"></path>'),
	   	 			'group2' => array('keywords' => 'group2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M21.313 17.979q1.75 0 3.813 0.5t3.813 1.625 1.75 2.563v3.313h-8v-3.313q0-2.75-2.625-4.625 0.438-0.063 1.25-0.063zM10.688 17.979q1.75 0 3.813 0.5t3.781 1.625 1.719 2.563v3.313h-18.688v-3.313q0-1.438 1.75-2.563t3.813-1.625 3.813-0.5zM10.688 15.354q-1.625 0-2.813-1.188t-1.188-2.813 1.188-2.813 2.813-1.188 2.781 1.188 1.156 2.813-1.156 2.813-2.781 1.188zM21.313 15.354q-1.625 0-2.813-1.188t-1.188-2.813 1.188-2.813 2.813-1.188 2.813 1.188 1.188 2.813-1.188 2.813-2.813 1.188z"></path>'),
	   	 			'ruler_symbol' => array('keywords' => 'ruler_symbol ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31 10h-30c-0.552 0-1 0.448-1 1v10c0 0.552 0.448 1 1 1h30c0.552 0 1-0.448 1-1v-10c0-0.552-0.448-1-1-1zM30 20h-1v-2.5c0-0.552-0.448-1-1-1s-1 0.448-1 1v2.5h-2v-3.5c0-0.552-0.448-1-1-1s-1 0.448-1 1v3.5h-2v-2.5c0-0.552-0.448-1-1-1s-1 0.448-1 1v2.5h-2v-3.5c0-0.552-0.448-1-1-1s-1 0.448-1 1v3.5h-2v-2.5c0-0.552-0.448-1-1-1s-1 0.448-1 1v2.5h-2v-3.5c0-0.552-0.448-1-1-1s-1 0.448-1 1v3.5h-2v-2.5c0-0.552-0.448-1-1-1s-1 0.448-1 1v2.5h-1v-8h28v8z"></path>'),
	   	 			'gavel' => array('keywords' => 'gavel ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31.625 27.714q0 0.946-0.661 1.607l-1.911 1.929q-0.696 0.661-1.625 0.661-0.946 0-1.607-0.661l-6.482-6.5q-0.679-0.643-0.679-1.607 0-0.946 0.768-1.714l-4.571-4.571-2.25 2.25q-0.25 0.25-0.607 0.25t-0.607-0.25q0.036 0.036 0.223 0.214t0.223 0.232 0.179 0.205 0.179 0.241 0.107 0.241 0.098 0.295 0.027 0.321q0 0.679-0.5 1.214-0.054 0.054-0.295 0.321t-0.339 0.366-0.33 0.295-0.393 0.277-0.393 0.161-0.464 0.080q-0.714 0-1.214-0.5l-7.286-7.286q-0.5-0.5-0.5-1.214 0-0.232 0.080-0.464t0.161-0.393 0.277-0.393 0.295-0.33 0.366-0.339 0.321-0.295q0.536-0.5 1.214-0.5 0.179 0 0.321 0.027t0.295 0.098 0.241 0.107 0.241 0.179 0.205 0.179 0.232 0.223 0.214 0.223q-0.25-0.25-0.25-0.607t0.25-0.607l6.214-6.214q0.25-0.25 0.607-0.25t0.607 0.25q-0.036-0.036-0.223-0.214t-0.223-0.232-0.179-0.205-0.179-0.241-0.107-0.241-0.098-0.295-0.027-0.321q0-0.679 0.5-1.214 0.054-0.054 0.295-0.321t0.339-0.366 0.33-0.295 0.393-0.277 0.393-0.161 0.464-0.080q0.714 0 1.214 0.5l7.286 7.286q0.5 0.5 0.5 1.214 0 0.232-0.080 0.464t-0.161 0.393-0.277 0.393-0.295 0.33-0.366 0.339-0.321 0.295q-0.536 0.5-1.214 0.5-0.179 0-0.321-0.027t-0.295-0.098-0.241-0.107-0.241-0.179-0.205-0.179-0.232-0.223-0.214-0.223q0.25 0.25 0.25 0.607t-0.25 0.607l-2.25 2.25 4.571 4.571q0.768-0.768 1.714-0.768 0.929 0 1.625 0.661l6.482 6.482q0.661 0.696 0.661 1.625z"></path>'),
	   	 			'weather_16' => array('keywords' => 'weather_16 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29.514 11.658c0.23-0.177 0.451-0.367 0.66-0.575 0.945-0.945 1.571-2.138 1.81-3.45 0.074-0.402-0.105-0.809-0.451-1.026s-0.79-0.203-1.12 0.037c-0.619 0.449-1.354 0.686-2.124 0.686-0.968 0-1.877-0.376-2.56-1.060-1.266-1.267-1.423-3.237-0.373-4.684 0.239-0.33 0.255-0.773 0.037-1.119s-0.623-0.523-1.026-0.452c-1.312 0.239-2.506 0.865-3.451 1.81-1.294 1.293-1.918 2.998-1.9 4.697-0.953-0.338-1.97-0.523-3.018-0.523-3.92 0-7.348 2.539-8.545 6.181-0.474-0.12-0.96-0.181-1.455-0.181-3.309 0-6 2.692-6 6s2.692 6 6 6h1.5c0.552 0 1-0.448 1-1s-0.448-1-1-1h-1.5c-2.206 0-4-1.795-4-4s1.795-4 4-4c0.594 0 1.171 0.132 1.717 0.392 0.279 0.133 0.605 0.13 0.883-0.011 0.277-0.139 0.473-0.4 0.53-0.704 0.629-3.29 3.518-5.678 6.871-5.678 2.617 0 4.996 1.447 6.209 3.776 0.227 0.436 0.738 0.642 1.204 0.486 0.518-0.174 1.053-0.261 1.587-0.261 2.757 0 5 2.243 5 5s-2.243 5-5 5h-0.5c-0.552 0-1 0.448-1 1s0.448 1 1 1h0.5c3.86 0 7-3.14 7-7 0-2.141-0.968-4.058-2.487-5.343zM22.331 3.24c0.124-0.124 0.254-0.24 0.39-0.348-0.253 1.708 0.293 3.49 1.595 4.792 1.062 1.062 2.473 1.646 3.974 1.646 0.278 0 0.553-0.020 0.825-0.059-0.11 0.139-0.228 0.271-0.355 0.399-0.345 0.344-0.736 0.623-1.158 0.838-0.805-0.324-1.682-0.507-2.602-0.507-0.477 0-0.954 0.050-1.424 0.149-0.643-1.006-1.468-1.855-2.417-2.521-0.401-1.517-0.014-3.201 1.173-4.388zM13.015 21.142c-0.473-0.284-1.088-0.131-1.372 0.343l-3 5c-0.284 0.474-0.131 1.088 0.343 1.372 0.161 0.096 0.339 0.142 0.514 0.142 0.34 0 0.671-0.173 0.858-0.485l3-5c0.284-0.474 0.131-1.088-0.343-1.372zM21.015 21.142c-0.474-0.284-1.088-0.131-1.372 0.343l-3 5c-0.284 0.474-0.131 1.088 0.343 1.372 0.161 0.096 0.339 0.142 0.514 0.142 0.34 0 0.671-0.173 0.858-0.485l3-5c0.284-0.474 0.131-1.088-0.343-1.372zM16.986 21.126c-0.483-0.268-1.092-0.095-1.36 0.389l-5 9c-0.268 0.483-0.095 1.092 0.389 1.36 0.153 0.086 0.321 0.126 0.485 0.126 0.351 0 0.693-0.186 0.875-0.514l5-9c0.268-0.483 0.095-1.092-0.389-1.36z"></path>'),
	   	 			'commenting-o' => array('keywords' => 'commenting-o ','viewbox' => '0 0 32 32', 'path' =>'<path d="M11.429 16.286q0 0.946-0.67 1.616t-1.616 0.67-1.616-0.67-0.67-1.616 0.67-1.616 1.616-0.67 1.616 0.67 0.67 1.616zM18.286 16.286q0 0.946-0.67 1.616t-1.616 0.67-1.616-0.67-0.67-1.616 0.67-1.616 1.616-0.67 1.616 0.67 0.67 1.616zM25.143 16.286q0 0.946-0.67 1.616t-1.616 0.67-1.616-0.67-0.67-1.616 0.67-1.616 1.616-0.67 1.616 0.67 0.67 1.616zM16 7.143q-3.643 0-6.813 1.241t-5.036 3.348-1.866 4.554q0 2 1.277 3.813t3.598 3.134l1.554 0.893-0.482 1.714q-0.429 1.625-1.25 3.071 2.714-1.125 4.911-3.054l0.768-0.679 1.018 0.107q1.232 0.143 2.321 0.143 3.643 0 6.812-1.241t5.036-3.348 1.866-4.554-1.866-4.554-5.036-3.348-6.813-1.241zM32 16.286q0 3.107-2.143 5.741t-5.821 4.161-8.036 1.527q-1.25 0-2.589-0.143-3.536 3.125-8.214 4.321-0.875 0.25-2.036 0.393h-0.089q-0.268 0-0.482-0.188t-0.286-0.491v-0.018q-0.054-0.071-0.009-0.214t0.036-0.179 0.080-0.17l0.107-0.161t0.125-0.152 0.143-0.161q0.125-0.143 0.554-0.616t0.616-0.679 0.554-0.705 0.58-0.911 0.482-1.054 0.464-1.357q-2.804-1.589-4.42-3.929t-1.616-5.018q0-2.321 1.268-4.438t3.411-3.652 5.107-2.438 6.214-0.902 6.214 0.902 5.107 2.438 3.411 3.652 1.268 4.438z"></path>'),
	   	 			'green_planet1' => array('keywords' => 'green_planet1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M17.5 0c-7.444 0-13.5 6.056-13.5 13.5 0 0 0 0.001 0 0.001s0 0 0 0v0c0 1.864 0.386 3.636 1.073 5.252-1.615 0.349-3.023 0.703-3.32 0.779-0.443 0.113-0.753 0.512-0.753 0.97v6c0 0.552 0.448 1 1 1h4.639c2.498 1.453 8.899 4.5 10.723 4.5 1.902 0 9.655-4.222 10.722-5.294 0.422-0.424 0.531-1.023 0.291-1.599-0.258-0.621-0.957-1.223-1.793-1.639 2.71-2.47 4.419-6.020 4.419-9.967v0c0 0 0 0 0 0s0 0 0-0.001c0-7.444-6.056-13.501-13.5-13.501zM26.743 6.668h-2.962c-0.444-1.433-1.023-2.691-1.71-3.717 1.866 0.811 3.476 2.102 4.672 3.717zM18.5 2.222c1.314 0.583 2.402 2.276 3.148 4.446h-3.148v-4.446zM18.5 8.668h3.71c0.277 1.232 0.454 2.538 0.515 3.834h-4.226v-3.834zM18.5 14.501h4.226c-0.061 1.296-0.239 2.602-0.516 3.833h-3.71v-3.834zM21.648 20.334c-0.33 0.959-0.73 1.817-1.183 2.532-0.326-0.503-0.896-0.933-1.712-1.284-0.078-0.034-0.168-0.073-0.253-0.11v-1.137h3.148zM16.5 12.501h-4.226c0.061-1.296 0.239-2.602 0.515-3.833h3.71v3.834zM16.5 14.501v3.833h-3.71c-0.277-1.232-0.455-2.538-0.516-3.834h4.226zM16.5 20.334v0.245c-0.188-0.084-0.368-0.166-0.546-0.245h0.546zM16.5 2.222v4.446h-3.149c0.746-2.169 1.835-3.863 3.149-4.446zM12.929 2.95c-0.687 1.026-1.267 2.285-1.71 3.718h-2.962c1.197-1.615 2.806-2.906 4.672-3.717zM7.069 8.668h3.645c-0.24 1.2-0.392 2.486-0.443 3.834h-4.225c0.118-1.359 0.472-2.65 1.022-3.834zM7.069 18.334c-0.551-1.183-0.905-2.474-1.022-3.834h4.225c0.048 1.277 0.19 2.498 0.409 3.646-0.339-0.099-0.591-0.146-0.781-0.146-0.653 0-1.652 0.139-2.731 0.334h-0.099zM17.36 30c-1.069-0.003-7.096-2.648-9.931-4.357-0.156-0.094-0.335-0.143-0.516-0.143h-3.913v-4.218c1.968-0.477 5.562-1.283 6.861-1.284 0.652 0.078 4.075 1.619 5.913 2.447 0.841 0.379 1.61 0.724 2.188 0.974 0.695 0.3 0.822 0.532 0.824 0.517-0.026 0.186-0.448 0.599-0.979 0.941l-4.027-1.789c-0.505-0.224-1.096 0.003-1.32 0.508s0.003 1.096 0.508 1.32l4.42 1.965c0.008 0.004 0.014 0.011 0.023 0.015 0.262 0.133 0.564 0.198 0.896 0.198 0.902 0 1.956-0.48 3.289-1.087 0.828-0.377 1.684-0.767 2.552-1.057 0.050-0.017 0.138-0.037 0.277-0.037 0.633 0 1.423 0.381 1.84 0.701-1.776 1.242-7.815 4.347-8.905 4.387zM24.058 22.939c-0.191 0.022-0.375 0.055-0.546 0.113-0.366 0.122-0.727 0.263-1.082 0.407 0.529-0.907 0.988-1.954 1.351-3.126h2.961c-0.747 1.008-1.654 1.888-2.683 2.605zM27.93 18.334h-3.645c0.24-1.2 0.392-2.486 0.443-3.834h4.224c-0.117 1.359-0.472 2.651-1.023 3.834zM24.729 12.501c-0.050-1.347-0.202-2.633-0.442-3.833h3.645c0.55 1.184 0.904 2.474 1.023 3.834h-4.225z"></path>'),
	   	 			'bar_chart1' => array('keywords' => 'bar_chart1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31 30h-29v-29c0-0.552-0.448-1-1-1s-1 0.448-1 1v30c0 0.552 0.448 1 1 1h30c0.552 0 1-0.448 1-1s-0.448-1-1-1zM4 29h7c0.552 0 1-0.448 1-1v-9c0-0.552-0.448-1-1-1h-7c-0.552 0-1 0.448-1 1v9c0 0.552 0.448 1 1 1zM5 20h5v7h-5v-7zM14 29h7c0.552 0 1-0.448 1-1v-21c0-0.552-0.448-1-1-1h-7c-0.552 0-1 0.448-1 1v21c0 0.552 0.448 1 1 1zM15 8h5v19h-5v-19zM31 12h-7c-0.552 0-1 0.448-1 1v15c0 0.552 0.448 1 1 1h7c0.552 0 1-0.448 1-1v-15c0-0.552-0.448-1-1-1zM30 27h-5v-13h5v13z"></path>'),
	   	 			'bug2' => array('keywords' => 'bug2 ','viewbox' => '0 0 30 32', 'path' =>'<path d="M29.143 17.429q0 0.464-0.339 0.804t-0.804 0.339h-4q0 3.054-1.196 5.179l3.714 3.732q0.339 0.339 0.339 0.804t-0.339 0.804q-0.321 0.339-0.804 0.339t-0.804-0.339l-3.536-3.518q-0.089 0.089-0.268 0.232t-0.75 0.509-1.161 0.652-1.464 0.518-1.732 0.232v-16h-2.286v16q-0.911 0-1.813-0.241t-1.554-0.589-1.179-0.696-0.777-0.58l-0.268-0.25-3.268 3.696q-0.357 0.375-0.857 0.375-0.429 0-0.768-0.286-0.339-0.321-0.366-0.795t0.277-0.83l3.607-4.054q-1.036-2.036-1.036-4.893h-4q-0.464 0-0.804-0.339t-0.339-0.804 0.339-0.804 0.804-0.339h4v-5.25l-3.089-3.089q-0.339-0.339-0.339-0.804t0.339-0.804 0.804-0.339 0.804 0.339l3.089 3.089h15.071l3.089-3.089q0.339-0.339 0.804-0.339t0.804 0.339 0.339 0.804-0.339 0.804l-3.089 3.089v5.25h4q0.464 0 0.804 0.339t0.339 0.804zM20.571 7.143h-11.429q0-2.375 1.67-4.045t4.045-1.67 4.045 1.67 1.67 4.045z"></path>'),
	   	 			'mic2' => array('keywords' => 'mic2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M15 22c2.761 0 5-2.239 5-5v-12c0-2.761-2.239-5-5-5s-5 2.239-5 5v12c0 2.761 2.239 5 5 5zM22 14v3c0 3.866-3.134 7-7 7s-7-3.134-7-7v-3h-2v3c0 4.632 3.5 8.447 8 8.944v4.056h-4v2h10v-2h-4v-4.056c4.5-0.497 8-4.312 8-8.944v-3h-2z"></path>'),
	   	 			'projector_board2' => array('keywords' => 'projector_board2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31 0h-30c-0.552 0-1 0.448-1 1s0.448 1 1 1h2v17c0 0.552 0.448 1 1 1h11v5.586l-3.707 3.707c-0.39 0.39-0.39 1.023 0 1.414 0.195 0.195 0.451 0.293 0.707 0.293s0.511-0.098 0.707-0.293l2.293-2.293v2.586c0 0.552 0.448 1 1 1s1-0.448 1-1v-2.586l2.293 2.293c0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293c0.39-0.39 0.39-1.023 0-1.414l-3.707-3.707v-5.586h11c0.552 0 1-0.448 1-1v-17h2c0.552 0 1-0.448 1-1s-0.448-1-1-1zM27 18h-22v-16h22v16zM11 10c0 2.761 2.239 5 5 5s5-2.239 5-5h-5v-5c-2.761 0-5 2.239-5 5zM17 4v5h5c0-2.761-2.239-5-5-5z"></path>'),
	   	 			'calendar2' => array('keywords' => 'calendar2 ','viewbox' => '0 0 30 32', 'path' =>'<path d="M2.286 30h5.143v-5.143h-5.143v5.143zM8.571 30h5.714v-5.143h-5.714v5.143zM2.286 23.714h5.143v-5.714h-5.143v5.714zM8.571 23.714h5.714v-5.714h-5.714v5.714zM2.286 16.857h5.143v-5.143h-5.143v5.143zM15.429 30h5.714v-5.143h-5.714v5.143zM8.571 16.857h5.714v-5.143h-5.714v5.143zM22.286 30h5.143v-5.143h-5.143v5.143zM15.429 23.714h5.714v-5.714h-5.714v5.714zM9.143 8.286v-5.143q0-0.232-0.17-0.402t-0.402-0.17h-1.143q-0.232 0-0.402 0.17t-0.17 0.402v5.143q0 0.232 0.17 0.402t0.402 0.17h1.143q0.232 0 0.402-0.17t0.17-0.402zM22.286 23.714h5.143v-5.714h-5.143v5.714zM15.429 16.857h5.714v-5.143h-5.714v5.143zM22.286 16.857h5.143v-5.143h-5.143v5.143zM22.857 8.286v-5.143q0-0.232-0.17-0.402t-0.402-0.17h-1.143q-0.232 0-0.402 0.17t-0.17 0.402v5.143q0 0.232 0.17 0.402t0.402 0.17h1.143q0.232 0 0.402-0.17t0.17-0.402zM29.714 7.143v22.857q0 0.929-0.679 1.607t-1.607 0.679h-25.143q-0.929 0-1.607-0.679t-0.679-1.607v-22.857q0-0.929 0.679-1.607t1.607-0.679h2.286v-1.714q0-1.179 0.839-2.018t2.018-0.839h1.143q1.179 0 2.018 0.839t0.839 2.018v1.714h6.857v-1.714q0-1.179 0.839-2.018t2.018-0.839h1.143q1.179 0 2.018 0.839t0.839 2.018v1.714h2.286q0.929 0 1.607 0.679t0.679 1.607z"></path>'),
	   	 			'map_symbol4' => array('keywords' => 'map_symbol4 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31.371 4.072l-10-4c-0.238-0.095-0.504-0.095-0.742 0l-9.629 3.851-9.629-3.851c-0.308-0.123-0.657-0.086-0.931 0.1s-0.44 0.497-0.44 0.829v26c0 0.409 0.249 0.776 0.629 0.928l10 4c0.239 0.094 0.504 0.094 0.742 0l9.629-3.852 9.629 3.852c0.119 0.048 0.245 0.072 0.371 0.072 0.198 0 0.392-0.058 0.561-0.172 0.275-0.186 0.439-0.496 0.439-0.828v-26c0-0.409-0.249-0.777-0.629-0.928zM30 29.523l-8.629-3.452c-0.238-0.095-0.504-0.095-0.742 0l-9.629 3.852-9-3.6v-23.846l8.629 3.451c0.239 0.095 0.504 0.095 0.742 0l9.629-3.852 9 3.6v23.846zM20.292 8.293c-0.39 0.39-0.39 1.024 0 1.414l1.794 1.793-1.794 1.793c-0.39 0.39-0.39 1.024 0 1.414 0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293l1.794-1.793 1.794 1.793c0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293c0.39-0.39 0.39-1.024 0-1.414l-1.794-1.793 1.794-1.793c0.39-0.39 0.39-1.024 0-1.414s-1.023-0.391-1.414 0l-1.794 1.793-1.794-1.793c-0.39-0.391-1.024-0.391-1.414-0.001zM5.182 21.045c-0.185 0.184-0.29 0.445-0.29 0.705 0 0.265 0.105 0.52 0.29 0.705 0.185 0.189 0.445 0.295 0.71 0.295 0.261 0 0.52-0.105 0.705-0.295 0.185-0.186 0.295-0.441 0.295-0.705 0-0.26-0.11-0.52-0.295-0.705-0.37-0.375-1.045-0.375-1.415 0zM7.705 17.3c-0.525-0.175-1.090 0.11-1.265 0.635s0.111 1.090 0.63 1.265c0.111 0.035 0.215 0.050 0.321 0.050 0.42 0 0.81-0.265 0.95-0.68 0.175-0.526-0.111-1.096-0.636-1.271zM8.832 13.854c-0.5-0.245-1.095-0.040-1.34 0.46-0.239 0.495-0.035 1.095 0.465 1.335 0.14 0.070 0.29 0.1 0.435 0.1 0.37 0 0.73-0.205 0.9-0.56 0.239-0.495 0.034-1.095-0.46-1.335zM10.422 10.85c-0.5 0.239-0.705 0.84-0.465 1.34 0.17 0.355 0.53 0.56 0.9 0.56 0.145 0 0.296-0.030 0.435-0.095 0.495-0.245 0.705-0.84 0.465-1.34-0.24-0.495-0.84-0.706-1.335-0.465zM23.446 14.251c-0.55-0.030-1.025 0.395-1.055 0.945-0.025 0.555 0.395 1.025 0.95 1.055 0.015 0 0.035 0 0.050 0 0.53 0 0.97-0.415 1-0.945 0.030-0.555-0.395-1.025-0.945-1.055zM15.167 12.62c-0.35-0.43-0.979-0.495-1.405-0.145-0.43 0.345-0.495 0.975-0.145 1.405 0.195 0.245 0.486 0.37 0.775 0.37 0.22 0 0.445-0.075 0.63-0.225 0.43-0.351 0.495-0.98 0.145-1.405zM17.361 18.901c-0.47 0.295-0.611 0.91-0.315 1.38 0.19 0.305 0.515 0.471 0.845 0.471 0.184 0 0.364-0.050 0.53-0.155 0.47-0.29 0.61-0.91 0.32-1.375-0.295-0.47-0.91-0.61-1.38-0.32zM20.96 21.253c-0.55-0.040-1.030 0.375-1.066 0.93-0.040 0.55 0.375 1.026 0.93 1.066 0.020 0 0.045 0 0.070 0 0.52 0 0.96-0.401 0.995-0.93 0.040-0.55-0.38-1.029-0.93-1.064zM17.309 15.854c-0.215-0.505-0.805-0.739-1.315-0.52-0.505 0.215-0.74 0.805-0.52 1.315 0.165 0.375 0.53 0.599 0.92 0.599 0.13 0 0.265-0.026 0.395-0.080 0.505-0.22 0.74-0.805 0.52-1.315zM23.124 18.279c-0.54-0.13-1.075 0.205-1.205 0.739-0.125 0.54 0.205 1.080 0.745 1.205 0.075 0.020 0.155 0.026 0.23 0.026 0.454 0 0.864-0.311 0.97-0.77 0.13-0.535-0.205-1.075-0.74-1.2z"></path>'),
	   	 			'eye' => array('keywords' => 'eye ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 6c-6.979 0-13.028 4.064-16 10 2.972 5.936 9.021 10 16 10s13.027-4.064 16-10c-2.972-5.936-9.021-10-16-10zM23.889 11.303c1.88 1.199 3.473 2.805 4.67 4.697-1.197 1.891-2.79 3.498-4.67 4.697-2.362 1.507-5.090 2.303-7.889 2.303s-5.527-0.796-7.889-2.303c-1.88-1.199-3.473-2.805-4.67-4.697 1.197-1.891 2.79-3.498 4.67-4.697 0.122-0.078 0.246-0.154 0.371-0.228-0.311 0.854-0.482 1.776-0.482 2.737 0 4.418 3.582 8 8 8s8-3.582 8-8c0-0.962-0.17-1.883-0.482-2.737 0.124 0.074 0.248 0.15 0.371 0.228v0zM16 13c0 1.657-1.343 3-3 3s-3-1.343-3-3 1.343-3 3-3 3 1.343 3 3z"></path>'),
	   	 			'fauteuil_1' => array('keywords' => 'fauteuil_1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M32 15.75c0-1.93-1.57-3.5-3.5-3.5h-3.5c-0.171 0-0.338 0.018-0.5 0.051v-6.051c0-1.378-1.122-2.5-2.5-2.5h-12c-1.379 0.001-2.5 1.122-2.5 2.5v6.051c-0.162-0.034-0.329-0.051-0.5-0.051h-3.5c-1.93 0-3.5 1.57-3.5 3.5l0.002 0.001h-0.002c0 1.582 1.056 2.923 2.5 3.354v3.149c0 2.205 1.795 4 4 4v-0.005h1v1c0 0.552 0.448 1 1 1s1-0.448 1-1v-1h13v1c0 0.552 0.448 1 1 1s1-0.448 1-1v-1h1v0.005c2.206 0 4-1.795 4-4v-3.149c1.445-0.431 2.5-1.773 2.5-3.354h-0.002l0.002-0.001zM28.5 17.251c-0.552 0-1 0.448-1 1v4.004c0 1.102-0.898 2-2 2v-0.005l-19 0.005c-1.103 0-2-0.898-2-2v-4.004c0-0.552-0.448-1-1-1-0.827 0-1.5-0.673-1.5-1.5h-0.002l0.002-0.001c0-0.827 0.673-1.5 1.5-1.5h3.5c0.275 0 0.499 0.223 0.5 0.499v5.001c0 1.379 1.121 2.5 2.5 2.5v-2c-0.275 0-0.5-0.224-0.5-0.5v-5c0-0.001 0-0.001 0-0.002v-8.498c0-0.276 0.225-0.5 0.5-0.5h12c0.276 0 0.5 0.224 0.5 0.5v10h-13v2h13v1.5c0 0.276-0.224 0.5-0.5 0.5h-12v2h12c1.378 0 2.5-1.121 2.5-2.5v-5c0-0.275 0.224-0.5 0.5-0.5h3.5c0.827 0 1.5 0.673 1.5 1.5l0.002 0.001h-0.002c0 0.827-0.673 1.5-1.5 1.5zM15 8.75c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM19 8.75c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM15 12.75c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM19 12.75c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1z"></path>'),
	   	 			'text-height2' => array('keywords' => 'text-height2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31.143 25.429q0.589 0 0.75 0.33t-0.196 0.795l-2.25 2.893q-0.357 0.464-0.875 0.464t-0.875-0.464l-2.25-2.893q-0.357-0.464-0.196-0.795t0.75-0.33h1.429v-18.286h-1.429q-0.589 0-0.75-0.33t0.196-0.795l2.25-2.893q0.357-0.464 0.875-0.464t0.875 0.464l2.25 2.893q0.357 0.464 0.196 0.795t-0.75 0.33h-1.429v18.286h1.429zM1.446 2.589l0.964 0.482q0.214 0.089 3.768 0.089 0.786 0 2.357-0.036t2.357-0.036q0.643 0 1.92 0.009t1.92 0.009h5.232q0.107 0 0.375 0.009t0.366 0 0.286-0.054 0.313-0.161 0.268-0.313l0.75-0.018q0.071 0 0.25 0.009t0.25 0.009q0.036 2 0.036 6 0 1.429-0.089 1.946-0.696 0.25-1.214 0.321-0.446-0.786-0.964-2.286-0.054-0.161-0.196-0.857t-0.259-1.313-0.134-0.634q-0.107-0.143-0.214-0.223t-0.277-0.107-0.232-0.045-0.321-0.009-0.295 0.009q-0.304 0-1.188-0.009t-1.33-0.009-1.143 0.036-1.268 0.107q-0.161 1.446-0.143 2.429 0 1.679 0.036 6.929t0.036 8.125q0 0.286-0.045 1.277t0 1.634 0.223 1.232q0.714 0.375 2.214 0.759t2.143 0.67q0.089 0.714 0.089 0.893 0 0.25-0.054 0.518l-0.607 0.018q-1.357 0.036-3.893-0.143t-3.696-0.179q-0.893 0-2.696 0.161t-2.714 0.161q-0.054-0.911-0.054-0.929v-0.161q0.304-0.482 1.098-0.768t1.759-0.518 1.393-0.482q0.339-0.75 0.339-6.839 0-1.804-0.054-5.411t-0.054-5.411v-2.089q0-0.036 0.009-0.277t0.009-0.446-0.018-0.455-0.054-0.429-0.089-0.25q-0.196-0.214-2.893-0.214-0.589 0-1.661 0.214t-1.429 0.464q-0.339 0.232-0.607 1.295t-0.563 1.982-0.759 0.955q-0.75-0.464-1-0.786v-6.839z"></path>'),
	   	 			'spell-check' => array('keywords' => 'spell-check ','viewbox' => '0 0 32 32', 'path' =>'<path d="M4 8h4v6h2v-12c0-1.1-0.9-2-2-2h-4c-1.1 0-2 0.9-2 2v12h2v-6zM4 2h4v4h-4v-4zM30 2v-2h-6c-1.1 0-2 0.9-2 2v10c0 1.1 0.9 2 2 2h6v-2h-6v-10h6zM20 5v-3c0-1.1-0.9-2-2-2h-6v14h6c1.1 0 2-0.9 2-2v-3c0-1.1-0.275-2-1.375-2 1.1 0 1.375-0.9 1.375-2zM18 12h-4v-4h4v4zM18 6h-4v-4h4v4zM26 18l-13 14-7-9 2.563-2.188 4.438 4.625 11-9.438z"></path>'),
	   	 			'content_copy' => array('keywords' => 'content_copy ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25.313 28.667v-18.688h-14.625v18.688h14.625zM25.313 7.354q1.063 0 1.875 0.781t0.813 1.844v18.688q0 1.063-0.813 1.875t-1.875 0.813h-14.625q-1.063 0-1.875-0.813t-0.813-1.875v-18.688q0-1.063 0.813-1.844t1.875-0.781h14.625zM21.313 1.979v2.688h-16v18.688h-2.625v-18.688q0-1.063 0.781-1.875t1.844-0.813h16z"></path>'),
	   	 			'checkmark' => array('keywords' => 'checkmark ','viewbox' => '0 0 32 32', 'path' =>'<path d="M27 4l-15 15-7-7-5 5 12 12 20-20z"></path>'),
	   	 			'markunread_mailbox' => array('keywords' => 'markunread_mailbox ','viewbox' => '0 0 32 32', 'path' =>'<path d="M26.688 8.667q1.063 0 1.844 0.813t0.781 1.875v16q0 1.063-0.781 1.844t-1.844 0.781h-21.375q-1.063 0-1.844-0.781t-0.781-1.844v-16q0-1.063 0.781-1.875t1.844-0.813h2.688v-8h10.688v5.313h-8v10.688h2.625v-8h13.375z"></path>'),
	   	 			'group' => array('keywords' => 'group ','viewbox' => '0 0 34 32', 'path' =>'<path d="M10.589 16.286q-2.893 0.089-4.732 2.286h-2.393q-1.464 0-2.464-0.723t-1-2.116q0-6.304 2.214-6.304 0.107 0 0.777 0.375t1.741 0.759 2.125 0.384q1.196 0 2.375-0.411-0.089 0.661-0.089 1.179 0 2.482 1.446 4.571zM29.714 27.661q0 2.143-1.304 3.384t-3.464 1.241h-15.607q-2.161 0-3.464-1.241t-1.304-3.384q0-0.946 0.063-1.848t0.25-1.946 0.473-1.938 0.768-1.741 1.107-1.446 1.527-0.955 1.991-0.357q0.179 0 0.768 0.384t1.304 0.857 1.911 0.857 2.411 0.384 2.411-0.384 1.911-0.857 1.304-0.857 0.768-0.384q1.089 0 1.991 0.357t1.527 0.955 1.107 1.446 0.768 1.741 0.473 1.938 0.25 1.946 0.063 1.848zM11.429 4.857q0 1.893-1.339 3.232t-3.232 1.339-3.232-1.339-1.339-3.232 1.339-3.232 3.232-1.339 3.232 1.339 1.339 3.232zM24 11.714q0 2.839-2.009 4.848t-4.848 2.009-4.848-2.009-2.009-4.848 2.009-4.848 4.848-2.009 4.848 2.009 2.009 4.848zM34.286 15.732q0 1.393-1 2.116t-2.464 0.723h-2.393q-1.839-2.196-4.732-2.286 1.446-2.089 1.446-4.571 0-0.518-0.089-1.179 1.179 0.411 2.375 0.411 1.054 0 2.125-0.384t1.741-0.759 0.777-0.375q2.214 0 2.214 6.304zM32 4.857q0 1.893-1.339 3.232t-3.232 1.339-3.232-1.339-1.339-3.232 1.339-3.232 3.232-1.339 3.232 1.339 1.339 3.232z"></path>'),
	   	 			'signal_symbol2' => array('keywords' => 'signal_symbol2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M18.986 14c0-1.655-1.346-3-3-3s-3 1.345-3 3c0 1.309 0.845 2.423 2.017 2.831-0.009 0.055-0.017 0.111-0.017 0.169v10.5h-1c-0.552 0-1 0.448-1 1s0.448 1 1 1h4c0.552 0 1-0.448 1-1s-0.448-1-1-1h-1v-10.5c0-0.058-0.008-0.114-0.017-0.169 1.172-0.408 2.017-1.521 2.017-2.831zM15.986 15c-0.552 0-1-0.448-1-1s0.448-1 1-1 1 0.448 1 1-0.448 1-1 1zM27.723 2.823c-0.374-0.407-1.007-0.433-1.413-0.059-0.407 0.374-0.433 1.006-0.059 1.413 4.98 5.417 4.98 14.23 0 19.646-0.374 0.406-0.348 1.039 0.059 1.413 0.192 0.177 0.434 0.264 0.677 0.264 0.27 0 0.539-0.108 0.736-0.323 5.666-6.163 5.666-16.191-0-22.354zM24.727 5.329c-0.371-0.41-1.003-0.441-1.412-0.071-0.41 0.37-0.442 1.003-0.070 1.412 3.657 4.041 3.657 10.617 0 14.658-0.371 0.409-0.34 1.042 0.070 1.412 0.192 0.174 0.43 0.259 0.671 0.259 0.273 0 0.544-0.111 0.741-0.329 4.328-4.781 4.328-12.56 0-17.342zM21.706 8.306c-0.384-0.398-1.017-0.408-1.414-0.025-0.397 0.384-0.409 1.017-0.025 1.414 2.292 2.374 2.292 6.237 0 8.611-0.384 0.398-0.372 1.030 0.025 1.414 0.195 0.187 0.445 0.28 0.695 0.28 0.262 0 0.523-0.102 0.72-0.305 3.032-3.14 3.032-8.249 0-11.389zM5.722 4.176c0.374-0.406 0.348-1.039-0.059-1.413-0.405-0.373-1.038-0.347-1.413 0.059-5.667 6.163-5.667 16.191 0 22.354 0.197 0.214 0.466 0.323 0.737 0.323 0.242 0 0.484-0.087 0.676-0.264 0.407-0.373 0.433-1.006 0.059-1.413-4.981-5.418-4.981-14.23-0-19.647zM8.727 6.671c0.37-0.41 0.339-1.042-0.070-1.413s-1.042-0.34-1.412 0.071c-4.328 4.781-4.328 12.561 0 17.343 0.197 0.217 0.469 0.328 0.742 0.328 0.24 0 0.48-0.086 0.671-0.259 0.409-0.37 0.441-1.003 0.070-1.413-3.659-4.041-3.659-10.617-0.001-14.658zM11.681 8.28c-0.398-0.383-1.030-0.373-1.414 0.025-3.031 3.14-3.031 8.249 0 11.389 0.197 0.203 0.458 0.305 0.72 0.305 0.25 0 0.501-0.094 0.694-0.281 0.397-0.384 0.409-1.017 0.025-1.414-2.292-2.374-2.292-6.236 0-8.611 0.383-0.397 0.373-1.030-0.025-1.413z"></path>'),
	   	 			'weather_26' => array('keywords' => 'weather_26 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 5c0.552 0 1-0.448 1-1v-3c0-0.552-0.448-1-1-1s-1 0.448-1 1v3c0 0.552 0.448 1 1 1zM16 27c-0.552 0-1 0.448-1 1v3c0 0.552 0.448 1 1 1s1-0.448 1-1v-3c0-0.552-0.448-1-1-1zM24.485 8.514c0.256 0 0.512-0.098 0.707-0.293l2.121-2.122c0.39-0.391 0.39-1.024 0-1.414s-1.024-0.391-1.414 0l-2.121 2.122c-0.39 0.391-0.39 1.024 0 1.414 0.195 0.196 0.451 0.293 0.707 0.293zM6.808 23.779l-2.121 2.121c-0.391 0.39-0.391 1.024 0 1.414 0.196 0.195 0.451 0.293 0.707 0.293s0.511-0.098 0.707-0.293l2.121-2.121c0.39-0.39 0.39-1.023 0-1.414s-1.024-0.391-1.414 0zM6.808 8.222c0.196 0.196 0.451 0.293 0.707 0.293s0.511-0.098 0.707-0.293c0.39-0.391 0.39-1.024 0-1.414l-2.122-2.121c-0.391-0.391-1.024-0.391-1.414 0s-0.391 1.024 0 1.414l2.122 2.121zM31 15h-3c-0.552 0-1 0.448-1 1s0.448 1 1 1h3c0.552 0 1-0.448 1-1s-0.448-1-1-1zM5 16c0-0.552-0.448-1-1-1h-3c-0.552 0-1 0.448-1 1s0.448 1 1 1h3c0.552 0 1-0.448 1-1zM26 16c0-5.514-4.486-10-10-10s-10 4.486-10 10c0 5.514 4.486 10 10 10 0.971 0 1.906-0.145 2.794-0.405-0.027 0.219-0.044 0.43-0.044 0.633 0 3.183 2.692 5.773 6 5.773s6-2.59 6-5.773c0-3.125-3.449-8.342-4.751-10.2 0-0.009 0.001-0.018 0.001-0.027zM16 24c-4.411 0-8-3.589-8-8s3.589-8 8-8c4.202 0 7.651 3.259 7.969 7.382-0.008 0.010-0.017 0.017-0.026 0.027-0.402 0.55-3.173 4.388-4.494 7.797-1.046 0.505-2.213 0.794-3.45 0.794zM24.75 30c-2.206 0-4-1.692-4-3.773 0-2.111 2.424-6.151 4-8.485 1.576 2.334 4 6.374 4 8.485 0 2.080-1.794 3.773-4 3.773z"></path>'),
	   	 			'hospital-o' => array('keywords' => 'hospital-o ','viewbox' => '0 0 25 32', 'path' =>'<path d="M6.857 23.714v1.143q0 0.232-0.17 0.402t-0.402 0.17h-1.143q-0.232 0-0.402-0.17t-0.17-0.402v-1.143q0-0.232 0.17-0.402t0.402-0.17h1.143q0.232 0 0.402 0.17t0.17 0.402zM6.857 19.143v1.143q0 0.232-0.17 0.402t-0.402 0.17h-1.143q-0.232 0-0.402-0.17t-0.17-0.402v-1.143q0-0.232 0.17-0.402t0.402-0.17h1.143q0.232 0 0.402 0.17t0.17 0.402zM11.429 19.143v1.143q0 0.232-0.17 0.402t-0.402 0.17h-1.143q-0.232 0-0.402-0.17t-0.17-0.402v-1.143q0-0.232 0.17-0.402t0.402-0.17h1.143q0.232 0 0.402 0.17t0.17 0.402zM6.857 14.571v1.143q0 0.232-0.17 0.402t-0.402 0.17h-1.143q-0.232 0-0.402-0.17t-0.17-0.402v-1.143q0-0.232 0.17-0.402t0.402-0.17h1.143q0.232 0 0.402 0.17t0.17 0.402zM20.571 23.714v1.143q0 0.232-0.17 0.402t-0.402 0.17h-1.143q-0.232 0-0.402-0.17t-0.17-0.402v-1.143q0-0.232 0.17-0.402t0.402-0.17h1.143q0.232 0 0.402 0.17t0.17 0.402zM16 19.143v1.143q0 0.232-0.17 0.402t-0.402 0.17h-1.143q-0.232 0-0.402-0.17t-0.17-0.402v-1.143q0-0.232 0.17-0.402t0.402-0.17h1.143q0.232 0 0.402 0.17t0.17 0.402zM11.429 14.571v1.143q0 0.232-0.17 0.402t-0.402 0.17h-1.143q-0.232 0-0.402-0.17t-0.17-0.402v-1.143q0-0.232 0.17-0.402t0.402-0.17h1.143q0.232 0 0.402 0.17t0.17 0.402zM20.571 19.143v1.143q0 0.232-0.17 0.402t-0.402 0.17h-1.143q-0.232 0-0.402-0.17t-0.17-0.402v-1.143q0-0.232 0.17-0.402t0.402-0.17h1.143q0.232 0 0.402 0.17t0.17 0.402zM16 14.571v1.143q0 0.232-0.17 0.402t-0.402 0.17h-1.143q-0.232 0-0.402-0.17t-0.17-0.402v-1.143q0-0.232 0.17-0.402t0.402-0.17h1.143q0.232 0 0.402 0.17t0.17 0.402zM20.571 14.571v1.143q0 0.232-0.17 0.402t-0.402 0.17h-1.143q-0.232 0-0.402-0.17t-0.17-0.402v-1.143q0-0.232 0.17-0.402t0.402-0.17h1.143q0.232 0 0.402 0.17t0.17 0.402zM16 30h6.857v-20.571h-4.571v0.571q0 0.714-0.5 1.214t-1.214 0.5h-8q-0.714 0-1.214-0.5t-0.5-1.214v-0.571h-4.571v20.571h6.857v-4q0-0.232 0.17-0.402t0.402-0.17h5.714q0.232 0 0.402 0.17t0.17 0.402v4zM16 8.857v-5.714q0-0.232-0.17-0.402t-0.402-0.17h-1.143q-0.232 0-0.402 0.17t-0.17 0.402v1.714h-2.286v-1.714q0-0.232-0.17-0.402t-0.402-0.17h-1.143q-0.232 0-0.402 0.17t-0.17 0.402v5.714q0 0.232 0.17 0.402t0.402 0.17h1.143q0.232 0 0.402-0.17t0.17-0.402v-1.714h2.286v1.714q0 0.232 0.17 0.402t0.402 0.17h1.143q0.232 0 0.402-0.17t0.17-0.402zM25.143 8.286v22.857q0 0.464-0.339 0.804t-0.804 0.339h-22.857q-0.464 0-0.804-0.339t-0.339-0.804v-22.857q0-0.464 0.339-0.804t0.804-0.339h5.714v-5.143q0-0.714 0.5-1.214t1.214-0.5h8q0.714 0 1.214 0.5t0.5 1.214v5.143h5.714q0.464 0 0.804 0.339t0.339 0.804z"></path>'),
	   	 			'art_track' => array('keywords' => 'art_track ','viewbox' => '0 0 32 32', 'path' =>'<path d="M14 20.667l-3-4-2.313 3-1.688-2-2.313 3h9.313zM16 12.667v8q0 1.063-0.813 1.875t-1.875 0.813h-8q-1.063 0-1.844-0.813t-0.781-1.875v-8q0-1.063 0.781-1.875t1.844-0.813h8q1.063 0 1.875 0.813t0.813 1.875zM18.688 23.354v-2.688h10.625v2.688h-10.625zM29.313 9.979v2.688h-10.625v-2.688h10.625zM29.313 17.979h-10.625v-2.625h10.625v2.625z"></path>'),
	   	 			'insert_link' => array('keywords' => 'insert_link ','viewbox' => '0 0 32 32', 'path' =>'<path d="M22.688 9.979q2.75 0 4.688 1.969t1.938 4.719-1.938 4.719-4.688 1.969h-5.375v-2.563h5.375q1.688 0 2.906-1.219t1.219-2.906-1.219-2.906-2.906-1.219h-5.375v-2.563h5.375zM10.688 17.979v-2.625h10.625v2.625h-10.625zM5.188 16.667q0 1.688 1.219 2.906t2.906 1.219h5.375v2.563h-5.375q-2.75 0-4.688-1.969t-1.938-4.719 1.938-4.719 4.688-1.969h5.375v2.563h-5.375q-1.688 0-2.906 1.219t-1.219 2.906z"></path>'),
	   	 			'skype2' => array('keywords' => 'skype2 ','viewbox' => '0 0 27 32', 'path' =>'<path d="M20.946 19.268q0-0.893-0.348-1.634t-0.866-1.223-1.304-0.875-1.473-0.607-1.563-0.411l-1.857-0.429q-0.536-0.125-0.786-0.188t-0.625-0.205-0.536-0.286-0.295-0.375-0.134-0.536q0-1.375 2.571-1.375 0.768 0 1.375 0.214t0.964 0.509 0.679 0.598 0.714 0.518 0.857 0.214q0.839 0 1.348-0.571t0.509-1.375q0-0.982-1-1.777t-2.536-1.205-3.25-0.411q-1.214 0-2.357 0.277t-2.134 0.839-1.589 1.554-0.598 2.295q0 1.089 0.339 1.902t1 1.348 1.429 0.866 1.839 0.58l2.607 0.643q1.607 0.393 2 0.643 0.571 0.357 0.571 1.071 0 0.696-0.714 1.152t-1.875 0.455q-0.911 0-1.634-0.286t-1.161-0.688-0.813-0.804-0.821-0.688-0.964-0.286q-0.893 0-1.348 0.536t-0.455 1.339q0 1.643 2.179 2.813t5.196 1.17q1.304 0 2.5-0.33t2.188-0.955 1.58-1.67 0.589-2.348zM27.429 23.143q0 2.839-2.009 4.848t-4.848 2.009q-2.321 0-4.179-1.429-1.375 0.286-2.679 0.286-2.554 0-4.884-0.991t-4.018-2.679-2.679-4.018-0.991-4.884q0-1.304 0.286-2.679-1.429-1.857-1.429-4.179 0-2.839 2.009-4.848t4.848-2.009q2.321 0 4.179 1.429 1.375-0.286 2.679-0.286 2.554 0 4.884 0.991t4.018 2.679 2.679 4.018 0.991 4.884q0 1.304-0.286 2.679 1.429 1.857 1.429 4.179z"></path>'),
	   	 			'all_inclusive' => array('keywords' => 'all_inclusive ','viewbox' => '0 0 32 32', 'path' =>'<path d="M24.813 9.479q3 0 5.094 2.125t2.094 5.063-2.094 5.063-5.094 2.125-5.125-2.125l-1.688-1.5 2-1.75 1.563 1.313q1.375 1.375 3.25 1.375t3.188-1.313 1.313-3.188-1.313-3.188-3.188-1.313-3.188 1.313q-4.438 3.875-5.625 5l-3.75 3.313q-2.063 2.063-5.063 2.063t-5.094-2.125-2.094-5.063 2.094-5.063 5.094-2.125 5.125 2.125l1.688 1.5-2.063 1.75-1.5-1.313q-1.375-1.375-3.25-1.375t-3.188 1.313-1.313 3.188 1.313 3.188 3.188 1.313 3.188-1.313q4.438-3.875 5.625-5l3.75-3.313q2.063-2.063 5.063-2.063z"></path>'),
	   	 			'text_formatting' => array('keywords' => 'text_formatting ','viewbox' => '0 0 32 32', 'path' =>'<path d="M18 4h-17c-0.552 0-1 0.448-1 1v4c0 0.552 0.448 1 1 1s1-0.448 1-1v-3h6.5v20h-1.5c-0.552 0-1 0.448-1 1s0.448 1 1 1h5c0.552 0 1-0.448 1-1s-0.448-1-1-1h-1.5v-20h6.5v3c0 0.552 0.448 1 1 1s1-0.448 1-1v-4c0-0.552-0.448-1-1-1zM31 11h-9c-0.552 0-1 0.448-1 1v4c0 0.552 0.448 1 1 1s1-0.448 1-1v-3h2.5v13h-1.5c-0.552 0-1 0.448-1 1s0.448 1 1 1h5c0.552 0 1-0.448 1-1s-0.448-1-1-1h-1.5v-13h2.5v3c0 0.552 0.448 1 1 1s1-0.448 1-1v-4c0-0.552-0.448-1-1-1z"></path>'),
	   	 			'man-woman' => array('keywords' => 'man-woman ','viewbox' => '0 0 32 32', 'path' =>'<path d="M8 3c0 1.657-1.343 3-3 3s-3-1.343-3-3c0-1.657 1.343-3 3-3s3 1.343 3 3zM26 3c0 1.657-1.343 3-3 3s-3-1.343-3-3c0-1.657 1.343-3 3-3s3 1.343 3 3zM8 8h-6c-1.105 0-2 0.895-2 2v10h2v12h2.5v-12h1v12h2.5v-12h2v-10c0-1.105-0.895-2-2-2zM30.469 16l1.531-1.109-4.165-6.441c-0.185-0.281-0.499-0.45-0.835-0.45h-8c-0.336 0-0.65 0.169-0.835 0.45l-4.165 6.441 1.531 1.109 3.458-4.487 1.202 2.804-4.191 7.683h3.833l0.667 10h2v-10h1v10h2l0.667-10h3.833l-4.191-7.683 1.202-2.804 3.458 4.487z"></path>'),
	   	 			'repeat2' => array('keywords' => 'repeat2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M22.688 23.354v-5.375h2.625v8h-16v4l-5.313-5.313 5.313-5.313v4h13.375zM9.313 9.979v5.375h-2.625v-8h16v-4l5.313 5.313-5.313 5.313v-4h-13.375z"></path>'),
	   	 			'flag-o' => array('keywords' => 'flag-o ','viewbox' => '0 0 33 32', 'path' =>'<path d="M29.714 18.946v-11q-3.018 1.625-5.464 1.625-1.464 0-2.589-0.571-1.786-0.875-3.286-1.366t-3.179-0.491q-3.089 0-7.196 2.268v10.696q4.375-2.018 7.732-2.018 0.982 0 1.848 0.134t1.75 0.464 1.375 0.554 1.473 0.705l0.5 0.25q0.786 0.393 1.804 0.393 2.143 0 5.232-1.643zM5.714 4.857q0 0.625-0.313 1.143t-0.83 0.821v22.607q0 0.25-0.161 0.411t-0.411 0.161h-1.143q-0.25 0-0.411-0.161t-0.161-0.411v-22.607q-0.518-0.304-0.83-0.821t-0.313-1.143q0-0.946 0.67-1.616t1.616-0.67 1.616 0.67 0.67 1.616zM32 6v13.625q0 0.696-0.625 1.018-0.179 0.089-0.304 0.161-3.893 2.071-6.589 2.071-1.571 0-2.821-0.625l-0.5-0.25q-1.143-0.589-1.768-0.857t-1.625-0.518-2.036-0.25q-1.821 0-4.205 0.786t-4.080 1.821q-0.268 0.161-0.589 0.161-0.286 0-0.571-0.143-0.571-0.339-0.571-1v-13.25q0-0.625 0.554-0.982 0.625-0.375 1.402-0.759t2.036-0.929 2.723-0.884 2.768-0.339q2 0 3.732 0.554t3.732 1.536q0.679 0.339 1.589 0.339 2.179 0 5.536-2 0.393-0.214 0.554-0.304 0.554-0.286 1.107 0.036 0.554 0.357 0.554 0.982z"></path>'),
	   	 			'music_note' => array('keywords' => 'music_note ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 4.667h8v5.312h-5.313v13.375q0 2.188-1.594 3.75t-3.781 1.563-3.75-1.563-1.563-3.75 1.563-3.781 3.75-1.594q1.313 0 2.688 0.75v-14.063z"></path>'),
	   	 			'router_3' => array('keywords' => 'router_3 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M6 25c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM9 25c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM12 25c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM29 18v-7c0-1.303-0.837-2.412-2-2.825v-7.175c0-0.552-0.448-1-1-1s-1 0.448-1 1v7.175c-1.163 0.413-2 1.522-2 2.825v7h-20c-1.655 0-3 1.346-3 3v6c0 1.654 1.345 3 3 3h3v1c0 0.552 0.448 1 1 1s1-0.448 1-1v-1h16v1c0 0.552 0.448 1 1 1s1-0.448 1-1v-1h3c1.654 0 3-1.346 3-3v-6c0-1.654-1.346-3-3-3zM25 11c0-0.552 0.448-1 1-1s1 0.448 1 1v7h-2v-7zM2 27v-6c0-0.552 0.449-1 1-1h17v8h-17c-0.551 0-1-0.448-1-1zM30 27c0 0.552-0.448 1-1 1h-7v-8h7c0.552 0 1 0.448 1 1v6z"></path>'),
	   	 			'reply2' => array('keywords' => 'reply2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M13.313 12.667q6.5 0.938 10.031 4.969t4.656 9.719q-4.813-6.813-14.688-6.813v5.438l-9.313-9.313 9.313-9.313v5.313z"></path>'),
	   	 			'headphones' => array('keywords' => 'headphones ','viewbox' => '0 0 32 32', 'path' =>'<path d="M9 18h-2v14h2c0.55 0 1-0.45 1-1v-12c0-0.55-0.45-1-1-1zM23 18c-0.55 0-1 0.45-1 1v12c0 0.55 0.45 1 1 1h2v-14h-2zM32 16c0-8.837-7.163-16-16-16s-16 7.163-16 16c0 1.919 0.338 3.759 0.958 5.464-0.609 1.038-0.958 2.246-0.958 3.536 0 3.526 2.608 6.443 6 6.929v-13.857c-0.997 0.143-1.927 0.495-2.742 1.012-0.168-0.835-0.258-1.699-0.258-2.584 0-7.18 5.82-13 13-13s13 5.82 13 13c0 0.885-0.088 1.749-0.257 2.584-0.816-0.517-1.745-0.87-2.743-1.013v13.858c3.392-0.485 6-3.402 6-6.929 0-1.29-0.349-2.498-0.958-3.536 0.62-1.705 0.958-3.545 0.958-5.465z"></path>'),
	   	 			'filter_tilt_shift' => array('keywords' => 'filter_tilt_shift ','viewbox' => '0 0 32 32', 'path' =>'<path d="M7.563 26.979l1.875-1.875q2.313 1.75 5.25 2.125v2.688q-3.938-0.375-7.125-2.938zM17.313 27.229q2.938-0.375 5.188-2.125l1.938 1.875q-3.188 2.563-7.125 2.938v-2.688zM24.438 23.229q1.75-2.375 2.125-5.188h2.688q-0.375 3.875-2.938 7.063zM20 16.667q0 1.625-1.188 2.813t-2.813 1.188-2.813-1.188-1.188-2.813 1.188-2.813 2.813-1.188 2.813 1.188 1.188 2.813zM5.438 17.979q0.375 2.938 2.125 5.188l-1.875 1.938q-2.563-3.188-2.938-7.125h2.688zM7.563 10.104q-1.75 2.313-2.125 5.25h-2.688q0.375-3.938 2.938-7.125zM26.563 15.354q-0.375-2.938-2.125-5.25l1.875-1.875q2.563 3.188 2.938 7.125h-2.688zM24.438 6.354l-1.875 1.875q-2.313-1.75-5.25-2.125v-2.688q3.938 0.375 7.125 2.938zM14.688 6.104q-2.938 0.375-5.25 2.125l-1.875-1.875q3.188-2.563 7.125-2.938v2.688z"></path>'),
	   	 			'minimize_symbol' => array('keywords' => 'minimize_symbol ','viewbox' => '0 0 32 32', 'path' =>'<path d="M15 28.5c-0.552 0-1 0.448-1 1v0.5h-0.5c-0.552 0-1 0.448-1 1s0.448 1 1 1h1.5c0.552 0 1-0.448 1-1v-1.5c0-0.552-0.448-1-1-1zM9.834 30h-3.667c-0.552 0-1 0.448-1 1s0.448 1 1 1h3.667c0.552 0 1-0.448 1-1s-0.448-1-1-1zM2.5 30h-0.5v-0.5c0-0.552-0.448-1-1-1s-1 0.448-1 1v1.5c0 0.552 0.448 1 1 1h1.5c0.552 0 1-0.448 1-1s-0.448-1-1-1zM1 26.833c0.552 0 1-0.448 1-1v-3.667c0-0.552-0.448-1-1-1s-1 0.448-1 1v3.667c0 0.552 0.448 1 1 1zM2.5 16h-1.5c-0.552 0-1 0.448-1 1v1.5c0 0.552 0.448 1 1 1s1-0.448 1-1v-0.5h0.5c0.552 0 1-0.448 1-1s-0.448-1-1-1zM13.5 18h0.5v0.5c0 0.552 0.448 1 1 1s1-0.448 1-1v-1.5c0-0.552-0.448-1-1-1h-1.5c-0.552 0-1 0.448-1 1s0.448 1 1 1zM31 0h-24c-0.552 0-1 0.448-1 1v15.017c-0.473 0.080-0.833 0.488-0.833 0.983s0.361 0.904 0.833 0.983v7.017c0 0.552 0.448 1 1 1h7.017c0.079 0.473 0.489 0.834 0.983 0.834s0.904-0.361 0.983-0.834h15.017c0.552 0 1-0.448 1-1v-24c0-0.552-0.448-1-1-1zM30 24h-14v-1.833c0-0.552-0.448-1-1-1s-1 0.448-1 1v1.833h-6v-6h1.833c0.552 0 1-0.448 1-1s-0.448-1-1-1h-1.833v-14h22v22zM17.917 14.996c0.028 0.002 0.055 0.004 0.083 0.004h6c0.552 0 1-0.448 1-1s-0.448-1-1-1h-3.588l7.295-7.293c0.39-0.391 0.39-1.024 0-1.414-0.195-0.196-0.451-0.293-0.707-0.293s-0.512 0.098-0.707 0.293l-7.292 7.291-0-3.585c0-0.552-0.448-1-1-1s-1 0.448-1 1l0 5.064c0 1.198 0 1.857 0.917 1.934z"></path>'),
	   	 			'keyboard_control' => array('keywords' => 'keyboard_control ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 13.979q1.063 0 1.875 0.813t0.813 1.875-0.813 1.875-1.875 0.813-1.875-0.813-0.813-1.875 0.813-1.875 1.875-0.813zM24 13.979q1.063 0 1.875 0.813t0.813 1.875-0.813 1.875-1.875 0.813-1.875-0.813-0.813-1.875 0.813-1.875 1.875-0.813zM8 13.979q1.063 0 1.875 0.813t0.813 1.875-0.813 1.875-1.875 0.813-1.875-0.813-0.813-1.875 0.813-1.875 1.875-0.813z"></path>'),
	   	 			'format_italic' => array('keywords' => 'format_italic ','viewbox' => '0 0 32 32', 'path' =>'<path d="M13.313 5.979h10.688v4h-3.75l-4.5 10.688h2.938v4h-10.688v-4h3.75l4.5-10.688h-2.938v-4z"></path>'),
	   	 			'plane_above' => array('keywords' => 'plane_above ','viewbox' => '0 0 32 32', 'path' =>'<path d="M27 12.5h-5.77l-2.080-6.5h0.35c0.552 0 1-0.448 1-1s-0.448-1-1-1h-0.99l-1.058-3.304c-0.133-0.414-0.518-0.696-0.953-0.696h-3c-0.552 0-1 0.448-1 1v3h-1.5c-0.552 0-1 0.448-1 1s0.448 1 1 1h1.5v6.5h-5.382l-1.723-3.447c-0.002 0.001-0.003 0.001-0.003 0.002-0.165-0.327-0.5-0.554-0.891-0.554h-2c-0.552 0-1 0.448-1 1 0 0.052 0.008 0.101 0.015 0.15-0.001 0.001-0.002 0.001-0.004 0.002l0.977 6.348-0.977 6.348c0.002 0 0.002-0 0.004-0.001-0.008 0.050-0.015 0.101-0.015 0.154 0 0.552 0.448 1 1 1h2c0.391 0 0.726-0.227 0.891-0.555 0.001 0.001 0.002 0.001 0.003 0.002l1.723-3.447h5.382v6.5h-1.5c-0.552 0-1 0.448-1 1s0.448 1 1 1h1.5v3c0 0.552 0.448 1 1 1h3c0.434 0 0.82-0.281 0.952-0.695l1.058-3.305h0.99c0.552 0 1-0.448 1-1s-0.448-1-1-1h-0.35l2.080-6.5h5.77c1.93 0 3.5-1.57 3.5-3.5s-1.57-3.5-3.5-3.5zM14.5 2h1.27l3.36 10.5h-4.63v-10.5zM15.77 30h-1.27v-10.5h4.63l-3.36 10.5zM27 17.5h-20.5c-0.391 0-0.728 0.227-0.891 0.555-0.001-0.001-0.002-0.002-0.003-0.003l-1.724 3.448h-0.216l0.823-5.348c-0.002 0-0.003 0-0.005 0.002 0.016-0.099 0.021-0.201 0.005-0.306l-0.823-5.348h0.216l1.724 3.447c0.176 0.35 0.529 0.553 0.895 0.553 0 0 0.002 0 0.002 0h20.497c0.827 0 1.5 0.673 1.5 1.5s-0.673 1.5-1.5 1.5z"></path>'),
	   	 			'wall_painting_tool' => array('keywords' => 'wall_painting_tool ','viewbox' => '0 0 32 32', 'path' =>'<path d="M27 1c0-0.552-0.448-1-1-1h-20c-0.552 0-1 0.448-1 1v15c0 1.654 1.345 3 2.999 3v0h5c0 2.708 0 10 0 10 0 1.654 1.345 3 3 3s3-1.346 3-3v-10h5c1.654 0 3-1.346 3-3v-15zM7 2h18v10.999h-2v-7c0-0.552-0.448-1-1-1s-1 0.448-1 1v7h-2v-7c0-0.552-0.448-1-1-1s-1 0.448-1 1v7h-2v-7c0-0.552-0.448-1-1-1s-1 0.448-1 1v7h-2v-7c0-0.552-0.448-1-1-1s-1 0.448-1 1v7h-2v-10.999zM16 30c-0.552 0-1-0.448-1-1v-10h2v10c0 0.552-0.448 1-1 1zM24 17h-10c0 0 0 0-0.001 0h-6c-0.551 0-1-0.448-1-1v-1h18v1c0 0.552-0.448 1-1 1z"></path>'),
	   	 			'youtube2' => array('keywords' => 'youtube2 ','viewbox' => '0 0 80 32', 'path' =>'<path d="M10.75 5.294c0.007-0.027 0.011-0.046 0.012-0.056l0.033-0.236-1.48-0.008c-1.337-0.008-1.746 0-1.783 0.034-0.018 0.016-0.479 1.77-1.302 4.946-0.392 1.515-0.723 2.725-0.734 2.689s-0.481-1.766-1.044-3.843c-0.563-2.078-1.034-3.789-1.048-3.803-0.019-0.019-1.812-0.028-3.263-0.016-0.21 0.002-0.327-0.41 1.876 6.598 0.305 0.97 0.762 2.344 1.015 3.052 0.292 0.817 0.5 1.448 0.642 1.974 0.251 1.002 0.26 1.63 0.205 2.363-0.063 0.847-0.073 6.826-0.011 6.926 0.047 0.077 2.851 0.112 3.116 0.040 0.042-0.012 0.071-0.053 0.090-0.279 0.066-0.194 0.071-0.968 0.071-4.18v-4.103l0.179-0.566c0.117-0.37 0.413-1.344 0.656-2.163s0.538-1.801 0.654-2.18c1.057-3.447 2.067-6.838 2.094-7.032l0.022-0.158zM26.441 10.27l-0.001 0.214-0.033 0-0.019 5.906-0.018 5.726-0.458 0.467c-0.513 0.522-0.925 0.722-1.297 0.629-0.405-0.102-0.395 0.056-0.429-6.712l-0.031-6.23h-2.947v0.214h-0.034v6.759c0 7.242-0 7.237 0.367 7.965 0.293 0.579 0.719 0.861 1.45 0.958h0c0.962 0.128 2-0.308 2.962-1.244l0.418-0.407v0.701c0 0.606 0.017 0.706 0.127 0.737 0.18 0.050 2.412 0.053 2.653 0.004l0.2-0.041v-0.207l0.034-0.007v-15.472l-2.944 0.039zM18.965 13.323c-0.279-1.198-0.802-2.004-1.664-2.561-1.353-0.875-2.897-0.967-4.331-0.259-1.045 0.516-1.717 1.372-2.065 2.628-0.041 0.15-0.072 0.275-0.095 0.463-0.088 0.443-0.099 1.105-0.122 4.186-0.035 4.748 0.019 5.313 0.614 6.391 0.583 1.058 1.794 1.833 3.112 1.993 0.397 0.048 1.201-0.027 1.663-0.155 1.051-0.291 2.058-1.122 2.504-2.065 0.192-0.407 0.309-0.691 0.379-1.208 0.13-0.707 0.14-1.849 0.14-4.762-0-3.715-0.012-4.121-0.136-4.651zM15.604 23c-0.247 0.188-0.679 0.27-1.031 0.195-0.271-0.058-0.636-0.482-0.748-0.869-0.14-0.482-0.151-7.187-0.030-8.502 0.199-0.658 0.756-1.002 1.364-0.838 0.474 0.128 0.716 0.424 0.854 1.046 0.103 0.461 0.115 1.035 0.093 4.414-0.014 2.241-0.022 3.336-0.096 3.924-0.074 0.371-0.197 0.47-0.407 0.63zM71.887 16.692h1.424l-0.023-1.29c-0.022-1.183-0.039-1.319-0.198-1.64-0.249-0.507-0.617-0.731-1.201-0.731-0.701 0-1.146 0.339-1.356 1.036-0.089 0.296-0.183 2.334-0.116 2.51 0.038 0.098 0.241 0.116 1.469 0.116zM62.369 13.757c-0.19-0.383-0.543-0.571-0.954-0.556-0.319 0.011-0.674 0.146-1.015 0.407l-0.254 0.193v9.269l0.254 0.193c0.576 0.439 1.209 0.532 1.644 0.241 0.172-0.115 0.285-0.274 0.372-0.527 0.114-0.329 0.124-0.75 0.109-4.649-0.015-4.064-0.024-4.303-0.157-4.57zM80.027 9.582c-0.284-3.401-0.509-4.505-1.211-5.923-0.929-1.878-2.272-2.868-4.184-3.086-1.478-0.168-7.041-0.405-12.189-0.52-8.912-0.198-23.564 0.183-25.436 0.662-0.865 0.221-1.513 0.597-2.188 1.269-1.183 1.177-1.887 2.865-2.17 5.2-0.647 5.331-0.66 11.773-0.037 17.297 0.268 2.376 0.82 3.92 1.857 5.192 0.647 0.794 1.761 1.469 2.758 1.67 0.7 0.141 4.201 0.337 9.3 0.521 0.76 0.027 2.771 0.074 4.47 0.105 3.541 0.063 10.051 0.026 13.772-0.079 2.504-0.070 7.069-0.255 7.922-0.321 0.24-0.019 0.796-0.054 1.236-0.079 1.477-0.083 2.417-0.393 3.3-1.086 1.142-0.897 2.027-2.556 2.4-4.501 0.354-1.84 0.59-5.118 0.638-8.839 0.040-3.109-0.013-4.787-0.238-7.482zM44.54 8.35l-1.656 0.020-0.073 17.661-1.435 0.018c-1.11 0.015-1.447-0.001-1.474-0.073-0.019-0.051-0.042-4.032-0.052-8.849l-0.018-8.758-3.234-0.041v-2.76l9.557 0.039 0.041 2.721-1.656 0.020zM54.694 18.472v7.595h-2.616v-0.799c0-0.601-0.023-0.799-0.093-0.799-0.051 0-0.288 0.198-0.527 0.441-0.517 0.526-1.13 0.949-1.653 1.145-1.083 0.405-2.112 0.169-2.551-0.586-0.401-0.691-0.409-0.845-0.409-8.010v-6.58h2.614l0.020 6.196c0.019 6.088 0.022 6.2 0.168 6.448 0.193 0.329 0.488 0.417 0.956 0.288 0.276-0.076 0.464-0.21 0.911-0.654l0.563-0.561v-11.717h2.616v7.595zM64.899 24.982c-0.23 0.513-0.744 1.016-1.165 1.14-1.099 0.324-1.98 0.060-2.998-0.897-0.316-0.297-0.61-0.538-0.654-0.538-0.053 0-0.082 0.233-0.082 0.69v0.69h-2.616v-20.495h2.616v3.343c0 1.839 0.025 3.343 0.054 3.343s0.306-0.244 0.613-0.541c0.707-0.683 1.298-0.981 2.049-1.038 1.338-0.101 2.135 0.587 2.501 2.16 0.114 0.491 0.125 1.051 0.125 5.596-0 5.537-0.001 5.56-0.443 6.546zM75.968 21.943c-0.023 0.57-0.092 1.223-0.154 1.454-0.364 1.349-1.332 2.304-2.732 2.696-1.885 0.527-3.96-0.337-4.788-1.994-0.465-0.93-0.481-1.116-0.481-5.662 0-3.707 0.013-4.162 0.132-4.667 0.336-1.431 1.168-2.357 2.578-2.871 0.408-0.149 0.835-0.225 1.261-0.234 1.521-0.031 3.031 0.787 3.663 2.119 0.427 0.899 0.48 1.283 0.522 3.816l0.039 2.271-5.578 0.039-0.020 1.526c-0.029 2.153 0.116 2.815 0.697 3.207 0.489 0.329 1.24 0.305 1.649-0.055 0.383-0.337 0.491-0.698 0.529-1.753l0.034-0.927h2.694l-0.043 1.036z"></path>'),
	   	 			'random' => array('keywords' => 'random ','viewbox' => '0 0 32 32', 'path' =>'<path d="M11.893 8.875q-1.071 1.643-2.446 4.875-0.393-0.804-0.661-1.295t-0.723-1.134-0.911-1.009-1.125-0.625-1.455-0.259h-4q-0.25 0-0.411-0.161t-0.161-0.411v-3.429q0-0.25 0.161-0.411t0.411-0.161h4q4.464 0 7.321 4.018zM32 23.143q0 0.25-0.161 0.411l-5.714 5.714q-0.161 0.161-0.411 0.161-0.232 0-0.402-0.17t-0.17-0.402v-3.429q-0.571 0-1.518 0.009t-1.446 0.018-1.304-0.018-1.268-0.089-1.143-0.188-1.125-0.33-1.036-0.509-1.054-0.714-0.982-0.955-1-1.241q1.054-1.661 2.429-4.875 0.393 0.804 0.661 1.295t0.723 1.134 0.911 1.009 1.125 0.625 1.455 0.259h4.571v-3.429q0-0.25 0.161-0.411t0.411-0.161q0.214 0 0.429 0.179l5.696 5.696q0.161 0.161 0.161 0.411zM32 7.143q0 0.25-0.161 0.411l-5.714 5.714q-0.161 0.161-0.411 0.161-0.232 0-0.402-0.17t-0.17-0.402v-3.429h-4.571q-0.857 0-1.554 0.268t-1.232 0.804-0.911 1.098-0.804 1.384q-0.571 1.107-1.393 3.054-0.518 1.179-0.884 1.982t-0.964 1.875-1.143 1.786-1.321 1.482-1.607 1.223-1.902 0.75-2.286 0.295h-4q-0.25 0-0.411-0.161t-0.161-0.411v-3.429q0-0.25 0.161-0.411t0.411-0.161h4q0.857 0 1.554-0.268t1.232-0.804 0.911-1.098 0.804-1.384q0.571-1.107 1.393-3.054 0.518-1.179 0.884-1.982t0.964-1.875 1.143-1.786 1.321-1.482 1.607-1.223 1.902-0.75 2.286-0.295h4.571v-3.429q0-0.25 0.161-0.411t0.411-0.161q0.214 0 0.429 0.179l5.696 5.696q0.161 0.161 0.161 0.411z"></path>'),
	   	 			'users_group' => array('keywords' => 'users_group ','viewbox' => '0 0 41 32', 'path' =>'<path d="M20.48 14.080c-4.941 0-8.96 4.019-8.96 8.96 0 0.707 0.573 1.28 1.28 1.28h1.92v6.4c0 0.707 0.573 1.28 1.28 1.28h8.96c0.707 0 1.28-0.573 1.28-1.28v-6.4h1.92c0.707 0 1.28-0.573 1.28-1.28 0-4.941-4.019-8.96-8.96-8.96zM24.96 21.76c-0.707 0-1.28 0.573-1.28 1.28v6.4h-6.4v-6.4c0-0.707-0.573-1.28-1.28-1.28h-1.791c0.595-2.918 3.181-5.12 6.271-5.12s5.677 2.202 6.271 5.12h-1.791zM20.48 12.8c3.176 0 5.76-2.584 5.76-5.76s-2.584-5.76-5.76-5.76-5.76 2.584-5.76 5.76 2.584 5.76 5.76 5.76zM20.48 3.84c1.764 0 3.2 1.436 3.2 3.2s-1.436 3.2-3.2 3.2-3.2-1.436-3.2-3.2 1.436-3.2 3.2-3.2zM34.56 8.96c-3.529 0-6.4 2.871-6.4 6.4 0 0.707 0.573 1.28 1.28 1.28h1.28v3.84c0 0.707 0.573 1.28 1.28 1.28h5.12c0.707 0 1.28-0.573 1.28-1.28v-3.84h1.28c0.707 0 1.28-0.573 1.28-1.28 0-3.529-2.871-6.4-6.4-6.4zM35.84 19.2h-2.56v-3.84c0-0.707-0.573-1.28-1.28-1.28h-1.060c0.528-1.49 1.952-2.56 3.62-2.56s3.092 1.070 3.62 2.56h-1.060c-0.707 0-1.28 0.573-1.28 1.28v3.84zM39.040 4.48c0-2.47-2.010-4.48-4.48-4.48s-4.48 2.010-4.48 4.48 2.010 4.48 4.48 4.48 4.48-2.010 4.48-4.48zM34.56 6.4c-1.059 0-1.92-0.861-1.92-1.92s0.861-1.92 1.92-1.92 1.92 0.861 1.92 1.92-0.861 1.92-1.92 1.92zM11.52 16.64c0.707 0 1.28-0.573 1.28-1.28 0-3.529-2.871-6.4-6.4-6.4s-6.4 2.871-6.4 6.4c0 0.707 0.573 1.28 1.28 1.28h1.28v3.84c0 0.707 0.573 1.28 1.28 1.28h5.12c0.707 0 1.28-0.573 1.28-1.28v-3.84h1.28zM7.68 19.2h-2.56v-3.84c0-0.707-0.573-1.28-1.28-1.28h-1.060c0.528-1.49 1.952-2.56 3.62-2.56s3.092 1.070 3.62 2.56h-1.060c-0.707 0-1.28 0.573-1.28 1.28v3.84zM10.88 4.48c0-2.47-2.010-4.48-4.48-4.48s-4.48 2.010-4.48 4.48 2.010 4.48 4.48 4.48 4.48-2.010 4.48-4.48zM6.4 6.4c-1.059 0-1.92-0.861-1.92-1.92s0.861-1.92 1.92-1.92 1.92 0.861 1.92 1.92-0.861 1.92-1.92 1.92z"></path>'),
	   	 			'arrow_upward' => array('keywords' => 'arrow_upward ','viewbox' => '0 0 32 32', 'path' =>'<path d="M5.313 16.667l10.688-10.688 10.688 10.688-1.938 1.875-7.438-7.438v16.25h-2.625v-16.25l-7.5 7.438z"></path>'),
	   	 			'map_marker_3' => array('keywords' => 'map_marker_3 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M19.5 8.5c0-1.93-1.57-3.5-3.5-3.5s-3.5 1.57-3.5 3.5 1.57 3.5 3.5 3.5c1.93 0 3.5-1.57 3.5-3.5zM14.5 8.5c0-0.827 0.673-1.5 1.5-1.5s1.5 0.673 1.5 1.5-0.673 1.5-1.5 1.5-1.5-0.673-1.5-1.5zM16 27c0.334 0 0.646-0.167 0.832-0.445 0.314-0.47 7.668-11.576 7.668-18.055 0-4.687-3.813-8.5-8.5-8.5s-8.5 3.813-8.5 8.5c0 6.479 7.354 17.585 7.668 18.055 0.185 0.278 0.498 0.445 0.832 0.445zM16 2c3.584 0 6.5 2.916 6.5 6.5 0 4.666-4.579 12.541-6.5 15.639-1.921-3.098-6.5-10.97-6.5-15.639 0-3.584 2.916-6.5 6.5-6.5zM26.412 30.589l-4-8.876c-0.227-0.504-0.82-0.727-1.323-0.501s-0.727 0.819-0.5 1.323l3.364 7.465h-15.905l3.364-7.466c0.227-0.503 0.002-1.096-0.501-1.323s-1.095-0.003-1.322 0.501l-4 8.876c-0.139 0.309-0.112 0.669 0.072 0.954 0.183 0.285 0.5 0.457 0.839 0.457h19c0.34 0 0.656-0.172 0.84-0.457s0.212-0.645 0.072-0.954z"></path>'),
	   	 			'confused2' => array('keywords' => 'confused2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 0c-8.837 0-16 7.163-16 16s7.163 16 16 16c8.837 0 16-7.163 16-16s-7.163-16-16-16zM22 8c1.105 0 2 0.895 2 2s-0.895 2-2 2-2-0.895-2-2c0-1.105 0.895-2 2-2zM10 8c1.105 0 2 0.895 2 2s-0.895 2-2 2-2-0.895-2-2c0-1.105 0.895-2 2-2zM21.469 25.33c-2.591 0.943-5.466-0.397-6.409-2.988-0.566-1.554-2.291-2.359-3.845-1.793-1.424 0.518-2.217 2.009-1.906 3.451h-2.027c-0.289-2.266 1.014-4.517 3.249-5.33 2.591-0.943 5.466 0.397 6.409 2.988 0.566 1.554 2.291 2.359 3.845 1.793 1.424-0.518 2.217-2.009 1.906-3.451h2.027c0.289 2.266-1.014 4.517-3.249 5.33z"></path>'),
	   	 			'kettle_boiling' => array('keywords' => 'kettle_boiling ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31.865 10.498c-0.179-0.309-0.509-0.498-0.865-0.498h-4c-0.247 0-0.485 0.091-0.669 0.257l-3.602 3.242-0.735-6.609c-0.056-0.506-0.484-0.889-0.994-0.889h-12c-0.51 0-0.938 0.383-0.994 0.889l-0.234 2.11h-0.771c-3.86 0-7 3.14-7 7 0 3.596 2.727 6.565 6.221 6.954l-0.215 1.936c-0.031 0.282 0.059 0.566 0.249 0.777s0.462 0.333 0.745 0.333h16c0.003 0 0.007 0 0.010 0 0.418 0 0.774-0.256 0.924-0.619l7.934-13.885c0.177-0.309 0.176-0.69-0.003-0.998zM2 16c0-2.757 2.243-5 5-5h0.55l-1.107 9.967c-2.495-0.279-4.442-2.398-4.442-4.967zM8.117 24l1.778-16h10.21l1.778 16h-13.766zM23.655 21.839l-0.655-5.893 4.384-3.945h1.893l-5.622 9.839z"></path>'),
	   	 			'medallion_2' => array('keywords' => 'medallion_2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M14.499 10.5c0.001 0 0.002 0 0.003 0h0.995v5c0 0.552 0.447 1 1 1s1-0.448 1-1c0-0.001 0-0.002 0-0.002v-5.978c0-0.007 0.002-0.012 0.002-0.020 0-0.552-0.448-1-1-1h-2c-0.552 0-1 0.448-1 1s0.448 1 1 1zM31.706 24.366l-5.883-5.883c0.080-0.131 0.156-0.265 0.231-0.399 0.92-1.654 1.446-3.556 1.445-5.582v-0.001c0.002-4.962-3.142-9.191-7.546-10.803-1.233-0.452-2.565-0.698-3.954-0.698s-2.721 0.246-3.954 0.698c-4.404 1.612-7.548 5.841-7.546 10.803v0.001c-0 2.027 0.526 3.929 1.446 5.582 0.074 0.134 0.151 0.268 0.231 0.399l-5.883 5.883c-0.277 0.277-0.366 0.69-0.23 1.056 0.052 0.137 0.131 0.259 0.23 0.358 0.167 0.167 0.391 0.273 0.635 0.291l3.76 0.268 0.287 3.737c0.030 0.39 0.285 0.726 0.651 0.861s0.777 0.046 1.054-0.23l6.952-6.952c0.765 0.16 1.556 0.244 2.368 0.244s1.603-0.085 2.367-0.244l6.952 6.952c0.276 0.276 0.689 0.366 1.055 0.23 0.365-0.136 0.619-0.471 0.649-0.861l0.288-3.737 3.76-0.268c0.244-0.017 0.469-0.123 0.636-0.291 0.099-0.099 0.178-0.22 0.23-0.358 0.138-0.366 0.049-0.779-0.229-1.056zM25.5 12.5c0 0.039-0.006 0.076-0.006 0.116-0.008 0.615-0.069 1.217-0.188 1.799-0.887 4.324-4.715 7.585-9.307 7.587-4.593-0.001-8.421-3.264-9.307-7.588-0.043-0.214-0.071-0.434-0.099-0.655-0.013-0.096-0.034-0.19-0.044-0.287-0.027-0.259-0.035-0.524-0.040-0.789-0.002-0.062-0.010-0.121-0.010-0.182 0.003-5.249 4.252-9.499 9.5-9.5 5.249 0.001 9.498 4.251 9.501 9.5zM6.803 27.756l-0.186-2.428c-0.038-0.494-0.431-0.885-0.926-0.921l-2.436-0.174 4.123-4.123c1.123 1.271 2.521 2.293 4.102 2.969l-4.678 4.677zM26.308 24.407c-0.494 0.035-0.887 0.427-0.926 0.921l-0.186 2.428-4.677-4.677c1.581-0.677 2.98-1.698 4.102-2.969l4.123 4.123-2.436 0.174z"></path>'),
	   	 			'voicemail' => array('keywords' => 'voicemail ','viewbox' => '0 0 32 32', 'path' =>'<path d="M24.688 20.667q1.938 0 3.281-1.375t1.344-3.313-1.344-3.281-3.281-1.344-3.313 1.344-1.375 3.281 1.375 3.313 3.313 1.375zM7.313 20.667q1.938 0 3.313-1.375t1.375-3.313-1.375-3.281-3.313-1.344-3.281 1.344-1.344 3.281 1.344 3.313 3.281 1.375zM24.688 8.667q3.063 0 5.188 2.125t2.125 5.188-2.125 5.219-5.188 2.156h-17.375q-3.063 0-5.188-2.156t-2.125-5.219 2.125-5.188 5.188-2.125 5.219 2.125 2.156 5.188q0 2.688-1.688 4.688h6q-1.688-2-1.688-4.688 0-3.063 2.156-5.188t5.219-2.125z"></path>'),
	   	 			'exchange' => array('keywords' => 'exchange ','viewbox' => '0 0 32 32', 'path' =>'<path d="M32 21.429v3.429q0 0.232-0.17 0.402t-0.402 0.17h-24.571v3.429q0 0.232-0.17 0.402t-0.402 0.17q-0.214 0-0.429-0.179l-5.696-5.714q-0.161-0.161-0.161-0.393 0-0.25 0.161-0.411l5.714-5.714q0.161-0.161 0.411-0.161 0.232 0 0.402 0.17t0.17 0.402v3.429h24.571q0.232 0 0.402 0.17t0.17 0.402zM32 11.714q0 0.25-0.161 0.411l-5.714 5.714q-0.161 0.161-0.411 0.161-0.232 0-0.402-0.17t-0.17-0.402v-3.429h-24.571q-0.232 0-0.402-0.17t-0.17-0.402v-3.429q0-0.232 0.17-0.402t0.402-0.17h24.571v-3.429q0-0.25 0.161-0.411t0.411-0.161q0.214 0 0.429 0.179l5.696 5.696q0.161 0.161 0.161 0.411z"></path>'),
	   	 			'arrow-down-right' => array('keywords' => 'arrow-down-right ','viewbox' => '0 0 32 32', 'path' =>'<path d="M32 9l-8 8-17-17-7 7 17 17-8 8h23v-23z"></path>'),
	   	 			'close' => array('keywords' => 'close ','viewbox' => '0 0 25 32', 'path' =>'<path d="M23.179 23.893q0 0.714-0.5 1.214l-2.429 2.429q-0.5 0.5-1.214 0.5t-1.214-0.5l-5.25-5.25-5.25 5.25q-0.5 0.5-1.214 0.5t-1.214-0.5l-2.429-2.429q-0.5-0.5-0.5-1.214t0.5-1.214l5.25-5.25-5.25-5.25q-0.5-0.5-0.5-1.214t0.5-1.214l2.429-2.429q0.5-0.5 1.214-0.5t1.214 0.5l5.25 5.25 5.25-5.25q0.5-0.5 1.214-0.5t1.214 0.5l2.429 2.429q0.5 0.5 0.5 1.214t-0.5 1.214l-5.25 5.25 5.25 5.25q0.5 0.5 0.5 1.214z"></path>'),
	   	 			'chess_2' => array('keywords' => 'chess_2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M23.243 26.024c-1.21-0.418-2.695-2.142-3.114-4.579-0.26-1.508-0.728-4.725-0.975-6.445h0.846c0.070 0 0.137-0.007 0.201-0.021 1.283-0.104 2.299-1.17 2.299-2.479s-1.015-2.375-2.299-2.479c-0.065-0.014-0.132-0.021-0.201-0.021h-0.926c0.218-1.657 0.881-3.737 1.508-4.187 0.354-0.253 0.503-0.705 0.37-1.119s-0.517-0.695-0.952-0.695h-1.61c-0.215-1.459-0.817-4-2.39-4s-2.175 2.541-2.39 4h-1.61c-0.434 0-0.819 0.281-0.952 0.695s0.017 0.865 0.37 1.119c0.627 0.449 1.29 2.53 1.508 4.187h-0.926c-0.069 0-0.136 0.007-0.201 0.021-1.283 0.104-2.299 1.17-2.299 2.479s1.015 2.375 2.299 2.479c0.065 0.014 0.132 0.021 0.201 0.021h0.847c-0.247 1.72-0.716 4.938-0.975 6.446-0.419 2.437-1.905 4.161-3.114 4.578-1.264 0.125-2.257 1.18-2.257 2.476v2.5c0 0.552 0.448 1 1 1h17c0.552 0 1-0.448 1-1v-2.5c0-1.295-0.994-2.351-2.257-2.476zM12 13c-0.276 0-0.5-0.225-0.5-0.5s0.224-0.5 0.5-0.5h8c0.276 0 0.5 0.225 0.5 0.5s-0.224 0.5-0.5 0.5h-8zM16 2.566c0.148 0.41 0.289 0.938 0.384 1.434h-0.767c0.094-0.497 0.235-1.024 0.383-1.434zM13.9 6h4.199c-0.573 1.273-0.902 2.851-1.033 4h-2.133c-0.131-1.149-0.46-2.727-1.033-4zM17.133 15c0.234 1.631 0.742 5.142 1.026 6.785 0.276 1.607 0.957 3.087 1.869 4.215h-8.053c0.911-1.128 1.592-2.609 1.868-4.215 0.283-1.643 0.791-5.154 1.026-6.785h2.265zM23.5 30h-15v-1.5c0-0.276 0.223-0.499 0.499-0.5h14c0 0 0.001 0 0.002 0h0c0.276 0.001 0.499 0.224 0.499 0.5v1.5z"></path>'),
	   	 			'weather_19' => array('keywords' => 'weather_19 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M13.75 22.915c0.239-0.138 0.322-0.445 0.183-0.683l-0.567-0.982h1.134c0.277 0 0.5-0.224 0.5-0.5s-0.223-0.5-0.5-0.5h-1.134l0.567-0.982c0.138-0.239 0.056-0.545-0.183-0.683s-0.545-0.056-0.683 0.183l-0.567 0.982-0.567-0.982c-0.138-0.239-0.445-0.322-0.683-0.183-0.239 0.138-0.322 0.445-0.183 0.683l0.567 0.982h-1.134c-0.277 0-0.5 0.224-0.5 0.5s0.223 0.5 0.5 0.5h1.134l-0.567 0.982c-0.138 0.239-0.056 0.545 0.183 0.683 0.079 0.046 0.165 0.067 0.249 0.067 0.173 0 0.341-0.090 0.434-0.25l0.567-0.982 0.567 0.982c0.093 0.16 0.261 0.25 0.434 0.25 0.085 0 0.171-0.021 0.249-0.067zM21.5 20.25h-1.134l0.567-0.982c0.138-0.239 0.056-0.545-0.183-0.683s-0.545-0.056-0.683 0.183l-0.567 0.982-0.567-0.982c-0.139-0.239-0.445-0.322-0.683-0.183-0.239 0.138-0.322 0.445-0.183 0.683l0.567 0.982h-1.134c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h1.134l-0.567 0.982c-0.138 0.239-0.056 0.545 0.183 0.683 0.078 0.046 0.165 0.067 0.25 0.067 0.173 0 0.341-0.090 0.433-0.25l0.567-0.982 0.567 0.982c0.093 0.16 0.261 0.25 0.433 0.25 0.084 0 0.171-0.021 0.25-0.067 0.239-0.138 0.322-0.445 0.183-0.683l-0.567-0.982h1.134c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5zM18 25.482h-1.134l0.567-0.982c0.138-0.239 0.056-0.545-0.183-0.683s-0.545-0.056-0.683 0.183l-0.567 0.982-0.567-0.982c-0.138-0.239-0.445-0.322-0.683-0.183-0.239 0.138-0.322 0.444-0.183 0.683l0.567 0.982h-1.134c-0.277 0-0.5 0.224-0.5 0.5s0.223 0.5 0.5 0.5h1.134l-0.567 0.982c-0.138 0.239-0.056 0.545 0.183 0.683 0.079 0.046 0.165 0.067 0.249 0.067 0.173 0 0.341-0.090 0.434-0.25l0.567-0.982 0.567 0.982c0.093 0.16 0.261 0.25 0.433 0.25 0.084 0 0.171-0.021 0.25-0.067 0.239-0.138 0.322-0.444 0.183-0.683l-0.567-0.982h1.134c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5zM25 7.75c-0.477 0-0.954 0.050-1.424 0.149-1.648-2.578-4.482-4.149-7.576-4.149-3.92 0-7.348 2.539-8.545 6.181-0.474-0.12-0.96-0.181-1.455-0.181-3.308 0-6 2.691-6 6s2.692 6 6 6h1c0.552 0 1-0.448 1-1s-0.448-1-1-1h-1c-2.205 0-4-1.794-4-4s1.795-4 4-4c0.594 0 1.171 0.132 1.716 0.392 0.28 0.133 0.605 0.13 0.883-0.011s0.473-0.4 0.53-0.704c0.629-3.29 3.518-5.677 6.87-5.677 2.617 0 4.996 1.447 6.209 3.775 0.227 0.437 0.738 0.642 1.204 0.486 0.518-0.174 1.053-0.261 1.587-0.261 2.757 0 5 2.243 5 5s-2.243 5-5 5c-0.552 0-1 0.448-1 1s0.448 1 1 1c3.86 0 7-3.14 7-7s-3.14-7-7-7z"></path>'),
	   	 			'server_symbol1' => array('keywords' => 'server_symbol1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M9 26.975c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM6.026 26.975c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM9 16c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM6.026 16c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM9 5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM6.026 5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM29 9.5c1.654 0 3-1.345 3-3v-3c0-1.655-1.346-3-3-3l-26 0c-1.655 0-3 1.345-3 3v3c0 1.654 1.345 3 3 3h12v2.001h-12c-1.655 0-3 1.345-3 3v3c0 1.654 1.345 3 3 3h12v1.999l-12 0c-1.655 0-3 1.346-3 3v3c0 1.654 1.345 3 3 3l26-0c1.654 0 3-1.346 3-3v-3c0-1.654-1.346-3-3-3h-12v-1.999l12-0c1.654 0 3-1.346 3-3v-3c0-1.655-1.346-3-3-3h-12v-2.001h12zM30 25.5v3c0 0.552-0.448 1-1 1l-26 0c-0.551 0-1-0.448-1-1v-3c0-0.552 0.449-1 1-1l12.998-0c0.001 0 0.002 0 0.002 0s0.002-0 0.003-0h12.997c0.552 0 1 0.448 1 1zM30 14.501v3c0 0.552-0.448 1-1 1l-12.998 0c-0.001 0-0.002-0-0.002-0s-0.002 0-0.002 0h-12.998c-0.551 0-1-0.448-1-1v-3c0-0.552 0.449-1 1-1l26-0.001c0.552 0 1 0.448 1 1zM2 6.5v-3c0-0.551 0.449-1 1-1l26-0.001c0.552 0 1 0.449 1 1v3c0 0.551-0.448 1-1 1l-26 0c-0.551 0-1-0.449-1-1z"></path>'),
	   	 			'library' => array('keywords' => 'library ','viewbox' => '0 0 34 32', 'path' =>'<path d="M32 30v-2h-2v-12h2v-2h-6v2h2v12h-6v-12h2v-2h-6v2h2v12h-6v-12h2v-2h-6v2h2v12h-6v-12h2v-2h-6v2h2v12h-2v2h-2v2h34v-2h-2zM16 0h2l16 10v2h-34v-2l16-10z"></path>'),
	   	 			'libreoffice' => array('keywords' => 'libreoffice ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16.707 0.707c-0.389-0.389-1.157-0.707-1.707-0.707h-12c-0.55 0-1 0.45-1 1v30c0 0.55 0.45 1 1 1h24c0.55 0 1-0.45 1-1v-18c0-0.55-0.318-1.318-0.707-1.707l-10.586-10.586zM26 30h-22v-28h10.974c0.091 0.015 0.263 0.086 0.338 0.14l10.549 10.549c0.054 0.075 0.125 0.247 0.14 0.338v16.974zM27 0h-6c-0.55 0-0.682 0.318-0.293 0.707l6.586 6.586c0.389 0.389 0.707 0.257 0.707-0.293v-6c0-0.55-0.45-1-1-1z"></path>'),
	   	 			'flag' => array('keywords' => 'flag ','viewbox' => '0 0 32 32', 'path' =>'<path d="M0 0h4v32h-4v-32zM26 20.094c2.582 0 4.83-0.625 6-1.547v-16c-1.17 0.922-3.418 1.547-6 1.547s-4.83-0.625-6-1.547v16c1.17 0.922 3.418 1.547 6 1.547zM19 1.016c-1.466-0.623-3.61-1.016-6-1.016-3.012 0-5.635 0.625-7 1.547v16c1.365-0.922 3.988-1.547 7-1.547 2.39 0 4.534 0.393 6 1.016v-16z"></path>'),
	   	 			'upload5' => array('keywords' => 'upload5 ','viewbox' => '0 0 42 32', 'path' =>'<path d="M33.958 12.988c-0.427-6.612-5.025-12.988-13.458-12.988-7.713 0-13.661 5.733-13.976 13.384-4.22 1.313-6.524 5.829-6.524 9.116 0 5.061 4.206 9.5 9 9.5h6.5c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-6.5c-4.262 0-8-3.972-8-8.5 0-3.051 2.674-8.5 8-8.5h1.5c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-1.5c-0.509 0-0.99 0.057-1.459 0.139 0.392-5.99 4.945-12.139 12.959-12.139 8.588 0 12.5 6.739 12.5 13v1.5c0 0.276 0.224 0.5 0.5 0.5s0.5-0.224 0.5-0.5v-1.5c0-0.003 0-0.006 0-0.009 3.019 0.331 7 3.571 7 8.509 0 3.826-3.691 8.5-8 8.5h-7.5c-3.238 0-4.5-1.262-4.5-4.5v-13.717l4.078 4.070c0.098 0.098 0.226 0.147 0.354 0.147s0.256-0.049 0.354-0.146c0.195-0.195 0.195-0.513 0-0.707l-4.461-4.452c-0.594-0.592-1.055-0.592-1.648 0l-4.461 4.452c-0.195 0.194-0.195 0.512 0 0.707s0.512 0.195 0.707 0l4.077-4.071v13.717c0 3.804 1.696 5.5 5.5 5.5h7.5c4.847 0 9-5.224 9-9.5 0-5.167-4.223-9.208-8.042-9.512z"></path>'),
	   	 			'extension' => array('keywords' => 'extension ','viewbox' => '0 0 32 32', 'path' =>'<path d="M27.313 15.354q1.375 0 2.375 0.969t1 2.344-1 2.344-2.375 0.969h-2v5.375q0 1.063-0.781 1.844t-1.844 0.781h-5.063v-2q0-1.5-1.063-2.531t-2.563-1.031-2.563 1.031-1.063 2.531v2h-5.063q-1.063 0-1.844-0.781t-0.781-1.844v-5.063h2q1.5 0 2.531-1.063t1.031-2.563-1.031-2.563-2.531-1.063h-2v-5.063q0-1.063 0.781-1.844t1.844-0.781h5.375v-2q0-1.375 0.969-2.375t2.344-1 2.344 1 0.969 2.375v2h5.375q1.063 0 1.844 0.781t0.781 1.844v5.375h2z"></path>'),
	   	 			'cup_prize3' => array('keywords' => 'cup_prize3 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M18.744 13.527c-0.048 0-0.095-0.011-0.137-0.034l-2.607-1.369-2.607 1.368c-0.1 0.053-0.22 0.044-0.312-0.023s-0.136-0.178-0.117-0.289l0.497-2.899-2.108-2.052c-0.080-0.078-0.11-0.197-0.074-0.303 0.034-0.107 0.127-0.186 0.239-0.202l2.914-0.423 1.303-2.638c0.049-0.101 0.152-0.165 0.264-0.165v0c0.112 0 0.216 0.064 0.266 0.165l1.302 2.638 2.914 0.423c0.111 0.016 0.204 0.094 0.239 0.202 0.034 0.107 0.005 0.225-0.075 0.303l-2.108 2.052 0.497 2.899c0.020 0.111-0.026 0.223-0.117 0.289-0.052 0.039-0.113 0.057-0.174 0.057zM22.003 30c-0.001 0-0.002 0-0.003 0h-12c-0.001 0-0.001 0-0.002 0-0.553 0-1 0.448-1 1s0.447 1 1 1h12.005c0.552 0 1-0.448 1-1s-0.448-1-1-1zM30 3h-4v-2c0-0.552-0.448-1-1-1h-18c-0.552 0-1 0.448-1 1v2h-4c-0.552 0-1 0.448-1 1v6c-0.001 2.761 2.237 5 5 5v0h0.838c1.416 3.239 4.496 5.585 8.162 5.95v6.050h-2.997c-0.001 0-0.002 0-0.003 0-0.552 0-1 0.448-1 1s0.448 1 1 1h8c0.552 0 1-0.448 1-1s-0.448-1-1-1c-0.001 0-0.001 0-0.002 0h-2.998v-6.050c3.666-0.364 6.746-2.71 8.162-5.95h0.838c2.762 0 5.001-2.238 5-5v-6c0-0.552-0.448-1-1-1zM6 13v0c-1.657 0.001-2.999-1.342-3-2.999v-5h3v6c0 0.685 0.069 1.354 0.201 2h-0.201zM16 19c-4.418 0-8-3.582-8-8v-9h16v9c0 4.418-3.581 8-8 8zM29 10.001c0 1.657-1.343 3-3 3v-0.001h-0.2c0.131-0.646 0.2-1.315 0.2-2v-6h3v5z"></path>'),
	   	 			'language' => array('keywords' => 'language ','viewbox' => '0 0 27 32', 'path' =>'<path d="M11.679 19.536q-0.018 0.054-0.223-0.009t-0.563-0.205l-0.357-0.161q-0.786-0.357-1.554-0.875-0.125-0.089-0.732-0.563t-0.679-0.509q-1.196 1.839-2.393 3.232-1.446 1.696-1.875 1.964-0.071 0.036-0.348 0.071t-0.33 0q0.107-0.071 1.464-1.643 0.375-0.429 1.527-2.054t1.402-2.107q0.304-0.536 0.911-1.759t0.643-1.384q-0.143-0.018-1.964 0.589-0.143 0.036-0.491 0.134t-0.616 0.17-0.304 0.089q-0.036 0.036-0.036 0.188t-0.018 0.17q-0.089 0.179-0.554 0.268-0.411 0.125-0.839 0-0.321-0.071-0.5-0.375-0.071-0.107-0.089-0.411 0.107-0.036 0.438-0.089t0.527-0.107q1.036-0.286 1.875-0.571 1.786-0.625 1.821-0.625 0.179-0.036 0.768-0.348t0.786-0.384q0.161-0.054 0.384-0.143t0.259-0.098 0.107 0.009q0.036 0.214-0.018 0.589 0 0.036-0.223 0.482t-0.473 0.955-0.304 0.598q-0.446 0.893-1.375 2.339l1.143 0.5q0.214 0.107 1.33 0.571t1.205 0.5q0.071 0.018 0.188 0.455t0.080 0.545zM8.018 10.857q0.054 0.268-0.071 0.5-0.214 0.411-0.893 0.679-0.536 0.214-1.071 0.214-0.464-0.054-0.875-0.464-0.25-0.268-0.321-0.732l0.018-0.054q0.054 0.054 0.348 0.089t0.473 0 1.036-0.286q0.643-0.214 0.982-0.25 0.304 0 0.375 0.304zM20.482 13.161l1.125 4.054-2.482-0.75zM0.696 27.446l12.393-4.143v-18.429l-12.393 4.161v18.411zM22.857 21.786l1.821 0.554-3.232-11.732-1.786-0.554-3.857 9.571 1.821 0.554 0.804-1.964 3.768 1.161zM13.875 4.607l10.232 3.286v-6.786zM19.429 28.232l2.821 0.232-0.964 2.857-0.714-1.179q-2.321 1.482-4.929 1.929-1.036 0.214-1.625 0.214h-1.5q-1.411 0-3.563-0.696t-3.277-1.518q-0.143-0.125-0.143-0.286 0-0.143 0.089-0.241t0.232-0.098q0.071 0 0.321 0.134t0.545 0.295 0.366 0.196q1.304 0.661 2.848 1.098t2.813 0.438q1.696 0 2.982-0.259t2.804-0.902q0.268-0.125 0.545-0.277t0.607-0.339 0.509-0.295zM27.429 8.964v19.268l-13.821-4.393q-0.25 0.107-6.696 2.277t-6.571 2.17q-0.232 0-0.321-0.232 0-0.018-0.018-0.054v-19.25q0.054-0.161 0.071-0.179 0.089-0.107 0.357-0.196 1.893-0.625 2.661-0.893v-6.857l9.964 3.536q0.036 0 2.866-0.982t5.643-1.938 2.884-0.955q0.357 0 0.357 0.375v7.464z"></path>'),
	   	 			'green_planet5' => array('keywords' => 'green_planet5 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31.207 14.793l-3.5-3.499c-0-0.001-0-0.001-0.001-0.002l-10.999-10.999c-0.39-0.391-1.024-0.391-1.414 0l-10.999 10.999c-0 0.001-0 0.001-0.001 0.002l-3.499 3.499c-0.391 0.39-0.391 1.024 0 1.414s1.024 0.39 1.414 0l1.793-1.793v14.086c0 1.93 1.571 3.5 3.5 3.5h17c1.93 0 3.5-1.57 3.5-3.5v-14.086l1.793 1.793c0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293c0.39-0.39 0.39-1.024 0-1.414zM26 28.5c0 0.827-0.673 1.5-1.5 1.5h-17c-0.827 0-1.5-0.673-1.5-1.5v-16.086l10-10 10 10v16.086zM9.501 20.892c0 1.026 0.341 2.049 0.951 2.916l-1.659 1.659c-0.39 0.39-0.39 1.023 0 1.414 0.195 0.195 0.451 0.293 0.707 0.293s0.511-0.098 0.707-0.293l1.663-1.663c0.88 0.627 1.848 0.956 2.844 0.956 1.42 0 2.792-0.648 4.081-1.927 2.413-2.395 3.569-9.149 3.692-9.912 0.052-0.316-0.052-0.639-0.279-0.866s-0.547-0.331-0.866-0.281c-0.767 0.123-7.569 1.27-9.98 3.662-1.539 1.527-1.861 3.041-1.861 4.043zM12.771 18.268c1.341-1.331 5.083-2.342 7.473-2.842-0.503 2.37-1.518 6.070-2.859 7.4-0.901 0.895-1.8 1.348-2.672 1.348-0.528 0-0.998-0.172-1.396-0.403l4.39-4.39c0.39-0.39 0.39-1.023 0-1.414s-1.023-0.39-1.414 0l-4.395 4.396c-0.258-0.46-0.398-0.968-0.398-1.471 0.001-0.904 0.428-1.786 1.271-2.623z"></path>'),
	   	 			'folder_4' => array('keywords' => 'folder_4 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 6.5h-14.070l-3.369-3.561c-0.292-0.293-0.677-0.439-1.060-0.439v0h-7.5c-1.651 0-3 1.349-3 3v21c0 1.649 1.349 3 3 3h26c1.649 0 3-1.351 3-3v-17c0-1.651-1.351-3-3-3zM30 26.5c0 0.55-0.45 1-1 1h-26c-0.55 0-1-0.45-1-1v-17c0-0.55 0.45-1 1-1h26c0.55 0 1 0.45 1 1v17zM16 11.5c-3.59 0-6.5 2.91-6.5 6.5 0 3.589 2.91 6.5 6.5 6.5s6.5-2.911 6.5-6.5c0-3.59-2.91-6.5-6.5-6.5zM16 13c1.018 0 1.966 0.306 2.756 0.83l-6.926 6.926c-0.524-0.79-0.83-1.738-0.83-2.756 0-2.761 2.239-5 5-5zM16 23c-1.020 0-1.966-0.306-2.756-0.83l6.926-6.926c0.523 0.79 0.83 1.737 0.83 2.756 0 2.761-2.239 5-5 5z"></path>'),
	   	 			'filter_3' => array('keywords' => 'filter_3 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M22.688 17.979q0 1.125-0.813 1.906t-1.875 0.781h-5.313v-2.688h5.313v-2.625h-2.688v-2.688h2.688v-2.688h-5.313v-2.625h5.313q1.125 0 1.906 0.75t0.781 1.875v2q0 0.813-0.594 1.406t-1.406 0.594q0.813 0 1.406 0.594t0.594 1.406v2zM4 7.354v21.313h21.313v2.688h-21.313q-1.063 0-1.875-0.813t-0.813-1.875v-21.313h2.688zM28 23.354v-18.688h-18.688v18.688h18.688zM28 1.979q1.063 0 1.875 0.813t0.813 1.875v18.688q0 1.063-0.813 1.844t-1.875 0.781h-18.688q-1.063 0-1.844-0.781t-0.781-1.844v-18.688q0-1.063 0.781-1.875t1.844-0.813h18.688z"></path>'),
	   	 			'smoking_rooms' => array('keywords' => 'smoking_rooms ','viewbox' => '0 0 32 32', 'path' =>'<path d="M21.375 14.292q1.938 0 3.281 1.188t1.344 3v2.188h-2v-1.75q0-1.25-0.781-1.969t-1.844-0.719h-2.063q-1.813 0-3.125-1.344t-1.313-3.156 1.313-3.125 3.125-1.313v2q-1.063 0-1.75 0.656t-0.688 1.656q0 1.063 0.719 1.875t1.719 0.813h2.063zM25.125 10.979q1.875 0.875 3.031 2.688t1.156 4v3h-2v-3q0-2.25-1.531-3.813t-3.781-1.563v-2q1 0 1.719-0.719t0.719-1.781q0-1-0.719-1.719t-1.719-0.719v-2q1.813 0 3.125 1.313t1.313 3.125q0 1.875-1.313 3.188zM24 21.979h2v4h-2v-4zM27.313 21.979h2v4h-2v-4zM2.688 21.979h20v4h-20v-4z"></path>'),
	   	 			'clear' => array('keywords' => 'clear ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25.313 9.229l-7.438 7.438 7.438 7.438-1.875 1.875-7.438-7.438-7.438 7.438-1.875-1.875 7.438-7.438-7.438-7.438 1.875-1.875 7.438 7.438 7.438-7.438z"></path>'),
	   	 			'pen_design_tool2' => array('keywords' => 'pen_design_tool2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16.406 0.577c-0.164-0.352-0.518-0.577-0.906-0.577h-2c-0.389 0-0.742 0.225-0.906 0.577l-7 15c-0.188 0.403-0.087 0.882 0.248 1.176 0.037 0.031 3.621 3.241 3.656 9.164l-0.977 4.886c-0.059 0.294 0.017 0.599 0.207 0.83s0.473 0.366 0.773 0.366h10c0.003 0 0.006 0 0.010 0 0.552 0 1-0.448 1-1 0-0.116-0.020-0.229-0.056-0.333l-0.95-4.75c0.035-5.879 3.622-9.135 3.655-9.164 0.335-0.294 0.436-0.773 0.248-1.176l-7.001-15zM10.72 30l0.6-3h6.361l0.6 3h-7.561zM17.53 25h-6.060c-0.293-4.888-2.673-8.015-3.769-9.21l5.799-12.425v10.912c-0.595 0.347-1 0.985-1 1.723 0 1.105 0.896 2 2 2s2-0.895 2-2c0-0.739-0.405-1.376-1-1.723v-10.912l5.799 12.425c-1.096 1.194-3.476 4.322-3.769 9.21zM25.5 2.5c-0.001 0-0.002 0-0.003 0h-4.995c-0.001 0-0.002 0-0.003 0-0.552 0-1 0.447-1 1s0.448 1 1 1h5c0.552 0 1-0.448 1-1s-0.448-1-1-1z"></path>'),
	   	 			'wheat_spike' => array('keywords' => 'wheat_spike ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 25c-0.552 0-1 0.448-1 1v5c0 0.552 0.448 1 1 1s1-0.448 1-1v-5c0-0.552-0.448-1-1-1zM15.37 7.777c0.184 0.149 0.406 0.224 0.63 0.224s0.447-0.074 0.631-0.223c1.188-0.966 1.869-2.341 1.869-3.777s-0.681-2.812-1.869-3.777c-0.367-0.298-0.894-0.298-1.261 0-1.188 0.966-1.87 2.342-1.87 3.777s0.681 2.811 1.87 3.777zM16 2.448c0.326 0.467 0.5 0.998 0.5 1.552s-0.174 1.085-0.5 1.552c-0.326-0.468-0.5-0.998-0.5-1.552s0.174-1.085 0.5-1.553zM16.239 11.869c0.049 0.47 0.421 0.842 0.892 0.891 0.189 0.020 0.377 0.030 0.564 0.030 1.322 0 2.539-0.489 3.427-1.377 1.015-1.014 1.506-2.47 1.348-3.992-0.049-0.47-0.421-0.843-0.892-0.891-1.521-0.158-2.977 0.335-3.991 1.348-1.015 1.014-1.507 2.47-1.349 3.992zM19.002 9.291c0.386-0.386 0.888-0.64 1.45-0.742-0.099 0.56-0.352 1.058-0.744 1.448-0.386 0.386-0.888 0.64-1.451 0.742 0.099-0.56 0.352-1.058 0.744-1.448zM21.579 12.529c-1.521-0.156-2.977 0.334-3.991 1.348-1.015 1.014-1.506 2.469-1.349 3.992 0.049 0.47 0.421 0.843 0.892 0.891 0.189 0.020 0.377 0.029 0.564 0.029 1.322 0 2.539-0.489 3.427-1.378 1.015-1.015 1.506-2.47 1.348-3.992-0.049-0.47-0.421-0.842-0.892-0.891zM19.709 15.998c-0.386 0.385-0.888 0.641-1.45 0.742 0.099-0.56 0.352-1.058 0.744-1.449 0.386-0.386 0.888-0.64 1.451-0.742-0.099 0.56-0.352 1.058-0.744 1.449zM21.579 18.529c-1.521-0.158-2.977 0.334-3.991 1.348-1.015 1.015-1.506 2.47-1.349 3.992 0.049 0.47 0.421 0.843 0.892 0.891 0.189 0.020 0.377 0.029 0.564 0.029 1.322 0 2.539-0.489 3.427-1.378 1.015-1.015 1.506-2.47 1.348-3.992-0.049-0.471-0.421-0.843-0.892-0.891zM19.709 21.998c-0.386 0.386-0.888 0.64-1.45 0.742 0.099-0.56 0.352-1.058 0.744-1.449 0.386-0.386 0.888-0.64 1.451-0.742-0.099 0.56-0.352 1.058-0.744 1.449zM14.305 12.79c0.188 0 0.376-0.010 0.565-0.030 0.47-0.049 0.843-0.421 0.892-0.891 0.158-1.523-0.333-2.977-1.348-3.992-1.014-1.014-2.47-1.506-3.992-1.348-0.471 0.048-0.843 0.42-0.892 0.891-0.158 1.522 0.333 2.977 1.348 3.991 0.889 0.889 2.105 1.377 3.428 1.377zM12.999 9.292c0.39 0.39 0.643 0.888 0.743 1.448-0.563-0.101-1.065-0.357-1.45-0.742-0.391-0.391-0.644-0.889-0.743-1.448 0.562 0.101 1.065 0.357 1.451 0.742zM14.305 18.79c0.188 0 0.376-0.010 0.565-0.029 0.47-0.049 0.843-0.421 0.892-0.891 0.158-1.523-0.333-2.977-1.348-3.992-1.014-1.014-2.47-1.505-3.992-1.348-0.471 0.049-0.843 0.421-0.892 0.891-0.158 1.523 0.333 2.977 1.348 3.992 0.889 0.889 2.105 1.378 3.428 1.378zM12.998 15.291c0.391 0.391 0.644 0.889 0.744 1.449-0.563-0.102-1.065-0.357-1.45-0.742-0.391-0.391-0.644-0.889-0.743-1.449 0.562 0.101 1.064 0.357 1.45 0.742zM15.761 23.869c0.158-1.523-0.333-2.977-1.348-3.992-1.014-1.014-2.47-1.506-3.992-1.348-0.471 0.049-0.843 0.421-0.892 0.891-0.158 1.523 0.333 2.977 1.348 3.992 0.888 0.888 2.106 1.378 3.427 1.378 0.188 0 0.376-0.010 0.565-0.029 0.471-0.049 0.843-0.421 0.892-0.891zM12.291 21.998c-0.391-0.391-0.644-0.889-0.744-1.449 0.563 0.102 1.065 0.357 1.45 0.742 0.391 0.391 0.644 0.889 0.743 1.449-0.563-0.102-1.065-0.356-1.45-0.742z"></path>'),
	   	 			'soccer_goal' => array('keywords' => 'soccer_goal ','viewbox' => '0 0 32 32', 'path' =>'<path d="M30 5h-28c-1.103 0-2 0.897-2 2v18c0 0.552 0.448 1 1 1h16.055c0.631 0.617 1.494 1 2.445 1s1.814-0.383 2.445-1h9.055c0.552 0 1-0.448 1-1v-18c0-1.103-0.897-2-2-2zM18 23.5c0-0.827 0.673-1.5 1.5-1.5s1.5 0.673 1.5 1.5-0.673 1.5-1.5 1.5-1.5-0.673-1.5-1.5zM19.5 20c-1.93 0-3.5 1.57-3.5 3.5 0 0.17 0.017 0.336 0.040 0.5h-10.040v-13h20v13h-3.040c0.023-0.164 0.040-0.33 0.040-0.5 0-1.93-1.57-3.5-3.5-3.5zM2 8.414l2 2v13.586h-2v-15.586zM26.586 9h-21.172l-2-2h25.172l-2 2zM28 10.414l2-2v15.586h-2v-13.586z"></path>'),
	   	 			'dns' => array('keywords' => 'dns ','viewbox' => '0 0 32 32', 'path' =>'<path d="M9.313 12.667q1.063 0 1.875-0.813t0.813-1.875-0.813-1.844-1.875-0.781-1.844 0.781-0.781 1.844 0.781 1.875 1.844 0.813zM26.688 4.667q0.563 0 0.938 0.375t0.375 0.938v8q0 0.563-0.375 0.969t-0.938 0.406h-21.375q-0.563 0-0.938-0.406t-0.375-0.969v-8q0-0.563 0.375-0.938t0.938-0.375h21.375zM9.313 25.979q1.063 0 1.875-0.781t0.813-1.844-0.813-1.875-1.875-0.813-1.844 0.813-0.781 1.875 0.781 1.844 1.844 0.781zM26.688 17.979q0.563 0 0.938 0.406t0.375 0.969v8q0 0.563-0.375 0.938t-0.938 0.375h-21.375q-0.563 0-0.938-0.375t-0.375-0.938v-8q0-0.563 0.375-0.969t0.938-0.406h21.375z"></path>'),
	   	 			'moon_1' => array('keywords' => 'moon_1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16.117 32c-4.307 0-8.356-1.677-11.402-4.723-6.287-6.287-6.287-16.516 0-22.803 2.328-2.327 5.267-3.869 8.499-4.458 0.4-0.071 0.807 0.105 1.026 0.451s0.203 0.789-0.037 1.12c-3.365 4.638-2.862 10.95 1.196 15.007 2.192 2.192 5.105 3.398 8.204 3.398 2.467 0 4.819-0.761 6.804-2.201 0.331-0.24 0.774-0.254 1.12-0.037s0.524 0.624 0.451 1.026c-0.59 3.232-2.131 6.171-4.458 8.498-3.046 3.046-7.095 4.723-11.402 4.723zM11.284 2.602c-1.928 0.699-3.681 1.813-5.155 3.287-5.507 5.507-5.507 14.468 0 19.975 2.668 2.668 6.216 4.137 9.988 4.137s7.32-1.469 9.988-4.137c1.474-1.475 2.589-3.229 3.287-5.158-1.797 0.846-3.761 1.287-5.791 1.287-3.633 0-7.049-1.414-9.618-3.983-4.144-4.145-5.125-10.295-2.7-15.407z"></path>'),
	   	 			'letter_document' => array('keywords' => 'letter_document ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31.964 10.749c-0.006-0.021-0.012-0.041-0.018-0.063-0.023-0.069-0.052-0.136-0.091-0.2-0.005-0.009-0.009-0.018-0.014-0.027-0.044-0.069-0.099-0.131-0.16-0.188-0.016-0.015-0.034-0.028-0.051-0.042-0.026-0.021-0.048-0.043-0.075-0.062l-4.055-2.703v-4.465c0-1.65-1.35-3-3-3h-17c-1.65 0-3 1.35-3 3v4.465l-4.054 2.703c-0.028 0.018-0.050 0.041-0.075 0.062-0.017 0.014-0.035 0.027-0.051 0.042-0.061 0.057-0.116 0.12-0.16 0.188-0.006 0.008-0.009 0.018-0.014 0.027-0.038 0.063-0.068 0.13-0.090 0.2-0.007 0.021-0.013 0.041-0.019 0.063-0.021 0.081-0.035 0.164-0.036 0.248 0 0.001 0 0.001 0 0.002v18c0 1.654 1.345 3 3 3h26c1.654 0 3-1.346 3-3v-18c0-0.001 0-0.001 0-0.002-0-0.085-0.015-0.168-0.036-0.249zM2 13.111l8.511 6.964-8.511 8.511v-15.476zM12.414 21h7.172l9 9h-25.172l9-9zM21.488 20.074l8.512-6.963v15.476l-8.511-8.512zM29.32 11.082l-1.82 1.489v-2.703l1.82 1.213zM6.5 3c0-0.55 0.45-1 1-1h17c0.55 0 1 0.45 1 1v11.208l-5.857 4.792h-7.286l-5.857-4.792v-11.208zM4.5 12.572l-1.821-1.489 1.821-1.213v2.703zM10.5 7v0h11c0.552 0 1-0.448 1-1s-0.448-1-1-1v0 0h-11c-0.552 0-1 0.448-1 1s0.448 1 1 1zM10.5 11v0h11c0.552 0 1-0.448 1-1s-0.448-1-1-1v0 0h-11c-0.552 0-1 0.447-1 1s0.448 1 1 1zM10.5 15v0h6.5c0.552 0 1-0.448 1-1s-0.448-1-1-1v0 0h-6.5c-0.552 0-1 0.447-1 1s0.448 1 1 1z"></path>'),
	   	 			'shopping_basket' => array('keywords' => 'shopping_basket ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 23.354q1.063 0 1.875-0.813t0.813-1.875-0.813-1.875-1.875-0.813-1.875 0.813-0.813 1.875 0.813 1.875 1.875 0.813zM12 12.667h8l-4-5.875zM22.938 12.667h6.375q0.563 0 0.969 0.375t0.406 0.938q-0.625 2.5-1.875 7.031t-1.563 5.719q-0.563 1.938-2.563 1.938h-17.375q-2 0-2.563-1.938l-3.375-12.375q-0.063-0.125-0.063-0.375 0-0.563 0.406-0.938t0.969-0.375h6.375l5.813-8.75q0.375-0.563 1.125-0.563t1.125 0.563z"></path>'),
	   	 			'view_module' => array('keywords' => 'view_module ','viewbox' => '0 0 32 32', 'path' =>'<path d="M21.313 7.354h6.688v8h-6.688v-8zM13.313 15.354v-8h6.688v8h-6.688zM21.313 24.667v-8h6.688v8h-6.688zM13.313 24.667v-8h6.688v8h-6.688zM5.313 24.667v-8h6.688v8h-6.688zM5.313 15.354v-8h6.688v8h-6.688z"></path>'),
	   	 			'thumb-tack' => array('keywords' => 'thumb-tack ','viewbox' => '0 0 21 32', 'path' =>'<path d="M8.571 15.714v-8q0-0.25-0.161-0.411t-0.411-0.161-0.411 0.161-0.161 0.411v8q0 0.25 0.161 0.411t0.411 0.161 0.411-0.161 0.161-0.411zM20.571 22q0 0.464-0.339 0.804t-0.804 0.339h-7.661l-0.911 8.625q-0.036 0.214-0.188 0.366t-0.366 0.152h-0.018q-0.482 0-0.571-0.482l-1.357-8.661h-7.214q-0.464 0-0.804-0.339t-0.339-0.804q0-2.196 1.402-3.955t3.17-1.759v-9.143q-0.929 0-1.607-0.679t-0.679-1.607 0.679-1.607 1.607-0.679h11.429q0.929 0 1.607 0.679t0.679 1.607-0.679 1.607-1.607 0.679v9.143q1.768 0 3.17 1.759t1.402 3.955z"></path>'),
	   	 			'flash_off' => array('keywords' => 'flash_off ','viewbox' => '0 0 32 32', 'path' =>'<path d="M22.688 13.979l-2.063 3.563-11.313-11.313v-2.875h13.375l-5.375 10.625h5.375zM4.375 4.667l20.938 21-1.688 1.688-5.5-5.563-4.813 8.188v-12h-4v-4.938l-6.625-6.688z"></path>'),
	   	 			'staircase_down' => array('keywords' => 'staircase_down ','viewbox' => '0 0 32 32', 'path' =>'<path d="M1.003 11.718c0.002 0 0.004 0 0.005 0h3.771c0.553 0 1-0.448 1-1s-0.447-1-1-1h-1.122l3.011-3.011c0.391-0.391 0.391-1.024-0-1.414-0.39-0.391-1.023-0.391-1.413-0.001l-3.251 3.25v-1.601h-0.001c0-0.553-0.448-1-1-1-0.551 0-0.999 0.448-1 1 0 0.001 0.001 0.003 0.001 0.005v3.766c0 0.001-0.001 0.003-0.001 0.005v0 0c0 0.552 0.448 1 1 1zM31.003 5.003h-8.479c-0.012 0-0.023-0.003-0.035-0.003-0.552 0-1 0.447-1 1 0 0.001 0 0.001 0 0.002v5.998h-5.952c-0.011-0.001-0.023-0.004-0.034-0.004-0.278 0-0.528 0.114-0.71 0.296s-0.293 0.431-0.293 0.708c0 0.011 0.003 0.023 0.004 0.034v5.462h-6c-0.553 0-1 0.448-1 1 0 0.001 0 0.001 0 0.002v5.502h-6.503c-0.552 0-1 0.448-1 1s0.448 1 1 1c0.001 0 0.001 0 0.002 0h7.498c0.001 0 0.002 0 0.003 0 0.552 0 1-0.448 1-1v-5.504c0 0 5.989 0.004 6 0.004 0.552 0 0.999-0.448 1-1v-5.5h5.99c0.001 0 0.002 0 0.003 0 0.552 0 1-0.447 1-1 0-0.024-0.006-0.045-0.007-0.069v-5.928h7.511c0.001 0 0.002 0 0.003 0 0.552 0 1-0.447 1-1s-0.447-0.999-1-1z"></path>'),
	   	 			'viadeo' => array('keywords' => 'viadeo ','viewbox' => '0 0 23 32', 'path' =>'<path d="M18.75 20.036q0 3.839-2.625 6.679-2.643 2.875-6.75 2.875-4.143 0-6.75-2.875-2.625-2.839-2.625-6.679 0-2.625 1.214-4.83t3.375-3.509 4.786-1.304q1.714 0 3.25 0.554-0.571 1.107-0.696 2.25-1.179-0.5-2.554-0.5-2.982 0-5.009 2.196t-2.027 5.196q0 3.036 2.009 5.152t5.027 2.116 5.018-2.116 2-5.152q0-1.589-0.571-2.964 1.179-0.232 2.196-0.875 0.732 1.75 0.732 3.786zM15.107 16.661q0 3.429-1.42 6.161t-4.259 4.518l-0.25 0.018q-0.518 0-1.107-0.089 1.482-0.571 2.616-1.83t1.777-2.759 1.045-3.375 0.536-3.438 0.134-3.188q0-1.232-0.054-1.839 0.982 2.857 0.982 5.821zM14.125 10.804v0.036q-1.304-3.821-3.679-7.857 1.571 1.054 2.545 3.33t1.134 4.491zM18.482 14.429q-1.482 0-2.857-1.339 3.893-2.143 5.179-4.411 0.339-0.661 0.375-1-0.75 1.679-2.491 2.973t-3.652 1.741q-0.625-0.964-0.625-2.018 0-0.661 0.304-1.411t0.768-1.214q0.821-0.786 2.804-1.321 1.054-0.286 1.893-1.045t1.321-1.795q1.321 1.875 1.321 4.518 0 1.946-0.429 3.036-0.571 1.375-1.58 2.33t-2.33 0.955z"></path>'),
	   	 			'rocket2' => array('keywords' => 'rocket2 ','viewbox' => '0 0 30 32', 'path' =>'<path d="M25.714 8.286q0-0.714-0.5-1.214t-1.214-0.5-1.214 0.5-0.5 1.214 0.5 1.214 1.214 0.5 1.214-0.5 0.5-1.214zM29.714 3.143q0 4.446-1.348 7.688t-4.527 6.438q-1.446 1.429-3.482 3.143l-0.357 6.768q-0.036 0.286-0.286 0.464l-6.857 4q-0.125 0.071-0.286 0.071-0.214 0-0.411-0.161l-1.143-1.143q-0.232-0.25-0.143-0.571l1.518-4.929-5.018-5.018-4.929 1.518q-0.054 0.018-0.161 0.018-0.25 0-0.411-0.161l-1.143-1.143q-0.304-0.339-0.089-0.696l4-6.857q0.179-0.25 0.464-0.286l6.768-0.357q1.714-2.036 3.143-3.482 3.357-3.339 6.393-4.607t7.696-1.268q0.25 0 0.429 0.17t0.179 0.402z"></path>'),
	   	 			'straighten' => array('keywords' => 'straighten ','viewbox' => '0 0 32 32', 'path' =>'<path d="M28 21.979v-10.625h-2.688v5.313h-2.625v-5.313h-2.688v5.313h-2.688v-5.313h-2.625v5.313h-2.688v-5.313h-2.688v5.313h-2.625v-5.313h-2.688v10.625h24zM28 8.667q1.063 0 1.875 0.813t0.813 1.875v10.625q0 1.063-0.813 1.875t-1.875 0.813h-24q-1.063 0-1.875-0.813t-0.813-1.875v-10.625q0-1.063 0.813-1.875t1.875-0.813h24z"></path>'),
	   	 			'stats-bars2' => array('keywords' => 'stats-bars2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M9 12h-6c-0.55 0-1 0.45-1 1v18c0 0.55 0.45 1 1 1h6c0.55 0 1-0.45 1-1v-18c0-0.55-0.45-1-1-1zM9 30h-6v-8h6v8zM19 8h-6c-0.55 0-1 0.45-1 1v22c0 0.55 0.45 1 1 1h6c0.55 0 1-0.45 1-1v-22c0-0.55-0.45-1-1-1zM19 30h-6v-10h6v10zM29 4h-6c-0.55 0-1 0.45-1 1v26c0 0.55 0.45 1 1 1h6c0.55 0 1-0.45 1-1v-26c0-0.55-0.45-1-1-1zM29 30h-6v-12h6v12z"></path>'),
	   	 			'syringe_sign1' => array('keywords' => 'syringe_sign1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M22 22.5h-1v-12.5c0-2.415-1.721-4.434-4-4.899v-4.101c0-0.552-0.448-1-1-1s-1 0.448-1 1v4.101c-2.28 0.465-4 2.484-4 4.899v12.5h-1c-0.552 0-1 0.448-1 1s0.448 1 1 1h5v5.5h-3c-0.552 0-1 0.448-1 1s0.448 1 1 1h8c0.552 0 1-0.448 1-1s-0.448-1-1-1h-3v-5.5h5c0.552 0 1-0.448 1-1s-0.448-1-1-1zM16 7c1.654 0 3 1.345 3 3v4.5h-6v-4.5c0-1.655 1.345-3 3-3zM13 22.5v-6h2v6h-2zM17 16.5h2v6h-2v-6z"></path>'),
	   	 			'view_quilt' => array('keywords' => 'view_quilt ','viewbox' => '0 0 32 32', 'path' =>'<path d="M13.313 7.354h14.688v8h-14.688v-8zM21.313 24.667v-8h6.688v8h-6.688zM5.313 24.667v-17.313h6.688v17.313h-6.688zM13.313 24.667v-8h6.688v8h-6.688z"></path>'),
	   	 			'ax_two_sides' => array('keywords' => 'ax_two_sides ','viewbox' => '0 0 32 32', 'path' =>'<path d="M24.808 2.412c-0.262-0.361-0.731-0.505-1.151-0.351-0.281 0.102-0.573 0.212-0.875 0.325-1.124 0.422-2.411 0.901-3.783 1.228v-1.113c0-1.379-1.122-2.5-2.5-2.5h-1c-1.379 0-2.5 1.121-2.5 2.5v0.965c-0.973-0.317-1.909-0.732-2.785-1.121-0.659-0.292-1.281-0.568-1.873-0.784-0.419-0.151-0.888-0.008-1.151 0.351-1.134 1.558-1.192 5.346-1.192 6.089 0 0.927 0.086 4.070 1.191 5.588 0.263 0.36 0.732 0.503 1.15 0.351 0.28-0.102 0.57-0.211 0.87-0.323 1.125-0.422 2.414-0.902 3.788-1.229v17.113c0 1.378 1.121 2.5 2.5 2.5h1c1.378 0 2.5-1.122 2.5-2.5v-17.113c1.373 0.327 2.662 0.806 3.787 1.229 0.302 0.113 0.592 0.222 0.872 0.324 0.112 0.041 0.227 0.060 0.342 0.060 0.313 0 0.616-0.148 0.808-0.411 1.105-1.518 1.192-4.662 1.192-5.589s-0.086-4.070-1.192-5.588zM20.601 5.437c0.273 0.561 0.399 1.375 0.399 2.563s-0.127 2.002-0.399 2.563c-0.026 0.053-0.044 0.109-0.061 0.164-1.398-0.412-2.922-0.727-4.54-0.727s-3.143 0.316-4.54 0.726c-0.016-0.055-0.034-0.11-0.060-0.163-0.273-0.561-0.399-1.375-0.399-2.563s0.127-2.002 0.399-2.563c0.060-0.125 0.093-0.256 0.1-0.386 1.375 0.521 2.897 0.949 4.502 0.949 1.619 0 3.142-0.316 4.54-0.727 0.015 0.056 0.034 0.111 0.060 0.164zM15 2.5c0-0.271 0.229-0.5 0.5-0.5h1c0.271 0 0.5 0.229 0.5 0.5v1.451c-0.331 0.030-0.664 0.049-1 0.049s-0.669-0.031-1.001-0.074v-1.426zM8.507 11.745c-0.005 0.002-0.010 0.004-0.014 0.005-0.3-0.875-0.492-2.275-0.492-3.749 0-1.452 0.182-3.194 0.502-4.223 0.289 0.123 0.59 0.256 0.9 0.394 0.117 0.051 0.241 0.106 0.361 0.159-0.063 0.069-0.12 0.145-0.163 0.234-0.409 0.843-0.601 1.935-0.601 3.437 0 1.454 0.181 2.521 0.564 3.353-0.364 0.133-0.72 0.264-1.058 0.391zM17 29.5c0 0.271-0.229 0.5-0.5 0.5h-1c-0.271 0-0.5-0.229-0.5-0.5v-17.451c0.331-0.030 0.664-0.049 1-0.049s0.669 0.018 1 0.049v17.451zM23.509 11.751c-0.006-0.002-0.012-0.005-0.018-0.007-0.337-0.127-0.692-0.258-1.055-0.389 0.384-0.832 0.564-1.899 0.564-3.354s-0.18-2.521-0.564-3.354c0.361-0.131 0.715-0.262 1.051-0.388 0.008-0.003 0.015-0.006 0.022-0.008 0.3 0.875 0.491 2.276 0.491 3.75s-0.192 2.875-0.491 3.751z"></path>'),
	   	 			'style' => array('keywords' => 'style ','viewbox' => '0 0 32 32', 'path' =>'<path d="M7.813 26.979v-8.438l4.625 11.125h-1.938q-1.063 0-1.875-0.813t-0.813-1.875zM10.5 12.354q0.563 0 0.938-0.406t0.375-0.969-0.375-0.938-0.938-0.375-0.938 0.375-0.375 0.938 0.375 0.969 0.938 0.406zM29.375 21.917q0.438 1 0 2.031t-1.438 1.469l-9.813 4.063q-0.5 0.188-1.063 0.188-1.75 0-2.438-1.625l-6.625-16q-0.188-0.563-0.188-1.063 0-1.688 1.625-2.375l9.875-4.063q0.563-0.188 1.063-0.188 1.688 0 2.375 1.625zM3.375 26.854q-1-0.438-1.438-1.438t0-2l3.25-7.813v12z"></path>'),
	   	 			'browser_symbol1' => array('keywords' => 'browser_symbol1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 2.5h-26c-1.65 0-3 1.35-3 3v21c0 1.65 1.35 3 3 3h26c1.65 0 3-1.35 3-3v-21c0-1.65-1.35-3-3-3zM30 26.5c0 0.55-0.45 1-1 1h-26c-0.55 0-1-0.45-1-1v-14h28v14zM30 10.5h-28v-5c0-0.55 0.45-1 1-1h26c0.55 0 1 0.45 1 1v5zM6 7.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM10 7.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM14 7.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM12.734 21.589l-0.463 2.814c-0.058 0.352 0.081 0.708 0.357 0.918 0.277 0.21 0.643 0.238 0.946 0.073l2.427-1.331 2.427 1.33c0.131 0.073 0.274 0.108 0.417 0.108 0.186 0 0.372-0.061 0.528-0.18 0.276-0.21 0.415-0.566 0.358-0.918l-0.463-2.814 1.962-1.993c0.245-0.249 0.334-0.622 0.229-0.962-0.106-0.34-0.387-0.587-0.726-0.639l-2.714-0.41-1.213-2.562c-0.151-0.321-0.463-0.522-0.804-0.522-0.342 0-0.653 0.202-0.804 0.522l-1.213 2.562-2.713 0.41c-0.338 0.052-0.62 0.3-0.726 0.639-0.105 0.34-0.017 0.713 0.229 0.962l1.962 1.994zM14.707 19.369c0.292-0.044 0.546-0.236 0.676-0.512l0.617-1.305 0.617 1.304c0.131 0.276 0.384 0.468 0.675 0.512l1.377 0.209-0.994 1.010c-0.213 0.216-0.31 0.526-0.26 0.832l0.235 1.428-1.235-0.676c-0.131-0.073-0.273-0.108-0.416-0.108s-0.286 0.035-0.416 0.108l-1.235 0.676 0.235-1.428c0.050-0.305-0.047-0.616-0.26-0.832l-0.993-1.010 1.377-0.208z"></path>'),
	   	 			'windows8' => array('keywords' => 'windows8 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M0.011 16l-0.011-9.752 12-1.63v11.382zM14 4.328l15.996-2.328v14h-15.996zM30 18l-0.004 14-15.996-2.25v-11.75zM12 29.495l-11.99-1.644-0.001-9.851h11.991z"></path>'),
	   	 			'notebook' => array('keywords' => 'notebook ','viewbox' => '0 0 27 32', 'path' =>'<path d="M23.5 32c0.869 0 1.5-0.631 1.5-1.5v-28c0-0.869-0.631-1.5-1.5-1.5h-20c-0.869 0-1.5 0.631-1.5 1.5v1.167c0 0.276 0.224 0.5 0.5 0.5s0.5-0.224 0.5-0.5v-1.167c0-0.313 0.187-0.5 0.5-0.5h4.562v29h-4.562c-0.313 0-0.5-0.187-0.5-0.5v-0.917c0-0.276-0.224-0.5-0.5-0.5s-0.5 0.224-0.5 0.5v0.917c0 0.869 0.631 1.5 1.5 1.5h20zM9 2h14.5c0.313 0 0.5 0.187 0.5 0.5v28c0 0.313-0.187 0.5-0.5 0.5h-14.5v-29zM27 29.5v-26c0-0.276-0.224-0.5-0.5-0.5s-0.5 0.224-0.5 0.5v26c0 0.276 0.224 0.5 0.5 0.5s0.5-0.224 0.5-0.5zM0.5 11h4c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-4c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5zM0.5 7h4c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-4c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5zM0.5 15h4c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-4c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5zM0.5 23h4c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-4c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5zM0.5 19h4c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-4c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5zM0.5 27h4c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-4c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5z"></path>'),
	   	 			'magic-wand' => array('keywords' => 'magic-wand ','viewbox' => '0 0 32 32', 'path' =>'<path d="M8 6l-4-4h-2v2l4 4zM10 0h2v4h-2zM18 10h4v2h-4zM20 4v-2h-2l-4 4 2 2zM0 10h4v2h-4zM10 18h2v4h-2zM2 18v2h2l4-4-2-2zM31.563 27.563l-19.879-19.879c-0.583-0.583-1.538-0.583-2.121 0l-1.879 1.879c-0.583 0.583-0.583 1.538 0 2.121l19.879 19.879c0.583 0.583 1.538 0.583 2.121 0l1.879-1.879c0.583-0.583 0.583-1.538 0-2.121zM15 17l-6-6 2-2 6 6-2 2z"></path>'),
	   	 			'folder_12' => array('keywords' => 'folder_12 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 23.5c-0.249 0-0.499-0.095-0.69-0.282l-4.466-4.412c-0.706-0.698-1.095-1.625-1.095-2.613 0-0.986 0.389-1.914 1.095-2.613 0.707-0.697 1.645-1.081 2.644-1.081 0.938 0 1.823 0.339 2.511 0.958 0.689-0.619 1.573-0.958 2.511-0.958 0.999 0 1.938 0.384 2.642 1.081 0.707 0.698 1.096 1.625 1.096 2.613s-0.389 1.914-1.096 2.613l-4.465 4.412c-0.19 0.188-0.439 0.282-0.689 0.282zM13.489 14.427c-0.477 0-0.926 0.184-1.264 0.518-0.697 0.688-0.697 1.81 0 2.498l3.776 3.732 3.776-3.732c0.338-0.333 0.524-0.777 0.524-1.249s-0.186-0.916-0.524-1.249c-0.675-0.667-1.852-0.668-2.527 0-0.145 0.143-0.262 0.316-0.36 0.527-0.158 0.344-0.506 0.565-0.889 0.565v0c-0.384 0-0.732-0.222-0.889-0.566-0.097-0.211-0.214-0.383-0.358-0.527-0.339-0.334-0.787-0.518-1.264-0.518zM29 6.5h-14.070l-3.369-3.561c-0.292-0.293-0.677-0.439-1.060-0.439v0h-7.5c-1.651 0-3 1.349-3 3v21c0 1.649 1.349 3 3 3h26c1.649 0 3-1.351 3-3v-17c0-1.651-1.351-3-3-3zM30 26.5c0 0.55-0.45 1-1 1h-26c-0.55 0-1-0.45-1-1v-17c0-0.55 0.45-1 1-1h26c0.55 0 1 0.45 1 1v17z"></path>'),
	   	 			'cake_symbol1' => array('keywords' => 'cake_symbol1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M11.001 1c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM15.001 1c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM19 1c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM23 1c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM31 18h-4v-11c0-0.552-0.448-1-1-1h-3v-2c0-0.552-0.448-1-1-1s-1 0.448-1 1v2h-2v-2c0-0.552-0.448-1-1-1s-1 0.448-1 1v2h-2v-2c0-0.552-0.448-1-1-1s-1 0.448-1 1v2h-2v-2c0-0.552-0.448-1-1-1s-1 0.448-1 1v2h-3c-0.552 0-1 0.448-1 1v11h-4c-0.552 0-1 0.448-1 1v12c0 0.552 0.448 1 1 1h30c0.552 0 1-0.448 1-1v-12c0-0.552-0.448-1-1-1zM25 8v3.727c-0.302-0.186-0.5-0.447-0.5-0.727 0-0.552-0.448-1-1-1s-1 0.448-1 1c0 0.533-0.701 1-1.5 1s-1.5-0.467-1.5-1c0-0.552-0.448-1-1-1s-1 0.448-1 1c0 0.533-0.701 1-1.5 1s-1.5-0.467-1.5-1c0-0.552-0.448-1-1-1s-1 0.448-1 1c0 0.533-0.701 1-1.5 1s-1.5-0.467-1.5-1c0-0.552-0.448-1-1-1s-1 0.448-1 1c0 0.281-0.198 0.541-0.5 0.727v-3.728h18zM7 13.873c0.576-0.148 1.090-0.418 1.5-0.778 0.636 0.557 1.521 0.905 2.5 0.905s1.864-0.347 2.5-0.905c0.636 0.557 1.521 0.905 2.5 0.905s1.864-0.347 2.5-0.905c0.636 0.557 1.521 0.905 2.5 0.905s1.864-0.347 2.5-0.905c0.41 0.36 0.924 0.63 1.5 0.778v4.127h-18v-4.127zM6 20h24v3.227c-0.302-0.186-0.5-0.447-0.5-0.727 0-0.552-0.448-1-1-1s-1 0.448-1 1c0 0.532-0.701 1-1.5 1s-1.5-0.468-1.5-1c0-0.552-0.448-1-1-1s-1 0.448-1 1c0 0.532-0.701 1-1.5 1s-1.5-0.468-1.5-1c0-0.552-0.448-1-1-1s-1 0.448-1 1c0 0.532-0.701 1-1.5 1s-1.5-0.468-1.5-1c0-0.552-0.448-1-1-1s-1 0.448-1 1c0 0.532-0.701 1-1.5 1s-1.5-0.468-1.5-1c0-0.552-0.448-1-1-1s-1 0.448-1 1c0 0.532-0.701 1-1.5 1s-1.5-0.468-1.5-1c0-0.552-0.448-1-1-1s-1 0.448-1 1c0 0.281-0.198 0.541-0.5 0.727v-3.227h4zM2 30v-4.627c0.576-0.148 1.090-0.419 1.5-0.778 0.636 0.558 1.521 0.904 2.5 0.904s1.864-0.347 2.5-0.904c0.636 0.558 1.521 0.904 2.5 0.904s1.864-0.347 2.5-0.904c0.636 0.558 1.521 0.904 2.5 0.904s1.864-0.347 2.5-0.904c0.636 0.558 1.521 0.904 2.5 0.904s1.864-0.347 2.5-0.904c0.636 0.558 1.521 0.904 2.5 0.904s1.864-0.347 2.5-0.904c0.41 0.36 0.924 0.631 1.5 0.778v4.627h-28z"></path>'),
	   	 			'location2' => array('keywords' => 'location2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 0c-5.523 0-10 4.477-10 10 0 10 10 22 10 22s10-12 10-22c0-5.523-4.477-10-10-10zM16 16.125c-3.383 0-6.125-2.742-6.125-6.125s2.742-6.125 6.125-6.125 6.125 2.742 6.125 6.125-2.742 6.125-6.125 6.125zM12.125 10c0-2.14 1.735-3.875 3.875-3.875s3.875 1.735 3.875 3.875c0 2.14-1.735 3.875-3.875 3.875s-3.875-1.735-3.875-3.875z"></path>'),
	   	 			'cog_single' => array('keywords' => 'cog_single ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 9c-3.86 0-7 3.14-7 7s3.14 7 7 7 7-3.14 7-7-3.14-7-7-7zM16 21c-2.757 0-5-2.243-5-5s2.243-5 5-5c2.757 0 5 2.243 5 5s-2.243 5-5 5zM30.241 13.307l-2.326-0.517c-0.19-0.043-0.486-0.313-0.546-0.498-0.008-0.025-0.017-0.050-0.027-0.075l-0.642-1.559c-0.011-0.027-0.023-0.053-0.037-0.080-0.090-0.172-0.073-0.569 0.032-0.733l1.279-2.011c0.542-0.853 0.407-2.080-0.307-2.795l-0.707-0.707c-0.697-0.697-1.958-0.838-2.795-0.307l-2.009 1.279c-0.069 0.043-0.227 0.090-0.415 0.090-0.154 0-0.268-0.031-0.319-0.057-0.026-0.013-0.053-0.026-0.081-0.037l-1.558-0.641c-0.024-0.011-0.050-0.019-0.075-0.027-0.186-0.059-0.456-0.356-0.498-0.546l-0.517-2.325c-0.22-0.987-1.183-1.76-2.194-1.76h-1c-1.011 0-1.974 0.773-2.193 1.76l-0.517 2.325c-0.042 0.191-0.313 0.487-0.498 0.546-0.025 0.008-0.050 0.017-0.075 0.027l-1.559 0.641c-0.027 0.011-0.054 0.024-0.081 0.037-0.051 0.027-0.165 0.058-0.319 0.058-0.188 0-0.346-0.046-0.414-0.090l-2.010-1.279c-0.835-0.53-2.098-0.39-2.795 0.308l-0.707 0.707c-0.715 0.715-0.85 1.942-0.307 2.795l1.279 2.010c0.104 0.164 0.122 0.561 0.032 0.733-0.013 0.027-0.027 0.053-0.037 0.081l-0.641 1.559c-0.010 0.024-0.019 0.050-0.027 0.075-0.059 0.186-0.356 0.456-0.546 0.498l-2.325 0.517c-0.987 0.219-1.76 1.182-1.76 2.193v1c0 1.011 0.773 1.974 1.76 2.193l2.325 0.517c0.19 0.043 0.487 0.313 0.546 0.498 0.008 0.026 0.018 0.050 0.027 0.075l0.641 1.559c0.011 0.028 0.024 0.055 0.037 0.081 0.090 0.172 0.072 0.569-0.032 0.733l-1.279 2.010c-0.542 0.852-0.407 2.081 0.307 2.794l0.707 0.707c0.697 0.698 1.96 0.838 2.795 0.307l2.010-1.279c0.068-0.044 0.226-0.090 0.414-0.090 0.155 0 0.268 0.031 0.319 0.058 0.027 0.013 0.053 0.026 0.081 0.037l1.559 0.642c0.024 0.011 0.050 0.019 0.075 0.027 0.186 0.059 0.456 0.356 0.498 0.546l0.517 2.325c0.219 0.987 1.182 1.76 2.193 1.76h1c1.011 0 1.974-0.773 2.193-1.759l0.517-2.325c0.042-0.191 0.313-0.487 0.498-0.547 0.026-0.009 0.051-0.017 0.075-0.027l1.558-0.642c0.027-0.011 0.054-0.024 0.081-0.037 0.050-0.026 0.165-0.057 0.319-0.057 0.188 0 0.346 0.047 0.414 0.090l2.011 1.28c0.345 0.219 0.756 0.335 1.189 0.335v0c0.613 0 1.198-0.235 1.605-0.643l0.707-0.707c0.715-0.715 0.849-1.942 0.307-2.796l-1.279-2.009c-0.105-0.164-0.122-0.561-0.032-0.733 0.014-0.026 0.026-0.052 0.037-0.080l0.642-1.559c0.011-0.025 0.020-0.050 0.027-0.075 0.059-0.186 0.356-0.456 0.547-0.498l2.325-0.517c0.988-0.22 1.761-1.183 1.761-2.194v-1c0-1.011-0.773-1.974-1.759-2.193zM30 16.5c0 0.081-0.113 0.223-0.193 0.241l-2.325 0.517c-0.875 0.194-1.71 0.945-2.003 1.796l-0.614 1.492c-0.396 0.808-0.339 1.927 0.142 2.683l1.279 2.009c0.044 0.069 0.024 0.25-0.033 0.307l-0.707 0.707c-0.024 0.024-0.099 0.057-0.192 0.057-0.063 0-0.104-0.015-0.115-0.023l-2.011-1.28c-0.73-0.463-1.899-0.526-2.683-0.142l-1.492 0.614c-0.851 0.293-1.602 1.127-1.796 2.003l-0.517 2.325c-0.018 0.080-0.16 0.194-0.241 0.194h-1c-0.081 0-0.223-0.113-0.241-0.193l-0.517-2.325c-0.194-0.875-0.945-1.71-1.796-2.003l-1.492-0.614c-0.784-0.384-1.953-0.322-2.684 0.143l-2.010 1.279c-0.013 0.009-0.053 0.023-0.115 0.023-0.093 0-0.168-0.033-0.192-0.057l-0.707-0.707c-0.058-0.057-0.077-0.238-0.033-0.306l1.279-2.010c0.481-0.756 0.539-1.876 0.143-2.683l-0.615-1.492c-0.293-0.851-1.127-1.602-2.002-1.796l-2.325-0.517c-0.080-0.018-0.194-0.16-0.194-0.241v-1c0-0.082 0.113-0.223 0.193-0.241l2.325-0.517c0.875-0.194 1.71-0.945 2.002-1.796l0.614-1.492c0.396-0.807 0.339-1.927-0.143-2.683l-1.279-2.010c-0.043-0.069-0.024-0.25 0.034-0.307l0.707-0.707c0.024-0.024 0.099-0.057 0.191-0.057 0.062 0 0.103 0.015 0.115 0.024l2.010 1.279c0.73 0.465 1.899 0.527 2.684 0.143l1.492-0.614c0.851-0.293 1.602-1.127 1.796-2.002l0.518-2.325c0.018-0.080 0.159-0.194 0.241-0.194h1c0.081 0 0.223 0.114 0.241 0.193l0.517 2.325c0.195 0.875 0.946 1.71 1.797 2.002l1.492 0.614c0.784 0.383 1.952 0.322 2.683-0.143l2.009-1.279c0.013-0.008 0.053-0.024 0.116-0.024 0.093 0 0.168 0.033 0.192 0.057l0.707 0.708c0.057 0.057 0.076 0.238 0.033 0.306l-1.279 2.010c-0.482 0.757-0.539 1.876-0.142 2.683l0.614 1.492c0.293 0.851 1.128 1.602 2.003 1.796l2.325 0.517c0.079 0.018 0.193 0.16 0.193 0.242v1z"></path>'),
	   	 			'target_symbol3' => array('keywords' => 'target_symbol3 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M17.889 22.213c-0.547-0.075-1.052 0.305-1.129 0.852s0.305 1.052 0.852 1.129c3.529 0.494 5.639 1.815 5.639 2.806 0 1.224-3.311 3-8.5 3s-8.5-1.776-8.5-3c0-0.991 2.109-2.311 5.639-2.806 0.547-0.076 0.928-0.582 0.851-1.129s-0.582-0.927-1.129-0.852c-4.54 0.636-7.361 2.47-7.361 4.787 0 3.248 5.41 5 10.5 5s10.5-1.752 10.5-5c0-2.317-2.82-4.151-7.361-4.787zM27.457 10.283l-3.427-4.282 3.5-4.375c0.24-0.301 0.287-0.712 0.12-1.058s-0.517-0.567-0.901-0.567h-12c-0.552 0-1 0.448-1 1v26c0 0.552 0.448 1 1 1s1-0.448 1-1v-15h11c0.003-0.001 0.007 0 0.010 0 0.552 0 1-0.448 1-1 0-0.281-0.116-0.535-0.303-0.717zM15.75 10v-8h8.919l-2.7 3.375c-0.293 0.365-0.293 0.885 0 1.25l2.7 3.375h-8.919z"></path>'),
	   	 			'stats-bars' => array('keywords' => 'stats-bars ','viewbox' => '0 0 32 32', 'path' =>'<path d="M0 26h32v4h-32zM4 18h4v6h-4zM10 10h4v14h-4zM16 16h4v8h-4zM22 4h4v20h-4z"></path>'),
	   	 			'instagram2' => array('keywords' => 'instagram2 ','viewbox' => '0 0 27 32', 'path' =>'<path d="M18.286 16.286q0-1.893-1.339-3.232t-3.232-1.339-3.232 1.339-1.339 3.232 1.339 3.232 3.232 1.339 3.232-1.339 1.339-3.232zM20.75 16.286q0 2.929-2.054 4.982t-4.982 2.054-4.982-2.054-2.054-4.982 2.054-4.982 4.982-2.054 4.982 2.054 2.054 4.982zM22.679 8.964q0 0.679-0.482 1.161t-1.161 0.482-1.161-0.482-0.482-1.161 0.482-1.161 1.161-0.482 1.161 0.482 0.482 1.161zM13.714 5.036q-0.125 0-1.366-0.009t-1.884 0-1.723 0.054-1.839 0.179-1.277 0.33q-0.893 0.357-1.571 1.036t-1.036 1.571q-0.196 0.518-0.33 1.277t-0.179 1.839-0.054 1.723 0 1.884 0.009 1.366-0.009 1.366 0 1.884 0.054 1.723 0.179 1.839 0.33 1.277q0.357 0.893 1.036 1.571t1.571 1.036q0.518 0.196 1.277 0.33t1.839 0.179 1.723 0.054 1.884 0 1.366-0.009 1.366 0.009 1.884 0 1.723-0.054 1.839-0.179 1.277-0.33q0.893-0.357 1.571-1.036t1.036-1.571q0.196-0.518 0.33-1.277t0.179-1.839 0.054-1.723 0-1.884-0.009-1.366 0.009-1.366 0-1.884-0.054-1.723-0.179-1.839-0.33-1.277q-0.357-0.893-1.036-1.571t-1.571-1.036q-0.518-0.196-1.277-0.33t-1.839-0.179-1.723-0.054-1.884 0-1.366 0.009zM27.429 16.286q0 4.089-0.089 5.661-0.179 3.714-2.214 5.75t-5.75 2.214q-1.571 0.089-5.661 0.089t-5.661-0.089q-3.714-0.179-5.75-2.214t-2.214-5.75q-0.089-1.571-0.089-5.661t0.089-5.661q0.179-3.714 2.214-5.75t5.75-2.214q1.571-0.089 5.661-0.089t5.661 0.089q3.714 0.179 5.75 2.214t2.214 5.75q0.089 1.571 0.089 5.661z"></path>'),
	   	 			'message' => array('keywords' => 'message ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 5h-26c-1.655 0-3 1.345-3 3v16c0 1.654 1.345 3 3 3h26c1.654 0 3-1.346 3-3v-16c0-1.655-1.346-3-3-3zM16.169 16.596c-0.070 0.055-0.268 0.055-0.337 0l-12.213-9.595h24.762l-12.212 9.595zM2 8.272l8.576 6.738-8.576 8.576v-15.314zM12.159 16.255l2.437 1.915c0.4 0.314 0.902 0.471 1.404 0.471s1.004-0.157 1.404-0.471l2.436-1.915 8.745 8.745h-25.172l8.745-8.745zM21.424 15.011l8.576-6.739v15.314l-8.575-8.575z"></path>'),
	   	 			'cloud_done' => array('keywords' => 'cloud_done ','viewbox' => '0 0 32 32', 'path' =>'<path d="M13.313 23.354l8.813-8.813-1.875-1.875-6.938 6.875-2.75-2.75-1.875 1.875zM25.813 14.042q2.563 0.188 4.375 2.094t1.813 4.531q0 2.75-1.969 4.719t-4.719 1.969h-17.313q-3.313 0-5.656-2.344t-2.344-5.656q0-3.063 2.063-5.344t5.063-2.594q1.313-2.438 3.688-3.938t5.188-1.5q3.625 0 6.375 2.281t3.438 5.781z"></path>'),
	   	 			'tents' => array('keywords' => 'tents ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31.906 27.577l-7-15c-0.162-0.348-0.509-0.572-0.892-0.577-0.389-0.005-0.737 0.21-0.908 0.553l-2.757 5.513-6.947-14.498c-0.166-0.348-0.517-0.568-0.902-0.568s-0.736 0.22-0.902 0.568l-11.5 24c-0.148 0.31-0.128 0.674 0.055 0.965s0.503 0.467 0.847 0.467h22.98c0.007 0 0.014 0 0.021 0s0.014 0 0.021 0h6.977c0.342 0 0.66-0.174 0.844-0.463s0.207-0.651 0.062-0.96zM24.546 16.535l-0.546 0.364-0.623-0.416 0.592-1.184 0.577 1.236zM12.5 6.314l2.458 5.13-2.458 1.404-2.458-1.405 2.458-5.13zM2.588 27l6.587-13.748 2.828 1.616c0.153 0.088 0.325 0.132 0.496 0.132s0.343-0.044 0.496-0.132l2.828-1.616 6.588 13.748h-19.824zM24.63 27l-3.186-6.651 1.032-2.064 0.97 0.646c0.169 0.112 0.361 0.168 0.555 0.168s0.387-0.056 0.555-0.168l0.846-0.564 4.029 8.633h-4.799z"></path>'),
	   	 			'forumbee' => array('keywords' => 'forumbee ','viewbox' => '0 0 27 32', 'path' =>'<path d="M16.679 2.964q-5.661 2.161-9.929 6.473t-6.393 10.009q-0.357-1.589-0.357-3.143 0-3.714 1.83-6.866t4.973-4.982 6.857-1.83q1.464 0 3.018 0.339zM21.482 5.089q1.661 1.161 2.929 2.768-6.946 2.018-12.045 7.152t-7.080 12.080q-1.661-1.286-2.768-2.893 2-6.893 7.054-11.982t11.911-7.125zM8.393 28.911q2.054-6.357 6.777-11.107t11.063-6.857q0.714 1.643 0.964 3.482-5.214 2.143-9.214 6.161t-6.125 9.25q-1.839-0.25-3.464-0.929zM27.429 29.946q-3.446-0.893-6.554-2.054-2.411 1.5-5.179 1.911 1.946-3.661 4.893-6.616t6.589-4.92q-0.375 2.714-1.804 5.071 1.161 3.125 2.054 6.607z"></path>'),
	   	 			'browser_symbol9' => array('keywords' => 'browser_symbol9 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 2.5h-26c-1.65 0-3 1.35-3 3v21c0 1.65 1.35 3 3 3h26c1.65 0 3-1.35 3-3v-21c0-1.65-1.35-3-3-3zM30 26.5c0 0.55-0.45 1-1 1h-26c-0.55 0-1-0.45-1-1v-14h28v14zM30 10.5h-28v-5c0-0.55 0.45-1 1-1h26c0.55 0 1 0.45 1 1v5zM6 7.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM10 7.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM14 7.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM11.5 18c-0.552 0-1 0.448-1 1h-1v-2.5c0-0.552-0.448-1-1-1s-1 0.448-1 1v3.5c0 0.552 0.448 1 1 1h2v2.5c0 0.552 0.448 1 1 1s1-0.448 1-1v-4.5c0-0.552-0.448-1-1-1zM23.5 18c-0.552 0-1 0.448-1 1h-1v-2.5c0-0.552-0.448-1-1-1s-1 0.448-1 1v3.5c0 0.552 0.448 1 1 1h2v2.5c0 0.552 0.448 1 1 1s1-0.448 1-1v-4.5c0-0.552-0.448-1-1-1zM16 15.5c-1.309 0-2.375 1.015-2.479 2.299-0.014 0.065-0.021 0.132-0.021 0.201v4c0 0.070 0.007 0.137 0.021 0.201 0.104 1.283 1.17 2.299 2.479 2.299s2.375-1.015 2.48-2.299c0.014-0.065 0.020-0.132 0.020-0.201v-4c0-0.070-0.007-0.137-0.020-0.201-0.105-1.283-1.17-2.299-2.48-2.299zM16 22.5c-0.276 0-0.5-0.224-0.5-0.5v-4c0-0.276 0.224-0.5 0.5-0.5s0.5 0.224 0.5 0.5v4c0 0.276-0.224 0.5-0.5 0.5z"></path>'),
	   	 			'home_search' => array('keywords' => 'home_search ','viewbox' => '0 0 32 32', 'path' =>'<path d="M18.126 13.98c-1.973-1.974-5.172-1.973-7.146 0s-1.973 5.173 0.001 7.146c1.6 1.599 4.005 1.902 5.909 0.907l3.017 3.018c0.002 0.002 0.003 0.004 0.005 0.006 0.593 0.591 1.552 0.593 2.143 0 0.593-0.593 0.593-1.552 0-2.143l0-0-3.023-3.023c0.995-1.905 0.693-4.31-0.907-5.909zM12.402 19.704c-1.183-1.184-1.184-3.103 0-4.287s3.104-1.184 4.287 0c1.183 1.184 1.183 3.103 0 4.287s-3.104 1.184-4.287 0zM31.207 14.793l-14.5-14.5c-0.39-0.391-1.024-0.391-1.414 0l-14.5 14.5c-0.391 0.39-0.391 1.024 0 1.414s1.024 0.39 1.414 0l1.793-1.793v14.586c0 1.65 1.35 3 3 3h18c1.65 0 3-1.35 3-3v-14.586l1.793 1.793c0.39 0.39 1.024 0.39 1.414 0s0.39-1.024 0-1.414zM26 29c0 0.55-0.45 1-1 1h-18c-0.55 0-1-0.45-1-1v-16.586l10-10 10 10v16.586z"></path>'),
	   	 			'power-cord' => array('keywords' => 'power-cord ','viewbox' => '0 0 32 32', 'path' =>'<path d="M32 8.828l-2.828-2.828-5.586 5.586-3.172-3.172 5.586-5.586-2.828-2.828-5.586 5.586-3.586-3.586-2.707 2.707 16 16 2.707-2.707-3.586-3.586 5.586-5.586zM24.814 21.056l-13.87-13.87c-2.994 3.591-6.391 9.139-4.044 13.913l-4.133 4.133c-0.972 0.972-0.972 2.563 0 3.535l0.464 0.464c0.972 0.972 2.563 0.972 3.536 0l4.133-4.133c4.774 2.348 10.322-1.049 13.913-4.043z"></path>'),
	   	 			'connection' => array('keywords' => 'connection ','viewbox' => '0 0 40 32', 'path' =>'<path d="M20 18c3.308 0 6.308 1.346 8.481 3.519l-2.827 2.827c-1.449-1.449-3.449-2.346-5.654-2.346s-4.206 0.897-5.654 2.346l-2.827-2.827c2.173-2.173 5.173-3.519 8.481-3.519zM5.858 15.858c3.777-3.777 8.8-5.858 14.142-5.858s10.365 2.080 14.142 5.858l-2.828 2.828c-3.022-3.022-7.040-4.686-11.314-4.686s-8.292 1.664-11.314 4.686l-2.828-2.828zM30.899 4.201c3.334 1.41 6.329 3.429 8.899 6v0l-2.828 2.828c-4.533-4.533-10.56-7.029-16.971-7.029s-12.438 2.496-16.971 7.029l-2.828-2.828c2.571-2.571 5.565-4.589 8.899-6 3.453-1.461 7.12-2.201 10.899-2.201s7.446 0.741 10.899 2.201zM18 28c0-1.105 0.895-2 2-2s2 0.895 2 2c0 1.105-0.895 2-2 2s-2-0.895-2-2z"></path>'),
	   	 			'pagelines' => array('keywords' => 'pagelines ','viewbox' => '0 0 25 32', 'path' =>'<path d="M25.036 19.982q-0.571 1.429-1.357 2.464t-1.625 1.58-1.768 0.83-1.813 0.259-1.723-0.152-1.545-0.393-1.241-0.491-0.821-0.402l-0.304-0.179q-2.018 4.071-5.17 6.42t-6.866 2.366q-0.339 0-0.571-0.232t-0.232-0.571 0.232-0.563 0.571-0.223q3.089-0.018 5.759-1.92t4.491-5.259q-0.643 0.25-1.286 0.411t-1.482 0.232-1.625-0.045-1.661-0.509-1.643-1.054-1.509-1.786-1.33-2.607q2.036-0.839 3.821-1.018t2.991 0.134 2.223 1.009 1.58 1.375 1.009 1.464q0.946-2.339 1.411-5.196-0.125 0.018-0.321 0.045t-0.83 0.045-1.241-0.009-1.455-0.179-1.58-0.411-1.5-0.759-1.339-1.161-0.973-1.688-0.509-2.277q1.25-0.5 2.384-0.652t2.009 0.018 1.643 0.536 1.313 0.893 1 1.089 0.75 1.125 0.491 1 0.286 0.705l0.071 0.286q0.214-2.179 0.214-3.482-0.143-0.107-0.384-0.286t-0.875-0.795-1.134-1.277-0.964-1.661-0.589-2.009 0.214-2.268 1.25-2.473q1.304 0.446 2.277 1.098t1.509 1.366 0.857 1.518 0.366 1.589-0.009 1.527-0.232 1.366-0.339 1.107-0.304 0.75l-0.125 0.268q0.018 0.089 0.018 0.902t-0.018 1.277q0.054-0.125 0.179-0.33t0.545-0.768 0.902-1.036 1.268-0.991 1.634-0.795 2-0.259 2.366 0.429q-0.036 1.393-0.384 2.527t-0.893 1.866-1.241 1.277-1.455 0.813-1.509 0.429-1.429 0.17-1.205-0.018-0.83-0.080l-0.304-0.054q-0.411 2.625-1.304 5.054 0.107-0.125 0.321-0.33t0.884-0.732 1.384-0.938 1.777-0.75 2.098-0.357 2.304 0.42 2.446 1.384z"></path>'),
	   	 			'arrow-up-left2' => array('keywords' => 'arrow-up-left2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M27.414 24.586l-16.586-16.586h7.172c1.105 0 2-0.895 2-2s-0.895-2-2-2h-12c-0.809 0-1.538 0.487-1.848 1.235-0.103 0.248-0.151 0.508-0.151 0.765h-0.001v12c0 1.105 0.895 2 2 2s2-0.895 2-2v-7.172l16.586 16.586c0.39 0.391 0.902 0.586 1.414 0.586s1.024-0.195 1.414-0.586c0.781-0.781 0.781-2.047 0-2.828z"></path>'),
	   	 			'towel' => array('keywords' => 'towel ','viewbox' => '0 0 32 32', 'path' =>'<path d="M32 8c0-1.309-1.015-2.375-2.299-2.479-0.065-0.013-0.132-0.021-0.201-0.021h-2c0-2.205-1.794-4-4-4h-15c-2.151 0-3.983 1.367-4.688 3.277-0.192 0.182-0.313 0.438-0.313 0.723h-1c-0.070 0-0.136 0.007-0.202 0.021-1.283 0.104-2.299 1.17-2.299 2.479s1.016 2.375 2.299 2.479c0.065 0.014 0.132 0.021 0.202 0.021h1v19c0 0.552 0.448 1 1 1h16c0.552 0 1-0.448 1-1v-5h5c0.552 0 1-0.448 1-1v-13h2c0.070 0 0.137-0.007 0.201-0.021 1.283-0.104 2.299-1.17 2.299-2.479zM2.5 8.5c-0.276 0-0.5-0.224-0.5-0.5s0.224-0.5 0.5-0.5h1v1h-1zM5.5 22.118l3-1.5 3.553 1.776c0.281 0.14 0.613 0.14 0.895 0l3.553-1.776 3 1.5v1.764l-2.553-1.276c-0.282-0.14-0.613-0.14-0.895 0l-3.553 1.777-3.553-1.776c-0.281-0.14-0.613-0.14-0.895 0l-2.553 1.276v-1.764zM21.5 7.5h5.551c-0.034 0.162-0.051 0.329-0.051 0.5s0.017 0.338 0.051 0.5h-5.551v-1zM29 8c0-0.276 0.224-0.5 0.5-0.5s0.5 0.224 0.5 0.5-0.224 0.5-0.5 0.5-0.5-0.224-0.5-0.5zM25.5 5.5h-4c0-1.103 0.898-2 2-2s2 0.897 2 2zM8.5 3.5h11.541c-0.342 0.59-0.541 1.271-0.541 2v14.382l-2.553-1.276c-0.282-0.14-0.613-0.14-0.895 0l-3.553 1.776-3.553-1.776c-0.281-0.14-0.613-0.14-0.895 0l-2.553 1.276v-13.382c0-1.655 1.346-3 3-3zM5.5 28.5v-2.382l3-1.5 3.553 1.776c0.281 0.14 0.613 0.14 0.895 0l3.553-1.776 3 1.5v2.382h-14zM25.5 22.5h-4v-12h4v12z"></path>'),
	   	 			'beach_summer' => array('keywords' => 'beach_summer ','viewbox' => '0 0 32 32', 'path' =>'<path d="M20 7h1.132c0.094 0.365 0.239 0.71 0.427 1.028l-0.801 0.8c-0.39 0.39-0.39 1.024 0 1.415 0.195 0.196 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293l0.802-0.801c0.317 0.188 0.662 0.332 1.027 0.427v1.131c0 0.552 0.448 1 1 1s1-0.448 1-1v-1.131c0.365-0.095 0.71-0.239 1.027-0.427l0.802 0.801c0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293c0.39-0.39 0.39-1.024 0-1.415l-0.801-0.8c0.188-0.317 0.332-0.662 0.427-1.028h1.131c0.552 0 1-0.448 1-1s-0.448-1-1-1h-1.132c-0.094-0.365-0.239-0.71-0.427-1.028l0.801-0.8c0.39-0.39 0.39-1.024 0-1.415s-1.023-0.391-1.414 0l-0.802 0.801c-0.317-0.188-0.662-0.332-1.027-0.426v-1.131c0-0.552-0.448-1-1-1s-1 0.448-1 1v1.131c-0.365 0.095-0.71 0.239-1.027 0.426l-0.802-0.801c-0.39-0.39-1.023-0.391-1.414 0s-0.39 1.024 0 1.415l0.801 0.8c-0.188 0.318-0.332 0.663-0.426 1.028h-1.132c-0.552 0-1 0.448-1 1s0.448 1 1 1zM25 4c1.103 0 2 0.897 2 2s-0.897 2-2 2-2-0.897-2-2 0.897-2 2-2zM30.304 30.047c-0.262-0.084-6.506-2.047-14.304-2.047-1.764 0-3.447 0.101-5 0.258v-10.258h7c0.552 0 1-0.448 1-1 0-4.625-3.507-8.441-8-8.941v-1.059c0-0.552-0.448-1-1-1s-1 0.448-1 1v1.059c-4.493 0.499-8 4.316-8 8.941 0 0.552 0.448 1 1 1h7v10.496c-4.242 0.587-7.128 1.494-7.304 1.55-0.526 0.168-0.816 0.73-0.648 1.256s0.729 0.816 1.256 0.649c0.060-0.020 6.223-1.953 13.696-1.953s13.636 1.933 13.697 1.953c0.101 0.032 0.203 0.047 0.303 0.047 0.424 0 0.817-0.271 0.953-0.697 0.168-0.526-0.122-1.088-0.648-1.256zM10 10c0.536 0 1.786 2.097 1.973 6h-3.947c0.188-3.903 1.438-6 1.974-6zM16.92 16h-2.945c-0.091-1.979-0.452-3.897-1.072-5.361 2.123 0.973 3.673 2.972 4.017 5.361zM7.096 10.638c-0.619 1.464-0.981 3.382-1.071 5.362h-2.945c0.344-2.389 1.895-4.389 4.017-5.361z"></path>'),
	   	 			'hand-o-down' => array('keywords' => 'hand-o-down ','viewbox' => '0 0 27 32', 'path' =>'<path d="M25.143 17.429q0-1.5-0.571-3.268t-1.143-3.464-0.571-2.982v-0.571h-11.429v0.571q0 0.625-0.214 1.205t-0.661 1.116-0.821 0.893-0.964 0.875q-0.161 0.143-0.25 0.214-1.446 1.286-2.589 2-0.393 0.25-1.214 0.679-0.054 0.018-0.402 0.188t-0.643 0.33-0.634 0.357-0.545 0.384-0.205 0.33q0 1.268 0.545 2.063t1.741 0.795q0.768 0 1.509-0.268t1.214-0.589 0.982-0.589 0.866-0.268v10.286q0 0.893 0.688 1.589t1.598 0.696q0.929 0 1.607-0.679t0.679-1.607v-5.911q0.821 0.625 1.839 0.625 1.232 0 2.125-0.946 0.571 0.321 1.232 0.321t1.313-0.313 0.938-0.848q0.429 0.071 1 0.071 1.518 0 2.25-0.866t0.732-2.42zM22.857 3.714q0-0.464-0.339-0.804t-0.804-0.339-0.804 0.339-0.339 0.804 0.339 0.804 0.804 0.339 0.804-0.339 0.339-0.804zM27.429 17.357q0 2.536-1.384 4.107t-3.884 1.554l-0.089-0.018q-1.357 1.089-3.179 1.089-0.393 0-0.768-0.054-0.964 0.536-2.125 0.661v3.018q0 1.875-1.357 3.223t-3.232 1.348q-1.839 0-3.196-1.357t-1.357-3.214v-6.679q-0.964 0.393-2.286 0.393-2.161 0-3.366-1.455t-1.205-3.688q0-0.679 0.313-1.241t0.884-0.982 1.125-0.723 1.286-0.661 1.107-0.589q0.982-0.625 2.304-1.786 0.054-0.036 0.304-0.25t0.384-0.339 0.384-0.366 0.402-0.429 0.321-0.402 0.25-0.42 0.080-0.384v-5.143q0-0.946 0.67-1.616t1.616-0.67h11.429q0.946 0 1.616 0.67t0.67 1.616v5.143q0 1.054 1.054 3.982 1.232 3.393 1.232 5.661z"></path>'),
	   	 			'shop_two' => array('keywords' => 'shop_two ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 20.667l7.313-5.313-7.313-4v9.313zM16 4.667v2.688h5.313v-2.688h-5.313zM24 7.354h6.688v14.625q0 1.125-0.781 1.906t-1.906 0.781h-18.688q-1.125 0-1.875-0.781t-0.75-1.906v-14.625h6.625v-2.688q0-1.125 0.781-1.906t1.906-0.781h5.313q1.125 0 1.906 0.781t0.781 1.906v2.688zM4 12.667v14.688h21.313q0 1.125-0.75 1.875t-1.875 0.75h-18.688q-1.125 0-1.906-0.75t-0.781-1.875v-14.688h2.688z"></path>'),
	   	 			'user_person10' => array('keywords' => 'user_person10 ','viewbox' => '0 0 25 32', 'path' =>'<path d="M9 10c2.757 0 5-2.243 5-5s-2.243-5-5-5-5 2.243-5 5 2.243 5 5 5zM9 2c1.655 0 3 1.345 3 3s-1.345 3-3 3-3-1.345-3-3 1.345-3 3-3zM17.044 16.002c-1.474-2.959-4.52-5.002-8.044-5.002-4.963 0-9 4.037-9 9 0 0.552 0.448 1 1 1h2.5v6c0 0.552 0.448 1 1 1h5.582c1.386 2.386 3.965 4 6.918 4 4.411 0 8-3.589 8-8 0-4.396-3.565-7.974-7.956-7.998zM5.5 26v-6c0-0.552-0.448-1-1-1h-2.429c0.486-3.387 3.408-6 6.928-6 2.495 0 4.688 1.313 5.928 3.282-3.408 0.916-5.928 4.024-5.928 7.718 0 0.692 0.098 1.36 0.263 2h-3.763zM17 30c-3.309 0-6-2.692-6-6s2.691-6 6-6 6 2.692 6 6-2.692 6-6 6zM19.852 22.866l-1.846-0.281-0.826-1.753c-0.031-0.067-0.096-0.11-0.168-0.11s-0.137 0.043-0.168 0.11l-0.825 1.753-1.846 0.281c-0.071 0.011-0.13 0.063-0.152 0.134s-0.003 0.149 0.047 0.201l1.336 1.364-0.315 1.927c-0.012 0.073 0.016 0.148 0.073 0.192 0.059 0.045 0.135 0.051 0.198 0.015l1.651-0.91 1.651 0.91c0.028 0.015 0.058 0.023 0.087 0.023 0.039 0 0.078-0.012 0.111-0.038 0.058-0.044 0.087-0.117 0.074-0.192l-0.315-1.927 1.335-1.364c0.051-0.052 0.070-0.131 0.048-0.201-0.023-0.072-0.082-0.123-0.152-0.134z"></path>'),
	   	 			'fighter-jet' => array('keywords' => 'fighter-jet ','viewbox' => '0 0 34 32', 'path' =>'<path d="M34.286 17.429q-0.018 0.571-5.143 1.714l-6.286 0.571-4 1.143h-1.143l-5.232 6.286h1.232q0.464 0 0.804 0.080t0.339 0.205-0.339 0.205-0.804 0.080h-5.714v-0.571h1.143v-7.429h-2.857l-3.429 4h-1.714l-0.571-0.571v-3.429h0.571v-0.571h2.286v-0.143l-3.429-0.429v-2.286l3.429-0.429v-0.143h-2.286v-0.571h-0.571v-3.429l0.571-0.571h1.714l3.429 4h2.857v-7.429h-1.143v-0.571h5.714q0.464 0 0.804 0.080t0.339 0.205-0.339 0.205-0.804 0.080h-1.232l5.232 6.286h1.143l4 1.143 6.286 0.571q4.661 1.036 5.125 1.661z"></path>'),
	   	 			'computer_satellite_connect' => array('keywords' => 'computer_satellite_connect ','viewbox' => '0 0 32 32', 'path' =>'<path d="M8.515 3.9l0.693-0.692c0.39-0.39 0.39-1.023 0-1.414s-1.024-0.391-1.414 0l-0.692 0.693-2.192-2.192c-0.391-0.391-1.024-0.39-1.414-0.001-0.964 0.964-1.495 2.244-1.495 3.607 0 1.163 0.389 2.264 1.101 3.161l-1.996 3.992c-0.247 0.494-0.047 1.095 0.448 1.342 0.143 0.072 0.295 0.105 0.446 0.105 0.001 0 0.001 0 0.001 0h5c0 0 0 0 0.001 0 0.151 0 0.303-0.034 0.447-0.105 0.494-0.247 0.695-0.848 0.447-1.342l-1.032-2.064c0.079 0.004 0.157 0.012 0.237 0.012 1.363 0 2.643-0.53 3.607-1.494 0.39-0.391 0.39-1.024 0-1.414l-2.193-2.193zM3.619 10.5l0.882-1.764 0.882 1.764h-1.764zM7.101 7c-0.828 0-1.606-0.322-2.192-0.907-0.586-0.586-0.909-1.365-0.909-2.193 0-0.483 0.109-0.949 0.317-1.369l4.152 4.154c-0.421 0.207-0.886 0.316-1.37 0.316zM30 21h-9c-0.552 0-1 0.448-1 1v6c0 0.552 0.448 1 1 1h3.5v1h-1c-0.552 0-1 0.448-1 1s0.448 1 1 1h4c0.552 0 1-0.448 1-1s-0.448-1-1-1h-1v-1h3.5c0.552 0 1-0.448 1-1v-6c0-0.552-0.448-1-1-1zM29 27h-7v-4h7v4zM4.79 14.295c-0.185 0.185-0.29 0.44-0.29 0.705 0 0.26 0.105 0.52 0.29 0.705 0.19 0.19 0.45 0.295 0.71 0.295s0.52-0.105 0.705-0.295c0.19-0.185 0.295-0.446 0.295-0.705 0-0.265-0.105-0.52-0.295-0.71-0.37-0.37-1.035-0.37-1.415 0.005zM5.5 18c-0.555 0-1 0.445-1 1 0 0.55 0.445 1 1 1s1-0.45 1-1c0-0.555-0.446-1-1-1zM5.5 22c-0.555 0-1 0.445-1 1 0 0.55 0.445 1 1 1s1-0.45 1-1c0-0.555-0.446-1-1-1zM4.79 26.29c-0.185 0.19-0.29 0.445-0.29 0.71s0.105 0.52 0.295 0.705c0.185 0.19 0.445 0.295 0.705 0.295s0.52-0.105 0.705-0.295c0.19-0.185 0.295-0.44 0.295-0.705s-0.105-0.52-0.295-0.71c-0.37-0.37-1.040-0.37-1.415 0zM13.501 26c-0.555 0-1 0.445-1 1 0 0.55 0.445 1 1 1 0.55 0 1-0.45 1-1 0-0.555-0.45-1-1-1zM9.501 26c-0.55 0-1 0.445-1 1 0 0.55 0.45 1 1 1s1-0.45 1-1c0-0.555-0.45-1-1-1zM16.796 26.29c-0.19 0.19-0.295 0.445-0.295 0.71s0.105 0.52 0.295 0.705c0.185 0.19 0.44 0.295 0.705 0.295s0.52-0.105 0.705-0.295c0.19-0.185 0.295-0.44 0.295-0.705s-0.105-0.52-0.295-0.71c-0.37-0.37-1.040-0.37-1.41 0zM26 18.5c0.26 0 0.52-0.105 0.705-0.295 0.19-0.185 0.295-0.44 0.295-0.705s-0.105-0.52-0.295-0.71c-0.37-0.37-1.040-0.37-1.41 0-0.19 0.19-0.295 0.445-0.295 0.71s0.105 0.52 0.295 0.71c0.185 0.185 0.445 0.29 0.705 0.29zM26 14.5c0.555 0 1-0.45 1-1s-0.445-1-1-1c-0.55 0-1 0.45-1 1s0.45 1 1 1zM26 10.5c0.555 0 1-0.45 1-1 0-0.555-0.445-1-1-1-0.55 0-1 0.445-1 1 0 0.55 0.45 1 1 1zM26 6.5c0.265 0 0.52-0.105 0.705-0.295 0.19-0.185 0.295-0.44 0.295-0.705 0-0.261-0.105-0.52-0.295-0.71-0.37-0.37-1.040-0.37-1.415 0.005-0.185 0.185-0.29 0.44-0.29 0.705s0.105 0.52 0.29 0.705c0.19 0.19 0.45 0.295 0.71 0.295zM18 4.5c-0.55 0-1 0.45-1 1s0.45 1 1 1c0.555 0 1-0.45 1-1s-0.445-1-1-1zM22 6.5c0.55 0 1-0.45 1-1s-0.45-1-1-1-1 0.45-1 1c0 0.55 0.45 1 1 1zM13.296 4.79c-0.19 0.19-0.295 0.445-0.295 0.71s0.105 0.52 0.295 0.705c0.185 0.19 0.44 0.295 0.705 0.295s0.52-0.105 0.71-0.295c0.185-0.185 0.29-0.44 0.29-0.705s-0.105-0.52-0.295-0.71c-0.37-0.37-1.040-0.37-1.41 0z"></path>'),
	   	 			'pen_line' => array('keywords' => 'pen_line ','viewbox' => '0 0 32 32', 'path' =>'<path d="M27.5 0h-9c-0.552 0-1 0.448-1 1v21c0 0.216 0.070 0.427 0.2 0.6l4.5 6c0.189 0.252 0.485 0.4 0.8 0.4s0.611-0.148 0.8-0.4l4.5-6c0.13-0.174 0.2-0.384 0.2-0.6v-21c0-0.552-0.448-1-1-1zM19.5 6h7v13.211c-0.406-0.137-0.828-0.21-1.248-0.21 0 0-0.002 0-0.002 0-0.783 0-1.578 0.253-2.25 0.7-0.672-0.448-1.466-0.7-2.249-0.7 0 0-0.001 0-0.002 0-0.42 0-0.843 0.075-1.249 0.212v-13.212zM26.5 2v2h-7v-2h7zM23 26.334l-3.5-4.667v-0.221c0.318-0.238 0.764-0.445 1.25-0.445 0 0 0 0 0.001 0 0.648 0 1.224 0.369 1.52 0.684 0.189 0.201 0.453 0.316 0.729 0.316h0c0.276 0 0.54-0.114 0.729-0.316 0.297-0.316 0.873-0.684 1.521-0.684 0 0 0 0 0.001 0 0.486 0 0.931 0.207 1.248 0.445v0.221l-3.5 4.667zM21.5 18c0.552 0 1-0.448 1-1v-9c0-0.552-0.448-1-1-1s-1 0.448-1 1v9c0 0.552 0.448 1 1 1zM24.5 18c0.552 0 1-0.448 1-1v-9c0-0.552-0.448-1-1-1s-1 0.448-1 1v9c0 0.552 0.448 1 1 1zM27.5 30h-23c-0.552 0-1 0.448-1 1s0.448 1 1 1h23c0.552 0 1-0.448 1-1s-0.448-1-1-1z"></path>'),
	   	 			'laptop3' => array('keywords' => 'laptop3 ','viewbox' => '0 0 34 32', 'path' =>'<path d="M7.429 23.143q-1.179 0-2.018-0.839t-0.839-2.018v-12.571q0-1.179 0.839-2.018t2.018-0.839h19.429q1.179 0 2.018 0.839t0.839 2.018v12.571q0 1.179-0.839 2.018t-2.018 0.839h-19.429zM6.857 7.714v12.571q0 0.232 0.17 0.402t0.402 0.17h19.429q0.232 0 0.402-0.17t0.17-0.402v-12.571q0-0.232-0.17-0.402t-0.402-0.17h-19.429q-0.232 0-0.402 0.17t-0.17 0.402zM31.429 24.286h2.857v1.714q0 0.714-0.839 1.214t-2.018 0.5h-28.571q-1.179 0-2.018-0.5t-0.839-1.214v-1.714h31.429zM18.571 26q0.286 0 0.286-0.286t-0.286-0.286h-2.857q-0.286 0-0.286 0.286t0.286 0.286h2.857z"></path>'),
	   	 			'arrow_downward' => array('keywords' => 'arrow_downward ','viewbox' => '0 0 32 32', 'path' =>'<path d="M26.688 16.667l-10.688 10.688-10.688-10.688 1.938-1.875 7.438 7.438v-16.25h2.625v16.25l7.5-7.438z"></path>'),
	   	 			'chess_4' => array('keywords' => 'chess_4 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M23.243 26.024c-1.21-0.418-2.695-2.142-3.114-4.579-0.26-1.508-0.728-4.725-0.975-6.445h0.846c0.070 0 0.137-0.007 0.201-0.021 1.283-0.104 2.299-1.17 2.299-2.479s-1.015-2.375-2.299-2.479c-0.065-0.014-0.132-0.021-0.201-0.021h-0.926c0.218-1.657 0.881-3.737 1.508-4.187 0.354-0.253 0.503-0.705 0.37-1.119s-0.517-0.695-0.952-0.695h-1.175c0.111-0.313 0.175-0.649 0.175-1 0-1.655-1.346-3-3-3s-3 1.345-3 3c0 0.351 0.063 0.687 0.175 1h-1.175c-0.434 0-0.819 0.281-0.952 0.695s0.017 0.865 0.37 1.119c0.627 0.449 1.29 2.53 1.508 4.187h-0.926c-0.069 0-0.136 0.007-0.201 0.021-1.283 0.104-2.299 1.17-2.299 2.479s1.015 2.375 2.299 2.479c0.065 0.014 0.132 0.021 0.201 0.021h0.847c-0.247 1.72-0.716 4.938-0.975 6.446-0.419 2.437-1.905 4.161-3.114 4.578-1.264 0.125-2.257 1.18-2.257 2.476v2.5c0 0.552 0.448 1 1 1h17c0.552 0 1-0.448 1-1v-2.5c0-1.295-0.994-2.351-2.257-2.476zM12 13c-0.276 0-0.5-0.225-0.5-0.5s0.224-0.5 0.5-0.5h8c0.276 0 0.5 0.225 0.5 0.5s-0.224 0.5-0.5 0.5h-8zM15 3c0-0.551 0.448-1 1-1s1 0.449 1 1-0.448 1-1 1-1-0.449-1-1zM13.9 6h4.199c-0.573 1.273-0.902 2.851-1.033 4h-2.133c-0.131-1.149-0.46-2.727-1.033-4zM17.133 15c0.233 1.631 0.742 5.142 1.026 6.785 0.276 1.607 0.957 3.087 1.868 4.215h-8.052c0.911-1.128 1.592-2.609 1.868-4.215 0.283-1.643 0.792-5.154 1.025-6.785h2.265zM23.5 30h-15v-1.5c0-0.276 0.223-0.499 0.499-0.5h14c0 0 0.001 0 0.002 0h0c0.276 0.001 0.499 0.224 0.499 0.5v1.5z"></path>'),
	   	 			'headphones_wireless' => array('keywords' => 'headphones_wireless ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 2.5c-8.822 0-16 7.178-16 16v4c0 2.967 2.167 5.431 5 5.91v0.090c0 0.552 0.448 1 1 1h3c0.552 0 1-0.448 1-1v-12c0-0.552-0.448-1-1-1h-3c-0.552 0-1 0.448-1 1v0.090c-1.136 0.192-2.163 0.703-2.989 1.439 0.249-7.503 6.426-13.53 13.989-13.53s13.739 6.027 13.989 13.53c-0.825-0.737-1.852-1.247-2.989-1.439v-0.090c0-0.552-0.448-1-1-1h-3c-0.552 0-1 0.448-1 1v12c0 0.552 0.448 1 1 1h3c0.552 0 1-0.448 1-1v-0.090c2.833-0.478 5-2.942 5-5.91v-4c0-8.822-7.178-16-16-16zM8 17.5v10h-1v-10h1zM5 18.632v7.736c-1.723-0.445-3-2.009-3-3.869s1.277-3.423 3-3.868zM24 27.5v-10h1v10h-1zM27 26.368v-7.736c1.723 0.445 3 2.009 3 3.868s-1.277 3.423-3 3.868z"></path>'),
	   	 			'dropbox2' => array('keywords' => 'dropbox2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M7.179 12.911l8.821 5.446-6.107 5.089-8.75-5.696zM24.786 22.821v1.929l-8.75 5.232v0.018l-0.018-0.018-0.018 0.018v-0.018l-8.732-5.232v-1.929l2.625 1.714 6.107-5.071v-0.036l0.018 0.018 0.018-0.018v0.036l6.125 5.071zM9.893 2.393l6.107 5.089-8.821 5.429-6.036-4.821zM24.821 12.911l6.036 4.839-8.732 5.696-6.125-5.089zM22.125 2.393l8.732 5.696-6.036 4.821-8.821-5.429z"></path>'),
	   	 			'unordered_lisr2' => array('keywords' => 'unordered_lisr2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M9 7h22c0.552 0 1-0.448 1-1s-0.448-1-1-1h-22c-0.552 0-1 0.448-1 1s0.448 1 1 1zM31 15h-22c-0.552 0-1 0.448-1 1s0.448 1 1 1h22c0.552 0 1-0.448 1-1s-0.448-1-1-1zM31 25h-22c-0.552 0-1 0.448-1 1s0.448 1 1 1h22c0.552 0 1-0.448 1-1s-0.448-1-1-1zM5 13h-4c-0.552 0-1 0.448-1 1v4c0 0.552 0.448 1 1 1h4c0.552 0 1-0.448 1-1v-4c0-0.552-0.448-1-1-1zM4 17h-2v-2h2v2zM5 3h-4c-0.552 0-1 0.448-1 1v4c0 0.552 0.448 1 1 1h4c0.552 0 1-0.448 1-1v-4c0-0.552-0.448-1-1-1zM4 7h-2v-2h2v2zM5 23h-4c-0.552 0-1 0.448-1 1v4c0 0.552 0.448 1 1 1h4c0.552 0 1-0.448 1-1v-4c0-0.552-0.448-1-1-1zM4 27h-2v-2h2v2z"></path>'),
	   	 			'cloud-upload2' => array('keywords' => 'cloud-upload2 ','viewbox' => '0 0 34 32', 'path' =>'<path d="M22.857 15.714q0-0.25-0.161-0.411l-6.286-6.286q-0.161-0.161-0.411-0.161t-0.411 0.161l-6.268 6.268q-0.179 0.214-0.179 0.429 0 0.25 0.161 0.411t0.411 0.161h4v6.286q0 0.232 0.17 0.402t0.402 0.17h3.429q0.232 0 0.402-0.17t0.17-0.402v-6.286h4q0.232 0 0.402-0.17t0.17-0.402zM34.286 20.857q0 2.839-2.009 4.848t-4.848 2.009h-19.429q-3.304 0-5.652-2.348t-2.348-5.652q0-2.321 1.25-4.286t3.357-2.946q-0.036-0.536-0.036-0.768 0-3.786 2.679-6.464t6.464-2.679q2.786 0 5.098 1.554t3.366 4.125q1.268-1.107 2.964-1.107 1.893 0 3.232 1.339t1.339 3.232q0 1.357-0.732 2.464 2.321 0.554 3.813 2.42t1.491 4.259z"></path>'),
	   	 			'heart-o' => array('keywords' => 'heart-o ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29.714 10.929q0-1.446-0.384-2.554t-0.982-1.759-1.455-1.063-1.679-0.554-1.75-0.143-2 0.455-1.973 1.143-1.545 1.286-1.071 1.098q-0.321 0.393-0.875 0.393t-0.875-0.393q-0.429-0.5-1.071-1.098t-1.545-1.286-1.973-1.143-2-0.455-1.75 0.143-1.679 0.554-1.455 1.063-0.982 1.759-0.384 2.554q0 3 3.339 6.339l10.375 10 10.357-9.982q3.357-3.357 3.357-6.357zM32 10.929q0 3.946-4.089 8.036l-11.125 10.714q-0.321 0.321-0.786 0.321t-0.786-0.321l-11.143-10.75q-0.179-0.143-0.491-0.464t-0.991-1.17-1.214-1.741-0.955-2.161-0.42-2.464q0-3.929 2.268-6.143t6.268-2.214q1.107 0 2.259 0.384t2.143 1.036 1.705 1.223 1.357 1.214q0.643-0.643 1.357-1.214t1.705-1.223 2.143-1.036 2.259-0.384q4 0 6.268 2.214t2.268 6.143z"></path>'),
	   	 			'snooze' => array('keywords' => 'snooze ','viewbox' => '0 0 32 32', 'path' =>'<path d="M12 15.354v-2.688h8v2.375l-4.813 5.625h4.813v2.688h-8v-2.438l4.813-5.563h-4.813zM16 27.354q3.875 0 6.594-2.75t2.719-6.625-2.719-6.594-6.594-2.719-6.594 2.719-2.719 6.594 2.719 6.625 6.594 2.75zM16 5.979q5 0 8.5 3.531t3.5 8.469-3.5 8.469-8.5 3.531-8.5-3.531-3.5-8.469 3.5-8.469 8.5-3.531zM29.313 8.292l-1.688 2.063-6.125-5.188 1.688-2zM10.5 5.167l-6.125 5.125-1.688-2 6.125-5.125z"></path>'),
	   	 			'opacity' => array('keywords' => 'opacity ','viewbox' => '0 0 32 32', 'path' =>'<path d="M8 19.354h16q0-3.438-2.375-5.813l-5.625-5.875-5.625 5.813q-2.375 2.375-2.375 5.875zM23.563 11.354q3.125 3.125 3.125 7.5 0 4.438-3.125 7.563t-7.563 3.125-7.563-3.125-3.125-7.563q0-4.375 3.125-7.5l7.563-7.563z"></path>'),
	   	 			'spoon-knife' => array('keywords' => 'spoon-knife ','viewbox' => '0 0 32 32', 'path' =>'<path d="M7 0c-3.314 0-6 3.134-6 7 0 3.31 1.969 6.083 4.616 6.812l-0.993 16.191c-0.067 1.098 0.778 1.996 1.878 1.996h1c1.1 0 1.945-0.898 1.878-1.996l-0.993-16.191c2.646-0.729 4.616-3.502 4.616-6.812 0-3.866-2.686-7-6-7zM27.167 0l-1.667 10h-1.25l-0.833-10h-0.833l-0.833 10h-1.25l-1.667-10h-0.833v13c0 0.552 0.448 1 1 1h2.604l-0.982 16.004c-0.067 1.098 0.778 1.996 1.878 1.996h1c1.1 0 1.945-0.898 1.878-1.996l-0.982-16.004h2.604c0.552 0 1-0.448 1-1v-13h-0.833z"></path>'),
	   	 			'transgender-alt' => array('keywords' => 'transgender-alt ','viewbox' => '0 0 30 32', 'path' =>'<path d="M22.857 0.857q0-0.25 0.161-0.411t0.411-0.161h5.143q0.464 0 0.804 0.339t0.339 0.804v5.143q0 0.25-0.161 0.411t-0.411 0.161h-1.143q-0.25 0-0.411-0.161t-0.161-0.411v-2.393l-4.536 4.554q2.25 2.821 2.25 6.411 0 3.946-2.634 6.866t-6.509 3.348v2.357h1.714q0.25 0 0.411 0.161t0.161 0.411v1.143q0 0.25-0.161 0.411t-0.411 0.161h-1.714v1.714q0 0.25-0.161 0.411t-0.411 0.161h-1.143q-0.25 0-0.411-0.161t-0.161-0.411v-1.714h-1.714q-0.25 0-0.411-0.161t-0.161-0.411v-1.143q0-0.25 0.161-0.411t0.411-0.161h1.714v-2.357q-3.875-0.429-6.509-3.348t-2.634-6.866q0-3.589 2.25-6.411l-0.929-0.946-1.804 1.982q-0.161 0.179-0.393 0.188t-0.411-0.134l-0.857-0.786q-0.179-0.143-0.188-0.384t0.152-0.42l1.875-2.054-1.982-2v2.393q0 0.25-0.161 0.411t-0.411 0.161h-1.143q-0.25 0-0.411-0.161t-0.161-0.411v-5.143q0-0.464 0.339-0.804t0.804-0.339h5.143q0.25 0 0.411 0.161t0.161 0.411v1.143q0 0.25-0.161 0.411t-0.411 0.161h-2.375l1.893 1.911 1.536-1.679q0.161-0.179 0.393-0.188t0.411 0.134l0.857 0.786q0.179 0.143 0.188 0.384t-0.152 0.42l-1.607 1.768 1.018 1q2.821-2.25 6.411-2.25t6.411 2.25l4.554-4.536h-2.393q-0.25 0-0.411-0.161t-0.161-0.411v-1.143zM14.857 23.143q3.304 0 5.652-2.348t2.348-5.652-2.348-5.652-5.652-2.348-5.652 2.348-2.348 5.652 2.348 5.652 5.652 2.348z"></path>'),
	   	 			'binoculars2' => array('keywords' => 'binoculars2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M12.571 6v13.714q0 0.464-0.339 0.804t-0.804 0.339v10.286q0 0.464-0.339 0.804t-0.804 0.339h-9.143q-0.464 0-0.804-0.339t-0.339-0.804v-9.143l4.446-15.589q0.125-0.411 0.554-0.411h7.571zM18.286 6v12.571h-4.571v-12.571h4.571zM32 22v9.143q0 0.464-0.339 0.804t-0.804 0.339h-9.143q-0.464 0-0.804-0.339t-0.339-0.804v-10.286q-0.464 0-0.804-0.339t-0.339-0.804v-13.714h7.571q0.429 0 0.554 0.411zM13.143 0.857v4h-6.286v-4q0-0.25 0.161-0.411t0.411-0.161h5.143q0.25 0 0.411 0.161t0.161 0.411zM25.143 0.857v4h-6.286v-4q0-0.25 0.161-0.411t0.411-0.161h5.143q0.25 0 0.411 0.161t0.161 0.411z"></path>'),
	   	 			'heart2' => array('keywords' => 'heart2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 30q-0.464 0-0.786-0.321l-11.143-10.75q-0.179-0.143-0.491-0.464t-0.991-1.17-1.214-1.741-0.955-2.161-0.42-2.464q0-3.929 2.268-6.143t6.268-2.214q1.107 0 2.259 0.384t2.143 1.036 1.705 1.223 1.357 1.214q0.643-0.643 1.357-1.214t1.705-1.223 2.143-1.036 2.259-0.384q4 0 6.268 2.214t2.268 6.143q0 3.946-4.089 8.036l-11.125 10.714q-0.321 0.321-0.786 0.321z"></path>'),
	   	 			'wheelchair_symbol1' => array('keywords' => 'wheelchair_symbol1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31.832 21.945c-0.306-0.459-0.927-0.584-1.387-0.277l-0.713 0.475-5.433-7.243c-0.013-0.018-0.030-0.031-0.044-0.049-0.023-0.027-0.046-0.053-0.072-0.078-0.023-0.022-0.049-0.041-0.073-0.060-0.026-0.020-0.052-0.040-0.080-0.057s-0.055-0.031-0.082-0.045c-0.030-0.015-0.060-0.030-0.093-0.042-0.029-0.011-0.058-0.019-0.087-0.027-0.033-0.009-0.066-0.018-0.099-0.024-0.032-0.006-0.066-0.008-0.099-0.011-0.023-0.001-0.046-0.007-0.070-0.007h-2.5v-5c0-0.552-0.448-1-1-1h-10v-6c0-0.552-0.448-1-1-1h-4c-0.552 0-1 0.448-1 1s0.448 1 1 1h3v9.059c-4.493 0.499-8 4.317-8 8.941 0 4.962 4.037 9 9 9s9-4.038 9-9h4.5v5.5c0 0.061 0.008 0.12 0.018 0.177-0.011 0.106-0.018 0.213-0.018 0.323 0 1.654 1.346 3 3 3s3-1.346 3-3-1.346-3-3-3c-0.351 0-0.686 0.064-1 0.175v-6.175l4.2 5.6c0.023 0.031 0.052 0.055 0.078 0.082 0.024 0.026 0.047 0.053 0.073 0.076 0.037 0.032 0.077 0.055 0.117 0.081 0.027 0.017 0.052 0.037 0.080 0.052 0.048 0.024 0.098 0.040 0.148 0.055 0.024 0.008 0.047 0.020 0.073 0.026 0.076 0.018 0.154 0.029 0.233 0.029v0 0c0.099 0 0.2-0.017 0.297-0.047 0.032-0.010 0.061-0.030 0.093-0.044 0.055-0.024 0.113-0.043 0.164-0.077l1.5-1c0.459-0.306 0.583-0.927 0.277-1.387zM19 10.5v4h-4.355c-1.3-1.051-2.897-1.746-4.645-1.941v-2.059h9zM9 28.5c-3.86 0-7-3.14-7-7s3.14-7 7-7 7 3.14 7 7-3.14 7-7 7zM17.768 19.5c-0.248-1.087-0.688-2.102-1.291-3h6.022v3h-4.732zM25.5 26.5c0.552 0 1 0.448 1 1s-0.448 1-1 1-1-0.448-1-1 0.448-1 1-1z"></path>'),
	   	 			'accolade_prize3' => array('keywords' => 'accolade_prize3 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M20.26 19.002l-2.762-0.401-1.235-2.5c-0.047-0.096-0.145-0.156-0.251-0.156-0.107 0-0.205 0.060-0.252 0.156l-1.235 2.5-2.761 0.401c-0.105 0.015-0.194 0.090-0.226 0.191s-0.005 0.213 0.072 0.288l1.998 1.945-0.472 2.747c-0.018 0.105 0.024 0.212 0.111 0.274s0.201 0.072 0.295 0.021l2.471-1.297 2.47 1.297c0.041 0.021 0.085 0.032 0.13 0.032 0.058 0 0.116-0.018 0.165-0.053 0.087-0.063 0.13-0.169 0.111-0.274l-0.471-2.747 1.997-1.945c0.077-0.074 0.105-0.186 0.072-0.288s-0.122-0.177-0.227-0.191zM23.157 11.502l1.343-8.502c0-1.65-1.349-3-3-3h-11c-1.649 0-3 1.35-3 3l1.342 8.502c-2.646 2.107-4.343 5.354-4.343 8.998-0.001 6.353 5.147 11.499 11.5 11.499 6.351 0 11.502-5.146 11.5-11.498 0.001-3.645-1.697-6.892-4.343-8.999zM9.5 3c0-0.55 0.45-1 1-1h11c0.55 0 1 0.45 1 1l-1.353 7.217c-1.55-0.777-3.297-1.217-5.147-1.217s-3.598 0.44-5.147 1.217l-1.353-7.217zM16 30.001c-5.248 0-9.498-4.253-9.5-9.5 0.002-5.249 4.252-9.499 9.5-9.501s9.501 4.252 9.501 9.499c0 5.239-4.252 9.5-9.501 9.502z"></path>'),
	   	 			'direction_symbol1' => array('keywords' => 'direction_symbol1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25.832 8.945l-3-4.5c-0.186-0.279-0.497-0.446-0.832-0.446h-6v-3c0-0.552-0.448-1-1-1s-1 0.448-1 1v3h-7c-0.552 0-1 0.448-1 1v9c0 0.552 0.448 1 1 1h7v15h-4c-0.552 0-1 0.448-1 1s0.448 1 1 1h10c0.552 0 1-0.448 1-1s-0.448-1-1-1h-4v-15h6c0.334 0 0.646-0.167 0.832-0.445l3-4.5c0.224-0.335 0.224-0.774 0-1.109zM21.465 13h-13.465v-7h13.465l2.333 3.5-2.333 3.5z"></path>'),
	   	 			'hdr_on' => array('keywords' => 'hdr_on ','viewbox' => '0 0 32 32', 'path' =>'<path d="M17.313 18.667v-4h-2.625v4h2.625zM17.313 12.667q0.813 0 1.406 0.594t0.594 1.406v4q0 0.813-0.594 1.406t-1.406 0.594h-4.625v-8h4.625zM8.688 15.354v-2.688h2v8h-2v-3.313h-2.688v3.313h-2v-8h2v2.688h2.688zM26 15.979v-1.313h-2.688v1.313h2.688zM28 15.979q0 1.25-1.188 1.875l1.188 2.813h-2l-1.188-2.688h-1.5v2.688h-2v-8h4.688q0.813 0 1.406 0.594t0.594 1.406v1.313z"></path>'),
	   	 			'facebook3' => array('keywords' => 'facebook3 ','viewbox' => '0 0 19 32', 'path' =>'<path d="M17.125 0.5v4.714h-2.804q-1.536 0-2.071 0.643t-0.536 1.929v3.375h5.232l-0.696 5.286h-4.536v13.554h-5.464v-13.554h-4.554v-5.286h4.554v-3.893q0-3.321 1.857-5.152t4.946-1.83q2.625 0 4.071 0.214z"></path>'),
	   	 			'weather_3' => array('keywords' => 'weather_3 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M21.5 21h-2l0.9-1.2c0.166-0.221 0.121-0.534-0.1-0.7s-0.534-0.12-0.7 0.1l-1.351 1.799h-1.75v-1.75l1.8-1.35c0.221-0.166 0.265-0.479 0.1-0.7s-0.478-0.266-0.7-0.1l-1.2 0.899v-2c0-0.276-0.224-0.5-0.5-0.5s-0.5 0.224-0.5 0.5v2l-1.2-0.9c-0.221-0.166-0.534-0.12-0.7 0.1s-0.121 0.534 0.1 0.7l1.8 1.35v1.75h-1.75l-1.35-1.8c-0.165-0.221-0.479-0.267-0.7-0.1s-0.265 0.479-0.1 0.7l0.9 1.201h-2c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h2l-0.9 1.2c-0.166 0.221-0.121 0.534 0.1 0.7 0.090 0.068 0.195 0.1 0.3 0.1 0.152 0 0.302-0.070 0.4-0.2l1.35-1.8h1.75v1.75l-1.8 1.35c-0.221 0.166-0.265 0.479-0.1 0.7 0.098 0.131 0.248 0.2 0.4 0.2 0.104 0 0.21-0.032 0.3-0.1l1.2-0.899v2c0 0.276 0.224 0.5 0.5 0.5s0.5-0.224 0.5-0.5v-2l1.2 0.9c0.090 0.068 0.195 0.1 0.299 0.1 0.152 0 0.302-0.070 0.401-0.2 0.166-0.221 0.121-0.534-0.1-0.7l-1.8-1.351v-1.75h1.75l1.35 1.8c0.098 0.131 0.248 0.2 0.401 0.2 0.104 0 0.209-0.032 0.299-0.1 0.221-0.166 0.265-0.479 0.1-0.7l-0.9-1.2h2c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5zM25 8.5c-0.477 0-0.954 0.050-1.424 0.149-1.648-2.578-4.482-4.149-7.576-4.149-3.919 0-7.348 2.539-8.545 6.181-0.474-0.12-0.96-0.181-1.455-0.181-3.308 0-6 2.691-6 6s2.692 6 6 6h1.5c0.552 0 1-0.448 1-1s-0.448-1-1-1h-1.5c-2.205 0-4-1.794-4-4s1.795-4 4-4c0.594 0 1.171 0.132 1.716 0.392 0.279 0.133 0.605 0.13 0.882-0.011s0.473-0.4 0.531-0.704c0.629-3.29 3.518-5.677 6.87-5.677 2.617 0 4.996 1.447 6.209 3.775 0.227 0.437 0.738 0.642 1.204 0.486 0.518-0.174 1.053-0.261 1.587-0.261 2.757 0 5 2.243 5 5s-2.243 5-5 5h-0.5c-0.552 0-1 0.448-1 1s0.448 1 1 1h0.5c3.86 0 7-3.14 7-7s-3.14-7-7-7z"></path>'),
	   	 			'section' => array('keywords' => 'section ','viewbox' => '0 0 32 32', 'path' =>'<path d="M15.499 32c-1.543 0-2.847-0.45-3.878-1.338-1.038-0.894-1.565-1.939-1.565-3.104 0-0.567 0.206-1.055 0.613-1.452 0.414-0.404 0.931-0.617 1.495-0.617 0.563 0 1.069 0.2 1.463 0.579 0.39 0.374 0.587 0.869 0.587 1.472 0 0.354-0.058 0.744-0.172 1.161-0.113 0.412-0.137 0.623-0.137 0.728 0 0.115 0.029 0.252 0.243 0.399 0.399 0.276 0.877 0.409 1.465 0.409 0.706 0 1.335-0.246 1.924-0.751 0.581-0.498 0.863-1.010 0.863-1.564 0-0.617-0.165-1.151-0.504-1.633-0.573-0.805-1.652-1.749-3.207-2.802-2.496-1.67-4.158-3.118-5.081-4.422-0.715-1.021-1.077-2.122-1.077-3.272 0-1.158 0.379-2.311 1.128-3.426 0.641-0.955 1.588-1.816 2.82-2.567-0.659-0.709-1.153-1.377-1.472-1.99-0.402-0.774-0.606-1.574-0.606-2.379 0-1.494 0.591-2.786 1.756-3.84s2.621-1.59 4.323-1.59c1.565 0 2.881 0.44 3.912 1.308 1.041 0.878 1.569 1.903 1.569 3.048 0 0.583-0.218 1.105-0.649 1.552l-0.009 0.009c-0.249 0.248-0.707 0.543-1.47 0.543-0.598 0-1.123-0.196-1.517-0.567-0.392-0.369-0.592-0.81-0.592-1.311 0-0.217 0.053-0.544 0.167-1.031 0.056-0.23 0.083-0.442 0.083-0.633 0-0.323-0.116-0.571-0.366-0.78-0.259-0.217-0.628-0.322-1.129-0.322-0.777 0-1.415 0.236-1.95 0.722-0.537 0.488-0.798 1.065-0.798 1.766 0 0.63 0.143 1.149 0.424 1.543 0.535 0.748 1.462 1.556 2.757 2.401 2.63 1.706 4.466 3.271 5.454 4.651 0.73 1.035 1.099 2.136 1.099 3.275 0 1.144-0.371 2.297-1.104 3.427-0.631 0.974-1.585 1.852-2.84 2.616 0.693 0.733 1.182 1.376 1.486 1.954 0.378 0.718 0.569 1.502 0.569 2.329 0 1.552-0.591 2.871-1.758 3.919s-2.621 1.58-4.322 1.58zM13.95 11.136c-1.507 0.905-2.241 1.943-2.241 3.166 0 0.711 0.203 1.348 0.621 1.946 0.623 0.873 1.852 1.939 3.65 3.165 0.761 0.518 1.449 1.022 2.050 1.502 1.533-0.922 2.28-1.949 2.28-3.131 0-0.644-0.254-1.337-0.756-2.060-0.525-0.756-1.652-1.744-3.348-2.935-0.885-0.611-1.642-1.167-2.255-1.654z"></path>'),
	   	 			'shrink2' => array('keywords' => 'shrink2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M14 18v13l-5-5-6 6-3-3 6-6-5-5zM32 3l-6 6 5 5h-13v-13l5 5 6-6z"></path>'),
	   	 			'cup_prize1' => array('keywords' => 'cup_prize1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M22.003 30c-0.001 0-0.002 0-0.003 0h-12c-0.001 0-0.001 0-0.002 0-0.553 0-1 0.448-1 1s0.447 1 1 1h12.005c0.552 0 1-0.448 1-1s-0.448-1-1-1zM30 3h-4v-2c0-0.552-0.448-1-1-1h-18c-0.552 0-1 0.448-1 1v2h-4c-0.552 0-1 0.448-1 1v6c-0.001 2.761 2.237 5 5 5h0.838c1.416 3.239 4.496 5.585 8.162 5.95v6.050h-2.997c-0.001 0-0.002 0-0.003 0-0.552 0-1 0.448-1 1s0.448 1 1 1h8c0.552 0 1-0.448 1-1s-0.448-1-1-1c-0.001 0-0.001 0-0.002 0h-2.998v-6.050c3.666-0.364 6.746-2.71 8.162-5.95h0.838c2.762 0 5.001-2.238 5-5v-6c0-0.552-0.448-1-1-1zM6 13v0c-1.657 0.001-2.999-1.342-3-2.999v-5h3v6c0 0.685 0.069 1.354 0.201 2h-0.201zM24 11c0 4.418-3.581 8-8 8-4.418 0-8-3.582-8-8v-9h16v9zM29 10v0c0 1.658-1.343 3.001-3 3.001v-0.001h-0.2c0.131-0.646 0.2-1.315 0.2-2v-6h3v5z"></path>'),
	   	 			'lock_opened' => array('keywords' => 'lock_opened ','viewbox' => '0 0 32 32', 'path' =>'<path d="M27 12h-19.154l-0.189-1.133c-0.231-2.114 0.372-4.194 1.699-5.857 1.333-1.67 3.236-2.721 5.36-2.959 2.125-0.236 4.213 0.365 5.883 1.698s2.721 3.236 2.959 5.36c0.061 0.549 0.555 0.945 1.105 0.882 0.549-0.062 0.945-0.556 0.883-1.105-0.299-2.655-1.612-5.034-3.7-6.7s-4.698-2.42-7.354-2.122c-5.479 0.615-9.437 5.573-8.822 11.053 0.002 0.018 0.005 0.037 0.008 0.054l0.139 0.83h-0.818c-1.655 0-3 1.345-3 3v12c0 2.757 2.243 5 5 5h18c2.757 0 5-2.243 5-5v-12c0-1.655-1.346-3-3-3zM28 27c0 1.654-1.346 3-3 3h-18c-1.655 0-3-1.346-3-3v-12c0-0.552 0.449-1 1-1h1.996c0.001 0 0.002 0 0.003 0s0.002 0 0.003 0h19.998c0.552 0 1 0.448 1 1v12zM16.201 19.020c-0.065-0.014-0.133-0.020-0.201-0.020s-0.136 0.007-0.201 0.020c-1.008 0.102-1.799 0.945-1.799 1.98 0 0.738 0.405 1.376 1 1.723v2.277c0 0.552 0.448 1 1 1s1-0.448 1-1v-2.277c0.595-0.346 1-0.985 1-1.723 0-1.035-0.79-1.877-1.799-1.98z"></path>'),
	   	 			'view_carousel' => array('keywords' => 'view_carousel ','viewbox' => '0 0 32 32', 'path' =>'<path d="M24 8.667h5.313v14.688h-5.313v-14.688zM2.688 23.354v-14.688h5.313v14.688h-5.313zM9.313 25.979v-20h13.375v20h-13.375z"></path>'),
	   	 			'bar_chart2' => array('keywords' => 'bar_chart2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31.112 21.964h-6.523v-7.025c0-0.554-0.45-1.004-1.004-1.004h-7.527c-0.554 0-1.004 0.45-1.004 1.004v3.011h-5.52v-7.025c0-0.554-0.45-1.004-1.004-1.004h-7.527c-0.554 0-1.004 0.45-1.004 1.004v20.072c0 0.554 0.45 1.004 1.004 1.004h30.108c0.554 0 1.004-0.45 1.004-1.004v-8.029c0-0.555-0.45-1.004-1.004-1.004zM2.007 11.928h5.52v18.065h-5.52v-18.065zM9.534 19.957h5.52v10.036h-5.52v-10.036zM17.061 18.953v-3.011h5.52v14.050h-5.52v-11.040zM30.108 29.993h-5.52v-6.022h5.52v6.022zM0.447 1.839l12.043 8.029c0.363 0.242 0.843 0.221 1.184-0.052l4.439-3.551 10.918 7.44-0.823 1.233 3.898-0.417-1.113-3.758-0.848 1.272-11.514-7.846c-0.364-0.248-0.848-0.23-1.192 0.046l-4.445 3.556-11.433-7.622c-0.461-0.307-1.084-0.183-1.391 0.279s-0.183 1.084 0.279 1.391z"></path>'),
	   	 			'medallion_prize2' => array('keywords' => 'medallion_prize2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M26.073 9.998c0.523-0.038 0.927-0.473 0.927-0.998v-8c0-0.552-0.448-1-1-1h-20c-0.552 0-1 0.448-1 1v8c0 0.524 0.405 0.96 0.928 0.998 0.255 0.018 5.715 0.413 9.072 0.489v1.777l-2.698 5.41-6.272 0.902c-0.378 0.054-0.692 0.32-0.808 0.683s-0.018 0.762 0.257 1.027l4.533 4.372-1.069 6.171c-0.066 0.375 0.088 0.754 0.395 0.978s0.715 0.255 1.053 0.080l5.611-2.921 5.613 2.921c0.145 0.076 0.303 0.113 0.462 0.113 0.208 0 0.415-0.065 0.59-0.193 0.306-0.224 0.46-0.603 0.395-0.978l-1.070-6.171 4.532-4.372c0.276-0.265 0.375-0.663 0.258-1.027s-0.431-0.628-0.809-0.683l-6.273-0.902-2.698-5.41v-1.777c3.358-0.076 8.819-0.471 9.073-0.489zM7 2h18v6.067c-1.979 0.134-6.624 0.432-9 0.432-2.375 0-7.021-0.298-9-0.432v-6.067zM18.895 19.579l4.768 0.686-3.444 3.322c-0.238 0.23-0.348 0.564-0.291 0.89l0.816 4.703-4.282-2.229c-0.145-0.075-0.302-0.113-0.462-0.113-0.158 0-0.316 0.038-0.462 0.113l-4.281 2.229 0.815-4.703c0.056-0.326-0.052-0.66-0.291-0.89l-3.444-3.322 4.769-0.686c0.325-0.047 0.607-0.25 0.753-0.544l2.142-4.295 2.143 4.295c0.146 0.294 0.428 0.497 0.752 0.544zM22 5c0-0.552-0.448-1-1-1h-10c-0.552 0-1 0.448-1 1s0.448 1 1 1h10c0.552 0 1-0.448 1-1z"></path>'),
	   	 			'menu2' => array('keywords' => 'menu2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M2 6h28v6h-28zM2 14h28v6h-28zM2 22h28v6h-28z"></path>'),
	   	 			'comment-o' => array('keywords' => 'comment-o ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 7.143q-3.643 0-6.813 1.241t-5.036 3.348-1.866 4.554q0 2 1.277 3.813t3.598 3.134l1.554 0.893-0.482 1.714q-0.429 1.625-1.25 3.071 2.714-1.125 4.911-3.054l0.768-0.679 1.018 0.107q1.232 0.143 2.321 0.143 3.643 0 6.812-1.241t5.036-3.348 1.866-4.554-1.866-4.554-5.036-3.348-6.813-1.241zM32 16.286q0 3.107-2.143 5.741t-5.821 4.161-8.036 1.527q-1.25 0-2.589-0.143-3.536 3.125-8.214 4.321-0.875 0.25-2.036 0.393h-0.089q-0.268 0-0.482-0.188t-0.286-0.491v-0.018q-0.054-0.071-0.009-0.214t0.036-0.179 0.080-0.17l0.107-0.161t0.125-0.152 0.143-0.161q0.125-0.143 0.554-0.616t0.616-0.679 0.554-0.705 0.58-0.911 0.482-1.054 0.464-1.357q-2.804-1.589-4.42-3.929t-1.616-5.018q0-3.107 2.143-5.741t5.821-4.161 8.036-1.527 8.036 1.527 5.821 4.161 2.143 5.741z"></path>'),
	   	 			'layers2' => array('keywords' => 'layers2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M30.765 7.262l-11.543-6.515c-1.571-0.887-4.271-0.888-5.845 0l-11.543 6.515c-0.883 0.499-1.368 1.197-1.368 1.967s0.486 1.468 1.368 1.966l11.543 6.516c0.786 0.444 1.824 0.688 2.922 0.688s2.137-0.245 2.923-0.688l11.543-6.516c0.883-0.498 1.369-1.196 1.369-1.966s-0.487-1.468-1.369-1.967zM30.239 10.265l-11.543 6.516c-1.238 0.699-3.556 0.7-4.794 0l-11.543-6.516c-0.524-0.296-0.824-0.674-0.824-1.036s0.3-0.74 0.824-1.037l11.543-6.516c0.619-0.35 1.493-0.55 2.396-0.55 0.904 0 1.778 0.201 2.397 0.55l11.543 6.516c0.524 0.296 0.825 0.674 0.825 1.037 0.001 0.362-0.299 0.74-0.824 1.036zM30.765 14.099c-0.256-0.145-0.582-0.055-0.729 0.203-0.145 0.257-0.054 0.583 0.203 0.728 0.524 0.296 0.825 0.674 0.825 1.036s-0.301 0.74-0.825 1.036l-11.543 6.516c-1.298 0.733-3.494 0.734-4.794 0l-11.543-6.516c-0.524-0.296-0.824-0.674-0.824-1.036s0.3-0.74 0.824-1.036c0.257-0.145 0.348-0.471 0.203-0.728s-0.473-0.349-0.729-0.203c-0.883 0.498-1.368 1.197-1.368 1.967s0.485 1.469 1.368 1.967l11.543 6.516c0.819 0.462 1.871 0.694 2.922 0.694s2.104-0.231 2.923-0.694l11.543-6.516c0.883-0.498 1.369-1.197 1.369-1.967s-0.486-1.469-1.368-1.967zM30.765 20.804c-0.256-0.145-0.582-0.055-0.729 0.203-0.145 0.257-0.054 0.583 0.203 0.728 0.524 0.296 0.825 0.674 0.825 1.036s-0.301 0.74-0.825 1.037l-11.543 6.516c-1.298 0.733-3.494 0.734-4.794 0l-11.543-6.517c-0.524-0.296-0.824-0.674-0.824-1.037 0-0.362 0.3-0.74 0.824-1.036 0.257-0.145 0.348-0.471 0.203-0.728s-0.473-0.349-0.729-0.203c-0.881 0.499-1.367 1.197-1.367 1.968s0.485 1.469 1.368 1.967l11.543 6.516c0.819 0.462 1.871 0.694 2.922 0.694 1.052 0 2.104-0.231 2.923-0.694l11.543-6.516c0.883-0.499 1.369-1.197 1.369-1.967s-0.487-1.469-1.369-1.967z"></path>'),
	   	 			'configuration_slider' => array('keywords' => 'configuration_slider ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 0h-26c-1.65 0-3 1.35-3 3v26c0 1.65 1.35 3 3 3h26c1.65 0 3-1.35 3-3v-26c0-1.65-1.35-3-3-3zM30 29c0 0.55-0.45 1-1 1h-26c-0.55 0-1-0.45-1-1v-26c0-0.55 0.45-1 1-1h26c0.55 0 1 0.45 1 1v26zM17.505 13.193h-0.505v-1.497c0-0.001 0-0.002 0-0.003 0-0.552-0.448-1-1-1s-0.999 0.447-1 1v1.5h-0.5c-0.553 0-1 0.448-1 1s0.447 1 1 1c0.001 0 0.001 0 0.002 0h0.498v9.5c0 0.552 0.448 1 1 1s1-0.448 1-1c0-0.001 0-0.001 0-0.002v-9.498h0.502c0.001 0 0.002 0 0.003 0 0.552 0 1-0.447 1-1s-0.448-0.999-1-1zM10 21.693h-0.5v-9.997c0-0.001 0-0.002 0-0.003 0-0.552-0.447-1-1-1s-0.999 0.447-1 1v10h-0.505c-0.553 0-1 0.448-1 1s0.447 1 1 1c0.001 0 0.001 0 0.002 0h0.503v1c0 0.552 0.448 1 1 1s1-0.448 1-1c0-0.001 0-0.001 0-0.002v-0.998h0.497c0.001 0 0.002 0 0.003 0 0.552 0 1-0.448 1-1s-0.447-0.999-1-1zM25.005 17.693h-0.505v-5.997c0-0.001 0-0.002 0-0.003 0-0.552-0.448-1-1-1s-0.999 0.447-1 1v6h-0.5c-0.552 0-1 0.448-1 1s0.448 1 1 1c0.001 0 0.001 0 0.002 0h0.498v5c0 0.552 0.448 1 1 1s1-0.448 1-1c0-0.001 0-0.001 0-0.002v-4.998h0.502c0.001 0 0.002 0 0.003 0 0.552 0 1-0.448 1-1s-0.448-0.999-1-1zM17 7.693c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM24.5 7.693c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM9.5 7.693c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1z"></path>'),
	   	 			'keyboard_hide' => array('keywords' => 'keyboard_hide ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 31.354l-5.313-5.375h10.625zM25.313 11.354v-2.688h-2.625v2.688h2.625zM25.313 15.354v-2.688h-2.625v2.688h2.625zM21.313 11.354v-2.688h-2.625v2.688h2.625zM21.313 15.354v-2.688h-2.625v2.688h2.625zM21.313 20.667v-2.688h-10.625v2.688h10.625zM9.313 11.354v-2.688h-2.625v2.688h2.625zM9.313 15.354v-2.688h-2.625v2.688h2.625zM10.688 12.667v2.688h2.625v-2.688h-2.625zM10.688 8.667v2.688h2.625v-2.688h-2.625zM14.688 12.667v2.688h2.625v-2.688h-2.625zM14.688 8.667v2.688h2.625v-2.688h-2.625zM26.688 4.667q1.063 0 1.844 0.813t0.781 1.875v13.313q0 1.063-0.781 1.875t-1.844 0.813h-21.375q-1.063 0-1.844-0.813t-0.781-1.875v-13.313q0-1.063 0.781-1.875t1.844-0.813h21.375z"></path>'),
	   	 			'favorite_outline' => array('keywords' => 'favorite_outline ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16.125 25.417q3-2.688 4.438-4.063t3.125-3.25 2.344-3.313 0.656-2.813q0-2-1.344-3.313t-3.344-1.313q-1.563 0-2.906 0.875t-1.844 2.25h-2.5q-0.5-1.375-1.844-2.25t-2.906-0.875q-2 0-3.344 1.313t-1.344 3.313q0 1.375 0.656 2.813t2.344 3.313 3.125 3.25 4.438 4.063l0.125 0.125zM22 4.667q3.125 0 5.219 2.125t2.094 5.187q0 1.813-0.688 3.531t-2.531 3.844-3.344 3.563-4.813 4.438l-1.938 1.75-1.938-1.688q-4.313-3.875-6.219-5.813t-3.531-4.563-1.625-5.063q0-3.063 2.094-5.188t5.219-2.125q3.625 0 6 2.813 2.375-2.813 6-2.813z"></path>'),
	   	 			'blogger' => array('keywords' => 'blogger ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29.931 12h-1.794c-1.099 0-2.062-0.929-2.137-2v0c0-5.708-4.602-10-10.35-10h-5.245c-5.744 0-10.402 4.625-10.406 10.333v11.337c0 5.708 4.662 10.329 10.406 10.329h11.201c5.748 0 10.394-4.621 10.394-10.329v-7.324c0-1.141-0.92-2.346-2.069-2.346zM10 8h6c1.1 0 2 0.9 2 2s-0.9 2-2 2h-6c-1.1 0-2-0.9-2-2s0.9-2 2-2zM22 24h-12c-1.1 0-2-0.9-2-2s0.9-2 2-2h12c1.1 0 2 0.9 2 2s-0.9 2-2 2z"></path>'),
	   	 			'cc-visa' => array('keywords' => 'cc-visa ','viewbox' => '0 0 41 32', 'path' =>'<path d="M35.268 17.964h-2.464q0.25-0.661 1.179-3.196l0.054-0.161q0.071-0.179 0.179-0.464t0.161-0.464l0.214 0.982zM9.482 16.804l-1.036-5.268q-0.196-0.964-1.339-0.964h-4.786l-0.036 0.232q5.554 1.411 7.196 6zM12.679 10.571l-2.893 7.821-0.304-1.589q-0.464-1.25-1.518-2.313t-2.339-1.58l2.411 9.107h3.125l4.661-11.446h-3.143zM15.161 22.036h2.964l1.857-11.464h-2.964zM28.875 10.857q-1.232-0.482-2.661-0.482-2.196 0-3.589 1.054t-1.411 2.732q-0.018 1.821 2.589 3.107 0.857 0.411 1.196 0.732t0.339 0.696q0 0.536-0.536 0.821t-1.232 0.286q-1.536 0-2.786-0.589l-0.393-0.196-0.411 2.571q1.321 0.607 3.304 0.607 2.321 0.018 3.723-1.054t1.438-2.857q0-1.893-2.5-3.107-0.875-0.446-1.268-0.75t-0.393-0.679q0-0.393 0.438-0.688t1.259-0.295q1.25-0.018 2.214 0.429l0.268 0.143zM36.464 10.571h-2.286q-1.161 0-1.554 0.964l-4.393 10.5h3.107l0.625-1.714h3.786q0.089 0.393 0.357 1.714h2.75zM41.143 4.857v22.857q0 0.929-0.679 1.607t-1.607 0.679h-36.571q-0.929 0-1.607-0.679t-0.679-1.607v-22.857q0-0.929 0.679-1.607t1.607-0.679h36.571q0.929 0 1.607 0.679t0.679 1.607z"></path>'),
	   	 			'sun' => array('keywords' => 'sun ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 26c1.105 0 2 0.895 2 2v2c0 1.105-0.895 2-2 2s-2-0.895-2-2v-2c0-1.105 0.895-2 2-2zM16 6c-1.105 0-2-0.895-2-2v-2c0-1.105 0.895-2 2-2s2 0.895 2 2v2c0 1.105-0.895 2-2 2zM30 14c1.105 0 2 0.895 2 2s-0.895 2-2 2h-2c-1.105 0-2-0.895-2-2s0.895-2 2-2h2zM6 16c0 1.105-0.895 2-2 2h-2c-1.105 0-2-0.895-2-2s0.895-2 2-2h2c1.105 0 2 0.895 2 2zM25.899 23.071l1.414 1.414c0.781 0.781 0.781 2.047 0 2.828s-2.047 0.781-2.828 0l-1.414-1.414c-0.781-0.781-0.781-2.047 0-2.828s2.047-0.781 2.828 0zM6.101 8.929l-1.414-1.414c-0.781-0.781-0.781-2.047 0-2.828s2.047-0.781 2.828 0l1.414 1.414c0.781 0.781 0.781 2.047 0 2.828s-2.047 0.781-2.828 0zM25.899 8.929c-0.781 0.781-2.047 0.781-2.828 0s-0.781-2.047 0-2.828l1.414-1.414c0.781-0.781 2.047-0.781 2.828 0s0.781 2.047 0 2.828l-1.414 1.414zM6.101 23.071c0.781-0.781 2.047-0.781 2.828 0s0.781 2.047 0 2.828l-1.414 1.414c-0.781 0.781-2.047 0.781-2.828 0s-0.781-2.047 0-2.828l1.414-1.414zM16 8c-4.418 0-8 3.582-8 8s3.582 8 8 8c4.418 0 8-3.582 8-8s-3.582-8-8-8zM16 21c-2.761 0-5-2.239-5-5s2.239-5 5-5 5 2.239 5 5-2.239 5-5 5z"></path>'),
	   	 			'dollar_bill1' => array('keywords' => 'dollar_bill1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 6h-26c-1.65 0-3 1.349-3 3v14c0 1.649 1.35 3 3 3h26c1.65 0 3-1.351 3-3v-14c0-1.651-1.35-3-3-3zM26.029 24h-20.058c-0.231-2.086-1.886-3.741-3.971-3.971v-8.059c2.085-0.23 3.74-1.886 3.97-3.97h20.058c0.23 2.085 1.886 3.74 3.971 3.97v8.059c-2.084 0.231-3.739 1.886-3.97 3.971zM30 9v0.95c-0.98-0.198-1.751-0.97-1.95-1.95h0.95c0.55 0 1 0.45 1 1zM3 8h0.95c-0.199 0.979-0.97 1.751-1.95 1.949v-0.949c0-0.55 0.45-1 1-1zM2 23v-0.95c0.979 0.198 1.751 0.97 1.95 1.95h-0.95c-0.55 0-1-0.45-1-1zM29 24h-0.949c0.198-0.98 0.97-1.751 1.949-1.95v0.95c0 0.55-0.45 1-1 1zM16 11c-2.761 0-5.001 2.239-5 5-0.001 2.761 2.238 5 5 5 2.761 0 5.001-2.239 5-4.999 0.001-2.761-2.239-5.001-5-5.001zM16 19c-1.657 0-2.999-1.343-3-3 0.001-1.657 1.343-3 3-3s3 1.343 3 3c0 1.654-1.343 3-3 3zM7 16c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM27 16c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1z"></path>'),
	   	 			'subdirectory_arrow_left' => array('keywords' => 'subdirectory_arrow_left ','viewbox' => '0 0 32 32', 'path' =>'<path d="M14.688 12.667l1.875 1.875-4.813 4.813h12.25v-13.375h2.688v16h-14.938l4.813 4.813-1.875 1.875-8-8z"></path>'),
	   	 			'google-drive' => array('keywords' => 'google-drive ','viewbox' => '0 0 32 32', 'path' =>'<path d="M13.688 20l-5.769 10h18.144l5.769-10zM31.012 18l-9.238-16h-11.55l9.238 16zM9.069 4l-9.069 15.712 5.775 10 9.069-15.713z"></path>'),
	   	 			'user2' => array('keywords' => 'user2 ','viewbox' => '0 0 25 32', 'path' =>'<path d="M25.143 25.375q0 2.143-1.304 3.384t-3.464 1.241h-15.607q-2.161 0-3.464-1.241t-1.304-3.384q0-0.946 0.063-1.848t0.25-1.946 0.473-1.938 0.768-1.741 1.107-1.446 1.527-0.955 1.991-0.357q0.161 0 0.75 0.384t1.33 0.857 1.929 0.857 2.384 0.384 2.384-0.384 1.929-0.857 1.33-0.857 0.75-0.384q1.089 0 1.991 0.357t1.527 0.955 1.107 1.446 0.768 1.741 0.473 1.938 0.25 1.946 0.063 1.848zM19.429 9.429q0 2.839-2.009 4.848t-4.848 2.009-4.848-2.009-2.009-4.848 2.009-4.848 4.848-2.009 4.848 2.009 2.009 4.848z"></path>'),
	   	 			'video' => array('keywords' => 'video ','viewbox' => '0 0 37 32', 'path' =>'<path d="M7.5 0h-6c-0.869 0-1.5 0.631-1.5 1.5v29c0 0.869 0.631 1.5 1.5 1.5h34c0.869 0 1.5-0.631 1.5-1.5v-29c0-0.869-0.631-1.5-1.5-1.5h-28zM1 30.5v-29c0-0.313 0.187-0.5 0.5-0.5h5.5v30h-5.5c-0.313 0-0.5-0.187-0.5-0.5zM8 31v-30h21v30h-21zM36 1.5v29c0 0.313-0.187 0.5-0.5 0.5h-5.5v-30h5.5c0.313 0 0.5 0.187 0.5 0.5zM14.777 10.084c-0.153-0.102-0.351-0.112-0.514-0.025-0.161 0.087-0.263 0.256-0.263 0.441v12c0 0.185 0.102 0.354 0.264 0.441 0.074 0.039 0.155 0.059 0.236 0.059 0.097 0 0.193-0.028 0.277-0.084l9-6c0.139-0.093 0.223-0.249 0.223-0.416s-0.084-0.323-0.223-0.416l-9-6zM15 21.566v-10.132l7.599 5.066-7.599 5.066zM5 8h-2c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h2c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5zM3 5h2c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-2c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5zM5 12h-2c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h2c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5zM5 16h-2c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h2c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5zM5 20h-2c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h2c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5zM5 24h-2c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h2c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5zM5 28h-2c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h2c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5zM32 9h2c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-2c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5zM32 5h2c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-2c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5zM32 13h2c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-2c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5zM32 17h2c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-2c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5zM32 21h2c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-2c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5zM32 25h2c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-2c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5zM34 28h-2c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h2c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5z"></path>'),
	   	 			'globe2' => array('keywords' => 'globe2 ','viewbox' => '0 0 25 32', 'path' =>'<path d="M13.552 22c5.79 0 10.5-4.71 10.5-10.5s-4.71-10.5-10.5-10.5-10.5 4.71-10.5 10.5 4.71 10.5 10.5 10.5zM13.552 2c5.238 0 9.5 4.262 9.5 9.5s-4.262 9.5-9.5 9.5-9.5-4.262-9.5-9.5 4.261-9.5 9.5-9.5zM9.052 28c-1.141 0-2 0.859-2 2v1.5c0 0.276 0.224 0.5 0.5 0.5h12c0.276 0 0.5-0.224 0.5-0.5v-1.425c0-1.164-0.879-2.075-2-2.075h-9zM19.052 30.075v0.925h-11v-1c0-0.589 0.411-1 1-1h9c0.57 0 1 0.462 1 1.075zM13.055 24.978c0 0.006-0.003 0.010-0.003 0.016v1.604c0 0.276 0.224 0.5 0.5 0.5s0.5-0.224 0.5-0.5v-1.604c0-0.007-0.004-0.013-0.004-0.020 3.233-0.129 6.268-1.376 8.638-3.581l1.18 1.179c0.195 0.195 0.512 0.195 0.707 0s0.195-0.512 0-0.707l-1.526-1.526c-0.195-0.195-0.512-0.195-0.707 0-2.362 2.361-5.501 3.661-8.84 3.661s-6.478-1.3-8.839-3.661-3.661-5.5-3.661-8.839 1.3-6.478 3.661-8.839c0.195-0.195 0.195-0.512 0-0.707l-1.526-1.526c-0.195-0.195-0.512-0.195-0.707 0s-0.195 0.512 0 0.707l1.179 1.18c-2.331 2.503-3.607 5.747-3.607 9.185 0 3.605 1.404 6.996 3.954 9.546 2.444 2.444 5.663 3.821 9.101 3.932z"></path>'),
	   	 			'search5' => array('keywords' => 'search5 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31.707 30.293l-8.838-8.839c4.384-5.107 4.165-12.809-0.676-17.646-5.075-5.079-13.31-5.077-18.387-0.001-5.074 5.075-5.077 13.309 0.002 18.385 4.839 4.841 12.538 5.063 17.647 0.677l8.836 8.837c0.001 0.001 0.001 0.001 0.002 0.002 0.39 0.39 1.024 0.39 1.414 0s0.39-1.023 0-1.415zM5.22 20.776c-4.295-4.297-4.296-11.258-0-15.556 4.297-4.298 11.261-4.296 15.556-0.001 4.29 4.293 4.297 11.26 0.001 15.557s-11.259 4.295-15.556 0zM22 13c0-4.963-4.038-9-9-9-0.552 0-1 0.448-1 1s0.448 1 1 1c3.86 0 7 3.14 7 7 0 0.552 0.448 1 1 1s1-0.447 1-1z"></path>'),
	   	 			'plug' => array('keywords' => 'plug ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31.339 8.375q0.661 0.661 0.661 1.607t-0.661 1.625l-7.161 7.143 2.679 2.679-2.857 2.857q-2.911 2.911-6.955 3.33t-7.348-1.795l-6.464 6.464h-3.232v-3.232l6.464-6.464q-2.214-3.304-1.795-7.348t3.33-6.955l2.857-2.857 2.679 2.679 7.143-7.161q0.679-0.661 1.625-0.661t1.607 0.661 0.661 1.616-0.661 1.616l-7.143 7.161 4.179 4.179 7.161-7.143q0.679-0.661 1.625-0.661t1.607 0.661z"></path>'),
	   	 			'access_time' => array('keywords' => 'access_time ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16.688 9.979v7l6 3.563-1 1.688-7-4.25v-8h2zM16 27.354q4.375 0 7.531-3.156t3.156-7.531-3.156-7.531-7.531-3.156-7.531 3.156-3.156 7.531 3.156 7.531 7.531 3.156zM16 3.354q5.5 0 9.406 3.906t3.906 9.406-3.906 9.406-9.406 3.906-9.406-3.906-3.906-9.406 3.906-9.406 9.406-3.906z"></path>'),
	   	 			'router_2' => array('keywords' => 'router_2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M6 23c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM9 23c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM12 23c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM29 16h-3v-6c0-0.552-0.448-1-1-1s-1 0.448-1 1v6h-21c-1.655 0-3 1.346-3 3v6c0 1.654 1.345 3 3 3h3v1c0 0.552 0.448 1 1 1s1-0.448 1-1v-1h16v1c0 0.552 0.448 1 1 1s1-0.448 1-1v-1h3c1.654 0 3-1.346 3-3v-6c0-1.654-1.346-3-3-3zM2 25v-6c0-0.552 0.449-1 1-1h17v8h-17c-0.551 0-1-0.448-1-1zM30 25c0 0.552-0.448 1-1 1h-7v-8h7c0.552 0 1 0.448 1 1v6zM25 5c-2.206 0-4 1.795-4 4 0 0.552 0.448 1 1 1s1-0.448 1-1c0-1.103 0.898-2 2-2s2 0.897 2 2c0 0.552 0.448 1 1 1s1-0.448 1-1c0-2.205-1.794-4-4-4zM19 10c0.552 0 1-0.448 1-1 0-2.757 2.243-5 5-5s5 2.243 5 5c0 0.552 0.448 1 1 1s1-0.448 1-1c0-3.86-3.14-7-7-7s-7 3.14-7 7c0 0.552 0.448 1 1 1z"></path>'),
	   	 			'lastfm' => array('keywords' => 'lastfm ','viewbox' => '0 0 32 32', 'path' =>'<path d="M14.113 23.944l-1.175-3.188c0 0-1.906 2.125-4.762 2.125-2.531 0-4.325-2.2-4.325-5.719 0-4.506 2.275-6.119 4.506-6.119 3.225 0 4.25 2.088 5.131 4.763l1.175 3.663c1.175 3.556 3.375 6.412 9.713 6.412 4.544 0 7.625-1.394 7.625-5.056 0-2.969-1.688-4.506-4.837-5.244l-2.344-0.512c-1.613-0.369-2.087-1.025-2.087-2.125 0-1.244 0.988-1.981 2.6-1.981 1.762 0 2.712 0.662 2.856 2.237l3.663-0.438c-0.294-3.3-2.569-4.656-6.306-4.656-3.3 0-6.525 1.244-6.525 5.244 0 2.494 1.212 4.069 4.25 4.8l2.494 0.587c1.869 0.438 2.494 1.212 2.494 2.275 0 1.356-1.319 1.906-3.813 1.906-3.7 0-5.244-1.944-6.119-4.619l-1.212-3.662c-1.531-4.769-3.988-6.525-8.863-6.525-5.388 0-8.25 3.406-8.25 9.2 0 5.569 2.856 8.575 7.994 8.575 4.138 0 6.119-1.944 6.119-1.944v0z"></path>'),
	   	 			'melody_symbol2' => array('keywords' => 'melody_symbol2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29.665 0.253c-0.213-0.191-0.497-0.279-0.782-0.246l-17 2c-0.504 0.059-0.883 0.486-0.883 0.993v19.261c-0.951-0.787-2.171-1.261-3.5-1.261-3.033 0-5.5 2.468-5.5 5.5s2.467 5.5 5.5 5.5 5.5-2.468 5.5-5.5v-17.611l15-1.764v13.136c-0.951-0.787-2.172-1.261-3.5-1.261-3.032 0-5.5 2.468-5.5 5.5s2.468 5.5 5.5 5.5 5.5-2.468 5.5-5.5v-23.5c0-0.285-0.122-0.557-0.335-0.747zM7.5 30c-1.93 0-3.5-1.57-3.5-3.5s1.57-3.5 3.5-3.5 3.5 1.57 3.5 3.5-1.57 3.5-3.5 3.5zM13 6.875v-2.986l15-1.764v2.986l-15 1.764zM24.5 28c-1.93 0-3.5-1.57-3.5-3.5s1.57-3.5 3.5-3.5 3.5 1.57 3.5 3.5-1.57 3.5-3.5 3.5z"></path>'),
	   	 			'expand2' => array('keywords' => 'expand2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M32 30.5v-29c0-0.827-0.673-1.5-1.5-1.5h-29c-0.827 0-1.5 0.673-1.5 1.5v9c0 0.276 0.224 0.5 0.5 0.5s0.5-0.224 0.5-0.5v-9c0-0.276 0.225-0.5 0.5-0.5h29c0.275 0 0.5 0.224 0.5 0.5v29c0 0.276-0.225 0.5-0.5 0.5h-9c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h9c0.827 0 1.5-0.673 1.5-1.5zM1.5 13c-0.827 0-1.5 0.673-1.5 1.5v16c0 0.827 0.673 1.5 1.5 1.5h16c0.827 0 1.5-0.673 1.5-1.5v-16.793l7-7v6.793c0 0.276 0.224 0.5 0.5 0.5s0.5-0.224 0.5-0.5v-8c0-0.276-0.224-0.5-0.5-0.5h-8c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h6.792l-7 7h-16.792zM18 30.5c0 0.276-0.225 0.5-0.5 0.5h-16c-0.275 0-0.5-0.224-0.5-0.5v-16c0-0.276 0.225-0.5 0.5-0.5h16.5v16.5z"></path>'),
	   	 			'folder_19' => array('keywords' => 'folder_19 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M17.508 22c0.552 0 1-0.448 1-1 0-0.001 0-0.001 0-0.002v-3.995c0-0.001 0-0.002 0-0.003 0-0.552-0.448-1-1-1s-0.999 0.448-1 1v4c0 0.552 0.448 1 1 1zM14.502 12c0.001 0 0.001 0 0.002 0h3c0.001 0 0.002 0 0.003 0 0.552 0 1-0.447 1-1s-0.448-0.999-1-1h-3.005c-0.553 0-1 0.448-1 1s0.447 1 1 1zM14.508 22c0.553 0 1-0.448 1-1 0-0.001 0-0.001 0-0.002v-3.995c0-0.001 0-0.002 0-0.003 0-0.552-0.447-1-1-1s-0.999 0.448-1 1v4c0 0.552 0.448 1 1 1zM22.503 12.5h-13.005c-0.553 0-1 0.448-1 1s0.447 1 1 1c0.001 0 0.001 0 0.002 0h0.503v8c0 1.651 1.35 3 3 3h6c1.65 0 3-1.349 3-3v-8h0.497c0.001 0 0.002 0 0.003 0 0.552 0 1-0.447 1-1s-0.448-0.999-1-1zM20.003 22.5c0 0.55-0.45 1-1 1h-6c-0.55 0-1-0.45-1-1v-8h8v8zM29 6.5h-14.070l-3.369-3.561c-0.292-0.293-0.677-0.439-1.060-0.439v0h-7.5c-1.651 0-3 1.349-3 3v21c0 1.649 1.349 3 3 3h26c1.649 0 3-1.351 3-3v-17c0-1.651-1.351-3-3-3zM30 26.5c0 0.55-0.45 1-1 1h-26c-0.55 0-1-0.45-1-1v-17c0-0.55 0.45-1 1-1h26c0.55 0 1 0.45 1 1v17z"></path>'),
	   	 			'camer_hd_symbol2' => array('keywords' => 'camer_hd_symbol2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M15.5 12.5h-2.5c-0.552 0-1 0.448-1 1v5c0 0.552 0.448 1 1 1h2.5c1.93 0 3.5-1.57 3.5-3.5s-1.57-3.5-3.5-3.5zM15.5 17.5h-1.5v-3h1.5c0.827 0 1.5 0.673 1.5 1.5s-0.673 1.5-1.5 1.5zM31.526 9.149c-0.294-0.182-0.663-0.199-0.973-0.044l-6.552 3.277v-1.382c0-1.655-1.346-3-3-3h-18c-1.655 0-3 1.345-3 3v10c0 1.654 1.345 3 3 3h18c1.654 0 3-1.346 3-3v-1.382l6.552 3.276c0.142 0.070 0.294 0.105 0.448 0.105 0.183 0 0.365-0.050 0.526-0.149 0.295-0.182 0.475-0.504 0.475-0.851v-12c0-0.347-0.18-0.668-0.474-0.851zM21 22h-18c-0.551 0-1-0.448-1-1v-10c0-0.552 0.449-1 1-1h18c0.552 0 1 0.448 1 1v2.997c0 0.002-0 0.002-0 0.004v4c0 0.001 0 0.002 0 0.003v2.997c0 0.552-0.448 1-1 1zM30 20.382l-6-3v-2.764l6-3v8.764zM10 12.5c-0.552 0-1 0.448-1 1v1.5h-2v-1.5c0-0.552-0.448-1-1-1s-1 0.448-1 1v5c0 0.552 0.448 1 1 1s1-0.448 1-1v-1.5h2v1.5c0 0.552 0.448 1 1 1s1-0.448 1-1v-5c0-0.552-0.448-1-1-1z"></path>'),
	   	 			'beach_access' => array('keywords' => 'beach_access ','viewbox' => '0 0 32 32', 'path' =>'<path d="M23.188 12.417q-3.125-3.125-7.219-4.125t-7.969 0.313q3-0.375 6.594 1.156t6.656 4.594l-7.625 7.625q-3.063-3.063-4.594-6.656t-1.156-6.594q-1.313 3.875-0.313 7.969t4.125 7.219l-3.813 3.813q-3.938-3.938-3.938-9.531t3.938-9.531q0-0.063 0.063-0.063 4.375-4.375 10.5-3.875 5.063 0.375 8.563 3.875zM17.438 20.104l1.938-1.938 8.563 8.625-1.938 1.875z"></path>'),
	   	 			'info3' => array('keywords' => 'info3 ','viewbox' => '0 0 11 32', 'path' =>'<path d="M11.429 24.286v2.286q0 0.464-0.339 0.804t-0.804 0.339h-9.143q-0.464 0-0.804-0.339t-0.339-0.804v-2.286q0-0.464 0.339-0.804t0.804-0.339h1.143v-6.857h-1.143q-0.464 0-0.804-0.339t-0.339-0.804v-2.286q0-0.464 0.339-0.804t0.804-0.339h6.857q0.464 0 0.804 0.339t0.339 0.804v10.286h1.143q0.464 0 0.804 0.339t0.339 0.804zM9.143 3.714v3.429q0 0.464-0.339 0.804t-0.804 0.339h-4.571q-0.464 0-0.804-0.339t-0.339-0.804v-3.429q0-0.464 0.339-0.804t0.804-0.339h4.571q0.464 0 0.804 0.339t0.339 0.804z"></path>'),
	   	 			'input' => array('keywords' => 'input ','viewbox' => '0 0 32 32', 'path' =>'<path d="M14.688 21.979v-4h-13.375v-2.625h13.375v-4l5.313 5.313zM28 4.667q1.063 0 1.875 0.781t0.813 1.906v18.688q0 1.063-0.813 1.844t-1.875 0.781h-24q-1.063 0-1.875-0.781t-0.813-1.844v-5.375h2.688v5.375h24v-18.75h-24v5.375h-2.688v-5.313q0-1.063 0.813-1.875t1.875-0.813h24z"></path>'),
	   	 			'arrow_drop_down_circle' => array('keywords' => 'arrow_drop_down_circle ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 19.354l5.313-5.375h-10.625zM16 3.354q5.5 0 9.406 3.906t3.906 9.406-3.906 9.406-9.406 3.906-9.406-3.906-3.906-9.406 3.906-9.406 9.406-3.906z"></path>'),
	   	 			'brightness_5' => array('keywords' => 'brightness_5 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 24.667q3.313 0 5.656-2.344t2.344-5.656-2.344-5.656-5.656-2.344-5.656 2.344-2.344 5.656 2.344 5.656 5.656 2.344zM26.688 21.104v6.25h-6.25l-4.438 4.375-4.438-4.375h-6.25v-6.25l-4.375-4.438 4.375-4.438v-6.25h6.25l4.438-4.375 4.438 4.375h6.25v6.25l4.375 4.438z"></path>'),
	   	 			'mars-double' => array('keywords' => 'mars-double ','viewbox' => '0 0 34 32', 'path' =>'<path d="M27.429 7.714q0-0.25 0.161-0.411t0.411-0.161h5.143q0.464 0 0.804 0.339t0.339 0.804v5.143q0 0.25-0.161 0.411t-0.411 0.161h-1.143q-0.25 0-0.411-0.161t-0.161-0.411v-2.393l-4.536 4.554q1.357 1.696 1.92 3.821t0.17 4.411q-0.554 3.25-2.964 5.571t-5.679 2.786q-3.75 0.518-6.866-1.429t-4.313-5.357q-2.089-0.107-3.946-1.027t-3.17-2.375-2.027-3.438-0.571-4.107q0.161-2.411 1.393-4.5t3.25-3.42 4.429-1.598q2.107-0.25 4.063 0.339t3.545 1.839l4.554-4.536h-2.393q-0.25 0-0.411-0.161t-0.161-0.411v-1.143q0-0.25 0.161-0.411t0.411-0.161h5.143q0.464 0 0.804 0.339t0.339 0.804v5.143q0 0.25-0.161 0.411t-0.411 0.161h-1.143q-0.25 0-0.411-0.161t-0.161-0.411v-2.393l-4.536 4.554q1.054 1.321 1.661 3.018 3.25 0.161 5.857 2.214l4.554-4.536h-2.393q-0.25 0-0.411-0.161t-0.161-0.411v-1.143zM18.286 15.143q0-0.357-0.071-1.036-2.893 0.446-4.839 2.679t-1.946 5.214q0 0.357 0.071 1.036 2.893-0.446 4.839-2.679t1.946-5.214zM2.286 15.143q0 3 1.982 5.25t4.929 2.661q-0.054-0.518-0.054-1.054 0-3.75 2.411-6.598t6.036-3.509q-0.946-2.143-2.92-3.446t-4.384-1.304q-3.304 0-5.652 2.348t-2.348 5.652zM19.429 30q3.304 0 5.652-2.348t2.348-5.652q0-3-1.982-5.25t-4.929-2.661q0.054 0.518 0.054 1.054 0 3.75-2.411 6.598t-6.036 3.509q0.946 2.143 2.92 3.446t4.384 1.304z"></path>'),
	   	 			'user_person9' => array('keywords' => 'user_person9 ','viewbox' => '0 0 25 32', 'path' =>'<path d="M9 10c2.757 0 5-2.243 5-5s-2.243-5-5-5-5 2.243-5 5 2.243 5 5 5zM9 2c1.655 0 3 1.345 3 3s-1.345 3-3 3-3-1.345-3-3 1.345-3 3-3zM17.044 16.002c-1.474-2.959-4.52-5.002-8.044-5.002-4.963 0-9 4.037-9 9 0 0.552 0.448 1 1 1h2.5v6c0 0.552 0.448 1 1 1h5.582c1.386 2.386 3.965 4 6.918 4 4.411 0 8-3.589 8-8 0-4.396-3.565-7.974-7.956-7.998zM5.5 26v-6c0-0.552-0.448-1-1-1h-2.429c0.486-3.387 3.408-6 6.928-6 2.495 0 4.688 1.313 5.928 3.282-3.408 0.916-5.928 4.024-5.928 7.718 0 0.692 0.098 1.36 0.263 2h-3.763zM17 30c-3.309 0-6-2.692-6-6s2.691-6 6-6 6 2.692 6 6-2.692 6-6 6zM20.29 23.273h-0.476c-0.069-0.267-0.174-0.517-0.31-0.748l0.337-0.337c0.276-0.277 0.271-0.733-0.012-1.017s-0.739-0.288-1.017-0.012l-0.337 0.337c-0.231-0.137-0.482-0.241-0.748-0.309v-0.476c0-0.392-0.326-0.711-0.727-0.711s-0.727 0.32-0.727 0.711v0.476c-0.266 0.069-0.517 0.173-0.748 0.309l-0.336-0.336c-0.277-0.277-0.733-0.272-1.017 0.012s-0.288 0.74-0.011 1.017l0.335 0.336c-0.136 0.23-0.241 0.482-0.309 0.748h-0.476c-0.391 0-0.71 0.326-0.71 0.727s0.319 0.727 0.71 0.727h0.476c0.069 0.267 0.174 0.517 0.31 0.749l-0.336 0.337c-0.277 0.276-0.271 0.733 0.011 1.015 0.284 0.283 0.739 0.289 1.017 0.012l0.336-0.337c0.232 0.137 0.483 0.241 0.748 0.31v0.477c0 0.391 0.326 0.709 0.727 0.709s0.727-0.319 0.727-0.709v-0.477c0.267-0.069 0.517-0.173 0.748-0.309l0.337 0.337c0.276 0.276 0.732 0.271 1.015-0.012s0.289-0.74 0.012-1.017l-0.337-0.337c0.136-0.232 0.241-0.483 0.309-0.749h0.476c0.391 0 0.71-0.326 0.71-0.727s-0.32-0.727-0.71-0.727zM17 25.455c-0.803 0-1.454-0.652-1.454-1.455s0.651-1.454 1.454-1.454 1.454 0.651 1.454 1.454c-0 0.802-0.651 1.454-1.454 1.455z"></path>'),
	   	 			'messages_search' => array('keywords' => 'messages_search ','viewbox' => '0 0 32 32', 'path' =>'<path d="M17 21h-14c-0.551 0-1-0.448-1-1v-13.644l11.095 8.806c0.4 0.318 0.902 0.476 1.405 0.476s1.005-0.159 1.405-0.476l11.095-8.806v8.645c0 0.552 0.448 1 1 1s1-0.448 1-1v-9c0-1.655-1.346-3-3-3h-23c-1.655 0-3 1.346-3 3v14c0 1.654 1.345 3 3 3h14c0.552 0 1-0.448 1-1s-0.448-1-1-1zM14.662 13.595c-0.066 0.053-0.257 0.053-0.323 0l-10.83-8.595h21.983l-10.83 8.595zM31.707 27.293l-3.535-3.536-0.004 0.004c0.525-0.791 0.832-1.739 0.832-2.76 0.001-2.762-2.239-5.001-5-5.001s-5 2.239-5 5c-0 2.762 2.238 5 5 5 1.023 0 1.973-0.308 2.765-0.834l-0.007 0.006 3.535 3.535c0.391 0.39 1.024 0.39 1.415 0s0.391-1.023 0-1.414zM24 24c-1.657 0-3-1.344-3-3s1.343-3 3-3 3 1.344 3 3-1.343 2.999-3 3z"></path>'),
	   	 			'bridge' => array('keywords' => 'bridge ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31 18h-2v-2.541c0.589 0.342 1.271 0.541 2 0.541 0.552 0 1-0.448 1-1s-0.448-1-1-1c-1.102 0-2-0.897-2-2v-2.308c0-0.166-0.041-0.33-0.12-0.476l-2-3.692c-0.175-0.323-0.512-0.524-0.88-0.524s-0.704 0.201-0.88 0.524l-2 3.692c-0.079 0.146-0.12 0.309-0.12 0.476v1.308h-14v-1.308c0-0.166-0.041-0.33-0.12-0.476l-2-3.692c-0.175-0.323-0.513-0.524-0.88-0.524s-0.705 0.201-0.88 0.524l-2 3.692c-0.079 0.146-0.12 0.309-0.12 0.476v2.308c0 1.103-0.897 2-2 2-0.552 0-1 0.448-1 1s0.448 1 1 1c0.729 0 1.411-0.199 2-0.541v2.541h-2c-0.552 0-1 0.448-1 1s0.448 1 1 1h2v6c0 0.552 0.448 1 1 1h4c0.552 0 1-0.448 1-1v-2.381c1.091-0.511 3.82-1.619 7-1.619 3.166 0 5.906 1.11 7 1.619v2.381c0 0.552 0.448 1 1 1h4c0.552 0 1-0.448 1-1v-6h2c0.552 0 1-0.448 1-1s-0.448-1-1-1zM25 9.946l1-1.846 1 1.846v1.054h-2v-1.054zM9 13h14v5h-14v-5zM5 9.946l1-1.846 1 1.846v1.054h-2v-1.054zM7 25h-2v-12h2v12zM16 20c-2.922 0-5.475 0.814-7 1.436v-1.436h14v1.436c-1.525-0.622-4.078-1.436-7-1.436zM27 25h-2v-12h2v12z"></path>'),
	   	 			'drafts' => array('keywords' => 'drafts ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 17.979l11-6.875-11-6.438-11 6.438zM29.313 11.354v13.313q0 1.063-0.781 1.875t-1.844 0.813h-21.375q-1.063 0-1.844-0.813t-0.781-1.875v-13.313q0-1.563 1.25-2.313l12.063-7.063 12.063 7.063q1.25 0.75 1.25 2.313z"></path>'),
	   	 			'shop_n3' => array('keywords' => 'shop_n3 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M27.5 9c0-1.65-1.35-3-3-3h-3v-0.5c0-3.037-2.462-5.5-5.5-5.5s-5.5 2.463-5.5 5.5v0.5h-3c-1.65 0-3 1.35-3 3l-2 20c0 1.65 1.35 3 3 3h21c1.65 0 3-1.35 3-3l-2-20zM12 5.5c0-2.209 1.791-4 4-4s4 1.791 4 4v0.5h-8v-0.5zM26.5 30h-21c-0.55 0-1-0.45-1-1l2-20c0-0.55 0.45-1 1-1h3v2.175c-0.59 0.281-1 0.878-1 1.575 0 0.967 0.783 1.75 1.75 1.75s1.75-0.783 1.75-1.75c0-0.697-0.41-1.294-1-1.575v-2.175h8v2.175c-0.59 0.281-1 0.878-1 1.575 0 0.967 0.783 1.75 1.75 1.75s1.75-0.783 1.75-1.75c0-0.697-0.41-1.294-1-1.575v-2.175h3c0.55 0 1 0.45 1 1l2 20c0 0.55-0.45 1-1 1z"></path>'),
	   	 			'wall_clock' => array('keywords' => 'wall_clock ','viewbox' => '0 0 32 32', 'path' =>'<path d="M12 13.5c0 2.206 1.794 4 4 4s4-1.794 4-4-1.794-4-4-4-4 1.794-4 4zM18 13.5c0 1.103-0.897 2-2 2s-2-0.897-2-2 0.897-2 2-2 2 0.897 2 2zM15 5.5v1c0 0.552 0.448 1 1 1s1-0.448 1-1v-1c0-0.552-0.448-1-1-1s-1 0.448-1 1zM26.573 7.181l-10-7c-0.344-0.24-0.803-0.24-1.146 0l-10 7c-0.358 0.25-0.511 0.704-0.38 1.12s0.518 0.7 0.954 0.7h2.074l0.929 12.076c0.040 0.521 0.475 0.924 0.998 0.924h3v2.277c-0.595 0.346-1 0.985-1 1.723 0 1.105 0.896 2 2 2s2-0.895 2-2c0-0.738-0.405-1.376-1-1.723v-2.277h2v6.277c-0.595 0.346-1 0.985-1 1.723 0 1.105 0.896 2 2 2s2-0.895 2-2c0-0.738-0.405-1.376-1-1.723v-6.277h3c0.523 0 0.957-0.402 0.997-0.924l0.93-12.076h2.073c0.436 0 0.823-0.283 0.953-0.7 0.131-0.416-0.023-0.87-0.381-1.12zM22.003 7.923l-0.93 12.076h-10.147l-0.929-12.076c-0.036-0.468-0.391-0.841-0.842-0.912l6.845-4.792 6.845 4.792c-0.451 0.071-0.805 0.443-0.841 0.912zM17 13.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1z"></path>'),
	   	 			'expand_more' => array('keywords' => 'expand_more ','viewbox' => '0 0 32 32', 'path' =>'<path d="M22.125 12.104l1.875 1.875-8 8-8-8 1.875-1.875 6.125 6.125z"></path>'),
	   	 			'place' => array('keywords' => 'place ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 15.979q1.375 0 2.344-0.969t0.969-2.344-0.969-2.344-2.344-0.969-2.344 0.969-0.969 2.344 0.969 2.344 2.344 0.969zM16 3.354q3.875 0 6.594 2.719t2.719 6.594q0 1.938-0.969 4.438t-2.344 4.688-2.719 4.094-2.281 3.031l-1 1.063q-0.375-0.438-1-1.156t-2.25-2.875-2.844-4.188-2.219-4.594-1-4.5q0-3.875 2.719-6.594t6.594-2.719z"></path>'),
	   	 			'trending_up' => array('keywords' => 'trending_up ','viewbox' => '0 0 32 32', 'path' =>'<path d="M21.313 8.667h8v8l-3.063-3.063-8.375 8.375-5.313-5.313-8 8-1.875-1.875 9.875-9.875 5.313 5.313 6.5-6.5z"></path>'),
	   	 			'playlist_play' => array('keywords' => 'playlist_play ','viewbox' => '0 0 32 32', 'path' =>'<path d="M22.688 17.979l6.625 4-6.625 4v-8zM2.688 20.667v-2.688h17.313v2.688h-17.313zM25.313 7.354v2.625h-22.625v-2.625h22.625zM25.313 12.667v2.688h-22.625v-2.688h22.625z"></path>'),
	   	 			'spinner6' => array('keywords' => 'spinner6 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M12 4c0-2.209 1.791-4 4-4s4 1.791 4 4c0 2.209-1.791 4-4 4s-4-1.791-4-4zM24.719 16c0 0 0 0 0 0 0-1.812 1.469-3.281 3.281-3.281s3.281 1.469 3.281 3.281c0 0 0 0 0 0 0 1.812-1.469 3.281-3.281 3.281s-3.281-1.469-3.281-3.281zM21.513 24.485c0-1.641 1.331-2.972 2.972-2.972s2.972 1.331 2.972 2.972c0 1.641-1.331 2.972-2.972 2.972s-2.972-1.331-2.972-2.972zM13.308 28c0-1.487 1.205-2.692 2.692-2.692s2.692 1.205 2.692 2.692c0 1.487-1.205 2.692-2.692 2.692s-2.692-1.205-2.692-2.692zM5.077 24.485c0-1.346 1.092-2.438 2.438-2.438s2.438 1.092 2.438 2.438c0 1.346-1.092 2.438-2.438 2.438s-2.438-1.092-2.438-2.438zM1.792 16c0-1.22 0.989-2.208 2.208-2.208s2.208 0.989 2.208 2.208c0 1.22-0.989 2.208-2.208 2.208s-2.208-0.989-2.208-2.208zM5.515 7.515c0 0 0 0 0 0 0-1.105 0.895-2 2-2s2 0.895 2 2c0 0 0 0 0 0 0 1.105-0.895 2-2 2s-2-0.895-2-2zM28.108 7.515c0 2.001-1.622 3.623-3.623 3.623s-3.623-1.622-3.623-3.623c0-2.001 1.622-3.623 3.623-3.623s3.623 1.622 3.623 3.623z"></path>'),
	   	 			'thumbs-up' => array('keywords' => 'thumbs-up ','viewbox' => '0 0 29 32', 'path' =>'<path d="M4.571 24.286q0-0.464-0.339-0.804t-0.804-0.339q-0.482 0-0.813 0.339t-0.33 0.804q0 0.482 0.33 0.813t0.813 0.33q0.464 0 0.804-0.33t0.339-0.813zM7.429 15.143v11.429q0 0.464-0.339 0.804t-0.804 0.339h-5.143q-0.464 0-0.804-0.339t-0.339-0.804v-11.429q0-0.464 0.339-0.804t0.804-0.339h5.143q0.464 0 0.804 0.339t0.339 0.804zM28.571 15.143q0 1.536-0.982 2.661 0.268 0.786 0.268 1.357 0.054 1.357-0.768 2.446 0.304 1 0 2.089-0.268 1.018-0.964 1.679 0.161 2-0.875 3.232-1.143 1.357-3.518 1.393h-2.304q-1.179 0-2.571-0.277t-2.17-0.518-2.152-0.705q-2.196-0.768-2.821-0.786-0.464-0.018-0.804-0.348t-0.339-0.795v-11.446q0-0.446 0.321-0.777t0.768-0.366q0.429-0.036 1.357-1.054t1.804-2.161q1.214-1.554 1.804-2.143 0.321-0.321 0.554-0.857t0.313-0.866 0.241-1.080q0.125-0.696 0.223-1.089t0.348-0.929 0.607-0.893q0.339-0.339 0.804-0.339 0.821 0 1.473 0.188t1.071 0.464 0.714 0.723 0.429 0.804 0.214 0.893 0.089 0.804 0.009 0.696q0 0.679-0.17 1.357t-0.339 1.071-0.491 1q-0.054 0.107-0.179 0.321t-0.196 0.393-0.143 0.429h4.946q1.393 0 2.411 1.018t1.018 2.411z"></path>'),
	   	 			'html-five' => array('keywords' => 'html-five ','viewbox' => '0 0 32 32', 'path' =>'<path d="M1.892 0l2.567 28.801 11.524 3.199 11.554-3.204 2.572-28.796h-28.216zM24.52 9.42h-13.517l0.322 3.617h12.874l-0.97 10.844-7.245 2.008-7.237-2.008-0.495-5.547h3.547l0.252 2.82 3.933 1.060 0.009-0.002 3.935-1.062 0.408-4.58h-12.242l-0.953-10.681h17.694l-0.316 3.532z"></path>'),
	   	 			'attach_file' => array('keywords' => 'attach_file ','viewbox' => '0 0 32 32', 'path' =>'<path d="M22 8.667h2v15.313q0 3.063-2.125 5.219t-5.188 2.156-5.219-2.156-2.156-5.219v-16.625q0-2.188 1.594-3.781t3.781-1.594 3.75 1.594 1.563 3.781v14q0 1.375-0.969 2.344t-2.344 0.969-2.375-0.969-1-2.344v-12.688h2v12.688q0 0.563 0.406 0.938t0.969 0.375 0.938-0.375 0.375-0.938v-14q0-1.375-0.969-2.375t-2.344-1-2.375 1-1 2.375v16.625q0 2.188 1.594 3.781t3.781 1.594 3.75-1.594 1.563-3.781v-15.313z"></path>'),
	   	 			'earth_ball' => array('keywords' => 'earth_ball ','viewbox' => '0 0 32 32', 'path' =>'<path d="M15.5 21c4.969 0 9.002-4.029 9-8.998 0.002-4.971-4.031-9.002-9-9.002s-9.002 4.031-9 9.001c-0.001 4.97 4.029 8.999 9 8.999zM15.5 5.001c3.867-0.002 7 3.133 7 6.999 0 3.861-3.133 7-7 7.002-3.867 0-6.997-3.135-7-7 0.002-3.867 3.133-6.999 7-7zM24.693 21.192c4.921-4.922 5.073-12.815 0.445-17.916l1.569-1.569c0.39-0.391 0.39-1.024 0-1.414s-1.024-0.391-1.414 0l-3 3c-0.39 0.39-0.39 1.024 0 1.414 0.195 0.196 0.451 0.293 0.706 0.293s0.512-0.098 0.707-0.293l0.006-0.006c3.845 4.321 3.71 10.934-0.431 15.078-4.144 4.145-10.76 4.279-15.078 0.432l0.005-0.005c0.39-0.39 0.39-1.023 0-1.414s-1.024-0.39-1.414 0l-3 3c-0.39 0.39-0.39 1.023 0 1.414 0.195 0.196 0.45 0.294 0.707 0.294s0.512-0.098 0.707-0.293l1.569-1.57c2.166 1.964 4.833 3.066 7.564 3.308v5.054h-4.497c-0.001 0-0.002 0-0.002 0-0.552 0-1 0.448-1 1s0.448 1 1 1h11c0.552 0 1-0.448 1-1s-0.448-1-1-1c-0.001 0-0.002 0-0.003 0h-4.497v-5.031c3.042-0.196 6.029-1.453 8.352-3.777z"></path>'),
	   	 			'weather_9' => array('keywords' => 'weather_9 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25 25h-19c-3.308 0-6-2.692-6-6s2.692-6 6-6c0.495 0 0.981 0.060 1.455 0.181 1.198-3.642 4.626-6.181 8.545-6.181 3.094 0 5.928 1.571 7.576 4.149 0.47-0.098 0.947-0.149 1.424-0.149 3.86 0 7 3.14 7 7s-3.14 7-7 7zM6 15c-2.205 0-4 1.794-4 4s1.795 4 4 4h19c2.757 0 5-2.243 5-5s-2.243-5-5-5c-0.534 0-1.068 0.088-1.587 0.261-0.466 0.156-0.977-0.050-1.204-0.486-1.213-2.329-3.592-3.775-6.209-3.775-3.352 0-6.242 2.387-6.871 5.678-0.058 0.304-0.254 0.565-0.531 0.704s-0.603 0.143-0.882 0.011c-0.545-0.261-1.123-0.393-1.716-0.393z"></path>'),
	   	 			'percentage_symbol' => array('keywords' => 'percentage_symbol ','viewbox' => '0 0 32 32', 'path' =>'<path d="M15.489 18.511c-1.104 0-2.002 0.896-2.001 2.001s0.896 2.001 2.001 2.001c1.105 0 2.002-0.896 2.001-2.001s-0.897-2.001-2.001-2.001zM15.489 21.513c-0.552 0-1-0.449-1.001-1.001 0.001-0.553 0.449-1.001 1.001-1.001 0.553 0 1.001 0.448 1.001 1.001 0 0.552-0.448 1.001-1.001 1.001zM15.489 15.509c1.105 0 2.002-0.896 2.001-2.001s-0.897-2.001-2.001-2.001c-1.104 0-2.002 0.896-2.001 2.001s0.896 2.001 2.001 2.001zM15.489 12.508c0.553 0 1.001 0.448 1.001 1.001s-0.448 1.001-1.001 1.001c-0.552 0-1-0.449-1.001-1.001s0.449-1.001 1.001-1.001zM24.995 10.006c1.658-0.001 3.001-1.346 3.002-3.002 0-1.657-1.344-3.002-3.002-3.001s-3.001 1.344-3.002 3.002c0 1.657 1.344 3.002 3.002 3.002zM24.995 5.503c0.828 0 1.501 0.672 1.501 1.501s-0.672 1.501-1.501 1.501c-0.829 0-1.501-0.672-1.501-1.501s0.672-1.501 1.501-1.501zM30.999 0h-10.967c-0.265 0-0.52 0.106-0.707 0.293l-19.031 19.032c-0.188 0.188-0.293 0.442-0.293 0.707s0.106 0.52 0.293 0.707l10.967 10.967c0.188 0.188 0.442 0.293 0.707 0.293s0.52-0.106 0.707-0.293l19.031-19.033c0.188-0.188 0.293-0.442 0.293-0.707v-10.966c0-0.552-0.448-1.001-1.001-1.001zM29.997 11.555l-18.029 18.030-9.552-9.552 18.031-18.031h9.552l-0.001 9.553zM19.492 16.51h-8.005c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h8.005c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5z"></path>'),
	   	 			'quotes-left' => array('keywords' => 'quotes-left ','viewbox' => '0 0 32 32', 'path' =>'<path d="M7.031 14c3.866 0 7 3.134 7 7s-3.134 7-7 7-7-3.134-7-7l-0.031-1c0-7.732 6.268-14 14-14v4c-2.671 0-5.182 1.040-7.071 2.929-0.364 0.364-0.695 0.751-0.995 1.157 0.357-0.056 0.724-0.086 1.097-0.086zM25.031 14c3.866 0 7 3.134 7 7s-3.134 7-7 7-7-3.134-7-7l-0.031-1c0-7.732 6.268-14 14-14v4c-2.671 0-5.182 1.040-7.071 2.929-0.364 0.364-0.695 0.751-0.995 1.157 0.358-0.056 0.724-0.086 1.097-0.086z"></path>'),
	   	 			'rain_symbol' => array('keywords' => 'rain_symbol ','viewbox' => '0 0 32 32', 'path' =>'<path d="M7.5 10.258c-0.319 0-0.618 0.152-0.806 0.409-0.532 0.725-5.194 7.187-5.194 10.819 0 3.183 2.691 5.773 6 5.773s6-2.59 6-5.773c0-3.633-4.662-10.094-5.194-10.819-0.188-0.257-0.488-0.409-0.806-0.409zM7.5 25.259c-2.205 0-4-1.692-4-3.773 0-2.111 2.424-6.15 4-8.485 1.576 2.335 4 6.374 4 8.485 0 2.080-1.794 3.773-4 3.773zM23.5 11.227c0-3.633-4.662-10.094-5.194-10.819-0.189-0.257-0.488-0.408-0.806-0.408s-0.618 0.152-0.806 0.408c-0.532 0.725-5.194 7.186-5.194 10.819 0 3.183 2.691 5.773 6 5.773s6-2.59 6-5.773zM17.5 15c-2.206 0-4-1.692-4-3.773 0-2.111 2.424-6.15 4-8.485 1.576 2.335 4 6.374 4 8.485 0 2.080-1.794 3.773-4 3.773zM25.306 15.409c-0.189-0.257-0.488-0.409-0.806-0.409s-0.618 0.152-0.806 0.409c-0.532 0.725-5.194 7.186-5.194 10.819 0 3.183 2.692 5.773 6 5.773s6-2.59 6-5.773c0-3.633-4.662-10.094-5.194-10.819zM24.5 30c-2.206 0-4-1.692-4-3.773 0-2.111 2.424-6.151 4-8.485 1.576 2.334 4 6.374 4 8.485 0 2.080-1.794 3.773-4 3.773z"></path>'),
	   	 			'glass' => array('keywords' => 'glass ','viewbox' => '0 0 32 32', 'path' =>'<path d="M24.306 0.527c-0.174-0.324-0.513-0.527-0.881-0.527h-14.85c-0.368 0-0.707 0.202-0.881 0.527-1.108 2.063-1.694 4.474-1.694 6.973 0 3.294 1.012 6.401 2.849 8.748 1.42 1.814 3.203 3.017 5.151 3.505v10.247h-3c-0.552 0-1 0.448-1 1s0.448 1 1 1h10c0.552 0 1-0.448 1-1s-0.448-1-1-1h-3v-10.247c1.949-0.488 3.732-1.691 5.151-3.505 1.837-2.347 2.849-5.454 2.849-8.748 0-2.499-0.586-4.91-1.694-6.973zM9.191 2h13.619c0.78 1.653 1.191 3.542 1.191 5.5 0 0.168-0.003 0.334-0.009 0.5h-15.981c-0.006-0.166-0.009-0.332-0.009-0.5-0-1.958 0.41-3.847 1.191-5.5z"></path>'),
	   	 			'notifications_off' => array('keywords' => 'notifications_off ','viewbox' => '0 0 32 32', 'path' =>'<path d="M24 20.229l-11.938-12.563q0.188-0.063 0.5-0.219l0.438-0.219h0.063l0.375-0.188q0.063 0 0.25-0.063t0.313-0.063v-0.938q0-0.813 0.563-1.406t1.438-0.594 1.438 0.594 0.563 1.406v0.938q2.813 0.688 4.406 3t1.594 5.438v4.875zM16 29.979q-1.125 0-1.906-0.75t-0.781-1.875h5.375q0 1.125-0.781 1.875t-1.906 0.75zM10.438 8.854q1.5 1.563 7.844 8.063t9.719 10.063l-1.688 1.688-2.688-2.688h-18.313v-1.313l2.688-2.688v-6.688q0-2.563 1.063-4.563l-3.75-3.688 1.688-1.75z"></path>'),
	   	 			'coffer_box' => array('keywords' => 'coffer_box ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 0h-26c-1.65 0-3 1.351-3 3v22.504c0 1.651 1.35 3 3 3h4.5v2.496c0 0.552 0.448 1 1 1s1-0.448 1-1v-2.496h13v2.496c0 0.552 0.448 1 1 1s1-0.448 1-1v-2.496h4.5c1.65 0 3-1.349 3-3v-22.504c0-1.649-1.35-3-3-3zM30 25.504c0 0.55-0.45 1-1 1h-26c-0.55 0-1-0.45-1-1v-22.504c0-0.55 0.45-1 1-1h26c0.55 0 1 0.45 1 1v22.504zM22 9.004c-2.761 0-5.001 2.239-5 5.001-0 2.761 2.238 5 5 5 2.761 0 5.001-2.238 5-4.999 0.001-2.762-2.239-5.001-5-5.001zM22 17.505c-1.933 0-3.499-1.567-3.5-3.5 0.001-1.933 1.567-3.499 3.5-3.5s3.5 1.567 3.5 3.499c0 1.931-1.567 3.5-3.5 3.501zM22 11.504c-1.38 0-2.5 1.119-2.5 2.5s1.119 2.5 2.5 2.5c1.381 0 2.5-1.119 2.5-2.5s-1.119-2.5-2.5-2.5zM22 15.004c-0.552 0-1-0.448-1-1s0.448-1 1-1c0.552 0 1 0.448 1 1s-0.448 1-1 1zM8.5 6.004c0-0.829-0.671-1.5-1.5-1.5s-1.5 0.671-1.5 1.5c0 0.442 0.196 0.837 0.5 1.111v13.779c-0.304 0.274-0.5 0.669-0.5 1.111 0 0.828 0.671 1.5 1.5 1.5s1.5-0.672 1.5-1.5c0-0.442-0.195-0.837-0.5-1.111v-13.779c0.305-0.274 0.5-0.668 0.5-1.111z"></path>'),
	   	 			'footer' => array('keywords' => 'footer ','viewbox' => '0 0 35 35', 'path' =>'<path d="M0,0v25.366h35V0H0z M32.879,23.245H2.121V2.121h30.758V23.245z"/> <rect y="28.283" width="35" height="6.717"/>'),
	   	 			'snow_4' => array('keywords' => 'snow_4 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31 15.009h-3.586l2.293-2.293c0.39-0.39 0.39-1.024 0-1.414s-1.024-0.39-1.414 0l-3.707 3.707h-6.854l3.427-5.936 5.064-1.357c0.534-0.143 0.85-0.691 0.707-1.224s-0.692-0.852-1.224-0.707l-3.133 0.84 1.794-3.106c0.276-0.478 0.113-1.090-0.366-1.366s-1.090-0.112-1.366 0.366l-1.794 3.106-0.84-3.132c-0.143-0.534-0.692-0.852-1.224-0.707-0.534 0.143-0.85 0.691-0.707 1.224l1.357 5.064-3.427 5.936-3.427-5.936 1.357-5.064c0.143-0.534-0.174-1.082-0.707-1.224-0.534-0.145-1.082 0.173-1.224 0.707l-0.839 3.132-1.793-3.106c-0.276-0.478-0.887-0.643-1.366-0.366s-0.642 0.887-0.366 1.366l1.793 3.106-3.132-0.84c-0.534-0.145-1.082 0.173-1.224 0.707s0.174 1.082 0.707 1.224l5.063 1.357 3.427 5.935h-6.854l-3.707-3.707c-0.39-0.39-1.024-0.39-1.414 0s-0.391 1.024 0 1.414l2.293 2.293h-3.586c-0.552 0-1 0.448-1 1s0.448 1 1 1h3.586l-2.293 2.293c-0.391 0.39-0.391 1.024 0 1.414 0.196 0.195 0.451 0.294 0.707 0.294s0.511-0.098 0.707-0.293l3.707-3.707h6.854l-3.427 5.936-5.064 1.357c-0.534 0.142-0.85 0.692-0.707 1.224 0.12 0.447 0.524 0.741 0.966 0.741 0.085 0 0.173-0.011 0.26-0.034l3.133-0.84-1.794 3.106c-0.276 0.478-0.112 1.090 0.366 1.366 0.157 0.091 0.329 0.134 0.499 0.134 0.345 0 0.681-0.18 0.867-0.5l1.793-3.105 0.839 3.132c0.12 0.447 0.524 0.741 0.965 0.741 0.086 0 0.173-0.011 0.26-0.034 0.533-0.142 0.85-0.692 0.707-1.224l-1.357-5.064 3.427-5.936 3.427 5.936-1.357 5.064c-0.143 0.534 0.174 1.082 0.707 1.224 0.087 0.023 0.174 0.035 0.259 0.035 0.442 0 0.846-0.294 0.965-0.741l0.84-3.133 1.793 3.106c0.186 0.32 0.521 0.5 0.867 0.5 0.17 0 0.342-0.043 0.499-0.134 0.479-0.276 0.642-0.887 0.366-1.366l-1.794-3.106 3.133 0.84c0.087 0.023 0.174 0.034 0.259 0.034 0.442 0 0.846-0.294 0.965-0.741 0.143-0.533-0.174-1.082-0.707-1.224l-5.066-1.357-3.427-5.936h6.854l3.707 3.707c0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293c0.39-0.39 0.39-1.024 0-1.414l-2.293-2.294h3.587c0.552 0 1-0.448 1-1s-0.448-1-1-1z"></path>'),
	   	 			'cart_n2' => array('keywords' => 'cart_n2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16.5 11.5c-0.552 0-0.999 0.447-1 1v7.5c0 0.552 0.448 1 1 1s1-0.448 1-1c0-0.001 0-0.001 0-0.002v-7.495c0-0.001 0-0.002 0-0.003 0-0.552-0.448-1-1-1zM24.5 11.5c-0.552 0-0.999 0.447-1 1v7.5c0 0.552 0.448 1 1 1s1-0.448 1-1c0-0.001 0-0.001 0-0.002v-7.495c0-0.001 0-0.002 0-0.003 0-0.552-0.448-1-1-1zM20.5 11.5c-0.552 0-0.999 0.447-1 1v7.5c0 0.552 0.448 1 1 1s1-0.448 1-1c0-0.001 0-0.001 0-0.002v-7.495c0-0.001 0-0.002 0-0.003 0-0.552-0.448-1-1-1zM12.5 11.5c-0.552 0-0.999 0.447-1 1v7.5c0 0.552 0.448 1 1 1s1-0.448 1-1c0-0.001 0-0.001 0-0.002v-7.495c0-0.001 0-0.002 0-0.003 0-0.552-0.447-1-1-1zM13.5 29.5c0 1.381-1.119 2.5-2.5 2.5s-2.5-1.119-2.5-2.5c0-1.381 1.119-2.5 2.5-2.5s2.5 1.119 2.5 2.5zM28.5 29.5c0 1.381-1.119 2.5-2.5 2.5s-2.5-1.119-2.5-2.5c0-1.381 1.119-2.5 2.5-2.5s2.5 1.119 2.5 2.5zM29 7h-1.5v-5c0-0.552-0.448-1-1-1h-8c-0.552 0-1 0.448-1 1h-7c-0.552 0-1 0.448-1 1v4h-2.818l-0.682-6c0-0.552-0.447-1-1-1v-0.001l-3.995 0.001c-0.002 0-0.003-0.001-0.005-0.001-0.551 0.001-1 0.448-1 1s0.448 1 1 1h3.028l2.472 21c0 1.65 1.35 3 3 3h18c1.65 0 3-1.35 3-3l1.5-13c0-1.65-1.35-3-3-3zM25.5 3v4h-6v-4h6zM11.5 4h6v3h-6v-3zM28.5 23c0 0.55-0.45 1-1 1h-18c-0.55 0-1-0.45-1-1l-1.489-13.105c0.053-0.5 0.476-0.895 0.989-0.895h21c0.55 0 1 0.45 1 1l-1.5 13z"></path>'),
	   	 			'spinner10' => array('keywords' => 'spinner10 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M0.001 16.051l-0.001 0c0 0 0 0.003 0.001 0.007 0.003 0.121 0.017 0.24 0.041 0.355 0.006 0.055 0.013 0.114 0.021 0.18 0.007 0.059 0.014 0.122 0.022 0.19 0.012 0.080 0.024 0.165 0.037 0.256 0.027 0.18 0.056 0.379 0.091 0.592 0.042 0.201 0.088 0.419 0.136 0.652 0.022 0.116 0.055 0.235 0.087 0.356s0.065 0.247 0.099 0.375c0.018 0.064 0.032 0.129 0.053 0.194s0.041 0.131 0.062 0.197 0.085 0.268 0.129 0.406c0.011 0.035 0.022 0.069 0.033 0.104 0.013 0.034 0.025 0.069 0.038 0.104 0.026 0.069 0.052 0.139 0.078 0.21 0.053 0.14 0.107 0.284 0.162 0.429 0.061 0.143 0.124 0.288 0.188 0.435 0.032 0.073 0.064 0.147 0.096 0.222s0.071 0.147 0.107 0.221c0.073 0.147 0.146 0.297 0.221 0.448 0.077 0.15 0.163 0.297 0.245 0.448 0.042 0.075 0.084 0.15 0.126 0.226s0.091 0.148 0.136 0.223c0.092 0.148 0.185 0.298 0.279 0.448 0.395 0.59 0.834 1.174 1.319 1.727 0.491 0.549 1.023 1.070 1.584 1.55 0.568 0.473 1.165 0.903 1.773 1.285 0.613 0.376 1.239 0.697 1.856 0.973 0.156 0.064 0.311 0.127 0.465 0.19 0.077 0.030 0.152 0.064 0.229 0.091s0.154 0.054 0.23 0.081 0.302 0.108 0.453 0.156c0.151 0.045 0.3 0.089 0.447 0.133 0.074 0.021 0.146 0.045 0.219 0.063s0.146 0.036 0.218 0.053c0.144 0.035 0.286 0.069 0.425 0.103 0.141 0.027 0.279 0.054 0.415 0.080 0.068 0.013 0.135 0.026 0.201 0.038 0.033 0.006 0.066 0.012 0.099 0.019 0.033 0.005 0.066 0.009 0.099 0.014 0.131 0.018 0.259 0.036 0.384 0.053 0.062 0.009 0.124 0.017 0.185 0.026s0.122 0.012 0.182 0.018c0.119 0.011 0.236 0.021 0.349 0.031s0.222 0.021 0.329 0.023c0.007 0 0.014 0 0.021 0.001 0.019 1.088 0.906 1.964 1.999 1.964 0.017 0 0.034-0.001 0.051-0.001v0.001c0 0 0.003-0 0.007-0.001 0.121-0.003 0.24-0.017 0.355-0.041 0.055-0.006 0.114-0.013 0.18-0.021 0.059-0.007 0.122-0.014 0.19-0.022 0.080-0.012 0.165-0.024 0.256-0.037 0.18-0.027 0.379-0.056 0.592-0.091 0.201-0.042 0.419-0.088 0.652-0.136 0.116-0.022 0.235-0.056 0.356-0.087s0.247-0.065 0.375-0.099c0.064-0.018 0.129-0.032 0.194-0.053s0.13-0.041 0.197-0.062 0.268-0.085 0.406-0.129c0.035-0.011 0.069-0.022 0.104-0.033 0.034-0.013 0.069-0.025 0.104-0.038 0.069-0.026 0.139-0.052 0.21-0.078 0.14-0.053 0.284-0.107 0.429-0.162 0.143-0.061 0.288-0.124 0.436-0.188 0.073-0.032 0.147-0.064 0.222-0.096s0.147-0.071 0.221-0.107c0.147-0.073 0.297-0.146 0.448-0.221 0.15-0.077 0.297-0.163 0.448-0.245 0.075-0.042 0.15-0.084 0.226-0.126s0.148-0.091 0.223-0.136c0.148-0.092 0.298-0.185 0.448-0.279 0.59-0.395 1.174-0.834 1.727-1.319 0.549-0.491 1.070-1.023 1.55-1.584 0.473-0.568 0.903-1.165 1.285-1.773 0.376-0.613 0.697-1.239 0.973-1.855 0.064-0.156 0.127-0.311 0.19-0.465 0.030-0.077 0.064-0.152 0.091-0.229s0.054-0.154 0.081-0.23 0.108-0.302 0.156-0.453c0.045-0.151 0.089-0.3 0.133-0.447 0.021-0.074 0.045-0.146 0.063-0.219s0.036-0.146 0.053-0.218c0.035-0.144 0.069-0.286 0.103-0.425 0.027-0.141 0.054-0.279 0.080-0.415 0.013-0.068 0.026-0.135 0.038-0.201 0.006-0.033 0.012-0.066 0.019-0.099 0.005-0.033 0.009-0.066 0.014-0.099 0.018-0.131 0.036-0.259 0.053-0.384 0.009-0.062 0.017-0.124 0.026-0.185s0.012-0.122 0.018-0.182c0.011-0.119 0.021-0.236 0.031-0.349s0.021-0.222 0.023-0.329c0.001-0.017 0.001-0.033 0.002-0.049 1.101-0.005 1.992-0.898 1.992-2 0-0.017-0.001-0.034-0.001-0.051h0.001c0 0-0-0.003-0.001-0.007-0.003-0.121-0.017-0.24-0.041-0.355-0.006-0.055-0.013-0.114-0.021-0.181-0.007-0.059-0.014-0.122-0.022-0.19-0.012-0.080-0.024-0.165-0.037-0.255-0.027-0.18-0.056-0.379-0.091-0.592-0.042-0.201-0.088-0.419-0.136-0.652-0.022-0.116-0.055-0.235-0.087-0.357s-0.065-0.247-0.099-0.375c-0.018-0.064-0.032-0.129-0.053-0.194s-0.041-0.13-0.062-0.197-0.085-0.268-0.129-0.406c-0.011-0.034-0.022-0.069-0.033-0.104-0.013-0.034-0.025-0.069-0.038-0.104-0.026-0.069-0.052-0.139-0.078-0.21-0.053-0.141-0.107-0.284-0.162-0.429-0.061-0.143-0.124-0.288-0.188-0.435-0.032-0.073-0.064-0.147-0.096-0.222s-0.071-0.147-0.107-0.221c-0.073-0.147-0.146-0.297-0.221-0.448-0.077-0.15-0.163-0.297-0.245-0.448-0.042-0.075-0.084-0.15-0.126-0.226s-0.091-0.148-0.136-0.223c-0.092-0.148-0.185-0.298-0.279-0.448-0.395-0.59-0.834-1.174-1.319-1.727-0.491-0.549-1.023-1.070-1.584-1.55-0.568-0.473-1.165-0.903-1.773-1.285-0.613-0.376-1.239-0.697-1.855-0.973-0.156-0.064-0.311-0.127-0.465-0.19-0.077-0.030-0.152-0.063-0.229-0.091s-0.154-0.054-0.23-0.081-0.302-0.108-0.453-0.156c-0.151-0.045-0.3-0.089-0.447-0.133-0.074-0.021-0.146-0.045-0.219-0.063s-0.146-0.036-0.218-0.053c-0.144-0.035-0.286-0.069-0.425-0.103-0.141-0.027-0.279-0.054-0.415-0.080-0.068-0.013-0.135-0.026-0.201-0.038-0.033-0.006-0.066-0.012-0.099-0.019-0.033-0.005-0.066-0.009-0.099-0.014-0.131-0.018-0.259-0.036-0.384-0.053-0.062-0.009-0.124-0.017-0.185-0.026s-0.122-0.012-0.182-0.018c-0.119-0.010-0.236-0.021-0.349-0.031s-0.222-0.021-0.329-0.023c-0.027-0.001-0.052-0.002-0.078-0.003-0.020-1.087-0.907-1.962-1.999-1.962-0.017 0-0.034 0.001-0.051 0.001l-0-0.001c0 0-0.003 0-0.007 0.001-0.121 0.003-0.24 0.017-0.355 0.041-0.055 0.006-0.114 0.013-0.181 0.021-0.059 0.007-0.122 0.014-0.19 0.022-0.080 0.012-0.165 0.024-0.255 0.037-0.18 0.027-0.379 0.056-0.592 0.091-0.201 0.042-0.419 0.088-0.652 0.136-0.116 0.022-0.235 0.056-0.356 0.087s-0.247 0.065-0.375 0.099c-0.064 0.018-0.129 0.032-0.194 0.053s-0.13 0.041-0.197 0.062-0.268 0.085-0.406 0.129c-0.034 0.011-0.069 0.022-0.104 0.033-0.034 0.013-0.069 0.025-0.104 0.038-0.069 0.026-0.139 0.052-0.21 0.078-0.14 0.053-0.284 0.107-0.429 0.162-0.143 0.061-0.288 0.124-0.435 0.188-0.073 0.032-0.147 0.064-0.222 0.096s-0.147 0.071-0.221 0.107c-0.147 0.073-0.297 0.146-0.448 0.221-0.15 0.077-0.297 0.163-0.448 0.245-0.075 0.042-0.15 0.084-0.226 0.126s-0.148 0.091-0.223 0.136c-0.148 0.092-0.298 0.185-0.448 0.279-0.59 0.395-1.174 0.834-1.727 1.319-0.549 0.491-1.070 1.023-1.55 1.584-0.473 0.568-0.903 1.165-1.285 1.773-0.376 0.613-0.697 1.239-0.973 1.855-0.064 0.156-0.127 0.311-0.19 0.465-0.030 0.077-0.063 0.152-0.091 0.229s-0.054 0.154-0.081 0.23-0.108 0.302-0.156 0.453c-0.045 0.151-0.089 0.3-0.132 0.447-0.021 0.074-0.045 0.146-0.063 0.219s-0.036 0.146-0.053 0.218c-0.035 0.144-0.069 0.286-0.103 0.425-0.027 0.141-0.054 0.279-0.080 0.415-0.013 0.068-0.026 0.135-0.038 0.201-0.006 0.033-0.012 0.066-0.019 0.099-0.005 0.033-0.009 0.066-0.014 0.099-0.018 0.131-0.036 0.259-0.053 0.384-0.009 0.062-0.017 0.124-0.026 0.185s-0.012 0.122-0.018 0.182c-0.010 0.119-0.021 0.236-0.031 0.349s-0.021 0.222-0.023 0.329c-0.001 0.017-0.001 0.034-0.002 0.051-1.074 0.035-1.934 0.916-1.934 1.998 0 0.017 0.001 0.034 0.001 0.051zM2.297 14.022c0.001-0.006 0.003-0.012 0.004-0.018 0.020-0.101 0.051-0.204 0.080-0.311s0.059-0.215 0.090-0.327c0.016-0.056 0.029-0.113 0.048-0.169s0.038-0.113 0.057-0.171 0.077-0.233 0.117-0.353c0.010-0.030 0.020-0.060 0.030-0.090 0.012-0.030 0.023-0.060 0.035-0.090 0.023-0.060 0.047-0.121 0.071-0.182 0.047-0.122 0.096-0.246 0.145-0.373 0.055-0.124 0.111-0.25 0.168-0.377 0.028-0.064 0.057-0.128 0.086-0.192s0.064-0.127 0.095-0.191c0.065-0.128 0.13-0.257 0.197-0.388 0.069-0.129 0.145-0.257 0.219-0.387 0.037-0.065 0.074-0.13 0.112-0.195s0.081-0.128 0.121-0.193c0.082-0.128 0.164-0.257 0.247-0.388 0.351-0.509 0.739-1.012 1.167-1.489 0.434-0.472 0.901-0.919 1.394-1.33 0.499-0.404 1.021-0.77 1.552-1.094 0.535-0.319 1.081-0.589 1.617-0.821 0.136-0.053 0.271-0.106 0.404-0.158 0.067-0.025 0.132-0.053 0.199-0.076s0.134-0.045 0.2-0.067 0.262-0.090 0.392-0.129c0.131-0.037 0.26-0.073 0.387-0.109 0.064-0.017 0.126-0.037 0.189-0.052s0.126-0.029 0.189-0.043c0.124-0.028 0.247-0.056 0.367-0.084 0.121-0.021 0.241-0.043 0.358-0.063 0.058-0.010 0.116-0.021 0.173-0.031 0.029-0.005 0.057-0.010 0.085-0.015 0.029-0.003 0.057-0.007 0.085-0.010 0.113-0.014 0.223-0.028 0.331-0.041 0.054-0.007 0.107-0.013 0.159-0.020s0.105-0.008 0.157-0.013c0.103-0.007 0.203-0.015 0.3-0.022s0.191-0.016 0.283-0.016c0.183-0.004 0.354-0.008 0.512-0.012 0.146 0.005 0.28 0.010 0.401 0.014 0.060 0.002 0.116 0.003 0.17 0.005 0.066 0.004 0.128 0.008 0.186 0.012 0.067 0.004 0.127 0.008 0.182 0.012 0.102 0.016 0.206 0.024 0.312 0.024 0.015 0 0.029-0.001 0.044-0.001 0.004 0 0.007 0 0.007 0v-0.001c0.973-0.024 1.773-0.743 1.924-1.68 0.017 0.004 0.033 0.007 0.050 0.011 0.101 0.020 0.204 0.051 0.311 0.080s0.215 0.059 0.327 0.090c0.056 0.016 0.113 0.029 0.169 0.048s0.113 0.038 0.171 0.057 0.233 0.077 0.353 0.117c0.030 0.010 0.060 0.020 0.090 0.030 0.030 0.012 0.060 0.023 0.090 0.035 0.060 0.023 0.121 0.047 0.182 0.071 0.122 0.047 0.246 0.096 0.373 0.145 0.124 0.055 0.25 0.111 0.378 0.168 0.064 0.028 0.128 0.057 0.192 0.086s0.127 0.064 0.191 0.095c0.128 0.065 0.257 0.13 0.388 0.197 0.13 0.069 0.257 0.145 0.387 0.219 0.065 0.037 0.13 0.074 0.195 0.112s0.128 0.081 0.193 0.121c0.128 0.082 0.257 0.164 0.388 0.247 0.509 0.351 1.012 0.739 1.489 1.167 0.472 0.434 0.919 0.901 1.33 1.394 0.404 0.499 0.77 1.021 1.094 1.552 0.319 0.535 0.589 1.081 0.821 1.617 0.053 0.136 0.106 0.271 0.158 0.404 0.025 0.067 0.053 0.132 0.076 0.199s0.045 0.134 0.067 0.2 0.090 0.262 0.129 0.392c0.037 0.131 0.073 0.26 0.109 0.387 0.017 0.064 0.037 0.126 0.052 0.189s0.029 0.126 0.043 0.189c0.028 0.124 0.056 0.247 0.084 0.367 0.021 0.121 0.043 0.241 0.063 0.358 0.010 0.058 0.020 0.116 0.031 0.173 0.005 0.029 0.010 0.057 0.015 0.085 0.003 0.029 0.007 0.057 0.010 0.085 0.014 0.113 0.028 0.223 0.041 0.331 0.007 0.054 0.014 0.107 0.020 0.159s0.008 0.105 0.013 0.157c0.007 0.103 0.015 0.203 0.022 0.3s0.016 0.191 0.016 0.283c0.004 0.183 0.008 0.354 0.012 0.512-0.005 0.146-0.010 0.28-0.014 0.401-0.002 0.060-0.003 0.116-0.005 0.17-0.004 0.066-0.008 0.128-0.012 0.186-0.004 0.067-0.008 0.127-0.012 0.182-0.016 0.102-0.024 0.206-0.024 0.312 0 0.015 0.001 0.029 0.001 0.044-0 0.004-0 0.007-0 0.007h0.001c0.024 0.961 0.726 1.754 1.646 1.918-0.002 0.009-0.004 0.018-0.006 0.028-0.020 0.102-0.051 0.204-0.080 0.311s-0.059 0.215-0.090 0.327c-0.016 0.056-0.029 0.113-0.048 0.169s-0.038 0.113-0.057 0.171-0.077 0.233-0.117 0.353c-0.010 0.030-0.020 0.060-0.030 0.090-0.012 0.030-0.023 0.060-0.035 0.090-0.023 0.060-0.047 0.121-0.071 0.182-0.047 0.122-0.096 0.246-0.145 0.373-0.055 0.124-0.111 0.25-0.169 0.378-0.028 0.064-0.057 0.128-0.086 0.192s-0.064 0.127-0.095 0.191c-0.065 0.128-0.13 0.257-0.197 0.388-0.069 0.129-0.145 0.257-0.219 0.387-0.037 0.065-0.074 0.13-0.112 0.195s-0.081 0.128-0.121 0.193c-0.082 0.128-0.164 0.257-0.247 0.388-0.351 0.509-0.738 1.012-1.167 1.489-0.434 0.472-0.901 0.919-1.394 1.33-0.499 0.404-1.021 0.77-1.552 1.094-0.535 0.319-1.081 0.589-1.617 0.821-0.136 0.053-0.271 0.106-0.404 0.158-0.067 0.025-0.132 0.053-0.199 0.076s-0.134 0.045-0.2 0.067-0.262 0.090-0.392 0.129c-0.131 0.037-0.26 0.073-0.387 0.109-0.064 0.017-0.126 0.037-0.189 0.052s-0.126 0.029-0.189 0.043c-0.124 0.028-0.247 0.056-0.367 0.084-0.122 0.021-0.241 0.043-0.358 0.063-0.058 0.010-0.116 0.021-0.173 0.031-0.029 0.005-0.057 0.010-0.085 0.015-0.029 0.003-0.057 0.007-0.085 0.010-0.113 0.014-0.223 0.028-0.331 0.041-0.054 0.007-0.107 0.014-0.159 0.020s-0.105 0.008-0.157 0.013c-0.103 0.007-0.203 0.015-0.3 0.022s-0.191 0.016-0.283 0.016c-0.183 0.004-0.354 0.008-0.512 0.012-0.146-0.005-0.28-0.010-0.401-0.014-0.060-0.002-0.116-0.003-0.17-0.005-0.066-0.004-0.128-0.008-0.186-0.012-0.067-0.004-0.127-0.008-0.182-0.012-0.102-0.016-0.206-0.024-0.312-0.024-0.015 0-0.029 0.001-0.044 0.001-0.004-0-0.007-0-0.007-0v0.001c-0.969 0.024-1.766 0.737-1.921 1.668-0.1-0.020-0.201-0.050-0.306-0.079-0.106-0.029-0.215-0.059-0.327-0.090-0.056-0.016-0.113-0.029-0.169-0.048s-0.113-0.038-0.171-0.057-0.233-0.077-0.353-0.117c-0.030-0.010-0.060-0.020-0.090-0.030-0.030-0.012-0.060-0.023-0.090-0.035-0.060-0.023-0.121-0.047-0.182-0.071-0.122-0.048-0.246-0.096-0.373-0.145-0.124-0.055-0.25-0.111-0.377-0.168-0.064-0.028-0.128-0.057-0.192-0.086s-0.127-0.064-0.191-0.095c-0.128-0.065-0.257-0.13-0.388-0.197-0.13-0.069-0.257-0.145-0.387-0.219-0.065-0.037-0.13-0.074-0.195-0.112s-0.128-0.081-0.193-0.121c-0.128-0.082-0.257-0.164-0.388-0.247-0.509-0.351-1.012-0.738-1.489-1.166-0.472-0.434-0.919-0.901-1.33-1.394-0.404-0.499-0.77-1.021-1.094-1.552-0.319-0.535-0.589-1.081-0.821-1.617-0.053-0.136-0.106-0.271-0.158-0.404-0.025-0.067-0.053-0.132-0.076-0.199s-0.045-0.134-0.067-0.2-0.090-0.262-0.129-0.392c-0.037-0.131-0.073-0.26-0.109-0.387-0.017-0.064-0.037-0.126-0.052-0.189s-0.029-0.126-0.043-0.189c-0.028-0.124-0.056-0.247-0.084-0.367-0.021-0.121-0.043-0.241-0.063-0.358-0.010-0.058-0.021-0.116-0.031-0.173-0.005-0.029-0.010-0.057-0.015-0.085-0.003-0.029-0.007-0.057-0.010-0.085-0.014-0.113-0.028-0.223-0.041-0.331-0.007-0.054-0.013-0.107-0.020-0.159s-0.008-0.105-0.013-0.157c-0.007-0.103-0.015-0.203-0.022-0.3s-0.016-0.191-0.016-0.283c-0.004-0.183-0.008-0.354-0.012-0.512 0.005-0.146 0.010-0.28 0.014-0.401 0.002-0.060 0.003-0.116 0.005-0.17 0.004-0.066 0.008-0.128 0.012-0.186 0.004-0.067 0.008-0.127 0.012-0.182 0.015-0.102 0.024-0.206 0.024-0.312 0-0.015-0.001-0.029-0.001-0.044 0-0.004 0.001-0.007 0.001-0.007h-0.001c-0.024-0.981-0.754-1.786-1.701-1.927z"></path>'),
	   	 			'genius' => array('keywords' => 'genius ','viewbox' => '0 0 30 32', 'path' =>'<path d="M0.567 24c0.785 1.36 2.548 2.079 5.097 2.079 0 0 0 0 0.001 0 1.146 0 2.407-0.161 3.722-0.438 1.266 3.879 3.287 6.359 5.613 6.359s4.347-2.48 5.613-6.359c1.316 0.276 2.577 0.438 3.723 0.438 0 0 0 0 0 0 2.548 0 4.311-0.719 5.096-2.079 1.016-1.761 0.117-4.72-2.966-8 3.083-3.28 3.982-6.239 2.966-8-0.785-1.36-2.548-2.079-5.097-2.079-1.146 0-2.408 0.161-3.723 0.438-1.265-3.879-3.286-6.359-5.612-6.359s-4.347 2.48-5.613 6.359c-1.316-0.277-2.578-0.438-3.723-0.438-2.549 0-4.312 0.719-5.097 2.079-1.016 1.761-0.117 4.72 2.966 8-3.083 3.28-3.983 6.239-2.966 8zM15 31c-1.839 0-3.516-2.199-4.627-5.579 1.503-0.381 3.066-0.92 4.627-1.599 1.561 0.679 3.124 1.218 4.627 1.599-1.111 3.38-2.788 5.579-4.627 5.579zM9 16c0-1.164 0.062-2.297 0.168-3.393 0.893-0.622 1.837-1.228 2.832-1.803 0.984-0.568 1.991-1.077 3-1.533 1.009 0.455 2.016 0.964 3 1.533 0.995 0.574 1.938 1.18 2.832 1.803 0.106 1.096 0.168 2.229 0.168 3.393s-0.062 2.297-0.168 3.393c-0.893 0.622-1.837 1.228-2.832 1.803-0.984 0.568-1.991 1.077-3 1.533-1.009-0.455-2.016-0.964-3-1.533-0.995-0.574-1.938-1.18-2.832-1.803-0.106-1.096-0.168-2.229-0.168-3.393zM8.098 18.623c-1.146-0.861-2.184-1.745-3.086-2.623 0.902-0.878 1.94-1.762 3.086-2.623-0.059 0.854-0.098 1.725-0.098 2.623s0.039 1.769 0.098 2.623zM9.321 11.286c0.184-1.341 0.442-2.604 0.764-3.754 1.195 0.301 2.435 0.717 3.682 1.219-0.762 0.369-1.522 0.757-2.267 1.187-0.773 0.447-1.488 0.897-2.179 1.348zM16.232 8.751c1.247-0.502 2.487-0.918 3.682-1.219 0.322 1.15 0.58 2.413 0.764 3.754-0.69-0.451-1.406-0.901-2.179-1.348-0.744-0.43-1.504-0.818-2.267-1.187zM21.902 13.377c1.147 0.861 2.184 1.744 3.086 2.623-0.902 0.878-1.94 1.762-3.086 2.623 0.059-0.854 0.098-1.725 0.098-2.623s-0.039-1.769-0.098-2.623zM20.679 20.714c-0.184 1.341-0.442 2.604-0.764 3.754-1.195-0.301-2.435-0.717-3.682-1.219 0.763-0.368 1.523-0.757 2.268-1.187 0.772-0.447 1.487-0.897 2.178-1.348zM11.5 22.062c0.745 0.43 1.505 0.819 2.268 1.187-1.247 0.502-2.487 0.918-3.682 1.219-0.322-1.15-0.58-2.413-0.764-3.754 0.69 0.451 1.405 0.901 2.178 1.348zM28.567 23.5c-0.588 1.019-2.090 1.579-4.23 1.579-1.056 0-2.218-0.146-3.432-0.395 0.396-1.424 0.693-3.008 0.877-4.708 1.546-1.084 2.851-2.168 3.94-3.229 2.532 2.682 3.726 5.226 2.845 6.753zM24.336 6.921c2.14 0 3.643 0.561 4.23 1.579 0.882 1.527-0.313 4.071-2.845 6.753-1.089-1.060-2.394-2.145-3.94-3.229-0.184-1.7-0.481-3.284-0.877-4.708 1.214-0.249 2.377-0.395 3.432-0.395zM15 1c1.839 0 3.516 2.199 4.627 5.579-1.503 0.381-3.066 0.92-4.627 1.599-1.561-0.679-3.124-1.218-4.627-1.599 1.111-3.38 2.788-5.579 4.627-5.579zM1.433 8.5c0.588-1.019 2.090-1.579 4.23-1.579 1.056 0 2.218 0.146 3.432 0.395-0.396 1.424-0.693 3.008-0.877 4.708-1.546 1.084-2.851 2.168-3.94 3.229-2.532-2.682-3.726-5.226-2.845-6.753zM4.278 16.747c1.089 1.060 2.394 2.145 3.94 3.229 0.184 1.7 0.481 3.284 0.877 4.708-1.213 0.249-2.375 0.395-3.431 0.395 0 0-0.001 0-0.001 0-2.14 0-3.643-0.561-4.23-1.579-0.881-1.527 0.313-4.071 2.845-6.753zM15 18.5c1.378 0 2.5-1.121 2.5-2.5s-1.122-2.5-2.5-2.5-2.5 1.121-2.5 2.5 1.122 2.5 2.5 2.5zM15 14.5c0.827 0 1.5 0.673 1.5 1.5s-0.673 1.5-1.5 1.5-1.5-0.673-1.5-1.5 0.673-1.5 1.5-1.5z"></path>'),
	   	 			'circle-compass' => array('keywords' => 'circle-compass ','viewbox' => '0 0 23 32', 'path' =>'<path d="M11.514 6c0.276 0 0.5-0.224 0.5-0.5v-1.5h0.486c0.276 0 0.5-0.224 0.5-0.5v-3c0-0.276-0.224-0.5-0.5-0.5h-2c-0.276 0-0.5 0.224-0.5 0.5v3c0 0.276 0.224 0.5 0.5 0.5h0.514v1.5c0 0.276 0.223 0.5 0.5 0.5zM11 1h1v2h-1v-2zM0.268 31.817c0.074 0.039 0.153 0.058 0.232 0.058 0.18 0 0.354-0.098 0.442-0.268l4.292-8.173c1.925 0.967 4.059 1.49 6.279 1.49 2.214 0 4.344-0.521 6.265-1.483l4.278 8.166c0.090 0.17 0.264 0.268 0.443 0.268 0.078 0 0.158-0.019 0.232-0.057 0.244-0.129 0.339-0.431 0.211-0.676l-4.288-8.185c0.991-0.59 1.922-1.292 2.758-2.128 0.975-0.975 0.975-2.561 0-3.535-0.945-0.945-2.594-0.943-3.535 0-0.473 0.473-0.994 0.88-1.545 1.23l-2.358-4.501c0.913-0.729 1.511-1.837 1.511-3.093 0-2.19-1.782-3.973-3.973-3.973s-3.97 1.783-3.97 3.974c0 1.255 0.596 2.362 1.507 3.091l-2.363 4.498c-0.548-0.35-1.066-0.755-1.536-1.225-0.945-0.945-2.594-0.943-3.535 0-0.975 0.975-0.975 2.561 0 3.535 0.832 0.832 1.759 1.532 2.745 2.12l-4.302 8.192c-0.129 0.245-0.035 0.547 0.21 0.675zM3.382 17.562c0.401 0 0.778 0.156 1.062 0.439 1.886 1.886 4.396 2.924 7.070 2.924s5.186-1.038 7.072-2.924c0.566-0.567 1.555-0.565 2.121 0 0.585 0.585 0.585 1.536 0 2.121-2.452 2.451-5.718 3.802-9.193 3.802-3.477 0-6.74-1.351-9.191-3.802-0.585-0.585-0.585-1.536 0-2.121 0.282-0.282 0.658-0.439 1.059-0.439zM8.542 10.931c0-1.639 1.333-2.973 2.972-2.973s2.973 1.334 2.973 2.973-1.334 2.973-2.973 2.973-2.972-1.335-2.972-2.973zM9.899 14.553c0.494 0.221 1.039 0.351 1.615 0.351 0.574 0 1.117-0.128 1.61-0.348l2.335 4.457c-1.214 0.592-2.553 0.914-3.945 0.914-1.396 0-2.738-0.323-3.954-0.918l2.339-4.456z"></path>'),
	   	 			'user_person5' => array('keywords' => 'user_person5 ','viewbox' => '0 0 22 32', 'path' =>'<path d="M11 11c3.033 0 5.5-2.468 5.5-5.5 0-3.033-2.467-5.5-5.5-5.5s-5.5 2.467-5.5 5.5c0 3.032 2.467 5.5 5.5 5.5zM11 2c1.929 0 3.5 1.57 3.5 3.5s-1.57 3.5-3.5 3.5c-1.93 0-3.5-1.57-3.5-3.5s1.57-3.5 3.5-3.5zM11 12c-6.065 0-11 4.934-11 11 0 0.552 0.448 1 1 1h4v7c0 0.552 0.448 1 1 1h10c0.552 0 1-0.448 1-1v-7h4c0.552 0 1-0.448 1-1 0-6.065-4.934-11-11-11zM2.055 22c0.251-2.256 1.339-4.261 2.945-5.701v5.701h-2.945zM7 23v-8.060c0.921-0.459 1.933-0.761 3-0.879v15.939h-3v-7zM15 30h-3v-15.939c1.066 0.118 2.078 0.42 3 0.879v15.060zM17 22v-5.701c1.606 1.439 2.694 3.445 2.945 5.701h-2.945z"></path>'),
	   	 			'user_person3' => array('keywords' => 'user_person3 ','viewbox' => '0 0 31 32', 'path' =>'<path d="M11 11c3.033 0 5.5-2.467 5.5-5.5s-2.467-5.5-5.5-5.5c-3.032 0-5.5 2.467-5.5 5.5s2.467 5.5 5.5 5.5zM11 2c1.93 0 3.5 1.57 3.5 3.5s-1.57 3.5-3.5 3.5-3.5-1.57-3.5-3.5 1.57-3.5 3.5-3.5zM11 12c-6.065 0-11 4.934-11 11 0 0.552 0.448 1 1 1h4v7c0 0.552 0.448 1 1 1h10c0.552 0 1-0.448 1-1v-7h4c0.552 0 1-0.448 1-1 0-6.065-4.934-11-11-11zM16 22c-0.552 0-1 0.448-1 1v7h-8v-7c0-0.552-0.448-1-1-1h-3.945c0.499-4.493 4.32-8 8.945-8s8.446 3.506 8.945 8h-3.945zM26 0c-2.757 0-5 2.243-5 5 0 0.301 0.027 0.601 0.082 0.898l-2.733 2.343c-0.318 0.273-0.432 0.714-0.287 1.106s0.52 0.653 0.938 0.653h7c2.757 0 5-2.243 5-5s-2.243-5-5-5zM26 8h-4.297l1.151-0.987c0.308-0.264 0.426-0.688 0.299-1.073-0.101-0.306-0.153-0.623-0.153-0.94 0-1.654 1.345-3 3-3s3 1.346 3 3-1.345 3-3 3z"></path>'),
	   	 			'menu3' => array('keywords' => 'menu3 ','viewbox' => '0 0 44 32', 'path' =>'<path d="M0 6h28v6h-28v-6zM0 14h28v6h-28v-6zM0 22h28v6h-28v-6zM31 14l6 6 6-6z"></path>'),
	   	 			'wine' => array('keywords' => 'wine ','viewbox' => '0 0 23 32', 'path' =>'<path d="M22.802 7.661c0-2.253-0.687-5.534-1.999-7.444-0.093-0.136-0.247-0.217-0.412-0.217h-17.98c-0.165 0-0.319 0.081-0.412 0.217-1.312 1.912-1.999 5.192-1.999 7.444 0 5.932 4.73 12.529 11 12.869v8.47h-4.099c-1.141-0.075-2 0.784-2 1.925v0.575c0 0.276 0.224 0.5 0.5 0.5h12c0.276 0 0.5-0.224 0.5-0.5v-0.5c0-1.164-0.879-2.075-2-2h-3.901v-8.47c6.27-0.34 10.802-6.937 10.802-12.869zM16.901 31h-11v-0.075c0-0.589 0.411-1 1-1h9c0.571 0 1 0.462 1 1.075zM2.682 1h17.438c1.053 1.692 1.631 4.47 1.673 6.428-0.845-0.196-1.746-0.31-2.77-0.31-3.161 0-4.759 0.921-6.305 1.812-1.497 0.863-2.911 1.678-5.804 1.678s-4.305-0.817-5.801-1.68l-0.030-0.018c-0.050-0.419-0.083-0.837-0.083-1.249 0-1.963 0.588-4.902 1.682-6.661zM1.311 10.188c1.357 0.749 2.913 1.418 5.604 1.418 3.16 0 4.758-0.921 6.304-1.812 1.497-0.862 2.911-1.678 5.805-1.678 1.025 0 1.919 0.11 2.739 0.32-0.397 5.312-4.777 11.125-10.361 11.125-4.974 0.001-8.989-4.612-10.091-9.373z"></path>'),
	   	 			'satellite_3' => array('keywords' => 'satellite_3 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 27.503c1.463 0 2.927-0.393 4.067-1.18 0.455-0.314 0.57-0.936 0.256-1.391-0.314-0.453-0.935-0.569-1.39-0.256-1.59 1.096-4.276 1.096-5.864 0-0.454-0.314-1.078-0.198-1.391 0.256s-0.199 1.078 0.255 1.391c1.14 0.787 2.603 1.18 4.067 1.18zM21.373 27.721c-2.963 2.384-7.783 2.384-10.746 0-0.431-0.346-1.059-0.279-1.406 0.152-0.345 0.43-0.278 1.059 0.152 1.406 1.826 1.471 4.226 2.206 6.627 2.206s4.8-0.736 6.627-2.206c0.43-0.346 0.498-0.976 0.152-1.406s-0.976-0.498-1.407-0.152zM31 9h-10c-0.552 0-1 0.448-1 1v2.5h-1v-4c0-0.552-0.448-1-1-1h-1v-1.175c1.163-0.413 2-1.522 2-2.825 0-1.655-1.346-3-3-3s-3 1.345-3 3c0 1.303 0.837 2.412 2 2.825v1.175h-1c-0.552 0-1 0.448-1 1v4h-1v-2.5c0-0.552-0.448-1-1-1h-10c-0.552 0-1 0.448-1 1v7c0 0.552 0.448 1 1 1h10c0.552 0 1-0.448 1-1v-2.5h1v4h-0.5c-0.552 0-1 0.448-1 1v3c0 0.552 0.448 1 1 1h7c0.552 0 1-0.448 1-1v-3c0-0.552-0.448-1-1-1h-0.5v-4h1v2.5c0 0.552 0.448 1 1 1h10c0.552 0 1-0.448 1-1v-7c0-0.552-0.448-1-1-1zM16 2.5c0.552 0 1 0.449 1 1s-0.448 1-1 1-1-0.449-1-1 0.448-1 1-1zM10 16h-8v-5h8v5zM18.5 21.5h-5v-1h5v1zM15 18.5v-9h2v9h-2zM30 16h-8v-5h8v5z"></path>'),
	   	 			'books' => array('keywords' => 'books ','viewbox' => '0 0 36 32', 'path' =>'<path d="M7 4h-6c-0.55 0-1 0.45-1 1v22c0 0.55 0.45 1 1 1h6c0.55 0 1-0.45 1-1v-22c0-0.55-0.45-1-1-1zM6 10h-4v-2h4v2zM17 4h-6c-0.55 0-1 0.45-1 1v22c0 0.55 0.45 1 1 1h6c0.55 0 1-0.45 1-1v-22c0-0.55-0.45-1-1-1zM16 10h-4v-2h4v2zM23.909 5.546l-5.358 2.7c-0.491 0.247-0.691 0.852-0.443 1.343l8.999 17.861c0.247 0.491 0.852 0.691 1.343 0.443l5.358-2.7c0.491-0.247 0.691-0.852 0.443-1.343l-8.999-17.861c-0.247-0.491-0.852-0.691-1.343-0.443z"></path>'),
	   	 			'attach_money' => array('keywords' => 'attach_money ','viewbox' => '0 0 32 32', 'path' =>'<path d="M15.75 15.229q1.375 0.375 2.281 0.75t1.906 1.031 1.531 1.656 0.531 2.375q0 1.938-1.281 3.156t-3.406 1.594v2.875h-4v-2.875q-2.063-0.438-3.406-1.75t-1.469-3.375h2.938q0.25 2.813 3.938 2.813 1.938 0 2.781-0.719t0.844-1.656q0-2.25-4-3.25-6.25-1.438-6.25-5.5 0-1.813 1.313-3.094t3.313-1.719v-2.875h4v2.938q2.063 0.5 3.156 1.875t1.156 3.188h-2.938q-0.125-2.813-3.375-2.813-1.625 0-2.594 0.688t-0.969 1.813q0 1.813 4 2.875z"></path>'),
	   	 			'connecting_computers' => array('keywords' => 'connecting_computers ','viewbox' => '0 0 32 32', 'path' =>'<path d="M30.5 21h-9c-0.552 0-1 0.448-1 1v6c0 0.552 0.448 1 1 1h3.5v1h-1c-0.552 0-1 0.448-1 1s0.448 1 1 1h4c0.552 0 1-0.448 1-1s-0.448-1-1-1h-1v-1h3.5c0.552 0 1-0.448 1-1v-6c0-0.552-0.448-1-1-1zM29.5 27h-7v-4h7v4zM10.5 0h-9c-0.552 0-1 0.448-1 1v6c0 0.552 0.448 1 1 1h3.5v1h-1c-0.552 0-1 0.448-1 1s0.448 1 1 1h4c0.552 0 1-0.448 1-1s-0.448-1-1-1h-1v-1h3.5c0.552 0 1-0.448 1-1v-6c0-0.552-0.448-1-1-1zM9.5 6h-7v-4h7v4zM5.29 12.795c-0.185 0.185-0.29 0.444-0.29 0.705s0.105 0.52 0.29 0.705c0.19 0.19 0.445 0.295 0.71 0.295 0.26 0 0.52-0.105 0.705-0.295 0.19-0.185 0.295-0.445 0.295-0.705 0-0.265-0.105-0.52-0.295-0.71-0.37-0.37-1.040-0.37-1.415 0.005zM6 16.5c-0.555 0-1 0.445-1 1 0 0.55 0.445 1 1 1s1-0.45 1-1c0-0.555-0.445-1-1-1zM6 20.5c-0.555 0-1 0.445-1 1 0 0.55 0.445 1 1 1s1-0.45 1-1c0-0.555-0.445-1-1-1zM5.295 24.79c-0.19 0.19-0.295 0.445-0.295 0.71s0.105 0.52 0.295 0.705c0.185 0.19 0.44 0.295 0.705 0.295s0.52-0.105 0.705-0.295c0.19-0.185 0.295-0.44 0.295-0.705s-0.105-0.52-0.295-0.71c-0.37-0.37-1.040-0.37-1.41 0zM10 24.5c-0.55 0-1 0.445-1 1 0 0.55 0.45 1 1 1s1-0.45 1-1c0-0.555-0.45-1-1-1zM14 24.5c-0.555 0-1 0.445-1 1 0 0.55 0.445 1 1 1 0.55 0 1-0.45 1-1 0-0.555-0.45-1-1-1zM17.29 24.79c-0.185 0.19-0.29 0.445-0.29 0.71s0.105 0.52 0.29 0.705c0.19 0.19 0.445 0.295 0.71 0.295 0.26 0 0.52-0.105 0.705-0.295 0.19-0.185 0.295-0.445 0.295-0.705s-0.105-0.52-0.295-0.71c-0.37-0.37-1.040-0.37-1.415 0zM26.5 17c0.265 0 0.52-0.105 0.71-0.295 0.185-0.185 0.29-0.445 0.29-0.705s-0.105-0.52-0.295-0.71c-0.37-0.37-1.040-0.37-1.415 0.005-0.185 0.185-0.29 0.44-0.29 0.705s0.105 0.52 0.295 0.71c0.185 0.185 0.445 0.29 0.705 0.29zM26.5 9c0.55 0 1-0.45 1-1 0-0.555-0.45-1-1-1s-1 0.445-1 1c0 0.55 0.45 1 1 1zM26.5 13c0.55 0 1-0.45 1-1s-0.45-1-1-1-1 0.45-1 1c0 0.55 0.45 1 1 1zM26.5 5c0.265 0 0.52-0.105 0.71-0.295 0.185-0.185 0.29-0.44 0.29-0.705s-0.105-0.52-0.295-0.71c-0.37-0.37-1.040-0.37-1.415 0.005-0.185 0.185-0.29 0.44-0.29 0.705s0.105 0.52 0.295 0.705c0.185 0.19 0.44 0.295 0.705 0.295zM18.5 3c-0.55 0-1 0.45-1 1s0.45 1 1 1c0.555 0 1-0.45 1-1s-0.445-1-1-1zM22.5 5c0.55 0 1-0.45 1-1s-0.45-1-1-1c-0.555 0-1 0.45-1 1s0.445 1 1 1zM13.79 3.295c-0.185 0.185-0.29 0.44-0.29 0.705s0.105 0.52 0.29 0.705c0.19 0.19 0.45 0.295 0.71 0.295 0.265 0 0.52-0.105 0.705-0.295 0.19-0.185 0.295-0.445 0.295-0.705s-0.105-0.52-0.295-0.71c-0.37-0.37-1.040-0.37-1.415 0.005z"></path>'),
	   	 			'underline2' => array('keywords' => 'underline2 ','viewbox' => '0 0 27 32', 'path' =>'<path d="M0.857 4.268q-0.661-0.036-0.804-0.071l-0.054-1.571q0.232-0.018 0.714-0.018 1.071 0 2 0.071 2.357 0.125 2.964 0.125 1.536 0 3-0.054 2.071-0.071 2.607-0.089 1 0 1.536-0.036l-0.018 0.25 0.036 1.143v0.161q-1.071 0.161-2.214 0.161-1.071 0-1.411 0.446-0.232 0.25-0.232 2.357 0 0.232 0.009 0.58t0.009 0.455l0.018 4.089 0.25 5q0.107 2.214 0.911 3.607 0.625 1.054 1.714 1.643 1.571 0.839 3.161 0.839 1.857 0 3.411-0.5 1-0.321 1.768-0.911 0.857-0.643 1.161-1.143 0.643-1 0.946-2.036 0.375-1.304 0.375-4.089 0-1.411-0.063-2.286t-0.196-2.188-0.241-2.848l-0.071-1.054q-0.089-1.196-0.429-1.571-0.607-0.625-1.375-0.607l-1.786 0.036-0.25-0.054 0.036-1.536h1.5l3.661 0.179q1.357 0.054 3.5-0.179l0.321 0.036q0.107 0.679 0.107 0.911 0 0.125-0.071 0.554-0.804 0.214-1.5 0.232-1.304 0.196-1.411 0.304-0.268 0.268-0.268 0.732 0 0.125 0.027 0.482t0.027 0.554q0.143 0.339 0.393 7.071 0.107 3.482-0.268 5.429-0.268 1.357-0.732 2.179-0.679 1.161-2 2.196-1.339 1.018-3.25 1.589-1.946 0.589-4.554 0.589-2.982 0-5.071-0.821-2.125-0.839-3.196-2.179-1.089-1.357-1.482-3.482-0.286-1.429-0.286-4.232v-5.946q0-3.357-0.304-3.804-0.446-0.643-2.625-0.696zM27.429 29.429v-1.143q0-0.25-0.161-0.411t-0.411-0.161h-26.286q-0.25 0-0.411 0.161t-0.161 0.411v1.143q0 0.25 0.161 0.411t0.411 0.161h26.286q0.25 0 0.411-0.161t0.161-0.411z"></path>'),
	   	 			'texture' => array('keywords' => 'texture ','viewbox' => '0 0 32 32', 'path' =>'<path d="M12.375 28.667l15.625-15.625v3.813l-11.813 11.813h-3.813zM28 25.979q0 1.063-0.813 1.875t-1.875 0.813h-2.625l5.313-5.313v2.625zM6.688 4.667h2.625l-5.313 5.312v-2.625q0-1.063 0.813-1.875t1.875-0.813zM15.813 4.667h3.813l-15.625 15.625v-3.813zM26 4.792q1.563 0.438 1.938 1.875l-21.938 21.875q-1.438-0.438-1.875-1.875z"></path>'),
	   	 			'comment' => array('keywords' => 'comment ','viewbox' => '0 0 32 32', 'path' =>'<path d="M32 16.286q0 3.107-2.143 5.741t-5.821 4.161-8.036 1.527q-1.25 0-2.589-0.143-3.536 3.125-8.214 4.321-0.875 0.25-2.036 0.393-0.304 0.036-0.545-0.161t-0.313-0.518v-0.018q-0.054-0.071-0.009-0.214t0.036-0.179 0.080-0.17l0.107-0.161t0.125-0.152 0.143-0.161q0.125-0.143 0.554-0.616t0.616-0.679 0.554-0.705 0.58-0.911 0.482-1.054 0.464-1.357q-2.804-1.589-4.42-3.929t-1.616-5.018q0-2.321 1.268-4.438t3.411-3.652 5.107-2.438 6.214-0.902q4.357 0 8.036 1.527t5.821 4.161 2.143 5.741z"></path>'),
	   	 			'chess_5' => array('keywords' => 'chess_5 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M23.28 26.029c-0.923-0.436-2.043-2.136-2.375-4.55-0.221-1.607-0.636-6.346-0.818-8.488 0.038-0.004 0.078-0.004 0.114-0.011 1.282-0.104 2.298-1.17 2.298-2.479 0-0.094-0.017-0.183-0.028-0.274 0.017-0.072 0.028-0.148 0.028-0.226v-9c0-0.552-0.448-1-1-1h-11c-0.552 0-1 0.448-1 1v9c0 0.078 0.011 0.153 0.028 0.226-0.011 0.091-0.028 0.181-0.028 0.274 0 1.309 1.015 2.375 2.299 2.479 0.037 0.008 0.076 0.008 0.114 0.011-0.182 2.142-0.597 6.88-0.819 8.488-0.332 2.413-1.452 4.114-2.375 4.55-1.245 0.142-2.22 1.189-2.22 2.471v2.5c0 0.552 0.448 1 1 1h17c0.552 0 1-0.448 1-1v-2.5c0-1.282-0.974-2.33-2.22-2.471zM11.5 10.5c0-0.275 0.224-0.5 0.5-0.5h8c0.276 0 0.5 0.225 0.5 0.5s-0.224 0.5-0.5 0.5h-8c-0.276 0-0.5-0.225-0.5-0.5zM13.919 13h4.161c0.176 2.072 0.607 7.035 0.843 8.752 0.226 1.638 0.777 3.122 1.527 4.248h-8.902c0.75-1.126 1.302-2.611 1.527-4.248 0.236-1.717 0.667-6.681 0.843-8.752zM20.5 2v6.050c-0.096-0.020-0.198-0.022-0.299-0.030-0.065-0.014-0.132-0.021-0.201-0.021h-8c-0.069 0-0.136 0.007-0.201 0.021-0.1 0.008-0.201 0.011-0.299 0.030v-6.051h9zM23.5 30h-15v-1.5c0-0.276 0.223-0.5 0.499-0.5 0 0 0.001 0 0.001 0s0.002 0 0.002 0h13.994c0.001 0 0.002 0 0.003 0 0 0 0 0 0.001 0 0.276 0 0.5 0.224 0.5 0.5v1.5z"></path>'),
	   	 			'leaf2' => array('keywords' => 'leaf2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M22.857 12.857q0-0.464-0.339-0.804t-0.804-0.339q-3.071 0-5.679 0.884t-4.634 2.393-4.205 3.92q-0.339 0.375-0.339 0.804 0 0.464 0.339 0.804t0.804 0.339q0.429 0 0.804-0.339 0.482-0.429 1.321-1.268t1.196-1.179q2.446-2.214 4.795-3.143t5.598-0.929q0.464 0 0.804-0.339t0.339-0.804zM32 9.321q0 1.696-0.357 3.446-0.821 4-3.295 6.839t-6.384 4.786q-3.821 1.929-7.821 1.929-2.643 0-5.107-0.839-0.268-0.089-1.571-0.75t-1.714-0.661q-0.286 0-0.705 0.571t-0.804 1.25-0.938 1.25-1.071 0.571q-0.536 0-0.911-0.196t-0.554-0.429-0.482-0.75q-0.036-0.071-0.107-0.196t-0.098-0.179-0.054-0.17-0.027-0.241q0-0.625 0.554-1.313t1.214-1.17 1.214-1 0.554-0.857q0-0.071-0.25-0.679t-0.286-0.786q-0.161-0.911-0.161-1.857 0-2.054 0.777-3.929t2.125-3.295 3.045-2.482 3.643-1.705q0.982-0.321 2.589-0.455t3.205-0.161 3.188-0.107 2.92-0.429 2.027-1.009l0.527-0.527t0.527-0.5 0.482-0.357 0.652-0.286 0.777-0.080q0.696 0 1.259 0.821t0.848 2 0.429 2.214 0.143 1.714z"></path>'),
	   	 			'blur_circular' => array('keywords' => 'blur_circular ','viewbox' => '0 0 32 32', 'path' =>'<path d="M18.688 17.979q0.563 0 0.938 0.406t0.375 0.969-0.375 0.938-0.938 0.375-0.969-0.375-0.406-0.938 0.406-0.969 0.969-0.406zM18.688 22.667q0.625 0 0.625 0.688 0 0.625-0.625 0.625-0.688 0-0.688-0.625 0-0.688 0.688-0.688zM16 27.354q4.375 0 7.531-3.156t3.156-7.531-3.156-7.531-7.531-3.156-7.531 3.156-3.156 7.531 3.156 7.531 7.531 3.156zM16 3.354q5.5 0 9.406 3.906t3.906 9.406-3.906 9.406-9.406 3.906-9.406-3.906-3.906-9.406 3.906-9.406 9.406-3.906zM22.688 13.354q0.625 0 0.625 0.625 0 0.688-0.625 0.688-0.688 0-0.688-0.688 0-0.625 0.688-0.625zM22.688 18.667q0.625 0 0.625 0.688 0 0.625-0.625 0.625-0.688 0-0.688-0.625 0-0.688 0.688-0.688zM18.688 10.667q-0.688 0-0.688-0.688 0-0.625 0.688-0.625 0.625 0 0.625 0.625 0 0.688-0.625 0.688zM18.688 12.667q0.563 0 0.938 0.375t0.375 0.938-0.375 0.969-0.938 0.406-0.969-0.406-0.406-0.969 0.406-0.938 0.969-0.375zM13.313 10.667q-0.625 0-0.625-0.688 0-0.625 0.625-0.625 0.688 0 0.688 0.625 0 0.688-0.688 0.688zM9.313 18.667q0.688 0 0.688 0.688 0 0.625-0.688 0.625-0.625 0-0.625-0.625 0-0.688 0.625-0.688zM13.313 22.667q0.688 0 0.688 0.688 0 0.625-0.688 0.625-0.625 0-0.625-0.625 0-0.688 0.625-0.688zM9.313 13.354q0.688 0 0.688 0.625 0 0.688-0.688 0.688-0.625 0-0.625-0.688 0-0.625 0.625-0.625zM13.313 17.979q0.563 0 0.969 0.406t0.406 0.969-0.406 0.938-0.969 0.375-0.938-0.375-0.375-0.938 0.375-0.969 0.938-0.406zM13.313 12.667q0.563 0 0.969 0.375t0.406 0.938-0.406 0.969-0.969 0.406-0.938-0.406-0.375-0.969 0.375-0.938 0.938-0.375z"></path>'),
	   	 			'user_person8' => array('keywords' => 'user_person8 ','viewbox' => '0 0 25 32', 'path' =>'<path d="M9 10c2.757 0 5-2.243 5-5s-2.243-5-5-5-5 2.243-5 5 2.243 5 5 5zM9 2c1.655 0 3 1.345 3 3s-1.345 3-3 3-3-1.345-3-3 1.345-3 3-3zM24.707 30.293l-3.535-3.535-0.005 0.005c0.526-0.791 0.834-1.739 0.833-2.761 0.001-2.763-2.239-5.001-5-5.002s-5 2.239-5 5c-0.001 2.761 2.238 5 5 5 1.023 0 1.973-0.308 2.765-0.834l-0.006 0.006 3.535 3.535c0.391 0.39 1.024 0.391 1.415 0s0.391-1.024 0-1.414zM17 27c-1.657 0-3.001-1.343-3.001-3s1.344-3 3-3 3 1.343 3 3c0 1.656-1.343 3-3 3zM10 26h-4.5v-6c0-0.552-0.448-1-1-1h-2.429c0.486-3.387 3.408-6 6.928-6 2.87 0 5.417 1.717 6.489 4.374 0.207 0.512 0.789 0.761 1.302 0.553s0.76-0.79 0.553-1.302c-1.379-3.417-4.654-5.625-8.344-5.625-4.963 0-9 4.037-9 9 0 0.552 0.448 1 1 1h2.5v6c0 0.552 0.448 1 1 1h5.5c0.552 0 1-0.448 1-1s-0.448-1-1-1z"></path>'),
	   	 			'pencil2' => array('keywords' => 'pencil2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M12 20l4-2 14-14-2-2-14 14-2 4zM9.041 27.097c-0.989-2.085-2.052-3.149-4.137-4.137l3.097-8.525 4-2.435 12-12h-6l-12 12-6 20 20-6 12-12v-6l-12 12-2.435 4z"></path>'),
	   	 			'luggage_2' => array('keywords' => 'luggage_2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31 24h-25c-0.551 0-1-0.448-1-1v-8c0-2.206-1.795-4-4-4-0.552 0-1 0.447-1 1s0.448 1 1 1c1.103 0 2 0.897 2 2v8c0 1.654 1.345 3 3 3h4.092c-0.056 0.157-0.092 0.323-0.092 0.5 0 0.828 0.672 1.5 1.5 1.5s1.5-0.672 1.5-1.5c0-0.177-0.036-0.343-0.092-0.5h11.683c-0.055 0.157-0.091 0.323-0.091 0.5 0 0.828 0.672 1.5 1.5 1.5s1.5-0.672 1.5-1.5c0-0.177-0.036-0.343-0.092-0.5h3.592c0.552 0 1-0.448 1-1s-0.448-1-1-1zM9 23h19c1.654 0 3-1.346 3-3v-10c0-1.655-1.346-3-3-3h-5.5v-2c0-0.553-0.448-1-1-1h-6c-0.552 0-1 0.447-1 1v2h-5.5c-1.655 0-3 1.345-3 3v10c0 1.654 1.345 3 3 3zM24 9v12h-11v-12h11zM29 10v10c0 0.552-0.448 1-1 1h-2v-12h2c0.552 0 1 0.448 1 1zM16.5 6h4v1h-4v-1zM8 10c0-0.552 0.448-1 1-1h2v12h-2c-0.552 0-1-0.448-1-1v-10z"></path>'),
	   	 			'palette' => array('keywords' => 'palette ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 2c-8.822 0-16 6.28-16 14 0 1.204 0.176 2.402 0.522 3.561 0.093 0.308 0.327 0.553 0.631 0.658 0.303 0.105 0.639 0.058 0.903-0.127 1.016-0.715 2.207-1.093 3.444-1.093 3.309 0 6 2.692 6 6 0 1.026-0.267 2.042-0.773 2.939-0.152 0.27-0.171 0.594-0.050 0.88s0.366 0.498 0.665 0.578c1.508 0.401 3.075 0.604 4.659 0.604 8.822 0 16-6.28 16-14s-7.178-14-16-14zM16 28c-1.006 0-2.005-0.092-2.982-0.274 0.317-0.872 0.482-1.797 0.482-2.726 0-4.411-3.589-8-8-8-1.17 0-2.308 0.253-3.353 0.738-0.097-0.575-0.147-1.155-0.147-1.739 0-6.617 6.28-12 14-12s14 5.383 14 12-6.28 12-14 12zM16 6c-1.655 0-3 1.345-3 3s1.345 3 3 3 3-1.345 3-3-1.346-3-3-3zM16 10c-0.552 0-1-0.448-1-1s0.448-1 1-1 1 0.448 1 1-0.448 1-1 1zM26.5 11.5c0-1.655-1.346-3-3-3s-3 1.345-3 3 1.346 3 3 3 3-1.345 3-3zM22.5 11.5c0-0.552 0.448-1 1-1s1 0.448 1 1-0.448 1-1 1-1-0.448-1-1zM24.5 16c-1.654 0-3 1.346-3 3s1.346 3 3 3 3-1.346 3-3-1.346-3-3-3zM24.5 20c-0.552 0-1-0.448-1-1s0.448-1 1-1 1 0.448 1 1-0.448 1-1 1zM8.5 8.5c-1.655 0-3 1.345-3 3s1.345 3 3 3 3-1.345 3-3-1.345-3-3-3zM8.5 12.5c-0.551 0-1-0.448-1-1s0.449-1 1-1 1 0.448 1 1-0.448 1-1 1z"></path>'),
	   	 			'painting_tool1' => array('keywords' => 'painting_tool1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M26 0h-17c-1.65 0-3 1.35-3 3v1c-1.655 0-3 1.345-3 3v5.5c0 0.443 0.292 0.833 0.716 0.959l12.784 3.788v3.253h-0.5c-0.552 0-1 0.448-1 1v9.5c0 0.552 0.448 1 1 1h3c0.552 0 1-0.448 1-1v-9.5c0-0.552-0.448-1-1-1h-0.5v-4c0-0.453-0.303-0.832-0.718-0.954l0.002-0.005-12.784-3.787v-4.753c0-0.551 0.449-1 1-1v1c0 1.65 1.35 3 3 3h17c1.65 0 3-1.35 3-3v-4c0-1.65-1.35-3-3-3zM18 30h-1v-7.5h1v7.5zM27 7c0 0.55-0.45 1-1 1h-17c-0.55 0-1-0.45-1-1v-4c0-0.55 0.45-1 1-1h17c0.55 0 1 0.45 1 1v4z"></path>'),
	   	 			'barrel' => array('keywords' => 'barrel ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29.048 7.995c0.529-0.026 0.952-0.459 0.952-0.995 0-0.552-0.448-1-1-1h-0.538c-0.671-2.005-1.548-3.875-2.622-5.542-0.184-0.285-0.5-0.458-0.84-0.458h-18c-0.34 0-0.657 0.173-0.841 0.458-1.075 1.667-1.952 3.537-2.622 5.542h-0.538c-0.552 0-1 0.448-1 1 0 0.536 0.422 0.97 0.952 0.995-0.623 2.446-0.952 5.049-0.952 7.711 0 2.834 0.405 5.654 1.16 8.294h-0.16c-0.552 0-1 0.448-1 1s0.448 1 1 1h0.813c0.748 2.032 1.71 3.92 2.869 5.573 0.187 0.267 0.493 0.427 0.819 0.427h4.999c0.001 0 0.002 0 0.002 0s0.001 0 0.002 0h6.994c0.001 0 0.001 0 0.002 0s0.001 0 0.002 0h4.999c0.326 0 0.632-0.159 0.82-0.427 1.158-1.654 2.12-3.542 2.869-5.573h0.812c0.552 0 1-0.448 1-1s-0.448-1-1-1h-0.16c0.755-2.639 1.16-5.46 1.16-8.294 0-2.662-0.329-5.265-0.952-7.711zM26.334 6h-3.538c-0.369-1.409-0.82-2.75-1.348-4h2.998c0.736 1.217 1.368 2.565 1.887 4zM22 15.706c0 2.851-0.337 5.679-0.96 8.294h-4.040v-16h4.205c0.517 2.442 0.795 5.067 0.795 7.706zM17 30v-4h3.493c-0.445 1.434-0.98 2.78-1.601 4h-1.892zM13.107 30c-0.62-1.22-1.156-2.566-1.601-4h3.494v4h-1.893zM10 15.706c0-2.639 0.277-5.264 0.794-7.706h4.206v16h-4.040c-0.623-2.615-0.96-5.444-0.96-8.294zM15 2v4h-3.713c0.4-1.434 0.888-2.78 1.456-4h2.258zM17 6v-4h2.258c0.567 1.22 1.055 2.566 1.456 4h-3.714zM7.554 2h2.999c-0.528 1.25-0.979 2.591-1.348 4h-3.538c0.519-1.435 1.151-2.783 1.888-4zM4 15.706c0-2.639 0.362-5.264 1.033-7.706h3.712c-0.487 2.443-0.745 5.046-0.745 7.706 0 2.834 0.317 5.655 0.908 8.294h-3.665c-0.808-2.614-1.244-5.444-1.244-8.294zM5.949 26h3.471c0.409 1.415 0.9 2.758 1.467 4h-2.858c-0.806-1.218-1.502-2.564-2.080-4zM23.971 30h-2.859c0.567-1.242 1.059-2.585 1.468-4h3.471c-0.577 1.436-1.273 2.782-2.079 4zM23.091 24c0.591-2.639 0.909-5.46 0.909-8.294 0-2.66-0.258-5.262-0.745-7.706h3.712c0.671 2.442 1.032 5.066 1.032 7.706 0 2.851-0.436 5.68-1.244 8.294h-3.665z"></path>'),
	   	 			'paypal' => array('keywords' => 'paypal ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29.063 9.644c-1.494 6.631-6.106 10.131-13.375 10.131h-2.419l-1.681 10.675h-2.025l-0.106 0.688c-0.069 0.456 0.281 0.863 0.738 0.863h5.175c0.613 0 1.131-0.444 1.231-1.050l0.050-0.262 0.975-6.181 0.063-0.337c0.094-0.606 0.619-1.050 1.231-1.050h0.769c5.012 0 8.938-2.038 10.088-7.925 0.431-2.238 0.269-4.137-0.712-5.55zM25.969 2.413c-1.481-1.688-4.163-2.413-7.587-2.413h-9.944c-0.7 0-1.3 0.506-1.406 1.2l-4.144 26.262c-0.081 0.519 0.319 0.988 0.844 0.988h6.144l1.544-9.781-0.050 0.306c0.106-0.694 0.7-1.2 1.4-1.2h2.919c5.731 0 10.219-2.325 11.531-9.063 0.038-0.2 0.075-0.394 0.1-0.581 0.387-2.487 0-4.188-1.35-5.719z"></path>'),
	   	 			'medallion_prize3' => array('keywords' => 'medallion_prize3 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M15.999 15.499c-2.76 0-5.001 2.24-4.999 5.001-0.001 2.761 2.238 5 5 5 2.761 0 5.002-2.238 5-4.999 0.001-2.761-2.239-5.001-5-5.001zM16 23.5c-1.657 0-2.999-1.343-3-3 0.001-1.657 1.343-3 3-3s3 1.343 3 3c-0 1.655-1.343 3-3 3zM27.5 20.501v0c0.002-4.827-2.974-8.957-7.19-10.663l5.522-8.284c0.204-0.306 0.224-0.701 0.050-1.026s-0.514-0.528-0.882-0.528h-6c-0.334 0-0.646 0.167-0.832 0.446l-2.168 3.252-2.168-3.252c-0.185-0.279-0.498-0.446-0.832-0.446h-6c-0.369 0-0.707 0.203-0.882 0.528s-0.155 0.72 0.050 1.026l5.522 8.283c-4.215 1.706-7.191 5.836-7.19 10.663v0c0 0 0 0 0 0-0 2.027 0.526 3.929 1.446 5.582 1.963 3.529 5.729 5.915 10.054 5.915s8.092-2.387 10.055-5.916c0.92-1.654 1.446-3.555 1.445-5.583 0 0 0 0 0 0zM25.493 20.648c-0.010 0.603-0.070 1.195-0.186 1.765-0.886 4.325-4.715 7.587-9.307 7.588-4.592-0.001-8.421-3.262-9.307-7.587-0.117-0.571-0.176-1.162-0.186-1.765-0-0.050-0.008-0.098-0.008-0.148 0.003-5.245 4.247-9.493 9.491-9.499h0.020c5.244 0.007 9.488 4.254 9.491 9.499 0 0.050-0.006 0.099-0.007 0.148zM19.535 2h3.596l-4.131 6.197-1.798-2.697 2.333-3.5zM12.465 2l4.666 7h-1.112c-0.007 0-0.013-0.001-0.020-0.001s-0.012 0.001-0.020 0.001h-2.445l-4.666-7h3.596z"></path>'),
	   	 			'tv2' => array('keywords' => 'tv2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M28 23.354v-16h-24v16h24zM28 4.667q1.063 0 1.875 0.813t0.813 1.875l-0.063 16q0 1.063-0.781 1.844t-1.844 0.781h-6.688v2.688h-10.625v-2.688h-6.688q-1.063 0-1.875-0.781t-0.813-1.844v-16q0-1.063 0.813-1.875t1.875-0.813h24z"></path>'),
	   	 			'report' => array('keywords' => 'report ','viewbox' => '0 0 32 32', 'path' =>'<path d="M17.313 17.979v-8h-2.625v8h2.625zM16 23.729q0.688 0 1.219-0.531t0.531-1.219-0.531-1.188-1.219-0.5-1.219 0.5-0.531 1.188 0.531 1.219 1.219 0.531zM21 4.667l7 7v10l-7 7h-10l-7-7v-10l7-7h10z"></path>'),
	   	 			'dollar' => array('keywords' => 'dollar ','viewbox' => '0 0 18 32', 'path' =>'<path d="M17.464 21.446q0 2.732-1.777 4.705t-4.616 2.438v3.125q0 0.25-0.161 0.411t-0.411 0.161h-2.411q-0.232 0-0.402-0.17t-0.17-0.402v-3.125q-1.179-0.161-2.277-0.554t-1.813-0.795-1.321-0.857-0.83-0.67-0.313-0.321q-0.304-0.375-0.036-0.732l1.839-2.411q0.125-0.179 0.411-0.214 0.268-0.036 0.429 0.161l0.036 0.036q2.018 1.768 4.339 2.232 0.661 0.143 1.321 0.143 1.446 0 2.545-0.768t1.098-2.179q0-0.5-0.268-0.946t-0.598-0.75-1.045-0.67-1.179-0.571-1.429-0.58q-0.696-0.286-1.098-0.446t-1.098-0.473-1.116-0.554-1.009-0.634-0.955-0.759-0.777-0.875-0.634-1.036-0.375-1.188-0.152-1.393q0-2.464 1.75-4.321t4.554-2.393v-3.214q0-0.232 0.17-0.402t0.402-0.17h2.411q0.25 0 0.411 0.161t0.161 0.411v3.143q1.018 0.107 1.973 0.411t1.554 0.598 1.134 0.67 0.696 0.518 0.268 0.25q0.304 0.321 0.089 0.679l-1.446 2.607q-0.143 0.268-0.411 0.286-0.25 0.054-0.482-0.125-0.054-0.054-0.259-0.214t-0.696-0.473-1.045-0.571-1.33-0.464-1.527-0.205q-1.696 0-2.768 0.768t-1.071 1.982q0 0.464 0.152 0.857t0.527 0.741 0.705 0.589 1 0.554 1.080 0.482 1.25 0.491q0.946 0.357 1.446 0.563t1.357 0.625 1.348 0.759 1.107 0.893 0.946 1.134 0.563 1.366 0.232 1.679z"></path>'),
	   	 			'chat' => array('keywords' => 'chat ','viewbox' => '0 0 32 32', 'path' =>'<path d="M24 11.354v-2.688h-16v2.688h16zM18.688 19.354v-2.688h-10.688v2.688h10.688zM8 12.667v2.688h16v-2.688h-16zM26.688 3.354q1.063 0 1.844 0.781t0.781 1.844v16q0 1.063-0.781 1.875t-1.844 0.813h-18.688l-5.313 5.313v-24q0-1.063 0.781-1.844t1.844-0.781h21.375z"></path>'),
	   	 			'scissors' => array('keywords' => 'scissors ','viewbox' => '0 0 32 32', 'path' =>'<path d="M28.557 21.24c-2.084-3.256-5.659-4.689-7.985-3.201-0.201 0.129-0.385 0.275-0.555 0.437l-2.483-3.883 5.733-8.999c0.469-0.867 0.642-1.899 0.415-2.937-0.218-0.992-0.766-1.826-1.503-2.413l-0.384-0.244-6.796 10.629-6.796-10.629-0.384 0.244c-0.737 0.587-1.285 1.421-1.503 2.413-0.228 1.038-0.055 2.070 0.415 2.937l5.733 8.999-2.483 3.883c-0.169-0.162-0.354-0.308-0.554-0.437-2.326-1.488-5.901-0.055-7.985 3.201s-1.887 7.103 0.438 8.591c2.326 1.488 5.901 0.055 7.985-3.201l5.134-8.058 5.134 8.058c2.084 3.256 5.659 4.689 7.985 3.201s2.522-5.335 0.438-8.591zM7.339 25.013c-0.938 1.466-2.142 2.179-2.955 2.358-0 0-0 0-0 0-0.265 0.058-0.634 0.094-0.885-0.067-0.278-0.178-0.463-0.648-0.494-1.259-0.050-0.989 0.301-2.151 0.965-3.189 0.938-1.466 2.142-2.179 2.955-2.358 0.266-0.058 0.635-0.094 0.886 0.066 0.278 0.178 0.463 0.648 0.494 1.259 0.051 0.989-0.301 2.151-0.965 3.189zM15 16c-0.552 0-1-0.448-1-1s0.448-1 1-1 1 0.448 1 1-0.448 1-1 1zM26.995 26.046c-0.031 0.61-0.216 1.081-0.494 1.259-0.251 0.161-0.62 0.125-0.885 0.067 0 0 0 0-0 0-0.814-0.179-2.017-0.892-2.955-2.358-0.664-1.037-1.016-2.2-0.965-3.189 0.031-0.61 0.216-1.081 0.494-1.259 0.251-0.16 0.62-0.125 0.886-0.066 0.814 0.179 2.017 0.892 2.955 2.358 0.664 1.037 1.016 2.2 0.965 3.189z"></path>'),
	   	 			'sort-numberic-desc' => array('keywords' => 'sort-numberic-desc ','viewbox' => '0 0 32 32', 'path' =>'<path d="M10 24v-24h-4v24h-5l7 7 7-7h-5zM27 32c-0.552 0-1-0.448-1-1v-11h-1c-0.552 0-1-0.448-1-1s0.448-1 1-1h2c0.552 0 1 0.448 1 1v12c0 0.552-0.448 1-1 1zM29 0h-6c-0.552 0-1 0.448-1 1v6c0 0.552 0.448 1 1 1h5v4h-5c-0.552 0-1 0.448-1 1s0.448 1 1 1h6c0.552 0 1-0.448 1-1v-12c0-0.552-0.448-1-1-1zM24 2h4v4h-4v-4z"></path>'),
	   	 			'local_library' => array('keywords' => 'local_library ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 11.354q-1.625 0-2.813-1.188t-1.188-2.813 1.188-2.813 2.813-1.188 2.813 1.188 1.188 2.813-1.188 2.813-2.813 1.188zM16 16.042q5-4.688 12-4.688v14.625q-6.938 0-12 4.75-5.063-4.75-12-4.75v-14.625q7 0 12 4.688z"></path>'),
	   	 			'settings_ethernet' => array('keywords' => 'settings_ethernet ','viewbox' => '0 0 32 32', 'path' =>'<path d="M23.688 7.979l7.25 8.688-7.25 8.688-2.063-1.688 5.813-7-5.813-7zM14.688 17.979v-2.625h2.625v2.625h-2.625zM22.688 15.354v2.625h-2.688v-2.625h2.688zM9.313 17.979v-2.625h2.688v2.625h-2.688zM10.375 9.667l-5.813 7 5.813 7-2.063 1.688-7.25-8.688 7.25-8.688z"></path>'),
	   	 			'grain' => array('keywords' => 'grain ','viewbox' => '0 0 32 32', 'path' =>'<path d="M13.313 5.979q1.063 0 1.875 0.813t0.813 1.875-0.813 1.875-1.875 0.813-1.844-0.813-0.781-1.875 0.781-1.875 1.844-0.813zM18.688 11.354q1.063 0 1.844 0.781t0.781 1.844-0.781 1.875-1.844 0.813-1.875-0.813-0.813-1.875 0.813-1.844 1.875-0.781zM24 16.667q1.063 0 1.875 0.813t0.813 1.875-0.813 1.844-1.875 0.781-1.875-0.781-0.813-1.844 0.813-1.875 1.875-0.813zM18.688 21.979q1.063 0 1.844 0.813t0.781 1.875-0.781 1.875-1.844 0.813-1.875-0.813-0.813-1.875 0.813-1.875 1.875-0.813zM24 11.354q-1.063 0-1.875-0.813t-0.813-1.875 0.813-1.875 1.875-0.813 1.875 0.813 0.813 1.875-0.813 1.875-1.875 0.813zM8 21.979q1.063 0 1.875 0.813t0.813 1.875-0.813 1.875-1.875 0.813-1.875-0.813-0.813-1.875 0.813-1.875 1.875-0.813zM8 11.354q1.063 0 1.875 0.781t0.813 1.844-0.813 1.875-1.875 0.813-1.875-0.813-0.813-1.875 0.813-1.844 1.875-0.781zM13.313 16.667q1.063 0 1.875 0.813t0.813 1.875-0.813 1.844-1.875 0.781-1.844-0.781-0.781-1.844 0.781-1.875 1.844-0.813z"></path>'),
	   	 			'quote' => array('keywords' => 'quote ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 32c8.822 0 16-7.178 16-16s-7.178-16-16-16-16 7.178-16 16 7.178 16 16 16zM16 1c8.271 0 15 6.729 15 15s-6.729 15-15 15-15-6.729-15-15 6.729-15 15-15zM10.734 13.646c0.507 0.165 1.034 0.089 1.531-0.222 0.233-0.146 0.305-0.455 0.158-0.689s-0.454-0.305-0.689-0.158c-0.241 0.15-0.473 0.188-0.688 0.119-0.229-0.075-0.445-0.268-0.626-0.558-0.162-0.258-0.214-0.564-0.146-0.861 0.069-0.298 0.249-0.55 0.508-0.712 0.618-0.39 1.422-0.167 1.943 0.224 0.881 0.659 1.275 1.805 1.275 3.711 0 2.814-1.28 6.313-3.727 7.554-0.246 0.125-0.345 0.426-0.22 0.673 0.090 0.173 0.265 0.273 0.447 0.273 0.076 0 0.153-0.018 0.227-0.054 2.935-1.489 4.273-5.423 4.273-8.446 0-2.222-0.532-3.655-1.675-4.512-0.952-0.717-2.188-0.824-3.073-0.271-0.485 0.303-0.823 0.777-0.951 1.335s-0.032 1.132 0.271 1.616c0.307 0.49 0.708 0.828 1.162 0.978zM18.734 13.646c0.506 0.165 1.034 0.089 1.531-0.222 0.233-0.146 0.305-0.455 0.158-0.689s-0.454-0.305-0.689-0.158c-0.24 0.15-0.473 0.188-0.688 0.119-0.229-0.075-0.445-0.268-0.626-0.558-0.162-0.258-0.214-0.564-0.146-0.861 0.069-0.298 0.249-0.55 0.508-0.712 0.619-0.39 1.423-0.167 1.943 0.224 0.881 0.659 1.275 1.805 1.275 3.711 0 2.814-1.28 6.313-3.727 7.554-0.246 0.125-0.345 0.426-0.22 0.673 0.090 0.173 0.265 0.273 0.447 0.273 0.076 0 0.153-0.018 0.227-0.054 2.935-1.489 4.273-5.423 4.273-8.446 0-2.222-0.532-3.655-1.675-4.512-0.952-0.717-2.188-0.824-3.073-0.271-0.485 0.303-0.823 0.777-0.951 1.335-0.129 0.558-0.032 1.132 0.271 1.616 0.307 0.49 0.708 0.828 1.162 0.978z"></path>'),
	   	 			'target_symbol4' => array('keywords' => 'target_symbol4 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25.707 10.283l-3.427-4.282 3.5-4.375c0.24-0.301 0.287-0.712 0.121-1.058-0.167-0.346-0.517-0.567-0.901-0.567h-12.001c-0.552 0-1 0.448-1 1v26.613l-4.684-1.561c-0.522-0.174-1.090 0.108-1.265 0.633s0.109 1.090 0.633 1.265l3.154 1.052-3.154 1.051c-0.524 0.175-0.807 0.741-0.633 1.265 0.139 0.419 0.53 0.684 0.949 0.684 0.105 0 0.212-0.017 0.317-0.052l5.666-1.889c0.006 0 0.011 0.002 0.018 0.002s0.012-0.002 0.018-0.002l5.666 1.889c0.105 0.035 0.212 0.052 0.317 0.052 0.419 0 0.808-0.265 0.948-0.684 0.175-0.524-0.108-1.090-0.632-1.265l-3.154-1.051 3.154-1.052c0.523-0.175 0.806-0.741 0.632-1.264s-0.741-0.806-1.264-0.633l-4.684 1.561v-15.614h11c0.004-0.001 0.007 0 0.010 0 0.552 0 1-0.448 1-1 0-0.281-0.116-0.535-0.303-0.717zM14.001 10v-8h8.919l-2.7 3.375c-0.292 0.365-0.292 0.885 0 1.25l2.7 3.375h-8.919z"></path>'),
	   	 			'file-word-o' => array('keywords' => 'file-word-o ','viewbox' => '0 0 27 32', 'path' =>'<path d="M26.214 7.071q0.5 0.5 0.857 1.357t0.357 1.571v20.571q0 0.714-0.5 1.214t-1.214 0.5h-24q-0.714 0-1.214-0.5t-0.5-1.214v-28.571q0-0.714 0.5-1.214t1.214-0.5h16q0.714 0 1.571 0.357t1.357 0.857zM18.286 2.714v6.714h6.714q-0.179-0.518-0.393-0.732l-5.589-5.589q-0.214-0.214-0.732-0.393zM25.143 30v-18.286h-7.429q-0.714 0-1.214-0.5t-0.5-1.214v-7.429h-13.714v27.429h22.857zM4.161 14v1.911h1.25l2.929 11.804h2.839l2.286-8.661q0.125-0.357 0.179-0.821 0.036-0.286 0.036-0.429h0.071l0.054 0.429q0.018 0.054 0.063 0.357t0.098 0.464l2.286 8.661h2.839l2.929-11.804h1.25v-1.911h-5.357v1.911h1.607l-1.768 7.821q-0.089 0.357-0.125 0.821l-0.036 0.375h-0.071l-0.054-0.375q-0.018-0.089-0.071-0.375t-0.089-0.446l-2.571-9.732h-2.036l-2.571 9.732q-0.036 0.161-0.080 0.438t-0.063 0.384l-0.071 0.375h-0.071l-0.036-0.375q-0.036-0.464-0.125-0.821l-1.768-7.821h1.607v-1.911h-5.357z"></path>'),
	   	 			'settings_voice' => array('keywords' => 'settings_voice ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25.313 13.979q0 3.375-2.344 5.938t-5.656 3.063v4.375h-2.625v-4.375q-3.313-0.5-5.656-3.063t-2.344-5.938h2.25q0 2.938 2.094 4.875t4.969 1.938 4.969-1.938 2.094-4.875h2.25zM20 32.667v-2.688h2.688v2.688h-2.688zM14.688 32.667v-2.688h2.625v2.688h-2.625zM16 17.979q-1.625 0-2.813-1.188t-1.188-2.813v-8q0-1.625 1.188-2.813t2.813-1.188 2.813 1.188 1.188 2.813v8q0 1.625-1.188 2.813t-2.813 1.188zM9.313 32.667v-2.688h2.688v2.688h-2.688z"></path>'),
	   	 			'wordpress' => array('keywords' => 'wordpress ','viewbox' => '0 0 32 32', 'path' =>'<path d="M4 16c0 4.626 2.76 8.624 6.763 10.518l-5.724-15.274c-0.666 1.453-1.039 3.062-1.039 4.756zM24.101 15.41c0-1.445-0.533-2.445-0.989-3.223-0.608-0.963-1.179-1.778-1.179-2.741 0-1.074 0.836-2.074 2.015-2.074 0.053 0 0.104 0.006 0.155 0.009-2.135-1.905-4.979-3.069-8.103-3.069-4.192 0-7.881 2.095-10.026 5.268 0.282 0.009 0.547 0.014 0.772 0.014 1.255 0 3.198-0.149 3.198-0.149 0.647-0.037 0.723 0.889 0.077 0.963 0 0-0.65 0.074-1.373 0.111l4.37 12.66 2.626-7.671-1.869-4.989c-0.646-0.037-1.259-0.111-1.259-0.111-0.647-0.037-0.571-1 0.076-0.963 0 0 1.981 0.149 3.16 0.149 1.255 0 3.198-0.149 3.198-0.149 0.647-0.037 0.723 0.889 0.076 0.963 0 0-0.651 0.074-1.373 0.111l4.337 12.563 1.197-3.895c0.518-1.617 0.913-2.778 0.913-3.778zM16.211 17.022l-3.601 10.189c1.075 0.308 2.212 0.476 3.39 0.476 1.397 0 2.738-0.235 3.985-0.663-0.032-0.050-0.062-0.103-0.086-0.161l-3.688-9.842zM26.53 10.393c0.052 0.372 0.081 0.771 0.081 1.202 0 1.185-0.228 2.519-0.913 4.186l-3.665 10.321c3.568-2.026 5.967-5.79 5.967-10.102 0-2.032-0.533-3.943-1.47-5.607zM16 0c-8.837 0-16 7.163-16 16s7.163 16 16 16 16-7.163 16-16-7.163-16-16-16zM16 30c-7.732 0-14-6.268-14-14s6.268-14 14-14 14 6.268 14 14-6.268 14-14 14z"></path>'),
	   	 			'games' => array('keywords' => 'games ','viewbox' => '0 0 32 32', 'path' =>'<path d="M22 12.667h7.313v8h-7.313l-4-4zM12 22.667l4-4 4 4v7.313h-8v-7.313zM10 12.667l4 4-4 4h-7.313v-8h7.313zM20 10.667l-4 4-4-4v-7.313h8v7.313z"></path>'),
	   	 			'sort-amount-asc2' => array('keywords' => 'sort-amount-asc2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M13.143 26q0 0.214-0.179 0.429l-5.696 5.696q-0.179 0.161-0.411 0.161-0.214 0-0.411-0.161l-5.714-5.714q-0.268-0.286-0.125-0.625 0.143-0.357 0.536-0.357h3.429v-24.571q0-0.25 0.161-0.411t0.411-0.161h3.429q0.25 0 0.411 0.161t0.161 0.411v24.571h3.429q0.25 0 0.411 0.161t0.161 0.411zM32 28.286v3.429q0 0.25-0.161 0.411t-0.411 0.161h-14.857q-0.25 0-0.411-0.161t-0.161-0.411v-3.429q0-0.25 0.161-0.411t0.411-0.161h14.857q0.25 0 0.411 0.161t0.161 0.411zM28.571 19.143v3.429q0 0.25-0.161 0.411t-0.411 0.161h-11.429q-0.25 0-0.411-0.161t-0.161-0.411v-3.429q0-0.25 0.161-0.411t0.411-0.161h11.429q0.25 0 0.411 0.161t0.161 0.411zM25.143 10v3.429q0 0.25-0.161 0.411t-0.411 0.161h-8q-0.25 0-0.411-0.161t-0.161-0.411v-3.429q0-0.25 0.161-0.411t0.411-0.161h8q0.25 0 0.411 0.161t0.161 0.411zM21.714 0.857v3.429q0 0.25-0.161 0.411t-0.411 0.161h-4.571q-0.25 0-0.411-0.161t-0.161-0.411v-3.429q0-0.25 0.161-0.411t0.411-0.161h4.571q0.25 0 0.411 0.161t0.161 0.411z"></path>'),
	   	 			'spinner' => array('keywords' => 'spinner ','viewbox' => '0 0 32 32', 'path' =>'<path d="M12 4c0-2.209 1.791-4 4-4s4 1.791 4 4c0 2.209-1.791 4-4 4s-4-1.791-4-4zM20.485 7.515c0-2.209 1.791-4 4-4s4 1.791 4 4c0 2.209-1.791 4-4 4s-4-1.791-4-4zM26 16c0-1.105 0.895-2 2-2s2 0.895 2 2c0 1.105-0.895 2-2 2s-2-0.895-2-2zM22.485 24.485c0-1.105 0.895-2 2-2s2 0.895 2 2c0 1.105-0.895 2-2 2s-2-0.895-2-2zM14 28c0 0 0 0 0 0 0-1.105 0.895-2 2-2s2 0.895 2 2c0 0 0 0 0 0 0 1.105-0.895 2-2 2s-2-0.895-2-2zM5.515 24.485c0 0 0 0 0 0 0-1.105 0.895-2 2-2s2 0.895 2 2c0 0 0 0 0 0 0 1.105-0.895 2-2 2s-2-0.895-2-2zM4.515 7.515c0 0 0 0 0 0 0-1.657 1.343-3 3-3s3 1.343 3 3c0 0 0 0 0 0 0 1.657-1.343 3-3 3s-3-1.343-3-3zM1.75 16c0-1.243 1.007-2.25 2.25-2.25s2.25 1.007 2.25 2.25c0 1.243-1.007 2.25-2.25 2.25s-2.25-1.007-2.25-2.25z"></path>'),
	   	 			'weather_4' => array('keywords' => 'weather_4 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M26 25.5h-25c-0.552 0-1-0.448-1-1s0.448-1 1-1h25c0.552 0 1 0.448 1 1s-0.448 1-1 1zM31 29.5h-25c-0.552 0-1-0.448-1-1s0.448-1 1-1h25c0.552 0 1 0.448 1 1s-0.448 1-1 1zM25 20.5h-19c-3.308 0-6-2.692-6-6s2.692-6 6-6c0.495 0 0.981 0.060 1.454 0.18 1.198-3.642 4.626-6.18 8.546-6.18 3.094 0 5.928 1.571 7.576 4.149 0.471-0.098 0.947-0.149 1.424-0.149 3.86 0 7 3.14 7 7s-3.14 7-7 7zM6 10.5c-2.205 0-4 1.794-4 4s1.795 4 4 4h19c2.758 0 5-2.243 5-5s-2.242-5-5-5c-0.534 0-1.068 0.088-1.587 0.261-0.465 0.157-0.977-0.050-1.204-0.486-1.212-2.328-3.591-3.775-6.209-3.775-3.352 0-6.242 2.388-6.87 5.677-0.059 0.304-0.255 0.565-0.531 0.704s-0.603 0.145-0.882 0.011c-0.545-0.259-1.123-0.392-1.716-0.392z"></path>'),
	   	 			'desktop_modern' => array('keywords' => 'desktop_modern ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 2.5h-26c-1.65 0-3 1.35-3 3v16c0 1.65 1.35 3 3 3h12v3h-4.5c-0.552 0-1 0.448-1 1s0.448 1 1 1c0.001 0 0.002 0 0.002 0h10.995c0.001 0 0.002 0 0.003 0 0.552 0 1-0.448 1-1s-0.448-1-1-1h-4.5c0-0.001 0-0.002 0-0.003v-2.995c0-0.001 0-0.002 0-0.003h12c1.65 0 3-1.35 3-3v-16c0-1.65-1.35-3-3-3zM30 21.5c0 0.55-0.45 1-1 1h-26c-0.55 0-1-0.45-1-1v-16c0-0.55 0.45-1 1-1h26c0.55 0 1 0.45 1 1v16z"></path>'),
	   	 			'document_dollar_sign' => array('keywords' => 'document_dollar_sign ','viewbox' => '0 0 32 32', 'path' =>'<path d="M24.75 9.585v-6.585c0-1.651-1.35-3-3-3h-17c-1.65 0-3 1.349-3 3v26c0 1.649 1.35 3 3 3h17c1.65 0 3-1.351 3-3v-6.585c3.114-0.483 5.5-3.167 5.5-6.415 0-3.249-2.386-5.934-5.5-6.415zM22.75 29c0 0.55-0.45 1-1 1h-17c-0.55 0-1-0.45-1-1v-26c0-0.55 0.45-1 1-1h17c0.55 0 1 0.45 1 1v6.585c-1.125 0.175-2.154 0.634-3.011 1.307-0.055-0.501-0.474-0.892-0.989-0.892-0.001 0-0.002 0-0.003 0h-10.995c-0.001 0-0.002 0-0.003 0-0.552 0-1 0.447-1 1s0.448 1 1 1v0h10.884c-0.669 0.854-1.128 1.88-1.302 3h-9.579c-0.001 0-0.002-0.001-0.003-0.001-0.552 0-1 0.448-1 1s0.448 1 1 1v0h9.582c0.432 2.785 2.631 4.983 5.418 5.415v6.585zM23.75 21c-2.761 0-5-2.239-5-5s2.239-5 5-5 5 2.239 5 5c0 2.761-2.239 5-5 5zM14.25 20c-0.001 0-0.002 0-0.002 0h-6.495c-0.001 0-0.002-0-0.003-0-0.552 0-1 0.448-1 1s0.448 1 1 1v0l6.5-0c0.552 0 1-0.448 1-1s-0.448-1-1-1zM23.326 14.531h2.037v-1.032h-1.069v-1h-1.032v1.007c-0.838 0.034-1.511 0.722-1.511 1.567 0 0.869 0.707 1.575 1.576 1.575h0.462c0.299 0 0.543 0.244 0.543 0.543s-0.244 0.542-0.543 0.542h-2.037v1.032h1.511v0.733h1.032v-0.824c0.619-0.212 1.069-0.794 1.069-1.483 0-0.869-0.706-1.575-1.575-1.575h-0.462c-0.3 0-0.544-0.243-0.544-0.543s0.244-0.543 0.544-0.543z"></path>'),
	   	 			'message2' => array('keywords' => 'message2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 5h-26c-1.655 0-3 1.345-3 3v16c0 1.654 1.345 3 3 3h26c1.654 0 3-1.346 3-3v-16c0-1.655-1.346-3-3-3zM28.381 7l-12.213 9.596c-0.070 0.055-0.268 0.055-0.337 0l-12.213-9.595h24.763zM29 25h-26c-0.551 0-1-0.448-1-1v-15.728l12.596 9.897c0.4 0.314 0.902 0.471 1.404 0.471s1.004-0.157 1.404-0.471l12.596-9.897v15.728c0 0.552-0.448 1-1 1z"></path>'),
	   	 			'sending_message' => array('keywords' => 'sending_message ','viewbox' => '0 0 32 32', 'path' =>'<path d="M12.5 20c0-0.552-0.448-1-1-1h-7c-0.552 0-1 0.448-1 1s0.448 1 1 1h7c0.552 0 1-0.448 1-1zM10.5 16c0-0.552-0.448-1-1-1h-7c-0.552 0-1 0.448-1 1s0.448 1 1 1h7c0.552 0 1-0.448 1-1zM9 12c0-0.552-0.448-1-1-1h-7c-0.552 0-1 0.448-1 1s0.448 1 1 1h7c0.552 0 1-0.448 1-1zM31.945 7.67c0-0-0-0 0 0-0-0.002-0.001-0.002-0.001-0.003v0c-0.041-0.117-0.105-0.224-0.183-0.317-0.093-0.109-0.204-0.192-0.326-0.251-0.118-0.057-0.25-0.092-0.389-0.098-0.018-0.001-0.035-0.001-0.055-0.001h-22.99c-0.427 0-0.806 0.271-0.946 0.674s-0.007 0.851 0.329 1.114l10.713 8.384c0.8 0.625 2.007 0.627 2.808 0l9.096-7.12v12.947h-22c-0.552 0-1 0.448-1 1s0.448 1 1 1h23c0.552 0 1-0.448 1-1v-15.991c0.001-0.114-0.017-0.229-0.055-0.34zM19.672 15.596c-0.070 0.055-0.273 0.055-0.343 0l-8.428-6.596h17.199l-8.427 6.596z"></path>'),
	   	 			'local_grocery_store' => array('keywords' => 'local_grocery_store ','viewbox' => '0 0 32 32', 'path' =>'<path d="M22.688 24.667q1.063 0 1.844 0.813t0.781 1.875-0.781 1.844-1.844 0.781-1.875-0.781-0.813-1.844 0.813-1.875 1.875-0.813zM1.313 3.354h4.375l1.25 2.625h19.75q0.563 0 0.938 0.406t0.375 0.969q0 0.313-0.188 0.625l-4.75 8.625q-0.75 1.375-2.313 1.375h-9.938l-1.188 2.188-0.063 0.188q0 0.313 0.313 0.313h15.438v2.688h-16q-1.063 0-1.844-0.813t-0.781-1.875q0-0.625 0.313-1.25l1.813-3.313-4.813-10.125h-2.688v-2.625zM9.313 24.667q1.063 0 1.875 0.813t0.813 1.875-0.813 1.844-1.875 0.781-1.844-0.781-0.781-1.844 0.781-1.875 1.844-0.813z"></path>'),
	   	 			'briefcase3' => array('keywords' => 'briefcase3 ','viewbox' => '0 0 38 32', 'path' =>'<path d="M37.5 18c-0.276 0-0.5 0.224-0.5 0.5v12c0 0.276-0.224 0.5-0.5 0.5h-35c-0.276 0-0.5-0.224-0.5-0.5v-12c0-0.276-0.224-0.5-0.5-0.5s-0.5 0.224-0.5 0.5v12c0 0.827 0.673 1.5 1.5 1.5h35c0.827 0 1.5-0.673 1.5-1.5v-12c0-0.276-0.224-0.5-0.5-0.5zM25.5 5c0.276 0 0.5-0.224 0.5-0.5v-3c0-0.827-0.673-1.5-1.5-1.5h-11c-0.827 0-1.5 0.673-1.5 1.5v3c0 0.276 0.224 0.5 0.5 0.5s0.5-0.224 0.5-0.5v-3c0-0.276 0.224-0.5 0.5-0.5h11c0.276 0 0.5 0.224 0.5 0.5v3c0 0.276 0.224 0.5 0.5 0.5zM36.5 7h-35c-0.827 0-1.5 0.673-1.5 1.5v4.958c0 2.778 9.456 6.5 19.125 6.5 9.543 0 18.875-3.722 18.875-6.5v-4.958c0-0.827-0.673-1.5-1.5-1.5zM37 13.458c0 1.764-8.457 5.5-17.875 5.5-9.55 0-18.125-3.735-18.125-5.5v-4.958c0-0.276 0.224-0.5 0.5-0.5h35c0.276 0 0.5 0.224 0.5 0.5v4.958zM19.125 23c0.943 0 1.923-0.039 2.914-0.116 0.275-0.021 0.481-0.262 0.459-0.538-0.021-0.275-0.252-0.486-0.538-0.459-2.014 0.157-3.909 0.15-5.919-0.020-0.264-0.027-0.517 0.181-0.54 0.456s0.181 0.517 0.456 0.54c1.076 0.091 2.142 0.137 3.168 0.137z"></path>'),
	   	 			'television' => array('keywords' => 'television ','viewbox' => '0 0 34 32', 'path' =>'<path d="M32 22.571v-17.143q0-0.232-0.17-0.402t-0.402-0.17h-28.571q-0.232 0-0.402 0.17t-0.17 0.402v17.143q0 0.232 0.17 0.402t0.402 0.17h28.571q0.232 0 0.402-0.17t0.17-0.402zM34.286 5.429v17.143q0 1.179-0.839 2.018t-2.018 0.839h-13.143v2.286h6.286q0.25 0 0.411 0.161t0.161 0.411v1.143q0 0.25-0.161 0.411t-0.411 0.161h-14.857q-0.25 0-0.411-0.161t-0.161-0.411v-1.143q0-0.25 0.161-0.411t0.411-0.161h6.286v-2.286h-13.143q-1.179 0-2.018-0.839t-0.839-2.018v-17.143q0-1.179 0.839-2.018t2.018-0.839h28.571q1.179 0 2.018 0.839t0.839 2.018z"></path>'),
	   	 			'desktop_mac' => array('keywords' => 'desktop_mac ','viewbox' => '0 0 32 32', 'path' =>'<path d="M28 19.354v-13.375h-24v13.375h24zM28 3.354q1.063 0 1.875 0.781t0.813 1.844v16q0 1.063-0.813 1.875t-1.875 0.813h-9.313l2.625 4v1.313h-10.625v-1.313l2.625-4h-9.313q-1.063 0-1.875-0.813t-0.813-1.875v-16q0-1.063 0.813-1.844t1.875-0.781h24z"></path>'),
	   	 			'medallion_prize4' => array('keywords' => 'medallion_prize4 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M20.26 19.056l-2.762-0.401-1.235-2.5c-0.047-0.096-0.145-0.156-0.252-0.156s-0.204 0.060-0.252 0.156l-1.235 2.5-2.761 0.401c-0.106 0.015-0.194 0.090-0.226 0.191s-0.005 0.213 0.071 0.288l1.998 1.945-0.471 2.747c-0.018 0.105 0.024 0.212 0.111 0.274s0.201 0.072 0.296 0.021l2.47-1.297 2.47 1.297c0.041 0.021 0.085 0.032 0.13 0.032 0.058 0 0.116-0.018 0.165-0.053 0.087-0.063 0.13-0.169 0.111-0.274l-0.471-2.747 1.997-1.945c0.076-0.074 0.105-0.186 0.072-0.288s-0.122-0.176-0.227-0.191zM27.5 20.502v0c0.002-4.827-2.974-8.957-7.191-10.664l5.523-8.284c0.204-0.306 0.224-0.701 0.050-1.026s-0.514-0.528-0.882-0.528h-6c-0.334 0-0.646 0.167-0.832 0.446l-2.168 3.252-2.168-3.252c-0.185-0.279-0.498-0.446-0.832-0.446h-6c-0.369 0-0.707 0.203-0.882 0.528s-0.155 0.72 0.050 1.026l5.522 8.283c-4.216 1.706-7.192 5.836-7.191 10.663v0c0 0 0 0 0 0-0 2.026 0.526 3.929 1.446 5.582 1.962 3.529 5.728 5.915 10.055 5.915s8.092-2.387 10.055-5.916c0.92-1.654 1.446-3.556 1.445-5.583 0 0 0 0 0 0zM25.493 20.648c-0.010 0.604-0.070 1.195-0.186 1.765-0.886 4.325-4.715 7.586-9.307 7.587-4.592-0.001-8.421-3.262-9.307-7.587-0.117-0.572-0.176-1.162-0.186-1.765-0-0.050-0.008-0.099-0.008-0.148 0.003-5.249 4.252-9.499 9.501-9.5 5.249 0.001 9.498 4.251 9.501 9.5 0 0.050-0.007 0.099-0.008 0.148zM19.535 2h3.596l-4.131 6.197-1.798-2.697 2.333-3.5zM12.465 2l4.666 7h-3.596l-4.666-7h3.596z"></path>'),
	   	 			'eraser' => array('keywords' => 'eraser ','viewbox' => '0 0 34 32', 'path' =>'<path d="M16 25.429l6-6.857h-13.714l-6 6.857h13.714zM34.089 6.196q0.268 0.607 0.17 1.277t-0.545 1.17l-16 18.286q-0.679 0.786-1.714 0.786h-13.714q-0.679 0-1.241-0.366t-0.848-0.973q-0.268-0.607-0.17-1.277t0.545-1.17l16-18.286q0.679-0.786 1.714-0.786h13.714q0.679 0 1.241 0.366t0.848 0.973z"></path>'),
	   	 			'dollar_bag' => array('keywords' => 'dollar_bag ','viewbox' => '0 0 32 32', 'path' =>'<path d="M11.681 6.573c0.188 0.268 0.493 0.427 0.819 0.427h7c0.326 0 0.633-0.159 0.82-0.427l3.5-5c0.214-0.305 0.24-0.704 0.068-1.035s-0.514-0.538-0.887-0.538h-14c-0.373 0-0.715 0.207-0.886 0.538s-0.146 0.73 0.068 1.035l3.499 5zM21.079 2l-2.1 3h-5.959l-2.1-3h10.158zM20.32 8.211l-0.271-0.211h-8.098l-0.271 0.211c-5.274 4.103-8.681 10.104-8.681 15.289 0 8.5 6.609 8.5 13 8.5s13 0 13-8.5c0-5.185-3.407-11.187-8.68-15.289zM16 30c-7.816 0-11-0.588-11-6.5 0-4.505 2.989-9.773 7.642-13.5h6.717c4.652 3.727 7.642 8.995 7.642 13.5 0 5.912-3.183 6.5-11 6.5zM16 16.5c0.827 0 1.5 0.673 1.5 1.5 0 0.552 0.448 1 1 1s1-0.448 1-1c0-1.587-1.063-2.929-2.514-3.357 0.006-0.047 0.014-0.094 0.014-0.143v-1c0-0.552-0.448-1-1-1s-1 0.448-1 1v1c0 0.050 0.008 0.096 0.014 0.143-1.451 0.428-2.514 1.769-2.514 3.357 0 1.869 1.838 2.492 3.179 2.947 1.066 0.361 1.821 0.648 1.821 1.052 0 0.827-0.673 1.5-1.5 1.5s-1.5-0.673-1.5-1.5c0-0.552-0.447-1-1-1s-1 0.448-1 1c0 1.587 1.063 2.929 2.514 3.357-0.007 0.047-0.014 0.094-0.014 0.143v1c0 0.552 0.448 1 1 1s1-0.448 1-1v-1c0-0.049-0.008-0.096-0.014-0.143 1.451-0.427 2.514-1.769 2.514-3.357 0-1.869-1.837-2.492-3.178-2.948-1.066-0.361-1.822-0.648-1.822-1.052 0-0.827 0.673-1.5 1.5-1.5z"></path>'),
	   	 			'IcoMoon' => array('keywords' => 'IcoMoon ','viewbox' => '0 0 32 32', 'path' =>'<path d="M8.111 16c0-2.044 1.657-3.701 3.701-3.701s3.701 1.657 3.701 3.701c0 2.044-1.657 3.701-3.701 3.701s-3.701-1.657-3.701-3.701zM16 0c-8.837 0-16 7.163-16 16s7.163 16 16 16c8.836 0 16-7.163 16-16s-7.163-16-16-16zM11.856 29.978c-4.811-2.799-8.046-8.010-8.046-13.978s3.235-11.178 8.046-13.978c4.813 2.799 8.050 8.009 8.050 13.978s-3.237 11.179-8.050 13.978z"></path>'),
	   	 			'folder_9' => array('keywords' => 'folder_9 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M22 11.5h-12c-0.553 0-1 0.448-1 1 0 0.002 0.001 0.004 0.001 0.005v10.99c0 0.002-0.001 0.004-0.001 0.005 0 0.552 0.447 1 1 1h12c0.552 0 1-0.448 1-1v0-11c0-0.552-0.448-1-1-1zM10.861 13h10.639v8.080l-2.965-2.966c-0.028-0.046-0.061-0.090-0.099-0.129-0.143-0.143-0.337-0.209-0.534-0.2-0.2-0.010-0.397 0.055-0.541 0.201-0.040 0.040-0.073 0.084-0.101 0.131l-1.219 1.219-1.222-1.221c-0.028-0.046-0.060-0.090-0.1-0.129-0.143-0.143-0.337-0.209-0.534-0.2-0.2-0.010-0.397 0.055-0.541 0.201-0.040 0.040-0.073 0.084-0.101 0.131l-3.004 3.004c-0.012 0.012-0.026 0.031-0.039 0.046v-8.168h0.361zM10.75 23l3.431-3.431 3.432 3.431h-6.864zM19.704 23l-2.619-2.618 0.813-0.813 3.432 3.43h-1.626zM14 15.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM29 6.5h-14.070l-3.369-3.561c-0.293-0.293-0.677-0.439-1.061-0.439v0h-7.5c-1.65 0-3 1.349-3 3v21c0 1.649 1.35 3 3 3h26c1.65 0 3-1.351 3-3v-17c0-1.651-1.35-3-3-3zM30 26.5c0 0.55-0.45 1-1 1h-26c-0.55 0-1-0.45-1-1v-17c0-0.55 0.45-1 1-1h11.499c0.001 0 0.001 0 0.001 0h14.5c0.55 0 1 0.45 1 1v17z"></path>'),
	   	 			'arrow-down' => array('keywords' => 'arrow-down ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 31l15-15h-9v-16h-12v16h-9z"></path>'),
	   	 			'leaf' => array('keywords' => 'leaf ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31.604 4.203c-3.461-2.623-8.787-4.189-14.247-4.189-6.754 0-12.257 2.358-15.099 6.469-1.335 1.931-2.073 4.217-2.194 6.796-0.108 2.296 0.278 4.835 1.146 7.567 2.965-8.887 11.244-15.847 20.79-15.847 0 0-8.932 2.351-14.548 9.631-0.003 0.004-0.078 0.097-0.207 0.272-1.128 1.509-2.111 3.224-2.846 5.166-1.246 2.963-2.4 7.030-2.4 11.931h4c0 0-0.607-3.819 0.449-8.212 1.747 0.236 3.308 0.353 4.714 0.353 3.677 0 6.293-0.796 8.231-2.504 1.736-1.531 2.694-3.587 3.707-5.764 1.548-3.325 3.302-7.094 8.395-10.005 0.292-0.167 0.48-0.468 0.502-0.804s-0.126-0.659-0.394-0.862z"></path>'),
	   	 			'yoast' => array('keywords' => 'yoast ','viewbox' => '0 0 30 32', 'path' =>'<path d="M6.054 4.179h12.339l-0.464 1.286h-11.875q-1.964 0-3.366 1.411t-1.402 3.375v13.768q0 1.696 1.080 3.027t2.741 1.67q0.411 0.089 1.75 0.089v1.286h-0.804q-2.5 0-4.277-1.786t-1.777-4.286v-13.768q0-2.5 1.777-4.286t4.277-1.786zM21.25 0.286h4.411l-8.607 23.107q-0.411 1.089-0.723 1.848t-0.804 1.75-0.964 1.67-1.152 1.402-1.42 1.161-1.705 0.732-2.071 0.33v-3.482q2.911-0.464 3.929-3.25 0.357-0.929 0.357-1.875 0-0.964-0.357-1.893l-5.089-13.089h4.071l3.339 10.446zM29.714 10.25v19.839h-14.196q0.661-0.982 0.804-1.304h12.107v-18.536q0-1.518-0.884-2.768t-2.313-1.768l0.446-1.196q1.804 0.607 2.92 2.205t1.116 3.527z"></path>'),
	   	 			'flash_auto' => array('keywords' => 'flash_auto ','viewbox' => '0 0 32 32', 'path' =>'<path d="M22.438 10.854h3.125l-1.563-4.875zM25.313 3.354l4.313 12h-2.563l-0.938-2.688h-4.25l-0.938 2.688h-2.563l4.313-12h2.625zM4 3.354h13.313l-5.313 12h5.313l-9.313 16v-12h-4v-16z"></path>'),
	   	 			'access_alarms' => array('keywords' => 'access_alarms ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 27.354q3.875 0 6.594-2.75t2.719-6.625-2.719-6.594-6.594-2.719-6.594 2.719-2.719 6.594 2.719 6.625 6.594 2.75zM16 5.979q5 0 8.5 3.5t3.5 8.5-3.5 8.5-8.5 3.5-8.5-3.5-3.5-8.5 3.5-8.5 8.5-3.5zM16.688 11.354v7.063l5.313 3.188-1.063 1.625-6.25-3.875v-8h2zM10.563 5.229l-6.188 5.062-1.688-2 6.125-5.063zM29.313 8.292l-1.688 2-6.188-5.25 1.75-2z"></path>'),
	   	 			'edit' => array('keywords' => 'edit ','viewbox' => '0 0 32 32', 'path' =>'<path d="M15.857 21.429l2.071-2.071-2.714-2.714-2.071 2.071v1h1.714v1.714h1zM23.714 8.571q-0.286-0.286-0.589 0.018l-6.25 6.25q-0.304 0.304-0.018 0.589t0.589-0.018l6.25-6.25q0.304-0.304 0.018-0.589zM25.143 19.179v3.393q0 2.125-1.509 3.634t-3.634 1.509h-14.857q-2.125 0-3.634-1.509t-1.509-3.634v-14.857q0-2.125 1.509-3.634t3.634-1.509h14.857q1.125 0 2.089 0.446 0.268 0.125 0.321 0.411 0.054 0.304-0.161 0.518l-0.875 0.875q-0.25 0.25-0.571 0.143-0.411-0.107-0.804-0.107h-14.857q-1.179 0-2.018 0.839t-0.839 2.018v14.857q0 1.179 0.839 2.018t2.018 0.839h14.857q1.179 0 2.018-0.839t0.839-2.018v-2.25q0-0.232 0.161-0.393l1.143-1.143q0.268-0.268 0.625-0.125t0.357 0.518zM23.429 6l5.143 5.143-12 12h-5.143v-5.143zM31.357 8.357l-1.643 1.643-5.143-5.143 1.643-1.643q0.5-0.5 1.214-0.5t1.214 0.5l2.714 2.714q0.5 0.5 0.5 1.214t-0.5 1.214z"></path>'),
	   	 			'ambulance_1' => array('keywords' => 'ambulance_1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M13 13.25v0h-2.501v-2.49c0-0.004 0.001-0.007 0.001-0.010 0-0.552-0.448-1-1-1s-1 0.447-1 1v0 2.5h-2.5c-0.552 0-1 0.448-1 1s0.448 1 1 1.001c0.003 0 0.006-0.001 0.010-0.001h2.49v2.5c0 0.552 0.447 1 1 1s1-0.448 1-1c0-0.003-0.001-0.006-0.001-0.009v-2.492h2.491c0.004 0 0.007 0.001 0.010 0.001 0.552 0 1-0.448 1-1s-0.448-1-1-1.001zM31 15.75h-1.536l-5.201-6.146c-0.189-0.225-0.468-0.354-0.763-0.354h-4.5v-0.5c0-1.655-1.346-3-3-3h-4c0-1.381-1.12-2.5-2.5-2.5s-2.501 1.119-2.5 2.5h-4c-1.655 0-3 1.345-3 3l0.001 14c0 1.654 1.345 3 3 3h1.631c0.444 1.724 2.005 3 3.868 3s3.424-1.277 3.869-3h7.262c0.445 1.724 2.005 3 3.869 3s3.424-1.277 3.869-3h1.631c1.654 0 3-1.346 3-3v-6c0-0.552-0.448-1-1-1zM23.037 11.25l3.808 4.5h-7.844v-4.5h4.036zM9.5 4.75c0.552 0 1 0.448 1 1h-2c0-0.552 0.448-1 1-1zM8.501 26.75c-1.104 0-2.001-0.896-2-2-0-1.104 0.896-2 2-2s2.001 0.896 2 2c0.001 1.104-0.896 2-2 2zM23.5 26.75c-1.105 0-2-0.896-2-2s0.895-2 2-2c1.104 0 2 0.896 2 2s-0.896 2-2 2zM29 23.75h-1.631c-0.445-1.724-2.006-3-3.869-3s-3.424 1.276-3.869 3h-7.262c-0.445-1.724-2.005-3-3.869-3s-3.425 1.276-3.869 3h-1.631c-0.551 0-1-0.448-1-1l-0-14c0-0.552 0.448-1 1-1h13c0.552 0 1 0.448 1 1v8c0 0.552 0.448 1 1 1h12v5c0 0.552-0.448 1-1 1z"></path>'),
	   	 			'weather_17' => array('keywords' => 'weather_17 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25 6.5c-0.477 0-0.954 0.050-1.424 0.149-1.648-2.578-4.482-4.149-7.576-4.149-3.919 0-7.348 2.538-8.545 6.18-0.474-0.12-0.96-0.18-1.455-0.18-3.308 0-6 2.691-6 6s2.692 6 6 6h1c0.552 0 1-0.448 1-1s-0.448-1-1-1h-1c-2.205 0-4-1.795-4-4s1.795-4 4-4c0.594 0 1.171 0.132 1.716 0.392 0.279 0.133 0.605 0.13 0.882-0.011s0.473-0.4 0.531-0.704c0.629-3.29 3.518-5.677 6.87-5.677 2.617 0 4.996 1.447 6.209 3.775 0.227 0.437 0.739 0.642 1.204 0.486 0.518-0.174 1.053-0.261 1.587-0.261 2.757 0 5 2.243 5 5s-2.243 5-5 5c-0.552 0-1 0.448-1 1s0.448 1 1 1c3.86 0 7-3.14 7-7s-3.14-7-7-7zM21.5 19.267h-1.134l0.567-0.982c0.138-0.239 0.056-0.545-0.183-0.683s-0.545-0.055-0.683 0.183l-0.567 0.982-0.567-0.982c-0.138-0.239-0.445-0.323-0.683-0.183-0.239 0.139-0.322 0.445-0.183 0.683l0.567 0.982h-1.134c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h1.134l-0.567 0.983c-0.138 0.239-0.056 0.545 0.183 0.683 0.078 0.046 0.165 0.067 0.25 0.067 0.173 0 0.341-0.090 0.433-0.25l0.567-0.983 0.567 0.983c0.093 0.16 0.261 0.25 0.433 0.25 0.084 0 0.171-0.021 0.25-0.067 0.239-0.137 0.322-0.444 0.183-0.683l-0.567-0.983h1.134c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5zM21.5 24.767h-1.134l0.567-0.982c0.138-0.239 0.056-0.545-0.183-0.683s-0.545-0.056-0.683 0.183l-0.567 0.982-0.567-0.982c-0.138-0.239-0.445-0.322-0.683-0.183-0.239 0.139-0.322 0.445-0.183 0.683l0.567 0.982h-1.134c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h1.134l-0.567 0.983c-0.138 0.239-0.056 0.545 0.183 0.683 0.078 0.046 0.165 0.067 0.25 0.067 0.173 0 0.341-0.090 0.433-0.25l0.567-0.983 0.567 0.983c0.093 0.16 0.261 0.25 0.433 0.25 0.084 0 0.171-0.021 0.25-0.067 0.239-0.137 0.322-0.444 0.183-0.683l-0.567-0.983h1.134c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5zM15.514 18.642c-0.473-0.285-1.088-0.131-1.372 0.343l-3 5c-0.284 0.474-0.13 1.088 0.343 1.372 0.161 0.096 0.338 0.142 0.514 0.142 0.34 0 0.671-0.174 0.858-0.486l3-5c0.284-0.473 0.13-1.087-0.343-1.372zM11.486 18.625c-0.483-0.268-1.092-0.094-1.36 0.389l-5 9c-0.268 0.483-0.094 1.091 0.388 1.36 0.154 0.085 0.321 0.126 0.485 0.126 0.351 0 0.692-0.186 0.875-0.514l5-9c0.268-0.483 0.095-1.092-0.389-1.36z"></path>'),
	   	 			'arrow_bow' => array('keywords' => 'arrow_bow ','viewbox' => '0 0 32 32', 'path' =>'<path d="M15.5 0c-0.552 0-1 0.448-1 1v30c0 0.552 0.448 1 1 1 6.892 0 12.5-7.178 12.5-16s-5.608-16-12.5-16zM16.5 29.934v-27.869c5.322 0.674 9.5 6.665 9.5 13.935s-4.178 13.261-9.5 13.934zM9.168 27.073l-1.168-0.747v-22.326h0.916c0.527 0 0.738-0.344 0.465-0.763l-1.888-2.923c-0.271-0.419-0.715-0.419-0.987 0l-1.888 2.923c-0.271 0.419-0.063 0.763 0.465 0.763h0.916v22.326l-1.168 0.746c-0.457 0.292-0.832 0.962-0.832 1.489v2.875c0 0.527 0.375 0.719 0.832 0.427l1.336-0.854c0.458-0.293 1.207-0.293 1.664 0l1.336 0.854c0.458 0.292 0.832 0.1 0.832-0.427v-2.875c0-0.527-0.374-1.198-0.832-1.489z"></path>'),
	   	 			'key2' => array('keywords' => 'key2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31.317 9.82l-3.16-3.159c-0.775-0.775-2.043-2.043-2.818-2.818l-3.16-3.159c-0.775-0.775-2.155-0.911-3.067-0.304l-8.639 5.759c-0.912 0.608-1.257 1.907-0.767 2.887l2.203 4.405c0.067 0.135 0.145 0.278 0.231 0.427l-11.142 11.142-1 7h6v-2h4v-4h4v-4h4v-2.225c0.2 0.119 0.392 0.226 0.569 0.314l4.405 2.203c0.98 0.49 2.279 0.145 2.887-0.767l5.759-8.639c0.608-0.912 0.471-2.292-0.304-3.066zM4.707 26.707l-1.414-1.414 9.737-9.737 1.414 1.414-9.737 9.737zM28.657 13.243l-1.414 1.414c-0.389 0.389-1.025 0.389-1.414 0l-8.485-8.485c-0.389-0.389-0.389-1.025 0-1.414l1.414-1.414c0.389-0.389 1.025-0.389 1.414 0l8.485 8.485c0.389 0.389 0.389 1.025 0 1.414z"></path>'),
	   	 			'bookmarks' => array('keywords' => 'bookmarks ','viewbox' => '0 0 32 32', 'path' =>'<path d="M8 4v28l10-10 10 10v-28zM24 0h-20v28l2-2v-24h18z"></path>'),
	   	 			'access_alarm' => array('keywords' => 'access_alarm ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 27.354q3.875 0 6.594-2.75t2.719-6.625-2.719-6.594-6.594-2.719-6.594 2.719-2.719 6.594 2.719 6.625 6.594 2.75zM16 5.979q5 0 8.5 3.531t3.5 8.469-3.5 8.469-8.5 3.531-8.5-3.531-3.5-8.469 3.5-8.469 8.5-3.531zM16.688 11.354v7l5.313 3.125-1 1.625-6.313-3.75v-8h2zM10.5 5.167l-6.125 5.125-1.688-2 6.125-5.125zM29.313 8.292l-1.688 2.063-6.125-5.188 1.688-2z"></path>'),
	   	 			'comments-o' => array('keywords' => 'comments-o ','viewbox' => '0 0 32 32', 'path' =>'<path d="M12.571 7.143q-2.732 0-5.107 0.929t-3.777 2.518-1.402 3.411q0 1.464 0.946 2.821t2.661 2.357l1.732 1-0.625 1.5q0.607-0.357 1.107-0.696l0.786-0.554 0.946 0.179q1.393 0.25 2.732 0.25 2.732 0 5.107-0.929t3.777-2.518 1.402-3.411-1.402-3.411-3.777-2.518-5.107-0.929zM12.571 4.857q3.411 0 6.313 1.223t4.58 3.33 1.679 4.589-1.679 4.589-4.58 3.33-6.313 1.223q-1.536 0-3.143-0.286-2.214 1.571-4.964 2.286-0.643 0.161-1.536 0.286h-0.054q-0.196 0-0.366-0.143t-0.205-0.375q-0.018-0.054-0.018-0.116t0.009-0.116 0.036-0.107l0.045-0.089t0.063-0.098 0.071-0.089 0.080-0.089 0.071-0.080q0.089-0.107 0.411-0.446t0.464-0.527 0.402-0.518 0.446-0.688 0.366-0.786q-2.214-1.286-3.482-3.161t-1.268-4q0-2.482 1.679-4.589t4.58-3.33 6.312-1.223zM27.25 25.732q0.179 0.429 0.366 0.786t0.446 0.688 0.402 0.518 0.464 0.527 0.411 0.446q0.018 0.018 0.071 0.080t0.080 0.089 0.071 0.089 0.063 0.098l0.045 0.089t0.036 0.107 0.009 0.116-0.018 0.116q-0.054 0.25-0.232 0.393t-0.393 0.125q-0.893-0.125-1.536-0.286-2.75-0.714-4.964-2.286-1.607 0.286-3.143 0.286-4.839 0-8.429-2.357 1.036 0.071 1.571 0.071 2.875 0 5.518-0.804t4.714-2.304q2.232-1.643 3.429-3.786t1.196-4.536q0-1.375-0.411-2.714 2.304 1.268 3.643 3.179t1.339 4.107q0 2.143-1.268 4.009t-3.482 3.152z"></path>'),
	   	 			'wind_instrument' => array('keywords' => 'wind_instrument ','viewbox' => '0 0 32 32', 'path' =>'<path d="M6.5 14c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM6.5 17c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM6.5 20c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM13.5 14c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM13.5 17c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM20.5 14c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM27.5 14c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM20.5 17c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM13.5 20c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM6.5 23c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM31 6v-5c0-0.552-0.448-1-1-1h-28c-0.552 0-1 0.448-1 1v5c-0.552 0-1 0.448-1 1v3c0 0.552 0.448 1 1 1v16.5c0 2.482 2.019 4.5 4.5 4.5 2.244 0 4.104-1.652 4.441-3.803 0.727 0.505 1.609 0.803 2.559 0.803 2.244 0 4.104-1.652 4.441-3.803 0.727 0.505 1.609 0.803 2.559 0.803 2.244 0 4.104-1.652 4.441-3.803 0.727 0.505 1.609 0.803 2.559 0.803 2.481 0 4.5-2.018 4.5-4.5v-7.5c0.552 0 1-0.448 1-1v-3c0-0.552-0.448-1-1-1zM29 2v4h-5v-4h5zM30 9h-28v-1h28v1zM22 2v4h-5v-4h5zM15 2v4h-5v-4h5zM3 2h5v4h-5v-4zM5.5 30c-1.378 0-2.5-1.122-2.5-2.5v-16.5h5v16.5c0 1.378-1.122 2.5-2.5 2.5zM12.5 27c-1.379 0-2.5-1.122-2.5-2.5v-13.5h5v13.5c0 1.378-1.121 2.5-2.5 2.5zM19.5 24c-1.378 0-2.5-1.122-2.5-2.5v-10.5h5v10.5c0 1.378-1.122 2.5-2.5 2.5zM29 18.5c0 1.378-1.122 2.5-2.5 2.5s-2.5-1.122-2.5-2.5v-7.5h5v7.5z"></path>'),
	   	 			'compass' => array('keywords' => 'compass ','viewbox' => '0 0 32 32', 'path' =>'<path d="M17 32c-0.072 0-0.144-0.008-0.217-0.024-0.458-0.102-0.783-0.507-0.783-0.976v-15h-15c-0.469 0-0.875-0.326-0.976-0.783s0.129-0.925 0.553-1.123l30-14c0.381-0.178 0.833-0.098 1.13 0.199s0.377 0.749 0.199 1.13l-14 30c-0.167 0.358-0.524 0.577-0.906 0.577zM5.508 14h11.492c0.552 0 1 0.448 1 1v11.492l10.931-23.423-23.423 10.931z"></path>'),
	   	 			'compass_tool' => array('keywords' => 'compass_tool ','viewbox' => '0 0 32 32', 'path' =>'<path d="M20 4.593v-0.593c0-2.206-1.795-4-4-4-2.206 0-4 1.794-4 4v0.585c-5.777 1.726-10 7.085-10 13.415 0 7.72 6.28 14 14 14s14-6.28 14-14c0-6.329-4.226-11.681-10-13.407zM14 4c0-1.103 0.897-2 2-2s2 0.897 2 2v0.145c-0.654-0.093-1.322-0.145-2-0.145-0.68 0-1.347 0.051-2 0.145v-0.144zM17 29.955v-1.955c0-0.552-0.448-1-1-1s-1 0.448-1 1v1.955c-5.82-0.483-10.473-5.134-10.955-10.955h1.955c0.552 0 1-0.448 1-1s-0.448-1-1-1h-1.955c0.482-5.82 5.135-10.473 10.955-10.955v1.955c0 0.552 0.447 1 1 1s1-0.448 1-1v-1.955c5.82 0.482 10.473 5.135 10.956 10.955h-1.956c-0.552 0-1 0.448-1 1s0.448 1 1 1h1.956c-0.483 5.82-5.135 10.471-10.956 10.955zM21.077 11.594l-7.5 3.5c-0.031 0.014-0.056 0.036-0.085 0.053-0.037 0.022-0.075 0.041-0.109 0.069-0.031 0.024-0.057 0.055-0.085 0.083s-0.059 0.053-0.083 0.085c-0.027 0.033-0.046 0.072-0.069 0.109-0.017 0.029-0.039 0.054-0.053 0.085l-3.5 7.5c-0.178 0.381-0.098 0.832 0.199 1.13 0.192 0.191 0.447 0.293 0.707 0.293 0.143 0 0.287-0.031 0.423-0.094l7.5-3.5c0.030-0.015 0.056-0.036 0.085-0.053 0.037-0.022 0.075-0.041 0.11-0.068 0.031-0.025 0.056-0.055 0.085-0.083s0.058-0.053 0.083-0.085c0.026-0.034 0.046-0.073 0.068-0.11 0.017-0.029 0.038-0.055 0.053-0.085l3.5-7.5c0.177-0.382 0.098-0.833-0.199-1.13s-0.75-0.376-1.131-0.198zM12.569 21.43l1.733-3.715 1.981 1.981-3.715 1.733zM17.698 18.283l-1.981-1.981 3.714-1.733-1.733 3.715z"></path>'),
	   	 			'crop_free' => array('keywords' => 'crop_free ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25.313 4.667q1.063 0 1.875 0.813t0.813 1.875v5.312h-2.688v-5.313h-5.313v-2.688h5.313zM25.313 25.979v-5.313h2.688v5.313q0 1.063-0.813 1.875t-1.875 0.813h-5.313v-2.688h5.313zM6.688 20.667v5.313h5.313v2.688h-5.313q-1.063 0-1.875-0.813t-0.813-1.875v-5.313h2.688zM4 7.354q0-1.063 0.813-1.875t1.875-0.813h5.313v2.688h-5.313v5.312h-2.688v-5.313z"></path>'),
	   	 			'history2' => array('keywords' => 'history2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 11.354h2v5.625l4.688 2.813-1 1.625-5.688-3.438v-6.625zM17.313 4.667q4.938 0 8.469 3.5t3.531 8.5-3.531 8.5-8.469 3.5-8.438-3.5l1.875-1.938q2.75 2.75 6.563 2.75 3.875 0 6.625-2.719t2.75-6.594-2.75-6.594-6.625-2.719-6.594 2.719-2.719 6.594h4l-5.375 5.375-0.125-0.188-5.188-5.188h4q0-5 3.531-8.5t8.469-3.5z"></path>'),
	   	 			'tablet_modern' => array('keywords' => 'tablet_modern ','viewbox' => '0 0 32 32', 'path' =>'<path d="M18.5 4c-0.001 0-0.002 0-0.003 0h-4.995c-0.001 0-0.002 0-0.002 0-0.552 0-1 0.448-1 1s0.448 1 1 1h5c0.552 0 1-0.448 1-1s-0.448-1-1-1zM25.5 0h-19c-1.65 0-3 1.35-3 3v26c0 1.65 1.35 3 3 3h19c1.65 0 3-1.35 3-3v-26c0-1.65-1.35-3-3-3zM26.5 29c0 0.55-0.45 1-1 1h-19c-0.55 0-1-0.45-1-1v-26c0-0.55 0.45-1 1-1h19c0.55 0 1 0.45 1 1v26zM17.5 26.5c0 0.828-0.672 1.5-1.5 1.5s-1.5-0.672-1.5-1.5c0-0.828 0.672-1.5 1.5-1.5s1.5 0.672 1.5 1.5z"></path>'),
	   	 			'balance-scale' => array('keywords' => 'balance-scale ','viewbox' => '0 0 39 32', 'path' =>'<path d="M30.857 8.286l-6.857 12.571h13.714zM8 8.286l-6.857 12.571h13.714zM22.661 4.857q-0.25 0.714-0.813 1.277t-1.277 0.813v23.054h10.857q0.25 0 0.411 0.161t0.161 0.411v1.143q0 0.25-0.161 0.411t-0.411 0.161h-24q-0.25 0-0.411-0.161t-0.161-0.411v-1.143q0-0.25 0.161-0.411t0.411-0.161h10.857v-23.054q-0.714-0.25-1.277-0.813t-0.813-1.277h-8.768q-0.25 0-0.411-0.161t-0.161-0.411v-1.143q0-0.25 0.161-0.411t0.411-0.161h8.768q0.375-1.018 1.25-1.652t1.982-0.634 1.982 0.634 1.25 1.652h8.768q0.25 0 0.411 0.161t0.161 0.411v1.143q0 0.25-0.161 0.411t-0.411 0.161h-8.768zM19.429 5.143q0.589 0 1.009-0.42t0.42-1.009-0.42-1.009-1.009-0.42-1.009 0.42-0.42 1.009 0.42 1.009 1.009 0.42zM38.857 20.857q0 1.304-0.83 2.339t-2.098 1.625-2.58 0.884-2.491 0.295-2.491-0.295-2.58-0.884-2.098-1.625-0.83-2.339q0-0.196 0.625-1.446t1.643-3.116 1.911-3.491 1.821-3.286 1-1.786q0.321-0.589 1-0.589t1 0.589q0.071 0.125 1 1.786t1.821 3.286 1.911 3.491 1.643 3.116 0.625 1.446zM16 20.857q0 1.304-0.83 2.339t-2.098 1.625-2.58 0.884-2.491 0.295-2.491-0.295-2.58-0.884-2.098-1.625-0.83-2.339q0-0.196 0.625-1.446t1.643-3.116 1.911-3.491 1.821-3.286 1-1.786q0.321-0.589 1-0.589t1 0.589q0.071 0.125 1 1.786t1.821 3.286 1.911 3.491 1.643 3.116 0.625 1.446z"></path>'),
	   	 			'object-group' => array('keywords' => 'object-group ','viewbox' => '0 0 37 32', 'path' =>'<path d="M36.571 7.143h-2.286v18.286h2.286v6.857h-6.857v-2.286h-22.857v2.286h-6.857v-6.857h2.286v-18.286h-2.286v-6.857h6.857v2.286h22.857v-2.286h6.857v6.857zM32 2.571v2.286h2.286v-2.286h-2.286zM2.286 2.571v2.286h2.286v-2.286h-2.286zM4.571 30v-2.286h-2.286v2.286h2.286zM29.714 27.714v-2.286h2.286v-18.286h-2.286v-2.286h-22.857v2.286h-2.286v18.286h2.286v2.286h22.857zM34.286 30v-2.286h-2.286v2.286h2.286zM22.857 11.714h6.857v13.714h-16v-4.571h-6.857v-13.714h16v4.571zM9.143 18.571h11.429v-9.143h-11.429v9.143zM27.429 23.143v-9.143h-4.571v6.857h-6.857v2.286h11.429z"></path>'),
	   	 			'flip' => array('keywords' => 'flip ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25.313 28.667v-2.688h2.688q0 1.063-0.813 1.875t-1.875 0.813zM25.313 17.979v-2.625h2.688v2.625h-2.688zM20 7.354v-2.688h2.688v2.688h-2.688zM25.313 23.354v-2.688h2.688v2.688h-2.688zM14.688 31.354v-29.375h2.625v29.375h-2.625zM25.313 4.667q1.063 0 1.875 0.813t0.813 1.875h-2.688v-2.688zM4 7.354q0-1.063 0.813-1.875t1.875-0.813h5.313v2.688h-5.313v18.625h5.313v2.688h-5.313q-1.063 0-1.875-0.813t-0.813-1.875v-18.625zM25.313 12.667v-2.688h2.688v2.688h-2.688zM20 28.667v-2.688h2.688v2.688h-2.688z"></path>'),
	   	 			'desk_chair' => array('keywords' => 'desk_chair ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29.5 13h-4c-0.552 0-1 0.448-1 1s0.448 1 1 1h1v4h-1.175c-0.413-1.163-1.522-2-2.825-2h-5.5v-2h4.5c0.518 0 0.951-0.396 0.996-0.913l1-11.5c0.003-0.030 0.004-0.058 0.004-0.087 0-1.379-1.122-2.5-2.5-2.5h-10c-1.379 0-2.5 1.121-2.5 2.5 0 0.029 0.001 0.058 0.004 0.087l1 11.5c0.045 0.517 0.477 0.913 0.996 0.913h4.5v2h-5.501c-1.303 0-2.412 0.837-2.825 2h-1.174v-4h1c0.552 0 1-0.448 1-1s-0.448-1-1-1h-4c-0.552 0-1 0.448-1 1s0.448 1 1 1h1v5c0 0.552 0.448 1 1 1h2l0 1c0 0.552 0.448 1 1 1h7.5v4h-4.5c-0.013 0-0.025 0.003-0.037 0.004-0.034 0.001-0.068 0.006-0.102 0.011-0.033 0.005-0.066 0.009-0.098 0.017-0.028 0.008-0.056 0.017-0.083 0.026-0.034 0.012-0.069 0.024-0.101 0.040-0.025 0.011-0.048 0.026-0.072 0.038-0.031 0.018-0.063 0.037-0.092 0.058-0.024 0.017-0.045 0.036-0.067 0.055-0.026 0.023-0.052 0.045-0.075 0.070-0.021 0.023-0.040 0.047-0.059 0.071-0.021 0.027-0.041 0.053-0.059 0.082-0.016 0.026-0.030 0.052-0.043 0.079-0.017 0.032-0.032 0.066-0.045 0.099-0.004 0.012-0.011 0.021-0.015 0.033l-1 3c-0.175 0.524 0.108 1.090 0.633 1.265 0.105 0.035 0.213 0.051 0.317 0.051 0.418 0 0.809-0.265 0.948-0.683l0.772-2.317h3.78v2c0 0.552 0.448 1 1 1s1-0.448 1-1v-2h3.779l0.772 2.317c0.14 0.419 0.529 0.683 0.948 0.683 0.105 0 0.212-0.017 0.317-0.052 0.523-0.175 0.806-0.741 0.633-1.265l-1-3c-0.004-0.012-0.011-0.021-0.015-0.033-0.012-0.034-0.029-0.067-0.044-0.099-0.014-0.027-0.027-0.054-0.044-0.079-0.017-0.029-0.038-0.055-0.058-0.081-0.019-0.025-0.038-0.050-0.059-0.073-0.023-0.024-0.048-0.046-0.073-0.069-0.023-0.020-0.045-0.039-0.069-0.056-0.029-0.021-0.059-0.038-0.091-0.056-0.024-0.014-0.047-0.027-0.073-0.039-0.032-0.015-0.067-0.028-0.102-0.040-0.027-0.009-0.054-0.018-0.082-0.026-0.033-0.009-0.067-0.013-0.101-0.018-0.032-0.005-0.066-0.009-0.099-0.010-0.014-0-0.026-0.004-0.040-0.004h-4.5v-4h7.5c0.552 0 1-0.448 1-1v-1h2c0.552 0 1-0.448 1-1v-5h1c0.552 0 1-0.448 1-1s-0.448-1-1-1zM11.416 13l-0.915-10.531c0.017-0.261 0.234-0.469 0.499-0.469h10c0.265 0 0.483 0.207 0.499 0.469l-0.916 10.531h-9.166zM23.5 21h-15.001l-0.001-1c0-0.552 0.448-1 1-1h13.001c0.552 0 1 0.448 1 1v1z"></path>'),
	   	 			'calendar_month' => array('keywords' => 'calendar_month ','viewbox' => '0 0 32 32', 'path' =>'<path d="M7.329 21.861c0 0.558-0.082 0.953-0.246 1.183s-0.438 0.346-0.821 0.346c-0.164 0-0.317-0.015-0.457-0.044s-0.274-0.055-0.399-0.079v1.799c0.379 0.082 0.779 0.123 1.201 0.123 1.016 0 1.777-0.298 2.285-0.893s0.761-1.474 0.761-2.634v-7.729h-2.326v7.928zM14.867 15.744c-1.179 0-2.156 0.199-2.929 0.598l0.662 1.512c0.746-0.328 1.361-0.492 1.845-0.492 0.539 0 0.809 0.273 0.809 0.82v0.094l-1.107 0.035c-0.934 0.043-1.646 0.238-2.139 0.583s-0.739 0.872-0.739 1.579c0 0.68 0.179 1.207 0.539 1.582s0.851 0.563 1.476 0.563c0.508 0 0.922-0.070 1.242-0.211s0.635-0.402 0.944-0.785h0.047l0.44 0.879h1.588v-4.354c0-0.758-0.233-1.348-0.7-1.77s-1.126-0.633-1.978-0.633zM15.265 20.051c0 0.281-0.098 0.51-0.296 0.686s-0.434 0.264-0.712 0.264c-0.434 0-0.65-0.203-0.65-0.61 0-0.527 0.377-0.805 1.131-0.832l0.527-0.023v0.516zM23.55 15.744c-0.449 0-0.846 0.078-1.192 0.235s-0.616 0.39-0.811 0.703h-0.135l-0.287-0.82h-1.729v6.639h2.291v-2.906c0-0.75 0.086-1.279 0.258-1.588s0.451-0.463 0.838-0.463c0.281 0 0.485 0.113 0.613 0.337s0.191 0.558 0.191 0.999v3.621h2.291v-4.319c0-0.773-0.204-1.373-0.613-1.799s-0.98-0.639-1.714-0.639zM11.5 4.5c0 0.828-0.672 1.5-1.5 1.5s-1.5-0.672-1.5-1.5c0-0.828 0.672-1.5 1.5-1.5s1.5 0.672 1.5 1.5zM23.5 4.5c0 0.828-0.672 1.5-1.5 1.5s-1.5-0.672-1.5-1.5c0-0.828 0.672-1.5 1.5-1.5s1.5 0.672 1.5 1.5zM27 0h-22c-2.757 0-5 2.243-5 5v22c0 2.757 2.243 5 5 5h22c2.757 0 5-2.243 5-5v-22c0-2.757-2.243-5-5-5zM5 2h22c1.654 0 3 1.345 3 3v2h-28v-2c0-1.655 1.345-3 3-3zM27 30h-22c-1.655 0-3-1.346-3-3v-18h28v18c0 1.654-1.346 3-3 3z"></path>'),
	   	 			'one_comment' => array('keywords' => 'one_comment ','viewbox' => '0 0 32 32', 'path' =>'<path d="M6 29.5c-0.129 0-0.259-0.025-0.383-0.076-0.373-0.155-0.617-0.52-0.617-0.924v-6h-4c-0.552 0-1-0.448-1-1v-18c0-0.552 0.448-1 1-1h30c0.552 0 1 0.448 1 1v18c0 0.552-0.448 1-1 1h-17.586l-6.707 6.707c-0.192 0.192-0.447 0.293-0.707 0.293zM2 20.5h4c0.552 0 1 0.448 1 1v4.586l5.293-5.293c0.188-0.188 0.442-0.293 0.707-0.293h17v-16h-28v16z"></path>'),
	   	 			'wheelchair-alt' => array('keywords' => 'wheelchair-alt ','viewbox' => '0 0 28 32', 'path' =>'<path d="M25.679 14.804q0.607 0.625 0.518 1.464l-0.786 9.839q-0.071 0.75-0.616 1.25t-1.277 0.5q-0.107 0-0.161-0.018-0.786-0.054-1.295-0.652t-0.455-1.384l0.625-7.661-2.554 0.143q0.982 2.018 0.982 4.286 0 3.857-2.643 6.643l-2.446-2.446q1.625-1.804 1.625-4.196 0-2.589-1.83-4.429t-4.42-1.839q-2.393 0-4.214 1.643l-2.446-2.464q2.143-2.036 5.071-2.518l4.714-5.357-2.661-1.554-3.232 2.875q-0.589 0.536-1.375 0.491t-1.304-0.634-0.473-1.375 0.616-1.304l4.268-3.804q0.464-0.411 1.071-0.473t1.143 0.259l8.714 5.054q0.643 0.375 0.857 1.214 0.304 1.196-0.464 2.089l-3.661 4.143 6.625-0.357q0.875-0.054 1.482 0.571zM22.143 6.643q-1.321 0-2.25-0.929t-0.929-2.25 0.929-2.25 2.25-0.929 2.259 0.929 0.938 2.25-0.938 2.25-2.259 0.929zM10.946 28.821q1.893 0 3.5-1.089l2.482 2.482q-2.607 2.071-5.982 2.071-2.643 0-4.884-1.304t-3.545-3.536-1.304-4.875q0-3.357 2.071-6l2.482 2.482q-1.071 1.571-1.071 3.518 0 2.589 1.83 4.42t4.42 1.83z"></path>'),
	   	 			'cake' => array('keywords' => 'cake ','viewbox' => '0 0 32 32', 'path' =>'<path d="M24 12.667q1.625 0 2.813 1.188t1.188 2.813v2.063q0 1.063-0.781 1.844t-1.844 0.781-1.813-0.75l-2.875-2.875-2.875 2.875q-0.75 0.75-1.844 0.75t-1.844-0.75l-2.813-2.875-2.875 2.875q-0.75 0.75-1.813 0.75t-1.844-0.781-0.781-1.844v-2.063q0-1.625 1.188-2.813t2.813-1.188h6.688v-2.688h2.625v2.688h6.688zM22.125 21.979q1.375 1.375 3.25 1.375 1.375 0 2.625-0.813v6.125q0 0.563-0.375 0.938t-0.938 0.375h-21.375q-0.563 0-0.938-0.375t-0.375-0.938v-6.125q1.188 0.813 2.625 0.813 1.875 0 3.25-1.375l1.438-1.438 1.438 1.438q1.313 1.313 3.25 1.313t3.25-1.313l1.438-1.438zM16 8.667q-1.063 0-1.875-0.813t-0.813-1.875q0-0.688 0.438-1.375l2.25-3.938 2.25 3.938q0.438 0.688 0.438 1.375 0 1.063-0.781 1.875t-1.906 0.813z"></path>'),
	   	 			'bitbucket' => array('keywords' => 'bitbucket ','viewbox' => '0 0 25 32', 'path' =>'<path d="M14.554 15.625q0.143 1.125-0.902 1.804t-1.991 0.107q-0.696-0.304-0.955-1.036t-0.009-1.464 0.929-1.036q0.643-0.321 1.295-0.214t1.143 0.634 0.491 1.205zM16.536 15.25q-0.25-1.911-2.018-2.929t-3.518-0.232q-1.125 0.5-1.795 1.58t-0.616 2.313q0.071 1.625 1.384 2.768t2.955 1q1.625-0.143 2.714-1.5t0.893-3zM20.804 5.571q-0.357-0.482-1-0.795t-1.036-0.393-1.268-0.223q-5.196-0.839-10.107 0.036-0.768 0.125-1.179 0.214t-0.982 0.393-0.893 0.768q0.536 0.5 1.357 0.813t1.313 0.393 1.563 0.205q4.071 0.518 8 0.018 1.125-0.143 1.598-0.214t1.295-0.384 1.339-0.83zM21.821 24.054q-0.143 0.464-0.277 1.366t-0.25 1.5-0.509 1.25-1.036 1.009q-1.536 0.857-3.384 1.277t-3.607 0.393-3.598-0.33q-0.821-0.143-1.455-0.321t-1.366-0.482-1.304-0.777-0.929-1.098q-0.446-1.714-1.018-5.214l0.107-0.286 0.321-0.161q3.982 2.643 9.045 2.643t9.063-2.643q0.375 0.107 0.429 0.411t-0.089 0.804-0.143 0.661zM25.054 6.893q-0.464 2.982-1.982 11.696-0.089 0.536-0.482 1t-0.777 0.714-0.973 0.554q-4.5 2.25-10.893 1.571-4.429-0.482-7.036-2.482-0.268-0.214-0.455-0.473t-0.304-0.625-0.161-0.607-0.107-0.705-0.098-0.625q-0.161-0.893-0.473-2.679t-0.5-2.884-0.42-2.634-0.393-2.821q0.054-0.464 0.313-0.866t0.563-0.67 0.804-0.536 0.821-0.402 0.857-0.33q2.232-0.821 5.589-1.143 6.768-0.661 12.071 0.893 2.768 0.821 3.839 2.179 0.286 0.357 0.295 0.911t-0.098 0.964z"></path>'),
	   	 			'timeline' => array('keywords' => 'timeline ','viewbox' => '0 0 32 32', 'path' =>'<path d="M30.688 11.354q0 1.063-0.813 1.844t-1.875 0.781q-0.5 0-0.688-0.063l-4.75 4.75q0.125 0.375 0.125 0.688 0 1.063-0.813 1.844t-1.875 0.781-1.875-0.781-0.813-1.844q0-0.313 0.125-0.688l-3.438-3.438q-0.375 0.125-0.688 0.125t-0.688-0.125l-6.063 6.063q0.125 0.375 0.125 0.688 0 1.063-0.813 1.875t-1.875 0.813-1.875-0.813-0.813-1.875 0.813-1.844 1.875-0.781q0.5 0 0.688 0.063l6.063-6.063q-0.063-0.188-0.063-0.688 0-1.063 0.781-1.875t1.844-0.813 1.875 0.813 0.813 1.875q0 0.5-0.063 0.688l3.375 3.375q0.188-0.063 0.688-0.063t0.688 0.063l4.75-4.688q-0.125-0.375-0.125-0.688 0-1.063 0.813-1.875t1.875-0.813 1.875 0.813 0.813 1.875z"></path>'),
	   	 			'megaphone' => array('keywords' => 'megaphone ','viewbox' => '0 0 40 32', 'path' =>'<path d="M39.498 0c-0.277 0-0.498 0.224-0.498 0.5v31c0 0.276 0.221 0.5 0.498 0.5s0.5-0.224 0.5-0.5v-31c0-0.276-0.224-0.5-0.5-0.5zM37.717 1.204c-0.17-0.083-0.376-0.062-0.526 0.055l-0.565 0.445c-2.978 2.355-7.959 6.296-18.126 6.296h-13.869c-1.451 0-2.631 1.2-2.631 2.674v10.714c0 1.44 1.18 2.612 2.631 2.612h3.394c0.088 1.125 0.502 3.794 2.454 5.761 1.474 1.486 3.5 2.239 6.021 2.239 0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5c-2.242 0-4.026-0.652-5.306-1.938-1.667-1.676-2.067-4.024-2.163-5.062h2.995c0.085 0.682 0.36 1.881 1.274 2.802 0.789 0.795 1.866 1.198 3.2 1.198 0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5c-1.055 0-1.891-0.302-2.484-0.896-0.657-0.659-0.894-1.546-0.981-2.104h5.396c10.216 0 15.237 3.963 18.237 6.331l0.522 0.411c0.089 0.070 0.198 0.105 0.307 0.105 0.075 0 0.15-0.017 0.219-0.051 0.172-0.084 0.281-0.258 0.281-0.449v-28.694c0.001-0.191-0.108-0.365-0.28-0.449zM3 21.388v-10.714c0-0.923 0.731-1.674 1.631-1.674h3.369v14h-3.369c-0.915 0-1.631-0.708-1.631-1.612zM37 29.317c-3.134-2.466-8.328-6.317-18.568-6.317h-5.797c-0.047-0.015-0.095-0.030-0.148-0.031-0.001 0-0.001 0-0.002 0-0.054 0-0.105 0.015-0.154 0.031h-3.331v-14h9.5c10.237 0 15.394-3.864 18.5-6.316v26.633zM0.5 21.857c0.276 0 0.5-0.224 0.5-0.5v-10.714c0-0.276-0.224-0.5-0.5-0.5s-0.5 0.223-0.5 0.5v10.714c0 0.276 0.224 0.5 0.5 0.5z"></path>'),
	   	 			'cloud2' => array('keywords' => 'cloud2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25.813 14.042q2.563 0.188 4.375 2.094t1.813 4.531q0 2.75-1.969 4.719t-4.719 1.969h-17.313q-3.313 0-5.656-2.344t-2.344-5.656q0-3.063 2.063-5.344t5.063-2.594q1.313-2.438 3.688-3.938t5.188-1.5q3.625 0 6.375 2.281t3.438 5.781z"></path>'),
	   	 			'images_group1' => array('keywords' => 'images_group1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M7 17c1.655 0 3-1.345 3-3s-1.345-3-3-3-3 1.345-3 3 1.345 3 3 3zM7 13c0.552 0 1 0.448 1 1s-0.448 1-1 1-1-0.448-1-1 0.448-1 1-1zM31 3h-27c-0.552 0-1 0.448-1 1v3h-2c-0.552 0-1 0.448-1 1v20c0 0.552 0.448 1 1 1h26c0.552 0 1-0.448 1-1v-2h3c0.552 0 1-0.448 1-1v-21c0-0.552-0.448-1-1-1zM3.998 9c0.001 0 0.002 0 0.002 0s0.002 0 0.003 0h21.997v16.586l-7.293-7.293c-0.39-0.39-1.024-0.39-1.414 0l-2.293 2.293-3.293-3.293c-0.39-0.39-1.024-0.39-1.414 0l-8.293 8.293v-16.586h1.998zM21.414 27l-5-5 1.586-1.586 6.586 6.586h-3.172zM18.586 27h-15.172l7.586-7.586 7.586 7.586zM27 7h-22v-2h25v19h-2v-16c0-0.552-0.448-1-1-1z"></path>'),
	   	 			'display' => array('keywords' => 'display ','viewbox' => '0 0 32 32', 'path' =>'<path d="M0 2v20h32v-20h-32zM30 20h-28v-16h28v16zM21 24h-10l-1 4-2 2h16l-2-2z"></path>'),
	   	 			'user-md' => array('keywords' => 'user-md ','viewbox' => '0 0 25 32', 'path' =>'<path d="M6.857 24.286q0 0.464-0.339 0.804t-0.804 0.339-0.804-0.339-0.339-0.804 0.339-0.804 0.804-0.339 0.804 0.339 0.339 0.804zM25.143 25.375q0 2.161-1.304 3.393t-3.464 1.232h-15.607q-2.161 0-3.464-1.232t-1.304-3.393q0-1.214 0.098-2.339t0.429-2.464 0.848-2.366 1.446-1.839 2.143-1.080q-0.393 0.929-0.393 2.143v3.625q-1.036 0.357-1.661 1.25t-0.625 1.982q0 1.429 1 2.429t2.429 1 2.429-1 1-2.429q0-1.089-0.634-1.982t-1.652-1.25v-3.625q0-1.107 0.446-1.661 2.357 1.857 5.268 1.857t5.268-1.857q0.446 0.554 0.446 1.661v1.143q-1.893 0-3.232 1.339t-1.339 3.232v1.589q-0.571 0.518-0.571 1.268 0 0.714 0.5 1.214t1.214 0.5 1.214-0.5 0.5-1.214q0-0.75-0.571-1.268v-1.589q0-0.929 0.679-1.607t1.607-0.679 1.607 0.679 0.679 1.607v1.589q-0.571 0.518-0.571 1.268 0 0.714 0.5 1.214t1.214 0.5 1.214-0.5 0.5-1.214q0-0.75-0.571-1.268v-1.589q0-1.214-0.616-2.277t-1.67-1.67q0-0.179 0.009-0.759t0-0.857-0.045-0.741-0.125-0.839-0.232-0.714q1.214 0.268 2.143 1.080t1.446 1.839 0.848 2.366 0.429 2.464 0.098 2.339zM19.429 9.429q0 2.839-2.009 4.848t-4.848 2.009-4.848-2.009-2.009-4.848 2.009-4.848 4.848-2.009 4.848 2.009 2.009 4.848z"></path>'),
	   	 			'spellcheck' => array('keywords' => 'spellcheck ','viewbox' => '0 0 32 32', 'path' =>'<path d="M28.813 16.104l1.875 1.875-12.688 12.688-6.75-6.813 1.875-1.875 4.875 4.938zM8.563 15.354h5.5l-2.75-7.375zM16.625 21.979l-1.563-4h-7.5l-1.5 4h-2.813l6.813-17.313h2.5l6.813 17.313h-2.75z"></path>'),
	   	 			'equalizer' => array('keywords' => 'equalizer ','viewbox' => '0 0 32 32', 'path' =>'<path d="M21.313 12.667h5.375v14.688h-5.375v-14.688zM5.313 27.354v-10.688h5.375v10.688h-5.375zM13.313 27.354v-21.375h5.375v21.375h-5.375z"></path>'),
	   	 			'pen_design_tool' => array('keywords' => 'pen_design_tool ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16.406 0.577c-0.164-0.352-0.518-0.577-0.906-0.577h-2c-0.389 0-0.742 0.225-0.906 0.577l-7 15c-0.188 0.403-0.087 0.882 0.248 1.176 0.037 0.031 3.621 3.241 3.656 9.164l-0.977 4.886c-0.059 0.294 0.017 0.599 0.207 0.83s0.473 0.366 0.773 0.366h10c0.003 0 0.007 0 0.011 0 0.552 0 1-0.448 1-1 0-0.116-0.020-0.229-0.057-0.333l-0.95-4.75c0.034-5.879 3.622-9.135 3.655-9.164 0.335-0.294 0.436-0.773 0.247-1.176l-7.001-15zM10.72 30l0.6-3h6.361l0.6 3h-7.561zM17.53 25h-6.060c-0.293-4.888-2.673-8.015-3.769-9.21l5.799-12.425v10.912c-0.595 0.347-1 0.985-1 1.723 0 1.105 0.896 2 2 2s2-0.895 2-2c0-0.739-0.405-1.376-1-1.723v-10.912l5.799 12.425c-1.096 1.194-3.476 4.322-3.769 9.21zM25.5 2.5c-0.001 0-0.002 0-0.003 0h-1.497v-1.5c0-0.552-0.448-1-1-1s-1 0.448-1 1v1.5h-1.497c-0.001 0-0.002 0-0.003 0-0.552 0-1 0.448-1 1s0.448 1 1 1h1.5v1.5c0 0.552 0.448 1 1 1s1-0.448 1-1v-1.5h1.5c0.552 0 1-0.448 1-1s-0.448-1-1-1z"></path>'),
	   	 			'prescription_bottle1' => array('keywords' => 'prescription_bottle1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M26 12.5c0-0.010-0.003-0.020-0.003-0.030-0.001-0.037-0.006-0.072-0.011-0.109-0.005-0.030-0.008-0.059-0.015-0.088-0.007-0.032-0.018-0.063-0.029-0.095s-0.020-0.062-0.034-0.091c-0.012-0.027-0.029-0.053-0.044-0.080-0.017-0.031-0.035-0.063-0.056-0.091-0.006-0.008-0.010-0.018-0.015-0.025l-3.875-5.037c1.203-0.391 2.081-1.524 2.081-2.854v-1c0-1.649-1.351-3-3.001-3h-9.999c-1.649 0-2.999 1.351-2.999 3v1c0 1.33 0.877 2.463 2.081 2.854l-3.874 5.036c-0.006 0.008-0.010 0.018-0.016 0.025-0.021 0.030-0.039 0.060-0.056 0.091-0.015 0.027-0.031 0.053-0.043 0.080-0.013 0.030-0.023 0.060-0.034 0.091s-0.022 0.063-0.029 0.095c-0.007 0.029-0.011 0.059-0.014 0.088-0.005 0.037-0.010 0.072-0.011 0.109-0 0.009-0.003 0.019-0.003 0.029v14c0 0.087 0.014 0.17 0.035 0.25-0.021 0.080-0.035 0.163-0.035 0.25 0 2.757 2.243 5 5 5h10c2.757 0 5-2.243 5-5 0-0.087-0.015-0.17-0.035-0.25 0.020-0.080 0.035-0.163 0.035-0.25v-14zM10 3c0-0.55 0.45-1 1-1h9.999c0.55 0 1.001 0.45 1.001 1v1c0 0.55-0.451 1-1.001 1h-9.999c-0.55 0-1-0.45-1-1v-1zM21 30h-10c-1.655 0-3-1.346-3-3 0-0.087-0.014-0.17-0.035-0.25 0.021-0.080 0.035-0.163 0.035-0.25v-13.66l4.492-5.84h7.015l4.492 5.84v13.66c0 0.087 0.015 0.17 0.035 0.25-0.020 0.080-0.035 0.163-0.035 0.25 0 1.654-1.346 3-3 3zM20.5 16.5h-9c-0.552 0-1 0.448-1 1v7c0 0.552 0.448 1 1 1h9c0.552 0 1-0.448 1-1v-7c0-0.552-0.448-1-1-1zM19.5 23.5h-7v-5h7v5z"></path>'),
	   	 			'calendar3' => array('keywords' => 'calendar3 ','viewbox' => '0 0 34 32', 'path' =>'<path d="M34 30.5v-19c0-0.276-0.224-0.5-0.5-0.5s-0.5 0.224-0.5 0.5v19c0 0.276-0.224 0.5-0.5 0.5h-31c-0.276 0-0.5-0.224-0.5-0.5v-19c0-0.276-0.224-0.5-0.5-0.5s-0.5 0.224-0.5 0.5v19c0 0.827 0.673 1.5 1.5 1.5h31c0.827 0 1.5-0.673 1.5-1.5zM4.5 23c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h1.5v3.5c0 0.276 0.224 0.5 0.5 0.5s0.5-0.224 0.5-0.5v-3.5h6v3.5c0 0.276 0.224 0.5 0.5 0.5s0.5-0.224 0.5-0.5v-3.5h6v3.5c0 0.276 0.224 0.5 0.5 0.5s0.5-0.224 0.5-0.5v-3.5h6v3.5c0 0.276 0.224 0.5 0.5 0.5s0.5-0.224 0.5-0.5v-3.5h1.5c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-1.5v-5h1.5c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-1.5v-4.5c0-0.276-0.224-0.5-0.5-0.5s-0.5 0.224-0.5 0.5v4.5h-6v-4.5c0-0.276-0.224-0.5-0.5-0.5s-0.5 0.224-0.5 0.5v4.5h-6v-4.5c0-0.276-0.224-0.5-0.5-0.5s-0.5 0.224-0.5 0.5v4.5h-6v-4.5c0-0.276-0.224-0.5-0.5-0.5s-0.5 0.224-0.5 0.5v4.5h-1.5c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h1.5v5h-1.5zM27 18v5h-6v-5h6zM20 18v5h-6v-5h6zM7 18h6v5h-6v-5zM28.5 3h4.25c0.087 0 0.25 0 0.25 0.5v4.5h-32v-4.5c0-0.276 0.224-0.5 0.5-0.5h4c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-4c-0.827 0-1.5 0.673-1.5 1.5v5c0 0.276 0.224 0.5 0.5 0.5h33c0.276 0 0.5-0.224 0.5-0.5v-5c0-1.106-0.646-1.5-1.25-1.5h-4.25c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5zM22.5 3c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-11c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h11zM9 4.5v-4c0-0.276-0.224-0.5-0.5-0.5s-0.5 0.224-0.5 0.5v4c0 0.276 0.224 0.5 0.5 0.5s0.5-0.224 0.5-0.5zM25.5 5c0.276 0 0.5-0.224 0.5-0.5v-4c0-0.276-0.224-0.5-0.5-0.5s-0.5 0.224-0.5 0.5v4c0 0.276 0.224 0.5 0.5 0.5z"></path>'),
	   	 			'brief_case3' => array('keywords' => 'brief_case3 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 5h-8c0-2.757-2.243-5-5-5s-5 2.243-5 5h-8c-1.655 0-3 1.345-3 3v7c0 1.303 0.837 2.412 2 2.825v11.175c0 1.654 1.345 3 3 3h22c1.654 0 3-1.346 3-3v-11.175c1.163-0.413 2-1.522 2-2.825v-7c0-1.655-1.346-3-3-3zM16 2c1.654 0 3 1.345 3 3h-6c0-1.655 1.345-3 3-3zM27 30h-22c-0.551 0-1-0.448-1-1v-11h3v1.5c0 0.552 0.448 1 1 1h5c0.552 0 1-0.448 1-1v-1.5h4v1.5c0 0.552 0.448 1 1 1h5c0.552 0 1-0.448 1-1v-1.5h3v11c0 0.552-0.448 1-1 1zM9 18.5v-3h3v3h-3zM20 18.5v-3h3v3h-3zM30 15c0 0.552-0.448 1-1 1h-4v-1.5c0-0.552-0.448-1-1-1h-5c-0.552 0-1 0.448-1 1v1.5h-4v-1.5c0-0.552-0.448-1-1-1h-5c-0.552 0-1 0.448-1 1v1.5h-4c-0.551 0-1-0.448-1-1v-7c0-0.551 0.449-1 1-1h26c0.552 0 1 0.449 1 1v7z"></path>'),
	   	 			'spotify2' => array('keywords' => 'spotify2 ','viewbox' => '0 0 27 32', 'path' =>'<path d="M20.125 21.893q0-0.571-0.536-0.911-3.446-2.054-7.982-2.054-2.375 0-5.125 0.607-0.75 0.161-0.75 0.929 0 0.357 0.241 0.616t0.634 0.259q0.089 0 0.661-0.143 2.357-0.482 4.339-0.482 4.036 0 7.089 1.839 0.339 0.196 0.589 0.196 0.339 0 0.589-0.241t0.25-0.616zM21.839 18.054q0-0.714-0.625-1.089-4.232-2.518-9.786-2.518-2.732 0-5.411 0.75-0.857 0.232-0.857 1.143 0 0.446 0.313 0.759t0.759 0.313q0.125 0 0.661-0.143 2.179-0.589 4.482-0.589 4.982 0 8.714 2.214 0.429 0.232 0.679 0.232 0.446 0 0.759-0.313t0.313-0.759zM23.768 13.625q0-0.839-0.714-1.25-2.25-1.304-5.232-1.973t-6.125-0.67q-3.643 0-6.5 0.839-0.411 0.125-0.688 0.455t-0.277 0.866q0 0.554 0.366 0.929t0.92 0.375q0.196 0 0.714-0.143 2.375-0.661 5.482-0.661 2.839 0 5.527 0.607t4.527 1.696q0.375 0.214 0.714 0.214 0.518 0 0.902-0.366t0.384-0.92zM27.429 16.286q0 3.732-1.839 6.884t-4.991 4.991-6.884 1.839-6.884-1.839-4.991-4.991-1.839-6.884 1.839-6.884 4.991-4.991 6.884-1.839 6.884 1.839 4.991 4.991 1.839 6.884z"></path>'),
	   	 			'icecream_symbol' => array('keywords' => 'icecream_symbol ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25.5 12c0-0.024-0.003-0.047-0.003-0.071 0-0.004 0-0.007-0-0.010-0.033-2.726-1.739-5.012-4.048-5.701 0.032-0.235 0.052-0.474 0.052-0.718 0-3.033-2.468-5.5-5.5-5.5s-5.5 2.467-5.5 5.5c0 0.244 0.021 0.482 0.052 0.718-2.308 0.689-4.015 2.976-4.048 5.702-0 0.004-0 0.007-0 0.010 0 0.024-0.003 0.046-0.003 0.070h0.007c0 0.139 0.022 0.278 0.080 0.408l8.5 19c0.161 0.36 0.518 0.592 0.913 0.592s0.752-0.232 0.913-0.592l8.5-19c0.058-0.13 0.080-0.27 0.080-0.408h0.007zM23.385 11h-5.968c-0.067-0.429-0.172-0.844-0.317-1.236 0.63-1.063 1.695-1.764 2.901-1.764 1.628 0 2.994 1.278 3.385 3zM16 2c1.93 0 3.5 1.571 3.5 3.5 0 0.184-0.020 0.362-0.047 0.538-1.357 0.147-2.563 0.835-3.448 1.862-0.886-1.031-2.099-1.724-3.459-1.87-0.027-0.173-0.046-0.35-0.046-0.53 0-1.929 1.57-3.5 3.5-3.5zM12 8c1.627 0 2.995 1.278 3.385 3h-6.77c0.39-1.722 1.758-3 3.385-3zM16 28.552l-6.957-15.552h13.914l-6.957 15.552z"></path>'),
	   	 			'backspace' => array('keywords' => 'backspace ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25.313 21.479l-4.75-4.813 4.75-4.813-1.875-1.875-4.75 4.813-4.813-4.813-1.875 1.875 4.813 4.813-4.813 4.813 1.875 1.875 4.813-4.813 4.75 4.813zM29.313 4.667q1.063 0 1.875 0.813t0.813 1.875v18.625q0 1.063-0.813 1.875t-1.875 0.813h-20q-1.25 0-2.125-1.188l-7.188-10.813 7.188-10.813q0.875-1.188 2.125-1.188h20z"></path>'),
	   	 			'two_computer_connect' => array('keywords' => 'two_computer_connect ','viewbox' => '0 0 32 32', 'path' =>'<path d="M10 10.5h-9c-0.552 0-1 0.448-1 1v6c0 0.552 0.448 1 1 1h3.5v1h-1c-0.553 0-1 0.448-1 1s0.447 1 1 1h4c0.553 0 1-0.448 1-1s-0.447-1-1-1h-1v-1h3.5c0.552 0 1-0.448 1-1v-6c0-0.552-0.448-1-1-1zM9 16.5h-7v-4h7v4zM31 10.5h-9c-0.552 0-1 0.448-1 1v6c0 0.552 0.448 1 1 1h3.5v1h-1c-0.552 0-1 0.448-1 1s0.448 1 1 1h4c0.552 0 1-0.448 1-1s-0.448-1-1-1h-1v-1h3.5c0.552 0 1-0.448 1-1v-6c0-0.552-0.448-1-1-1zM30 16.5h-7v-4h7v4zM18.295 13.795c-0.19 0.18-0.295 0.44-0.295 0.705s0.105 0.52 0.295 0.705c0.185 0.19 0.44 0.295 0.705 0.295s0.52-0.105 0.705-0.295c0.19-0.185 0.295-0.44 0.295-0.705s-0.105-0.52-0.295-0.705c-0.365-0.375-1.045-0.37-1.41 0zM16 13.5c-0.55 0-1 0.445-1 1 0 0.55 0.45 1 1 1s1-0.45 1-1c0-0.555-0.45-1-1-1zM12.295 13.795c-0.19 0.185-0.295 0.44-0.295 0.705s0.105 0.52 0.295 0.705c0.185 0.19 0.445 0.295 0.705 0.295s0.52-0.105 0.71-0.295c0.185-0.185 0.29-0.44 0.29-0.705s-0.105-0.52-0.29-0.705c-0.375-0.375-1.045-0.375-1.415 0z"></path>'),
	   	 			'spa' => array('keywords' => 'spa ','viewbox' => '0 0 32 32', 'path' =>'<path d="M20.625 13.479q-2.625 1.438-4.625 3.563-2-2.125-4.625-3.563 0.5-5.938 4.688-10.125 4.188 4.188 4.563 10.125zM2.688 13.979q4.25 0 7.75 2.063t5.563 5.25q2.063-3.188 5.563-5.25t7.75-2.063q0 5.25-2.969 9.438t-7.719 5.875q-1.063 0.375-2.625 0.688-1.313-0.188-2.625-0.688-4.75-1.688-7.719-5.875t-2.969-9.438z"></path>'),
	   	 			'brightness_medium' => array('keywords' => 'brightness_medium ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 24.667q3.313 0 5.656-2.344t2.344-5.656-2.344-5.656-5.656-2.344v16zM26.688 21.104v6.25h-6.25l-4.438 4.375-4.438-4.375h-6.25v-6.25l-4.375-4.438 4.375-4.438v-6.25h6.25l4.438-4.375 4.438 4.375h6.25v6.25l4.375 4.438z"></path>'),
	   	 			'paw' => array('keywords' => 'paw ','viewbox' => '0 0 30 32', 'path' =>'<path d="M13.929 8.714q0 1.071-0.339 2.027t-1.125 1.652-1.875 0.696q-1.357 0-2.464-1.027t-1.643-2.42-0.536-2.696q0-1.071 0.339-2.027t1.125-1.652 1.875-0.696q1.375 0 2.473 1.027t1.634 2.411 0.536 2.705zM7.821 17.339q0 1.429-0.75 2.482t-2.125 1.054q-1.357 0-2.527-0.991t-1.795-2.384-0.625-2.714q0-1.429 0.75-2.491t2.125-1.063q1.357 0 2.527 0.991t1.795 2.393 0.625 2.723zM14.857 16.857q2.107 0 4.554 1.741t4.089 4.232 1.643 4.545q0 0.821-0.304 1.366t-0.866 0.804-1.152 0.357-1.357 0.098q-1.214 0-3.348-0.804t-3.259-0.804q-1.179 0-3.438 0.795t-3.58 0.795q-3.268 0-3.268-2.607 0-1.536 1-3.42t2.491-3.438 3.348-2.607 3.446-1.054zM19.125 13.089q-1.089 0-1.875-0.696t-1.125-1.652-0.339-2.027q0-1.321 0.536-2.705t1.634-2.411 2.473-1.027q1.089 0 1.875 0.696t1.125 1.652 0.339 2.027q0 1.304-0.536 2.696t-1.643 2.42-2.464 1.027zM26.839 11.232q1.375 0 2.125 1.063t0.75 2.491q0 1.321-0.625 2.714t-1.795 2.384-2.527 0.991q-1.375 0-2.125-1.054t-0.75-2.482q0-1.321 0.625-2.723t1.795-2.393 2.527-0.991z"></path>'),
	   	 			'layout' => array('keywords' => 'layout ','viewbox' => '0 0 32 32', 'path' =>'<path d="M3 4v25h25v-25h-25zM7.938 28h-3.938v-17h3.938v17zM22 28h-13v-17h13v17zM27 28h-4v-17h4v17zM27 10h-23v-5h23v5z"></path>'),
	   	 			'magnet2' => array('keywords' => 'magnet2 ','viewbox' => '0 0 27 32', 'path' =>'<path d="M27.429 15.143v2.286q0 3.589-1.759 6.464t-4.893 4.491-7.063 1.616-7.063-1.616-4.893-4.491-1.759-6.464v-2.286q0-0.464 0.339-0.804t0.804-0.339h6.857q0.464 0 0.804 0.339t0.339 0.804v2.286q0 0.929 0.42 1.607t0.955 1.018 1.268 0.536 1.143 0.232 0.786 0.036 0.786-0.036 1.143-0.232 1.268-0.536 0.955-1.018 0.42-1.607v-2.286q0-0.464 0.339-0.804t0.804-0.339h6.857q0.464 0 0.804 0.339t0.339 0.804zM9.143 3.714v6.857q0 0.464-0.339 0.804t-0.804 0.339h-6.857q-0.464 0-0.804-0.339t-0.339-0.804v-6.857q0-0.464 0.339-0.804t0.804-0.339h6.857q0.464 0 0.804 0.339t0.339 0.804zM27.429 3.714v6.857q0 0.464-0.339 0.804t-0.804 0.339h-6.857q-0.464 0-0.804-0.339t-0.339-0.804v-6.857q0-0.464 0.339-0.804t0.804-0.339h6.857q0.464 0 0.804 0.339t0.339 0.804z"></path>'),
	   	 			'timer' => array('keywords' => 'timer ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 27.354q3.875 0 6.594-2.75t2.719-6.625-2.719-6.594-6.594-2.719-6.594 2.719-2.719 6.594 2.719 6.625 6.594 2.75zM25.375 10.542q2.625 3.313 2.625 7.438 0 4.938-3.5 8.469t-8.5 3.531-8.5-3.531-3.5-8.469 3.5-8.469 8.5-3.531q4.063 0 7.5 2.688l1.875-1.938q1 0.813 1.875 1.875zM14.688 19.354v-8h2.625v8h-2.625zM20 1.979v2.688h-8v-2.688h8z"></path>'),
	   	 			'menu22' => array('keywords' => 'menu22 ','viewbox' => '0 0 44 32', 'path' =>'<path d="M0 6h28v6h-28v-6zM0 14h28v6h-28v-6zM0 22h28v6h-28v-6zM31 18l6 6 6-6zM43 16l-6-6-6 6z"></path>'),
	   	 			'signal_tower' => array('keywords' => 'signal_tower ','viewbox' => '0 0 32 32', 'path' =>'<path d="M21.412 7h6.089c0.003 0 0.008 0 0.010 0 0.552 0 1-0.448 1-1 0-0.395-0.229-0.737-0.561-0.899l-7.919-4.949c-0.159-0.1-0.343-0.152-0.53-0.152h-7c-0.188 0-0.371 0.052-0.53 0.152l-8 5c-0.378 0.237-0.554 0.695-0.431 1.124s0.516 0.724 0.962 0.724h6.089l-3.578 23.852c-0.056 0.377 0.106 0.752 0.418 0.969 0.171 0.119 0.37 0.179 0.571 0.179 0.166 0 0.332-0.041 0.483-0.125l7.517-4.148 7.517 4.148c0.151 0.084 0.317 0.125 0.483 0.125 0.2 0 0.4-0.060 0.571-0.179 0.313-0.218 0.474-0.593 0.418-0.969l-3.578-23.852zM13.361 2h5.279l0.45 3h-6.178l0.45-3zM20.794 16.362l0.709 4.726-3.751-2.609 3.043-2.116zM16 17.261l-3.386-2.356 3.386-3.011 3.387 3.011-3.387 2.356zM17.506 10.556l2.133-1.896 0.656 4.374-2.789-2.479zM16 9.217l-2.495-2.217h4.989l-2.495 2.217zM12.362 8.66l2.133 1.896-2.788 2.479 0.655-4.374zM11.207 16.362l3.043 2.116-3.751 2.609 0.709-4.726zM16 19.697l4.608 3.206-4.608 2.543-4.608-2.543 4.608-3.206zM21.111 5l-0.3-2.002 3.203 2.002h-2.902zM7.987 5l3.203-2.002-0.3 2.002h-2.902zM9.29 29.146l0.71-4.729 3.931 2.169-4.641 2.561zM18.070 26.586l3.931-2.169 0.709 4.729-4.641-2.561zM27.5 8h-1c-0.552 0-1 0.448-1 1s0.448 1 1 1h1c0.552 0 1-0.448 1-1s-0.448-1-1-1zM27.5 11h-1c-0.552 0-1 0.448-1 1s0.448 1 1 1h1c0.552 0 1-0.448 1-1s-0.448-1-1-1zM5.5 8h-1c-0.552 0-1 0.448-1 1s0.448 1 1 1h1c0.552 0 1-0.448 1-1s-0.447-1-1-1zM5.5 11h-1c-0.552 0-1 0.448-1 1s0.448 1 1 1h1c0.552 0 1-0.448 1-1s-0.447-1-1-1z"></path>'),
	   	 			'watch_2' => array('keywords' => 'watch_2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16.5 15.586v-3.586c0-0.552-0.448-1-1-1s-1 0.448-1 1v4c0 0.265 0.105 0.52 0.293 0.707l4 4c0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293c0.39-0.39 0.39-1.023 0-1.414l-3.707-3.707zM26.5 13.5h-0.287c-0.555-2.382-1.887-4.469-3.713-5.979v-6.521c0-0.552-0.448-1-1-1h-12c-0.552 0-1 0.448-1 1v6.521c-2.441 2.019-4 5.071-4 8.479s1.559 6.46 4 8.479v6.521c0 0.552 0.448 1 1 1h12c0.552 0 1-0.448 1-1v-6.521c1.825-1.51 3.154-3.597 3.71-5.979h0.29c0.552 0 1-0.448 1-1v-3c0-0.552-0.448-1-1-1zM10.5 2h10v4.207c-1.502-0.769-3.2-1.207-5-1.207s-3.498 0.438-5 1.207v-4.207zM20.5 30h-10v-4.207c1.502 0.77 3.2 1.207 5 1.207s3.498-0.438 5-1.207v4.207zM15.5 25c-4.963 0-9-4.037-9-9s4.037-9 9-9 9 4.037 9 9-4.037 9-9 9z"></path>'),
	   	 			'sun-o' => array('keywords' => 'sun-o ','viewbox' => '0 0 32 32', 'path' =>'<path d="M26.286 16.286q0-2.089-0.813-3.991t-2.196-3.286-3.286-2.196-3.991-0.813-3.991 0.813-3.286 2.196-2.196 3.286-0.813 3.991 0.813 3.991 2.196 3.286 3.286 2.196 3.991 0.813 3.991-0.813 3.286-2.196 2.196-3.286 0.813-3.991zM31.214 21.232q-0.071 0.268-0.357 0.357l-5.214 1.714v5.464q0 0.286-0.232 0.464-0.268 0.179-0.518 0.071l-5.214-1.679-3.214 4.429q-0.179 0.232-0.464 0.232t-0.464-0.232l-3.214-4.429-5.214 1.679q-0.25 0.107-0.518-0.071-0.232-0.179-0.232-0.464v-5.464l-5.214-1.714q-0.286-0.089-0.357-0.357-0.089-0.304 0.071-0.518l3.214-4.429-3.214-4.429q-0.161-0.232-0.071-0.518 0.071-0.268 0.357-0.357l5.214-1.714v-5.464q0-0.286 0.232-0.464 0.268-0.179 0.518-0.071l5.214 1.679 3.214-4.429q0.161-0.214 0.464-0.214t0.464 0.214l3.214 4.429 5.214-1.679q0.25-0.107 0.518 0.071 0.232 0.179 0.232 0.464v5.464l5.214 1.714q0.286 0.089 0.357 0.357 0.089 0.286-0.071 0.518l-3.214 4.429 3.214 4.429q0.161 0.214 0.071 0.518z"></path>'),
	   	 			'certificate' => array('keywords' => 'certificate ','viewbox' => '0 0 27 32', 'path' =>'<path d="M24.571 16.286l2.464 2.411q0.536 0.5 0.357 1.25-0.214 0.732-0.929 0.911l-3.357 0.857 0.946 3.321q0.214 0.732-0.339 1.25-0.518 0.554-1.25 0.339l-3.321-0.946-0.857 3.357q-0.179 0.714-0.911 0.929-0.214 0.036-0.339 0.036-0.554 0-0.911-0.393l-2.411-2.464-2.411 2.464q-0.5 0.536-1.25 0.357-0.732-0.196-0.911-0.929l-0.857-3.357-3.321 0.946q-0.732 0.214-1.25-0.339-0.554-0.518-0.339-1.25l0.946-3.321-3.357-0.857q-0.714-0.179-0.929-0.911-0.179-0.75 0.357-1.25l2.464-2.411-2.464-2.411q-0.536-0.5-0.357-1.25 0.214-0.732 0.929-0.911l3.357-0.857-0.946-3.321q-0.214-0.732 0.339-1.25 0.518-0.554 1.25-0.339l3.321 0.946 0.857-3.357q0.179-0.732 0.911-0.911 0.732-0.214 1.25 0.339l2.411 2.482 2.411-2.482q0.518-0.536 1.25-0.339 0.732 0.179 0.911 0.911l0.857 3.357 3.321-0.946q0.732-0.214 1.25 0.339 0.554 0.518 0.339 1.25l-0.946 3.321 3.357 0.857q0.714 0.179 0.929 0.911 0.179 0.75-0.357 1.25z"></path>'),
	   	 			'wheelchair_symbol2' => array('keywords' => 'wheelchair_symbol2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31.707 21.793c-0.39-0.39-1.024-0.39-1.414 0l-1.849 1.849-5.797-4.906c-0.013-0.011-0.028-0.018-0.041-0.029-0.029-0.022-0.059-0.043-0.090-0.062-0.026-0.015-0.052-0.029-0.079-0.043-0.030-0.015-0.062-0.029-0.095-0.041-0.030-0.011-0.059-0.020-0.090-0.028s-0.063-0.015-0.095-0.020c-0.034-0.006-0.069-0.009-0.102-0.011-0.018 0-0.035-0.005-0.053-0.005h-8v-4h8c0.552 0 1-0.448 1-1s-0.448-1-1-1h-8v-3.172c2.014-0.551 3.5-2.392 3.5-4.577 0-2.619-2.131-4.75-4.75-4.75s-4.75 2.131-4.75 4.75c0 2.364 1.737 4.323 4 4.685v10.065c0 0.552 0.448 1 1 1h8.634l6.22 5.263c0.017 0.015 0.037 0.026 0.055 0.038 0.022 0.017 0.044 0.033 0.067 0.047 0.032 0.020 0.066 0.036 0.099 0.052 0.023 0.011 0.044 0.022 0.067 0.031 0.040 0.015 0.079 0.026 0.12 0.035 0.019 0.005 0.037 0.011 0.056 0.015 0.060 0.012 0.12 0.018 0.181 0.018h0c0.067 0 0.135-0.008 0.201-0.021 0.021-0.005 0.041-0.012 0.063-0.018 0.044-0.012 0.088-0.025 0.131-0.043 0.026-0.011 0.049-0.026 0.074-0.039 0.035-0.019 0.072-0.038 0.105-0.063 0.026-0.017 0.049-0.038 0.073-0.059 0.020-0.017 0.042-0.031 0.061-0.049l2.5-2.5c0.391-0.39 0.391-1.023 0-1.414zM10 4.75c0-1.516 1.233-2.75 2.75-2.75s2.75 1.234 2.75 2.75-1.233 2.75-2.75 2.75-2.75-1.234-2.75-2.75zM24.026 24.666c-0.46-0.305-1.081-0.178-1.386 0.282-2.093 3.163-5.604 5.052-9.391 5.052-6.204 0-11.25-5.047-11.25-11.25 0-3.787 1.889-7.297 5.052-9.389 0.46-0.304 0.587-0.925 0.282-1.386s-0.925-0.587-1.386-0.282c-3.725 2.463-5.949 6.597-5.949 11.057 0 7.306 5.944 13.25 13.25 13.25 4.46 0 8.594-2.224 11.058-5.948 0.305-0.46 0.179-1.081-0.282-1.386z"></path>'),
	   	 			'weather_2' => array('keywords' => 'weather_2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M28.986 11.253c0.062-0.057 0.128-0.11 0.188-0.17 0.945-0.945 1.571-2.138 1.81-3.45 0.073-0.402-0.105-0.809-0.451-1.026s-0.79-0.203-1.12 0.037c-0.619 0.449-1.354 0.686-2.124 0.686-0.968 0-1.877-0.376-2.56-1.060-1.266-1.267-1.423-3.237-0.373-4.684 0.239-0.33 0.255-0.773 0.037-1.119s-0.623-0.523-1.026-0.452c-1.312 0.239-2.506 0.865-3.451 1.81-1.22 1.22-1.843 2.805-1.895 4.407-0.655-0.151-1.332-0.233-2.023-0.233-3.92 0-7.348 2.539-8.545 6.181-0.474-0.12-0.96-0.181-1.455-0.181-3.309 0-6 2.692-6 6s2.692 6 6 6h1.5c0.552 0 1-0.448 1-1s-0.448-1-1-1h-1.5c-2.206 0-4-1.795-4-4s1.795-4 4-4c0.594 0 1.171 0.132 1.717 0.392 0.28 0.133 0.605 0.13 0.883-0.011 0.277-0.139 0.473-0.4 0.53-0.704 0.628-3.29 3.518-5.677 6.87-5.677 2.617 0 4.996 1.447 6.209 3.776 0.227 0.436 0.739 0.642 1.204 0.486 0.518-0.174 1.053-0.261 1.587-0.261 2.757 0 5 2.243 5 5s-2.243 5-5 5h-0.5c-0.552 0-1 0.448-1 1s0.448 1 1 1h0.5c3.86 0 7-3.14 7-7 0-2.38-1.196-4.482-3.014-5.748zM20.039 6.959c-0.149-1.326 0.277-2.704 1.292-3.719 0.124-0.124 0.254-0.24 0.39-0.348-0.253 1.708 0.293 3.49 1.595 4.792 1.062 1.062 2.473 1.646 3.974 1.646 0.278 0 0.553-0.020 0.825-0.059-0.11 0.139-0.228 0.271-0.355 0.399-0.239 0.239-0.501 0.444-0.779 0.621-0.629-0.186-1.293-0.29-1.981-0.29-0.477 0-0.954 0.050-1.424 0.149-0.884-1.384-2.112-2.473-3.536-3.19zM11.5 21c-0.552 0-1 0.448-1 1v2c0 0.552 0.448 1 1 1s1-0.448 1-1v-2c0-0.552-0.448-1-1-1zM14.5 22c-0.552 0-1 0.448-1 1v2c0 0.552 0.448 1 1 1s1-0.448 1-1v-2c0-0.552-0.448-1-1-1zM17.5 21c-0.552 0-1 0.448-1 1v2c0 0.552 0.448 1 1 1s1-0.448 1-1v-2c0-0.552-0.448-1-1-1zM20.5 22c-0.552 0-1 0.448-1 1v2c0 0.552 0.448 1 1 1s1-0.448 1-1v-2c0-0.552-0.448-1-1-1zM11.5 27c-0.552 0-1 0.448-1 1v2c0 0.552 0.448 1 1 1s1-0.448 1-1v-2c0-0.552-0.448-1-1-1zM14.5 28c-0.552 0-1 0.448-1 1v2c0 0.552 0.448 1 1 1s1-0.448 1-1v-2c0-0.552-0.448-1-1-1zM17.5 27c-0.552 0-1 0.448-1 1v2c0 0.552 0.448 1 1 1s1-0.448 1-1v-2c0-0.552-0.448-1-1-1zM20.5 28c-0.552 0-1 0.448-1 1v2c0 0.552 0.448 1 1 1s1-0.448 1-1v-2c0-0.552-0.448-1-1-1z"></path>'),
	   	 			'folder_2' => array('keywords' => 'folder_2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M17.413 15.174l-1.414 1.414-1.413-1.412c0-0.001-0.001-0.002-0.002-0.003-0.39-0.389-1.024-0.389-1.414 0s-0.39 1.024 0 1.415l1.414 1.414-1.414 1.414c0 0.001-0.001 0.002-0.002 0.002-0.39 0.39-0.39 1.024 0 1.414s1.024 0.39 1.413 0.001h0.001l1.417-1.417 1.414 1.414c0.39 0.39 1.023 0.39 1.414 0s0.39-1.023 0-1.414v0l-1.414-1.414 1.419-1.42c0.39-0.39 0.39-1.024 0-1.414s-1.024-0.39-1.414 0c-0.002 0.002-0.003 0.004-0.005 0.006zM29 6.5h-14.070l-3.369-3.561c-0.292-0.293-0.677-0.439-1.060-0.439v0h-7.5c-1.651 0-3 1.349-3 3v21c0 1.649 1.349 3 3 3h26c1.649 0 3-1.351 3-3v-17c0-1.651-1.351-3-3-3zM30 26.5c0 0.55-0.45 1-1 1h-26c-0.55 0-1-0.45-1-1v-17c0-0.55 0.45-1 1-1h11.499c0.001 0 0.001 0 0.002 0h14.499c0.55 0 1 0.45 1 1v17z"></path>'),
	   	 			'stumbleupon' => array('keywords' => 'stumbleupon ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 10c-1.1 0-2 0.9-2 2v8c0 3.306-2.694 6-6 6s-6-2.694-6-6v-4h4v4c0 1.1 0.9 2 2 2s2-0.9 2-2v-8c0-3.306 2.694-6 6-6s6 2.694 6 5.563v1.938l-2.563 0.75-1.438-0.75v-1.938c0-0.662-0.9-1.563-2-1.563zM30 20c0 3.306-2.694 6-6 6s-6-2.694-6-6.438v-3.875l1.438 0.75 2.563-0.75v3.875c0 1.538 0.9 2.438 2 2.438s2-0.9 2-2v-4h4v4z"></path>'),
	   	 			'yahoo2' => array('keywords' => 'yahoo2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16.038 2.175c-5.656 0-11-0.744-16.038-2.175 0 11.306 0 29.163 0 32 5.044-1.431 10.387-2.175 16.038-2.175 5.587 0 10.919 0.725 15.962 2.175 0-10.887 0-20.306 0-32-5.044 1.45-10.369 2.175-15.962 2.175zM24.9 4.906l-0.194 0.306c-0.181 0.287-0.344 0.531-0.569 0.875-0.3 0.45-0.863 1.344-1.538 2.494-0.188 0.319-0.419 0.7-0.656 1.113-0.456 0.769-0.969 1.637-1.375 2.325-0.169 0.294-0.337 0.594-0.512 0.894-0.45 0.781-0.913 1.588-1.356 2.363-0.456 0.806-0.906 1.6-1.356 2.387v0.794c0 1.1 0.025 2.3 0.063 3.369 0.019 0.488 0.038 1.356 0.063 2.275 0.025 1.094 0.050 2.225 0.081 2.8l0.006 0.175v0.019l-0.188-0.050c-0.075-0.019-0.144-0.038-0.219-0.056-0.225-0.050-0.469-0.087-0.706-0.113-0.144-0.012-0.294-0.019-0.444-0.019 0 0 0 0 0 0s0 0 0 0c-0.15 0-0.3 0.006-0.444 0.019-0.238 0.025-0.481 0.063-0.706 0.113-0.075 0.019-0.15 0.038-0.219 0.056l-0.188 0.050v-0.019l0.006-0.175c0.025-0.569 0.056-1.706 0.081-2.8 0.019-0.919 0.044-1.788 0.063-2.275 0.044-1.075 0.063-2.269 0.063-3.369v-0.794c-0.45-0.794-0.9-1.581-1.356-2.387-0.444-0.781-0.906-1.581-1.35-2.363-0.175-0.3-0.344-0.6-0.512-0.894-0.4-0.694-0.919-1.563-1.375-2.325-0.244-0.406-0.475-0.794-0.656-1.113-0.675-1.15-1.238-2.037-1.537-2.494-0.225-0.344-0.388-0.588-0.569-0.875l-0.194-0.306 0.35 0.1c0.444 0.125 0.9 0.188 1.387 0.188s0.956-0.063 1.394-0.188l0.106-0.031 0.056 0.094c0.863 1.556 3.181 5.369 4.569 7.65 0.475 0.787 0.856 1.406 1.044 1.725 0 0 0 0 0-0.006 0 0 0 0 0 0.006 0.188-0.313 0.569-0.938 1.044-1.725 1.387-2.275 3.706-6.088 4.569-7.65l0.056-0.094 0.106 0.031c0.438 0.125 0.906 0.188 1.394 0.188s0.944-0.063 1.387-0.188l0.331-0.1z"></path>'),
	   	 			'undo22' => array('keywords' => 'undo22 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M23.808 32c3.554-6.439 4.153-16.26-9.808-15.932v7.932l-12-12 12-12v7.762c16.718-0.436 18.58 14.757 9.808 24.238z"></path>'),
	   	 			'arrow_back' => array('keywords' => 'arrow_back ','viewbox' => '0 0 32 32', 'path' =>'<path d="M26.688 15.354v2.625h-16.25l7.438 7.5-1.875 1.875-10.688-10.688 10.688-10.688 1.875 1.875-7.438 7.5h16.25z"></path>'),
	   	 			'aspect_ratio' => array('keywords' => 'aspect_ratio ','viewbox' => '0 0 32 32', 'path' =>'<path d="M28 26.042v-18.75h-24v18.75h24zM28 4.667q1.063 0 1.875 0.813t0.813 1.875v18.625q0 1.063-0.813 1.875t-1.875 0.813h-24q-1.063 0-1.875-0.813t-0.813-1.875v-18.625q0-1.063 0.813-1.875t1.875-0.813h24zM9.313 12.667v4h-2.625v-6.688h6.625v2.688h-4zM25.313 16.667v6.688h-6.625v-2.688h4v-4h2.625z"></path>'),
	   	 			'spinner9' => array('keywords' => 'spinner9 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 0c-8.711 0-15.796 6.961-15.995 15.624 0.185-7.558 5.932-13.624 12.995-13.624 7.18 0 13 6.268 13 14 0 1.657 1.343 3 3 3s3-1.343 3-3c0-8.837-7.163-16-16-16zM16 32c8.711 0 15.796-6.961 15.995-15.624-0.185 7.558-5.932 13.624-12.995 13.624-7.18 0-13-6.268-13-14 0-1.657-1.343-3-3-3s-3 1.343-3 3c0 8.837 7.163 16 16 16z"></path>'),
	   	 			'browser' => array('keywords' => 'browser ','viewbox' => '0 0 42 32', 'path' =>'<path d="M41.5 10c-0.276 0-0.5 0.224-0.5 0.5v20c0 0.276-0.224 0.5-0.5 0.5h-39c-0.276 0-0.5-0.224-0.5-0.5v-20c0-0.276-0.224-0.5-0.5-0.5s-0.5 0.224-0.5 0.5v20c0 0.827 0.673 1.5 1.5 1.5h39c0.827 0 1.5-0.673 1.5-1.5v-20c0-0.276-0.224-0.5-0.5-0.5zM40.5 0h-39c-0.827 0-1.5 0.673-1.5 1.5v6c0 0.276 0.224 0.5 0.5 0.5h41c0.276 0 0.5-0.224 0.5-0.5v-6c0-0.827-0.673-1.5-1.5-1.5zM41 7h-40v-5.5c0-0.276 0.224-0.5 0.5-0.5h39c0.276 0 0.5 0.224 0.5 0.5v5.5zM17.5 28c0.276 0 0.5-0.224 0.5-0.5v-16c0-0.276-0.224-0.5-0.5-0.5h-13c-0.276 0-0.5 0.224-0.5 0.5v16c0 0.276 0.224 0.5 0.5 0.5h13zM5 12h12v15h-12v-15zM22.5 15h15c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-15c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5zM22.5 20h15c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-15c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5zM22.5 25h15c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-15c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5zM3 4c0 0.552 0.448 1 1 1s1-0.448 1-1c0-0.552-0.448-1-1-1s-1 0.448-1 1zM7 4c0 0.552 0.448 1 1 1s1-0.448 1-1c0-0.552-0.448-1-1-1s-1 0.448-1 1zM11 4c0 0.552 0.448 1 1 1s1-0.448 1-1c0-0.552-0.448-1-1-1s-1 0.448-1 1z"></path>'),
	   	 			'book2' => array('keywords' => 'book2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M8 5.979v10.688l3.313-2 3.375 2v-10.688h-6.688zM24 3.354q1.063 0 1.875 0.781t0.813 1.844v21.375q0 1.063-0.813 1.844t-1.875 0.781h-16q-1.063 0-1.875-0.781t-0.813-1.844v-21.375q0-1.063 0.813-1.844t1.875-0.781h16z"></path>'),
	   	 			'image_target' => array('keywords' => 'image_target ','viewbox' => '0 0 32 32', 'path' =>'<path d="M17 16c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM31 3h-30c-0.552 0-1 0.448-1 1v24c0 0.552 0.448 1 1 1h30c0.552 0 1-0.448 1-1v-24c0-0.552-0.448-1-1-1zM30 27h-28v-22h28v22zM23 9h3v3c0 0.552 0.448 1 1 1s1-0.448 1-1v-4c0-0.552-0.448-1-1-1h-4c-0.552 0-1 0.448-1 1s0.448 1 1 1zM27 19c-0.552 0-1 0.448-1 1v3h-3c-0.552 0-1 0.448-1 1s0.448 1 1 1h4c0.552 0 1-0.448 1-1v-4c0-0.552-0.448-1-1-1zM5 25h4c0.552 0 1-0.448 1-1s-0.448-1-1-1h-3v-3c0-0.552-0.448-1-1-1s-1 0.448-1 1v4c0 0.552 0.448 1 1 1zM5 13c0.552 0 1-0.448 1-1v-3h3c0.552 0 1-0.448 1-1s-0.448-1-1-1h-4c-0.552 0-1 0.448-1 1v4c0 0.552 0.448 1 1 1zM11.101 15h-2.101c-0.552 0-1 0.448-1 1s0.448 1 1 1h2.101c0.399 1.956 1.943 3.5 3.899 3.899v2.101c0 0.552 0.448 1 1 1s1-0.448 1-1v-2.101c1.956-0.399 3.5-1.944 3.899-3.899h2.101c0.552 0 1-0.448 1-1s-0.448-1-1-1h-2.101c-0.399-1.956-1.944-3.501-3.899-3.899v-2.101c0-0.552-0.448-1-1-1s-1 0.448-1 1v2.101c-1.957 0.399-3.501 1.944-3.899 3.899zM16 13c1.654 0 3 1.345 3 3s-1.346 3-3 3-3-1.346-3-3 1.345-3 3-3z"></path>'),
	   	 			'linked_camera' => array('keywords' => 'linked_camera ','viewbox' => '0 0 32 32', 'path' =>'<path d="M21.313 8.667q1.125 0 1.906 0.781t0.781 1.906h1.75q0-1.813-1.313-3.125t-3.125-1.313v1.75zM16 25.979q2.75 0 4.719-1.938t1.969-4.688-1.969-4.719-4.719-1.969-4.719 1.969-1.969 4.719 1.969 4.688 4.719 1.938zM22.688 12.667h6.625v14.688q0 1.063-0.781 1.844t-1.844 0.781h-21.375q-1.063 0-1.844-0.781t-0.781-1.844v-16q0-1.063 0.781-1.875t1.844-0.813h4.25l2.438-2.688h8v4q1.125 0 1.906 0.781t0.781 1.906zM21.313 5.104v-1.75q3.313 0 5.656 2.344t2.344 5.656h-1.75q0-2.563-1.844-4.406t-4.406-1.844zM11.75 19.354q0-1.813 1.25-3.063t3-1.25 3 1.25 1.25 3.063-1.25 3.031-3 1.219-3-1.219-1.25-3.031z"></path>'),
	   	 			'heartbeat' => array('keywords' => 'heartbeat ','viewbox' => '0 0 32 32', 'path' =>'<path d="M22.857 18.571h5.446q-0.089 0.107-0.179 0.188t-0.161 0.134l-0.054 0.071-11.125 10.714q-0.321 0.321-0.786 0.321t-0.786-0.321l-11.143-10.75q-0.089-0.036-0.375-0.357h6.589q0.393 0 0.705-0.241t0.402-0.616l1.25-5.018 3.393 11.911q0.107 0.357 0.411 0.589t0.696 0.232q0.375 0 0.679-0.232t0.411-0.589l2.607-8.661 1 2q0.321 0.625 1.018 0.625zM32 10.929q0 2.589-1.839 5.357h-6.589l-1.982-3.946q-0.143-0.304-0.455-0.482t-0.652-0.143q-0.804 0.089-1 0.821l-2.304 7.679-3.5-12.25q-0.107-0.357-0.42-0.589t-0.705-0.232-0.696 0.241-0.393 0.616l-2.071 8.286h-7.554q-1.839-2.768-1.839-5.357 0-3.929 2.268-6.143t6.268-2.214q1.107 0 2.259 0.384t2.143 1.036 1.705 1.223 1.357 1.214q0.643-0.643 1.357-1.214t1.705-1.223 2.143-1.036 2.259-0.384q4 0 6.268 2.214t2.268 6.143z"></path>'),
	   	 			'bicycle' => array('keywords' => 'bicycle ','viewbox' => '0 0 41 32', 'path' =>'<path d="M13.607 20.857h-5.607q-0.714 0-1.027-0.625t0.116-1.196l3.357-4.482q-1.161-0.554-2.446-0.554-2.357 0-4.036 1.679t-1.679 4.036 1.679 4.036 4.036 1.679q2.054 0 3.625-1.295t1.982-3.277zM10.286 18.571h3.321q-0.321-1.518-1.339-2.643zM18.857 18.571l5.143-6.857h-8.571l-1.768 2.357q1.875 1.839 2.25 4.5h2.946zM38.857 19.714q0-2.357-1.679-4.036t-4.036-1.679q-1.071 0-2.161 0.429l3.107 4.643q0.268 0.411 0.179 0.875t-0.482 0.714q-0.268 0.196-0.643 0.196-0.625 0-0.946-0.518l-3.107-4.643q-1.661 1.696-1.661 4.018 0 2.357 1.679 4.036t4.036 1.679 4.036-1.679 1.679-4.036zM41.143 19.714q0 3.304-2.348 5.652t-5.652 2.348-5.652-2.348-2.348-5.652q0-1.732 0.705-3.277t1.955-2.67l-1.161-1.75-6.304 8.375q-0.321 0.464-0.911 0.464h-3.518q-0.411 2.929-2.661 4.893t-5.25 1.964q-3.304 0-5.652-2.348t-2.348-5.652 2.348-5.652 5.652-2.348q2.036 0 3.839 0.982l2.446-3.268h-4q-0.464 0-0.804-0.339t-0.339-0.804 0.339-0.804 0.804-0.339h6.857v2.286h7.768l-1.518-2.286h-3.964q-0.464 0-0.804-0.339t-0.339-0.804 0.339-0.804 0.804-0.339h4.571q0.589 0 0.946 0.5l4.768 7.143q1.625-0.786 3.429-0.786 3.304 0 5.652 2.348t2.348 5.652z"></path>'),
	   	 			'share' => array('keywords' => 'share ','viewbox' => '0 0 32 32', 'path' =>'<path d="M8 20c0 0 1.838-6 12-6v6l12-8-12-8v6c-8 0-12 4.99-12 10zM22 24h-18v-12h3.934c0.315-0.372 0.654-0.729 1.015-1.068 1.374-1.287 3.018-2.27 4.879-2.932h-13.827v20h26v-8.395l-4 2.667v1.728z"></path>'),
	   	 			'd_rotation' => array('keywords' => 'd_rotation ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 0.667q6.25 0 10.844 4.219t5.094 10.406h-2q-0.313-3.688-2.469-6.688t-5.469-4.563l-1.813 1.75-5.063-5.063zM22.063 16.417q0-3.563-2.938-3.563h-1.25v7.688h1.188q2.25 0 2.875-2.125 0.125-0.438 0.125-1.5v-0.5zM19.125 11.354q3.313 0 4.5 2.938 0.313 0.75 0.313 2.125v0.5q0 2.375-1.313 3.688-1.375 1.375-3.563 1.375h-3.063v-10.625h3.125zM12.938 16.542q1.75 0.688 1.75 2.438 0 0.625-0.313 1.25-0.375 0.75-0.688 1-0.938 0.75-2.5 0.75-1.5 0-2.438-0.75t-0.938-2.188h1.688q0 0.688 0.469 1.125t1.219 0.438q1.75 0 1.75-1.688t-1.938-1.688h-1v-1.375h1q1.813 0 1.813-1.563t-1.625-1.563q-1.563 0-1.563 1.438h-1.75q0-1.063 0.938-2 1-0.813 2.375-0.813 2.188 0 3.063 1.688 0.25 0.5 0.25 1.25 0 1.438-1.563 2.25zM10 29.292l1.813-1.75 5.063 5.063-0.875 0.063q-6.25 0-10.844-4.25t-5.094-10.438h2q0.375 3.75 2.5 6.75t5.438 4.563z"></path>'),
	   	 			'mobile2' => array('keywords' => 'mobile2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M24 0h-18c-1.1 0-2 0.9-2 2v28c0 1.1 0.9 2 2 2h18c1.1 0 2-0.9 2-2v-28c0-1.1-0.9-2-2-2zM15 30.556c-0.859 0-1.556-0.697-1.556-1.556s0.697-1.556 1.556-1.556 1.556 0.697 1.556 1.556-0.697 1.556-1.556 1.556zM24 26h-18v-22h18v22z"></path>'),
	   	 			'bed_lamp' => array('keywords' => 'bed_lamp ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25.558 14.818l-3.030-12.12c-0.378-1.513-1.895-2.698-3.455-2.698h-6c-1.559 0-3.077 1.185-3.455 2.697l-3.030 12.12c-0.202 0.809-0.047 1.622 0.427 2.229s1.223 0.954 2.058 0.954h6v9h-4c-0.069 0-0.136 0.007-0.201 0.020-1.283 0.105-2.299 1.17-2.299 2.48s1.015 2.375 2.299 2.48c0.065 0.014 0.132 0.020 0.201 0.020h10c0.070 0 0.137-0.007 0.201-0.020 1.282-0.105 2.299-1.17 2.299-2.48s-1.015-2.375-2.299-2.48c-0.064-0.014-0.132-0.020-0.201-0.020h-4v-9h4v3.139c-0.298 0.174-0.5 0.492-0.5 0.861 0 0.552 0.448 1 1 1s1-0.448 1-1c0-0.369-0.202-0.688-0.5-0.861v-3.139h1c0.834 0 1.584-0.348 2.058-0.954s0.63-1.419 0.427-2.229zM11.072 30c-0.275 0-0.5-0.224-0.5-0.5s0.225-0.5 0.5-0.5h10c0.276 0 0.5 0.224 0.5 0.5s-0.224 0.5-0.5 0.5h-10zM23.554 15.815c-0.093 0.12-0.264 0.185-0.482 0.185h-14c-0.218 0-0.389-0.066-0.482-0.185s-0.116-0.302-0.063-0.511l3.030-12.12c0.153-0.619 0.876-1.183 1.514-1.183h6c0.638 0 1.361 0.563 1.514 1.183l3.030 12.12c0.053 0.211 0.030 0.393-0.063 0.512z"></path>'),
	   	 			'tripadvisor' => array('keywords' => 'tripadvisor ','viewbox' => '0 0 41 32', 'path' =>'<path d="M11.625 18.089q0 0.696-0.491 1.188t-1.17 0.491q-0.696 0-1.188-0.491t-0.491-1.188q0-0.679 0.491-1.17t1.188-0.491q0.679 0 1.17 0.491t0.491 1.17zM32.232 18.071q0 0.696-0.491 1.188t-1.188 0.491-1.188-0.491-0.491-1.188 0.491-1.179 1.188-0.482 1.188 0.482 0.491 1.179zM13.661 18.089q0-1.411-1.009-2.429t-2.438-1.018-2.438 1.009-1.009 2.437 1.009 2.438 2.438 1.009 2.438-1.009 1.009-2.438zM34.25 18.071q0-1.429-1.009-2.438t-2.438-1.009q-1.411 0-2.429 1.009t-1.018 2.438 1.009 2.438 2.438 1.009 2.438-1.009 1.009-2.438zM15.179 18.089q0 2.071-1.455 3.527t-3.509 1.455q-2.071 0-3.527-1.464t-1.455-3.518 1.464-3.509 3.518-1.455 3.509 1.455 1.455 3.509zM35.786 18.071q0 2.054-1.455 3.509t-3.527 1.455q-2.054 0-3.509-1.455t-1.455-3.509 1.455-3.509 3.509-1.455q2.071 0 3.527 1.455t1.455 3.509zM18.571 18.125q0-3.411-2.42-5.83t-5.83-2.42q-2.232 0-4.125 1.107t-3 3.009-1.107 4.134 1.107 4.134 3 3.009 4.125 1.107q3.411 0 5.83-2.42t2.42-5.83zM30.5 7.893q-4.536-1.982-9.929-1.982-5.696 0-10.232 1.964 2.089 0 3.982 0.813t3.259 2.188 2.179 3.268 0.813 3.982q0-2.054 0.777-3.92t2.107-3.223 3.17-2.196 3.875-0.893zM39.054 18.125q0-3.411-2.411-5.83t-5.821-2.42-5.83 2.42-2.42 5.83 2.42 5.83 5.83 2.42 5.821-2.42 2.411-5.83zM34.304 8.018h6.839q-0.786 0.911-1.339 2.045t-0.714 2.045q1.964 2.696 1.964 6.018 0 2.786-1.375 5.143t-3.732 3.723-5.125 1.366q-2.375 0-4.446-1t-3.5-2.768q-0.839 1-2.304 3.196-0.196-0.393-0.955-1.473t-1.33-1.741q-1.429 1.768-3.509 2.777t-4.455 1.009q-2.768 0-5.125-1.366t-3.732-3.723-1.375-5.143q0-3.321 1.964-6.018-0.161-0.911-0.714-2.045t-1.339-2.045h6.518q2.661-1.786 6.339-2.795t7.714-1.009q4 0 7.518 1t6.214 2.804z"></path>'),
	   	 			'edit3' => array('keywords' => 'edit3 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M1.5 32h29c0.827 0 1.5-0.673 1.5-1.5v-29c0-0.827-0.673-1.5-1.5-1.5h-29c-0.827 0-1.5 0.673-1.5 1.5v29c0 0.827 0.673 1.5 1.5 1.5zM1 1.5c0-0.276 0.225-0.5 0.5-0.5h29c0.275 0 0.5 0.224 0.5 0.5v29c0 0.276-0.225 0.5-0.5 0.5h-29c-0.275 0-0.5-0.224-0.5-0.5v-29zM4 28.479c0.048 0 0.096-0.007 0.143-0.021l10-2.979c0.081-0.024 0.154-0.068 0.213-0.127l10.090-10.205c0.023-0.024 0.035-0.053 0.052-0.080l3.658-3.658c0.607-0.607 0.607-1.595 0-2.203l-5.236-5.234c-0.607-0.607-1.595-0.608-2.202 0l-3.739 3.739c-0.024 0.024-0.036 0.054-0.054 0.081l-10.118 10.119c-0.056 0.056-0.098 0.124-0.122 0.199l-3.16 9.715c-0.058 0.177-0.012 0.371 0.117 0.504 0.095 0.097 0.225 0.15 0.358 0.15zM17.359 8.771l1.040 1.040-8.523 8.563-1.727-0.392 9.21-9.211zM10.5 19.165l8.607-8.646 2.434 2.434-8.745 8.547h-2.296v-2.335zM23.385 14.797l-9.246 9.352-0.576-1.999 8.684-8.489 1.138 1.136zM7.493 18.859l2.007 0.456v2.685c0 0.276 0.224 0.5 0.5 0.5h2.624l0.633 2.2-8.487 2.528 2.723-8.369zM21.425 4.679c0.218-0.217 0.572-0.216 0.788 0l5.235 5.235c0.218 0.217 0.218 0.571 0 0.789l-3.372 3.372-6.023-6.023 3.372-3.373z"></path>'),
	   	 			'download4' => array('keywords' => 'download4 ','viewbox' => '0 0 30 32', 'path' =>'<path d="M22.857 24.286q0-0.464-0.339-0.804t-0.804-0.339-0.804 0.339-0.339 0.804 0.339 0.804 0.804 0.339 0.804-0.339 0.339-0.804zM27.429 24.286q0-0.464-0.339-0.804t-0.804-0.339-0.804 0.339-0.339 0.804 0.339 0.804 0.804 0.339 0.804-0.339 0.339-0.804zM29.714 20.286v5.714q0 0.714-0.5 1.214t-1.214 0.5h-26.286q-0.714 0-1.214-0.5t-0.5-1.214v-5.714q0-0.714 0.5-1.214t1.214-0.5h8.304l2.411 2.429q1.036 1 2.429 1t2.429-1l2.429-2.429h8.286q0.714 0 1.214 0.5t0.5 1.214zM23.911 10.125q0.304 0.732-0.25 1.25l-8 8q-0.321 0.339-0.804 0.339t-0.804-0.339l-8-8q-0.554-0.518-0.25-1.25 0.304-0.696 1.054-0.696h4.571v-8q0-0.464 0.339-0.804t0.804-0.339h4.571q0.464 0 0.804 0.339t0.339 0.804v8h4.571q0.75 0 1.054 0.696z"></path>'),
	   	 			'rocket_1' => array('keywords' => 'rocket_1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M21.632 17.647c0.218-1.703 0.368-3.483 0.368-5.162 0-6.314-5.045-11.937-5.26-12.173-0.379-0.417-1.101-0.417-1.48 0-0.215 0.236-5.26 5.859-5.26 12.173 0 1.678 0.15 3.459 0.368 5.162-2.697 0.703-4.868 3.825-4.868 7.338 0 0.363 0.197 0.698 0.515 0.875 0.151 0.083 0.318 0.125 0.485 0.125 0.184 0 0.368-0.051 0.53-0.152 0.5-0.313 2.087-1.123 3.406-1.123 0.573 0 1.007 0.152 1.329 0.46 0.149 0.62 0.251 1.006 0.268 1.073 0.117 0.438 0.513 0.742 0.966 0.742h0.572c-0.044 0.191-0.072 0.387-0.072 0.59 0 1.367 1.387 3.539 1.665 3.96 0.185 0.28 0.498 0.449 0.835 0.449s0.649-0.169 0.834-0.449c0.279-0.421 1.666-2.592 1.666-3.96 0-0.204-0.029-0.401-0.072-0.591h0.572c0.453 0 0.849-0.305 0.966-0.742 0.017-0.067 0.119-0.452 0.268-1.073 0.323-0.308 0.757-0.46 1.33-0.46 1.577 0 3.389 1.113 3.407 1.124 0.162 0.101 0.345 0.151 0.529 0.151 0.167 0 0.334-0.042 0.485-0.125 0.318-0.177 0.515-0.512 0.515-0.875 0-3.514-2.171-6.635-4.868-7.338zM16.001 2.566c0.951 1.24 2.576 3.633 3.431 6.42h-6.863c0.857-2.783 2.482-5.178 3.431-6.42zM10.436 22.71c-0.957 0-1.925 0.27-2.715 0.574 0.464-1.767 1.608-3.207 2.935-3.651 0.184 1.145 0.386 2.215 0.579 3.148-0.255-0.044-0.52-0.071-0.799-0.071zM16.5 27.576c0 0.273-0.207 0.811-0.501 1.403-0.293-0.591-0.499-1.129-0.499-1.403 0-0.326 0.225-0.591 0.5-0.591s0.5 0.265 0.5 0.591zM18.22 24.985h-4.439c-0.491-2.021-1.78-7.783-1.78-12.5 0-0.504 0.040-1.005 0.111-1.5h7.778c0.070 0.495 0.111 0.996 0.111 1.5-0 4.716-1.29 10.479-1.781 12.5zM21.564 22.71c-0.28 0-0.544 0.027-0.799 0.072 0.192-0.933 0.394-2.003 0.578-3.148 1.327 0.445 2.471 1.884 2.935 3.651-0.789-0.305-1.758-0.575-2.714-0.575z"></path>'),
	   	 			'phone_paused' => array('keywords' => 'phone_paused ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25.313 4.667h2.688v9.313h-2.688v-9.313zM26.688 21.354q0.563 0 0.938 0.375t0.375 0.938v4.688q0 0.563-0.375 0.938t-0.938 0.375q-9.375 0-16.031-6.656t-6.656-16.031q0-0.563 0.375-0.938t0.938-0.375h4.688q0.563 0 0.938 0.375t0.375 0.938q0 2.5 0.75 4.75 0.25 0.813-0.313 1.375l-2.938 2.938q2.938 5.75 8.813 8.813l2.938-2.938q0.563-0.563 1.375-0.313 2.25 0.75 4.75 0.75zM22.688 4.667v9.313h-2.688v-9.313h2.688z"></path>'),
	   	 			'important_devices' => array('keywords' => 'important_devices ','viewbox' => '0 0 32 32', 'path' =>'<path d="M15.938 12.667h4.063l-3.313 2.375 1.25 3.875-3.25-2.438-3.313 2.438 1.25-3.875-3.313-2.375h4.063l1.313-4zM26.688 3.354q1.063 0 1.844 0.75t0.781 1.875v6.687h-2.625v-6.688h-24v16h17.313v2.688h-2.688v2.688h2.688v2.625h-10.688v-2.625h2.688v-2.688h-9.313q-1.125 0-1.906-0.813t-0.781-1.875v-16q0-1.125 0.781-1.875t1.906-0.75h24zM30.688 27.354v-9.375h-6.688v9.375h6.688zM30.688 15.354q0.563 0 0.938 0.375t0.375 0.938v12q0 0.563-0.375 0.938t-0.938 0.375h-6.688q-0.563 0-0.938-0.375t-0.375-0.938v-12q0-0.563 0.375-0.938t0.938-0.375h6.688z"></path>'),
	   	 			'gps_off' => array('keywords' => 'gps_off ','viewbox' => '0 0 32 32', 'path' =>'<path d="M21.688 24.042l-13.063-13.063q-1.938 2.563-1.938 5.688 0 3.875 2.719 6.594t6.594 2.719q3.125 0 5.688-1.938zM4 6.354l1.688-1.688 22.313 22.313-1.688 1.688-2.75-2.75q-2.813 2.313-6.25 2.688v2.75h-2.625v-2.75q-4.188-0.438-7.188-3.438t-3.438-7.188h-2.75v-2.625h2.75q0.375-3.438 2.688-6.25zM27.938 15.354h2.75v2.625h-2.75q-0.313 2.438-1.313 4.25l-2-2q0.688-1.688 0.688-3.563 0-3.875-2.719-6.594t-6.594-2.719q-1.875 0-3.563 0.688l-2-2q1.938-1 4.25-1.313v-2.75h2.625v2.75q4.188 0.438 7.188 3.438t3.438 7.188z"></path>'),
	   	 			'phone2' => array('keywords' => 'phone2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M8.813 15.042q3 5.813 8.813 8.813l2.938-2.938q0.625-0.625 1.375-0.313 2.25 0.75 4.75 0.75 0.563 0 0.938 0.375t0.375 0.938v4.688q0 0.563-0.375 0.938t-0.938 0.375q-9.375 0-16.031-6.656t-6.656-16.031q0-0.563 0.375-0.938t0.938-0.375h4.688q0.563 0 0.938 0.375t0.375 0.938q0 2.5 0.75 4.75 0.25 0.813-0.313 1.375z"></path>'),
	   	 			'eye2' => array('keywords' => 'eye2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29.714 17.429q-2.714-4.214-6.804-6.304 1.089 1.857 1.089 4.018 0 3.304-2.348 5.652t-5.652 2.348-5.652-2.348-2.348-5.652q0-2.161 1.089-4.018-4.089 2.089-6.804 6.304 2.375 3.661 5.955 5.83t7.759 2.17 7.759-2.17 5.955-5.83zM16.857 10.571q0-0.357-0.25-0.607t-0.607-0.25q-2.232 0-3.83 1.598t-1.598 3.83q0 0.357 0.25 0.607t0.607 0.25 0.607-0.25 0.25-0.607q0-1.536 1.089-2.625t2.625-1.089q0.357 0 0.607-0.25t0.25-0.607zM32 17.429q0 0.607-0.357 1.232-2.5 4.107-6.723 6.58t-8.92 2.473-8.92-2.482-6.723-6.571q-0.357-0.625-0.357-1.232t0.357-1.232q2.5-4.089 6.723-6.571t8.92-2.482 8.92 2.482 6.723 6.571q0.357 0.625 0.357 1.232z"></path>'),
	   	 			'finder' => array('keywords' => 'finder ','viewbox' => '0 0 32 32', 'path' =>'<path d="M17.788 24.32c-0-0.001-0-0.003-0-0.004 0 0.001 0 0.003 0 0.004zM17.831 25.454c-0-0.007-0.001-0.015-0.001-0.022 0 0.007 0.001 0.015 0.001 0.022zM17.807 24.885c-0-0.006-0-0.011-0.001-0.017 0 0.006 0 0.011 0.001 0.017zM30 0h-28c-1.1 0-2 0.9-2 2v28c0 1.1 0.9 2 2 2h15.432c0.001 0 0.003 0 0.004 0s0.003-0 0.004-0h12.56c1.1 0 2-0.9 2-2v-28c0-1.1-0.9-2-2-2zM6 7c0-0.552 0.448-1 1-1s1 0.448 1 1v2c0 0.552-0.448 1-1 1s-1-0.448-1-1v-2zM30 30h-11.721c-0.209-1.315-0.341-2.671-0.418-3.988 0 0.004 0 0.007 0.001 0.011-0.616 0.067-1.237 0.102-1.862 0.102-4.177 0-8.199-1.52-11.328-4.281-0.466-0.411-0.51-1.122-0.099-1.588s1.122-0.51 1.588-0.099c2.717 2.398 6.211 3.718 9.839 3.718 0.596 0 1.189-0.036 1.776-0.107-0.069-3.694 0.215-6.622 0.22-6.669 0.028-0.281-0.064-0.561-0.254-0.77s-0.459-0.329-0.741-0.329h-2.974c0.043-1.082 0.159-2.932 0.467-5.006 0.589-3.961 1.625-7.055 3.005-8.994h12.502v28zM25 10c-0.552 0-1-0.448-1-1v-2c0-0.552 0.448-1 1-1s1 0.448 1 1v2c0 0.552-0.448 1-1 1zM16.89 26.101c-0.114 0.006-0.228 0.011-0.342 0.014 0.114-0.004 0.228-0.008 0.342-0.014zM16 26.125c0.147 0 0.293-0.002 0.439-0.006-0.146 0.004-0.292 0.006-0.439 0.006zM16.846 23.85c0.024-0.001 0.049-0.003 0.073-0.004-0.024 0.002-0.049 0.003-0.073 0.004zM16.409 23.869c0.034-0.001 0.067-0.002 0.101-0.003-0.034 0.001-0.067 0.003-0.101 0.003zM27.427 20.256c-0.411-0.466-1.122-0.51-1.588-0.099-2.27 2.004-5.083 3.254-8.063 3.612 0.013 0.727 0.040 1.484 0.086 2.255 3.499-0.382 6.806-1.832 9.466-4.18 0.466-0.411 0.51-1.122 0.099-1.588zM17.859 26.023c-0.144 0.016-0.288 0.029-0.433 0.041 0.145-0.012 0.289-0.026 0.433-0.041zM17.359 26.070c-0.122 0.010-0.244 0.018-0.367 0.025 0.122-0.007 0.245-0.015 0.367-0.025z"></path>'),
	   	 			'contact_mail' => array('keywords' => 'contact_mail ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29.313 16.667v-8h-10.625v8h10.625zM18.688 24.667v-1.313q0-1.813-2.75-2.969t-5.25-1.156-5.25 1.156-2.75 2.969v1.313h16zM10.688 8.667q-1.625 0-2.813 1.188t-1.188 2.813 1.188 2.813 2.813 1.188 2.813-1.188 1.188-2.813-1.188-2.813-2.813-1.188zM29.313 4.667q1.063 0 1.875 0.813t0.813 1.875v18.625q0 1.063-0.813 1.875t-1.875 0.813h-26.625q-1.063 0-1.875-0.813t-0.813-1.875v-18.625q0-1.063 0.813-1.875t1.875-0.813h26.625zM28 11.354l-4 2.625-4-2.625v-1.375l4 2.688 4-2.688v1.375z"></path>'),
	   	 			'termometer_1' => array('keywords' => 'termometer_1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M18 26c0 1.105-0.895 2-2 2s-2-0.895-2-2c0-1.105 0.895-2 2-2s2 0.895 2 2zM20 21.538v-17.538c0-2.205-1.794-4-4-4s-4 1.794-4 4v17.538c-1.274 1.137-2 2.733-2 4.462 0 3.308 2.692 6 6 6s6-2.692 6-6c0-1.729-0.727-3.325-2-4.462zM16 30c-2.206 0-4-1.794-4-4 0-1.27 0.584-2.436 1.601-3.201 0.261-0.197 0.395-0.496 0.396-0.799 0.001 0 0.002 0 0.004 0v-18c0-1.103 0.897-2 2-2s2 0.897 2 2v18c0.002 0 0.003 0 0.005 0 0 0.303 0.134 0.605 0.395 0.801 1.017 0.764 1.6 1.93 1.6 3.2 0 2.206-1.794 4-4 4z"></path>'),
	   	 			'vibration' => array('keywords' => 'vibration ','viewbox' => '0 0 32 32', 'path' =>'<path d="M21.313 25.979v-18.625h-10.625v18.625h10.625zM22 4.667q0.875 0 1.438 0.563t0.563 1.438v20q0 0.875-0.563 1.438t-1.438 0.563h-12q-0.875 0-1.438-0.563t-0.563-1.438v-20q0-0.875 0.563-1.438t1.438-0.563h12zM25.313 23.354v-13.375h2.688v13.375h-2.688zM29.313 12.667h2.688v8h-2.688v-8zM4 23.354v-13.375h2.688v13.375h-2.688zM0 20.667v-8h2.688v8h-2.688z"></path>'),
	   	 			'bagpack_summer' => array('keywords' => 'bagpack_summer ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29.010 20c0-0.271-0.108-0.517-0.282-0.697l-2.728-3.637v-8.666c0-0.004-0-0.008-0-0.011-0-0.008-0.001-0.015-0.002-0.022-0.018-1.639-1.355-2.966-2.998-2.966h-2.101c-0.465-2.28-2.485-4-4.899-4s-4.434 1.72-4.899 4h-2.101c-1.643 0-2.979 1.327-2.998 2.966 0 0.008-0.001 0.014-0.001 0.022 0 0.003-0 0.008-0 0.011v8.666l-2.8 3.733c-0.004 0.006-0.006 0.012-0.010 0.017-0.048 0.067-0.088 0.137-0.119 0.215-0.006 0.015-0.010 0.031-0.014 0.047-0.021 0.061-0.036 0.126-0.045 0.192-0.003 0.024-0.006 0.049-0.007 0.073-0.001 0.018-0.006 0.036-0.006 0.055v5c0 1.86 1.277 3.422 3 3.868v0.132c0 1.654 1.345 3 3 3h14c1.654 0 3-1.346 3-3v-0.132c1.723-0.446 3-2.009 3-3.868v-4.902c0.003-0.032 0.010-0.065 0.010-0.099zM16 2c1.303 0 2.412 0.837 2.825 2h-5.65c0.413-1.163 1.522-2 2.825-2zM9 6h14c0.499 0 0.91 0.368 0.985 0.846l-0.913 2.282c-0.259 0.647-1.303 1.348-2.591 1.678-0.090-0.46-0.494-0.806-0.98-0.806-0.552 0-1 0.447-1 1h-5c0-0.553-0.448-1-1-1-0.486 0-0.89 0.347-0.98 0.806-1.287-0.329-2.332-1.031-2.591-1.678l-0.913-2.282c0.075-0.479 0.486-0.846 0.985-0.846zM5 25v-4h1v5.721c-0.595-0.347-1-0.985-1-1.721zM24 29c0 0.552-0.448 1-1 1h-14c-0.552 0-1-0.448-1-1v-17.832c0.855 0.803 2.12 1.418 3.5 1.685v0.148c0 0.552 0.448 1 1 1s1-0.448 1-1h5c0 0.552 0.448 1 1 1s1-0.448 1-1v-0.148c1.38-0.267 2.645-0.882 3.5-1.685v17.832zM26 26.721v-5.721h1v4c0 0.736-0.405 1.375-1 1.721zM20 18h-8c-1.655 0-3 1.346-3 3v4c0 1.654 1.345 3 3 3h8c1.654 0 3-1.346 3-3v-4c0-1.654-1.346-3-3-3zM21 25c0 0.552-0.448 1-1 1h-8c-0.552 0-1-0.448-1-1v-4c0-0.552 0.448-1 1-1h8c0.552 0 1 0.448 1 1v4zM19 21h-6c-0.552 0-1 0.448-1 1s0.448 1 1 1h6c0.552 0 1-0.448 1-1s-0.448-1-1-1z"></path>'),
	   	 			'envelope' => array('keywords' => 'envelope ','viewbox' => '0 0 32 32', 'path' =>'<path d="M32 12.964v14.179q0 1.179-0.839 2.018t-2.018 0.839h-26.286q-1.179 0-2.018-0.839t-0.839-2.018v-14.179q0.786 0.875 1.804 1.554 6.464 4.393 8.875 6.161 1.018 0.75 1.652 1.17t1.688 0.857 1.964 0.438h0.036q0.911 0 1.964-0.438t1.688-0.857 1.652-1.17q3.036-2.196 8.893-6.161 1.018-0.696 1.786-1.554zM32 7.714q0 1.411-0.875 2.696t-2.179 2.196q-6.714 4.661-8.357 5.804-0.179 0.125-0.759 0.545t-0.964 0.679-0.929 0.58-1.027 0.482-0.893 0.161h-0.036q-0.411 0-0.893-0.161t-1.027-0.482-0.929-0.58-0.964-0.679-0.759-0.545q-1.625-1.143-4.679-3.259t-3.661-2.545q-1.107-0.75-2.089-2.063t-0.982-2.438q0-1.393 0.741-2.321t2.116-0.929h26.286q1.161 0 2.009 0.839t0.848 2.018z"></path>'),
	   	 			'import_export' => array('keywords' => 'import_export ','viewbox' => '0 0 32 32', 'path' =>'<path d="M21.313 23.354h4l-5.313 5.313-5.313-5.313h4v-9.375h2.625v9.375zM12 4.667l5.313 5.312h-4v9.375h-2.625v-9.375h-4z"></path>'),
	   	 			'subtitles' => array('keywords' => 'subtitles ','viewbox' => '0 0 32 32', 'path' =>'<path d="M26.688 19.354v-2.688h-13.375v2.688h13.375zM26.688 24.667v-2.688h-5.375v2.688h5.375zM18.688 24.667v-2.688h-13.375v2.688h13.375zM5.313 16.667v2.688h5.375v-2.688h-5.375zM26.688 5.979q1.063 0 1.844 0.813t0.781 1.875v16q0 1.063-0.781 1.875t-1.844 0.813h-21.375q-1.063 0-1.844-0.813t-0.781-1.875v-16q0-1.063 0.781-1.875t1.844-0.813h21.375z"></path>'),
	   	 			'folder_1' => array('keywords' => 'folder_1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 6.5h-14.070l-3.369-3.561c-0.292-0.293-0.675-0.439-1.060-0.439v0h-7.5c-1.649 0-3 1.349-3 3v21c0 1.649 1.351 3 3 3h26c1.651 0 3-1.351 3-3v-17c0-1.651-1.349-3-3-3zM30 26.5c0 0.55-0.45 1-1 1h-26c-0.55 0-1-0.45-1-1v-17c0-0.55 0.45-1 1-1h26c0.55 0 1 0.45 1 1v17zM19.788 15.414c-0.39-0.39-1.024-0.389-1.414 0-0.001 0.001-0.002 0.002-0.003 0.003l-3.047 3.048c0 0-1.697-1.698-1.698-1.698-0.39-0.39-1.024-0.39-1.414 0s-0.39 1.023 0 1.414v0l2.405 2.405c0.39 0.39 1.024 0.39 1.414 0l3.754-3.755c0-0.001 0.002-0.001 0.003-0.002 0.39-0.391 0.39-1.025 0-1.415z"></path>'),
	   	 			'briefcase2' => array('keywords' => 'briefcase2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M11.429 4.857h9.143v-2.286h-9.143v2.286zM32 16.286v8.571q0 1.179-0.839 2.018t-2.018 0.839h-26.286q-1.179 0-2.018-0.839t-0.839-2.018v-8.571h12v2.857q0 0.464 0.339 0.804t0.804 0.339h5.714q0.464 0 0.804-0.339t0.339-0.804v-2.857h12zM18.286 16.286v2.286h-4.571v-2.286h4.571zM32 7.714v6.857h-32v-6.857q0-1.179 0.839-2.018t2.018-0.839h6.286v-2.857q0-0.714 0.5-1.214t1.214-0.5h10.286q0.714 0 1.214 0.5t0.5 1.214v2.857h6.286q1.179 0 2.018 0.839t0.839 2.018z"></path>'),
	   	 			'columns' => array('keywords' => 'columns ','viewbox' => '0 0 30 32', 'path' =>'<path d="M2.857 27.714h10.857v-20.571h-11.429v20q0 0.232 0.17 0.402t0.402 0.17zM27.429 27.143v-20h-11.429v20.571h10.857q0.232 0 0.402-0.17t0.17-0.402zM29.714 5.429v21.714q0 1.179-0.839 2.018t-2.018 0.839h-24q-1.179 0-2.018-0.839t-0.839-2.018v-21.714q0-1.179 0.839-2.018t2.018-0.839h24q1.179 0 2.018 0.839t0.839 2.018z"></path>'),
	   	 			'steel_ax' => array('keywords' => 'steel_ax ','viewbox' => '0 0 32 32', 'path' =>'<path d="M24.5 4h-1v-3c0-0.552-0.448-1-1-1h-4c-0.552 0-1 0.448-1 1v3h-0.764l-5.789-2.894c-0.309-0.154-0.675-0.138-0.969 0.042-2.146 1.313-3.479 3.938-3.479 6.853s1.333 5.54 3.479 6.853c0.159 0.098 0.34 0.147 0.521 0.147 0.153 0 0.306-0.035 0.447-0.105l5.789-2.895h0.764v17c0 1.654 1.346 3 3 3s3-1.346 3-3v-17h1c0.552 0 1-0.448 1-1v-6c0-0.552-0.448-1-1-1zM19.5 2h2v2h-2v-2zM10.585 12.839c-1.28-1.030-2.085-2.866-2.085-4.84s0.805-3.81 2.085-4.84l1.071 0.535c-1.043 1.112-1.656 2.644-1.656 4.304s0.614 3.192 1.656 4.304l-1.071 0.536zM21.5 29c0 0.552-0.448 1-1 1s-1-0.448-1-1v-17h2v17zM23.5 10h-7c-0.155 0-0.308 0.036-0.448 0.105l-2.489 1.244c-0.963-0.736-1.564-1.998-1.564-3.349s0.601-2.614 1.565-3.349l2.488 1.244c0.139 0.069 0.291 0.106 0.447 0.106h7v4z"></path>'),
	   	 			'bluetooth_disabled' => array('keywords' => 'bluetooth_disabled ','viewbox' => '0 0 32 32', 'path' =>'<path d="M17.313 24.917l2.5-2.5-2.5-2.563v5.063zM7.188 5.979l19.5 19.5-1.875 1.875-3.063-3.063-5.75 5.688h-1.313v-10.125l-6.125 6.125-1.875-1.875 7.438-7.438-8.813-8.813zM17.313 8.417v4.313l-2.625-2.688v-6.688h1.313l7.625 7.563-4.063 4.063-1.875-1.875 2.125-2.188z"></path>'),
	   	 			'now_widgets' => array('keywords' => 'now_widgets ','viewbox' => '0 0 32 32', 'path' =>'<path d="M22.188 2.917l7.563 7.562-7.563 7.5h5.813v10.688h-10.688v-10.688h4.875l-7.5-7.5v4.875h-10.688v-10.688h10.688v5.813zM4 28.667v-10.688h10.688v10.688h-10.688z"></path>'),
	   	 			'tap_symbol2' => array('keywords' => 'tap_symbol2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M28.424 3.594c-0.352-0.163-0.767-0.111-1.064 0.138l-2.722 2.268h-5.138v-3h1.277c0.346 0.595 0.984 1 1.723 1 1.027 0 2-0.896 2-2s-0.895-2-2-2c-0.738 0-1.376 0.405-1.723 1h-4.555c-0.347-0.595-0.985-1-1.723-1-1.104 0-2 0.895-2 2s0.896 2 2 2c0.739 0 1.376-0.405 1.722-1h1.277v3h-4.5c-4.411 0-8 3.589-8 8v2c0 0.552 0.448 1 1 1h5c0.552 0 1-0.448 1-1v-2c0-0.552 0.448-1 1-1h11.638l2.721 2.268c0.183 0.153 0.411 0.232 0.64 0.232 0.144 0 0.289-0.031 0.424-0.094 0.351-0.165 0.576-0.518 0.576-0.906v-10c0-0.388-0.224-0.741-0.576-0.906zM10 14v1h-3v-1c0-3.309 2.691-6 6-6h11v3h-11c-1.654 0-3 1.345-3 3zM27 12.364l-1-0.833v-4.064l1-0.833v5.73zM13 19h-9c-0.281 0-0.549 0.118-0.739 0.326s-0.283 0.485-0.258 0.765l1 11c0.048 0.515 0.479 0.91 0.997 0.91h7c0.517 0 0.949-0.395 0.996-0.91l1-11c0.025-0.28-0.069-0.557-0.258-0.764s-0.457-0.326-0.738-0.326zM11.905 21l-0.091 1h-6.628l-0.091-1h6.809zM5.913 30l-0.545-6h6.264l-0.546 6h-5.173z"></path>'),
	   	 			'pill_medication1' => array('keywords' => 'pill_medication1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29.572 2.425c-1.564-1.563-3.644-2.425-5.855-2.425s-4.29 0.861-5.854 2.425l-15.443 15.441c-3.228 3.229-3.228 8.481 0 11.709 1.564 1.564 3.643 2.425 5.854 2.425s4.29-0.861 5.854-2.425l15.443-15.441c3.227-3.228 3.227-8.48-0-11.709zM12.715 28.161c-1.186 1.186-2.762 1.839-4.44 1.839s-3.254-0.654-4.44-1.839c-2.448-2.448-2.448-6.432 0-8.881l7.014-7.014 8.88 8.88-7.014 7.014zM28.157 12.72l-7.014 7.014-8.88-8.88 7.014-7.014c1.186-1.186 2.762-1.839 4.439-1.839s3.254 0.653 4.441 1.839c2.447 2.448 2.447 6.432-0 8.881zM19.494 5.245l-3.047 3.048c-0.39 0.39-0.39 1.024 0 1.414 0.195 0.196 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293l3.048-3.048c1.483-1.483 3.898-1.482 5.381 0 0.39 0.391 1.024 0.39 1.415 0s0.39-1.024-0.001-1.415c-2.264-2.263-5.947-2.262-8.21 0z"></path>'),
	   	 			'watch' => array('keywords' => 'watch ','viewbox' => '0 0 32 32', 'path' =>'<path d="M8 16.667q0 3.313 2.344 5.656t5.656 2.344 5.656-2.344 2.344-5.656-2.344-5.656-5.656-2.344-5.656 2.344-2.344 5.656zM26.688 16.667q0 5.125-4.063 8.375l-1.313 7.625h-10.625l-1.313-7.625q-4.063-3.125-4.063-8.375t4.063-8.375l1.313-7.625h10.625l1.313 7.625q4.063 3.25 4.063 8.375z"></path>'),
	   	 			'score_board' => array('keywords' => 'score_board ','viewbox' => '0 0 32 32', 'path' =>'<path d="M17 18c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM17 21c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM5.5 14.5c-1.309 0-2.375 1.015-2.479 2.298-0.014 0.066-0.021 0.133-0.021 0.202v5c0 0.069 0.007 0.137 0.021 0.201 0.104 1.284 1.17 2.299 2.479 2.299s2.375-1.015 2.479-2.299c0.013-0.064 0.021-0.132 0.021-0.201v-5c0-0.070-0.007-0.137-0.021-0.202-0.104-1.283-1.17-2.298-2.479-2.298zM5.5 22.5c-0.276 0-0.5-0.224-0.5-0.5v-5c0-0.276 0.224-0.5 0.5-0.5s0.5 0.224 0.5 0.5v5c0 0.276-0.224 0.5-0.5 0.5zM11.5 14.5c-1.309 0-2.375 1.015-2.479 2.298-0.014 0.066-0.021 0.133-0.021 0.202v5c0 0.069 0.007 0.137 0.021 0.201 0.104 1.284 1.17 2.299 2.479 2.299s2.375-1.015 2.479-2.299c0.014-0.064 0.021-0.132 0.021-0.201v-5c0-0.070-0.007-0.137-0.021-0.202-0.104-1.283-1.17-2.298-2.479-2.298zM11.5 22.5c-0.276 0-0.5-0.224-0.5-0.5v-5c0-0.276 0.224-0.5 0.5-0.5s0.5 0.224 0.5 0.5v5c0 0.276-0.224 0.5-0.5 0.5zM20.5 14.5c-1.309 0-2.375 1.015-2.48 2.298-0.014 0.066-0.020 0.133-0.020 0.202v5c0 0.069 0.007 0.137 0.020 0.201 0.105 1.284 1.17 2.299 2.48 2.299s2.375-1.015 2.48-2.299c0.014-0.064 0.020-0.132 0.020-0.201v-5c0-0.070-0.007-0.137-0.020-0.202-0.105-1.283-1.17-2.298-2.48-2.298zM20.5 22.5c-0.276 0-0.5-0.224-0.5-0.5v-5c0-0.276 0.224-0.5 0.5-0.5s0.5 0.224 0.5 0.5v5c0 0.276-0.224 0.5-0.5 0.5zM26.5 14.5c-1.309 0-2.375 1.015-2.48 2.298-0.014 0.066-0.020 0.133-0.020 0.202v5c0 0.069 0.007 0.137 0.020 0.201 0.105 1.284 1.17 2.299 2.48 2.299s2.375-1.015 2.48-2.299c0.014-0.064 0.020-0.132 0.020-0.201v-5c0-0.070-0.007-0.137-0.020-0.202-0.105-1.283-1.17-2.298-2.48-2.298zM26.5 22.5c-0.276 0-0.5-0.224-0.5-0.5v-5c0-0.276 0.224-0.5 0.5-0.5s0.5 0.224 0.5 0.5v5c0 0.276-0.224 0.5-0.5 0.5zM29 10.5h-2v-5h2c0.552 0 1-0.448 1-1s-0.448-1-1-1h-26c-0.552 0-1 0.447-1 1s0.448 1 1 1h2v5h-2c-1.651 0-3 1.349-3 3v12c0 1.649 1.349 3 3 3h26c1.649 0 3-1.351 3-3v-12c0-1.651-1.351-3-3-3zM7 5.5h18v5h-18v-5zM30 25.5c0 0.55-0.45 1-1 1h-26c-0.55 0-1-0.45-1-1v-12c0-0.55 0.45-1 1-1h26c0.55 0 1 0.45 1 1v12z"></path>'),
	   	 			'rotate_left' => array('keywords' => 'rotate_left ','viewbox' => '0 0 32 32', 'path' =>'<path d="M17.313 6.104q3.938 0.5 6.656 3.5t2.719 7.063-2.719 7.063-6.656 3.5v-2.688q2.875-0.5 4.781-2.719t1.906-5.156-1.906-5.156-4.781-2.719v5.188l-6.063-5.938 6.063-6.063v4.125zM9.438 25.104l1.938-1.938q1.438 1.063 3.313 1.375v2.688q-3-0.375-5.25-2.125zM8.125 17.979q0.313 1.813 1.313 3.313l-1.875 1.875q-1.75-2.313-2.125-5.188h2.688zM9.5 12.042q-1.125 1.625-1.375 3.313h-2.688q0.375-2.813 2.188-5.188z"></path>'),
	   	 			'drawer' => array('keywords' => 'drawer ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31.781 20.375l-8-10c-0.19-0.237-0.477-0.375-0.781-0.375h-14c-0.304 0-0.591 0.138-0.781 0.375l-8 10c-0.142 0.177-0.219 0.398-0.219 0.625v9c0 1.105 0.895 2 2 2h28c1.105 0 2-0.895 2-2v-9c0-0.227-0.077-0.447-0.219-0.625zM30 22h-7l-4 4h-6l-4-4h-7v-0.649l7.481-9.351h13.039l7.481 9.351v0.649zM23 16h-14c-0.552 0-1-0.448-1-1s0.448-1 1-1h14c0.552 0 1 0.448 1 1s-0.448 1-1 1zM25 20h-18c-0.552 0-1-0.448-1-1s0.448-1 1-1h18c0.552 0 1 0.448 1 1s-0.448 1-1 1z"></path>'),
	   	 			'snow_symbol7' => array('keywords' => 'snow_symbol7 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M28.986 22.126l-3.364-1.869 2.665-0.799c0.529-0.159 0.829-0.716 0.671-1.245s-0.717-0.829-1.245-0.671l-4.531 1.36-0.682-0.378v-5.046l0.682-0.379 4.531 1.359c0.096 0.029 0.192 0.043 0.288 0.043 0.43 0 0.827-0.28 0.957-0.713 0.159-0.529-0.142-1.086-0.671-1.245l-2.665-0.8 3.363-1.868c0.483-0.268 0.657-0.877 0.388-1.36-0.267-0.483-0.877-0.657-1.36-0.389l-3.369 1.872 0.813-2.71c0.159-0.529-0.142-1.087-0.671-1.245s-1.086 0.141-1.245 0.67l-1.404 4.678-0.502 0.279-4.636-2.74v-1.516l3.707-3.707c0.39-0.39 0.39-1.024 0-1.414s-1.023-0.391-1.414 0l-2.293 2.293v-3.586c0-0.552-0.448-1-1-1s-1 0.448-1 1v3.586l-2.293-2.293c-0.39-0.391-1.024-0.391-1.414 0s-0.39 1.024 0 1.414l3.707 3.707v1.516l-4.636 2.739-0.502-0.28-1.403-4.677c-0.159-0.529-0.716-0.83-1.245-0.67s-0.83 0.716-0.671 1.245l0.813 2.71-3.369-1.872c-0.484-0.269-1.092-0.094-1.36 0.389s-0.094 1.091 0.388 1.36l3.364 1.869-2.665 0.8c-0.53 0.159-0.829 0.716-0.671 1.245 0.131 0.434 0.527 0.713 0.958 0.713 0.095 0 0.192-0.014 0.287-0.043l4.531-1.36 0.682 0.379v5.045l-0.682 0.379-4.531-1.36c-0.528-0.158-1.086 0.142-1.245 0.671s0.142 1.086 0.671 1.245l2.664 0.799-3.364 1.869c-0.482 0.268-0.656 0.877-0.388 1.36 0.183 0.329 0.523 0.515 0.875 0.515 0.164 0 0.331-0.040 0.485-0.126l3.369-1.872-0.813 2.71c-0.159 0.529 0.141 1.086 0.671 1.245 0.096 0.029 0.192 0.042 0.287 0.042 0.43 0 0.827-0.279 0.958-0.713l1.403-4.677 0.502-0.279 4.636 2.74v1.515l-3.707 3.707c-0.39 0.39-0.39 1.023 0 1.414 0.195 0.195 0.451 0.293 0.707 0.293s0.511-0.098 0.707-0.293l2.293-2.293v3.586c0 0.552 0.448 1 1 1s1-0.448 1-1v-3.586l2.293 2.293c0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293c0.39-0.39 0.39-1.023 0-1.414l-3.707-3.707v-1.515l4.636-2.739 0.503 0.279 1.404 4.677c0.131 0.433 0.527 0.712 0.957 0.712 0.095 0 0.192-0.014 0.288-0.042 0.529-0.159 0.829-0.716 0.671-1.245l-0.813-2.71 3.369 1.872c0.154 0.086 0.321 0.126 0.485 0.126 0.352 0 0.692-0.186 0.875-0.515 0.268-0.483 0.095-1.091-0.388-1.36zM20.5 17.412l-0.504-0.28-1.98-1.131 1.97-1.126 0.515-0.286v2.823zM19.61 12.795l-0.607 0.337-2.004 1.145v-3.024l2.61 1.543zM15 11.252v3.024l-2.014-1.151-0.595-0.331 2.61-1.543zM11.501 14.588l0.504 0.28 1.98 1.132-1.97 1.126-0.514 0.285v-2.822zM12.996 18.868l2.004-1.145v3.024l-2.61-1.542 0.607-0.337zM17 20.747v-3.024l2.014 1.151 0.596 0.331-2.61 1.543z"></path>'),
	   	 			'basket_n7' => array('keywords' => 'basket_n7 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 8h-6.029l4.735-4.735c0-0.001 0.002-0.002 0.003-0.002 0.39-0.39 0.39-1.024 0-1.414s-1.024-0.391-1.415 0l-6.151 6.151h-8.172l-6.207-6.207c-0.391-0.391-1.024-0.391-1.415 0s-0.39 1.024 0 1.415l4.793 4.792h-6.141c-1.649 0-3 1.35-3 3v2c0 1.357 0.915 2.511 2.159 2.877l1.341 11.623c0 1.651 1.349 3 3 3h19c1.649 0 3-1.349 3-3l1.341-11.623c1.244-0.367 2.159-1.52 2.159-2.877v-2c0-1.651-1.349-3-3-3zM26.5 27.5c0 0.55-0.45 1-1 1h-19c-0.55 0-1-0.45-1-1l-1.327-11.5h23.654l-1.327 11.5zM30 13c0 0.55-0.45 1-1 1h-26c-0.55 0-1-0.45-1-1v-2c0-0.55 0.45-1.001 1-1.001l26 0.001c0.55 0 1 0.45 1 1v2zM14 18.5c-0.552 0-0.999 0.448-1 1v5.5c0 0.552 0.448 1 1 1s1-0.448 1-1c0-0.001 0-0.001 0-0.002v-5.495c0-0.001 0-0.002 0-0.003 0-0.552-0.447-1-1-1zM22 18.5c-0.552 0-0.999 0.448-1 1v5.5c0 0.552 0.448 1 1 1s1-0.448 1-1c0-0.001 0-0.001 0-0.002v-5.495c0-0.001 0-0.002 0-0.003 0-0.552-0.448-1-1-1zM18 18.5c-0.552 0-0.999 0.448-1 1v5.5c0 0.552 0.448 1 1 1s1-0.448 1-1c0-0.001 0-0.001 0-0.002v-5.495c0-0.001 0-0.002 0-0.003 0-0.552-0.448-1-1-1zM10 18.5c-0.552 0-0.999 0.448-1 1v5.5c0 0.552 0.448 1 1 1s1-0.448 1-1c0-0.001 0-0.001 0-0.002v-5.495c0-0.001 0-0.002 0-0.003 0-0.552-0.447-1-1-1z"></path>'),
	   	 			'xing3' => array('keywords' => 'xing3 ','viewbox' => '0 0 25 32', 'path' =>'<path d="M10.661 12.196q-0.179 0.321-4.589 8.143-0.482 0.821-1.161 0.821h-4.268q-0.375 0-0.554-0.304t0-0.643l4.518-8q0.018 0 0-0.018l-2.875-4.982q-0.214-0.393-0.018-0.661 0.161-0.268 0.571-0.268h4.268q0.714 0 1.179 0.804zM25.054 0.732q0.196 0.286 0 0.661l-9.429 16.679v0.018l6 10.982q0.196 0.357 0.018 0.661-0.179 0.268-0.571 0.268h-4.268q-0.75 0-1.179-0.804l-6.054-11.107q0.321-0.571 9.482-16.821 0.446-0.804 1.143-0.804h4.304q0.393 0 0.554 0.268z"></path>'),
	   	 			'sd_card' => array('keywords' => 'sd_card ','viewbox' => '0 0 32 32', 'path' =>'<path d="M24 11.354v-5.375h-2.688v5.375h2.688zM20 11.354v-5.375h-2.688v5.375h2.688zM16 11.354v-5.375h-2.688v5.375h2.688zM24 3.354q1.063 0 1.875 0.781t0.813 1.844v21.375q0 1.063-0.813 1.844t-1.875 0.781h-16q-1.063 0-1.875-0.781t-0.813-1.844l0.063-16 7.938-8h10.688z"></path>'),
	   	 			'hourglass2' => array('keywords' => 'hourglass2 ','viewbox' => '0 0 21 32', 'path' =>'<path d="M21.021 0.5c0-0.276-0.224-0.5-0.5-0.5h-20.042c-0.276 0-0.5 0.224-0.5 0.5s0.223 0.5 0.5 0.5h20.043c0.276 0 0.499-0.224 0.499-0.5zM20 6.112v-3.612c0-0.276-0.224-0.5-0.5-0.5h-17.918c-0.276 0-0.5 0.224-0.5 0.5v3.612c0 4.976 3.808 8.35 6.014 9.886-2.529 1.742-6.096 5.057-6.096 9.89v3.612c0 0.276 0.224 0.5 0.5 0.5h18c0.276 0 0.5-0.224 0.5-0.5v-3.583c0-4.962-3.863-8.365-6.095-9.916 2.529-1.742 6.095-5.056 6.095-9.889zM10.5 24.19l4.81 4.81h-9.62l4.81-4.81zM12.732 15.578c-0.145 0.091-0.232 0.251-0.232 0.422s0.087 0.331 0.232 0.422c1.885 1.195 6.268 4.513 6.268 9.495v3.083h-2.288c-0.009-0.011-0.013-0.025-0.023-0.035l-5.689-5.689v-0.776c0-0.276-0.224-0.5-0.5-0.5s-0.5 0.224-0.5 0.5v0.776l-5.689 5.689c-0.010 0.010-0.014 0.024-0.023 0.035h-2.288v-3.112c0-4.777 3.927-7.981 6.268-9.465 0.145-0.092 0.232-0.252 0.232-0.423s-0.087-0.331-0.232-0.422c-1.86-1.18-6.268-4.463-6.268-9.466v-3.112h17v3.112c0 4.778-3.927 7.981-6.268 9.466zM15.541 8.972h-9.814c-0.179 0-0.345 0.096-0.434 0.251-0.089 0.156-0.088 0.347 0.002 0.502 1.187 2.021 2.92 3.258 4.755 4.569l0.159 0.113c0.087 0.062 0.188 0.093 0.291 0.093s0.204-0.031 0.291-0.093c0.262-0.187 0.526-0.371 0.79-0.555 1.639-1.144 3.334-2.326 4.391-4.127 0.091-0.154 0.092-0.346 0.003-0.501-0.090-0.156-0.255-0.252-0.434-0.252zM11.008 13.031c-0.169 0.118-0.338 0.236-0.507 0.355-1.505-1.075-2.835-2.042-3.846-3.415h7.943c-0.941 1.212-2.234 2.114-3.59 3.060zM0.479 32h20.043c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-20.043c-0.276 0-0.5 0.224-0.5 0.5s0.223 0.5 0.5 0.5zM10.5 19c-0.276 0-0.5 0.224-0.5 0.5v1c0 0.276 0.224 0.5 0.5 0.5s0.5-0.224 0.5-0.5v-1c0-0.276-0.224-0.5-0.5-0.5zM10.5 16c-0.276 0-0.5 0.224-0.5 0.5v1c0 0.276 0.224 0.5 0.5 0.5s0.5-0.224 0.5-0.5v-1c0-0.276-0.224-0.5-0.5-0.5z"></path>'),
	   	 			'alarm_off' => array('keywords' => 'alarm_off ','viewbox' => '0 0 32 32', 'path' =>'<path d="M10.688 5.042l-1.125 0.938-1.938-1.875 1.188-0.938zM21.938 25.167l-13.125-13.125q-2.125 2.625-2.125 5.938 0 3.875 2.719 6.625t6.594 2.75q3.25 0 5.938-2.188zM3.875 3.729q4.75 4.75 13.531 13.5t11.094 11.063l-1.688 1.688-2.938-2.938q-3.438 2.938-7.875 2.938-5 0-8.5-3.531t-3.5-8.469q0-4.375 2.938-7.813l-1.063-1.063-1.5 1.25-1.875-1.938 1.5-1.188-1.813-1.813zM29.313 8.292l-1.688 2.063-6.125-5.188 1.688-2zM16 8.667q-1.688 0-3.188 0.563l-2.063-2q2.625-1.25 5.25-1.25 5 0 8.5 3.531t3.5 8.469q0 2.75-1.188 5.25l-2.063-2q0.563-1.5 0.563-3.25 0-3.875-2.719-6.594t-6.594-2.719z"></path>'),
	   	 			'account_balance_wallet' => array('keywords' => 'account_balance_wallet ','viewbox' => '0 0 32 32', 'path' =>'<path d="M21.313 18.667q0.813 0 1.406-0.563t0.594-1.438-0.594-1.438-1.406-0.563-1.406 0.563-0.594 1.438 0.594 1.438 1.406 0.563zM16 21.979v-10.625h13.313v10.625h-13.313zM28 24.667v1.313q0 1.063-0.813 1.875t-1.875 0.813h-18.625q-1.125 0-1.906-0.813t-0.781-1.875v-18.625q0-1.063 0.781-1.875t1.906-0.813h18.625q1.063 0 1.875 0.813t0.813 1.875v1.313h-12q-1.125 0-1.906 0.813t-0.781 1.875v10.625q0 1.063 0.781 1.875t1.906 0.813h12z"></path>'),
	   	 			'location_gps2' => array('keywords' => 'location_gps2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31.894 0.553c-0.247-0.494-0.849-0.695-1.342-0.448l-30 15c-0.493 0.247-0.694 0.848-0.448 1.342 0.137 0.272 0.381 0.452 0.655 0.52-0.001 0.002-0.001 0.002-0.002 0.003l11.418 2.854 2.854 11.417c0.001-0 0.002-0.002 0.004-0.002 0.069 0.274 0.247 0.518 0.518 0.654 0.143 0.073 0.296 0.106 0.447 0.106 0.367 0 0.72-0.203 0.895-0.553l15-30c-0.001-0-0.002-0.001-0.003-0.002 0.136-0.272 0.15-0.601 0.003-0.893zM17.707 14.293c-0.39-0.39-1.023-0.39-1.414 0l-3.599 3.599-8.828-2.206 24.898-12.449-12.449 24.898-2.207-8.828 3.599-3.599c0.39-0.39 0.39-1.024 0-1.414z"></path>'),
	   	 			'leak_remove' => array('keywords' => 'leak_remove ','viewbox' => '0 0 32 32', 'path' =>'<path d="M20.5 16.104q3.563-2.125 7.5-2.125v2.688q-2.938 0-5.563 1.375zM26.563 22.167l-2.125-2.125q1.688-0.688 3.563-0.688v2.625q-0.75 0-1.438 0.188zM18.688 4.667q0 3.937-2.125 7.5l-1.938-1.938q1.375-2.625 1.375-5.563h2.688zM4 6.354l1.688-1.688 22.313 22.313-1.688 1.688-3.813-3.813q-1.188 1.688-1.188 3.813h-2.625q0-3.125 1.938-5.688l-1.938-1.875q-2.688 3.313-2.688 7.563h-2.688q0-5.375 3.5-9.5l-3.313-3.313q-4.125 3.5-9.5 3.5v-2.688q4.313 0 7.625-2.688l-1.938-1.938q-2.563 1.938-5.688 1.938v-2.625q2.125 0 3.813-1.188zM13.313 4.667q0 1.875-0.688 3.562l-2.125-2.125q0.188-0.688 0.188-1.438h2.625z"></path>'),
	   	 			'line-chart' => array('keywords' => 'line-chart ','viewbox' => '0 0 37 32', 'path' =>'<path d="M36.571 27.714v2.286h-36.571v-27.429h2.286v25.143h34.286zM34.286 5.429v7.768q0 0.375-0.348 0.527t-0.634-0.134l-2.161-2.161-11.304 11.304q-0.179 0.179-0.411 0.179t-0.411-0.179l-4.161-4.161-7.429 7.429-3.429-3.429 10.446-10.446q0.179-0.179 0.411-0.179t0.411 0.179l4.161 4.161 8.286-8.286-2.161-2.161q-0.286-0.286-0.134-0.634t0.527-0.348h7.768q0.25 0 0.411 0.161t0.161 0.411z"></path>'),
	   	 			'tente' => array('keywords' => 'tente ','viewbox' => '0 0 32 32', 'path' =>'<path d="M30.383 30.529l-9.438-17.695c-0.002-0.003-0.003-0.007-0.006-0.011l-3.806-7.136 2.249-4.217c0.26-0.488 0.076-1.093-0.412-1.353-0.488-0.261-1.094-0.075-1.353 0.411l-1.618 3.034-1.617-3.033c-0.26-0.487-0.864-0.672-1.353-0.411s-0.671 0.866-0.412 1.353l2.249 4.217-13.249 24.84c-0.165 0.31-0.156 0.684 0.025 0.986 0.18 0.3 0.506 0.485 0.857 0.485h8.497c0.001 0 0.002 0 0.002 0s0.002 0 0.002 0h9.998c0.001 0 0.002 0 0.002 0 0.001 0 0.002 0 0.002 0h8.497c0.351 0 0.677-0.184 0.858-0.485s0.191-0.675 0.025-0.985zM12.694 14.011c0.031-0.004 0.062-0.011 0.092-0.011 0.314 0 0.737 0.197 1.184 0.406 0.597 0.278 1.273 0.594 2.031 0.594 0.779 0 1.407-0.325 1.96-0.613 0.401-0.208 0.747-0.387 1.040-0.387 0.102 0 0.209 0.025 0.341 0.076l0.578 1.083c-0.276-0.094-0.579-0.159-0.919-0.159-0.779 0-1.407 0.325-1.96 0.613-0.401 0.208-0.747 0.388-1.040 0.388-0.314 0-0.737-0.197-1.184-0.406-0.597-0.278-1.273-0.594-2.030-0.594-0.239 0-0.459 0.033-0.664 0.085l0.572-1.073zM16 7.814l2.283 4.281c-0.463 0.117-0.871 0.325-1.244 0.518-0.401 0.208-0.747 0.387-1.040 0.387-0.314 0-0.737-0.197-1.184-0.406-0.348-0.162-0.723-0.335-1.124-0.453l2.308-4.329zM16 23.237l3.382 6.763h-6.764l3.382-6.763zM21.618 30l-4.723-9.447c-0.003-0.007-0.009-0.012-0.012-0.020-0.017-0.033-0.038-0.064-0.059-0.095-0.017-0.024-0.032-0.049-0.050-0.072-0.020-0.025-0.044-0.047-0.067-0.070s-0.047-0.049-0.073-0.070c-0.021-0.017-0.045-0.032-0.068-0.048-0.032-0.022-0.064-0.044-0.098-0.063-0.007-0.003-0.012-0.009-0.019-0.012-0.018-0.009-0.037-0.014-0.055-0.021-0.035-0.015-0.070-0.029-0.107-0.040-0.030-0.009-0.059-0.015-0.090-0.020-0.033-0.007-0.066-0.014-0.099-0.017-0.032-0.003-0.064-0.003-0.096-0.003s-0.064 0-0.096 0.003c-0.034 0.003-0.066 0.010-0.1 0.016-0.030 0.006-0.059 0.012-0.089 0.021-0.036 0.011-0.071 0.026-0.106 0.040-0.018 0.008-0.037 0.012-0.056 0.021-0.007 0.003-0.012 0.009-0.019 0.012-0.034 0.018-0.066 0.040-0.097 0.061-0.024 0.017-0.048 0.031-0.069 0.049-0.025 0.020-0.048 0.045-0.071 0.069s-0.049 0.046-0.069 0.072c-0.018 0.022-0.033 0.046-0.049 0.070-0.021 0.031-0.043 0.062-0.060 0.096-0.004 0.007-0.009 0.012-0.012 0.020l-4.723 9.447h-6.215l6.436-12.068c0.517-0.116 0.938-0.36 1.293-0.568 0.386-0.226 0.636-0.364 0.889-0.364 0.314 0 0.737 0.198 1.184 0.406 0.597 0.279 1.273 0.594 2.031 0.594 0.779 0 1.407-0.325 1.96-0.613 0.401-0.208 0.747-0.387 1.040-0.387 0.241 0 0.49 0.13 0.875 0.342 0.41 0.227 0.901 0.493 1.529 0.605l6.428 12.053h-6.215z"></path>'),
	   	 			'electronic_ship' => array('keywords' => 'electronic_ship ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 10v-3c0-0.552-0.448-1-1-1s-1 0.448-1 1v3h-2v-3c0-0.552-0.448-1-1-1s-1 0.448-1 1v3h-2v-3c0-0.552-0.448-1-1-1s-1 0.448-1 1v3h-2v-3c0-0.552-0.448-1-1-1s-1 0.448-1 1v3h-2v-3c0-0.552-0.448-1-1-1s-1 0.448-1 1v3h-2v-3c0-0.552-0.448-1-1-1s-1 0.448-1 1v3h-2v-3c0-0.552-0.448-1-1-1s-1 0.448-1 1v3c-1.655 0-3 1.345-3 3v6c0 1.654 1.345 3 3 3v3c0 0.552 0.448 1 1 1s1-0.448 1-1v-3h2v3c0 0.552 0.448 1 1 1s1-0.448 1-1v-3h2v3c0 0.552 0.448 1 1 1s1-0.448 1-1v-3h2v3c0 0.552 0.448 1 1 1s1-0.448 1-1v-3h2v3c0 0.552 0.448 1 1 1s1-0.448 1-1v-3h2v3c0 0.552 0.448 1 1 1s1-0.448 1-1v-3h2v3c0 0.552 0.448 1 1 1s1-0.448 1-1v-3c1.654 0 3-1.346 3-3v-6c0-1.655-1.346-3-3-3zM30 19c0 0.552-0.448 1-1 1h-26c-0.551 0-1-0.448-1-1v-6c0-0.552 0.449-1 1-1h26c0.552 0 1 0.448 1 1v6z"></path>'),
	   	 			'umbrella' => array('keywords' => 'umbrella ','viewbox' => '0 0 30 32', 'path' =>'<path d="M16 15.071v10.357q0 1.857-1.357 3.214t-3.214 1.357-3.214-1.357-1.357-3.214q0-0.464 0.339-0.804t0.804-0.339 0.804 0.339 0.339 0.804q0 0.893 0.696 1.589t1.589 0.696 1.589-0.696 0.696-1.589v-10.357q0.589-0.196 1.143-0.196t1.143 0.196zM29.714 15.554q0 0.232-0.17 0.402t-0.402 0.17q-0.196 0-0.411-0.179-0.875-0.821-1.661-1.232t-1.821-0.411q-1.214 0-2.286 0.661t-1.839 1.732q-0.125 0.179-0.313 0.5t-0.259 0.429q-0.196 0.304-0.5 0.304-0.321 0-0.518-0.304-0.071-0.107-0.259-0.429t-0.313-0.5q-0.768-1.071-1.83-1.732t-2.277-0.661-2.277 0.661-1.83 1.732q-0.125 0.179-0.313 0.5t-0.259 0.429q-0.196 0.304-0.518 0.304-0.304 0-0.5-0.304-0.071-0.107-0.259-0.429t-0.313-0.5q-0.768-1.071-1.839-1.732t-2.286-0.661q-1.036 0-1.821 0.411t-1.661 1.232q-0.214 0.179-0.411 0.179-0.232 0-0.402-0.17t-0.17-0.402q0-0.089 0.018-0.125 0.804-3.268 3.080-5.705t5.321-3.652 6.438-1.214q2.5 0 4.902 0.714t4.402 2.027 3.473 3.339 2.063 4.491q0.018 0.036 0.018 0.125zM16 2.571v1.75q-0.75-0.036-1.143-0.036t-1.143 0.036v-1.75q0-0.464 0.339-0.804t0.804-0.339 0.804 0.339 0.339 0.804z"></path>'),
	   	 			'series_food' => array('keywords' => 'series_food ','viewbox' => '0 0 32 32', 'path' =>'<path d="M21.973 18.076c-0.26-6.636-3.34-10.418-9.604-11.76 0.406-0.711 0.631-1.502 0.631-2.316 0-1.435-0.681-2.811-1.87-3.776-0.367-0.298-0.893-0.298-1.261 0-1.188 0.966-1.87 2.341-1.87 3.776 0 0.769 0.201 1.518 0.565 2.199-0.739 0.223-1.411 0.612-1.954 1.155-1.015 1.014-1.506 2.47-1.348 3.992 0.049 0.47 0.42 0.842 0.891 0.891 0.189 0.020 0.378 0.030 0.564 0.030 1.322 0 2.539-0.489 3.427-1.377 0.591-0.591 0.997-1.332 1.208-2.146 1.494 1.226 2.386 3.012 2.351 4.86-0.036 1.944-1.095 3.502-2.976 4.412-3.735 0.143-6.731 3.218-6.731 6.986 0 3.86 3.14 7 7 7 1.959 0 3.721-0.818 4.992-2.119 1.272 1.305 3.046 2.119 5.008 2.119 3.86 0 7-3.14 7-7 0-3.529-2.628-6.448-6.027-6.925zM10.5 2.448c0.326 0.467 0.5 0.998 0.5 1.552s-0.174 1.085-0.5 1.552c-0.326-0.467-0.5-0.998-0.5-1.552s0.174-1.085 0.5-1.552zM8.732 9.475c-0.386 0.386-0.888 0.64-1.45 0.742 0.1-0.56 0.353-1.058 0.744-1.449 0.386-0.386 0.889-0.64 1.45-0.742-0.1 0.56-0.352 1.058-0.743 1.449zM15.707 13.639c0.031-1.679-0.506-3.314-1.469-4.697 3.756 1.47 5.54 4.367 5.738 9.14-1.55 0.23-2.937 0.963-3.983 2.036-0.682-0.7-1.506-1.259-2.428-1.626 1.348-1.258 2.107-2.941 2.143-4.854zM11 30c-2.757 0-5-2.243-5-5 0-2.756 2.242-4.998 4.998-5 0.001 0 0.002 0 0.002 0s0.002-0 0.002-0c1.521 0.001 2.877 0.692 3.793 1.77-0.505 0.968-0.796 2.065-0.796 3.23s0.29 2.262 0.796 3.23c-0.916 1.078-2.274 1.77-3.796 1.77zM21 30c-2.757 0-5-2.243-5-5s2.243-5 5-5 5 2.243 5 5-2.243 5-5 5z"></path>'),
	   	 			'book' => array('keywords' => 'book ','viewbox' => '0 0 32 32', 'path' =>'<path d="M28 4v26h-21c-1.657 0-3-1.343-3-3s1.343-3 3-3h19v-24h-20c-2.2 0-4 1.8-4 4v24c0 2.2 1.8 4 4 4h24v-28h-2zM7.002 26v0c-0.001 0-0.001 0-0.002 0-0.552 0-1 0.448-1 1s0.448 1 1 1c0.001 0 0.001-0 0.002-0v0h18.997v-2h-18.997z"></path>'),
	   	 			'favorite' => array('keywords' => 'favorite ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 29.104l-1.938-1.75q-3.313-3-4.813-4.438t-3.344-3.563-2.531-3.844-0.688-3.531q0-3.063 2.094-5.188t5.219-2.125q3.625 0 6 2.813 2.375-2.813 6-2.813 3.125 0 5.219 2.125t2.094 5.188q0 2.438-1.625 5.063t-3.531 4.563-6.219 5.813z"></path>'),
	   	 			'dvr' => array('keywords' => 'dvr ','viewbox' => '0 0 32 32', 'path' =>'<path d="M9.313 16.667v2.688h-2.625v-2.688h2.625zM9.313 11.354v2.625h-2.625v-2.625h2.625zM25.313 16.667v2.688h-14.625v-2.688h14.625zM25.313 11.354v2.625h-14.625v-2.625h14.625zM28 23.354v-16h-24v16h24zM28 4.667q1.063 0 1.875 0.813t0.813 1.875l-0.063 16q0 1.063-0.781 1.844t-1.844 0.781h-6.688v2.688h-10.625v-2.688h-6.688q-1.063 0-1.875-0.781t-0.813-1.844v-16q0-1.063 0.813-1.875t1.875-0.813h24z"></path>'),
	   	 			'video_player_symbol2' => array('keywords' => 'video_player_symbol2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M12.515 15.875c0.151 0.083 0.318 0.125 0.485 0.125 0.184 0 0.368-0.051 0.53-0.152l8-5c0.292-0.182 0.47-0.503 0.47-0.848s-0.177-0.665-0.47-0.848l-8-5c-0.309-0.194-0.697-0.203-1.015-0.027-0.318 0.177-0.515 0.511-0.515 0.875v10c0 0.364 0.197 0.698 0.515 0.875zM14 6.804l5.114 3.196-5.114 3.196v-6.392zM31 0h-30c-0.552 0-1 0.448-1 1s0.448 1 1 1h2v17c0 0.552 0.448 1 1 1h11v5.586l-3.707 3.707c-0.39 0.39-0.39 1.023 0 1.414 0.195 0.195 0.451 0.293 0.707 0.293s0.511-0.098 0.707-0.293l2.293-2.293v2.586c0 0.552 0.448 1 1 1s1-0.448 1-1v-2.586l2.293 2.293c0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293c0.39-0.39 0.39-1.023 0-1.414l-3.707-3.707v-5.586h11c0.552 0 1-0.448 1-1v-17h2c0.552 0 1-0.448 1-1s-0.448-1-1-1zM27 18h-22v-16h22v16z"></path>'),
	   	 			'border_outer' => array('keywords' => 'border_outer ','viewbox' => '0 0 32 32', 'path' =>'<path d="M12 15.354v2.625h-2.688v-2.625h2.688zM17.313 20.667v2.688h-2.625v-2.688h2.625zM25.313 25.979v-18.625h-18.625v18.625h18.625zM4 4.667h24v24h-24v-24zM22.688 15.354v2.625h-2.688v-2.625h2.688zM17.313 15.354v2.625h-2.625v-2.625h2.625zM17.313 9.979v2.688h-2.625v-2.688h2.625z"></path>'),
	   	 			'print' => array('keywords' => 'print ','viewbox' => '0 0 30 32', 'path' =>'<path d="M6.857 27.714h16v-4.571h-16v4.571zM6.857 16.286h16v-6.857h-2.857q-0.714 0-1.214-0.5t-0.5-1.214v-2.857h-11.429v11.429zM27.429 17.429q0-0.464-0.339-0.804t-0.804-0.339-0.804 0.339-0.339 0.804 0.339 0.804 0.804 0.339 0.804-0.339 0.339-0.804zM29.714 17.429v7.429q0 0.232-0.17 0.402t-0.402 0.17h-4v2.857q0 0.714-0.5 1.214t-1.214 0.5h-17.143q-0.714 0-1.214-0.5t-0.5-1.214v-2.857h-4q-0.232 0-0.402-0.17t-0.17-0.402v-7.429q0-1.411 1.009-2.42t2.42-1.009h1.143v-9.714q0-0.714 0.5-1.214t1.214-0.5h12q0.714 0 1.571 0.357t1.357 0.857l2.714 2.714q0.5 0.5 0.857 1.357t0.357 1.571v4.571h1.143q1.411 0 2.42 1.009t1.009 2.42z"></path>'),
	   	 			'user-secret' => array('keywords' => 'user-secret ','viewbox' => '0 0 25 32', 'path' =>'<path d="M10.286 27.714l1.714-8-1.714-2.286-2.286-1.143zM14.857 27.714l2.286-11.429-2.286 1.143-1.714 2.286zM17.714 9.679q-0.036-0.071-0.071-0.107-0.179-0.143-1.714-0.143-1.25 0-2.982 0.339-0.125 0.036-0.375 0.036t-0.375-0.036q-1.732-0.339-2.982-0.339-1.536 0-1.714 0.143-0.036 0.036-0.071 0.107 0.036 0.321 0.071 0.482 0.036 0.054 0.134 0.116t0.134 0.188q0.036 0.071 0.134 0.366t0.125 0.366 0.134 0.304 0.152 0.304 0.161 0.25 0.214 0.241 0.25 0.17 0.313 0.143 0.366 0.071 0.438 0.036q0.643 0 1.054-0.223t0.58-0.536 0.259-0.616 0.205-0.527 0.313-0.223h0.214q0.196 0 0.313 0.223t0.205 0.527 0.259 0.616 0.58 0.536 1.054 0.223q0.232 0 0.438-0.036t0.366-0.071 0.312-0.143 0.25-0.17 0.214-0.241 0.161-0.25 0.152-0.304 0.134-0.304 0.125-0.366 0.134-0.366q0.036-0.125 0.134-0.188t0.134-0.116q0.036-0.161 0.071-0.482zM25.143 25.375q0 2.161-1.304 3.393t-3.464 1.232h-15.607q-2.161 0-3.464-1.232t-1.304-3.393q0-1.089 0.080-2.107t0.339-2.241 0.67-2.205 1.134-1.848 1.67-1.33l-1.607-3.929h3.821q-0.393-1.143-0.393-2.286 0-0.214 0.036-0.571-3.464-0.714-3.464-1.714 0-1.018 3.75-1.768 0.304-1.107 0.92-2.393t1.259-2.036q0.571-0.661 1.357-0.661 0.536 0 1.5 0.554t1.5 0.554 1.5-0.554 1.5-0.554q0.786 0 1.357 0.661 0.643 0.75 1.259 2.036t0.92 2.393q3.75 0.75 3.75 1.768 0 1-3.464 1.714 0.125 1.446-0.357 2.857h3.821l-1.464 4.018q1.125 0.589 1.92 1.723t1.17 2.563 0.518 2.705 0.143 2.652z"></path>'),
	   	 			'arrows-alt' => array('keywords' => 'arrows-alt ','viewbox' => '0 0 27 32', 'path' =>'<path d="M22.911 9.946l-6.339 6.339 6.339 6.339 2.571-2.571q0.518-0.554 1.25-0.25 0.696 0.304 0.696 1.054v8q0 0.464-0.339 0.804t-0.804 0.339h-8q-0.75 0-1.054-0.714-0.304-0.696 0.25-1.232l2.571-2.571-6.339-6.339-6.339 6.339 2.571 2.571q0.554 0.536 0.25 1.232-0.304 0.714-1.054 0.714h-8q-0.464 0-0.804-0.339t-0.339-0.804v-8q0-0.75 0.714-1.054 0.696-0.304 1.232 0.25l2.571 2.571 6.339-6.339-6.339-6.339-2.571 2.571q-0.339 0.339-0.804 0.339-0.214 0-0.429-0.089-0.714-0.304-0.714-1.054v-8q0-0.464 0.339-0.804t0.804-0.339h8q0.75 0 1.054 0.714 0.304 0.696-0.25 1.232l-2.571 2.571 6.339 6.339 6.339-6.339-2.571-2.571q-0.554-0.536-0.25-1.232 0.304-0.714 1.054-0.714h8q0.464 0 0.804 0.339t0.339 0.804v8q0 0.75-0.696 1.054-0.232 0.089-0.446 0.089-0.464 0-0.804-0.339z"></path>'),
	   	 			'tv' => array('keywords' => 'tv ','viewbox' => '0 0 32 32', 'path' =>'<path d="M30.662 9.003c-2.775-0.399-5.731-0.688-8.815-0.851l5.153-5.153-2-2-7.017 7.017c-0.656-0.011-1.317-0.017-1.983-0.017v0l-8-8-2 2 6.069 6.069c-3.779 0.133-7.386 0.454-10.731 0.935-0.86 3.366-1.338 7.086-1.338 10.997s0.477 7.63 1.338 10.997c4.489 0.645 9.448 1.003 14.662 1.003s10.173-0.358 14.662-1.003c0.86-3.366 1.338-7.086 1.338-10.997s-0.477-7.63-1.338-10.997zM26.997 27.331c-3.367 0.43-7.086 0.669-10.997 0.669s-7.63-0.239-10.997-0.669c-0.645-2.244-1.003-4.724-1.003-7.331s0.358-5.087 1.003-7.331c3.366-0.43 7.086-0.669 10.997-0.669s7.63 0.239 10.996 0.669c0.645 2.244 1.004 4.724 1.004 7.331s-0.358 5.087-1.003 7.331z"></path>'),
	   	 			'telescope_1' => array('keywords' => 'telescope_1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M30.948 3.183c-0.136-0.409-0.518-0.683-0.948-0.683h-2c-0.552 0-1 0.448-1 1h-8c-0.552 0-1 0.448-1 1h-8c-0.552 0-1 0.448-1 1h-8c-0.552 0-1 0.447-1 1v4c0 0.552 0.448 1 1 1h8c0 0.552 0.448 1 1 1h2.54c0.132 0.912 0.614 1.71 1.307 2.254l-4.789 13.409c-0.185 0.52 0.085 1.093 0.605 1.279 0.111 0.040 0.225 0.058 0.337 0.058 0.411 0 0.796-0.255 0.942-0.664l2.085-5.836h5.947l2.084 5.836c0.145 0.409 0.531 0.664 0.942 0.664 0.112 0 0.225-0.018 0.337-0.058 0.52-0.186 0.791-0.758 0.605-1.279l-4.789-13.409c0.425-0.333 0.77-0.761 1.005-1.254h7.843c0 0.552 0.448 1 1 1h2c0.409 0 0.777-0.249 0.928-0.629 0.044-0.11 1.072-2.71 1.072-5.371 0-2.138-1.009-5.188-1.052-5.316zM9 9.5h-7v-2h7v2zM11 6.5h7v2.632c-0.567-0.398-1.256-0.632-2-0.632-1.393 0-2.594 0.819-3.157 2h-1.843v-4zM14.5 12c0-0.827 0.673-1.5 1.5-1.5s1.5 0.673 1.5 1.5-0.673 1.5-1.5 1.5-1.5-0.673-1.5-1.5zM18.259 21h-4.518l1.969-5.515c0.096 0.008 0.193 0.015 0.29 0.015s0.194-0.007 0.29-0.014l1.97 5.514zM27 11.5h-7v-6h7v6zM29.291 12.5h-0.291v-8h0.261c0.279 0.959 0.739 2.729 0.739 4 0 1.558-0.434 3.149-0.709 4z"></path>'),
	   	 			'format_size' => array('keywords' => 'format_size ','viewbox' => '0 0 32 32', 'path' =>'<path d="M4 16.667v-4h12v4h-4v9.313h-4v-9.313h-4zM12 5.979h17.313v4h-6.625v16h-4v-16h-6.688v-4z"></path>'),
	   	 			'dual_comment' => array('keywords' => 'dual_comment ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31 0h-19c-0.552 0-1 0.448-1 1v9h-10c-0.552 0-1 0.448-1 1v14c0 0.552 0.448 1 1 1h2v5c0 0.404 0.244 0.769 0.617 0.924 0.124 0.051 0.254 0.076 0.383 0.076 0.26 0 0.516-0.102 0.707-0.293l5.707-5.707h10.586c0.552 0 1-0.448 1-1v-10h0.586l4.707 4.707c0.192 0.192 0.447 0.293 0.707 0.293 0.129 0 0.259-0.025 0.383-0.076 0.373-0.155 0.617-0.52 0.617-0.924v-4h2c0.552 0 1-0.448 1-1v-13c0-0.552-0.448-1-1-1zM20 24h-10c-0.265 0-0.52 0.105-0.707 0.293l-4.293 4.293v-3.586c0-0.552-0.448-1-1-1h-2v-12h18v12zM30 13h-2c-0.552 0-1 0.448-1 1v2.586l-3.293-3.293c-0.188-0.188-0.442-0.293-0.707-0.293h-1v-2c0-0.552-0.448-1-1-1h-8v-8h17v11z"></path>'),
	   	 			'border_bottom' => array('keywords' => 'border_bottom ','viewbox' => '0 0 32 32', 'path' =>'<path d="M6.688 20.667v2.688h-2.688v-2.688h2.688zM4 28.667v-2.688h24v2.688h-24zM6.688 15.354v2.625h-2.688v-2.625h2.688zM25.313 12.667v-2.688h2.688v2.688h-2.688zM25.313 4.667h2.688v2.688h-2.688v-2.688zM6.688 9.979v2.688h-2.688v-2.688h2.688zM25.313 23.354v-2.688h2.688v2.688h-2.688zM25.313 17.979v-2.625h2.688v2.625h-2.688zM22.688 4.667v2.688h-2.688v-2.688h2.688zM17.313 4.667v2.688h-2.625v-2.688h2.625zM22.688 15.354v2.625h-2.688v-2.625h2.688zM17.313 9.979v2.688h-2.625v-2.688h2.625zM6.688 4.667v2.688h-2.688v-2.688h2.688zM17.313 15.354v2.625h-2.625v-2.625h2.625zM12 4.667v2.688h-2.688v-2.688h2.688zM17.313 20.667v2.688h-2.625v-2.688h2.625zM12 15.354v2.625h-2.688v-2.625h2.688z"></path>'),
	   	 			'euro_bag' => array('keywords' => 'euro_bag ','viewbox' => '0 0 32 32', 'path' =>'<path d="M11.681 6.573c0.188 0.268 0.493 0.427 0.819 0.427h7c0.326 0 0.632-0.159 0.82-0.427l3.5-5c0.214-0.305 0.239-0.704 0.067-1.035s-0.514-0.538-0.887-0.538h-14c-0.373 0-0.715 0.207-0.886 0.538-0.173 0.331-0.146 0.73 0.068 1.035l3.499 5zM21.079 2l-2.099 3h-5.959l-2.099-3h10.158zM20.32 8.211l-0.27-0.211h-8.098l-0.271 0.211c-5.274 4.103-8.681 10.104-8.681 15.289 0 8.5 6.609 8.5 13 8.5s13 0 13-8.5c0-5.185-3.407-11.187-8.681-15.289zM16 30c-7.816 0-11-0.588-11-6.5 0-4.505 2.989-9.773 7.642-13.5h6.717c4.652 3.727 7.642 8.995 7.642 13.5 0 5.912-3.183 6.5-11 6.5zM17.389 16h1.111c0.552 0 1-0.448 1-1s-0.448-1-1-1h-1.111c-2.192 0-4.081 1.438-4.943 3.5h-0.946c-0.552 0-1 0.448-1 1s0.448 1 1 1h0.467c-0.012 0.165-0.023 0.331-0.023 0.5s0.011 0.335 0.023 0.5h-0.467c-0.552 0-1 0.448-1 1s0.448 1 1 1h0.946c0.863 2.062 2.751 3.5 4.943 3.5h1.111c0.552 0 1-0.448 1-1s-0.448-1-1-1h-1.111c-1.085 0-2.053-0.587-2.684-1.5h2.796c0.552 0 1-0.448 1-1s-0.448-1-1-1h-3.526c-0.018-0.164-0.030-0.33-0.030-0.5s0.012-0.336 0.030-0.5h3.526c0.552 0 1-0.448 1-1s-0.448-1-1-1h-2.796c0.632-0.913 1.599-1.5 2.684-1.5z"></path>'),
	   	 			'phonelink_off' => array('keywords' => 'phonelink_off ','viewbox' => '0 0 32 32', 'path' =>'<path d="M30.688 11.354q0.563 0 0.938 0.375t0.375 0.938v13.313q0 0.563-0.375 0.969t-0.938 0.406h-0.25l-4-4h2.875v-9.375h-5.313v6.938l-2.688-2.688v-5.563q0-0.563 0.406-0.938t0.969-0.375h8zM5.313 9.042v14.313h14.313zM2.563 2.854q5.063 5.063 14.406 14.438t11.469 11.5l-1.688 1.688-3.125-3.125h-23.625v-4h2.688v-14.688q0-0.938 0.625-1.688l-2.438-2.438zM29.313 8.667h-17.563l-2.688-2.688h20.25v2.688z"></path>'),
	   	 			'add_a_photo' => array('keywords' => 'add_a_photo ','viewbox' => '0 0 32 32', 'path' =>'<path d="M13.063 19.354q0-1.813 1.25-3.063t3-1.25q1.813 0 3.063 1.25t1.25 3.063q0 1.75-1.25 3t-3.063 1.25-3.031-1.219-1.219-3.031zM17.313 25.979q2.75 0 4.719-1.938t1.969-4.688-1.969-4.719-4.719-1.969-4.688 1.969-1.938 4.719 1.938 4.688 4.688 1.938zM8 13.979v-4h4v-4h9.313l2.438 2.688h4.25q1.063 0 1.875 0.813t0.813 1.875v16q0 1.063-0.813 1.844t-1.875 0.781h-21.313q-1.063 0-1.875-0.781t-0.813-1.844v-13.375h4zM4 5.979v-4h2.688v4h4v2.687h-4v4h-2.688v-4h-4v-2.688h4z"></path>'),
	   	 			'css3' => array('keywords' => 'css3 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M4.762 1.516l-1.074 5.373h21.867l-0.684 3.47h-21.881l-1.059 5.372h21.865l-1.219 6.127-8.813 2.919-7.638-2.919 0.523-2.658h-5.372l-1.278 6.448 12.632 4.834 14.563-4.834 4.805-24.133z"></path>'),
	   	 			'film' => array('keywords' => 'film ','viewbox' => '0 0 32 32', 'path' =>'<path d="M0 4v24h32v-24h-32zM6 26h-4v-4h4v4zM6 18h-4v-4h4v4zM6 10h-4v-4h4v4zM24 26h-16v-20h16v20zM30 26h-4v-4h4v4zM30 18h-4v-4h4v4zM30 10h-4v-4h4v4zM12 10v12l8-6z"></path>'),
	   	 			'phone_symbol_buttons' => array('keywords' => 'phone_symbol_buttons ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 20c-0.552 0-1 0.448-1 1v1c0 0.552 0.448 1 1 1s1-0.448 1-1v-1c0-0.552-0.448-1-1-1zM16 25c-0.552 0-1 0.448-1 1v1c0 0.552 0.448 1 1 1s1-0.448 1-1v-1c0-0.552-0.448-1-1-1zM19 23h-1c-0.552 0-1 0.448-1 1s0.448 1 1 1h1c0.552 0 1-0.448 1-1s-0.448-1-1-1zM14.001 23h-1.001c-0.552 0-1 0.448-1 1s0.448 1 1 1h1.001c0.552 0 1-0.448 1-1s-0.448-1-1-1zM24 0h-16c-1.655 0-3 1.345-3 3v26c0 1.654 1.345 3 3 3h16c1.654 0 3-1.346 3-3v-26c0-1.655-1.346-3-3-3zM25 29c0 0.552-0.448 1-1 1h-16c-0.552 0-1-0.448-1-1v-26c0-0.552 0.448-1 1-1h16c0.552 0 1 0.448 1 1v26zM13 5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM13 9c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM17 9c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM21 9c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM13 13c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM17 13c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM21 13c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM13 17c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM17 17c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM21 17c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1z"></path>'),
	   	 			'hand-o-left' => array('keywords' => 'hand-o-left ','viewbox' => '0 0 32 32', 'path' =>'<path d="M24.571 25.429h0.571v-11.429h-0.571q-0.625 0-1.205-0.214t-1.116-0.661-0.893-0.821-0.875-0.964q-0.036-0.054-0.063-0.080t-0.071-0.080-0.080-0.089q-1.286-1.446-2-2.589-0.25-0.393-0.679-1.214-0.018-0.054-0.188-0.402t-0.33-0.643-0.357-0.634-0.384-0.545-0.33-0.205q-1.268 0-2.063 0.545t-0.795 1.741q0 0.768 0.268 1.509t0.589 1.214 0.589 0.982 0.268 0.866h-10.286q-0.893 0-1.589 0.688t-0.696 1.598q0 0.929 0.679 1.607t1.607 0.679h5.911q-0.268 0.304-0.446 0.848t-0.179 0.991q0 1.232 0.946 2.125-0.321 0.571-0.321 1.232t0.313 1.313 0.848 0.938q-0.071 0.429-0.071 1 0 1.518 0.866 2.25t2.42 0.732q1.5 0 3.268-0.571t3.464-1.143 2.982-0.571zM29.714 24.286q0-0.464-0.339-0.804t-0.804-0.339-0.804 0.339-0.339 0.804 0.339 0.804 0.804 0.339 0.804-0.339 0.339-0.804zM32 14v11.429q0 0.946-0.67 1.616t-1.616 0.67h-5.143q-1.054 0-3.982 1.054-3.393 1.232-5.661 1.232-2.536 0-4.107-1.384t-1.554-3.884l0.018-0.089q-1.089-1.357-1.089-3.179 0-0.393 0.054-0.768-0.589-1.018-0.661-2.125h-3.018q-1.875 0-3.223-1.357t-1.348-3.232q0-1.839 1.357-3.196t3.214-1.357h6.679q-0.393-1.071-0.393-2.286 0-2.179 1.455-3.375t3.688-1.196q0.679 0 1.241 0.313t0.982 0.884 0.723 1.125 0.661 1.286 0.589 1.107q0.625 0.982 1.786 2.304 0.036 0.054 0.25 0.304t0.339 0.384 0.366 0.384 0.429 0.402 0.402 0.321 0.42 0.25 0.384 0.080h5.143q0.946 0 1.616 0.67t0.67 1.616z"></path>'),
	   	 			'clear_all' => array('keywords' => 'clear_all ','viewbox' => '0 0 32 32', 'path' =>'<path d="M9.313 9.979h18.688v2.688h-18.688v-2.688zM4 23.354v-2.688h18.688v2.688h-18.688zM6.688 17.979v-2.625h18.625v2.625h-18.625z"></path>'),
	   	 			'puzzle' => array('keywords' => 'puzzle ','viewbox' => '0 0 35 32', 'path' =>'<path d="M20.042 3.907c0-1.945-1.559-3.907-5.042-3.907-3.067 0-5.129 1.57-5.129 3.907 0 1.364 0.552 1.986 0.917 2.398 0.193 0.217 0.271 0.315 0.271 0.413 0 0.162 0 0.26-0.558 0.282h-6.098c-2.345 0-4.403 1.869-4.403 4v3.732c0.038 0.944 0.571 1.531 1.392 1.531 0.467 0 0.813-0.267 1.149-0.526 0.45-0.345 0.959-0.737 1.959-0.737 1.696 0 3.5 1.402 3.5 4 0 2.629-1.828 4.462-3.469 4.462-0.99 0-1.508-0.429-1.966-0.807-0.343-0.284-0.697-0.578-1.174-0.578-0.82 0-1.354 0.587-1.392 1.551v4.102c0.001 2.235 2.1 4.27 4.404 4.27h6.129c0.928-0.038 1.527-0.585 1.527-1.396 0-0.487-0.277-0.8-0.522-1.076-0.328-0.369-0.666-0.75-0.666-1.734 0-1.766 1.604-2.907 4.085-2.907s4.086 1.141 4.086 2.907c0 0.984-0.339 1.365-0.666 1.734-0.245 0.276-0.523 0.589-0.523 1.076 0 0.822 0.585 1.356 1.548 1.395l3.941 0.001c2.152 0 3.656-1.677 3.656-4.078v-4.65c0.026-0.122 0.334-0.588 0.804-0.588 0.096 0 0.193 0.079 0.409 0.271 0.41 0.367 1.031 0.922 2.393 0.922 2.184-0.001 4.396-1.675 4.396-4.877 0-3.454-2.009-5-4-5-1.344 0-2.12 0.614-2.634 1.020-0.228 0.18-0.442 0.35-0.564 0.35-0.471 0-0.779-0.468-0.802-0.571-0.001-0.008-0.001-0.016-0.002-0.024v-3.583c0-2.429-1.538-4.192-3.656-4.192h-3.921c-0.013-0.001-0.026-0.002-0.040-0.003-0.528-0.020-0.528-0.117-0.528-0.279 0-0.098 0.078-0.195 0.271-0.413 0.365-0.411 0.918-1.034 0.918-2.398zM18.376 5.642c-0.245 0.276-0.523 0.59-0.523 1.077 0 0.55 0.251 1.212 1.471 1.277 0.023 0.003 0.046 0.004 0.070 0.004h3.948c1.744 0 2.658 1.606 2.658 3.192v3.633c0 0.036-0.007 0.071 0 0.105 0.092 0.611 0.842 1.439 1.802 1.439 0.47 0 0.816-0.274 1.185-0.565 0.476-0.377 1.017-0.804 2.013-0.804 1.822 0 3 1.57 3 4 0 2.664-1.761 3.876-3.396 3.876-0.979 0-1.359-0.339-1.727-0.667-0.276-0.246-0.589-0.525-1.075-0.525-0.96 0-1.711 0.829-1.802 1.44-0.007 0.034 0 0.069 0 0.105v4.694c0 1.531-0.823 3.077-2.658 3.077h-3.921c-0.568-0.023-0.568-0.285-0.568-0.396 0-0.097 0.078-0.195 0.271-0.413 0.365-0.412 0.918-1.034 0.918-2.398 0-1.945-1.572-3.907-5.086-3.907-3.041 0-5.085 1.57-5.085 3.907 0 1.364 0.552 1.986 0.918 2.398 0.192 0.217 0.271 0.315 0.271 0.413 0 0.112 0 0.374-0.548 0.396h-6.109c-1.717 0-3.403-1.62-3.403-3.27v-4.082c0.022-0.571 0.281-0.571 0.392-0.571 0.116 0 0.32 0.169 0.537 0.348 0.498 0.413 1.253 1.037 2.603 1.037 2.157 0 4.468-2.195 4.468-5.462 0-3.248-2.318-5-4.5-5-1.34 0-2.079 0.568-2.568 0.945-0.222 0.171-0.414 0.318-0.54 0.318-0.11 0-0.369 0-0.392-0.551v-3.712c0-1.768 1.794-3 3.403-3h6.115c0.016 0 0.031-0.001 0.047-0.002v0c1.235-0.046 1.494-0.722 1.494-1.28 0-0.487-0.277-0.8-0.522-1.076-0.328-0.369-0.666-0.75-0.666-1.735 0-1.739 1.659-2.907 4.129-2.907 2.455 0 4.042 1.141 4.042 2.907 0 0.984-0.339 1.366-0.666 1.735z"></path>'),
	   	 			'fiber_dvr' => array('keywords' => 'fiber_dvr ','viewbox' => '0 0 32 32', 'path' =>'<path d="M28 15.979v-1.313q0-0.875-0.563-1.438t-1.438-0.563h-4.688v8h2v-2.688h1.563l1.125 2.688h2l-1.188-2.813q1.188-0.563 1.188-1.875zM16.813 20.667l2.375-8h-2l-1.375 4.563-1.313-4.563h-2l2.313 8h2zM10.688 18.667v-4q0-0.875-0.594-1.438t-1.406-0.563h-4.688v8h4.688q0.813 0 1.406-0.563t0.594-1.438zM28 4.667q1.125 0 1.906 0.781t0.781 1.906v18.625q0 1.063-0.781 1.875t-1.906 0.813h-24q-1.125 0-1.906-0.813t-0.781-1.875v-18.625q0-1.125 0.781-1.906t1.906-0.781h24zM6 14.667h2.688v4h-2.688v-4zM23.313 14.667h2.688v1.313h-2.688v-1.313z"></path>'),
	   	 			'calendar-o' => array('keywords' => 'calendar-o ','viewbox' => '0 0 30 32', 'path' =>'<path d="M2.286 30h25.143v-18.286h-25.143v18.286zM9.143 8.286v-5.143q0-0.25-0.161-0.411t-0.411-0.161h-1.143q-0.25 0-0.411 0.161t-0.161 0.411v5.143q0 0.25 0.161 0.411t0.411 0.161h1.143q0.25 0 0.411-0.161t0.161-0.411zM22.857 8.286v-5.143q0-0.25-0.161-0.411t-0.411-0.161h-1.143q-0.25 0-0.411 0.161t-0.161 0.411v5.143q0 0.25 0.161 0.411t0.411 0.161h1.143q0.25 0 0.411-0.161t0.161-0.411zM29.714 7.143v22.857q0 0.929-0.679 1.607t-1.607 0.679h-25.143q-0.929 0-1.607-0.679t-0.679-1.607v-22.857q0-0.929 0.679-1.607t1.607-0.679h2.286v-1.714q0-1.179 0.839-2.018t2.018-0.839h1.143q1.179 0 2.018 0.839t0.839 2.018v1.714h6.857v-1.714q0-1.179 0.839-2.018t2.018-0.839h1.143q1.179 0 2.018 0.839t0.839 2.018v1.714h2.286q0.929 0 1.607 0.679t0.679 1.607z"></path>'),
	   	 			'arrow-up-right2' => array('keywords' => 'arrow-up-right2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M7.414 27.414l16.586-16.586v7.172c0 1.105 0.895 2 2 2s2-0.895 2-2v-12c0-0.809-0.487-1.538-1.235-1.848-0.248-0.103-0.508-0.151-0.765-0.151v-0.001h-12c-1.105 0-2 0.895-2 2s0.895 2 2 2h7.172l-16.586 16.586c-0.391 0.39-0.586 0.902-0.586 1.414s0.195 1.024 0.586 1.414c0.781 0.781 2.047 0.781 2.828 0z"></path>'),
	   	 			'calendar_empty' => array('keywords' => 'calendar_empty ','viewbox' => '0 0 32 32', 'path' =>'<path d="M11.5 4.5c0 0.828-0.672 1.5-1.5 1.5s-1.5-0.672-1.5-1.5c0-0.828 0.672-1.5 1.5-1.5s1.5 0.672 1.5 1.5zM23.5 4.5c0 0.828-0.672 1.5-1.5 1.5s-1.5-0.672-1.5-1.5c0-0.828 0.672-1.5 1.5-1.5s1.5 0.672 1.5 1.5zM27 0h-22c-2.757 0-5 2.243-5 5v22c0 2.757 2.243 5 5 5h22c2.757 0 5-2.243 5-5v-22c0-2.757-2.243-5-5-5zM5 2h22c1.654 0 3 1.345 3 3v2h-28v-2c0-1.655 1.345-3 3-3zM27 30h-22c-1.655 0-3-1.346-3-3v-18h28v18c0 1.654-1.346 3-3 3zM28 16.5c0.552 0 1-0.448 1-1s-0.448-1-1-1h-3.5v-3.5c0-0.552-0.448-1-1-1s-1 0.448-1 1v3.5h-5.5v-3.5c0-0.552-0.448-1-1-1s-1 0.448-1 1v3.5h-5.5v-3.5c0-0.552-0.448-1-1-1s-1 0.448-1 1v3.5h-4c-0.552 0-1 0.448-1 1s0.448 1 1 1h4v6h-4c-0.552 0-1 0.448-1 1s0.448 1 1 1h4v3.5c0 0.552 0.448 1 1 1s1-0.448 1-1v-3.5h5.5v3.5c0 0.552 0.448 1 1 1s1-0.448 1-1v-3.5h5.5v3.5c0 0.552 0.448 1 1 1s1-0.448 1-1v-3.5h3.5c0.552 0 1-0.448 1-1s-0.448-1-1-1h-3.5v-6h3.5zM9.5 22.5v-6h5.5v6h-5.5zM22.5 22.5h-5.5v-6h5.5v6z"></path>'),
	   	 			'lightbulb' => array('keywords' => 'lightbulb ','viewbox' => '0 0 22 32', 'path' =>'<path d="M11 0c-5.29 0-11 4.206-11 11 0 3.353 1.334 6.174 3.896 8.312 0.027 0.034 0.058 0.063 0.092 0.088 1.901 2.062 1.997 2.454 2.010 3.361 0.006 0.359 0.003 0.465 0 0.523l-0.004 0.209c-0.015 0.452-0.038 1.209 0.899 1.495l8.094 1.781c0.036 0.008 0.072 0.012 0.107 0.012 0.23 0 0.437-0.159 0.488-0.393 0.060-0.27-0.111-0.537-0.381-0.596l-8.055-1.771c-0.155-0.047-0.168-0.051-0.154-0.498l0.003-0.191c0 0 0.010-0.078 0.002-0.586-0.019-1.269-0.295-1.882-2.309-4.059-0.039-0.048-0.086-0.088-0.138-0.118-2.356-2.003-3.55-4.549-3.55-7.569 0-6.177 5.19-10 10-10 4.916 0 10 3.741 10 10 0 3.978-1.928 6.171-3.518 7.551-0.055 0.026-0.104 0.063-0.147 0.109-2.037 2.204-2.313 2.817-2.332 4.086 0 0.030-0.001 0.065 0 0.103l-0.001 0.035c-0.003 0.076-0.014 0.118-0.013 0.134-0.034-0.005-0.117-0.018-0.117-0.018l-4.195-0.987c-0.272-0.062-0.538 0.104-0.601 0.372s0.103 0.538 0.372 0.602l4.144 0.972c0.055 0.020 0.553 0.182 0.973-0.113 0.183-0.129 0.396-0.382 0.434-0.866l0.003-0.047c0.001-0.032 0.002-0.065 0.002-0.099 0-0.009 0-0.018-0.001-0.026l0.001-0.046c0.013-0.902 0.107-1.294 2.005-3.356 0.009-0.007 0.019-0.014 0.027-0.022 2.667-2.241 3.964-4.984 3.964-8.384 0-6.885-5.593-11-11-11zM15 29.5c0.229 0 0.435-0.157 0.487-0.39 0.062-0.269-0.107-0.537-0.377-0.598l-8-1.814c-0.271-0.060-0.537 0.108-0.598 0.377-0.062 0.269 0.107 0.537 0.377 0.598l8 1.814c0.038 0.009 0.075 0.013 0.111 0.013zM7.609 29.554c-0.271-0.060-0.536 0.109-0.598 0.378-0.060 0.27 0.109 0.537 0.379 0.597l6.5 1.458c0.038 0.009 0.074 0.013 0.11 0.013 0.229 0 0.436-0.158 0.488-0.391 0.060-0.27-0.109-0.537-0.379-0.597l-6.5-1.458z"></path>'),
	   	 			'heart' => array('keywords' => 'heart ','viewbox' => '0 0 32 32', 'path' =>'<path d="M23.6 2c-3.363 0-6.258 2.736-7.599 5.594-1.342-2.858-4.237-5.594-7.601-5.594-4.637 0-8.4 3.764-8.4 8.401 0 9.433 9.516 11.906 16.001 21.232 6.13-9.268 15.999-12.1 15.999-21.232 0-4.637-3.763-8.401-8.4-8.401z"></path>'),
	   	 			'diamond_1' => array('keywords' => 'diamond_1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31.753 9.841l-7-8c-0.19-0.217-0.464-0.341-0.753-0.341h-16c-0.288 0-0.563 0.125-0.752 0.341l-7 8c-0.318 0.363-0.331 0.9-0.032 1.278l15 19c0.189 0.24 0.478 0.38 0.784 0.38s0.596-0.14 0.785-0.381l15-19c0.299-0.379 0.285-0.915-0.032-1.278zM17.382 3.5l3 6h-8.764l3-6h2.764zM20.636 11.5l-4.636 14.678-4.636-14.678h9.271zM9.267 11.5l4.136 13.096-10.339-13.096h6.204zM22.733 11.5h6.204l-10.34 13.096 4.136-13.096zM28.797 9.5h-6.178l-3-6h3.928l5.25 6zM8.454 3.5h3.928l-3 6h-6.178l5.25-6z"></path>'),
	   	 			'phone_user' => array('keywords' => 'phone_user ','viewbox' => '0 0 21 32', 'path' =>'<path d="M8 5h5c0.552 0 1-0.448 1-1s-0.448-1-1-1c-0.001 0-0.002 0-0.002 0h-4.995c-0.001 0-0.002 0-0.002 0-0.552 0-1 0.448-1 1s0.448 1 1 1zM18 0h-15c-1.65 0-3 1.35-3 3v26c0 1.65 1.35 3 3 3h15c1.65 0 3-1.35 3-3v-26c0-1.65-1.35-3-3-3zM19 29c0 0.55-0.45 1-1 1h-15c-0.55 0-1-0.45-1-1v-26c0-0.55 0.45-1 1-1h15c0.55 0 1 0.45 1 1v26zM12 27.5c0 0.828-0.672 1.5-1.5 1.5s-1.5-0.672-1.5-1.5c0-0.828 0.672-1.5 1.5-1.5s1.5 0.672 1.5 1.5zM10.5 14c-2.757 0-5 2.243-5 5 0 0.552 0.448 1 1 1h1v3c0 0.552 0.448 1 1 1h4c0.552 0 1-0.448 1-1v-3h1c0.552 0 1-0.448 1-1 0-2.757-2.243-5-5-5zM11.5 22h-2v-3c0-0.552-0.448-1-1-1h-0.829c0.412-1.164 1.525-2 2.829-2s2.416 0.836 2.829 2h-0.829c-0.552 0-1 0.448-1 1v3zM14 10.5c0-1.93-1.57-3.5-3.5-3.5s-3.5 1.57-3.5 3.5 1.57 3.5 3.5 3.5c1.93 0 3.5-1.57 3.5-3.5zM10.5 12c-0.827 0-1.5-0.673-1.5-1.5s0.673-1.5 1.5-1.5 1.5 0.673 1.5 1.5-0.673 1.5-1.5 1.5z"></path>'),
	   	 			'box-add' => array('keywords' => 'box-add ','viewbox' => '0 0 32 32', 'path' =>'<path d="M26 2h-20l-6 6v21c0 0.552 0.448 1 1 1h30c0.552 0 1-0.448 1-1v-21l-6-6zM16 26l-10-8h6v-6h8v6h6l-10 8zM4.828 6l2-2h18.343l2 2h-22.343z"></path>'),
	   	 			'briefcase' => array('keywords' => 'briefcase ','viewbox' => '0 0 32 32', 'path' =>'<path d="M30 8h-8v-2c0-1.1-0.9-2-2-2h-8c-1.1 0-2 0.9-2 2v2h-8c-1.1 0-2 0.9-2 2v18c0 1.1 0.9 2 2 2h28c1.1 0 2-0.9 2-2v-18c0-1.1-0.9-2-2-2zM12 6.004c0.001-0.001 0.002-0.003 0.004-0.004h7.993c0.001 0.001 0.003 0.002 0.004 0.004v1.996h-8v-1.996zM30 16h-4v3c0 0.55-0.45 1-1 1h-2c-0.55 0-1-0.45-1-1v-3h-12v3c0 0.55-0.45 1-1 1h-2c-0.55 0-1-0.45-1-1v-3h-4v-2h28v2z"></path>'),
	   	 			'blur_on' => array('keywords' => 'blur_on ','viewbox' => '0 0 32 32', 'path' =>'<path d="M18.688 11.979q0.813 0 1.406 0.594t0.594 1.406-0.594 1.406-1.406 0.594-1.406-0.594-0.594-1.406 0.594-1.406 1.406-0.594zM18.688 17.354q0.813 0 1.406 0.594t0.594 1.406-0.594 1.406-1.406 0.594-1.406-0.594-0.594-1.406 0.594-1.406 1.406-0.594zM13.313 23.354q0.563 0 0.969 0.375t0.406 0.938-0.406 0.938-0.969 0.375-0.938-0.375-0.375-0.938 0.375-0.938 0.938-0.375zM13.313 11.979q0.813 0 1.406 0.594t0.594 1.406-0.594 1.406-1.406 0.594-1.406-0.594-0.594-1.406 0.594-1.406 1.406-0.594zM18.688 27.979q0.625 0 0.625 0.688t-0.625 0.688q-0.688 0-0.688-0.688t0.688-0.688zM18.688 23.354q0.563 0 0.938 0.375t0.375 0.938-0.375 0.938-0.938 0.375-0.969-0.375-0.406-0.938 0.406-0.938 0.969-0.375zM28 18.667q0.688 0 0.688 0.688 0 0.625-0.688 0.625t-0.688-0.625q0-0.688 0.688-0.688zM24 7.354q0.563 0 0.938 0.375t0.375 0.937-0.375 0.938-0.938 0.375-0.938-0.375-0.375-0.938 0.375-0.938 0.938-0.375zM24 12.667q0.563 0 0.938 0.375t0.375 0.938-0.375 0.969-0.938 0.406-0.938-0.406-0.375-0.969 0.375-0.938 0.938-0.375zM24 23.354q0.563 0 0.938 0.375t0.375 0.938-0.375 0.938-0.938 0.375-0.938-0.375-0.375-0.938 0.375-0.938 0.938-0.375zM24 17.979q0.563 0 0.938 0.406t0.375 0.969-0.375 0.938-0.938 0.375-0.938-0.375-0.375-0.938 0.375-0.969 0.938-0.406zM13.313 17.354q0.813 0 1.406 0.594t0.594 1.406-0.594 1.406-1.406 0.594-1.406-0.594-0.594-1.406 0.594-1.406 1.406-0.594zM13.313 9.979q-0.563 0-0.938-0.375t-0.375-0.938 0.375-0.938 0.938-0.375 0.969 0.375 0.406 0.938-0.406 0.938-0.969 0.375zM13.313 5.354q-0.625 0-0.625-0.688t0.625-0.688q0.688 0 0.688 0.688t-0.688 0.688zM13.313 27.979q0.688 0 0.688 0.688t-0.688 0.688q-0.625 0-0.625-0.688t0.625-0.688zM4 18.667q0.688 0 0.688 0.688 0 0.625-0.688 0.625t-0.688-0.625q0-0.688 0.688-0.688zM18.688 5.354q-0.688 0-0.688-0.688t0.688-0.688q0.625 0 0.625 0.688t-0.625 0.688zM18.688 9.979q-0.563 0-0.969-0.375t-0.406-0.938 0.406-0.938 0.969-0.375 0.938 0.375 0.375 0.938-0.375 0.938-0.938 0.375zM28 14.667q-0.688 0-0.688-0.688 0-0.625 0.688-0.625t0.688 0.625q0 0.688-0.688 0.688zM8 7.354q0.563 0 0.938 0.375t0.375 0.937-0.375 0.938-0.938 0.375-0.938-0.375-0.375-0.938 0.375-0.938 0.938-0.375zM4 13.354q0.688 0 0.688 0.625 0 0.688-0.688 0.688t-0.688-0.688q0-0.625 0.688-0.625zM8 12.667q0.563 0 0.938 0.375t0.375 0.938-0.375 0.969-0.938 0.406-0.938-0.406-0.375-0.969 0.375-0.938 0.938-0.375zM8 23.354q0.563 0 0.938 0.375t0.375 0.938-0.375 0.938-0.938 0.375-0.938-0.375-0.375-0.938 0.375-0.938 0.938-0.375zM8 17.979q0.563 0 0.938 0.406t0.375 0.969-0.375 0.938-0.938 0.375-0.938-0.375-0.375-0.938 0.375-0.969 0.938-0.406z"></path>'),
	   	 			'stethoscope' => array('keywords' => 'stethoscope ','viewbox' => '0 0 25 32', 'path' =>'<path d="M22.857 12.857q0-0.464-0.339-0.804t-0.804-0.339-0.804 0.339-0.339 0.804 0.339 0.804 0.804 0.339 0.804-0.339 0.339-0.804zM25.143 12.857q0 1.107-0.634 1.982t-1.652 1.25v7.054q0 2.839-2.348 4.848t-5.652 2.009-5.652-2.009-2.348-4.848v-2.357q-2.929-0.357-4.893-2.286t-1.964-4.5v-9.143q0-0.464 0.339-0.804t0.804-0.339q0.107 0 0.286 0.036 0.304-0.536 0.839-0.857t1.161-0.321q0.946 0 1.616 0.67t0.67 1.616-0.67 1.616-1.616 0.67q-0.589 0-1.143-0.321v7.179q0 1.893 1.679 3.232t4.036 1.339 4.036-1.339 1.679-3.232v-7.179q-0.554 0.321-1.143 0.321-0.946 0-1.616-0.67t-0.67-1.616 0.67-1.616 1.616-0.67q0.625 0 1.161 0.321t0.839 0.857q0.179-0.036 0.286-0.036 0.464 0 0.804 0.339t0.339 0.804v9.143q0 2.571-1.964 4.5t-4.893 2.286v2.357q0 1.893 1.679 3.232t4.036 1.339 4.036-1.339 1.679-3.232v-7.054q-1.018-0.375-1.652-1.25t-0.634-1.982q0-1.429 1-2.429t2.429-1 2.429 1 1 2.429z"></path>'),
	   	 			'street-view' => array('keywords' => 'street-view ','viewbox' => '0 0 25 32', 'path' =>'<path d="M25.143 27.714q0 1.125-1.098 2.027t-2.929 1.446-4.018 0.821-4.527 0.277-4.527-0.277-4.018-0.821-2.929-1.446-1.098-2.027q0-0.875 0.589-1.58t1.625-1.188 2.107-0.795 2.339-0.527q0.464-0.089 0.857 0.188t0.464 0.741q0.089 0.464-0.188 0.857t-0.741 0.464q-1.036 0.179-1.893 0.42t-1.366 0.455-0.866 0.42-0.491 0.348-0.152 0.214q0.054 0.196 0.482 0.473t1.304 0.589 2.036 0.58 2.866 0.446 3.598 0.179 3.598-0.179 2.866-0.446 2.036-0.589 1.304-0.598 0.482-0.491q-0.018-0.071-0.152-0.196t-0.491-0.339-0.866-0.42-1.366-0.446-1.893-0.42q-0.464-0.071-0.741-0.464t-0.188-0.857q0.071-0.464 0.464-0.741t0.857-0.188q1.268 0.214 2.339 0.527t2.107 0.795 1.625 1.188 0.589 1.58zM18.286 11.714v6.857q0 0.464-0.339 0.804t-0.804 0.339h-1.143v6.857q0 0.464-0.339 0.804t-0.804 0.339h-4.571q-0.464 0-0.804-0.339t-0.339-0.804v-6.857h-1.143q-0.464 0-0.804-0.339t-0.339-0.804v-6.857q0-0.946 0.67-1.616t1.616-0.67h6.857q0.946 0 1.616 0.67t0.67 1.616zM16.571 4.857q0 1.661-1.17 2.83t-2.83 1.17-2.83-1.17-1.17-2.83 1.17-2.83 2.83-1.17 2.83 1.17 1.17 2.83z"></path>'),
	   	 			'phone_iphone' => array('keywords' => 'phone_iphone ','viewbox' => '0 0 32 32', 'path' =>'<path d="M21.313 24.667v-18.688h-12v18.688h12zM15.313 29.979q0.813 0 1.406-0.594t0.594-1.406-0.594-1.406-1.406-0.594-1.406 0.594-0.594 1.406 0.594 1.406 1.406 0.594zM20.688 1.979q1.375 0 2.344 1t0.969 2.375v22.625q0 1.375-0.969 2.375t-2.344 1h-10.688q-1.375 0-2.344-1t-0.969-2.375v-22.625q0-1.375 0.969-2.375t2.344-1h10.688z"></path>'),
	   	 			'location_gps' => array('keywords' => 'location_gps ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 30c-7.72 0-14-6.28-14-14s6.28-14 14-14 14 6.28 14 14c0 0.552 0.448 1 1 1s1-0.448 1-1c0-8.822-7.178-16-16-16s-16 7.178-16 16 7.178 16 16 16c0.552 0 1-0.448 1-1s-0.448-1-1-1zM16 24c-4.411 0-8-3.589-8-8s3.589-8 8-8 8 3.589 8 8c0 0.552 0.448 1 1 1s1-0.448 1-1c0-5.514-4.486-10-10-10s-10 4.486-10 10 4.486 10 10 10c0.552 0 1-0.448 1-1s-0.448-1-1-1zM31.425 22.091l-15-7c-0.381-0.177-0.832-0.098-1.13 0.199s-0.377 0.749-0.199 1.13l7 15c0.165 0.354 0.52 0.577 0.906 0.577 0.020 0 0.038-0 0.058-0.002 0.409-0.024 0.762-0.294 0.891-0.682l1.842-5.526 5.526-1.842c0.388-0.13 0.658-0.483 0.682-0.891s-0.205-0.791-0.576-0.963zM24.686 24.049c-0.299 0.099-0.532 0.334-0.633 0.633l-1.206 3.619-4.776-10.233 10.233 4.776-3.619 1.206z"></path>'),
	   	 			'flag-checkered' => array('keywords' => 'flag-checkered ','viewbox' => '0 0 33 32', 'path' =>'<path d="M14.857 18.143v-3.429q-3.232 0.286-6.857 2.089v3.304q3.661-1.714 6.857-1.964zM14.857 10.679v-3.518q-3.071 0.143-6.857 2.25v3.375q3.839-1.982 6.857-2.107zM29.714 18.946v-3.286q-4.196 2.071-6.857 1.268v-4q-0.357-0.107-0.696-0.268-0.089-0.054-0.589-0.304t-0.616-0.304-0.563-0.268-0.616-0.277-0.58-0.232-0.643-0.223-0.625-0.152-0.705-0.134-0.705-0.071-0.786-0.036q-0.411 0-0.875 0.054v3.964h0.339q1.821 0 3.438 0.518t3.527 1.464q0.339 0.161 0.696 0.268v3.357q0.75 0.304 1.625 0.304 2.143 0 5.232-1.643zM29.714 11.321v-3.375q-3.018 1.625-5.464 1.625-0.804 0-1.393-0.143v3.5q2.643 0.75 6.857-1.607zM5.714 4.857q0 0.625-0.313 1.143t-0.83 0.821v22.607q0 0.25-0.161 0.411t-0.411 0.161h-1.143q-0.25 0-0.411-0.161t-0.161-0.411v-22.607q-0.518-0.304-0.83-0.821t-0.313-1.143q0-0.946 0.67-1.616t1.616-0.67 1.616 0.67 0.67 1.616zM32 6v13.625q0 0.696-0.625 1.018-0.179 0.089-0.304 0.161-3.893 2.071-6.589 2.071-1.571 0-2.821-0.625l-0.5-0.25q-1.143-0.589-1.768-0.857t-1.625-0.518-2.036-0.25q-1.821 0-4.205 0.786t-4.080 1.821q-0.268 0.161-0.589 0.161-0.286 0-0.571-0.143-0.571-0.339-0.571-1v-13.25q0-0.625 0.554-0.982 0.625-0.375 1.402-0.759t2.036-0.929 2.723-0.884 2.768-0.339q2 0 3.732 0.554t3.732 1.536q0.679 0.339 1.589 0.339 2.179 0 5.536-2 0.393-0.214 0.554-0.304 0.554-0.286 1.107 0.036 0.554 0.357 0.554 0.982z"></path>'),
	   	 			'home' => array('keywords' => 'home ','viewbox' => '0 0 32 32', 'path' =>'<path d="M32 18.451l-16-12.42-16 12.42v-5.064l16-12.42 16 12.42zM28 18v12h-8v-8h-8v8h-8v-12l12-9z"></path>'),
	   	 			'middle_alignment' => array('keywords' => 'middle_alignment ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31 15h-1v-4.5c0-0.552-0.448-1-1-1h-11c-0.552 0-1 0.448-1 1v4.5h-2v-12c0-0.552-0.448-1-1-1h-11c-0.552 0-1 0.448-1 1v12h-1c-0.552 0-1 0.448-1 1s0.448 1 1 1h1v12c0 0.552 0.448 1 1 1h11c0.552 0 1-0.448 1-1v-12h2v4.5c0 0.552 0.448 1 1 1h11c0.552 0 1-0.448 1-1v-4.5h1c0.552 0 1-0.448 1-1s-0.448-1-1-1zM13 28h-9v-24h9v24zM28 20.5h-9v-9h9v9zM21 15.501c0.256 0 0.512-0.098 0.707-0.293l1-1c0.39-0.39 0.39-1.024 0-1.414s-1.024-0.39-1.414 0l-1 1c-0.39 0.39-0.39 1.024 0 1.414 0.195 0.196 0.451 0.293 0.707 0.293zM25.293 12.794l-4.999 4.999c-0.39 0.39-0.39 1.023 0 1.414 0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293l4.999-4.999c0.39-0.39 0.39-1.024 0-1.414s-1.024-0.39-1.414 0z"></path>'),
	   	 			'id_card' => array('keywords' => 'id_card ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 13v0 0h-11c-0.552 0-1 0.448-1 1s0.448 1 1 1v0h11c0.552 0 1-0.448 1-1s-0.448-1-1-1zM16 17v0 0h-11c-0.552 0-1 0.448-1 1s0.448 1 1 1v0h11c0.552 0 1-0.448 1-1s-0.448-1-1-1zM11.5 21v0 0h-6.5c-0.552 0-1 0.448-1 1s0.448 1 1 1v0h6.5c0.552 0 1-0.448 1-1s-0.448-1-1-1zM29 5h-26c-1.655 0-3 1.345-3 3v16c0 1.654 1.345 3 3 3h26c1.654 0 3-1.346 3-3v-16c0-1.655-1.346-3-3-3zM30 24c0 0.552-0.448 1-1 1h-26c-0.552 0-1-0.448-1-1v-16c0-0.552 0.448-1 1-1h26c0.552 0 1 0.448 1 1v16zM27 9h-4c-0.552 0-1 0.448-1 1v4c0 0.552 0.448 1 1 1h4c0.552 0 1-0.448 1-1v-4c0-0.552-0.448-1-1-1zM26 13h-2v-2h2v2z"></path>'),
	   	 			'hacksaw1' => array('keywords' => 'hacksaw1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M32.002 10.001c0-0.552-0.448-1-1-1h-23.997c-0.002 0-0.003-0.001-0.005-0.001h-6c-0.552 0-1 0.448-1 1v12c0 0.552 0.448 1 1 1h6c0.552 0 1-0.448 1-1v-0.965l0.637 0.491c0.182 0.14 0.397 0.208 0.61 0.208 0.297 0 0.591-0.131 0.788-0.383l1.139-1.453 1.463 1.128c0.435 0.335 1.059 0.258 1.398-0.175l1.139-1.453 1.463 1.128c0.435 0.335 1.059 0.258 1.398-0.175l1.139-1.453 1.462 1.128c0.434 0.335 1.059 0.258 1.398-0.175l1.139-1.453 1.462 1.128c0.435 0.335 1.059 0.258 1.398-0.175l1.14-1.453 1.462 1.128c0.435 0.335 1.059 0.258 1.398-0.175l1.752-2.235c0.143-0.183 0.209-0.401 0.209-0.617h0.007v-5.999zM6 21h-4v-10h4v10zM29.073 16.837l-1.462-1.129c-0.435-0.335-1.059-0.258-1.398 0.175l-1.14 1.454-1.462-1.128c-0.435-0.335-1.059-0.258-1.398 0.175l-1.14 1.453-1.462-1.128c-0.435-0.335-1.059-0.258-1.398 0.175l-1.139 1.453-1.463-1.128c-0.434-0.335-1.059-0.258-1.398 0.175l-1.139 1.453-1.463-1.128c-0.435-0.335-1.059-0.258-1.398 0.175l-1.139 1.453-1.072-0.827v-7.509h22v4.652l-0.928 1.185zM4 19c0.552 0 1-0.448 1-1v-4c0-0.552-0.448-1-1-1s-1 0.448-1 1v4c0 0.552 0.448 1 1 1z"></path>'),
	   	 			'inr' => array('keywords' => 'inr ','viewbox' => '0 0 16 32', 'path' =>'<path d="M16.036 8.679v1.821q0 0.25-0.161 0.411t-0.411 0.161h-3q-0.411 2.571-2.304 4.179t-4.929 1.964q2.982 3.179 8.196 9.571 0.25 0.286 0.071 0.607-0.143 0.321-0.518 0.321h-3.482q-0.286 0-0.446-0.214-5.464-6.554-8.893-10.196-0.161-0.161-0.161-0.393v-2.268q0-0.232 0.17-0.402t0.402-0.17h2q2.357 0 3.795-0.768t1.83-2.232h-7.625q-0.25 0-0.411-0.161t-0.161-0.411v-1.821q0-0.25 0.161-0.411t0.411-0.161h7.375q-1.018-2.018-4.786-2.018h-2.589q-0.232 0-0.402-0.17t-0.17-0.402v-2.375q0-0.25 0.161-0.411t0.411-0.161h14.857q0.25 0 0.411 0.161t0.161 0.411v1.821q0 0.25-0.161 0.411t-0.411 0.161h-4.161q0.839 1.089 1.143 2.571h3.054q0.25 0 0.411 0.161t0.161 0.411z"></path>'),
	   	 			'ringing_bell' => array('keywords' => 'ringing_bell ','viewbox' => '0 0 32 32', 'path' =>'<path d="M22.5 22c-0.552 0-1-0.448-1-1v-6.99c0-0.004 0.001-0.007 0.001-0.010 0-2.967-2.167-5.431-5-5.91v-1.091c0-1.655-1.345-3-3-3s-3 1.345-3 3v1.091c-2.824 0.477-4.984 2.927-4.998 5.88-0 0.009-0.003 0.019-0.003 0.029v7c0 0.001 0 0.002 0 0.003-0.002 0.549-0.448 0.996-0.997 0.997-0.001 0-0.002-0-0.003-0-1.655 0-3 1.346-3 3s1.345 3 3 3h5.001c0 0 0 0 0 0 0 2.206 1.794 4 4 4s4-1.794 4-4c0 0 0 0 0-0h4.994c0.002 0 0.003 0 0.005 0 1.654 0 3-1.346 3-3s-1.346-3-3-3zM15.501 28c0 1.102-0.897 2-2 2s-2-0.898-2-2c0 0 0 0 0-0l4 0c0 0 0 0 0 0zM22.503 26c-0.001 0-0.002-0-0.003-0h-18c-0.551 0-1-0.448-1-1s0.447-0.998 0.998-1c0.001 0 0.002 0 0.003 0 1.654 0 3-1.346 3-3 0-0.002-0-0.003-0-0.005v-6.98c0-0.005 0.002-0.010 0.002-0.014 0-2.205 1.794-4 4-4 0.552 0 1-0.448 1-1v-2c0-0.552 0.448-1 1-1s1 0.448 1 1v2c0 0.552 0.448 1 1 1 2.204 0 3.996 1.791 4 3.993 0 0.002-0 0.005-0 0.007v7c0 1.654 1.346 3 3 3 0.552 0 1 0.448 1 1 0 0.551-0.448 0.998-0.997 1zM19.5 2h1.919l-2.7 3.375c-0.24 0.301-0.287 0.712-0.12 1.058s0.517 0.567 0.901 0.567h4c0.552 0 1-0.448 1-1s-0.448-1-1-1h-1.919l2.7-3.375c0.24-0.301 0.287-0.712 0.12-1.058s-0.517-0.567-0.901-0.567h-4c-0.552 0-1 0.448-1 1s0.448 1 1 1zM29.5 4h-1l1.8-2.4c0.227-0.303 0.264-0.709 0.095-1.048s-0.515-0.552-0.895-0.552h-3c-0.552 0-1 0.448-1 1s0.448 1 1 1h1l-1.8 2.4c-0.227 0.303-0.264 0.708-0.095 1.048s0.515 0.553 0.895 0.553h3c0.552 0 1-0.448 1-1s-0.448-1-1-1z"></path>'),
	   	 			'basket' => array('keywords' => 'basket ','viewbox' => '0 0 42 32', 'path' =>'<path d="M39.5 14h-37c-0.154 0-0.3 0.071-0.395 0.192s-0.128 0.279-0.091 0.429l4.006 16.017c0.096 0.337 0.391 1.362 1.48 1.362h27c1.093 0 1.385-1.026 1.485-1.379l4-16c0.037-0.149 0.004-0.308-0.091-0.429s-0.24-0.192-0.394-0.192zM35.020 30.363c-0.182 0.637-0.37 0.637-0.52 0.637h-27c-0.149 0-0.336 0-0.515-0.621l-3.844-15.379h35.719l-3.84 15.363zM18.5 28c0.276 0 0.5-0.224 0.5-0.5v-9c0-0.276-0.224-0.5-0.5-0.5s-0.5 0.224-0.5 0.5v9c0 0.276 0.224 0.5 0.5 0.5zM11.499 28c0.019 0 0.037-0.001 0.057-0.003 0.274-0.031 0.472-0.278 0.441-0.552l-1-9c-0.030-0.275-0.27-0.469-0.553-0.442-0.274 0.031-0.472 0.278-0.441 0.552l1 9c0.028 0.256 0.245 0.445 0.496 0.445zM24.5 28c0.276 0 0.5-0.224 0.5-0.5v-9c0-0.276-0.224-0.5-0.5-0.5s-0.5 0.224-0.5 0.5v9c0 0.276 0.224 0.5 0.5 0.5zM30.444 27.997c0.020 0.002 0.038 0.003 0.057 0.003 0.251 0 0.468-0.189 0.496-0.445l1-9c0.030-0.274-0.167-0.521-0.441-0.552-0.287-0.028-0.522 0.167-0.553 0.442l-1 9c-0.030 0.274 0.167 0.521 0.441 0.552zM34.5 12c0.116 0 0.232-0.040 0.327-0.122 0.209-0.181 0.231-0.496 0.051-0.705l-9.5-11c-0.181-0.21-0.496-0.231-0.705-0.052-0.209 0.181-0.231 0.496-0.051 0.705l9.5 11c0.099 0.115 0.238 0.174 0.378 0.174zM17.816 0.113c-0.213-0.173-0.528-0.144-0.703 0.071l-9 11c-0.175 0.213-0.144 0.528 0.070 0.704 0.093 0.075 0.206 0.112 0.317 0.112 0.145 0 0.288-0.062 0.387-0.184l9-11c0.175-0.213 0.143-0.528-0.071-0.703zM41.5 10h-4c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h4c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5zM13.5 11h16c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-16c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5zM0.5 11h5c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-5c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5z"></path>'),
	   	 			'hour-glass' => array('keywords' => 'hour-glass ','viewbox' => '0 0 32 32', 'path' =>'<path d="M22.781 16c4.305-2.729 7.219-7.975 7.219-14 0-0.677-0.037-1.345-0.109-2h-27.783c-0.072 0.655-0.109 1.323-0.109 2 0 6.025 2.914 11.271 7.219 14-4.305 2.729-7.219 7.975-7.219 14 0 0.677 0.037 1.345 0.109 2h27.783c0.072-0.655 0.109-1.323 0.109-2 0-6.025-2.914-11.271-7.219-14zM5 30c0-5.841 2.505-10.794 7-12.428v-3.143c-4.495-1.634-7-6.587-7-12.428v0h22c0 5.841-2.505 10.794-7 12.428v3.143c4.495 1.634 7 6.587 7 12.428h-22zM19.363 20.925c-2.239-1.27-2.363-2.918-2.363-3.918v-2.007c0-1 0.119-2.654 2.367-3.927 1.203-0.699 2.244-1.761 3.033-3.073h-12.799c0.79 1.313 1.832 2.376 3.036 3.075 2.239 1.27 2.363 2.918 2.363 3.918v2.007c0 1-0.119 2.654-2.367 3.927-2.269 1.318-3.961 3.928-4.472 7.073h15.677c-0.511-3.147-2.204-5.758-4.475-7.075z"></path>'),
	   	 			'event_seat' => array('keywords' => 'event_seat ','viewbox' => '0 0 32 32', 'path' =>'<path d="M22.688 17.979h-13.375v-10.625q0-1.063 0.813-1.875t1.875-0.813h8q1.063 0 1.875 0.813t0.813 1.875v10.625zM2.688 13.979h4v4h-4v-4zM25.313 13.979h4v4h-4v-4zM5.313 28.667v-8h21.375v8h-4v-4h-13.375v4h-4z"></path>'),
	   	 			'key' => array('keywords' => 'key ','viewbox' => '0 0 32 32', 'path' =>'<path d="M22 0c-5.523 0-10 4.477-10 10 0 0.626 0.058 1.238 0.168 1.832l-12.168 12.168v6c0 1.105 0.895 2 2 2h2v-2h4v-4h4v-4h4l2.595-2.595c1.063 0.385 2.209 0.595 3.405 0.595 5.523 0 10-4.477 10-10s-4.477-10-10-10zM24.996 10.004c-1.657 0-3-1.343-3-3s1.343-3 3-3 3 1.343 3 3-1.343 3-3 3z"></path>'),
	   	 			'weather_7' => array('keywords' => 'weather_7 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25 22h-2c-0.552 0-1-0.448-1-1s0.448-1 1-1h2c2.757 0 5-2.243 5-5s-2.243-5-5-5c-0.534 0-1.068 0.088-1.587 0.261-0.466 0.155-0.977-0.050-1.204-0.486-1.213-2.329-3.592-3.775-6.209-3.775-3.352 0-6.242 2.387-6.871 5.677-0.058 0.305-0.254 0.565-0.531 0.704s-0.603 0.143-0.882 0.011c-0.545-0.26-1.123-0.392-1.716-0.392-2.205 0-4 1.794-4 4s1.795 4 4 4h3c0.552 0 1 0.448 1 1s-0.448 1-1 1h-3c-3.308 0-6-2.692-6-6s2.692-6 6-6c0.495 0 0.981 0.060 1.455 0.181 1.198-3.642 4.626-6.181 8.545-6.181 3.094 0 5.928 1.571 7.576 4.149 0.47-0.098 0.947-0.149 1.424-0.149 3.86 0 7 3.14 7 7s-3.14 7-7 7zM14.999 28c-0.191 0-0.383-0.054-0.553-0.168-0.46-0.306-0.584-0.927-0.277-1.387l2.964-4.445h-4.132c-0.369 0-0.708-0.203-0.882-0.529s-0.155-0.72 0.050-1.026l4-6c0.306-0.46 0.927-0.584 1.387-0.277s0.584 0.927 0.277 1.386l-2.963 4.446h4.131c0.369 0 0.708 0.203 0.882 0.529s0.155 0.72-0.050 1.026l-4 6c-0.193 0.289-0.509 0.445-0.833 0.445z"></path>'),
	   	 			'border_vertical' => array('keywords' => 'border_vertical ','viewbox' => '0 0 32 32', 'path' =>'<path d="M20 17.979v-2.625h2.688v2.625h-2.688zM20 28.667v-2.688h2.688v2.688h-2.688zM20 7.354v-2.688h2.688v2.688h-2.688zM25.313 12.667v-2.688h2.688v2.688h-2.688zM25.313 4.667h2.688v2.688h-2.688v-2.688zM25.313 17.979v-2.625h2.688v2.625h-2.688zM25.313 28.667v-2.688h2.688v2.688h-2.688zM14.688 28.667v-24h2.625v24h-2.625zM25.313 23.354v-2.688h2.688v2.688h-2.688zM9.313 7.354v-2.688h2.688v2.688h-2.688zM4 23.354v-2.688h2.688v2.688h-2.688zM4 28.667v-2.688h2.688v2.688h-2.688zM4 17.979v-2.625h2.688v2.625h-2.688zM9.313 17.979v-2.625h2.688v2.625h-2.688zM9.313 28.667v-2.688h2.688v2.688h-2.688zM4 7.354v-2.688h2.688v2.688h-2.688zM4 12.667v-2.688h2.688v2.688h-2.688z"></path>'),
	   	 			'building-o' => array('keywords' => 'building-o ','viewbox' => '0 0 25 32', 'path' =>'<path d="M6.857 23.714v1.143q0 0.232-0.17 0.402t-0.402 0.17h-1.143q-0.232 0-0.402-0.17t-0.17-0.402v-1.143q0-0.232 0.17-0.402t0.402-0.17h1.143q0.232 0 0.402 0.17t0.17 0.402zM6.857 19.143v1.143q0 0.232-0.17 0.402t-0.402 0.17h-1.143q-0.232 0-0.402-0.17t-0.17-0.402v-1.143q0-0.232 0.17-0.402t0.402-0.17h1.143q0.232 0 0.402 0.17t0.17 0.402zM11.429 19.143v1.143q0 0.232-0.17 0.402t-0.402 0.17h-1.143q-0.232 0-0.402-0.17t-0.17-0.402v-1.143q0-0.232 0.17-0.402t0.402-0.17h1.143q0.232 0 0.402 0.17t0.17 0.402zM6.857 14.571v1.143q0 0.232-0.17 0.402t-0.402 0.17h-1.143q-0.232 0-0.402-0.17t-0.17-0.402v-1.143q0-0.232 0.17-0.402t0.402-0.17h1.143q0.232 0 0.402 0.17t0.17 0.402zM20.571 23.714v1.143q0 0.232-0.17 0.402t-0.402 0.17h-1.143q-0.232 0-0.402-0.17t-0.17-0.402v-1.143q0-0.232 0.17-0.402t0.402-0.17h1.143q0.232 0 0.402 0.17t0.17 0.402zM16 19.143v1.143q0 0.232-0.17 0.402t-0.402 0.17h-1.143q-0.232 0-0.402-0.17t-0.17-0.402v-1.143q0-0.232 0.17-0.402t0.402-0.17h1.143q0.232 0 0.402 0.17t0.17 0.402zM11.429 14.571v1.143q0 0.232-0.17 0.402t-0.402 0.17h-1.143q-0.232 0-0.402-0.17t-0.17-0.402v-1.143q0-0.232 0.17-0.402t0.402-0.17h1.143q0.232 0 0.402 0.17t0.17 0.402zM6.857 10v1.143q0 0.232-0.17 0.402t-0.402 0.17h-1.143q-0.232 0-0.402-0.17t-0.17-0.402v-1.143q0-0.232 0.17-0.402t0.402-0.17h1.143q0.232 0 0.402 0.17t0.17 0.402zM20.571 19.143v1.143q0 0.232-0.17 0.402t-0.402 0.17h-1.143q-0.232 0-0.402-0.17t-0.17-0.402v-1.143q0-0.232 0.17-0.402t0.402-0.17h1.143q0.232 0 0.402 0.17t0.17 0.402zM16 14.571v1.143q0 0.232-0.17 0.402t-0.402 0.17h-1.143q-0.232 0-0.402-0.17t-0.17-0.402v-1.143q0-0.232 0.17-0.402t0.402-0.17h1.143q0.232 0 0.402 0.17t0.17 0.402zM11.429 10v1.143q0 0.232-0.17 0.402t-0.402 0.17h-1.143q-0.232 0-0.402-0.17t-0.17-0.402v-1.143q0-0.232 0.17-0.402t0.402-0.17h1.143q0.232 0 0.402 0.17t0.17 0.402zM6.857 5.429v1.143q0 0.232-0.17 0.402t-0.402 0.17h-1.143q-0.232 0-0.402-0.17t-0.17-0.402v-1.143q0-0.232 0.17-0.402t0.402-0.17h1.143q0.232 0 0.402 0.17t0.17 0.402zM20.571 14.571v1.143q0 0.232-0.17 0.402t-0.402 0.17h-1.143q-0.232 0-0.402-0.17t-0.17-0.402v-1.143q0-0.232 0.17-0.402t0.402-0.17h1.143q0.232 0 0.402 0.17t0.17 0.402zM16 10v1.143q0 0.232-0.17 0.402t-0.402 0.17h-1.143q-0.232 0-0.402-0.17t-0.17-0.402v-1.143q0-0.232 0.17-0.402t0.402-0.17h1.143q0.232 0 0.402 0.17t0.17 0.402zM11.429 5.429v1.143q0 0.232-0.17 0.402t-0.402 0.17h-1.143q-0.232 0-0.402-0.17t-0.17-0.402v-1.143q0-0.232 0.17-0.402t0.402-0.17h1.143q0.232 0 0.402 0.17t0.17 0.402zM20.571 10v1.143q0 0.232-0.17 0.402t-0.402 0.17h-1.143q-0.232 0-0.402-0.17t-0.17-0.402v-1.143q0-0.232 0.17-0.402t0.402-0.17h1.143q0.232 0 0.402 0.17t0.17 0.402zM16 5.429v1.143q0 0.232-0.17 0.402t-0.402 0.17h-1.143q-0.232 0-0.402-0.17t-0.17-0.402v-1.143q0-0.232 0.17-0.402t0.402-0.17h1.143q0.232 0 0.402 0.17t0.17 0.402zM20.571 5.429v1.143q0 0.232-0.17 0.402t-0.402 0.17h-1.143q-0.232 0-0.402-0.17t-0.17-0.402v-1.143q0-0.232 0.17-0.402t0.402-0.17h1.143q0.232 0 0.402 0.17t0.17 0.402zM16 30h6.857v-27.429h-20.571v27.429h6.857v-4q0-0.232 0.17-0.402t0.402-0.17h5.714q0.232 0 0.402 0.17t0.17 0.402v4zM25.143 1.429v29.714q0 0.464-0.339 0.804t-0.804 0.339h-22.857q-0.464 0-0.804-0.339t-0.339-0.804v-29.714q0-0.464 0.339-0.804t0.804-0.339h22.857q0.464 0 0.804 0.339t0.339 0.804z"></path>'),
	   	 			'compass2' => array('keywords' => 'compass2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 0c-8.837 0-16 7.163-16 16s7.163 16 16 16 16-7.163 16-16-7.163-16-16-16zM3 16c0-7.18 5.82-13 13-13 3.424 0 6.538 1.325 8.86 3.488l-12.86 5.512-5.512 12.86c-2.164-2.322-3.488-5.436-3.488-8.86zM18.286 18.286l-8.003 3.43 3.43-8.003 4.573 4.573zM16 29c-3.424 0-6.539-1.325-8.86-3.488l12.86-5.512 5.512-12.86c2.164 2.322 3.488 5.436 3.488 8.86 0 7.18-5.82 13-13 13z"></path>'),
	   	 			'alarm2' => array('keywords' => 'alarm2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 4c-7.732 0-14 6.268-14 14s6.268 14 14 14 14-6.268 14-14-6.268-14-14-14zM16 29.25c-6.213 0-11.25-5.037-11.25-11.25s5.037-11.25 11.25-11.25c6.213 0 11.25 5.037 11.25 11.25s-5.037 11.25-11.25 11.25zM29.212 8.974c0.501-0.877 0.788-1.892 0.788-2.974 0-3.314-2.686-6-6-6-1.932 0-3.65 0.913-4.747 2.331 4.121 0.851 7.663 3.287 9.96 6.643v0zM12.748 2.331c-1.097-1.418-2.816-2.331-4.748-2.331-3.314 0-6 2.686-6 6 0 1.082 0.287 2.098 0.788 2.974 2.297-3.356 5.838-5.792 9.96-6.643zM16 18v-8h-2v10h8v-2z"></path>'),
	   	 			'line_style' => array('keywords' => 'line_style ','viewbox' => '0 0 32 32', 'path' =>'<path d="M4 5.979h24v5.375h-24v-5.375zM17.313 16.667v-2.688h10.688v2.688h-10.688zM4 16.667v-2.688h10.688v2.688h-10.688zM25.313 27.354v-2.688h2.688v2.688h-2.688zM20 27.354v-2.688h2.688v2.688h-2.688zM14.688 27.354v-2.688h2.625v2.688h-2.625zM9.313 27.354v-2.688h2.688v2.688h-2.688zM4 27.354v-2.688h2.688v2.688h-2.688zM21.313 21.979v-2.625h6.688v2.625h-6.688zM12.688 21.979v-2.625h6.625v2.625h-6.625zM4 21.979v-2.625h6.688v2.625h-6.688z"></path>'),
	   	 			'accessibility' => array('keywords' => 'accessibility ','viewbox' => '0 0 32 32', 'path' =>'<path d="M28 12.667h-8v17.313h-2.688v-8h-2.625v8h-2.688v-17.313h-8v-2.688h24v2.688zM16 3.354q1.063 0 1.875 0.781t0.813 1.844-0.813 1.875-1.875 0.812-1.875-0.813-0.813-1.875 0.813-1.844 1.875-0.781z"></path>'),
	   	 			'theaters' => array('keywords' => 'theaters ','viewbox' => '0 0 32 32', 'path' =>'<path d="M24 12.667v-2.688h-2.688v2.688h2.688zM24 17.979v-2.625h-2.688v2.625h2.688zM24 23.354v-2.688h-2.688v2.688h2.688zM10.688 12.667v-2.688h-2.688v2.688h2.688zM10.688 17.979v-2.625h-2.688v2.625h2.688zM10.688 23.354v-2.688h-2.688v2.688h2.688zM24 4.667h2.688v24h-2.688v-2.688h-2.688v2.688h-10.625v-2.688h-2.688v2.688h-2.688v-24h2.688v2.688h2.688v-2.688h10.625v2.688h2.688v-2.688z"></path>'),
	   	 			'phonelink_ring' => array('keywords' => 'phonelink_ring ','viewbox' => '0 0 32 32', 'path' =>'<path d="M18.688 27.354v-21.375h-13.375v21.375h13.375zM18.688 1.979q1.063 0 1.844 0.813t0.781 1.875v24q0 1.063-0.781 1.875t-1.844 0.813h-13.375q-1.063 0-1.844-0.813t-0.781-1.875v-24q0-1.063 0.781-1.875t1.844-0.813h13.375zM24 13.729q1.25 1.313 1.25 2.938t-1.25 2.813l-1.313-1.375q1.125-1.563 0-3.063zM26.813 10.917q2.5 2.375 2.5 5.719t-2.5 5.656l-1.375-1.375q1.813-1.938 1.813-4.406t-1.813-4.219z"></path>'),
	   	 			'gramophone' => array('keywords' => 'gramophone ','viewbox' => '0 0 32 32', 'path' =>'<path d="M30 27v-5c0-0.552-0.448-1-1-1h-13.515c0.613-0.456 1.015-1.18 1.015-2 0-1.378-1.121-2.5-2.5-2.5-1.023 0-1.901 0.619-2.288 1.5h-1.712c-1.587 0-2.928-1.064-3.356-2.514 0.484-0.070 0.856-0.482 0.856-0.986s-0.372-0.915-0.856-0.986c0.335-1.137 1.231-2.036 2.369-2.37 0.065 0.444 0.418 0.799 0.876 0.85l4.501 0.5c0.037 0.004 0.073 0.006 0.11 0.006v0c3.583 0 8.332 3.669 10.677 7.068 0.19 0.276 0.5 0.432 0.823 0.432 0.099 0 0.199-0.015 0.298-0.045 0.418-0.131 0.702-0.517 0.702-0.955v-18c0-0.438-0.284-0.825-0.702-0.955s-0.872 0.027-1.121 0.387c-2.345 3.399-7.093 7.068-10.677 7.068-0.020 0-0.038 0.005-0.058 0.006-0.017 0.001-0.034-0.002-0.052 0l-4.501 0.5c-0.506 0.056-0.889 0.484-0.889 0.994v0.095c-2.231 0.412-3.991 2.173-4.404 4.405h-0.596c0-0.552-0.447-1-1-1s-1 0.448-1 1c-0.552 0-1 0.448-1 1s0.448 1 1 1v1c0 3.643 1.069 7.277 3 10.281v0.219c-0.552 0-1 0.448-1 1v3c0 0.552 0.448 1 1 1h25c0.552 0 1-0.448 1-1v-3c0-0.552-0.448-1-1-1zM25 3.805v12.388c-2.614-2.776-6.262-5.186-9.499-5.619v-1.152c3.237-0.432 6.885-2.843 9.499-5.619zM11 9.895l2.501-0.278v0.765l-2.501-0.277v-0.21zM28 27h-21v-0.496c0 0 0-0 0-0.001v-3.503h21v4zM14 18.5c0.276 0 0.5 0.224 0.5 0.5s-0.224 0.5-0.5 0.5c-0.275 0-0.5-0.224-0.5-0.5s0.225-0.5 0.5-0.5zM4 16.5v-1h0.596c0.472 2.556 2.713 4.5 5.404 4.5h1.712c0.176 0.401 0.457 0.741 0.803 1h-6.516c-0.552 0-1 0.448-1 1v0.274c-0.566-1.587-1-3.532-1-5.774zM29 30h-23v-1h23v1z"></path>'),
	   	 			'border_left' => array('keywords' => 'border_left ','viewbox' => '0 0 32 32', 'path' =>'<path d="M20 7.354v-2.688h2.688v2.688h-2.688zM20 17.979v-2.625h2.688v2.625h-2.688zM25.313 28.667v-2.688h2.688v2.688h-2.688zM25.313 17.979v-2.625h2.688v2.625h-2.688zM25.313 4.667h2.688v2.688h-2.688v-2.688zM25.313 23.354v-2.688h2.688v2.688h-2.688zM20 28.667v-2.688h2.688v2.688h-2.688zM25.313 12.667v-2.688h2.688v2.688h-2.688zM4 28.667v-24h2.688v24h-2.688zM9.313 17.979v-2.625h2.688v2.625h-2.688zM9.313 7.354v-2.688h2.688v2.688h-2.688zM9.313 28.667v-2.688h2.688v2.688h-2.688zM14.688 17.979v-2.625h2.625v2.625h-2.625zM14.688 12.667v-2.688h2.625v2.688h-2.625zM14.688 7.354v-2.688h2.625v2.688h-2.625zM14.688 23.354v-2.688h2.625v2.688h-2.625zM14.688 28.667v-2.688h2.625v2.688h-2.625z"></path>'),
	   	 			'domain' => array('keywords' => 'domain ','viewbox' => '0 0 32 32', 'path' =>'<path d="M24 20.667v2.688h-2.688v-2.688h2.688zM24 15.354v2.625h-2.688v-2.625h2.688zM26.688 25.979v-13.313h-10.688v2.688h2.688v2.625h-2.688v2.688h2.688v2.688h-2.688v2.625h10.688zM13.313 9.979v-2.625h-2.625v2.625h2.625zM13.313 15.354v-2.688h-2.625v2.688h2.625zM13.313 20.667v-2.688h-2.625v2.688h2.625zM13.313 25.979v-2.625h-2.625v2.625h2.625zM8 9.979v-2.625h-2.688v2.625h2.688zM8 15.354v-2.688h-2.688v2.688h2.688zM8 20.667v-2.688h-2.688v2.688h2.688zM8 25.979v-2.625h-2.688v2.625h2.688zM16 9.979h13.313v18.688h-26.625v-24h13.313v5.313z"></path>'),
	   	 			'snow_2' => array('keywords' => 'snow_2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M28.986 22.126l-3.364-1.869 2.665-0.799c0.529-0.159 0.829-0.716 0.671-1.245s-0.716-0.829-1.245-0.671l-4.531 1.36-2.682-1.49v-2.822l2.682-1.49 4.531 1.359c0.096 0.028 0.192 0.042 0.288 0.042 0.43 0 0.827-0.28 0.957-0.713 0.159-0.529-0.142-1.086-0.671-1.245l-2.665-0.8 3.364-1.868c0.483-0.268 0.657-0.877 0.388-1.36-0.267-0.483-0.877-0.657-1.36-0.389l-3.369 1.872 0.813-2.71c0.159-0.529-0.142-1.087-0.671-1.245-0.528-0.159-1.086 0.141-1.245 0.67l-1.404 4.677-2.632 1.463-2.507-1.432v-4.006l3.707-3.707c0.39-0.39 0.39-1.024 0-1.414s-1.023-0.391-1.414 0l-2.293 2.293v-3.587c0-0.552-0.448-1-1-1s-1 0.448-1 1v3.586l-2.293-2.293c-0.39-0.391-1.024-0.391-1.414 0s-0.39 1.024 0 1.414l3.707 3.707v4.006l-2.507 1.432-2.632-1.463-1.403-4.677c-0.159-0.529-0.716-0.83-1.245-0.67s-0.83 0.716-0.671 1.245l0.813 2.71-3.369-1.872c-0.483-0.269-1.092-0.094-1.36 0.389s-0.094 1.091 0.388 1.36l3.364 1.869-2.664 0.8c-0.53 0.159-0.829 0.716-0.671 1.245 0.131 0.434 0.528 0.713 0.958 0.713 0.095 0 0.192-0.014 0.287-0.043l4.531-1.359 2.681 1.49v2.822l-2.682 1.49-4.531-1.36c-0.528-0.158-1.086 0.142-1.245 0.671s0.142 1.086 0.671 1.245l2.664 0.799-3.364 1.869c-0.482 0.268-0.656 0.877-0.388 1.36 0.183 0.329 0.523 0.515 0.875 0.515 0.164 0 0.331-0.040 0.485-0.126l3.369-1.872-0.813 2.71c-0.159 0.529 0.141 1.086 0.671 1.245 0.096 0.029 0.192 0.042 0.287 0.042 0.43 0 0.827-0.279 0.958-0.713l1.403-4.677 2.632-1.462 2.507 1.433v4.006l-3.707 3.707c-0.39 0.39-0.39 1.023 0 1.414 0.195 0.195 0.451 0.293 0.707 0.293s0.511-0.098 0.707-0.293l2.293-2.293v3.586c0 0.552 0.448 1 1 1s1-0.448 1-1v-3.586l2.293 2.293c0.196 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293c0.39-0.39 0.39-1.023 0-1.414l-3.707-3.707v-4.006l2.507-1.432 2.632 1.462 1.404 4.677c0.13 0.433 0.527 0.712 0.957 0.712 0.095 0 0.192-0.014 0.288-0.042 0.529-0.159 0.829-0.716 0.671-1.245l-0.813-2.71 3.369 1.872c0.154 0.086 0.321 0.126 0.485 0.126 0.352 0 0.692-0.186 0.875-0.515 0.268-0.483 0.095-1.091-0.388-1.36zM18.5 17.42l-2.5 1.428-2.5-1.428v-2.84l2.5-1.428 2.5 1.428v2.84z"></path>'),
	   	 			'three_columns' => array('keywords' => 'three_columns ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31 0h-30c-0.552 0-1 0.448-1 1v30c0 0.552 0.448 1 1 1h30c0.552 0 1-0.448 1-1v-30c0-0.552-0.448-1-1-1zM2 2h8v28h-8v-28zM12 2h8v28h-8v-28zM30 30h-8v-28h8v28z"></path>'),
	   	 			'power_input' => array('keywords' => 'power_input ','viewbox' => '0 0 32 32', 'path' =>'<path d="M21.313 20.667v-2.688h6.688v2.688h-6.688zM12 20.667v-2.688h6.688v2.688h-6.688zM2.688 20.667v-2.688h6.625v2.688h-6.625zM2.688 12.667h25.313v2.688h-25.313v-2.688z"></path>'),
	   	 			'search2' => array('keywords' => 'search2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M12.688 19.354q2.5 0 4.25-1.75t1.75-4.25-1.75-4.25-4.25-1.75-4.25 1.75-1.75 4.25 1.75 4.25 4.25 1.75zM20.688 19.354l6.625 6.625-2 2-6.625-6.625v-1.063l-0.375-0.375q-2.375 2.063-5.625 2.063-3.625 0-6.156-2.5t-2.531-6.125 2.531-6.156 6.156-2.531 6.125 2.531 2.5 6.156q0 3.25-2.063 5.625l0.375 0.375h1.063z"></path>'),
	   	 			'volume1_middle' => array('keywords' => 'volume1_middle ','viewbox' => '0 0 32 32', 'path' =>'<path d="M21.069 0.354l-0.21-0.107c-0.864-0.441-2.055-0.278-2.771 0.38l-9.113 8.373h-4.473c-1.655 0-3.001 1.345-3.001 3v8c0 1.654 1.346 3 3.001 3h4.473l9.113 8.372c0.446 0.41 1.075 0.628 1.695 0.628 0.376 0 0.749-0.080 1.075-0.247l0.211-0.108c0.822-0.419 1.441-1.438 1.441-2.369v-26.554c0-0.931-0.62-1.95-1.441-2.369zM3.501 20v-8c0-0.552 0.449-1 1.001-1h4.002v10h-4.002c-0.551 0-1-0.448-1-1zM20.509 29.277c0 0.183-0.193 0.508-0.349 0.587l-0.212 0.108c-0.12 0.061-0.405 0.021-0.506-0.072l-8.938-8.211v-11.377l8.938-8.211c0.102-0.093 0.386-0.133 0.506-0.072l0.212 0.107c0.156 0.080 0.349 0.404 0.349 0.587v26.554zM27.253 7.329c-0.372-0.409-1.004-0.441-1.413-0.071s-0.441 1.003-0.070 1.413c3.66 4.041 3.66 10.617 0 14.658-0.37 0.409-0.34 1.042 0.070 1.413 0.192 0.174 0.431 0.259 0.671 0.259 0.273 0 0.544-0.11 0.742-0.328 4.329-4.782 4.329-12.561 0-17.343zM25.23 10.305c-0.385-0.398-1.018-0.408-1.415-0.025-0.397 0.384-0.408 1.017-0.025 1.414 2.293 2.374 2.293 6.237 0 8.611-0.384 0.398-0.372 1.030 0.025 1.414 0.195 0.188 0.445 0.28 0.695 0.28 0.262 0 0.523-0.102 0.72-0.305 3.032-3.141 3.032-8.25 0-11.39z"></path>'),
	   	 			'arrow-up2' => array('keywords' => 'arrow-up2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M27.414 12.586l-10-10c-0.781-0.781-2.047-0.781-2.828 0l-10 10c-0.781 0.781-0.781 2.047 0 2.828s2.047 0.781 2.828 0l6.586-6.586v19.172c0 1.105 0.895 2 2 2s2-0.895 2-2v-19.172l6.586 6.586c0.39 0.39 0.902 0.586 1.414 0.586s1.024-0.195 1.414-0.586c0.781-0.781 0.781-2.047 0-2.828z"></path>'),
	   	 			'rotate_90_degrees_ccw' => array('keywords' => 'rotate_90_degrees_ccw ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25.813 9.542q3.5 3.5 3.5 8.469t-3.5 8.469q-3.438 3.5-8.5 3.5-3.063 0-5.75-1.5l2-1.938q1.688 0.813 3.75 0.813 3.875 0 6.625-2.75 2.688-2.688 2.688-6.563t-2.688-6.625q-2.75-2.75-6.625-2.75v4.313l-5.625-5.625 5.625-5.688v4.313q5.063 0 8.5 3.563zM4.938 17.854l4.875 4.875 4.875-4.875-4.875-4.875zM9.813 9.229l8.625 8.625-8.625 8.625-8.688-8.625z"></path>'),
	   	 			'newspaper-o' => array('keywords' => 'newspaper-o ','viewbox' => '0 0 37 32', 'path' =>'<path d="M18.286 9.429h-6.857v6.857h6.857v-6.857zM20.571 20.857v2.286h-11.429v-2.286h11.429zM20.571 7.143v11.429h-11.429v-11.429h11.429zM32 20.857v2.286h-9.143v-2.286h9.143zM32 16.286v2.286h-9.143v-2.286h9.143zM32 11.714v2.286h-9.143v-2.286h9.143zM32 7.143v2.286h-9.143v-2.286h9.143zM4.571 24.286v-17.143h-2.286v17.143q0 0.464 0.339 0.804t0.804 0.339 0.804-0.339 0.339-0.804zM34.286 24.286v-19.429h-27.429v19.429q0 0.589-0.196 1.143h26.482q0.464 0 0.804-0.339t0.339-0.804zM36.571 2.571v21.714q0 1.429-1 2.429t-2.429 1h-29.714q-1.429 0-2.429-1t-1-2.429v-19.429h4.571v-2.286h32z"></path>'),
	   	 			'camer_hd_symbol1' => array('keywords' => 'camer_hd_symbol1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M17 16.5h-10c-1.655 0-3 1.346-3 3s1.345 3 3 3 3-1.346 3-3c0-0.351-0.063-0.686-0.175-1h4.35c-0.111 0.314-0.175 0.649-0.175 1 0 1.654 1.345 3 3 3s3-1.346 3-3-1.346-3-3-3zM8 19.5c0 0.552-0.449 1-1 1s-1-0.448-1-1 0.449-1 1-1 1 0.448 1 1zM17 20.5c-0.552 0-1-0.448-1-1s0.448-1 1-1c0.552 0 1 0.448 1 1s-0.448 1-1 1zM31.526 12.649c-0.294-0.182-0.663-0.199-0.973-0.044l-6.552 3.277v-1.382c0-1.655-1.346-3-3-3h-4.001v-3.5h1v0.5c0 0.552 0.448 1 1 1h6c0.552 0 1-0.448 1-1v-3c0-0.552-0.448-1-1-1h-6c-0.552 0-1 0.448-1 1v0.5h-2c-0.552 0-1 0.448-1 1v4.5h-2v-3c0-0.552-0.448-1-1-1h-11c-0.552 0-1 0.448-1 1s0.448 1 1 1h10v2h-8c-1.655 0-3 1.345-3 3v10c0 1.654 1.345 3 3 3h18c1.654 0 3-1.346 3-3v-1.382l6.552 3.276c0.142 0.070 0.294 0.105 0.448 0.105 0.183 0 0.365-0.050 0.526-0.149 0.295-0.182 0.474-0.504 0.474-0.851v-12c0-0.347-0.18-0.668-0.474-0.851zM20 6.5h4v1h-4v-1zM21 25.5h-18c-0.551 0-1-0.448-1-1v-10c0-0.552 0.449-1 1-1h18c0.552 0 1 0.448 1 1v2.997c0 0.002-0 0.003-0 0.003v4c0 0.001 0 0.002 0 0.003v2.997c0 0.552-0.448 1-1 1zM30 23.882l-6-3v-2.764l6-3v8.764z"></path>'),
	   	 			'scooter_front' => array('keywords' => 'scooter_front ','viewbox' => '0 0 32 32', 'path' =>'<path d="M20.5 6h-2.055c0.201-0.197 0.375-0.417 0.524-0.655 0.154 0.097 0.335 0.155 0.531 0.155 0.552 0 1-0.448 1-1h4c0.552 0 1-0.448 1-1s-0.448-1-1-1h-4c0-0.552-0.448-1-1-1-0.196 0-0.377 0.058-0.531 0.155-0.619-0.992-1.716-1.655-2.969-1.655s-2.351 0.663-2.969 1.655c-0.155-0.097-0.335-0.155-0.531-0.155-0.552 0-1 0.448-1 1h-4c-0.552 0-1 0.448-1 1s0.448 1 1 1h4c0 0.552 0.448 1 1 1 0.196 0 0.377-0.059 0.531-0.155 0.149 0.239 0.323 0.459 0.524 0.655h-2.055c-2.757 0-5 2.243-5 5v11c0 2.757 2.243 5 5 5h1v1.5c0 1.93 1.57 3.5 3.5 3.5s3.5-1.57 3.5-3.5v-1.5h1c2.757 0 5-2.243 5-5v-11c0-2.757-2.243-5-5-5zM16 2c0.827 0 1.5 0.673 1.5 1.5s-0.673 1.5-1.5 1.5-1.5-0.673-1.5-1.5 0.673-1.5 1.5-1.5zM16 30c-0.827 0-1.5-0.673-1.5-1.5v-9c0-0.827 0.673-1.5 1.5-1.5s1.5 0.673 1.5 1.5v9c0 0.827-0.673 1.5-1.5 1.5zM20.5 25h-1v-5.5c0-1.93-1.57-3.5-3.5-3.5s-3.5 1.57-3.5 3.5v5.5h-1c-1.655 0-3-1.346-3-3v-11c0-1.655 1.345-3 3-3h9c1.654 0 3 1.345 3 3v11c0 1.654-1.346 3-3 3zM20.5 10h-3c-0.552 0-1 0.448-1 1s0.448 1 1 1h3c0.552 0 1-0.448 1-1s-0.448-1-1-1z"></path>'),
	   	 			'bike_weird' => array('keywords' => 'bike_weird ','viewbox' => '0 0 32 32', 'path' =>'<path d="M22.5 11.051v-10.051c0-0.552-0.448-1-1-1h-3c-0.552 0-1 0.448-1 1s0.448 1 1 1h2v4.5c-4.049 0-7.7 1.729-10.259 4.487-1.19-0.102-2.181-0.902-2.566-1.987h0.825c0.552 0 1-0.448 1-1s-0.448-1-1-1h-4c-0.552 0-1 0.448-1 1s0.448 1 1 1h1.101c0.354 1.739 1.616 3.148 3.265 3.72-1.492 2.225-2.365 4.899-2.367 7.773 0 0.003-0 0.005-0 0.006 0 1.084-0.067 2.050-0.194 2.881-0.554-0.244-1.164-0.381-1.806-0.381-2.481 0-4.5 2.018-4.5 4.5s2.019 4.5 4.5 4.5 4.5-2.018 4.5-4.5c0-1.027-0.35-1.973-0.932-2.732 0.284-1.162 0.431-2.585 0.431-4.262 0-0.002 0.001-0.004 0.001-0.006 0-6.617 5.383-12 12-12v2.551c-5.322 0.505-9.5 4.997-9.5 10.449 0 5.79 4.71 10.5 10.5 10.5s10.5-4.71 10.5-10.5c0-5.452-4.178-9.944-9.5-10.449zM4.5 30c-1.378 0-2.5-1.122-2.5-2.5s1.122-2.5 2.5-2.5c0.466 0 0.899 0.137 1.273 0.36-0.509 1.132-1.082 1.14-1.273 1.14-0.552 0-1 0.448-1 1s0.448 1 1 1c0.612 0 1.627-0.194 2.473-1.267 0.010 0.089 0.027 0.175 0.027 0.267 0 1.378-1.122 2.5-2.5 2.5zM21.5 30c-4.687 0-8.5-3.813-8.5-8.5 0-4.348 3.284-7.939 7.5-8.435v6.713c-0.595 0.346-1 0.985-1 1.723 0 1.105 0.896 2 2 2s2-0.895 2-2c0-0.738-0.405-1.376-1-1.723v-6.713c4.217 0.497 7.5 4.088 7.5 8.436 0 4.687-3.813 8.5-8.5 8.5z"></path>'),
	   	 			'attachment' => array('keywords' => 'attachment ','viewbox' => '0 0 32 32', 'path' =>'<path d="M2.688 17.354q0-3.063 2.125-5.219t5.188-2.156h14q2.188 0 3.75 1.594t1.563 3.781-1.563 3.75-3.75 1.563h-11.313q-1.375 0-2.375-0.969t-1-2.344 1-2.375 2.375-1h10v2.688h-10.125q-0.563 0-0.563 0.656t0.563 0.656h11.438q1.063 0 1.875-0.781t0.813-1.844-0.813-1.875-1.875-0.813h-14q-1.938 0-3.313 1.375t-1.375 3.313 1.375 3.281 3.313 1.344h12.688v2.688h-12.688q-3.063 0-5.188-2.125t-2.125-5.188z"></path>'),
	   	 			'bed_symbol' => array('keywords' => 'bed_symbol ','viewbox' => '0 0 32 32', 'path' =>'<path d="M28 13h-16c0-2.206-1.794-4-4-4h-4c-0.729 0-1.411 0.199-2 0.541v-4.541c0-0.552-0.448-1-1-1s-1 0.448-1 1v22c0 0.552 0.448 1 1 1s1-0.448 1-1v-4h28v4c0 0.552 0.448 1 1 1s1-0.448 1-1v-10c0-2.206-1.794-4-4-4zM4 11h4c1.103 0 2 0.898 2 2h-8c0-1.102 0.897-2 2-2zM2 15h6v6h-6v-6zM30 21h-20v-6h18c1.102 0 2 0.898 2 2v4z"></path>'),
	   	 			'short_text' => array('keywords' => 'short_text ','viewbox' => '0 0 32 32', 'path' =>'<path d="M5.313 17.979h13.375v2.688h-13.375v-2.688zM5.313 12.667h21.375v2.688h-21.375v-2.688z"></path>'),
	   	 			'youtube-square' => array('keywords' => 'youtube-square ','viewbox' => '0 0 27 32', 'path' =>'<path d="M16.411 23.554v-2.804q0-0.893-0.518-0.893-0.304 0-0.589 0.286v4q0.286 0.286 0.589 0.286 0.518 0 0.518-0.875zM19.696 21.375h1.179v-0.607q0-0.911-0.589-0.911t-0.589 0.911v0.607zM9.5 16.625v1.25h-1.429v7.554h-1.321v-7.554h-1.393v-1.25h4.143zM13.089 18.875v6.554h-1.196v-0.714q-0.696 0.804-1.357 0.804-0.589 0-0.75-0.5-0.107-0.286-0.107-0.964v-5.179h1.179v4.821q0 0.429 0.018 0.464 0.018 0.268 0.268 0.268 0.357 0 0.75-0.554v-5h1.196zM17.589 20.857v2.607q0 0.929-0.125 1.304-0.214 0.75-0.946 0.75-0.625 0-1.214-0.732v0.643h-1.196v-8.804h1.196v2.875q0.571-0.714 1.214-0.714 0.732 0 0.946 0.75 0.125 0.375 0.125 1.321zM22.071 23.161v0.161q0 0.518-0.036 0.768-0.054 0.393-0.268 0.714-0.482 0.714-1.429 0.714-0.929 0-1.446-0.679-0.375-0.482-0.375-1.536v-2.304q0-1.054 0.357-1.536 0.518-0.679 1.429-0.679t1.393 0.679q0.375 0.5 0.375 1.536v1.357h-2.375v1.161q0 0.911 0.607 0.911 0.429 0 0.536-0.464 0-0.018 0.009-0.125t0.009-0.295v-0.384h1.214zM14.018 8.446v2.786q0 0.911-0.571 0.911t-0.571-0.911v-2.786q0-0.929 0.571-0.929t0.571 0.929zM23.536 21.179q0-3.161-0.339-4.643-0.179-0.786-0.768-1.313t-1.357-0.616q-2.429-0.268-7.357-0.268-4.911 0-7.339 0.268-0.786 0.089-1.366 0.616t-0.759 1.313q-0.357 1.554-0.357 4.643 0 3.143 0.357 4.643 0.179 0.768 0.759 1.304t1.348 0.625q2.446 0.268 7.357 0.268t7.357-0.268q0.768-0.089 1.348-0.625t0.759-1.304q0.357-1.5 0.357-4.643zM10.054 9.554l1.607-5.286h-1.339l-0.911 3.482-0.946-3.482h-1.393l0.429 1.232t0.411 1.232q0.625 1.839 0.821 2.821v3.589h1.321v-3.589zM15.214 11v-2.321q0-1.036-0.375-1.554-0.518-0.679-1.393-0.679-0.911 0-1.393 0.679-0.375 0.518-0.375 1.554v2.321q0 1.036 0.375 1.554 0.482 0.679 1.393 0.679 0.875 0 1.393-0.679 0.375-0.482 0.375-1.554zM18.446 13.143h1.196v-6.607h-1.196v5.054q-0.393 0.554-0.75 0.554-0.268 0-0.286-0.286-0.018-0.036-0.018-0.464v-4.857h-1.196v5.232q0 0.661 0.107 0.982 0.196 0.482 0.768 0.482 0.643 0 1.375-0.804v0.714zM27.429 7.714v17.143q0 2.125-1.509 3.634t-3.634 1.509h-17.143q-2.125 0-3.634-1.509t-1.509-3.634v-17.143q0-2.125 1.509-3.634t3.634-1.509h17.143q2.125 0 3.634 1.509t1.509 3.634z"></path>'),
	   	 			'toggle-off' => array('keywords' => 'toggle-off ','viewbox' => '0 0 37 32', 'path' =>'<path d="M20.571 16.286q0-1.857-0.723-3.545t-1.955-2.92-2.92-1.955-3.545-0.723-3.545 0.723-2.92 1.955-1.955 2.92-0.723 3.545 0.723 3.545 1.955 2.92 2.92 1.955 3.545 0.723 3.545-0.723 2.92-1.955 1.955-2.92 0.723-3.545zM34.286 16.286q0-1.857-0.723-3.545t-1.955-2.92-2.92-1.955-3.545-0.723h-6.893q2.125 1.607 3.366 4t1.241 5.143-1.241 5.143-3.366 4h6.893q1.857 0 3.545-0.723t2.92-1.955 1.955-2.92 0.723-3.545zM36.571 16.286q0 2.321-0.911 4.438t-2.438 3.643-3.643 2.438-4.438 0.911h-13.714q-2.321 0-4.438-0.911t-3.643-2.438-2.438-3.643-0.911-4.438 0.911-4.438 2.438-3.643 3.643-2.438 4.438-0.911h13.714q2.321 0 4.438 0.911t3.643 2.438 2.438 3.643 0.911 4.438z"></path>'),
	   	 			'flickr2' => array('keywords' => 'flickr2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25 13c-2.206 0-4 1.794-4 4s1.794 4 4 4c2.206 0 4-1.794 4-4s-1.794-4-4-4zM25 10v0c3.866 0 7 3.134 7 7s-3.134 7-7 7-7-3.134-7-7c0-3.866 3.134-7 7-7zM0 17c0-3.866 3.134-7 7-7s7 3.134 7 7c0 3.866-3.134 7-7 7s-7-3.134-7-7z"></path>'),
	   	 			'clone' => array('keywords' => 'clone ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29.714 29.429v-19.429q0-0.232-0.17-0.402t-0.402-0.17h-19.429q-0.232 0-0.402 0.17t-0.17 0.402v19.429q0 0.232 0.17 0.402t0.402 0.17h19.429q0.232 0 0.402-0.17t0.17-0.402zM32 10v19.429q0 1.179-0.839 2.018t-2.018 0.839h-19.429q-1.179 0-2.018-0.839t-0.839-2.018v-19.429q0-1.179 0.839-2.018t2.018-0.839h19.429q1.179 0 2.018 0.839t0.839 2.018zM25.143 3.143v2.857h-2.286v-2.857q0-0.232-0.17-0.402t-0.402-0.17h-19.429q-0.232 0-0.402 0.17t-0.17 0.402v19.429q0 0.232 0.17 0.402t0.402 0.17h2.857v2.286h-2.857q-1.179 0-2.018-0.839t-0.839-2.018v-19.429q0-1.179 0.839-2.018t2.018-0.839h19.429q1.179 0 2.018 0.839t0.839 2.018z"></path>'),
	   	 			'movie' => array('keywords' => 'movie ','viewbox' => '0 0 32 32', 'path' =>'<path d="M24 5.979h5.313v18.688q0 1.063-0.781 1.875t-1.844 0.813h-21.375q-1.063 0-1.844-0.813t-0.781-1.875v-16q0-1.063 0.781-1.875t1.844-0.813h1.375l2.625 5.375h4l-2.625-5.375h2.625l2.688 5.375h4l-2.688-5.375h2.688l2.688 5.375h4z"></path>'),
	   	 			'folder_5' => array('keywords' => 'folder_5 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M19.297 24.102c-0.165 0-0.331-0.039-0.483-0.119l-2.814-1.476-2.814 1.476c-0.35 0.184-0.774 0.154-1.095-0.080s-0.48-0.628-0.413-1.017l0.537-3.122-2.274-2.212c-0.284-0.276-0.387-0.691-0.264-1.067s0.448-0.652 0.841-0.709l3.145-0.456 1.406-2.842c0.176-0.354 0.537-0.579 0.934-0.579 0.395 0 0.757 0.225 0.933 0.579l1.406 2.842 3.146 0.456c0.392 0.057 0.718 0.332 0.84 0.709 0.123 0.377 0.020 0.791-0.265 1.067l-2.273 2.212 0.536 3.122c0.067 0.39-0.093 0.784-0.413 1.017-0.181 0.131-0.396 0.199-0.612 0.199zM16 20.292c0.166 0 0.332 0.039 0.483 0.119l1.43 0.75-0.273-1.586c-0.058-0.338 0.053-0.683 0.3-0.922l1.152-1.121-1.595-0.23c-0.339-0.050-0.632-0.262-0.783-0.57l-0.716-1.447-0.716 1.447c-0.152 0.308-0.446 0.52-0.784 0.57l-1.595 0.23 1.152 1.121c0.246 0.239 0.358 0.584 0.301 0.922l-0.273 1.586 1.431-0.75c0.15-0.080 0.316-0.119 0.483-0.119zM29 6.5h-14.070l-3.369-3.561c-0.292-0.293-0.677-0.439-1.060-0.439v0h-7.5c-1.651 0-3 1.349-3 3v21c0 1.649 1.349 3 3 3h26c1.649 0 3-1.351 3-3v-17c0-1.651-1.351-3-3-3zM30 26.5c0 0.55-0.45 1-1 1h-26c-0.55 0-1-0.45-1-1v-17c0-0.55 0.45-1 1-1h26c0.55 0 1 0.45 1 1v17z"></path>'),
	   	 			'anchor2' => array('keywords' => 'anchor2 ','viewbox' => '0 0 35 32', 'path' =>'<path d="M0.812 18.896l2.188-2.189v0.793c0 7.589 6.911 14.5 14.5 14.5s14.5-6.911 14.5-14.5v-0.772l2.209 2.209c0.098 0.098 0.226 0.146 0.354 0.146s0.256-0.049 0.354-0.146c0.195-0.195 0.195-0.512 0-0.707l-3.018-3.018c-0.092-0.125-0.232-0.212-0.399-0.212-0.045 0-0.084 0.014-0.126 0.025-0.092 0.019-0.181 0.054-0.249 0.121l-3.042 3.042c-0.195 0.195-0.195 0.512 0 0.707s0.512 0.195 0.707 0l2.21-2.209v0.814c0 6.898-6.135 13.177-13 13.472v-18.972h8.5c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-8.5v-4.051c1.692-0.245 3-1.691 3-3.449 0-1.93-1.57-3.5-3.5-3.5s-3.5 1.57-3.5 3.5c0 1.758 1.308 3.204 3 3.449v4.051h-8.5c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h8.5v18.972c-6.865-0.295-13-6.574-13-13.472v-0.793l2.23 2.23c0.098 0.098 0.226 0.146 0.354 0.146s0.256-0.049 0.354-0.146c0.195-0.195 0.195-0.512 0-0.707l-3.083-3.082c-0.091-0.092-0.217-0.148-0.355-0.148s-0.264 0.056-0.354 0.147l-3.041 3.041c-0.195 0.195-0.195 0.512 0 0.707s0.512 0.196 0.707 0.001zM17.5 1c1.378 0 2.5 1.121 2.5 2.5s-1.122 2.5-2.5 2.5-2.5-1.121-2.5-2.5 1.122-2.5 2.5-2.5z"></path>'),
	   	 			'chemical_symbol' => array('keywords' => 'chemical_symbol ','viewbox' => '0 0 32 32', 'path' =>'<path d="M18 14.986c0 1.105-0.895 2-2 2s-2-0.895-2-2c0-1.105 0.895-2 2-2s2 0.895 2 2zM24 1.135c-0.23-0.133-0.502-0.169-0.759-0.1-0.256 0.069-0.474 0.236-0.607 0.466l-5.251 9.092c-0.276 0.478-0.113 1.089 0.364 1.365 1.081 0.626 1.752 1.786 1.752 3.029 0 0.552 0.448 1 1 1h10.5c0.552 0 1-0.448 1-1 0-5.694-3.066-11.002-8-13.851zM21.407 13.986c-0.231-1.235-0.882-2.361-1.838-3.179l4.279-7.409c3.543 2.402 5.808 6.323 6.116 10.588h-8.556zM19.114 18.379c-0.133-0.23-0.351-0.398-0.608-0.466s-0.529-0.032-0.759 0.101c-1.064 0.617-2.431 0.617-3.495 0-0.23-0.134-0.502-0.169-0.759-0.101s-0.476 0.236-0.608 0.466l-5.25 9.091c-0.276 0.477-0.114 1.087 0.362 1.364 2.415 1.407 5.183 2.151 8.003 2.151s5.588-0.744 8.003-2.151c0.476-0.277 0.638-0.887 0.363-1.364l-5.252-9.091zM16 28.986c-2.131 0-4.226-0.485-6.117-1.409l4.28-7.41c1.178 0.42 2.498 0.42 3.676 0l4.28 7.41c-1.892 0.924-3.987 1.409-6.119 1.409zM12.5 14.986c0-1.242 0.671-2.402 1.752-3.029 0.477-0.277 0.641-0.887 0.364-1.366l-5.251-9.092c-0.133-0.23-0.351-0.397-0.607-0.466-0.258-0.068-0.53-0.032-0.759 0.1-4.934 2.85-8 8.158-8 13.852 0 0.552 0.448 1 1 1h10.5c0.552 0 1-0.448 1-1zM2.036 13.986c0.308-4.266 2.574-8.187 6.117-10.588l4.279 7.409c-0.957 0.819-1.607 1.945-1.838 3.179h-8.557z"></path>'),
	   	 			'volume_down' => array('keywords' => 'volume_down ','viewbox' => '0 0 32 32', 'path' =>'<path d="M6.688 12.667h5.313l6.688-6.688v21.375l-6.688-6.688h-5.313v-8zM24.688 16.667q0 3.688-3.375 5.375v-10.75q3.375 1.688 3.375 5.375z"></path>'),
	   	 			'cogs' => array('keywords' => 'cogs ','viewbox' => '0 0 32 32', 'path' =>'<path d="M11.366 22.564l1.291-1.807-1.414-1.414-1.807 1.291c-0.335-0.187-0.694-0.337-1.071-0.444l-0.365-2.19h-2l-0.365 2.19c-0.377 0.107-0.736 0.256-1.071 0.444l-1.807-1.291-1.414 1.414 1.291 1.807c-0.187 0.335-0.337 0.694-0.443 1.071l-2.19 0.365v2l2.19 0.365c0.107 0.377 0.256 0.736 0.444 1.071l-1.291 1.807 1.414 1.414 1.807-1.291c0.335 0.187 0.694 0.337 1.071 0.444l0.365 2.19h2l0.365-2.19c0.377-0.107 0.736-0.256 1.071-0.444l1.807 1.291 1.414-1.414-1.291-1.807c0.187-0.335 0.337-0.694 0.444-1.071l2.19-0.365v-2l-2.19-0.365c-0.107-0.377-0.256-0.736-0.444-1.071zM7 27c-1.105 0-2-0.895-2-2s0.895-2 2-2 2 0.895 2 2-0.895 2-2 2zM32 12v-2l-2.106-0.383c-0.039-0.251-0.088-0.499-0.148-0.743l1.799-1.159-0.765-1.848-2.092 0.452c-0.132-0.216-0.273-0.426-0.422-0.629l1.219-1.761-1.414-1.414-1.761 1.219c-0.203-0.149-0.413-0.29-0.629-0.422l0.452-2.092-1.848-0.765-1.159 1.799c-0.244-0.059-0.492-0.109-0.743-0.148l-0.383-2.106h-2l-0.383 2.106c-0.251 0.039-0.499 0.088-0.743 0.148l-1.159-1.799-1.848 0.765 0.452 2.092c-0.216 0.132-0.426 0.273-0.629 0.422l-1.761-1.219-1.414 1.414 1.219 1.761c-0.149 0.203-0.29 0.413-0.422 0.629l-2.092-0.452-0.765 1.848 1.799 1.159c-0.059 0.244-0.109 0.492-0.148 0.743l-2.106 0.383v2l2.106 0.383c0.039 0.251 0.088 0.499 0.148 0.743l-1.799 1.159 0.765 1.848 2.092-0.452c0.132 0.216 0.273 0.426 0.422 0.629l-1.219 1.761 1.414 1.414 1.761-1.219c0.203 0.149 0.413 0.29 0.629 0.422l-0.452 2.092 1.848 0.765 1.159-1.799c0.244 0.059 0.492 0.109 0.743 0.148l0.383 2.106h2l0.383-2.106c0.251-0.039 0.499-0.088 0.743-0.148l1.159 1.799 1.848-0.765-0.452-2.092c0.216-0.132 0.426-0.273 0.629-0.422l1.761 1.219 1.414-1.414-1.219-1.761c0.149-0.203 0.29-0.413 0.422-0.629l2.092 0.452 0.765-1.848-1.799-1.159c0.059-0.244 0.109-0.492 0.148-0.743l2.106-0.383zM21 15.35c-2.402 0-4.35-1.948-4.35-4.35s1.948-4.35 4.35-4.35 4.35 1.948 4.35 4.35c0 2.402-1.948 4.35-4.35 4.35z"></path>'),
	   	 			'car_front' => array('keywords' => 'car_front ','viewbox' => '0 0 32 32', 'path' =>'<path d="M27 17.5c0 0.828-0.672 1.5-1.5 1.5s-1.5-0.672-1.5-1.5c0-0.828 0.672-1.5 1.5-1.5s1.5 0.672 1.5 1.5zM8 17.5c0 0.828-0.672 1.5-1.5 1.5s-1.5-0.672-1.5-1.5c0-0.828 0.672-1.5 1.5-1.5s1.5 0.672 1.5 1.5zM28.795 12.338l0.508-0.338h1.698c0.552 0 1-0.448 1-1s-0.448-1-1-1h-1.989c-0.195-0.002-0.392 0.052-0.566 0.168l-1.91 1.274-1.086-3.258c-0.645-1.934-2.391-3.184-4.449-3.184h-10c-2.058 0-3.804 1.25-4.449 3.184l-1.086 3.258-1.905-1.271c0-0.001-0.001-0.001-0.001-0.001l-0.004-0.002c-0.159-0.105-0.349-0.168-0.555-0.168h-2c-0.552 0-1 0.448-1 1s0.448 1 1 1h1.698l0.508 0.339c-1.872 0.723-3.205 2.537-3.205 4.661v5c0 0.552 0.448 1 1 1h2.5v3c0 0.552 0.448 1 1 1h4c0.552 0 1-0.448 1-1v-3h13v3c0 0.552 0.448 1 1 1h4c0.552 0 1-0.448 1-1v-3h2.5c0.552 0 1-0.448 1-1v-5c0-2.124-1.333-3.938-3.205-4.662zM7.5 25h-2v-2h2v2zM26.5 25h-2v-2h2v2zM8.449 8.816c0.373-1.12 1.351-1.816 2.551-1.816h3c0 0.552 0.448 1 1 1h2c0.552 0 1-0.448 1-1h3c1.2 0 2.178 0.696 2.552 1.816l1.061 3.184h-17.225l1.061-3.184zM5 14h22c0 0 0.001 0 0.002 0 1.654 0.001 2.998 1.346 2.998 3v4h-28v-4c0-1.655 1.345-3 3-3zM12.5 18.5h7c0.552 0 1-0.448 1-1s-0.448-1-1-1h-7c-0.552 0-1 0.448-1 1s0.448 1 1 1z"></path>'),
	   	 			'angle-up' => array('keywords' => 'angle-up ','viewbox' => '0 0 21 32', 'path' =>'<path d="M19.196 21.429q0 0.232-0.179 0.411l-0.893 0.893q-0.179 0.179-0.411 0.179t-0.411-0.179l-7.018-7.018-7.018 7.018q-0.179 0.179-0.411 0.179t-0.411-0.179l-0.893-0.893q-0.179-0.179-0.179-0.411t0.179-0.411l8.321-8.321q0.179-0.179 0.411-0.179t0.411 0.179l8.321 8.321q0.179 0.179 0.179 0.411z"></path>'),
	   	 			'transport_service1' => array('keywords' => 'transport_service1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M6.848 14.188c0.633-0.568 1.046-0.953 1.24-1.156s0.35-0.396 0.467-0.58 0.204-0.37 0.26-0.56 0.084-0.397 0.084-0.621c0-0.3-0.080-0.57-0.24-0.81s-0.386-0.427-0.676-0.556-0.62-0.196-0.99-0.196c-0.295 0-0.559 0.030-0.795 0.090s-0.454 0.146-0.654 0.26-0.448 0.302-0.742 0.565l0.848 0.992c0.232-0.2 0.439-0.352 0.623-0.455s0.365-0.155 0.545-0.155c0.175 0 0.31 0.043 0.406 0.129s0.144 0.203 0.144 0.351c0 0.12-0.024 0.235-0.072 0.344s-0.133 0.24-0.256 0.393-0.383 0.437-0.781 0.854l-1.394 1.41v1.015h4.144v-1.274h-2.16v-0.039zM13.624 9.789h-1.426l-2.375 3.473v1.133h2.277v1.105h1.524v-1.105h0.629v-1.152h-0.629v-3.453zM12.114 12.072c-0.009 0.213-0.014 0.381-0.014 0.506v0.664h-0.941l0.633-0.941c0.112-0.175 0.213-0.362 0.301-0.563h0.043c-0.005 0.010-0.012 0.121-0.022 0.334zM31 14.5h-1.536l-5.201-6.146c-0.189-0.225-0.468-0.354-0.763-0.354h-4.5v-0.5c0-1.654-1.346-3-3-3h-13.001c-1.655 0-3 1.346-3 3l0.001 14c0 1.654 1.345 3 3 3h1.631c0.444 1.724 2.005 3 3.869 3s3.424-1.277 3.869-3h7.263c0.445 1.724 2.005 3 3.869 3s3.424-1.277 3.869-3h1.631c1.654 0 3-1.346 3-3v-6c0-0.552-0.448-1-1-1zM23.037 10l3.808 4.5h-7.844v-4.5h4.036zM8.501 25.5c-1.104 0-2.001-0.896-2-2-0-1.104 0.896-2 2-2s2.001 0.896 2 2c0.001 1.104-0.896 2-2 2zM23.5 25.5c-1.105 0-2-0.896-2-2s0.895-2 2-2c1.104 0 2 0.896 2 2s-0.896 2-2 2zM29 22.5h-1.631c-0.445-1.724-2.006-3-3.869-3s-3.424 1.276-3.869 3h-7.262c-0.444-1.724-2.005-3-3.869-3s-3.424 1.276-3.869 3h-1.631c-0.551 0-1-0.448-1-1l-0-14c0-0.551 0.448-1 1-1h13c0.552 0 1 0.449 1 1v8c0 0.552 0.448 1 1 1h12v5c0 0.552-0.448 1-1 1z"></path>'),
	   	 			'edge2' => array('keywords' => 'edge2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M1.232 14.482h0.018q0.286-2.25 1.045-4.313t2.054-3.875 2.991-3.143 3.991-2.098 4.938-0.768q4.125 0 7.393 1.884t5.25 5.42q1.857 3.339 1.857 7.893v3.357h-20.089q0.018 1.982 0.955 3.438t2.438 2.188 3.384 1.018 3.804 0.054 3.714-0.83 3.098-1.509v6.732q-1.643 0.982-4.098 1.643t-5.58 0.679-5.643-0.946q-3.375-1.304-5.563-4.446t-2.223-6.643q-0.054-4.321 1.982-7.357t5.804-4.786q-0.857 1.071-1.393 2.241t-0.821 2.848h11.339q0.143-1.375-0.143-2.5t-0.839-1.813-1.259-1.188-1.438-0.732-1.339-0.366-1-0.152l-0.393-0.018q-2.411 0.089-4.634 0.795t-3.991 1.866-3.143 2.509-2.464 2.92z"></path>'),
	   	 			'hammer2' => array('keywords' => 'hammer2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31.568 28.617l-17.145-15.608 0.798-0.8c0.653-0.655 1.006-1.501 1.060-2.363 0.031-0.014 0.063-0.028 0.092-0.045l3.218-2.013c0.435-0.512 0.404-1.321-0.071-1.797l-5.598-5.613c-0.475-0.476-1.281-0.508-1.792-0.071l-2.007 3.227c-0.016 0.030-0.031 0.061-0.045 0.093-0.859 0.054-1.703 0.408-2.356 1.063l-3.045 3.053c-0.653 0.655-1.006 1.501-1.060 2.363-0.031 0.014-0.063 0.029-0.093 0.045l-3.218 2.013c-0.436 0.512-0.404 1.321 0.071 1.797l5.598 5.613c0.475 0.476 1.281 0.508 1.792 0.071l2.007-3.227c0.017-0.030 0.031-0.061 0.045-0.093 0.859-0.054 1.703-0.408 2.356-1.063l0.884-0.887 15.566 17.191c0.451 0.498 1.147 0.579 1.546 0.178l1.574-1.578c0.399-0.4 0.319-1.098-0.178-1.55z"></path>'),
	   	 			'book-open' => array('keywords' => 'book-open ','viewbox' => '0 0 42 32', 'path' =>'<path d="M37.5 1h-16c-0.397 0-0.74 0.136-1 0.362-0.26-0.226-0.603-0.362-1-0.362h-16c-0.869 0-1.5 0.631-1.5 1.5v28c0 0.869 0.631 1.5 1.5 1.5h16c0.397 0 0.74-0.136 1-0.362 0.26 0.226 0.603 0.362 1 0.362h16c0.869 0 1.5-0.631 1.5-1.5v-28c0-0.869-0.631-1.5-1.5-1.5zM19.5 31h-16c-0.313 0-0.5-0.187-0.5-0.5v-28c0-0.313 0.187-0.5 0.5-0.5h16c0.313 0 0.5 0.187 0.5 0.5v28c0 0.313-0.187 0.5-0.5 0.5zM38 30.5c0 0.313-0.187 0.5-0.5 0.5h-16c-0.313 0-0.5-0.187-0.5-0.5v-28c0-0.313 0.187-0.5 0.5-0.5h16c0.313 0 0.5 0.187 0.5 0.5v28zM40.5 3c-0.276 0-0.5 0.224-0.5 0.5v26c0 0.276 0.224 0.5 0.5 0.5s0.5-0.224 0.5-0.5v-26c0-0.276-0.224-0.5-0.5-0.5zM0.5 30c0.276 0 0.5-0.224 0.5-0.5v-26c0-0.276-0.224-0.5-0.5-0.5s-0.5 0.224-0.5 0.5v26c0 0.276 0.224 0.5 0.5 0.5zM17.5 10h-12c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h12c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5zM17.5 14h-12c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h12c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5zM17.5 6h-12c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h12c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5zM17.5 18h-12c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h12c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5zM17.5 22h-12c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h12c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5zM17.5 26h-12c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h12c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5zM35.5 10h-12c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h12c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5zM35.5 14h-12c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h12c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5zM35.5 6h-12c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h12c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5zM35.5 18h-12c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h12c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5zM35.5 22h-12c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h12c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5zM35.5 26h-12c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h12c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5z"></path>'),
	   	 			'twitter' => array('keywords' => 'twitter ','viewbox' => '0 0 32 32', 'path' =>'<path d="M32 7.075c-1.175 0.525-2.444 0.875-3.769 1.031 1.356-0.813 2.394-2.1 2.887-3.631-1.269 0.75-2.675 1.3-4.169 1.594-1.2-1.275-2.906-2.069-4.794-2.069-3.625 0-6.563 2.938-6.563 6.563 0 0.512 0.056 1.012 0.169 1.494-5.456-0.275-10.294-2.888-13.531-6.862-0.563 0.969-0.887 2.1-0.887 3.3 0 2.275 1.156 4.287 2.919 5.463-1.075-0.031-2.087-0.331-2.975-0.819 0 0.025 0 0.056 0 0.081 0 3.181 2.263 5.838 5.269 6.437-0.55 0.15-1.131 0.231-1.731 0.231-0.425 0-0.831-0.044-1.237-0.119 0.838 2.606 3.263 4.506 6.131 4.563-2.25 1.762-5.075 2.813-8.156 2.813-0.531 0-1.050-0.031-1.569-0.094 2.913 1.869 6.362 2.95 10.069 2.95 12.075 0 18.681-10.006 18.681-18.681 0-0.287-0.006-0.569-0.019-0.85 1.281-0.919 2.394-2.075 3.275-3.394z"></path>'),
	   	 			'glide-g' => array('keywords' => 'glide-g ','viewbox' => '0 0 27 32', 'path' =>'<path d="M13.286 5.732q0-0.429-0.036-0.688t-0.152-0.536-0.375-0.411-0.67-0.134q-0.696 0-1.393 0.411-1.875 1.036-2.839 3.402t-0.964 4.812q0 0.786 0.152 1.527t0.473 1.438 0.938 1.116 1.455 0.42q0.071 0 0.321 0.009t0.357 0 0.286-0.054 0.268-0.152 0.125-0.286q0.286-1.375 0.857-4.134t0.857-4.134q0.339-1.625 0.339-2.607zM26.75 17.446q0 0.125-0.134 0.241t-0.277 0.116l-0.107-0.018q-0.393-0.054-1.107-0.196t-1.286-0.223-1.125-0.080q-2.982 0-6.268 1.661-0.268 0.143-0.375 0.482-0.179 0.643-0.438 1.884t-0.402 1.795q-0.411 1.625-1.25 3.205t-2.009 2.938-2.759 2.196-3.304 0.839q-2.411 0-3.83-1.491t-1.42-3.92q0-0.946 0.348-2.089t1.125-2.080 1.741-0.938q0.679 0 2.143 0.598t1.482 1.098q0 0.018-0.295 0.223t-0.705 0.554-0.821 0.795-0.696 1.089-0.286 1.321q0 0.589 0.295 0.946t0.866 0.357q0.804 0 1.518-0.563t1.188-1.393 0.857-1.884 0.58-1.911 0.286-1.607v-0.161q0-0.036-0.063-0.063t-0.152-0.027h-0.179t-0.179 0.009-0.107 0.009q-4.054 0-6.286-2.188t-2.232-6.223q0-1.929 0.616-3.946t1.714-3.75 2.786-2.991 3.652-1.598q0.929-0.161 1.893-0.161 6.679 0 6.679 6.429 0 1.75-0.679 4.875t-0.768 3.768l0.054 0.054q1.804-1.018 3.259-1.571t2.991-0.554q0.393 0 0.946 0.232 0.339 0.125 1.429 1.83t1.089 2.080z"></path>'),
	   	 			'green_planet3' => array('keywords' => 'green_planet3 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M23.426 19.912c-0.328 0-0.635 0.047-0.913 0.14-0.965 0.323-1.909 0.753-2.742 1.133 0.012-0.099 0.017-0.2 0.015-0.303-0.029-0.957-0.712-1.731-2.032-2.3-0.57-0.245-1.328-0.587-2.158-0.96-4.298-1.934-5.956-2.621-6.697-2.621-2.056 0-7.527 1.374-8.145 1.531-0.443 0.113-0.753 0.512-0.753 0.969v6c0 0.552 0.448 1 1 1h4.639c2.498 1.454 8.899 4.5 10.723 4.5 1.902 0 9.655-4.222 10.723-5.295 0.422-0.424 0.53-1.022 0.29-1.599-0.468-1.128-2.387-2.194-3.948-2.194zM16.36 27c-1.068-0.003-7.096-2.648-9.931-4.357-0.156-0.093-0.335-0.143-0.516-0.143h-3.913v-4.218c1.968-0.477 5.561-1.282 6.861-1.284 0.652 0.078 4.075 1.619 5.913 2.448 0.841 0.378 1.61 0.724 2.188 0.973 0.695 0.299 0.817 0.532 0.824 0.517-0.026 0.185-0.448 0.599-0.979 0.94l-4.027-1.79c-0.505-0.224-1.095 0.003-1.32 0.508s0.003 1.096 0.508 1.32l4.42 1.964c0.008 0.005 0.014 0.012 0.022 0.015 0.263 0.132 0.564 0.199 0.896 0.199 0.902 0 1.956-0.48 3.289-1.087 0.828-0.377 1.684-0.767 2.552-1.058 0.050-0.017 0.138-0.037 0.277-0.037 0.633 0 1.423 0.381 1.84 0.701-1.776 1.242-7.815 4.346-8.905 4.387zM31.708 3.293c-0.226-0.227-0.547-0.332-0.866-0.281-0.768 0.123-7.569 1.27-9.98 3.663-1.54 1.527-1.863 3.042-1.863 4.043 0 1.026 0.342 2.049 0.952 2.916l-1.659 1.659c-0.39 0.39-0.39 1.024 0 1.414 0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293l1.663-1.663c0.881 0.627 1.848 0.956 2.843 0.956 1.419 0 2.793-0.649 4.081-1.928 2.413-2.394 3.569-9.149 3.692-9.912 0.052-0.317-0.052-0.64-0.279-0.868zM26.886 12.652c-0.901 0.894-1.8 1.348-2.672 1.348-0.529 0-0.997-0.171-1.396-0.402l4.39-4.39c0.39-0.39 0.39-1.024 0-1.414s-1.023-0.391-1.414 0l-4.395 4.396c-0.258-0.46-0.398-0.967-0.398-1.471 0-0.903 0.427-1.786 1.271-2.623 1.342-1.332 5.083-2.342 7.473-2.842-0.503 2.37-1.518 6.069-2.858 7.399zM9.905 12.494c1.236 1.245 2.469 1.506 3.285 1.506 0.777 0 1.551-0.241 2.224-0.671l0.878 0.878c0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293c0.39-0.39 0.39-1.024 0-1.414l-0.883-0.883c0.948-1.464 1.107-3.477-0.88-5.479-1.9-1.915-7.187-2.821-7.784-2.918-0.317-0.052-0.639 0.052-0.867 0.279s-0.332 0.549-0.281 0.866c0.096 0.601 0.994 5.923 2.892 7.836zM14.525 7.84c0.896 0.903 1.169 1.774 0.829 2.6l-2.647-2.647c-0.39-0.391-1.024-0.391-1.414 0s-0.39 1.024 0 1.414l2.641 2.641c-0.242 0.095-0.493 0.152-0.744 0.152-0.636 0-1.263-0.308-1.866-0.915-0.865-0.872-1.624-3.33-2.063-5.319 1.97 0.442 4.4 1.205 5.263 2.075z"></path>'),
	   	 			'toys' => array('keywords' => 'toys ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 16.667q0 3-2.156 5.156t-5.156 2.156-5.188-2.156-2.188-5.156h14.688zM16 16.667q-3 0-5.156-2.156t-2.156-5.156 2.156-5.188 5.156-2.188v14.688zM16 16.667q3 0 5.156 2.156t2.156 5.156-2.156 5.188-5.156 2.188v-14.688zM16 16.667q0-3 2.156-5.156t5.156-2.156 5.188 2.156 2.188 5.156h-14.688z"></path>'),
	   	 			'cloud4' => array('keywords' => 'cloud4 ','viewbox' => '0 0 42 32', 'path' =>'<path d="M33.958 12.988c-0.427-6.612-5.025-12.988-13.458-12.988-7.713 0-13.661 5.733-13.976 13.384-4.22 1.313-6.524 5.829-6.524 9.116 0 5.061 4.206 9.5 9 9.5h24c4.847 0 9-5.224 9-9.5 0-5.167-4.223-9.208-8.042-9.512zM33 31h-24c-4.262 0-8-3.972-8-8.5 0-3.051 2.674-8.5 8-8.5h1.5c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-1.5c-0.509 0-0.99 0.057-1.459 0.139 0.392-5.99 4.945-12.139 12.959-12.139 8.588 0 12.5 6.739 12.5 13v1.5c0 0.276 0.224 0.5 0.5 0.5s0.5-0.224 0.5-0.5v-1.5c0-0.003 0-0.006 0-0.009 3.019 0.331 7 3.571 7 8.509 0 3.826-3.691 8.5-8 8.5z"></path>'),
	   	 			'pause22' => array('keywords' => 'pause22 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M4 4h10v24h-10zM18 4h10v24h-10z"></path>'),
	   	 			'stack-exchange' => array('keywords' => 'stack-exchange ','viewbox' => '0 0 23 32', 'path' =>'<path d="M22.482 22.661v1.179q0 1.518-1.027 2.58t-2.473 1.063h-1.018l-4.643 4.804v-4.804h-9.446q-1.446 0-2.473-1.063t-1.027-2.58v-1.179h22.107zM22.482 16.839v4.554h-22.107v-4.554h22.107zM22.482 10.982v4.554h-22.107v-4.554h22.107zM22.482 8.482v1.196h-22.107v-1.196q0-1.5 1.027-2.563t2.473-1.063h15.107q1.446 0 2.473 1.063t1.027 2.563z"></path>'),
	   	 			'luggage_1' => array('keywords' => 'luggage_1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M21.731 8.597h-1.91v-7.642c0-0.528-0.428-0.955-0.955-0.955h-5.731c-0.527 0-0.955 0.427-0.955 0.955v7.642h-1.91c-1.58 0-2.866 1.285-2.866 2.866v16.239c0 1.58 1.285 2.866 2.866 2.866v0.478c0 0.527 0.428 0.955 0.955 0.955s0.955-0.428 0.955-0.955v-0.478h7.642v0.478c0 0.527 0.428 0.955 0.955 0.955s0.955-0.428 0.955-0.955v-0.478c1.58 0 2.866-1.285 2.866-2.866v-16.239c0-1.58-1.285-2.866-2.866-2.866zM14.090 2.866h3.821v5.731h-3.821v-5.731zM22.687 27.701c0 0.527-0.428 0.955-0.955 0.955h-11.463c-0.527 0-0.955-0.428-0.955-0.955v-16.239c0-0.527 0.428-0.955 0.955-0.955h11.463c0.527 0 0.955 0.428 0.955 0.955v16.239zM19.821 13.851h-7.642c-0.527 0-0.955 0.427-0.955 0.955s0.428 0.955 0.955 0.955h7.642c0.527 0 0.955-0.428 0.955-0.955s-0.428-0.955-0.955-0.955zM19.821 18.627h-7.642c-0.527 0-0.955 0.427-0.955 0.955s0.428 0.955 0.955 0.955h7.642c0.527 0 0.955-0.428 0.955-0.955s-0.428-0.955-0.955-0.955zM19.821 23.403h-7.642c-0.527 0-0.955 0.427-0.955 0.955s0.428 0.955 0.955 0.955h7.642c0.527 0 0.955-0.428 0.955-0.955s-0.428-0.955-0.955-0.955z"></path>'),
	   	 			'castle_tower1' => array('keywords' => 'castle_tower1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M26 0h-4c-0.552 0-1 0.448-1 1v3h-2v-3c0-0.552-0.448-1-1-1h-4c-0.552 0-1 0.448-1 1v3h-2v-3c0-0.552-0.448-1-1-1h-4c-0.552 0-1 0.448-1 1v6.5c0 0.216 0.070 0.427 0.2 0.6l2.8 3.733v10.833l-2.8 3.733c-0.13 0.173-0.2 0.384-0.2 0.6v4c0 0.552 0.448 1 1 1h20c0.552 0 1-0.448 1-1v-4c0-0.216-0.070-0.427-0.2-0.6l-2.8-3.733v-10.833l2.8-3.733c0.13-0.173 0.2-0.384 0.2-0.6v-6.5c0-0.552-0.448-1-1-1zM25 7.167l-2.8 3.734c-0.13 0.174-0.2 0.384-0.2 0.6v11.5c0 0.216 0.070 0.427 0.2 0.6l2.8 3.733v2.666h-18v-2.666l2.8-3.733c0.13-0.173 0.2-0.384 0.2-0.6v-11.5c0-0.216-0.070-0.427-0.2-0.6l-2.8-3.733v-5.167h2v3c0 0.552 0.448 1 1 1h4c0.552 0 1-0.448 1-1v-3h2v3c0 0.552 0.448 1 1 1h4c0.552 0 1-0.448 1-1v-3h2v5.167zM16 12c-2.206 0-4 1.794-4 4v5c0 0.552 0.448 1 1 1h6c0.552 0 1-0.448 1-1v-5c0-2.206-1.794-4-4-4zM18 20h-4v-4c0-1.103 0.897-2 2-2s2 0.897 2 2v4z"></path>'),
	   	 			'home2' => array('keywords' => 'home2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M13.313 27.354h-6.625v-10.688h-4l13.313-12 13.313 12h-4v10.688h-6.625v-8h-5.375v8z"></path>'),
	   	 			'sliders' => array('keywords' => 'sliders ','viewbox' => '0 0 27 32', 'path' =>'<path d="M6.286 25.429v2.286h-6.286v-2.286h6.286zM12.571 23.143q0.464 0 0.804 0.339t0.339 0.804v4.571q0 0.464-0.339 0.804t-0.804 0.339h-4.571q-0.464 0-0.804-0.339t-0.339-0.804v-4.571q0-0.464 0.339-0.804t0.804-0.339h4.571zM15.429 16.286v2.286h-15.429v-2.286h15.429zM4 7.143v2.286h-4v-2.286h4zM27.429 25.429v2.286h-13.143v-2.286h13.143zM10.286 4.857q0.464 0 0.804 0.339t0.339 0.804v4.571q0 0.464-0.339 0.804t-0.804 0.339h-4.571q-0.464 0-0.804-0.339t-0.339-0.804v-4.571q0-0.464 0.339-0.804t0.804-0.339h4.571zM21.714 14q0.464 0 0.804 0.339t0.339 0.804v4.571q0 0.464-0.339 0.804t-0.804 0.339h-4.571q-0.464 0-0.804-0.339t-0.339-0.804v-4.571q0-0.464 0.339-0.804t0.804-0.339h4.571zM27.429 16.286v2.286h-4v-2.286h4zM27.429 7.143v2.286h-15.429v-2.286h15.429z"></path>'),
	   	 			'flower_1' => array('keywords' => 'flower_1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25.852 30.476c-1.542-2.506-4.95-4.192-8.851-4.441v-5.277c1.188-0.591 2-2.224 2-4.258 0-0.492-0.049-0.962-0.137-1.398 0.274 0.208 0.572 0.402 0.892 0.576 0.974 0.529 2.030 0.822 2.973 0.822 1.129 0 2.003-0.412 2.461-1.161 0.32-0.521 0.395-1.142 0.221-1.795-0.294-1.097-1.29-2.198-2.664-2.946-0.067-0.037-0.137-0.063-0.206-0.098 0.069-0.034 0.139-0.062 0.207-0.098 1.374-0.748 2.369-1.849 2.663-2.946 0.175-0.654 0.098-1.274-0.221-1.795-0.459-0.749-1.334-1.162-2.462-1.162-0.942 0-1.998 0.292-2.973 0.822-0.32 0.174-0.617 0.369-0.892 0.577 0.088-0.438 0.137-0.907 0.137-1.399 0-2.565-1.29-4.5-3-4.5s-3 1.935-3 4.5c0 0.493 0.049 0.962 0.137 1.399-0.275-0.208-0.572-0.402-0.892-0.577-0.975-0.53-2.030-0.822-2.973-0.822-1.129 0-2.002 0.412-2.461 1.161-0.319 0.521-0.396 1.142-0.221 1.796 0.293 1.097 1.288 2.198 2.663 2.946 0.068 0.036 0.139 0.063 0.207 0.098-0.069 0.034-0.139 0.061-0.207 0.098-1.375 0.748-2.37 1.849-2.663 2.947-0.175 0.653-0.098 1.274 0.221 1.795 0.458 0.749 1.332 1.161 2.461 1.161 0.943 0 1.998-0.292 2.973-0.822 0.32-0.174 0.616-0.368 0.89-0.576-0.088 0.437-0.137 0.905-0.137 1.398 0 2.034 0.812 3.667 2 4.258v5.277c-3.902 0.249-7.311 1.934-8.852 4.442-0.189 0.308-0.198 0.695-0.021 1.012s0.51 0.512 0.873 0.512h18c0.363 0 0.697-0.196 0.873-0.512 0.177-0.317 0.169-0.704-0.021-1.012zM16 19c-0.29 0-1-0.876-1-2.5s0.71-2.5 1-2.5c0.29 0 1 0.876 1 2.5s-0.709 2.5-1 2.5zM16 11.5c-0.552 0-1-0.448-1-1s0.448-1 1-1c0.551 0 1 0.448 1 1s-0.449 1-1 1zM23.477 14.061c0.029 0.106 0.030 0.193 0.006 0.233-0.051 0.082-0.294 0.206-0.756 0.206-0.605 0-1.341-0.211-2.018-0.579-0.994-0.541-1.564-1.247-1.686-1.706-0.029-0.106-0.030-0.194-0.005-0.234 0.050-0.082 0.293-0.206 0.755-0.206 0.605 0 1.341 0.211 2.017 0.579 0.995 0.541 1.564 1.247 1.688 1.706zM19.023 8.785c0.123-0.459 0.692-1.165 1.686-1.707 0.677-0.367 1.413-0.579 2.018-0.579 0.462 0 0.705 0.123 0.756 0.206 0.024 0.040 0.023 0.128-0.006 0.234-0.123 0.459-0.692 1.165-1.686 1.706-0.677 0.367-1.412 0.579-2.017 0.579-0.462 0-0.705-0.123-0.756-0.206-0.024-0.040-0.023-0.127 0.006-0.233zM16 2c0.29 0 1 0.876 1 2.5s-0.71 2.5-1 2.5c-0.29 0-1-0.876-1-2.5s0.71-2.5 1-2.5zM8.523 6.939c-0.028-0.106-0.031-0.193-0.005-0.234 0.050-0.082 0.293-0.205 0.755-0.205 0.605 0 1.341 0.211 2.017 0.579 0.995 0.542 1.564 1.247 1.687 1.706 0.028 0.106 0.030 0.194 0.006 0.233-0.051 0.083-0.294 0.206-0.756 0.206-0.606 0-1.341-0.211-2.017-0.579-0.995-0.541-1.565-1.247-1.687-1.706zM12.977 12.216c-0.123 0.459-0.692 1.165-1.686 1.706-0.677 0.368-1.412 0.579-2.018 0.579-0.462 0-0.705-0.123-0.756-0.206-0.025-0.040-0.023-0.127 0.006-0.233 0.123-0.459 0.692-1.165 1.688-1.707 0.676-0.368 1.411-0.579 2.017-0.579 0.462 0 0.705 0.123 0.755 0.206 0.025 0.041 0.023 0.129-0.005 0.235zM9.277 30c1.636-1.238 4.098-2 6.723-2 2.624 0 5.085 0.762 6.721 2h-13.444z"></path>'),
	   	 			'apple_mouse' => array('keywords' => 'apple_mouse ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25 0c-0.552 0-1 0.448-1 1v3c0 1.103-0.898 2-2 2s-2-0.897-2-2c0-2.205-1.794-4-4-4s-4 1.794-4 4v6.080c-3.386 0.488-6 3.4-6 6.92v8c0 3.86 3.14 7 7 7s7-3.14 7-7v-8c0-3.52-2.614-6.433-6-6.92v-6.080c0-1.103 0.897-2 2-2s2 0.897 2 2c0 2.205 1.794 4 4 4s4-1.795 4-4v-3c0-0.552-0.448-1-1-1zM18 17v8c0 2.757-2.243 5-5 5s-5-2.243-5-5v-8c0-2.757 2.243-5 5-5s5 2.243 5 5zM12 16v2c0 0.552 0.448 1 1 1s1-0.448 1-1v-2c0-0.552-0.448-1-1-1s-1 0.448-1 1z"></path>'),
	   	 			'user_person7' => array('keywords' => 'user_person7 ','viewbox' => '0 0 22 32', 'path' =>'<path d="M11 11c3.033 0 5.5-2.467 5.5-5.5s-2.467-5.5-5.5-5.5c-3.033 0-5.5 2.467-5.5 5.5s2.467 5.5 5.5 5.5zM11 2c1.93 0 3.5 1.571 3.5 3.5s-1.57 3.5-3.5 3.5c-1.93 0-3.5-1.57-3.5-3.5s1.57-3.5 3.5-3.5zM11 12c-6.066 0-11 4.934-11 11 0 0.552 0.448 1 1 1h4v7c0 0.552 0.448 1 1 1h10c0.552 0 1-0.448 1-1v-7h4c0.552 0 1-0.448 1-1 0-6.066-4.934-11-11-11zM16 22c-0.552 0-1 0.448-1 1v7h-8v-7c0-0.552-0.448-1-1-1h-3.945c0.499-4.494 4.321-8 8.945-8s8.446 3.506 8.945 8h-3.945z"></path>'),
	   	 			'omega' => array('keywords' => 'omega ','viewbox' => '0 0 32 32', 'path' =>'<path d="M22 28h8l2-4v8h-12v-6.694c4.097-1.765 7-6.161 7-11.306 0-6.701-4.925-11.946-11-11.946s-11 5.245-11 11.946c0 5.144 2.903 9.541 7 11.306v6.694h-12v-8l2 4h8v-1.018c-5.863-2.077-10-7.106-10-12.982 0-7.732 7.163-14 16-14s16 6.268 16 14c0 5.875-4.137 10.905-10 12.982v1.018z"></path>'),
	   	 			'star-empty' => array('keywords' => 'star-empty ','viewbox' => '0 0 32 32', 'path' =>'<path d="M32 12.408l-11.056-1.607-4.944-10.018-4.944 10.018-11.056 1.607 8 7.798-1.889 11.011 9.889-5.199 9.889 5.199-1.889-11.011 8-7.798zM16 23.547l-6.983 3.671 1.334-7.776-5.65-5.507 7.808-1.134 3.492-7.075 3.492 7.075 7.807 1.134-5.65 5.507 1.334 7.776-6.983-3.671z"></path>'),
	   	 			'invert_colors_on' => array('keywords' => 'invert_colors_on ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 26.792v-19.313l-5.625 5.625q-2.375 2.375-2.375 5.688 0 3.25 2.375 5.625t5.625 2.375zM23.563 11.229q3.125 3.125 3.125 7.531t-3.125 7.531-7.563 3.125-7.563-3.125-3.125-7.531 3.125-7.531l7.563-7.563z"></path>'),
	   	 			'brightness-contrast' => array('keywords' => 'brightness-contrast ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 8c-4.418 0-8 3.582-8 8s3.582 8 8 8 8-3.582 8-8-3.582-8-8-8zM16 21v-10c2.757 0 5 2.243 5 5s-2.243 5-5 5zM16 26c1.105 0 2 0.895 2 2v2c0 1.105-0.895 2-2 2s-2-0.895-2-2v-2c0-1.105 0.895-2 2-2zM16 6c-1.105 0-2-0.895-2-2v-2c0-1.105 0.895-2 2-2s2 0.895 2 2v2c0 1.105-0.895 2-2 2zM30 14c1.105 0 2 0.895 2 2s-0.895 2-2 2h-2c-1.105 0-2-0.895-2-2s0.895-2 2-2h2zM6 16c0 1.105-0.895 2-2 2h-2c-1.105 0-2-0.895-2-2s0.895-2 2-2h2c1.105 0 2 0.895 2 2zM25.899 23.071l1.414 1.414c0.781 0.781 0.781 2.047 0 2.828s-2.047 0.781-2.828 0l-1.414-1.414c-0.781-0.781-0.781-2.047 0-2.828s2.047-0.781 2.828 0zM6.101 8.929l-1.414-1.414c-0.781-0.781-0.781-2.047 0-2.828s2.047-0.781 2.828 0l1.414 1.414c0.781 0.781 0.781 2.047 0 2.828s-2.047 0.781-2.828 0zM25.899 8.929c-0.781 0.781-2.047 0.781-2.828 0s-0.781-2.047 0-2.828l1.414-1.414c0.781-0.781 2.047-0.781 2.828 0s0.781 2.047 0 2.828l-1.414 1.414zM6.101 23.071c0.781-0.781 2.047-0.781 2.828 0s0.781 2.047 0 2.828l-1.414 1.414c-0.781 0.781-2.047 0.781-2.828 0s-0.781-2.047 0-2.828l1.414-1.414z"></path>'),
	   	 			'paper-plane-o' => array('keywords' => 'paper-plane-o ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31.5 0.482q0.589 0.429 0.482 1.143l-4.571 27.429q-0.089 0.518-0.571 0.804-0.25 0.143-0.554 0.143-0.196 0-0.429-0.089l-9.411-3.839-5.321 5.839q-0.321 0.375-0.839 0.375-0.25 0-0.411-0.071-0.339-0.125-0.536-0.42t-0.196-0.652v-8.071l-8.429-3.446q-0.661-0.25-0.714-0.982-0.054-0.696 0.571-1.054l29.714-17.143q0.625-0.375 1.214 0.036zM25.393 27.25l3.946-23.625-25.607 14.768 6 2.446 15.411-11.411-8.536 14.232z"></path>'),
	   	 			'weather_15' => array('keywords' => 'weather_15 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M21.99 3.998c0.552 0 1-0.448 1-1v-1.999c0-0.552-0.448-1-1-1s-1 0.448-1 1v1.999c0 0.552 0.448 1 1 1zM27.987 9.995c0 0.552 0.448 1 1 1h1.999c0.552 0 1-0.448 1-1s-0.448-1-1-1h-1.999c-0.552 0-1 0.448-1 1zM26.937 6.048c0.256 0 0.511-0.097 0.707-0.293l1.413-1.414c0.39-0.39 0.39-1.023 0-1.414s-1.023-0.39-1.413 0l-1.413 1.414c-0.39 0.39-0.39 1.023 0 1.414 0.195 0.195 0.451 0.293 0.707 0.293zM16.336 5.755c0.195 0.195 0.451 0.293 0.707 0.293s0.511-0.097 0.707-0.292c0.39-0.39 0.39-1.023 0-1.414l-1.413-1.414c-0.39-0.39-1.023-0.39-1.413 0s-0.39 1.023 0 1.414l1.413 1.413zM26.967 10.285c0.006-0.096 0.020-0.191 0.020-0.289 0-2.756-2.242-4.998-4.998-4.998-1.329 0-2.536 0.525-3.432 1.375-0.82-0.243-1.681-0.376-2.565-0.376-3.918 0-7.344 2.538-8.541 6.178-0.474-0.12-0.96-0.18-1.454-0.18-3.307 0-5.997 2.69-5.997 5.997s2.69 5.997 5.997 5.997h1.499c0.552 0 1-0.448 1-1s-0.448-1-1-1h-1.499c-2.204 0-3.998-1.794-3.998-3.998s1.794-3.998 3.998-3.998c0.594 0 1.17 0.132 1.716 0.392 0.28 0.133 0.605 0.13 0.882-0.011 0.276-0.14 0.472-0.4 0.53-0.704 0.628-3.288 3.516-5.674 6.867-5.674 2.616 0 4.994 1.446 6.206 3.773 0.226 0.436 0.738 0.642 1.203 0.486 0.518-0.173 1.053-0.261 1.586-0.261 2.756 0 4.998 2.242 4.998 4.998s-2.242 4.998-4.998 4.998h-0.5c-0.552 0-1 0.448-1 1s0.448 1 1 1h0.5c3.858 0 6.997-3.139 6.997-6.997 0-3.171-2.121-5.851-5.018-6.707zM20.669 7.31c0.399-0.198 0.846-0.313 1.321-0.313 1.654 0 2.999 1.345 2.999 2.999-0.477 0-0.954 0.050-1.423 0.148-0.749-1.171-1.744-2.132-2.897-2.834zM13.009 22.132c-0.473-0.284-1.088-0.13-1.371 0.343l-2.999 4.998c-0.284 0.473-0.131 1.087 0.343 1.371 0.161 0.096 0.338 0.142 0.513 0.142 0.34 0 0.671-0.173 0.858-0.485l2.999-4.998c0.284-0.473 0.131-1.087-0.343-1.371zM21.005 22.132c-0.473-0.284-1.087-0.13-1.371 0.343l-2.999 4.998c-0.284 0.473-0.131 1.087 0.343 1.371 0.161 0.096 0.338 0.142 0.513 0.142 0.34 0 0.671-0.173 0.858-0.485l2.999-4.998c0.284-0.473 0.131-1.087-0.343-1.371zM16.978 22.116c-0.482-0.268-1.091-0.094-1.359 0.388l-4.372 8.011c-0.268 0.482-0.094 1.091 0.388 1.359 0.153 0.086 0.32 0.126 0.484 0.126 0.351 0 0.692-0.185 0.875-0.514l4.372-8.011c0.268-0.482 0.095-1.091-0.388-1.359z"></path>'),
	   	 			'cny' => array('keywords' => 'cny ','viewbox' => '0 0 18 32', 'path' =>'<path d="M10.768 27.714h-3.071q-0.232 0-0.402-0.161t-0.17-0.411v-5.893h-5.143q-0.232 0-0.402-0.161t-0.17-0.411v-1.839q0-0.232 0.17-0.402t0.402-0.17h5.143v-1.518h-5.143q-0.232 0-0.402-0.161t-0.17-0.411v-1.857q0-0.232 0.17-0.402t0.402-0.17h3.821l-5.732-10.321q-0.143-0.286 0-0.571 0.179-0.286 0.5-0.286h3.464q0.339 0 0.518 0.321l3.839 7.589q0.339 0.679 1 2.232 0.179-0.429 0.545-1.214t0.491-1.089l3.411-7.5q0.143-0.339 0.518-0.339h3.411q0.304 0 0.482 0.286 0.161 0.25 0.018 0.554l-5.589 10.339h3.839q0.232 0 0.402 0.17t0.17 0.402v1.857q0 0.25-0.17 0.411t-0.402 0.161h-5.179v1.518h5.179q0.232 0 0.402 0.17t0.17 0.402v1.839q0 0.25-0.17 0.411t-0.402 0.161h-5.179v5.893q0 0.232-0.17 0.402t-0.402 0.17z"></path>'),
	   	 			'youtube_searched_for' => array('keywords' => 'youtube_searched_for ','viewbox' => '0 0 32 32', 'path' =>'<path d="M22.688 19.354l6.625 6.625-1.938 2-6.688-6.688v-1l-0.375-0.375q-2.375 2.063-5.625 2.063-2.375 0-4.438-1.188l2-1.938q1.188 0.5 2.438 0.5 2.5 0 4.25-1.75t1.75-4.25-1.75-4.25-4.25-1.75-4.25 1.75-1.75 4.25h4.625l-5.5 5.313-5.125-5.313h3.313q0-3.563 2.563-6.125t6.125-2.563q3.625 0 6.156 2.531t2.531 6.156q0 3.188-2.125 5.625l0.375 0.375h1.063z"></path>'),
	   	 			'volume_off' => array('keywords' => 'volume_off ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 5.979v5.625l-2.813-2.813zM5.688 4.667l22.313 22.313-1.688 1.688-2.75-2.75q-2.313 1.813-4.875 2.438v-2.75q1.563-0.438 3-1.563l-5.688-5.688v9l-6.688-6.688h-5.313v-8h6.313l-6.313-6.313zM25.313 16.667q0-3.188-1.844-5.625t-4.781-3.313v-2.75q4.063 0.875 6.688 4.156t2.625 7.531q0 3-1.375 5.563l-2-2.063q0.688-1.688 0.688-3.5zM22 16.667q0 0.563-0.063 0.813l-3.25-3.25v-2.938q3.313 1.625 3.313 5.375z"></path>'),
	   	 			'list-ul' => array('keywords' => 'list-ul ','viewbox' => '0 0 32 32', 'path' =>'<path d="M6.857 25.429q0 1.429-1 2.429t-2.429 1-2.429-1-1-2.429 1-2.429 2.429-1 2.429 1 1 2.429zM6.857 16.286q0 1.429-1 2.429t-2.429 1-2.429-1-1-2.429 1-2.429 2.429-1 2.429 1 1 2.429zM32 23.714v3.429q0 0.232-0.17 0.402t-0.402 0.17h-21.714q-0.232 0-0.402-0.17t-0.17-0.402v-3.429q0-0.232 0.17-0.402t0.402-0.17h21.714q0.232 0 0.402 0.17t0.17 0.402zM6.857 7.143q0 1.429-1 2.429t-2.429 1-2.429-1-1-2.429 1-2.429 2.429-1 2.429 1 1 2.429zM32 14.571v3.429q0 0.232-0.17 0.402t-0.402 0.17h-21.714q-0.232 0-0.402-0.17t-0.17-0.402v-3.429q0-0.232 0.17-0.402t0.402-0.17h21.714q0.232 0 0.402 0.17t0.17 0.402zM32 5.429v3.429q0 0.232-0.17 0.402t-0.402 0.17h-21.714q-0.232 0-0.402-0.17t-0.17-0.402v-3.429q0-0.232 0.17-0.402t0.402-0.17h21.714q0.232 0 0.402 0.17t0.17 0.402z"></path>'),
	   	 			'money' => array('keywords' => 'money ','viewbox' => '0 0 34 32', 'path' =>'<path d="M13.714 20.857h6.857v-1.714h-2.286v-8h-2.036l-2.643 2.446 1.375 1.429q0.75-0.661 0.982-1.018h0.036v5.143h-2.286v1.714zM22.857 16.286q0 1.25-0.375 2.536t-1.063 2.393-1.813 1.804-2.464 0.696-2.464-0.696-1.813-1.804-1.063-2.393-0.375-2.536 0.375-2.536 1.063-2.393 1.813-1.804 2.464-0.696 2.464 0.696 1.813 1.804 1.063 2.393 0.375 2.536zM32 20.857v-9.143q-1.893 0-3.232-1.339t-1.339-3.232h-20.571q0 1.893-1.339 3.232t-3.232 1.339v9.143q1.893 0 3.232 1.339t1.339 3.232h20.571q0-1.893 1.339-3.232t3.232-1.339zM34.286 6v20.571q0 0.464-0.339 0.804t-0.804 0.339h-32q-0.464 0-0.804-0.339t-0.339-0.804v-20.571q0-0.464 0.339-0.804t0.804-0.339h32q0.464 0 0.804 0.339t0.339 0.804z"></path>'),
	   	 			'opera' => array('keywords' => 'opera ','viewbox' => '0 0 32 32', 'path' =>'<path d="M32 16v0 0c0 4.738-2.063 9-5.337 11.925-4.106 2-7.931 0.6-9.194-0.275 4.031-0.881 7.075-5.756 7.075-11.65s-3.044-10.769-7.075-11.656c1.269-0.875 5.094-2.275 9.194-0.275 3.275 2.931 5.337 7.194 5.337 11.931v0 0zM10.731 6.981c-1.769 2.087-2.912 5.175-2.987 8.644 0 0.006 0 0.744 0 0.756 0.075 3.462 1.225 6.55 2.994 8.637 2.294 2.981 5.706 4.869 9.519 4.869 2.344 0 4.538-0.712 6.413-1.956-2.837 2.531-6.575 4.069-10.669 4.069-0.256 0-0.512-0.006-0.762-0.019-8.481-0.4-15.238-7.4-15.238-15.981 0-8.838 7.162-16 16-16 0.019 0 0.038 0 0.063 0 4.075 0.013 7.787 1.55 10.606 4.075-1.875-1.244-4.069-1.962-6.413-1.962-3.813 0-7.225 1.887-9.525 4.869z"></path>'),
	   	 			'camera_symbol7' => array('keywords' => 'camera_symbol7 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M13.5 6c-3.309 0-6 2.691-6 6s2.691 6 6 6c3.308 0 6-2.691 6-6s-2.692-6-6-6zM13.5 16c-2.206 0-4-1.794-4-4s1.794-4 4-4 4 1.794 4 4-1.794 4-4 4zM27 10c0 1.105-0.895 2-2 2s-2-0.895-2-2c0-1.105 0.895-2 2-2s2 0.895 2 2zM24.707 20.793c-0.39-0.39-1.024-0.39-1.414 0l-2 2c-0.39 0.39-0.39 1.023 0 1.414s1.024 0.39 1.414 0l0.293-0.293v2.086c0 0.552 0.448 1 1 1s1-0.448 1-1v-2.086l0.293 0.293c0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293c0.39-0.39 0.39-1.023 0-1.414l-2-2zM32 7c0-1.655-1.346-3-3-3h-8.5c-0.552 0-1-0.449-1-1 0-1.655-1.346-3-3-3h-7c-1.655 0-3 1.345-3 3 0 0.551-0.449 1-1 1h-2.5c-1.655 0-3 1.345-3 3v12c0 1.654 1.345 3 3 3h13.263c-0.166 0.64-0.263 1.308-0.263 2 0 4.411 3.589 8 8 8s8-3.589 8-8c0-1.117-0.232-2.181-0.648-3.148 0.404-0.51 0.648-1.151 0.648-1.852v-12zM24 30c-3.308 0-6-2.692-6-6s2.692-6 6-6 6 2.692 6 6-2.692 6-6 6zM24 16c-2.953 0-5.532 1.613-6.918 4h-14.082c-0.551 0-1-0.448-1-1v-12c0-0.551 0.449-1 1-1h2.5c1.655 0 3-1.345 3-3 0-0.551 0.448-1 1-1h7c0.552 0 1 0.449 1 1 0 1.655 1.346 3 3 3h8.5c0.552 0 1 0.449 1 1v11.727c-1.468-1.668-3.61-2.727-6-2.727z"></path>'),
	   	 			'arrow-up-right' => array('keywords' => 'arrow-up-right ','viewbox' => '0 0 32 32', 'path' =>'<path d="M9 0l8 8-17 17 7 7 17-17 8 8v-23h-23z"></path>'),
	   	 			'people' => array('keywords' => 'people ','viewbox' => '0 0 32 32', 'path' =>'<path d="M21.313 17.979q1.75 0 3.813 0.5t3.813 1.625 1.75 2.563v3.313h-8v-3.313q0-2.75-2.625-4.625 0.438-0.063 1.25-0.063zM10.688 17.979q1.75 0 3.813 0.5t3.781 1.625 1.719 2.563v3.313h-18.688v-3.313q0-1.438 1.75-2.563t3.813-1.625 3.813-0.5zM10.688 15.354q-1.625 0-2.813-1.188t-1.188-2.813 1.188-2.813 2.813-1.188 2.781 1.188 1.156 2.813-1.156 2.813-2.781 1.188zM21.313 15.354q-1.625 0-2.813-1.188t-1.188-2.813 1.188-2.813 2.813-1.188 2.813 1.188 1.188 2.813-1.188 2.813-2.813 1.188z"></path>'),
	   	 			'rouble' => array('keywords' => 'rouble ','viewbox' => '0 0 23 32', 'path' =>'<path d="M18.625 10.375q0-1.786-1.161-2.893t-3.054-1.107h-5.714v8h5.714q1.893 0 3.054-1.107t1.161-2.893zM22.857 10.375q0 3.446-2.259 5.625t-5.83 2.179h-6.071v2.107h9.018q0.25 0 0.411 0.161t0.161 0.411v2.286q0 0.25-0.161 0.411t-0.411 0.161h-9.018v3.429q0 0.25-0.17 0.411t-0.402 0.161h-2.982q-0.25 0-0.411-0.161t-0.161-0.411v-3.429h-4q-0.25 0-0.411-0.161t-0.161-0.411v-2.286q0-0.25 0.161-0.411t0.411-0.161h4v-2.107h-4q-0.25 0-0.411-0.161t-0.161-0.411v-2.661q0-0.232 0.161-0.402t0.411-0.17h4v-11.232q0-0.25 0.161-0.411t0.411-0.161h9.625q3.571 0 5.83 2.179t2.259 5.625z"></path>'),
	   	 			'sun_donw1' => array('keywords' => 'sun_donw1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 13.5c0.552 0 1-0.448 1-1v-2c0-0.552-0.448-1-1-1s-1 0.448-1 1v2c0 0.552 0.448 1 1 1zM8.222 16.136c0.196 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293c0.39-0.39 0.39-1.024 0-1.414l-1.414-1.414c-0.389-0.39-1.024-0.39-1.414 0s-0.391 1.024 0 1.414l1.414 1.414zM23.072 16.428c0.256 0 0.512-0.098 0.707-0.293l1.414-1.414c0.39-0.39 0.39-1.024 0-1.414s-1.023-0.39-1.414 0l-1.414 1.414c-0.39 0.39-0.39 1.024 0 1.414 0.195 0.195 0.451 0.293 0.707 0.293zM31 20.5h-7.267c-0.899-3.474-4.079-6-7.733-6s-6.833 2.526-7.732 6h-7.268c-0.552 0-1 0.448-1 1s0.448 1 1 1h30c0.552 0 1-0.448 1-1s-0.448-1-1-1zM10.351 20.5c0.833-2.345 3.087-4 5.649-4s4.816 1.655 5.649 4h-11.297z"></path>'),
	   	 			'format_textdirection_r_to_l' => array('keywords' => 'format_textdirection_r_to_l ','viewbox' => '0 0 32 32', 'path' =>'<path d="M10.688 23.354h16v2.625h-16v4l-5.375-5.313 5.375-5.313v4zM13.313 13.979q-2.188 0-3.75-1.563t-1.563-3.75 1.563-3.75 3.75-1.563h10.688v2.625h-2.688v14.688h-2.625v-14.688h-2.688v14.688h-2.688v-6.688z"></path>'),
	   	 			'wallet' => array('keywords' => 'wallet ','viewbox' => '0 0 38 32', 'path' =>'<path d="M32.509 7.5c0.276 0 0.5-0.224 0.5-0.5v-1.665c0-0.903-0.735-1.638-1.638-1.638h-2.687l-0.613-1.809c-0.086-0.255-0.36-0.397-0.619-0.318l-14.553 4.424c-0.264 0.081-0.413 0.36-0.333 0.624 0.066 0.216 0.264 0.354 0.479 0.354 0.048 0 0.097-0.007 0.146-0.021l14.089-4.284 1.343 3.965c0.089 0.262 0.375 0.404 0.634 0.313 0.262-0.088 0.402-0.373 0.313-0.634l-0.547-1.615h2.349c0.352 0 0.638 0.286 0.638 0.638v1.666c-0.001 0.276 0.223 0.5 0.499 0.5zM36.5 15c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5c0.351 0 0.5 0.149 0.5 0.5v6c0 0.351-0.149 0.5-0.5 0.5h-8c-0.351 0-0.5-0.149-0.5-0.5v-5c0-0.351 0.149-0.5 0.5-0.5h6c0.276 0 0.5-0.224 0.5-0.5v-6c0-0.911-0.589-1.5-1.5-1.5h-30.5c-1.233 0-2-0.767-2-2s0.767-2 2-2h5.076l-3.026 0.998c-0.262 0.086-0.405 0.369-0.319 0.631 0.069 0.21 0.265 0.343 0.475 0.343 0.052 0 0.104-0.008 0.157-0.025l18.119-5.973c0.262-0.087 0.405-0.369 0.318-0.632-0.086-0.262-0.369-0.405-0.632-0.318l-12.1 3.99c-0.023-0.004-0.044-0.014-0.068-0.014h-8c-1.794 0-3 1.206-3 3v22c0 1.794 1.206 3 3 3h30.5c0.911 0 1.5-0.589 1.5-1.5v-5c0-0.276-0.224-0.5-0.5-0.5s-0.5 0.224-0.5 0.5v5c0 0.351-0.149 0.5-0.5 0.5h-30.5c-1.233 0-2-0.767-2-2v-19.688c0.513 0.433 1.192 0.688 2 0.688h30.5c0.351 0 0.5 0.149 0.5 0.5v5.5h-5.5c-0.911 0-1.5 0.589-1.5 1.5v5c0 0.911 0.589 1.5 1.5 1.5h8c0.911 0 1.5-0.589 1.5-1.5v-6c0-0.911-0.589-1.5-1.5-1.5zM31 20c0 0.552 0.448 1 1 1s1-0.448 1-1c0-0.552-0.448-1-1-1s-1 0.448-1 1z"></path>'),
	   	 			'text_format_indent_1' => array('keywords' => 'text_format_indent_1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M1 2h30c0.552 0 1-0.448 1-1s-0.448-1-1-1h-30c-0.552 0-1 0.448-1 1s0.448 1 1 1zM31 12h-20c-0.552 0-1 0.448-1 1s0.448 1 1 1h20c0.552 0 1-0.447 1-1s-0.448-1-1-1zM21 30h-20c-0.552 0-1 0.448-1 1s0.448 1 1 1h20c0.552 0 1-0.448 1-1s-0.448-1-1-1zM31 24h-30c-0.552 0-1 0.448-1 1s0.448 1 1 1h30c0.552 0 1-0.448 1-1s-0.448-1-1-1zM31 6h-30c-0.552 0-1 0.448-1 1s0.448 1 1 1h30c0.552 0 1-0.447 1-1s-0.448-1-1-1zM31 18h-20c-0.552 0-1 0.448-1 1s0.448 1 1 1h20c0.552 0 1-0.448 1-1s-0.448-1-1-1zM6 12.001c0-0.256-0.098-0.511-0.293-0.707-0.391-0.39-1.024-0.39-1.414 0l-4 4c-0.391 0.39-0.391 1.024 0 1.414l4 4c0.391 0.39 1.024 0.39 1.414 0s0.391-1.023 0-1.414l-3.293-3.293 3.293-3.293c0.196-0.195 0.293-0.451 0.293-0.707z"></path>'),
	   	 			'settings_remote' => array('keywords' => 'settings_remote ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 0.667q6.188 0 10.375 4.313l-1.875 1.875q-3.5-3.5-8.5-3.5t-8.5 3.5l-1.875-1.875q4.313-4.313 10.375-4.313zM9.375 8.729q2.75-2.75 6.625-2.75t6.625 2.75l-1.875 1.875q-1.938-1.938-4.75-1.938t-4.75 1.938zM16 20.667q1.063 0 1.875-0.813t0.813-1.875-0.813-1.844-1.875-0.781-1.875 0.781-0.813 1.844 0.813 1.875 1.875 0.813zM20 12.667q0.563 0 0.938 0.375t0.375 0.938v16q0 0.563-0.375 0.969t-0.938 0.406h-8q-0.563 0-0.938-0.406t-0.375-0.969v-16q0-0.563 0.375-0.938t0.938-0.375h8z"></path>'),
	   	 			'bluetooth_connected' => array('keywords' => 'bluetooth_connected ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25.313 13.979l2.688 2.688-2.688 2.688-2.625-2.688zM19.813 22.417l-2.5-2.563v5.063zM17.313 8.417v5.063l2.5-2.563zM23.625 10.917l-5.75 5.75 5.75 5.75-7.625 7.563h-1.313v-10.125l-6.125 6.125-1.875-1.875 7.438-7.438-7.438-7.438 1.875-1.875 6.125 6.125v-10.125h1.313zM9.313 16.667l-2.625 2.688-2.688-2.688 2.688-2.688z"></path>'),
	   	 			'toc' => array('keywords' => 'toc ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25.313 17.979v-2.625h2.688v2.625h-2.688zM25.313 9.979h2.688v2.688h-2.688v-2.688zM25.313 23.354v-2.688h2.688v2.688h-2.688zM4 23.354v-2.688h18.688v2.688h-18.688zM4 17.979v-2.625h18.688v2.625h-18.688zM4 12.667v-2.688h18.688v2.688h-18.688z"></path>'),
	   	 			'picture' => array('keywords' => 'picture ','viewbox' => '0 0 32 32', 'path' =>'<path d="M1.5 32h29c0.827 0 1.5-0.673 1.5-1.5v-29c0-0.827-0.673-1.5-1.5-1.5h-29c-0.827 0-1.5 0.673-1.5 1.5v29c0 0.827 0.673 1.5 1.5 1.5zM1 1.5c0-0.276 0.225-0.5 0.5-0.5h29c0.275 0 0.5 0.224 0.5 0.5v29c0 0.276-0.225 0.5-0.5 0.5h-29c-0.275 0-0.5-0.224-0.5-0.5v-29zM20.5 12.5c1.103 0 2-0.897 2-2s-0.897-2-2-2-2 0.897-2 2 0.897 2 2 2zM20.5 9.5c0.552 0 1 0.449 1 1s-0.448 1-1 1-1-0.449-1-1 0.448-1 1-1zM4.5 25h23c0.276 0 0.5-0.224 0.5-0.5v-20c0-0.276-0.224-0.5-0.5-0.5h-23c-0.276 0-0.5 0.224-0.5 0.5v20c0 0.276 0.224 0.5 0.5 0.5zM5 24v-5.638c0.022-0.016 0.047-0.025 0.067-0.045l5.116-5.116c0.26-0.26 0.712-0.259 0.972 0l7.521 7.521c0.098 0.098 0.226 0.146 0.354 0.146 0.124 0 0.248-0.046 0.345-0.138l3.866-3.672c0.13-0.13 0.303-0.202 0.486-0.202 0.184 0 0.355 0.072 0.471 0.187l2.802 3.052c0 0 0.001 0 0.001 0.001v3.904h-22.001zM27 5v13.618l-2.081-2.266c-0.317-0.319-0.741-0.495-1.191-0.495-0.001 0-0.001 0-0.001 0-0.451 0-0.875 0.176-1.185 0.486l-3.504 3.328-7.176-7.177c-0.639-0.638-1.749-0.637-2.386 0l-4.476 4.477v-11.971h22z"></path>'),
	   	 			'magic_design_tool2' => array('keywords' => 'magic_design_tool2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31.794 7.894l-1.885-2.525 1.007-2.977c0.125-0.372 0.029-0.782-0.248-1.059-0.279-0.278-0.689-0.374-1.060-0.248l-2.978 1.006-2.525-1.885c-0.314-0.235-0.736-0.272-1.086-0.093s-0.568 0.541-0.563 0.934l0.044 3.144-2.565 1.812c-0.32 0.226-0.485 0.615-0.424 1.003 0.062 0.388 0.338 0.708 0.712 0.824l1.947 0.607c-0.044 0.032-0.088 0.066-0.128 0.105l-21.75 21.75c-0.391 0.39-0.391 1.023 0 1.414 0.196 0.196 0.451 0.294 0.707 0.294s0.511-0.098 0.707-0.293l21.75-21.75c0.040-0.040 0.073-0.084 0.105-0.129l0.607 1.947c0.051 0.162 0.14 0.306 0.256 0.422 0.151 0.151 0.349 0.255 0.569 0.29 0.387 0.061 0.777-0.104 1.003-0.424l1.812-2.564 3.144 0.044c0.393 0.005 0.756-0.213 0.934-0.563s0.142-0.771-0.093-1.086zM27.294 7.428c-0.34-0.005-0.661 0.158-0.857 0.436l-0.921 1.302-0.477-1.529c-0.050-0.162-0.139-0.306-0.256-0.423-0.116-0.117-0.261-0.205-0.422-0.255l-1.529-0.476 1.302-0.921c0.278-0.197 0.441-0.517 0.436-0.857l-0.023-1.594 1.281 0.957c0.272 0.203 0.626 0.26 0.948 0.151l1.515-0.513-0.512 1.516c-0.109 0.321-0.052 0.675 0.151 0.947l0.956 1.28-1.593-0.022z"></path>'),
	   	 			'bolt' => array('keywords' => 'bolt ','viewbox' => '0 0 16 32', 'path' =>'<path d="M15.804 10.393q0.321 0.357 0.125 0.786l-9.643 20.661q-0.232 0.446-0.75 0.446-0.071 0-0.25-0.036-0.304-0.089-0.455-0.339t-0.080-0.536l3.518-14.429-7.25 1.804q-0.071 0.018-0.214 0.018-0.321 0-0.554-0.196-0.321-0.268-0.232-0.696l3.589-14.732q0.071-0.25 0.286-0.411t0.5-0.161h5.857q0.339 0 0.571 0.223t0.232 0.527q0 0.143-0.089 0.321l-3.054 8.268 7.071-1.75q0.143-0.036 0.214-0.036 0.339 0 0.607 0.268z"></path>'),
	   	 			'settings_input_antenna' => array('keywords' => 'settings_input_antenna ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 1.979q6.063 0 10.375 4.313t4.313 10.375h-2.688q0-5-3.5-8.5t-8.5-3.5-8.5 3.5-3.5 8.5h-2.688q0-6.063 4.313-10.375t10.375-4.313zM17.313 19.729v4.375l4.563 4.563-1.875 1.875-4-4-4 4-1.875-1.875 4.563-4.563v-4.375q-2-0.813-2-3.063 0-1.375 0.969-2.344t2.344-0.969 2.344 0.969 0.969 2.344q0 2.25-2 3.063zM16 7.354q3.875 0 6.594 2.719t2.719 6.594h-2.625q0-2.75-1.969-4.719t-4.719-1.969-4.719 1.969-1.969 4.719h-2.625q0-3.875 2.719-6.594t6.594-2.719z"></path>'),
	   	 			'weather_1' => array('keywords' => 'weather_1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M22 4c0.552 0 1-0.448 1-1v-2c0-0.552-0.448-1-1-1s-1 0.448-1 1v2c0 0.552 0.448 1 1 1zM28 10c0 0.552 0.448 1 1 1h2c0.552 0 1-0.448 1-1s-0.448-1-1-1h-2c-0.552 0-1 0.448-1 1zM26.949 6.051c0.256 0 0.512-0.098 0.707-0.293l1.414-1.415c0.39-0.39 0.39-1.024 0-1.415s-1.023-0.39-1.414 0l-1.414 1.415c-0.39 0.391-0.39 1.024 0 1.415 0.195 0.195 0.451 0.293 0.707 0.293zM16.343 5.758c0.195 0.196 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.292c0.39-0.391 0.39-1.024 0-1.415l-1.414-1.415c-0.39-0.39-1.024-0.39-1.414 0s-0.39 1.024 0 1.415l1.414 1.414zM26.98 10.29c0.006-0.097 0.020-0.191 0.020-0.29 0-2.757-2.243-5-5-5-1.33 0-2.537 0.526-3.433 1.376-0.82-0.244-1.682-0.376-2.567-0.376-3.92 0-7.348 2.539-8.545 6.18-0.474-0.12-0.96-0.181-1.455-0.181-3.308 0-6 2.691-6 6s2.692 6 6 6h1.5c0.552 0 1-0.448 1-1s-0.448-1-1-1h-1.5c-2.205 0-4-1.794-4-4s1.795-4 4-4c0.594 0 1.171 0.132 1.716 0.392 0.279 0.133 0.605 0.13 0.883-0.011s0.473-0.4 0.53-0.704c0.629-3.29 3.518-5.677 6.87-5.677 2.617 0 4.996 1.447 6.209 3.775 0.227 0.437 0.738 0.642 1.204 0.486 0.518-0.174 1.053-0.261 1.587-0.261 2.757 0 5 2.243 5 5s-2.243 5-5 5h-0.5c-0.552 0-1 0.448-1 1s0.448 1 1 1h0.5c3.86 0 7-3.14 7-7 0-3.172-2.122-5.854-5.020-6.71zM20.678 7.313c0.399-0.198 0.846-0.313 1.322-0.313 1.654 0 3 1.345 3 3-0.477 0-0.954 0.050-1.424 0.149-0.749-1.172-1.745-2.133-2.898-2.835zM11.5 21c-0.552 0-1 0.448-1 1v2c0 0.552 0.448 1 1 1s1-0.448 1-1v-2c0-0.552-0.448-1-1-1zM14.5 22c-0.552 0-1 0.448-1 1v2c0 0.552 0.448 1 1 1s1-0.448 1-1v-2c0-0.552-0.448-1-1-1zM17.5 21c-0.552 0-1 0.448-1 1v2c0 0.552 0.448 1 1 1s1-0.448 1-1v-2c0-0.552-0.448-1-1-1zM20.5 22c-0.552 0-1 0.448-1 1v2c0 0.552 0.448 1 1 1s1-0.448 1-1v-2c0-0.552-0.448-1-1-1zM11.5 27c-0.552 0-1 0.448-1 1v2c0 0.552 0.448 1 1 1s1-0.448 1-1v-2c0-0.552-0.448-1-1-1zM14.5 28c-0.552 0-1 0.448-1 1v2c0 0.552 0.448 1 1 1s1-0.448 1-1v-2c0-0.552-0.448-1-1-1zM17.5 27c-0.552 0-1 0.448-1 1v2c0 0.552 0.448 1 1 1s1-0.448 1-1v-2c0-0.552-0.448-1-1-1zM20.5 28c-0.552 0-1 0.448-1 1v2c0 0.552 0.448 1 1 1s1-0.448 1-1v-2c0-0.552-0.448-1-1-1z"></path>'),
	   	 			'apple' => array('keywords' => 'apple ','viewbox' => '0 0 25 32', 'path' =>'<path d="M24.875 21.982q-0.696 2.232-2.196 4.464-2.304 3.5-4.589 3.5-0.875 0-2.5-0.571-1.536-0.571-2.696-0.571-1.089 0-2.536 0.589-1.446 0.607-2.357 0.607-2.714 0-5.375-4.625-2.625-4.661-2.625-8.982 0-4.071 2.018-6.679 2-2.571 5.071-2.571 1.286 0 3.161 0.536 1.857 0.536 2.464 0.536 0.804 0 2.554-0.607 1.821-0.607 3.089-0.607 2.125 0 3.804 1.161 0.929 0.643 1.857 1.786-1.411 1.196-2.036 2.107-1.161 1.679-1.161 3.696 0 2.214 1.232 3.982t2.821 2.25zM18.161 1.036q0 1.089-0.518 2.429-0.536 1.339-1.661 2.464-0.964 0.964-1.929 1.286-0.661 0.196-1.857 0.304 0.054-2.661 1.393-4.589 1.321-1.911 4.464-2.643 0.018 0.054 0.045 0.196t0.045 0.196q0 0.071 0.009 0.179t0.009 0.179z"></path>'),
	   	 			'exit' => array('keywords' => 'exit ','viewbox' => '0 0 32 32', 'path' =>'<path d="M24 20v-4h-10v-4h10v-4l6 6zM22 18v8h-10v6l-12-6v-26h22v10h-2v-8h-16l8 4v18h8v-6z"></path>'),
	   	 			'crop_rotate' => array('keywords' => 'crop_rotate ','viewbox' => '0 0 32 32', 'path' =>'<path d="M10.688 21.979h16v2.688h-2.688v2.688h-2.688v-2.688h-10.625q-1.125 0-1.906-0.813t-0.781-1.875v-10.625h-2.688v-2.688h2.688v-2.688h2.688v16zM21.313 19.354v-8h-8v-2.688h8q1.063 0 1.875 0.781t0.813 1.906v8h-2.688zM16.063 0.667q6.25 0 10.844 4.25t5.094 10.438h-2q-0.375-3.75-2.5-6.75t-5.438-4.563l-1.813 1.75-5.063-5.063q0.188 0 0.438-0.031t0.438-0.031zM9.938 29.292l1.813-1.75 5.063 5.063q-0.188 0-0.438 0.031t-0.438 0.031q-6.25 0-10.844-4.25t-5.094-10.438h2q0.375 3.75 2.5 6.75t5.438 4.563z"></path>'),
	   	 			'toast_bread' => array('keywords' => 'toast_bread ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 13.501h-1.198c-0.669-2.583-3.013-4.5-5.802-4.5h-1v-1.176c1.165-0.412 2.003-1.521 2.003-2.825 0-0.024-0.006-0.045-0.007-0.069-0.037-1.622-1.365-2.932-2.997-2.932h-12.002c-1.655 0-3 1.345-3 3 0 0.014 0.003 0.027 0.004 0.041 0.019 1.285 0.848 2.376 1.998 2.784v1.175h-1c-3.308 0-6 2.691-6 6v12c0 0.552 0.448 1 1 1h1v1c0 0.552 0.448 1 1 1s1-0.448 1-1v-1h20v1c0 0.552 0.448 1 1 1s1-0.448 1-1v-1h1c0.552 0 1-0.448 1-1v-7.5h1c1.654 0 3-1.346 3-3s-1.346-3-3-3zM9 7.001c0-0.552-0.448-1-1-1s-1-0.45-1-1.003c0-0.003-0-0.005-0.001-0.008 0.006-0.546 0.451-0.989 0.999-0.989h12.002c0.552 0 1 0.448 1 1 0 0.006 0.002 0.011 0.002 0.016-0.010 0.544-0.454 0.984-1.002 0.984-0.552 0-1 0.448-1 1 0 0 0 0 0 0v2.001h-10v-2zM2 15.001c0-2.205 1.795-4 4-4h16c2.206 0 4 1.794 4 4v7h-24v-7zM26 26.001h-24v-2h24v2zM29 17.501h-1v-2h1c0.552 0 1 0.448 1 1s-0.448 1-1 1z"></path>'),
	   	 			'bar-chart' => array('keywords' => 'bar-chart ','viewbox' => '0 0 37 32', 'path' =>'<path d="M11.429 16.286v9.143h-4.571v-9.143h4.571zM18.286 7.143v18.286h-4.571v-18.286h4.571zM36.571 27.714v2.286h-36.571v-27.429h2.286v25.143h34.286zM25.143 11.714v13.714h-4.571v-13.714h4.571zM32 4.857v20.571h-4.571v-20.571h4.571z"></path>'),
	   	 			'cog2' => array('keywords' => 'cog2 ','viewbox' => '0 0 27 32', 'path' =>'<path d="M18.286 16.286q0-1.893-1.339-3.232t-3.232-1.339-3.232 1.339-1.339 3.232 1.339 3.232 3.232 1.339 3.232-1.339 1.339-3.232zM27.429 14.339v3.964q0 0.214-0.143 0.411t-0.357 0.232l-3.304 0.5q-0.339 0.964-0.696 1.625 0.625 0.893 1.911 2.464 0.179 0.214 0.179 0.446t-0.161 0.411q-0.482 0.661-1.768 1.929t-1.679 1.268q-0.214 0-0.464-0.161l-2.464-1.929q-0.786 0.411-1.625 0.679-0.286 2.429-0.518 3.321-0.125 0.5-0.643 0.5h-3.964q-0.25 0-0.438-0.152t-0.205-0.384l-0.5-3.286q-0.875-0.286-1.607-0.661l-2.518 1.911q-0.179 0.161-0.446 0.161-0.25 0-0.446-0.196-2.25-2.036-2.946-3-0.125-0.179-0.125-0.411 0-0.214 0.143-0.411 0.268-0.375 0.911-1.188t0.964-1.259q-0.482-0.893-0.732-1.768l-3.268-0.482q-0.232-0.036-0.375-0.223t-0.143-0.42v-3.964q0-0.214 0.143-0.411t0.339-0.232l3.321-0.5q0.25-0.821 0.696-1.643-0.714-1.018-1.911-2.464-0.179-0.214-0.179-0.429 0-0.179 0.161-0.411 0.464-0.643 1.759-1.92t1.688-1.277q0.232 0 0.464 0.179l2.464 1.911q0.786-0.411 1.625-0.679 0.286-2.429 0.518-3.321 0.125-0.5 0.643-0.5h3.964q0.25 0 0.438 0.152t0.205 0.384l0.5 3.286q0.875 0.286 1.607 0.661l2.536-1.911q0.161-0.161 0.429-0.161 0.232 0 0.446 0.179 2.304 2.125 2.946 3.036 0.125 0.143 0.125 0.393 0 0.214-0.143 0.411-0.268 0.375-0.911 1.188t-0.964 1.259q0.464 0.893 0.732 1.75l3.268 0.5q0.232 0.036 0.375 0.223t0.143 0.42z"></path>'),
	   	 			'yelp2' => array('keywords' => 'yelp2 ','viewbox' => '0 0 27 32', 'path' =>'<path d="M13.804 23.839v2.268q-0.018 5.214-0.107 5.446-0.214 0.571-0.911 0.714-0.964 0.161-3.241-0.679t-2.902-1.589q-0.232-0.268-0.304-0.643-0.018-0.214 0.071-0.464 0.071-0.179 0.607-0.839t3.232-3.857q0.018 0 1.071-1.25 0.268-0.339 0.705-0.438t0.884 0.063q0.429 0.179 0.67 0.518t0.223 0.75zM11.143 19.357q-0.054 0.982-0.929 1.25l-2.143 0.696q-4.911 1.571-5.214 1.571-0.625-0.036-0.964-0.643-0.214-0.446-0.304-1.339-0.143-1.357 0.018-2.973t0.536-2.223 1-0.571q0.232 0 3.607 1.375 1.25 0.518 2.054 0.839l1.5 0.607q0.411 0.161 0.634 0.545t0.205 0.866zM25.893 24.661q-0.125 0.964-1.634 2.875t-2.42 2.268q-0.661 0.25-1.125-0.125-0.25-0.179-3.286-5.125l-0.839-1.375q-0.25-0.375-0.205-0.821t0.348-0.821q0.625-0.768 1.482-0.464 0.018 0.018 2.125 0.714 3.625 1.179 4.321 1.42t0.839 0.366q0.5 0.393 0.393 1.089zM13.893 13.375q0.089 1.821-0.964 2.179-1.036 0.304-2.036-1.268l-6.75-10.679q-0.143-0.625 0.339-1.107 0.732-0.768 3.705-1.598t4.009-0.563q0.714 0.179 0.875 0.804 0.054 0.321 0.393 5.455t0.429 6.777zM25.714 15.304q0.054 0.696-0.464 1.054-0.268 0.179-5.875 1.536-1.196 0.268-1.625 0.411l0.018-0.036q-0.411 0.107-0.821-0.071t-0.661-0.571q-0.536-0.839 0-1.554 0.018-0.018 1.339-1.821 2.232-3.054 2.679-3.643t0.607-0.696q0.5-0.339 1.161-0.036 0.857 0.411 2.196 2.384t1.446 2.991v0.054z"></path>'),
	   	 			'white_house' => array('keywords' => 'white_house ','viewbox' => '0 0 32 32', 'path' =>'<path d="M28 24c0.552 0 1-0.448 1-1v-2c0-0.552-0.448-1-1-1s-1 0.448-1 1v2c0 0.552 0.448 1 1 1zM4 20c-0.553 0-1 0.448-1 1v2c0 0.552 0.447 1 1 1s1-0.448 1-1v-2c0-0.552-0.448-1-1-1zM31 17h-5v-1c0-0.552-0.448-1-1-1h-1v-2c0-0.552-0.448-1-1-1h-0.080c-0.339-2.352-1.848-4.326-3.92-5.315v-2.685c0-0.552-0.448-1-1-1h-1v-2c0-0.552-0.448-1-1-1s-1 0.448-1 1v2h-1c-0.553 0-1 0.448-1 1v2.685c-2.072 0.989-3.582 2.962-3.921 5.315h-0.079c-0.553 0-1 0.448-1 1v2h-1c-0.553 0-1 0.448-1 1v1h-5c-0.552 0-1 0.448-1 1v11c0 0.552 0.448 1 1 1h3v1c0 0.552 0.447 1 1 1h22c0.552 0 1-0.448 1-1v-1h3c0.552 0 1-0.448 1-1v-11c0-0.552-0.448-1-1-1zM23 17h1v9h-3v-9h2zM19 26h-2v-9h2v9zM15 26h-2v-9h2v9zM15 5h2v1.080c-0.328-0.048-0.66-0.080-1-0.080s-0.673 0.032-1 0.080v-1.080zM16 8c2.414 0 4.434 1.72 4.899 4h-9.799c0.465-2.28 2.485-4 4.899-4zM10 14h12v1h-12v-1zM8 18v-1h3v9h-3v-8zM4 27v1h-2v-9h4v7h-1c-0.553 0-1 0.448-1 1zM26 30h-20v-2h20v2zM30 28h-2v-1c0-0.552-0.448-1-1-1h-1v-7h4v9z"></path>'),
	   	 			'atom_symbol' => array('keywords' => 'atom_symbol ','viewbox' => '0 0 32 32', 'path' =>'<path d="M18.081 16c0 1.105-0.895 2-2 2s-2-0.895-2-2c0-1.105 0.895-2 2-2s2 0.895 2 2zM29.938 8c-0.559-0.969-1.861-2.125-4.878-2.125-1.016 0-2.146 0.138-3.345 0.395-1.254-3.86-3.272-6.27-5.634-6.27s-4.38 2.41-5.634 6.27c-1.199-0.258-2.329-0.395-3.345-0.395-3.017 0-4.318 1.156-4.878 2.125-1.179 2.043-0.106 4.989 2.6 8-2.705 3.011-3.78 5.957-2.6 8 0.559 0.969 1.861 2.125 4.877 2.125 1.016 0 2.146-0.137 3.345-0.395 1.254 3.86 3.273 6.27 5.634 6.27s4.381-2.41 5.634-6.27c1.199 0.258 2.328 0.395 3.345 0.395 3.017 0 4.318-1.156 4.878-2.125 1.179-2.043 0.105-4.989-2.6-8 2.706-3.011 3.779-5.957 2.6-8zM25.060 7.875c1.61 0 2.727 0.399 3.145 1.125 0.656 1.136-0.18 3.228-2.272 5.57-0.9-0.844-1.922-1.683-3.049-2.498-0.141-1.379-0.355-2.678-0.636-3.876 1.011-0.208 1.959-0.322 2.811-0.322zM18.581 20.33c-0.83 0.479-1.667 0.918-2.5 1.315-0.833-0.398-1.67-0.836-2.5-1.315-0.848-0.489-1.645-0.994-2.393-1.506-0.069-0.904-0.107-1.846-0.107-2.825s0.038-1.921 0.107-2.825c0.748-0.511 1.545-1.016 2.393-1.505 0.83-0.479 1.667-0.918 2.5-1.315 0.833 0.398 1.67 0.836 2.5 1.315 0.848 0.489 1.645 0.993 2.393 1.505 0.070 0.903 0.108 1.845 0.108 2.825s-0.038 1.921-0.108 2.825c-0.747 0.512-1.545 1.017-2.392 1.506zM20.674 21.407c-0.105 0.664-0.228 1.299-0.366 1.899-0.599-0.182-1.211-0.393-1.832-0.631 0.37-0.198 0.739-0.4 1.107-0.612 0.372-0.215 0.735-0.434 1.092-0.655zM13.688 22.674c-0.621 0.238-1.234 0.449-1.832 0.631-0.139-0.601-0.261-1.235-0.367-1.899 0.357 0.221 0.72 0.441 1.092 0.656 0.367 0.212 0.736 0.413 1.107 0.611zM9.103 17.274c-0.526-0.426-1.016-0.851-1.469-1.274 0.452-0.423 0.943-0.848 1.469-1.274-0.013 0.42-0.022 0.844-0.022 1.274s0.009 0.854 0.022 1.274zM11.489 10.594c0.105-0.664 0.228-1.299 0.367-1.899 0.598 0.182 1.211 0.393 1.832 0.631-0.37 0.198-0.739 0.4-1.107 0.612-0.373 0.215-0.735 0.434-1.092 0.655zM18.474 9.325c0.622-0.238 1.234-0.449 1.832-0.632 0.139 0.601 0.262 1.235 0.366 1.899-0.358-0.221-0.72-0.441-1.093-0.656-0.366-0.211-0.736-0.414-1.107-0.611zM23.059 14.726c0.526 0.426 1.016 0.851 1.469 1.274-0.453 0.423-0.943 0.848-1.469 1.274 0.013-0.42 0.022-0.844 0.022-1.274s-0.009-0.854-0.022-1.274zM16.081 2c1.314 0 2.712 1.779 3.695 4.773-1.198 0.362-2.44 0.825-3.695 1.383-1.255-0.557-2.497-1.021-3.694-1.383 0.982-2.994 2.38-4.773 3.694-4.773zM3.957 9c0.418-0.726 1.535-1.125 3.145-1.125 0.853 0 1.801 0.113 2.811 0.322-0.28 1.198-0.494 2.497-0.636 3.876-1.127 0.815-2.149 1.654-3.049 2.498-2.091-2.342-2.927-4.434-2.272-5.57zM7.102 24.125c-1.609 0-2.726-0.399-3.145-1.125-0.656-1.136 0.18-3.228 2.272-5.57 0.9 0.844 1.922 1.683 3.049 2.498 0.141 1.378 0.355 2.677 0.636 3.875-1.011 0.209-1.959 0.322-2.812 0.322zM16.081 30c-1.315 0-2.712-1.779-3.694-4.773 1.198-0.361 2.44-0.826 3.694-1.383 1.255 0.557 2.497 1.021 3.695 1.383-0.983 2.994-2.38 4.773-3.695 4.773zM28.205 23c-0.419 0.726-1.535 1.125-3.145 1.125-0.852 0-1.801-0.113-2.811-0.322 0.28-1.198 0.494-2.497 0.636-3.875 1.128-0.815 2.149-1.654 3.049-2.498 2.091 2.342 2.927 4.434 2.271 5.57z"></path>'),
	   	 			'home_window' => array('keywords' => 'home_window ','viewbox' => '0 0 32 32', 'path' =>'<path d="M11 13.5c-0.552 0-1 0.448-1 1v10c0 0.552 0.448 1 1 1h10c0.552 0 1-0.448 1-1v-10c0-0.552-0.448-1-1-1h-10zM20 18.5h-3v-3h3v3zM15 18.5h-3v-3h3v3zM12 20.5h3v3h-3v-3zM17 20.5h3v3h-3v-3zM31.207 14.793l-14.5-14.5c-0.39-0.391-1.024-0.391-1.414 0l-14.5 14.5c-0.391 0.39-0.391 1.024 0 1.414s1.024 0.39 1.414 0l1.793-1.793v14.586c0 1.65 1.35 3 3 3h18c1.65 0 3-1.35 3-3v-14.586l1.793 1.793c0.39 0.39 1.024 0.39 1.414 0s0.39-1.024 0-1.414zM26 29c0 0.55-0.45 1-1 1h-18c-0.55 0-1-0.45-1-1v-16.586l10-10 10 10v16.586z"></path>'),
	   	 			'settings_input_component' => array('keywords' => 'settings_input_component ','viewbox' => '0 0 32 32', 'path' =>'<path d="M22.688 21.979v-2.625h8v2.625q0 1.313-0.75 2.313t-1.938 1.438v5.625h-2.688v-5.625q-2.625-0.938-2.625-3.75zM17.313 3.354v5.312h2.688v8h-8v-8h2.688v-5.313q0-0.563 0.375-0.969t0.938-0.406 0.938 0.406 0.375 0.969zM28 8.667h2.688v8h-8v-8h2.625v-5.313q0-0.563 0.406-0.969t0.969-0.406 0.938 0.406 0.375 0.969v5.313zM1.313 21.979v-2.625h8v2.625q0 2.813-2.625 3.75v5.625h-2.688v-5.625q-1.188-0.438-1.938-1.438t-0.75-2.313zM12 21.979v-2.625h8v2.625q0 1.313-0.75 2.313t-1.938 1.438v5.625h-2.625v-5.625q-1.188-0.438-1.938-1.438t-0.75-2.313zM6.688 3.354v5.312h2.625v8h-8v-8h2.688v-5.313q0-0.563 0.375-0.969t0.938-0.406 0.969 0.406 0.406 0.969z"></path>'),
	   	 			'map_symbol1' => array('keywords' => 'map_symbol1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31.371 4.072l-10-4c0 0.002 0 0.003 0 0.004-0.236-0.095-0.502-0.101-0.742-0.004l-9.629 3.852-9.629-3.852c-0.308-0.123-0.657-0.085-0.932 0.101s-0.44 0.496-0.44 0.828v26c0 0.409 0.249 0.776 0.628 0.928l10 4c0.12 0.048 0.246 0.072 0.371 0.072 0.127 0 0.249-0.032 0.368-0.080 0.001 0.003 0.002 0.006 0.004 0.009l9.629-3.852 9.629 3.852c0.119 0.048 0.245 0.071 0.371 0.071 0.198 0 0.392-0.058 0.561-0.172 0.275-0.186 0.439-0.496 0.439-0.828v-26c0-0.409-0.249-0.777-0.629-0.928zM2 2.477l8 3.2v23.846l-8-3.2v-23.846zM12 5.677l8-3.2v23.846l-8 3.2v-23.846zM30 29.523l-8-3.2v-23.846l8 3.2v23.846z"></path>'),
	   	 			'dropbox' => array('keywords' => 'dropbox ','viewbox' => '0 0 32 32', 'path' =>'<path d="M23 1l-7 6 9 6 7-6zM16 7l-7-6-9 6 7 6zM25 13l7 6-9 5-7-6zM16 18l-9-5-7 6 9 5zM22.755 26.424l-6.755-5.79-6.755 5.79-4.245-2.358v2.934l11 5 11-5v-2.934z"></path>'),
	   	 			'firefox' => array('keywords' => 'firefox ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31.954 10.442l-0.371 2.377c0 0-0.53-4.402-1.179-6.047-0.995-2.521-1.438-2.501-1.441-2.498 0.667 1.694 0.546 2.604 0.546 2.604s-1.181-3.219-4.303-4.243c-3.459-1.134-5.33-0.824-5.547-0.765-0.033-0-0.064-0-0.095-0 0.026 0.002 0.050 0.005 0.076 0.007-0.001 0.001-0.003 0.001-0.003 0.002 0.014 0.017 3.822 0.666 4.497 1.594 0 0-1.617 0-3.227 0.464-0.073 0.021 5.923 0.749 7.148 6.74 0 0-0.657-1.371-1.47-1.604 0.535 1.626 0.397 4.712-0.112 6.245-0.066 0.197-0.133-0.853-1.135-1.305 0.321 2.301-0.019 5.952-1.616 6.957-0.124 0.078 1.001-3.603 0.226-2.18-4.46 6.838-9.731 3.155-12.101 1.535 1.215 0.264 3.52-0.041 4.541-0.8 0.001-0.001 0.002-0.002 0.004-0.003 1.108-0.758 1.765-1.311 2.354-1.18s0.982-0.46 0.524-0.985c-0.459-0.526-1.572-1.249-3.079-0.855-1.063 0.278-2.379 1.454-4.389 0.264-1.543-0.914-1.688-1.673-1.702-2.199 0.038-0.186 0.086-0.361 0.143-0.52 0.178-0.496 0.716-0.646 1.015-0.764 0.508 0.087 0.946 0.246 1.405 0.481 0.006-0.153 0.008-0.356-0.001-0.586 0.044-0.088 0.017-0.352-0.054-0.674-0.041-0.322-0.107-0.655-0.211-0.959 0-0 0.001-0 0.001-0 0.002-0.001 0.003-0.001 0.005-0.002s0.005-0.004 0.007-0.006c0-0.001 0.001-0.001 0.001-0.002 0.003-0.004 0.005-0.008 0.006-0.015 0.032-0.144 0.376-0.423 0.804-0.722 0.383-0.268 0.834-0.553 1.19-0.774 0.314-0.195 0.554-0.34 0.605-0.378 0.019-0.015 0.042-0.032 0.068-0.051 0.005-0.004 0.009-0.007 0.014-0.011 0.003-0.002 0.006-0.005 0.009-0.007 0.169-0.135 0.421-0.389 0.474-0.924 0-0.001 0-0.002 0-0.004 0.002-0.016 0.003-0.032 0.004-0.048 0.001-0.011 0.002-0.023 0.002-0.034 0-0.009 0.001-0.018 0.001-0.027 0.001-0.021 0.002-0.043 0.002-0.065 0-0.001 0-0.002 0-0.004 0.001-0.052-0-0.106-0.003-0.163-0.002-0.032-0.004-0.060-0.009-0.086-0-0.001-0.001-0.003-0.001-0.004-0.001-0.003-0.001-0.005-0.002-0.008-0.001-0.005-0.002-0.009-0.004-0.013-0-0.001-0-0.001-0.001-0.001-0.002-0.005-0.004-0.010-0.005-0.014-0-0-0-0-0-0.001-0.055-0.128-0.26-0.177-1.108-0.191-0.001-0-0.002-0-0.002-0v0c-0.346-0.006-0.798-0.006-1.391-0.004-1.039 0.004-1.613-1.016-1.797-1.41 0.251-1.389 0.977-2.379 2.17-3.051 0.023-0.013 0.018-0.023-0.009-0.031 0.233-0.141-2.82-0.004-4.225 1.782-1.247-0.31-2.333-0.289-3.269-0.069-0.18-0.005-0.404-0.027-0.67-0.083-0.623-0.564-1.514-1.606-1.562-2.85 0 0-0.003 0.002-0.008 0.006-0.001-0.012-0.002-0.024-0.002-0.036 0 0-1.897 1.458-1.613 5.434-0.001 0.064-0.002 0.125-0.004 0.184-0.514 0.696-0.768 1.282-0.787 1.411-0.455 0.926-0.917 2.32-1.292 4.437 0 0 0.263-0.833 0.79-1.777-0.388 1.188-0.693 3.036-0.514 5.808 0 0 0.047-0.615 0.215-1.5 0.131 1.719 0.704 3.841 2.152 6.337 2.78 4.791 7.052 7.211 11.775 7.582 0.839 0.069 1.689 0.071 2.544 0.006 0.079-0.006 0.157-0.011 0.236-0.018 0.968-0.068 1.942-0.214 2.914-0.449 13.287-3.212 11.842-19.256 11.842-19.256z"></path>'),
	   	 			'cake_symbol' => array('keywords' => 'cake_symbol ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31.996 13.463c-0.001-0.036-0.006-0.070-0.011-0.105-0.004-0.031-0.009-0.062-0.015-0.091-0.008-0.032-0.018-0.063-0.029-0.094s-0.020-0.060-0.034-0.089c-0.013-0.030-0.030-0.057-0.046-0.085s-0.032-0.056-0.052-0.082c-0.018-0.025-0.039-0.049-0.060-0.073-0.023-0.027-0.047-0.052-0.072-0.075-0.009-0.009-0.016-0.019-0.026-0.027l-6.838-5.861c-0.344-1.013-1.139-1.817-2.146-2.175 0.308-0.708 1.014-1.204 1.834-1.204 0.552 0 1-0.448 1-1s-0.448-1-1-1c-1.904 0-3.499 1.337-3.901 3.122-1.495 0.399-2.601 1.761-2.601 3.379 0 0.011 0.002 0.021 0.002 0.031l-17.254 4.501c-0.022 0.006-0.041 0.017-0.064 0.024-0.033 0.011-0.068 0.023-0.1 0.037-0.030 0.014-0.057 0.030-0.085 0.046-0.029 0.017-0.055 0.032-0.082 0.052-0.028 0.019-0.052 0.041-0.076 0.063-0.024 0.021-0.047 0.041-0.069 0.064-0.023 0.024-0.042 0.049-0.061 0.073-0.019 0.026-0.039 0.052-0.056 0.079s-0.030 0.053-0.044 0.081c-0.015 0.030-0.030 0.059-0.042 0.091-0.011 0.030-0.020 0.060-0.029 0.092s-0.018 0.062-0.023 0.094c-0.006 0.035-0.009 0.071-0.011 0.107-0.002 0.022-0.007 0.043-0.007 0.066v16c0 0.552 0.448 1 1 1h30c0.552 0 1-0.448 1-1v-16c0-0.012-0.003-0.024-0.004-0.037zM21.5 17.5c-0.552 0-1 0.448-1 1 0 1.626-2.061 3-4.5 3-2.437 0-4.497-1.372-4.5-2.997 0-0.001 0.001-0.003 0.001-0.003h-0.001c0-0.552-0.448-1-1-1s-1 0.448-1 1c0 0.001 0 0.003 0 0.003-0.003 1.625-2.062 2.997-4.5 2.997-1.109 0-2.175-0.283-3.002-0.784v-6.216h28v6.216c-0.826 0.5-1.892 0.784-3 0.784-2.439 0-4.5-1.374-4.5-3h-0c0-0.552-0.448-1-1-1zM21.5 6.5c0.827 0 1.5 0.673 1.5 1.5s-0.673 1.5-1.5 1.5-1.5-0.673-1.5-1.5 0.673-1.5 1.5-1.5zM21.5 11.5c1.426 0 2.654-0.858 3.198-2.085l3.599 3.085h-19.501l9.796-2.556c0.628 0.937 1.697 1.556 2.908 1.556zM2 28.5v-5.559c0.914 0.363 1.936 0.558 3.002 0.558 2.317 0 4.348-0.94 5.5-2.347 1.152 1.407 3.183 2.347 5.5 2.347s4.349-0.941 5.5-2.348c1.151 1.407 3.183 2.348 5.5 2.348 1.064 0 2.086-0.195 3-0.558v5.559h-28z"></path>'),
	   	 			'shopping-cart' => array('keywords' => 'shopping-cart ','viewbox' => '0 0 30 32', 'path' =>'<path d="M11.429 27.714q0 0.929-0.679 1.607t-1.607 0.679-1.607-0.679-0.679-1.607 0.679-1.607 1.607-0.679 1.607 0.679 0.679 1.607zM27.429 27.714q0 0.929-0.679 1.607t-1.607 0.679-1.607-0.679-0.679-1.607 0.679-1.607 1.607-0.679 1.607 0.679 0.679 1.607zM29.714 8.286v9.143q0 0.429-0.295 0.759t-0.723 0.384l-18.643 2.179q0.232 1.071 0.232 1.25 0 0.286-0.429 1.143h16.429q0.464 0 0.804 0.339t0.339 0.804-0.339 0.804-0.804 0.339h-18.286q-0.464 0-0.804-0.339t-0.339-0.804q0-0.196 0.143-0.563t0.286-0.643 0.384-0.714 0.277-0.527l-3.161-14.696h-3.643q-0.464 0-0.804-0.339t-0.339-0.804 0.339-0.804 0.804-0.339h4.571q0.286 0 0.509 0.116t0.348 0.277 0.232 0.438 0.143 0.464 0.098 0.527 0.080 0.464h21.446q0.464 0 0.804 0.339t0.339 0.804z"></path>'),
	   	 			'repeat_one' => array('keywords' => 'repeat_one ','viewbox' => '0 0 32 32', 'path' =>'<path d="M17.313 20.667h-2v-5.313h-2v-1.375l2.688-1.313h1.313v8zM22.688 23.354v-5.375h2.625v8h-16v4l-5.313-5.313 5.313-5.313v4h13.375zM9.313 9.979v5.375h-2.625v-8h16v-4l5.313 5.313-5.313 5.313v-4h-13.375z"></path>'),
	   	 			'router' => array('keywords' => 'router ','viewbox' => '0 0 32 32', 'path' =>'<path d="M20 24.667v-2.688h-2.688v2.688h2.688zM15.313 24.667v-2.688h-2.625v2.688h2.625zM10.688 24.667v-2.688h-2.688v2.688h2.688zM25.313 17.979q1.063 0 1.875 0.813t0.813 1.875v5.313q0 1.063-0.813 1.875t-1.875 0.813h-18.625q-1.063 0-1.875-0.813t-0.813-1.875v-5.313q0-1.063 0.813-1.875t1.875-0.813h13.313v-5.313h2.688v5.313h2.625zM25.75 9.604l-1.063 1.063q-1.313-1.313-3.375-1.313-2 0-3.313 1.313l-1.063-1.063q1.875-1.875 4.375-1.875 2.563 0 4.438 1.875zM26.938 8.542q-2.563-2.25-5.625-2.25-3 0-5.563 2.25l-1.063-1.063q2.813-2.813 6.625-2.813 3.875 0 6.688 2.813z"></path>'),
	   	 			'signal_symbol1' => array('keywords' => 'signal_symbol1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M15.986 13c-1.655 0-3 1.345-3 3s1.345 3 3 3 3-1.346 3-3-1.346-3-3-3zM15.986 17c-0.552 0-1-0.448-1-1s0.448-1 1-1 1 0.448 1 1c0 0.552-0.449 1-1 1zM27.722 4.823c-0.373-0.407-1.006-0.433-1.413-0.059s-0.433 1.006-0.059 1.413c4.98 5.416 4.98 14.23 0 19.646-0.373 0.406-0.347 1.039 0.059 1.413 0.192 0.177 0.434 0.264 0.677 0.264 0.27 0 0.54-0.108 0.736-0.323 5.667-6.163 5.667-16.191-0-22.354zM24.727 7.329c-0.371-0.41-1.003-0.441-1.413-0.071s-0.441 1.003-0.070 1.412c3.658 4.041 3.658 10.617 0 14.658-0.37 0.409-0.339 1.042 0.070 1.412 0.192 0.174 0.431 0.259 0.671 0.259 0.273 0 0.544-0.111 0.741-0.329 4.328-4.781 4.328-12.56 0-17.342zM21.706 10.306c-0.384-0.398-1.017-0.408-1.414-0.025-0.397 0.384-0.408 1.017-0.025 1.414 2.292 2.374 2.292 6.237 0 8.611-0.384 0.398-0.372 1.030 0.025 1.414 0.195 0.187 0.445 0.28 0.695 0.28 0.262 0 0.523-0.102 0.719-0.305 3.032-3.14 3.032-8.249 0-11.389zM5.723 6.176c0.374-0.407 0.348-1.039-0.059-1.413-0.405-0.373-1.039-0.347-1.413 0.059-5.667 6.163-5.667 16.191 0 22.354 0.197 0.214 0.466 0.323 0.737 0.323 0.242 0 0.484-0.087 0.676-0.264 0.407-0.373 0.433-1.006 0.059-1.413-4.981-5.418-4.981-14.23 0-19.647zM8.728 8.671c0.37-0.409 0.339-1.042-0.070-1.412s-1.042-0.34-1.412 0.071c-4.328 4.781-4.328 12.561 0 17.343 0.197 0.217 0.469 0.328 0.742 0.328 0.239 0 0.479-0.086 0.671-0.259 0.409-0.37 0.441-1.003 0.070-1.413-3.658-4.041-3.658-10.617 0-14.658zM11.681 10.28c-0.397-0.383-1.030-0.373-1.414 0.025-3.031 3.14-3.031 8.249 0 11.389 0.196 0.203 0.457 0.305 0.72 0.305 0.25 0 0.501-0.094 0.694-0.281 0.397-0.384 0.409-1.017 0.025-1.414-2.292-2.373-2.292-6.236 0-8.611 0.383-0.397 0.372-1.030-0.025-1.413z"></path>'),
	   	 			'cloud-download' => array('keywords' => 'cloud-download ','viewbox' => '0 0 32 32', 'path' =>'<path d="M27.844 11.252c-0.101-4.022-3.389-7.252-7.433-7.252-2.369 0-4.477 1.109-5.839 2.835-0.764-0.987-1.959-1.624-3.303-1.624-2.307 0-4.176 1.871-4.176 4.179 0 0.201 0.015 0.399 0.043 0.592-0.351-0.063-0.711-0.098-1.080-0.098-3.344-0-6.054 2.712-6.054 6.058s2.71 6.058 6.054 6.058h2.868l7.078 7.328 7.078-7.328 3.484-0c3.004-0.006 5.438-2.444 5.438-5.451 0-2.565-1.771-4.716-4.156-5.296zM16 26l-6-6h4v-6h4v6h4l-6 6z"></path>'),
	   	 			'cc-discover' => array('keywords' => 'cc-discover ','viewbox' => '0 0 41 32', 'path' =>'<path d="M5.589 14.161q0 0.911-0.643 1.5-0.518 0.464-1.589 0.464h-0.304v-3.929h0.304q1.089 0 1.589 0.482 0.643 0.554 0.643 1.482zM37.304 13q0 0.929-1.143 0.929h-0.339v-1.804h0.357q1.125 0 1.125 0.875zM6.786 14.161q0-1.321-0.893-2.152t-2.304-0.83h-1.696v5.946h1.696q1.321 0 2.125-0.679 1.071-0.911 1.071-2.286zM7.321 17.125h1.161v-5.946h-1.161v5.946zM13.036 15.321q0-0.714-0.366-1.107t-1.348-0.75q-0.518-0.179-0.705-0.339t-0.188-0.411q0-0.286 0.241-0.473t0.616-0.188q0.518 0 0.946 0.482l0.607-0.786q-0.732-0.661-1.75-0.661-0.786 0-1.321 0.491t-0.536 1.205q0 0.625 0.321 0.991t1.143 0.652q0.661 0.232 0.804 0.339 0.339 0.214 0.339 0.607 0 0.357-0.25 0.598t-0.643 0.241q-0.857 0-1.268-0.786l-0.75 0.714q0.786 1.143 2.054 1.143 0.911 0 1.482-0.545t0.571-1.42zM18 16.929v-1.375q-0.661 0.661-1.393 0.661-0.875 0-1.438-0.58t-0.563-1.473q0-0.857 0.563-1.455t1.384-0.598q0.768 0 1.446 0.679v-1.375q-0.714-0.357-1.429-0.357-1.321 0-2.241 0.902t-0.92 2.205 0.911 2.205 2.232 0.902q0.75 0 1.446-0.339zM40 27.714v-9.411q-1.161 0.714-2.58 1.5t-4.241 2.089-5.884 2.455-7.455 2.402-9 2.107h28.018q0.464 0 0.804-0.339t0.339-0.804zM24.804 14.196q0-1.339-0.946-2.286t-2.286-0.946-2.286 0.946-0.946 2.286 0.946 2.286 2.286 0.946 2.286-0.946 0.946-2.286zM27.518 17.286l2.571-6.107h-1.268l-1.607 4-1.589-4h-1.268l2.536 6.107h0.625zM30.607 17.125h3.286v-1h-2.125v-1.607h2.054v-1h-2.054v-1.321h2.125v-1.018h-3.286v5.946zM37.589 17.125h1.429l-1.875-2.5q1.357-0.286 1.357-1.679 0-0.839-0.554-1.304t-1.554-0.464h-1.732v5.946h1.161v-2.375h0.161zM41.143 4.964v22.643q0 1-0.688 1.696t-1.67 0.696h-36.429q-0.982 0-1.67-0.696t-0.688-1.696v-22.643q0-1 0.688-1.696t1.67-0.696h36.429q0.982 0 1.67 0.696t0.688 1.696z"></path>'),
	   	 			'film2' => array('keywords' => 'film2 ','viewbox' => '0 0 34 32', 'path' =>'<path d="M6.857 28.857v-2.286q0-0.464-0.339-0.804t-0.804-0.339h-2.286q-0.464 0-0.804 0.339t-0.339 0.804v2.286q0 0.464 0.339 0.804t0.804 0.339h2.286q0.464 0 0.804-0.339t0.339-0.804zM6.857 22v-2.286q0-0.464-0.339-0.804t-0.804-0.339h-2.286q-0.464 0-0.804 0.339t-0.339 0.804v2.286q0 0.464 0.339 0.804t0.804 0.339h2.286q0.464 0 0.804-0.339t0.339-0.804zM6.857 15.143v-2.286q0-0.464-0.339-0.804t-0.804-0.339h-2.286q-0.464 0-0.804 0.339t-0.339 0.804v2.286q0 0.464 0.339 0.804t0.804 0.339h2.286q0.464 0 0.804-0.339t0.339-0.804zM25.143 28.857v-9.143q0-0.464-0.339-0.804t-0.804-0.339h-13.714q-0.464 0-0.804 0.339t-0.339 0.804v9.143q0 0.464 0.339 0.804t0.804 0.339h13.714q0.464 0 0.804-0.339t0.339-0.804zM6.857 8.286v-2.286q0-0.464-0.339-0.804t-0.804-0.339h-2.286q-0.464 0-0.804 0.339t-0.339 0.804v2.286q0 0.464 0.339 0.804t0.804 0.339h2.286q0.464 0 0.804-0.339t0.339-0.804zM32 28.857v-2.286q0-0.464-0.339-0.804t-0.804-0.339h-2.286q-0.464 0-0.804 0.339t-0.339 0.804v2.286q0 0.464 0.339 0.804t0.804 0.339h2.286q0.464 0 0.804-0.339t0.339-0.804zM25.143 15.143v-9.143q0-0.464-0.339-0.804t-0.804-0.339h-13.714q-0.464 0-0.804 0.339t-0.339 0.804v9.143q0 0.464 0.339 0.804t0.804 0.339h13.714q0.464 0 0.804-0.339t0.339-0.804zM32 22v-2.286q0-0.464-0.339-0.804t-0.804-0.339h-2.286q-0.464 0-0.804 0.339t-0.339 0.804v2.286q0 0.464 0.339 0.804t0.804 0.339h2.286q0.464 0 0.804-0.339t0.339-0.804zM32 15.143v-2.286q0-0.464-0.339-0.804t-0.804-0.339h-2.286q-0.464 0-0.804 0.339t-0.339 0.804v2.286q0 0.464 0.339 0.804t0.804 0.339h2.286q0.464 0 0.804-0.339t0.339-0.804zM32 8.286v-2.286q0-0.464-0.339-0.804t-0.804-0.339h-2.286q-0.464 0-0.804 0.339t-0.339 0.804v2.286q0 0.464 0.339 0.804t0.804 0.339h2.286q0.464 0 0.804-0.339t0.339-0.804zM34.286 5.429v24q0 1.179-0.839 2.018t-2.018 0.839h-28.571q-1.179 0-2.018-0.839t-0.839-2.018v-24q0-1.179 0.839-2.018t2.018-0.839h28.571q1.179 0 2.018 0.839t0.839 2.018z"></path>'),
	   	 			'unfold_more' => array('keywords' => 'unfold_more ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 24.917l4.25-4.25 1.875 1.875-6.125 6.125-6.125-6.125 1.875-1.875zM16 8.417l-4.25 4.25-1.875-1.875 6.125-6.125 6.125 6.125-1.875 1.875z"></path>'),
	   	 			'basket_n2' => array('keywords' => 'basket_n2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 8h-6.029l4.733-4.735c0.001-0.001 0.002-0.002 0.003-0.002 0.39-0.39 0.39-1.024 0-1.414s-1.024-0.391-1.415 0l-6.151 6.151h-8.172l-6.207-6.207c-0.391-0.391-1.024-0.391-1.415 0s-0.39 1.024 0 1.415l4.794 4.792h-6.142c-1.649 0-3 1.35-3 3v2c0 1.357 0.915 2.511 2.159 2.877l1.341 11.623c0 1.651 1.349 3 3 3h19c1.649 0 3-1.349 3-3l1.341-11.623c1.244-0.367 2.159-1.52 2.159-2.877v-2c0-1.651-1.349-3-3-3zM26.5 27.5c0 0.55-0.45 1-1 1h-19c-0.55 0-1-0.45-1-1l-1.327-11.5h23.654l-1.327 11.5zM30 13c0 0.55-0.45 1-1 1h-26c-0.55 0-1-0.45-1-1v-2c0-0.55 0.45-1.001 1-1.001l26 0.001c0.55 0 1 0.45 1 1v2zM23 20c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM23 24.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM19 20c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM19 24.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM15 20c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM15 24.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM11 20c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM11 24.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1z"></path>'),
	   	 			'gps_fixed' => array('keywords' => 'gps_fixed ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 25.979q3.875 0 6.594-2.719t2.719-6.594-2.719-6.594-6.594-2.719-6.594 2.719-2.719 6.594 2.719 6.594 6.594 2.719zM27.938 15.354h2.75v2.625h-2.75q-0.438 4.188-3.438 7.188t-7.188 3.438v2.75h-2.625v-2.75q-4.188-0.438-7.188-3.438t-3.438-7.188h-2.75v-2.625h2.75q0.438-4.188 3.438-7.188t7.188-3.438v-2.75h2.625v2.75q4.188 0.438 7.188 3.438t3.438 7.188zM16 11.354q2.188 0 3.75 1.563t1.563 3.75-1.563 3.75-3.75 1.563-3.75-1.563-1.563-3.75 1.563-3.75 3.75-1.563z"></path>'),
	   	 			'adjustments' => array('keywords' => 'adjustments ','viewbox' => '0 0 33 32', 'path' =>'<path d="M31 0h-29c-0.822 0-2 1.178-2 2v28c0 0.822 1.178 2 2 2h29c0.822 0 2-1.178 2-2v-28c0-0.822-1.178-2-2-2zM32 30c-0.006 0.284-0.716 0.994-1 1h-29c-0.284-0.006-0.994-0.716-1-1v-28c0.006-0.284 0.716-0.994 1-1h29c0.284 0.006 0.994 0.716 1 1v28zM16.5 5.5c-1.103 0-2 0.897-2 2s0.897 2 2 2 2-0.897 2-2-0.897-2-2-2zM16.5 8.5c-0.551 0-1-0.449-1-1s0.449-1 1-1 1 0.449 1 1-0.449 1-1 1zM24.5 21.5c-1.103 0-2 0.897-2 2s0.897 2 2 2 2-0.897 2-2-0.897-2-2-2zM24.5 24.5c-0.551 0-1-0.449-1-1s0.449-1 1-1 1 0.449 1 1-0.449 1-1 1zM8.5 16.5c-1.103 0-2 0.897-2 2s0.897 2 2 2 2-0.897 2-2-0.897-2-2-2zM8.5 19.5c-0.551 0-1-0.449-1-1s0.449-1 1-1 1 0.449 1 1-0.449 1-1 1zM8.5 15c0.276 0 0.5-0.224 0.5-0.5v-9c0-0.276-0.224-0.5-0.5-0.5s-0.5 0.224-0.5 0.5v9c0 0.276 0.224 0.5 0.5 0.5zM8.5 22c-0.276 0-0.5 0.224-0.5 0.5v3c0 0.276 0.224 0.5 0.5 0.5s0.5-0.224 0.5-0.5v-3c0-0.276-0.224-0.5-0.5-0.5zM16.5 11c-0.276 0-0.5 0.224-0.5 0.5v14c0 0.276 0.224 0.5 0.5 0.5s0.5-0.224 0.5-0.5v-14c0-0.276-0.224-0.5-0.5-0.5zM24.5 20c0.276 0 0.5-0.224 0.5-0.5v-14c0-0.276-0.224-0.5-0.5-0.5s-0.5 0.224-0.5 0.5v14c0 0.276 0.224 0.5 0.5 0.5z"></path>'),
	   	 			'tune' => array('keywords' => 'tune ','viewbox' => '0 0 32 32', 'path' =>'<path d="M20 12.667v-8h2.688v2.688h5.313v2.625h-5.313v2.688h-2.688zM28 17.979h-13.313v-2.625h13.313v2.625zM9.313 12.667h2.688v8h-2.688v-2.688h-5.313v-2.625h5.313v-2.688zM17.313 28.667h-2.625v-8h2.625v2.688h10.688v2.625h-10.688v2.688zM4 7.354h13.313v2.625h-13.313v-2.625zM4 23.354h8v2.625h-8v-2.625z"></path>'),
	   	 			'basket_n5' => array('keywords' => 'basket_n5 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 8h-6.029l4.735-4.735c0-0.001 0.002-0.002 0.003-0.002 0.39-0.39 0.39-1.024 0-1.414s-1.024-0.391-1.415 0l-6.151 6.151h-8.172l-6.207-6.207c-0.391-0.391-1.024-0.391-1.415 0s-0.39 1.024 0 1.415l4.793 4.792h-6.141c-1.649 0-3 1.35-3 3v2c0 1.357 0.915 2.511 2.159 2.877l1.341 11.623c0 1.651 1.349 3 3 3h19c1.649 0 3-1.349 3-3l1.341-11.623c1.244-0.367 2.159-1.52 2.159-2.877v-2c0-1.651-1.349-3-3-3zM26.5 27.5c0 0.55-0.45 1-1 1h-19c-0.55 0-1-0.45-1-1l-1.327-11.5h23.654l-1.327 11.5zM30 13c0 0.55-0.45 1-1 1h-26c-0.55 0-1-0.45-1-1v-2c0-0.55 0.45-1.001 1-1.001l26 0.001c0.55 0 1 0.45 1 1v2z"></path>'),
	   	 			'safari2' => array('keywords' => 'safari2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16.946 16.232q0 0.464-0.295 0.804t-0.741 0.339q-0.464 0-0.804-0.295t-0.339-0.741q0-0.464 0.304-0.804t0.75-0.339 0.786 0.295 0.339 0.741zM17.214 17.268l6.25-10.375q-0.161 0.143-1.205 1.116t-2.241 2.080-2.438 2.268-2.089 1.973-0.902 0.92l-6.232 10.357q0.125-0.125 1.196-1.107t2.25-2.080 2.429-2.268 2.089-1.982 0.893-0.902zM28.768 16.286q0 3.589-1.857 6.625-0.054-0.036-0.304-0.196t-0.473-0.295-0.295-0.134q-0.232 0-0.232 0.232 0 0.179 1.054 0.786-1.321 2-3.295 3.402t-4.313 1.973l-0.286-1.196q-0.018-0.179-0.268-0.179-0.089 0-0.143 0.098t-0.036 0.17l0.286 1.214q-1.286 0.268-2.607 0.268-3.554 0-6.643-1.875 0.018-0.036 0.232-0.366t0.384-0.598 0.17-0.339q0-0.232-0.232-0.232-0.107 0-0.304 0.259t-0.402 0.616-0.241 0.411q-2.018-1.339-3.429-3.348t-1.964-4.366l1.232-0.268q0.179-0.054 0.179-0.268 0-0.089-0.098-0.143t-0.188-0.036l-1.214 0.268q-0.25-1.286-0.25-2.482 0-3.679 1.946-6.768 0.036 0.018 0.33 0.214t0.536 0.339 0.313 0.143q0.232 0 0.232-0.214 0-0.107-0.223-0.277t-0.58-0.384l-0.357-0.214q1.375-2 3.375-3.375t4.357-1.911l0.268 1.196q0.036 0.179 0.268 0.179 0.089 0 0.143-0.098t0.036-0.188l-0.268-1.179q1.268-0.232 2.393-0.232 3.643 0 6.768 1.946-0.696 1-0.696 1.161 0 0.232 0.214 0.232 0.196 0 0.857-1.143 1.982 1.339 3.348 3.321t1.92 4.304l-1 0.214q-0.179 0.036-0.179 0.286 0 0.089 0.098 0.143t0.17 0.036l1.018-0.232q0.25 1.286 0.25 2.5zM30.286 16.286q0-2.911-1.134-5.554t-3.045-4.554-4.554-3.045-5.554-1.134-5.554 1.134-4.554 3.045-3.045 4.554-1.134 5.554 1.134 5.554 3.045 4.554 4.554 3.045 5.554 1.134 5.554-1.134 4.554-3.045 3.045-4.554 1.134-5.554zM32 16.286q0 3.25-1.268 6.214t-3.411 5.107-5.107 3.411-6.214 1.268-6.214-1.268-5.107-3.411-3.411-5.107-1.268-6.214 1.268-6.214 3.411-5.107 5.107-3.411 6.214-1.268 6.214 1.268 5.107 3.411 3.411 5.107 1.268 6.214z"></path>'),
	   	 			'stars_connect' => array('keywords' => 'stars_connect ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31.939 23.113c-0.15-0.47-0.543-0.809-1.030-0.886l-2.242-0.342-1.012-2.146c-0.041-0.087-0.098-0.162-0.155-0.236v-5.503c-0.002-0.002-0.003-0.003-0.005-0.005-0.001-0.225-0.073-0.45-0.227-0.636-2.657-3.189-5.247-5.117-10.268-5.338v-2.3c0.595-0.346 1-0.984 1-1.722 0-1.105-0.896-2-2-2s-2 0.895-2 2c0 0.738 0.405 1.376 1.001 1.722v2.3c-5.021 0.221-7.611 2.149-10.268 5.338-0.156 0.188-0.228 0.414-0.227 0.64-0.002 0-0.003 0.001-0.005 0.001v5.497c-0.059 0.075-0.115 0.152-0.156 0.241l-1.011 2.147-2.246 0.342c-0.483 0.076-0.876 0.415-1.031 0.904-0.136 0.451-0.018 0.942 0.315 1.289l1.65 1.684-0.387 2.373c-0.088 0.485 0.101 0.97 0.487 1.261 0.221 0.169 0.495 0.262 0.772 0.262 0.215 0 0.427-0.055 0.614-0.158l1.994-1.099 2.016 1.111c0.439 0.227 0.991 0.169 1.356-0.111 0.386-0.289 0.578-0.767 0.498-1.249l-0.39-2.391 1.647-1.683c0.334-0.341 0.455-0.837 0.312-1.308-0.15-0.47-0.543-0.809-1.030-0.886l-2.242-0.342-1.011-2.146c-0.041-0.087-0.098-0.162-0.156-0.236v-5.133c2.245-2.627 4.391-4.137 8.5-4.343v4.022c-0.034 0.051-0.074 0.097-0.101 0.154l-0.736 1.563-1.628 0.248c-0.461 0.070-0.836 0.393-0.983 0.856-0.13 0.428-0.018 0.895 0.299 1.224l1.204 1.23-0.284 1.736c-0.081 0.459 0.099 0.917 0.463 1.192 0.211 0.161 0.473 0.25 0.737 0.25 0.204 0 0.406-0.052 0.585-0.151l1.443-0.796 1.463 0.805c0.415 0.218 0.942 0.165 1.293-0.104 0.367-0.275 0.549-0.73 0.474-1.185l-0.285-1.749 1.205-1.231c0.316-0.323 0.43-0.794 0.294-1.236-0.142-0.448-0.517-0.771-0.98-0.843l-1.627-0.248-0.733-1.556c-0.027-0.058-0.068-0.106-0.103-0.158v-4.024c4.11 0.206 6.256 1.716 8.5 4.343v5.128c-0.059 0.076-0.116 0.154-0.157 0.242l-1.011 2.146-2.246 0.342c-0.483 0.076-0.876 0.415-1.031 0.904-0.136 0.451-0.018 0.942 0.314 1.289l1.65 1.684-0.387 2.373c-0.088 0.485 0.101 0.97 0.488 1.261 0.221 0.169 0.494 0.262 0.772 0.262 0.215 0 0.429-0.055 0.613-0.158l1.994-1.099 2.016 1.111c0.437 0.226 0.983 0.174 1.356-0.111 0.386-0.289 0.578-0.767 0.498-1.249l-0.39-2.391 1.655-1.69c0.328-0.341 0.445-0.834 0.303-1.301zM6.84 23.781l1.406 0.215-1.048 1.070c-0.222 0.227-0.323 0.547-0.272 0.861l0.237 1.45-1.178-0.65c-0.151-0.083-0.317-0.124-0.483-0.124s-0.333 0.041-0.482 0.124l-1.179 0.649 0.237-1.449c0.051-0.314-0.050-0.634-0.272-0.861l-1.048-1.070 1.406-0.215c0.33-0.050 0.612-0.261 0.755-0.563l0.585-1.242 0.586 1.243c0.141 0.301 0.425 0.512 0.753 0.561zM17.672 17.762l-0.511 0.521c-0.223 0.227-0.323 0.547-0.273 0.861l0.11 0.677-0.517-0.285c-0.15-0.082-0.317-0.124-0.483-0.124s-0.332 0.041-0.482 0.124l-0.517 0.285 0.111-0.677c0.052-0.314-0.050-0.634-0.273-0.861l-0.511-0.521 0.665-0.102c0.329-0.050 0.613-0.261 0.755-0.563l0.253-0.54 0.255 0.54c0.142 0.302 0.425 0.512 0.754 0.563l0.664 0.102zM28.198 25.066c-0.223 0.227-0.323 0.547-0.273 0.861l0.236 1.45-1.178-0.65c-0.151-0.083-0.317-0.124-0.483-0.124s-0.332 0.041-0.483 0.124l-1.179 0.649 0.236-1.449c0.052-0.314-0.050-0.634-0.273-0.861l-1.047-1.070 1.406-0.215c0.329-0.050 0.613-0.261 0.755-0.563l0.585-1.242 0.586 1.243c0.142 0.301 0.424 0.512 0.753 0.561l1.406 0.215-1.049 1.070z"></path>'),
	   	 			'bin' => array('keywords' => 'bin ','viewbox' => '0 0 32 32', 'path' =>'<path d="M4 10v20c0 1.1 0.9 2 2 2h18c1.1 0 2-0.9 2-2v-20h-22zM10 28h-2v-14h2v14zM14 28h-2v-14h2v14zM18 28h-2v-14h2v14zM22 28h-2v-14h2v14zM26.5 4h-6.5v-2.5c0-0.825-0.675-1.5-1.5-1.5h-7c-0.825 0-1.5 0.675-1.5 1.5v2.5h-6.5c-0.825 0-1.5 0.675-1.5 1.5v2.5h26v-2.5c0-0.825-0.675-1.5-1.5-1.5zM18 4h-6v-1.975h6v1.975z"></path>'),
	   	 			'create_new_folder' => array('keywords' => 'create_new_folder ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25.313 19.354v-2.688h-4v-4h-2.625v4h-4v2.688h4v4h2.625v-4h4zM26.688 8.667q1.125 0 1.875 0.781t0.75 1.906v13.313q0 1.125-0.75 1.906t-1.875 0.781h-21.375q-1.125 0-1.875-0.781t-0.75-1.906v-16q0-1.125 0.75-1.906t1.875-0.781h8l2.688 2.688h10.688z"></path>'),
	   	 			'star2' => array('keywords' => 'star2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 23.667l-8.25 5 2.188-9.375-7.25-6.313 9.563-0.813 3.75-8.813 3.75 8.813 9.563 0.813-7.25 6.313 2.188 9.375z"></path>'),
	   	 			'vertical_align_center' => array('keywords' => 'vertical_align_center ','viewbox' => '0 0 32 32', 'path' =>'<path d="M5.313 15.354h21.375v2.625h-21.375v-2.625zM21.313 7.354l-5.313 5.312-5.313-5.313h4v-5.375h2.625v5.375h4zM10.688 25.979l5.313-5.313 5.313 5.313h-4v5.375h-2.625v-5.375h-4z"></path>'),
	   	 			'users_talkroom' => array('keywords' => 'users_talkroom ','viewbox' => '0 0 32 32', 'path' =>'<path d="M6.383 13.924c0.373-0.155 0.617-0.52 0.617-0.924v-2h5c0.552 0 1-0.448 1-1v-8c0-0.552-0.448-1-1-1h-11c-0.552 0-1 0.448-1 1v8c0 0.552 0.448 1 1 1h1.586l2.707 2.707c0.192 0.191 0.447 0.293 0.707 0.293 0.129 0 0.259-0.025 0.383-0.076zM5 10v0.586l-1.293-1.293c-0.188-0.188-0.442-0.293-0.707-0.293h-1v-6h9v6h-5c-0.552 0-1 0.448-1 1zM10.5 13c-1.93 0-3.5 1.57-3.5 3.5s1.57 3.5 3.5 3.5 3.5-1.57 3.5-3.5-1.57-3.5-3.5-3.5zM10.5 18c-0.827 0-1.5-0.673-1.5-1.5s0.673-1.5 1.5-1.5 1.5 0.673 1.5 1.5-0.673 1.5-1.5 1.5zM10.5 21c-2.482 0-4.5 2.018-4.5 4.5v4.5c0 0.552 0.448 1 1 1h7c0.552 0 1-0.448 1-1v-4.5c0-2.482-2.018-4.5-4.5-4.5zM13 29h-5v-3.5c0-1.378 1.121-2.5 2.5-2.5s2.5 1.122 2.5 2.5v3.5zM31 1h-11c-0.552 0-1 0.448-1 1v8c0 0.552 0.448 1 1 1h5v2c0 0.405 0.244 0.769 0.617 0.924 0.124 0.051 0.254 0.076 0.383 0.076 0.26 0 0.515-0.101 0.707-0.293l2.707-2.707h1.586c0.552 0 1-0.448 1-1v-8c0-0.552-0.448-1-1-1zM30 9h-1c-0.265 0-0.52 0.105-0.707 0.293l-1.293 1.293v-0.586c0-0.552-0.448-1-1-1h-5v-6h9v6zM21.5 20c1.93 0 3.5-1.57 3.5-3.5s-1.57-3.5-3.5-3.5-3.5 1.57-3.5 3.5 1.57 3.5 3.5 3.5zM21.5 15c0.827 0 1.5 0.673 1.5 1.5s-0.673 1.5-1.5 1.5-1.5-0.673-1.5-1.5 0.673-1.5 1.5-1.5zM21.5 21c-2.482 0-4.5 2.018-4.5 4.5v4.5c0 0.552 0.448 1 1 1h7c0.552 0 1-0.448 1-1v-4.5c0-2.482-2.018-4.5-4.5-4.5zM24 29h-5v-3.5c0-1.378 1.122-2.5 2.5-2.5s2.5 1.122 2.5 2.5v3.5z"></path>'),
	   	 			'bike' => array('keywords' => 'bike ','viewbox' => '0 0 56 32', 'path' =>'<path d="M45.5 11c-1.924 0-3.723 0.529-5.276 1.436l-6.801-10.436h9.599c-0.013 0.498-0.129 1.331-0.699 1.986-0.587 0.673-1.536 1.014-2.823 1.014-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5c1.589 0 2.792-0.456 3.576-1.356 1.163-1.336 0.93-3.136 0.919-3.212-0.034-0.247-0.245-0.432-0.495-0.432h-11c-0.184 0-0.353 0.101-0.439 0.262-0.088 0.161-0.080 0.357 0.021 0.512l2.831 4.344h-15.865l-3.083-5.118h5.535c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-9c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h2.314c0.010 0.023 0.012 0.048 0.025 0.070l3.412 5.662-3.054 5.39c-1.415-0.711-3.007-1.122-4.697-1.122-5.79 0-10.5 4.71-10.5 10.5s4.71 10.5 10.5 10.5c5.588 0 10.157-4.391 10.42-10h11.080c0.029 0.579-0.096 1.368-0.644 1.989-0.592 0.671-1.553 1.011-2.856 1.011-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5c1.608 0 2.824-0.457 3.614-1.358 1.142-1.304 0.927-3.036 0.918-3.109-0.033-0.249-0.245-0.435-0.496-0.435h-3.928l7.047-13.84 3.73 5.724c-2.65 1.907-4.385 5.010-4.385 8.518 0 5.79 4.71 10.5 10.5 10.5s10.5-4.71 10.5-10.5-4.71-10.5-10.5-10.5zM34.605 7l-6.848 13.568-8.106-13.568h14.954zM18.843 7.715l8.065 13.383h-5.928c-0.136-3.575-2.062-6.692-4.912-8.484l2.775-4.899zM19.98 21.098h-8.719l4.314-7.615c2.548 1.619 4.269 4.412 4.405 7.615zM10.5 31c-5.238 0-9.5-4.262-9.5-9.5s4.262-9.5 9.5-9.5c1.51 0 2.934 0.364 4.204 0.993l-4.736 8.358c-0.088 0.154-0.087 0.344 0.003 0.498 0.089 0.153 0.254 0.248 0.432 0.15h9.567c-0.311 5.058-4.433 9.001-9.47 9.001zM45.5 31c-5.238 0-9.5-4.262-9.5-9.5 0-3.157 1.554-5.952 3.932-7.68l5.247 8.051c0.096 0.146 0.256 0.227 0.419 0.227 0.094 0 0.188-0.026 0.273-0.081 0.23-0.15 0.296-0.461 0.146-0.692l-5.247-8.051c1.395-0.806 3.007-1.274 4.73-1.274 5.238 0 9.5 4.262 9.5 9.5s-4.262 9.5-9.5 9.5z"></path>'),
	   	 			'database' => array('keywords' => 'database ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 0c-8.837 0-16 2.239-16 5v4c0 2.761 7.163 5 16 5s16-2.239 16-5v-4c0-2.761-7.163-5-16-5zM16 17c-8.837 0-16-2.239-16-5v6c0 2.761 7.163 5 16 5s16-2.239 16-5v-6c0 2.761-7.163 5-16 5zM16 26c-8.837 0-16-2.239-16-5v6c0 2.761 7.163 5 16 5s16-2.239 16-5v-6c0 2.761-7.163 5-16 5z"></path>'),
	   	 			'bluetooth2' => array('keywords' => 'bluetooth2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M19.813 22.417l-2.5-2.563v5.063zM17.313 8.417v5.063l2.5-2.563zM23.625 10.917l-5.75 5.75 5.75 5.75-7.625 7.563h-1.313v-10.125l-6.125 6.125-1.875-1.875 7.438-7.438-7.438-7.438 1.875-1.875 6.125 6.125v-10.125h1.313z"></path>'),
	   	 			'speaker_phone' => array('keywords' => 'speaker_phone ','viewbox' => '0 0 32 32', 'path' =>'<path d="M20 27.354v-10.688h-8v10.688h8zM19.813 14.042q0.625 0 1.063 0.438t0.438 1.063v12.938q0 0.625-0.438 1.063t-1.063 0.438h-7.625q-0.625 0-1.063-0.438t-0.438-1.063v-12.938q0-0.625 0.438-1.094t1.063-0.469zM16 1.979q6 0 10.313 4.313l-1.875 1.875q-3.5-3.5-8.438-3.5t-8.438 3.5l-1.875-1.875q4.313-4.313 10.313-4.313zM9.313 10.104q2.75-2.75 6.688-2.75t6.688 2.75l-1.938 1.875q-1.938-1.938-4.75-1.938t-4.75 1.938z"></path>'),
	   	 			'card_membership' => array('keywords' => 'card_membership ','viewbox' => '0 0 32 32', 'path' =>'<path d="M26.688 13.979v-8h-21.375v8h21.375zM26.688 20.667v-2.688h-21.375v2.688h21.375zM26.688 3.354q1.125 0 1.875 0.75t0.75 1.875v14.688q0 1.125-0.75 1.906t-1.875 0.781h-5.375v6.625l-5.313-2.625-5.313 2.625v-6.625h-5.375q-1.125 0-1.875-0.781t-0.75-1.906v-14.688q0-1.125 0.75-1.875t1.875-0.75h21.375z"></path>'),
	   	 			'bottom_alignment' => array('keywords' => 'bottom_alignment ','viewbox' => '0 0 32 32', 'path' =>'<path d="M14 4h-11c-0.552 0-1 0.448-1 1v26c0 0.552 0.448 1 1 1h11c0.552 0 1-0.448 1-1v-26c0-0.552-0.448-1-1-1zM13 30h-9v-24h9v24zM29 4h-11c-0.552 0-1 0.448-1 1v11c0 0.552 0.448 1 1 1h11c0.552 0 1-0.448 1-1v-11c0-0.552-0.448-1-1-1zM28 15h-9v-9h9v9zM30 0h-28c-0.552 0-1 0.448-1 1s0.448 1 1 1h28c0.552 0 1-0.448 1-1s-0.448-1-1-1zM6 10.001c0.256 0 0.512-0.098 0.707-0.293l1-1c0.391-0.39 0.391-1.024 0-1.414s-1.024-0.391-1.414 0l-1 1c-0.391 0.39-0.391 1.024 0 1.414 0.195 0.196 0.451 0.293 0.707 0.293zM5.293 13.707c0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293l4.999-4.999c0.39-0.39 0.39-1.024 0-1.414s-1.024-0.391-1.414 0l-4.999 4.999c-0.391 0.39-0.391 1.024 0 1.414z"></path>'),
	   	 			'sort-amount-desc' => array('keywords' => 'sort-amount-desc ','viewbox' => '0 0 32 32', 'path' =>'<path d="M10 24v-24h-4v24h-5l7 7 7-7h-5zM14 0h18v4h-18v-4zM14 6h14v4h-14v-4zM14 12h10v4h-10v-4zM14 18h6v4h-6v-4z"></path>'),
	   	 			'weather_25' => array('keywords' => 'weather_25 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M22 7.5c0.552 0 1-0.448 1-1v-2c0-0.552-0.448-1-1-1s-1 0.448-1 1v2c0 0.552 0.448 1 1 1zM31 12.5h-2c-0.552 0-1 0.448-1 1s0.448 1 1 1h2c0.552 0 1-0.448 1-1s-0.448-1-1-1zM26.95 9.55c0.256 0 0.512-0.098 0.707-0.293l1.414-1.415c0.39-0.391 0.39-1.024-0-1.415-0.39-0.39-1.024-0.391-1.415 0l-1.414 1.415c-0.39 0.39-0.39 1.024 0 1.415 0.195 0.195 0.451 0.293 0.707 0.293zM16.343 9.258c0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293c0.39-0.39 0.39-1.024 0-1.415l-1.414-1.415c-0.39-0.391-1.024-0.391-1.415 0s-0.39 1.024-0.001 1.415l1.414 1.414zM27.657 17.742c-0.39-0.39-1.024-0.39-1.415-0-0.026 0.026-0.046 0.055-0.068 0.084-0.244-0.245-0.511-0.466-0.791-0.667 0.988-0.913 1.616-2.21 1.616-3.659 0-2.757-2.243-5-5-5-2.623 0-4.777 2.031-4.98 4.604-0.941-0.391-1.963-0.604-3.020-0.604-3.415 0-6.406 2.205-7.495 5.383-0.383-0.088-0.774-0.133-1.171-0.133-2.941 0-5.333 2.411-5.333 5.375s2.393 5.375 5.333 5.375h16.467c3.418 0 6.2-2.803 6.2-6.25 0-0.541-0.076-1.064-0.205-1.566 0.171 0.118 0.369 0.18 0.569 0.18 0.256 0 0.512-0.098 0.707-0.293 0.39-0.39 0.39-1.023 0-1.414l-1.415-1.415zM19 13.5c0-1.655 1.346-3 3-3s3 1.345 3 3c0 1.184-0.692 2.208-1.691 2.695-0.484-0.123-0.988-0.195-1.509-0.195-0.392 0-0.782 0.038-1.169 0.114-0.418-0.644-0.922-1.213-1.488-1.7-0.093-0.289-0.143-0.595-0.143-0.914zM21.8 26.5h-16.467c-1.838 0-3.333-1.514-3.333-3.375s1.495-3.375 3.333-3.375c0.493 0 0.973 0.111 1.426 0.329 0.28 0.136 0.607 0.132 0.885-0.008s0.474-0.401 0.532-0.706c0.534-2.819 2.983-4.864 5.823-4.864 2.217 0 4.233 1.239 5.261 3.233 0.227 0.439 0.741 0.648 1.209 0.489 0.435-0.147 0.883-0.221 1.33-0.221 2.316-0 4.2 1.906 4.2 4.25s-1.884 4.25-4.2 4.25z"></path>'),
	   	 			'cloud_signal' => array('keywords' => 'cloud_signal ','viewbox' => '0 0 32 32', 'path' =>'<path d="M13.147 23c0 1.105-0.895 2-2 2s-2-0.895-2-2c0-1.105 0.895-2 2-2s2 0.895 2 2zM9.147 26.5c0 0.828-0.672 1.5-1.5 1.5s-1.5-0.672-1.5-1.5c0-0.828 0.672-1.5 1.5-1.5s1.5 0.672 1.5 1.5zM6.147 29c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM25 6c-0.477 0-0.954 0.050-1.424 0.149-1.648-2.578-4.482-4.149-7.576-4.149-3.92 0-7.348 2.539-8.545 6.18-0.474-0.12-0.96-0.18-1.455-0.18-3.308 0-6 2.691-6 6s2.692 6 6 6h19c3.86 0 7-3.14 7-7s-3.14-7-7-7zM25 18h-19c-2.205 0-4-1.794-4-4s1.795-4 4-4c0.594 0 1.171 0.132 1.716 0.392 0.28 0.133 0.605 0.13 0.883-0.010s0.473-0.4 0.53-0.705c0.629-3.289 3.518-5.676 6.87-5.676 2.617 0 4.996 1.446 6.209 3.776 0.227 0.437 0.738 0.642 1.204 0.486 0.52-0.174 1.053-0.262 1.587-0.262 2.757 0 5 2.243 5 5s-2.243 5-5 5z"></path>'),
	   	 			'filter_none' => array('keywords' => 'filter_none ','viewbox' => '0 0 32 32', 'path' =>'<path d="M28 23.354v-18.688h-18.688v18.688h18.688zM28 1.979q1.063 0 1.875 0.813t0.813 1.875v18.688q0 1.063-0.813 1.844t-1.875 0.781h-18.688q-1.063 0-1.844-0.781t-0.781-1.844v-18.688q0-1.063 0.781-1.875t1.844-0.813h18.688zM4 7.354v21.313h21.313v2.688h-21.313q-1.063 0-1.875-0.813t-0.813-1.875v-21.313h2.688z"></path>'),
	   	 			'anchor' => array('keywords' => 'anchor ','viewbox' => '0 0 32 32', 'path' =>'<path d="M17.143 4.857q0-0.464-0.339-0.804t-0.804-0.339-0.804 0.339-0.339 0.804 0.339 0.804 0.804 0.339 0.804-0.339 0.339-0.804zM32 21.429v6.286q0 0.393-0.357 0.536-0.143 0.036-0.214 0.036-0.232 0-0.411-0.161l-1.661-1.661q-2.125 2.554-5.688 4.045t-7.67 1.491-7.67-1.491-5.688-4.045l-1.661 1.661q-0.161 0.161-0.411 0.161-0.071 0-0.214-0.036-0.357-0.143-0.357-0.536v-6.286q0-0.25 0.161-0.411t0.411-0.161h6.286q0.393 0 0.536 0.357 0.143 0.339-0.125 0.625l-1.786 1.786q1.196 1.625 3.384 2.741t4.848 1.473v-11.554h-3.429q-0.464 0-0.804-0.339t-0.339-0.804v-2.286q0-0.464 0.339-0.804t0.804-0.339h3.429v-2.911q-1.036-0.607-1.661-1.652t-0.625-2.295q0-1.893 1.339-3.232t3.232-1.339 3.232 1.339 1.339 3.232q0 1.25-0.625 2.295t-1.661 1.652v2.911h3.429q0.464 0 0.804 0.339t0.339 0.804v2.286q0 0.464-0.339 0.804t-0.804 0.339h-3.429v11.554q2.661-0.357 4.848-1.473t3.384-2.741l-1.786-1.786q-0.268-0.286-0.125-0.625 0.143-0.357 0.536-0.357h6.286q0.25 0 0.411 0.161t0.161 0.411z"></path>'),
	   	 			'document' => array('keywords' => 'document ','viewbox' => '0 0 24 32', 'path' =>'<path d="M1.5 32h21c0.827 0 1.5-0.673 1.5-1.5v-21c0-0.017-0.008-0.031-0.009-0.047-0.002-0.023-0.008-0.043-0.013-0.065-0.017-0.071-0.046-0.135-0.090-0.191-0.007-0.009-0.006-0.020-0.013-0.029l-8-9c-0.003-0.003-0.007-0.003-0.010-0.006-0.060-0.064-0.136-0.108-0.223-0.134-0.019-0.006-0.036-0.008-0.056-0.011-0.029-0.005-0.056-0.017-0.086-0.017h-14c-0.827 0-1.5 0.673-1.5 1.5v29c0 0.827 0.673 1.5 1.5 1.5zM16 1.815l6.387 7.185h-5.887c-0.22 0-0.5-0.42-0.5-0.75v-6.435zM1 1.5c0-0.276 0.225-0.5 0.5-0.5h13.5v7.25c0 0.809 0.655 1.75 1.5 1.75h6.5v20.5c0 0.276-0.225 0.5-0.5 0.5h-21c-0.28 0-0.5-0.22-0.5-0.5v-29zM5.5 14h13c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-13c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5zM5.5 18h13c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-13c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5zM5.5 10h6c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-6c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5zM5.5 22h13c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-13c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5zM5.5 26h13c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-13c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5z"></path>'),
	   	 			'kiosque_1' => array('keywords' => 'kiosque_1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31.996 12.247c0-0.020 0.004-0.039 0.004-0.059h-0.005c0-0.165-0.035-0.332-0.122-0.486l-3.874-6.961v-3.74c0-0.022-0.005-0.043-0.007-0.065-0.012-0.182-0.067-0.353-0.164-0.495-0.18-0.266-0.484-0.441-0.829-0.441-0.002 0-0.003 0-0.005 0h-21.99c-0.002 0-0.003 0-0.005 0-0.317 0-0.598 0.15-0.78 0.382-0.136 0.17-0.22 0.384-0.22 0.618v3.74l-3.874 6.961c-0.086 0.155-0.121 0.322-0.121 0.486h-0.004c0 0.021 0.004 0.040 0.004 0.059 0.001 0.014 0.001 0.027 0.002 0.041 0.060 1.851 1.771 3.374 3.994 3.659v13.053c0 1.649 1.35 3 3 3h18c1.65 0 3-1.351 3-3v-13.053c2.223-0.285 3.933-1.807 3.994-3.659 0.002-0.014 0.002-0.028 0.003-0.041zM22.491 12.303c-0.094 0.931-1.309 1.697-2.741 1.697-1.491 0-2.75-0.83-2.75-1.813v-6.188h3.605l1.885 6.303zM11.395 6h3.605v6.188c0 0.982-1.259 1.813-2.75 1.813-1.431 0-2.646-0.767-2.741-1.697l1.885-6.303zM6 4v-2h20v2h-20zM2.023 12.405l3.565-6.405h3.719l-1.764 5.901c-0.029 0.095-0.037 0.193-0.037 0.287h-0.005c0 0.982-1.26 1.813-2.75 1.813-1.379 0-2.558-0.711-2.727-1.595zM13 30v-10h6v10h-6zM25 30h-4v-11c0-0.552-0.448-1-1-1h-8c-0.552 0-1 0.448-1 1v11h-4c-0.55 0-1-0.45-1-1v-13.139c1.006-0.22 1.877-0.699 2.5-1.343 0.87 0.899 2.226 1.482 3.75 1.482s2.88-0.582 3.75-1.482c0.869 0.899 2.226 1.482 3.75 1.482s2.881-0.582 3.75-1.482c0.622 0.643 1.494 1.122 2.5 1.343v13.139c0 0.55-0.45 1-1 1zM27.25 14c-1.491 0-2.75-0.83-2.75-1.813h-0.005c0-0.095-0.009-0.191-0.037-0.287l-1.765-5.901h3.719l3.565 6.406c-0.17 0.883-1.349 1.595-2.727 1.595z"></path>'),
	   	 			'devices' => array('keywords' => 'devices ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29.313 23.354v-9.375h-5.313v9.375h5.313zM30.688 11.354q0.563 0 0.938 0.375t0.375 0.938v13.313q0 0.563-0.375 0.969t-0.938 0.406h-8q-0.563 0-0.969-0.406t-0.406-0.969v-13.313q0-0.563 0.406-0.938t0.969-0.375h8zM5.313 8.667v14.688h13.375v4h-18.688v-4h2.688v-14.688q0-1.063 0.781-1.875t1.844-0.813h24v2.688h-24z"></path>'),
	   	 			'calculator2' => array('keywords' => 'calculator2 ','viewbox' => '0 0 30 32', 'path' =>'<path d="M6.857 27.714q0-0.946-0.67-1.616t-1.616-0.67-1.616 0.67-0.67 1.616 0.67 1.616 1.616 0.67 1.616-0.67 0.67-1.616zM13.714 27.714q0-0.946-0.67-1.616t-1.616-0.67-1.616 0.67-0.67 1.616 0.67 1.616 1.616 0.67 1.616-0.67 0.67-1.616zM6.857 20.857q0-0.946-0.67-1.616t-1.616-0.67-1.616 0.67-0.67 1.616 0.67 1.616 1.616 0.67 1.616-0.67 0.67-1.616zM20.571 27.714q0-0.946-0.67-1.616t-1.616-0.67-1.616 0.67-0.67 1.616 0.67 1.616 1.616 0.67 1.616-0.67 0.67-1.616zM13.714 20.857q0-0.946-0.67-1.616t-1.616-0.67-1.616 0.67-0.67 1.616 0.67 1.616 1.616 0.67 1.616-0.67 0.67-1.616zM6.857 14q0-0.946-0.67-1.616t-1.616-0.67-1.616 0.67-0.67 1.616 0.67 1.616 1.616 0.67 1.616-0.67 0.67-1.616zM20.571 20.857q0-0.946-0.67-1.616t-1.616-0.67-1.616 0.67-0.67 1.616 0.67 1.616 1.616 0.67 1.616-0.67 0.67-1.616zM13.714 14q0-0.946-0.67-1.616t-1.616-0.67-1.616 0.67-0.67 1.616 0.67 1.616 1.616 0.67 1.616-0.67 0.67-1.616zM27.429 27.714v-6.857q0-0.929-0.679-1.607t-1.607-0.679-1.607 0.679-0.679 1.607v6.857q0 0.929 0.679 1.607t1.607 0.679 1.607-0.679 0.679-1.607zM20.571 14q0-0.946-0.67-1.616t-1.616-0.67-1.616 0.67-0.67 1.616 0.67 1.616 1.616 0.67 1.616-0.67 0.67-1.616zM27.429 8.286v-4.571q0-0.464-0.339-0.804t-0.804-0.339h-22.857q-0.464 0-0.804 0.339t-0.339 0.804v4.571q0 0.464 0.339 0.804t0.804 0.339h22.857q0.464 0 0.804-0.339t0.339-0.804zM27.429 14q0-0.946-0.67-1.616t-1.616-0.67-1.616 0.67-0.67 1.616 0.67 1.616 1.616 0.67 1.616-0.67 0.67-1.616zM29.714 2.571v27.429q0 0.929-0.679 1.607t-1.607 0.679h-25.143q-0.929 0-1.607-0.679t-0.679-1.607v-27.429q0-0.929 0.679-1.607t1.607-0.679h25.143q0.929 0 1.607 0.679t0.679 1.607z"></path>'),
	   	 			'camera3' => array('keywords' => 'camera3 ','viewbox' => '0 0 34 32', 'path' =>'<path d="M17.143 12.286q2.125 0 3.634 1.509t1.509 3.634-1.509 3.634-3.634 1.509-3.634-1.509-1.509-3.634 1.509-3.634 3.634-1.509zM29.714 4.857q1.893 0 3.232 1.339t1.339 3.232v16q0 1.893-1.339 3.232t-3.232 1.339h-25.143q-1.893 0-3.232-1.339t-1.339-3.232v-16q0-1.893 1.339-3.232t3.232-1.339h4l0.911-2.429q0.339-0.875 1.241-1.509t1.848-0.634h9.143q0.946 0 1.848 0.634t1.241 1.509l0.911 2.429h4zM17.143 25.429q3.304 0 5.652-2.348t2.348-5.652-2.348-5.652-5.652-2.348-5.652 2.348-2.348 5.652 2.348 5.652 5.652 2.348z"></path>'),
	   	 			'gps_not_fixed' => array('keywords' => 'gps_not_fixed ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 25.979q3.875 0 6.594-2.719t2.719-6.594-2.719-6.594-6.594-2.719-6.594 2.719-2.719 6.594 2.719 6.594 6.594 2.719zM27.938 15.354h2.75v2.625h-2.75q-0.438 4.188-3.438 7.188t-7.188 3.438v2.75h-2.625v-2.75q-4.188-0.438-7.188-3.438t-3.438-7.188h-2.75v-2.625h2.75q0.438-4.188 3.438-7.188t7.188-3.438v-2.75h2.625v2.75q4.188 0.438 7.188 3.438t3.438 7.188z"></path>'),
	   	 			'people_outline' => array('keywords' => 'people_outline ','viewbox' => '0 0 32 32', 'path' =>'<path d="M22 9.354q-1.063 0-1.875 0.781t-0.813 1.844 0.813 1.875 1.875 0.813 1.875-0.813 0.813-1.875-0.813-1.844-1.875-0.781zM22 16.667q-1.938 0-3.313-1.375t-1.375-3.313 1.375-3.281 3.313-1.344 3.313 1.344 1.375 3.281-1.375 3.313-3.313 1.375zM10 9.354q-1.063 0-1.875 0.781t-0.813 1.844 0.813 1.875 1.875 0.813 1.875-0.813 0.813-1.875-0.813-1.844-1.875-0.781zM10 16.667q-1.938 0-3.313-1.375t-1.375-3.313 1.375-3.281 3.313-1.344 3.313 1.344 1.375 3.281-1.375 3.313-3.313 1.375zM28.688 23.979v-1.625q0-0.625-2.219-1.5t-4.469-0.875q-1.625 0-4 0.75 0.688 0.813 0.688 1.625v1.625h10zM16.688 23.979v-1.625q0-0.625-2.219-1.5t-4.469-0.875-4.469 0.875-2.219 1.5v1.625h13.375zM22 17.979q2.688 0 5.688 1.219t3 3.156v3.625h-29.375v-3.625q0-1.938 3-3.156t5.688-1.219q2.938 0 6 1.375 3.063-1.375 6-1.375z"></path>'),
	   	 			'space_bar' => array('keywords' => 'space_bar ','viewbox' => '0 0 32 32', 'path' =>'<path d="M24 12.667h2.688v8h-21.375v-8h2.688v5.313h16v-5.313z"></path>'),
	   	 			'text_formatting4' => array('keywords' => 'text_formatting4 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M26 0h-20c-0.552 0-1 0.448-1 1v4c0 0.552 0.448 1 1 1s1-0.448 1-1v-3h8v24h-1.5c-0.552 0-1 0.448-1 1s0.448 1 1 1h5c0.552 0 1-0.448 1-1s-0.448-1-1-1h-1.5v-24h8v3c0 0.552 0.448 1 1 1s1-0.448 1-1v-4c0-0.552-0.448-1-1-1zM26 30h-20c-0.552 0-1 0.448-1 1s0.448 1 1 1h20c0.552 0 1-0.448 1-1s-0.448-1-1-1z"></path>'),
	   	 			'brush' => array('keywords' => 'brush ','viewbox' => '0 0 32 32', 'path' =>'<path d="M27.625 6.854q0.375 0.375 0.375 0.938t-0.375 0.937l-11.938 11.938-3.688-3.688 11.938-11.938q0.375-0.375 0.938-0.375t0.938 0.375zM9.313 19.354q1.625 0 2.813 1.188t1.188 2.813q0 2.188-1.563 3.75t-3.75 1.563q-3.25 0-5.313-2.688 0.938 0 1.781-0.719t0.844-1.906q0-1.625 1.188-2.813t2.813-1.188z"></path>'),
	   	 			'cloud_queue' => array('keywords' => 'cloud_queue ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25.313 24.667q1.625 0 2.813-1.188t1.188-2.813-1.188-2.813-2.813-1.188h-2v-0.688q0-3.063-2.125-5.188t-5.188-2.125q-2.5 0-4.438 1.5t-2.625 3.813h-0.938q-2.188 0-3.75 1.594t-1.563 3.781 1.563 3.75 3.75 1.563h17.313zM25.813 14.042q2.563 0.188 4.375 2.094t1.813 4.531q0 2.75-1.969 4.719t-4.719 1.969h-17.313q-3.313 0-5.656-2.344t-2.344-5.656q0-3.063 2.063-5.344t5.063-2.594q1.313-2.438 3.688-3.938t5.188-1.5q3.625 0 6.375 2.281t3.438 5.781z"></path>'),
	   	 			'pencil_symbol1' => array('keywords' => 'pencil_symbol1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31.705 30.282l-0.712-0.712v-3.61c0-0.267-0.107-0.523-0.295-0.712l-10.863-10.863 0.295-0.295c0.393-0.393 0.393-1.030 0-1.424l-12.373-12.373c-0.393-0.393-1.031-0.393-1.423 0l-6.039 6.039c-0.393 0.393-0.393 1.030 0 1.423l2.64 2.641c-0.406 0.589-0.627 1.263-0.627 1.974 0 1.050 0.473 2.027 1.332 2.757l7.015 7.015c0.197 0.197 0.454 0.295 0.712 0.295s0.514-0.098 0.712-0.295c0.393-0.393 0.393-1.030 0-1.424l-7.046-7.045c-0.022-0.022-0.045-0.043-0.069-0.063-0.415-0.343-0.643-0.783-0.643-1.239 0-0.167 0.042-0.329 0.101-0.489l8.246 8.247c0.197 0.197 0.454 0.295 0.712 0.295s0.515-0.099 0.712-0.295l0.295-0.295 10.864 10.864c0.189 0.189 0.445 0.295 0.712 0.295h3.61l0.712 0.712c0.197 0.197 0.454 0.295 0.712 0.295s0.515-0.098 0.712-0.295c0.392-0.393 0.392-1.030-0-1.424zM7.045 2.429l1.891 1.891-4.615 4.615-1.891-1.891 4.615-4.615zM5.811 10.396l4.586-4.586 7.586 7.586-4.586 4.586-7.586-7.586zM18.396 15.81l8.586 8.586-2.586 2.586-8.586-8.586 2.586-2.586zM25.811 28.396l2.586-2.586 0.5 0.5v2.586h-2.586l-0.5-0.5z"></path>'),
	   	 			'fire2' => array('keywords' => 'fire2 ','viewbox' => '0 0 25 32', 'path' =>'<path d="M25.143 30.571v1.143q0 0.232-0.17 0.402t-0.402 0.17h-24q-0.232 0-0.402-0.17t-0.17-0.402v-1.143q0-0.232 0.17-0.402t0.402-0.17h24q0.232 0 0.402 0.17t0.17 0.402zM20.571 11.714q0 1.393-0.438 2.571t-1.143 2.009-1.563 1.571-1.714 1.384-1.563 1.286-1.143 1.455-0.438 1.723q0 1.714 1.196 4l-0.071-0.018 0.018 0.018q-1.607-0.732-2.857-1.482t-2.473-1.786-2.027-2.188-1.295-2.688-0.491-3.286q0-1.393 0.438-2.571t1.143-2.009 1.563-1.571 1.714-1.384 1.563-1.286 1.143-1.455 0.438-1.723q0-1.679-1.179-4l0.054 0.018-0.018-0.018q1.607 0.732 2.857 1.482t2.473 1.786 2.027 2.188 1.295 2.688 0.491 3.286z"></path>'),
	   	 			'upload' => array('keywords' => 'upload ','viewbox' => '0 0 32 32', 'path' =>'<path d="M14 18h4v-8h6l-8-8-8 8h6zM20 13.5v3.085l9.158 3.415-13.158 4.907-13.158-4.907 9.158-3.415v-3.085l-12 4.5v8l16 6 16-6v-8z"></path>'),
	   	 			'vpn_lock' => array('keywords' => 'vpn_lock ','viewbox' => '0 0 32 32', 'path' =>'<path d="M13.313 28.604v-2.625q-1.063 0-1.844-0.781t-0.781-1.844v-1.375l-6.438-6.375q-0.25 1-0.25 2.375 0 4.063 2.688 7.094t6.625 3.531zM25.25 16.667h2.688q0.063 0.438 0.063 1.313 0 5.563-3.906 9.469t-9.406 3.906q-5.563 0-9.469-3.906t-3.906-9.469q0-5.5 3.906-9.406t9.469-3.906q1.938 0 4 0.625v3.375q0 1.063-0.813 1.875t-1.875 0.813h-2.688v2.625q0 0.563-0.375 0.969t-0.938 0.406h-2.688v2.625h8q0.563 0 0.969 0.406t0.406 0.969v4h1.313q1.938 0 2.563 1.813 2.75-2.938 2.75-7.188 0-0.875-0.063-1.313zM28.25 5.979v-0.625q0-0.938-0.656-1.625t-1.594-0.688-1.594 0.688-0.656 1.625v0.625h4.5zM29.313 5.979q0.563 0 0.969 0.406t0.406 0.969v5.312q0 0.563-0.406 0.938t-0.969 0.375h-6.625q-0.563 0-0.969-0.375t-0.406-0.938v-5.313q0-0.563 0.406-0.969t0.969-0.406v-0.625q0-1.375 0.969-2.375t2.344-1 2.344 1 0.969 2.375v0.625z"></path>'),
	   	 			'scope' => array('keywords' => 'scope ','viewbox' => '0 0 32 32', 'path' =>'<path d="M17 6.5c0-0.276-0.224-0.5-0.5-0.5s-0.5 0.224-0.5 0.5v8.5h-9.5c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h9.5v9.469c0 0.276 0.224 0.5 0.5 0.5s0.5-0.224 0.5-0.5v-9.469h9.469c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-9.469v-8.5zM31.562 15h-2.613c-0.488-6.37-5.579-11.461-11.949-11.949v-2.551c0-0.276-0.224-0.5-0.5-0.5s-0.5 0.224-0.5 0.5v2.5c-6.83 0-12.435 5.299-12.949 12h-2.489c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h2.438c0 7.168 5.832 13 13 13v2.5c0 0.276 0.224 0.5 0.5 0.5s0.5-0.224 0.5-0.5v-2.551c6.701-0.514 12-6.119 12-12.949h2.562c0.276 0 0.5-0.224 0.5-0.5s-0.223-0.5-0.5-0.5zM16 28c-6.617 0-12-5.383-12-12s5.383-12 12-12 12 5.383 12 12-5.383 12-12 12z"></path>'),
	   	 			'connect_symbol1' => array('keywords' => 'connect_symbol1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M32 4c0-2.205-1.794-4-4-4s-4 1.794-4 4c0 1.86 1.277 3.422 3 3.868 0 0 0 4.045 0 4.132 0 1.655-1.346 3-3 3h-7v-7.132c1.723-0.446 3-2.008 3-3.868 0-2.205-1.794-4-4-4s-4 1.794-4 4c0 1.86 1.277 3.422 3 3.868v7.132h-10v-7.132c1.723-0.446 3-2.008 3-3.868 0-2.205-1.795-4-4-4s-4 1.794-4 4c0 1.86 1.278 3.422 3 3.868v16.264c-1.722 0.446-3 2.009-3 3.869 0 2.206 1.794 4 4 4s4-1.794 4-4c0-1.86-1.277-3.422-3-3.868v-7.132h10v7.132c-1.723 0.446-3 2.009-3 3.868 0 2.206 1.794 4 4 4s4-1.794 4-4c0-1.86-1.277-3.422-3-3.868v-7.132h7c2.757 0 5-2.243 5-5 0-0.087 0-4.132 0-4.132 1.723-0.446 3-2.008 3-3.868zM14 4c0-1.103 0.897-2 2-2s2 0.897 2 2-0.898 2-2 2c-1.103 0-2-0.897-2-2zM2 4c0-1.103 0.897-2 2-2s2 0.897 2 2-0.897 2-2 2-2-0.897-2-2zM6 28c0 1.102-0.897 2-2 2s-2-0.898-2-2 0.897-2 2-2 2 0.898 2 2zM18 28c0 1.102-0.898 2-2 2s-2-0.898-2-2 0.897-2 2-2c1.102 0 2 0.898 2 2zM28 6c-1.102 0-2-0.897-2-2s0.898-2 2-2 2 0.897 2 2-0.898 2-2 2z"></path>'),
	   	 			'building_symbol4' => array('keywords' => 'building_symbol4 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M19 22v5c0 0.552 0.448 1 1 1h5c0.552 0 1-0.448 1-1v-5c0-0.552-0.448-1-1-1h-5c-0.552 0-1 0.448-1 1zM21 23h3v3h-3v-3zM31.994 10.953c-0.002-0.044-0.007-0.088-0.015-0.132-0-0.001-0-0.002-0-0.002-0.031-0.168-0.101-0.331-0.22-0.47-0.389-0.454-0.96-0.493-1.41-0.108l-5.349 4.585v-3.825c0-0.018-0.005-0.030-0.006-0.047-0.002-0.044-0.007-0.088-0.015-0.132-0-0.001-0-0.002-0-0.002-0.031-0.168-0.101-0.331-0.22-0.47-0.359-0.419-0.991-0.468-1.41-0.108l-6.72 5.76h-0.691l-0.941-15.063c-0.033-0.527-0.47-0.938-0.998-0.938h-4c-0.528 0-0.965 0.41-0.998 0.938l-0.941 15.063h-0.121l-0.941-15.063c-0.033-0.527-0.47-0.938-0.998-0.938h-4c-0.528 0-0.965 0.41-0.998 0.938l-1 16c-0.001 0.011 0.002 0.020 0.001 0.031s-0.003 0.021-0.003 0.032v14c0 0.552 0.448 1 1 1h30c0.552 0 1-0.448 1-1v-20c0-0.018-0.005-0.030-0.006-0.047zM15 30h-7v-7h7v7zM30 30h-13v-8c0-0.552-0.448-1-1-1h-9c-0.552 0-1 0.448-1 1v8h-4v-12.969l0.939-15.031h2.121l0.941 15.063c0.001 0.012 0.006 0.020 0.008 0.032 0.048 0.507 0.471 0.905 0.99 0.905h2c0.52 0 0.943-0.398 0.99-0.906 0.002-0.012 0.007-0.020 0.008-0.031l0.941-15.063h2.121l0.941 15.062c0.001 0.012 0.006 0.020 0.008 0.032 0.049 0.507 0.47 0.905 0.99 0.905h2c0.243 0 0.463-0.091 0.637-0.235 0.004-0.003 0.011-0.002 0.014-0.006l5.349-4.585v3.826c0 0.017 0.005 0.030 0.006 0.047 0.002 0.044 0.007 0.088 0.015 0.131 0 0 0 0.002 0 0.003 0.031 0.168 0.101 0.331 0.22 0.47 0.198 0.231 0.479 0.349 0.76 0.349 0.23 0 0.462-0.079 0.651-0.241l5.349-4.585v16.826z"></path>'),
	   	 			'filter_7' => array('keywords' => 'filter_7 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M17.313 20.667h-2.625l5.313-10.688h-5.313v-2.625h8v2.625zM28 23.354v-18.688h-18.688v18.688h18.688zM28 1.979q1.063 0 1.875 0.813t0.813 1.875v18.688q0 1.063-0.813 1.844t-1.875 0.781h-18.688q-1.063 0-1.844-0.781t-0.781-1.844v-18.688q0-1.063 0.781-1.875t1.844-0.813h18.688zM4 7.354v21.313h21.313v2.688h-21.313q-1.063 0-1.875-0.813t-0.813-1.875v-21.313h2.688z"></path>'),
	   	 			'arrows-h' => array('keywords' => 'arrows-h ','viewbox' => '0 0 32 32', 'path' =>'<path d="M32 16.286q0 0.464-0.339 0.804l-4.571 4.571q-0.339 0.339-0.804 0.339t-0.804-0.339-0.339-0.804v-2.286h-18.286v2.286q0 0.464-0.339 0.804t-0.804 0.339-0.804-0.339l-4.571-4.571q-0.339-0.339-0.339-0.804t0.339-0.804l4.571-4.571q0.339-0.339 0.804-0.339t0.804 0.339 0.339 0.804v2.286h18.286v-2.286q0-0.464 0.339-0.804t0.804-0.339 0.804 0.339l4.571 4.571q0.339 0.339 0.339 0.804z"></path>'),
	   	 			'cloud_off' => array('keywords' => 'cloud_off ','viewbox' => '0 0 32 32', 'path' =>'<path d="M10.313 13.979h-2.313q-2.188 0-3.75 1.594t-1.563 3.781 1.563 3.75 3.75 1.563h13zM4 7.667l1.688-1.688 22.313 22.313-1.688 1.688-2.688-2.625h-15.625q-3.313 0-5.656-2.344t-2.344-5.656q0-3.25 2.25-5.563t5.438-2.438zM25.813 14.042q2.563 0.188 4.375 2.094t1.813 4.531q0 3.438-2.813 5.438l-1.938-1.938q2.063-1.125 2.063-3.5 0-1.625-1.188-2.813t-2.813-1.188h-2v-0.688q0-3.063-2.125-5.188t-5.188-2.125q-1.938 0-3.375 0.813l-2-1.938q2.438-1.563 5.375-1.563 3.625 0 6.375 2.281t3.438 5.781z"></path>'),
	   	 			'folders_holder' => array('keywords' => 'folders_holder ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 0.001l-26-0.001c-1.649 0-3 1.35-3 3v3c0 1.299 0.839 2.409 2 2.823v20.176c0 1.65 1.349 3 3 3h22c1.649 0 3-1.349 3-3v-20.176c1.161-0.415 2-1.525 2-2.823v-3c0-1.65-1.349-3-3-3zM27 30h-22c-0.55 0-1-0.45-1-1v-20h24v20c0 0.55-0.45 1-1 1zM30 6c0 0.55-0.45 1-1 1h-26c-0.55 0-1-0.45-1-1v-3c0-0.55 0.45-1 1-1l26 0.001c0.55 0 1 0.45 1 1v3zM20.5 11v0h-9c-1.93 0.001-3.501 1.568-3.5 3.5 0 1.933 1.566 3.499 3.5 3.5v-0l9 0c1.932 0 3.5-1.566 3.5-3.5 0-1.932-1.569-3.5-3.5-3.5zM20.5 16v0 0h-9c-0.827 0-1.499-0.673-1.5-1.5 0.001-0.829 0.674-1.5 1.5-1.5h9c0.829 0 1.5 0.671 1.5 1.5 0 0.826-0.671 1.5-1.5 1.5z"></path>'),
	   	 			'shop_n4' => array('keywords' => 'shop_n4 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M30.5 14.25c0-1.65-1.35-3-3-3h-6v-4c0-3.037-2.462-5.5-5.5-5.5s-5.5 2.463-5.5 5.5v4h-6c-1.65 0-3 1.35-3 3l-1.5 13c0 1.65 1.35 3 3 3h26c1.65 0 3-1.35 3-3l-1.5-13zM12 7.25c0-2.209 1.791-4 4-4s4 1.791 4 4v4h-8v-4zM29 28.25h-26c-0.55 0-1-0.45-1-1l1.5-13c0-0.55 0.45-1 1-1h6v1.675c-0.59 0.281-1 0.878-1 1.575 0 0.967 0.783 1.75 1.75 1.75s1.75-0.783 1.75-1.75c0-0.697-0.41-1.294-1-1.575v-1.675h8v1.675c-0.59 0.281-1 0.878-1 1.575 0 0.967 0.783 1.75 1.75 1.75s1.75-0.783 1.75-1.75c0-0.697-0.41-1.294-1-1.575v-1.675h6c0.55 0 1 0.45 1 1l1.5 13c0 0.55-0.45 1-1 1z"></path>'),
	   	 			'linear_scale' => array('keywords' => 'linear_scale ','viewbox' => '0 0 32 32', 'path' =>'<path d="M26 13.354q1.375 0 2.344 0.969t0.969 2.344-0.969 2.344-2.344 0.969q-2.25 0-3.063-2h-3.875q-0.813 2-3.063 2t-3.063-2h-3.875q-0.813 2-3.063 2-1.375 0-2.344-0.969t-0.969-2.344 0.969-2.344 2.344-0.969q2.25 0 3.063 2h3.875q0.813-2 3.063-2t3.063 2h3.875q0.813-2 3.063-2z"></path>'),
	   	 			'browser_symbol2' => array('keywords' => 'browser_symbol2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 2.5h-26c-1.65 0-3 1.35-3 3v21c0 1.65 1.35 3 3 3h26c1.65 0 3-1.35 3-3v-21c0-1.65-1.35-3-3-3zM30 26.5c0 0.55-0.45 1-1 1h-26c-0.55 0-1-0.45-1-1v-14h28v14zM30 10.5h-28v-5c0-0.55 0.45-1 1-1h26c0.55 0 1 0.45 1 1v5zM6 7.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM10 7.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM14 7.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM19.623 23.099c0.39 0.387 1.023 0.387 1.414 0 0.001-0 0.002-0.002 0.002-0.003l2.663-2.641c0.002-0.002 0.004-0.003 0.006-0.005 0.39-0.387 0.39-1.015 0-1.402-0-0-0.002-0.001-0.003-0.002l-2.666-2.643c-0-0-0.002-0.002-0.003-0.003-0.39-0.387-1.023-0.387-1.414 0s-0.39 1.015 0 1.402v0l1.962 1.947-1.962 1.948c-0.39 0.387-0.39 1.015 0 1.402zM8.295 20.453l2.665 2.643c0.001 0.001 0.002 0.002 0.002 0.003 0.39 0.387 1.024 0.387 1.414 0s0.39-1.014 0-1.402v0l-1.962-1.947 1.963-1.947c0.39-0.387 0.39-1.015 0-1.402s-1.024-0.387-1.414 0c-0.001 0-0.002 0.002-0.002 0.003l-2.663 2.642c-0.002 0.002-0.004 0.003-0.005 0.004-0.39 0.387-0.39 1.015 0 1.402 0 0.001 0.002 0.002 0.002 0.003zM13.803 23.401c0.358 0.205 0.818 0.084 1.024-0.272l3.5-6.012c0.207-0.355 0.084-0.811-0.274-1.017-0.36-0.206-0.817-0.084-1.024 0.272l-3.5 6.012c-0.207 0.355-0.085 0.811 0.274 1.016z"></path>'),
	   	 			'add_shopping_cart' => array('keywords' => 'add_shopping_cart ','viewbox' => '0 0 32 32', 'path' =>'<path d="M9.563 20.354q0 0.313 0.313 0.313h15.438v2.688h-16q-1.063 0-1.844-0.813t-0.781-1.875q0-0.625 0.313-1.25l1.813-3.313-4.813-10.125h-2.688v-2.625h4.375q1.25 2.625 2.5 5.313 0.313 0.563 1.438 2.969t1.75 3.719h9.375q4.688-8.5 5.125-9.375l2.313 1.313-5.125 9.313q-0.75 1.375-2.313 1.375h-9.938l-1.188 2.188zM22.688 24.667q1.063 0 1.844 0.813t0.781 1.875-0.781 1.844-1.844 0.781-1.875-0.781-0.813-1.844 0.813-1.875 1.875-0.813zM9.313 24.667q1.063 0 1.875 0.813t0.813 1.875-0.813 1.844-1.875 0.781-1.844-0.781-0.781-1.844 0.781-1.875 1.844-0.813zM14.688 12.667v-4h-4v-2.688h4v-4h2.625v4h4v2.688h-4v4h-2.625z"></path>'),
	   	 			'small_boat' => array('keywords' => 'small_boat ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31.781 21.375l-16-20c-0.265-0.333-0.713-0.459-1.112-0.32-0.401 0.141-0.669 0.519-0.669 0.944v20c0 0.552 0.448 1 1 1h16c0.384 0 0.735-0.22 0.901-0.567 0.166-0.346 0.12-0.758-0.12-1.058zM16 21v-16.149l12.919 16.149h-12.919zM13 22v-14c0-0.426-0.27-0.806-0.674-0.946-0.402-0.137-0.85-0.008-1.113 0.327l-11 14c-0.237 0.301-0.281 0.71-0.114 1.055s0.517 0.564 0.9 0.564h11c0.552 0 1-0.448 1-1zM11 21h-7.942l7.942-10.109v10.109zM29 24h-26c-0.361 0-0.693 0.194-0.87 0.508s-0.173 0.698 0.013 1.008l3 5c0.181 0.302 0.506 0.485 0.857 0.485h19.5c0.326 0 0.633-0.159 0.82-0.427l3.5-5c0.214-0.305 0.239-0.704 0.068-1.035-0.172-0.331-0.514-0.538-0.887-0.538zM24.98 29h-18.413l-1.8-3h22.313l-2.099 3z"></path>'),
	   	 			'sun_rise1' => array('keywords' => 'sun_rise1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 6.5c0.552 0 1-0.448 1-1v-2c0-0.552-0.448-1-1-1s-1 0.448-1 1v2c0 0.552 0.448 1 1 1zM25 15.5c0 0.552 0.448 1 1 1h2c0.552 0 1-0.448 1-1s-0.448-1-1-1h-2c-0.552 0-1 0.448-1 1zM4 16.5h2c0.552 0 1-0.448 1-1s-0.448-1-1-1h-2c-0.552 0-1 0.448-1 1s0.448 1 1 1zM8.222 9.136c0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293c0.39-0.39 0.39-1.024 0-1.414l-1.414-1.414c-0.39-0.391-1.024-0.391-1.414 0s-0.391 1.024 0 1.414l1.414 1.414zM23.072 9.428c0.256 0 0.512-0.098 0.707-0.293l1.414-1.414c0.39-0.391 0.39-1.024 0-1.414s-1.024-0.391-1.414 0l-1.414 1.414c-0.39 0.39-0.39 1.024 0 1.414 0.195 0.195 0.451 0.293 0.707 0.293zM31 18.5h-7.586c0.386-0.948 0.586-1.961 0.586-3 0-4.411-3.589-8-8-8s-8 3.589-8 8c0 1.039 0.2 2.053 0.585 3h-7.585c-0.552 0-1 0.448-1 1s0.448 1 1 1h30c0.552 0 1-0.448 1-1s-0.448-1-1-1zM10.807 18.5c-0.53-0.912-0.807-1.939-0.807-3 0-3.309 2.691-6 6-6s6 2.691 6 6c0 1.061-0.277 2.088-0.806 3h-10.386zM16.708 22.794c-0.047-0.047-0.098-0.088-0.154-0.125-0.026-0.017-0.052-0.029-0.079-0.043-0.031-0.017-0.061-0.035-0.093-0.049s-0.068-0.022-0.103-0.032c-0.028-0.008-0.055-0.019-0.084-0.025-0.129-0.026-0.262-0.026-0.392 0-0.030 0.006-0.056 0.017-0.085 0.026-0.034 0.010-0.069 0.017-0.102 0.032s-0.063 0.032-0.094 0.049c-0.026 0.014-0.053 0.026-0.079 0.043-0.055 0.037-0.107 0.078-0.153 0.125l-1.999 2c-0.39 0.39-0.39 1.023 0 1.414 0.197 0.195 0.453 0.293 0.709 0.293s0.512-0.098 0.707-0.293l0.293-0.293v2.586c0 0.552 0.448 1 1 1s1-0.448 1-1v-2.586l0.293 0.293c0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293c0.39-0.39 0.39-1.023 0-1.414l-1.999-2z"></path>'),
	   	 			'themeisle' => array('keywords' => 'themeisle ','viewbox' => '0 0 32 32', 'path' =>'<path d="M15.214 5.804q0 0.518-0.304 0.938t-0.804 0.42-0.804-0.42-0.304-0.938 0.304-0.938 0.804-0.42 0.804 0.42 0.304 0.938zM12.286 30.375v-2.036q0-0.536-0.366-0.92t-0.902-0.384-0.893 0.384-0.357 0.92v2.036q0 0.536 0.366 0.929t0.884 0.393q0.536 0 0.902-0.393t0.366-0.929zM15.357 30.375v-2.036q0-0.536-0.357-0.92t-0.893-0.384-0.902 0.384-0.366 0.92v2.036q0 0.536 0.366 0.929t0.902 0.393q0.518 0 0.884-0.393t0.366-0.929zM18.464 30.375v-2.036q0-0.536-0.366-0.92t-0.902-0.384-0.902 0.384-0.366 0.92v2.036q0 0.536 0.366 0.929t0.902 0.393 0.902-0.393 0.366-0.929zM21.571 30.375v-2.036q0-0.536-0.366-0.92t-0.902-0.384-0.902 0.384-0.366 0.92v2.036q0 0.536 0.366 0.929t0.902 0.393 0.902-0.393 0.366-0.929zM26.357 18.161q-1.5 2.857-4.143 4.634t-5.768 1.777q-2.196 0-4.098-0.92t-3.188-2.446-2.018-3.527-0.732-4.143q0-1.571 0.375-3.107-1.857 3.125-1.857 6.964 0 2.893 1.161 5.571t3.304 4.482q0.536-1.018 1.625-1.018 1 0 1.536 0.893 0.571-0.893 1.554-0.893 1 0 1.536 0.893 0.571-0.893 1.554-0.893t1.554 0.893q0.536-0.893 1.536-0.893 0.5 0 0.938 0.277t0.67 0.723q2-1.679 3.161-4.134t1.304-5.134zM23.679 17.643q0-1.339-1.286-1.339-0.304 0-0.839 0.107-1.696 0.339-2.661 0.339-4.036 0-4.036-4.339 0-1.536 0.536-3.643-1.482 2.268-1.482 4.911 0 2.679 1.589 4.652t4.196 1.973q1.982 0 3.75-1.25 0.232-0.857 0.232-1.411zM15.786 5.875q0-0.893-0.571-1.598t-1.446-0.705-1.446 0.705-0.571 1.598q0 0.911 0.563 1.616t1.455 0.705 1.455-0.705 0.563-1.616zM27.018 11.929q0-1.714-0.67-3.196t-2.018-2.446-3.098-0.964q-1.375 0-2.661 0.625t-2.268 1.679q-0.857 2.839-0.857 4.786 0 1.857 0.813 2.804t2.634 0.946q0.946 0 2.536-0.339 0.643-0.107 0.946-0.107 0.911 0 1.384 0.5t0.473 1.429q0 0.464-0.071 0.821 1.339-1.214 2.098-2.955t0.759-3.58zM32 15.804q0 1.982-0.598 4.455t-1.67 3.652q-1.036 1.143-3.482 2.545t-4.071 1.866l-0.071 0.018v2.036q0 0.768-0.527 1.339t-1.295 0.571q-1 0-1.536-0.893-0.571 0.893-1.554 0.893t-1.554-0.893q-0.536 0.893-1.536 0.893-0.982 0-1.554-0.893-0.536 0.893-1.536 0.893-0.839 0-1.339-0.598t-0.5-1.455q-1.607 1.214-3.536 1.214-2.107 0-3.768-1.429 0.964-0.018 1.893-0.357-2.018-0.554-3.25-2.268 0.571 0.125 1.268 0.125 1.589 0 2.929-0.821-3.429-3.429-4.286-5.464-0.429-1-0.429-2.857 0-1.018 0.161-2.241t0.563-2.616 0.982-2.518 1.545-1.875 2.143-0.75q1.054 0 1.446 0.929 0.339-0.518 0.75-0.964 0.036-0.054 0.214-0.232t0.232-0.286q0.179-0.268 0.411-0.679t0.446-0.75 0.5-0.696q1.554-1.982 3.777-3.161t4.652-1.179q0.625 0 1.107 0.071 1.054-1.143 2.607-1.143 1.482 0 2.5 1.018 0.089 0.089 0.089 0.214 0 0.089-0.107 0.241t-0.223 0.286-0.286 0.304l-0.188 0.188q0.304 0.107 0.643 0.321t0.339 0.429q0 0.107-0.286 0.446 2.804 2.464 3.518 6.75 0.446-0.536 1.071-0.536 0.804 0 1.786 0.875 1.607 1.429 1.607 4.982z"></path>'),
	   	 			'announcement' => array('keywords' => 'announcement ','viewbox' => '0 0 32 32', 'path' =>'<path d="M17.313 20.667v-2.688h-2.625v2.688h2.625zM17.313 15.354v-8h-2.625v8h2.625zM26.688 3.354q1.063 0 1.844 0.781t0.781 1.844v16q0 1.063-0.781 1.875t-1.844 0.813h-18.688l-5.313 5.313v-24q0-1.063 0.781-1.844t1.844-0.781h21.375z"></path>'),
	   	 			'twitter3' => array('keywords' => 'twitter3 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16-0.034c-8.841 0-16.035 7.192-16.035 16.034s7.194 16.034 16.035 16.034 16.035-7.192 16.035-16.034-7.194-16.034-16.035-16.034zM16 30.966c-8.252 0-14.965-6.714-14.965-14.966s6.713-14.966 14.965-14.966 14.965 6.714 14.965 14.966-6.713 14.966-14.965 14.966zM24.794 11.046c0.11-0.204 0.202-0.419 0.273-0.643 0.067-0.212-0.002-0.442-0.176-0.581-0.173-0.138-0.415-0.154-0.605-0.042-0.513 0.305-1.065 0.53-1.646 0.673-0.698-0.631-1.615-0.987-2.562-0.987-2.105 0-3.817 1.712-3.817 3.815 0 0.053 0.001 0.105 0.003 0.158-2.235-0.279-4.298-1.415-5.735-3.178-0.11-0.136-0.28-0.207-0.456-0.195-0.175 0.014-0.332 0.112-0.42 0.265-0.338 0.58-0.517 1.243-0.517 1.919 0 0.64 0.159 1.256 0.451 1.802-0.074 0.012-0.147 0.039-0.214 0.078-0.163 0.097-0.264 0.292-0.264 0.481 0 1.135 0.505 2.177 1.319 2.885-0.012 0.011-0.023 0.023-0.035 0.035-0.125 0.142-0.166 0.338-0.108 0.518 0.351 1.094 1.164 1.946 2.184 2.365-1.041 0.515-2.25 0.716-3.406 0.579-0.244-0.022-0.481 0.116-0.566 0.352-0.083 0.234 0.005 0.495 0.215 0.63 1.592 1.020 3.431 1.559 5.319 1.559 6.18 0 9.874-5.020 9.874-9.873 0-0.055 0-0.109-0.001-0.164 0.597-0.466 1.115-1.023 1.541-1.66 0.132-0.197 0.118-0.459-0.035-0.641-0.151-0.179-0.4-0.241-0.616-0.15zM23.049 12.801c-0.147 0.106-0.231 0.279-0.222 0.461 0.006 0.132 0.009 0.266 0.009 0.398 0 4.328-3.293 8.805-8.804 8.805-0.989 0-1.964-0.166-2.887-0.488 1.105-0.211 2.141-0.682 3.045-1.39 0.178-0.14 0.249-0.376 0.177-0.591-0.072-0.214-0.271-0.36-0.497-0.364-0.891-0.018-1.699-0.461-2.194-1.162 0.253-0.017 0.501-0.059 0.742-0.124 0.239-0.065 0.401-0.286 0.393-0.534s-0.186-0.457-0.429-0.506c-1.003-0.201-1.79-0.943-2.081-1.905 0.266 0.067 0.539 0.106 0.812 0.115 0.235-0.001 0.453-0.145 0.526-0.371s-0.013-0.475-0.212-0.607c-0.765-0.512-1.222-1.366-1.222-2.287 0-0.223 0.027-0.443 0.079-0.658 1.731 1.775 4.080 2.847 6.568 2.972 0.176 0.001 0.33-0.062 0.437-0.191s0.148-0.3 0.11-0.464c-0.047-0.203-0.071-0.414-0.071-0.627 0-1.515 1.233-2.747 2.748-2.747 0.757 0 1.488 0.316 2.005 0.868 0.126 0.135 0.312 0.194 0.494 0.159 0.165-0.033 0.328-0.071 0.489-0.115-0.072 0.054-0.147 0.104-0.226 0.151-0.216 0.129-0.312 0.393-0.231 0.631s0.324 0.394 0.569 0.357c0.061-0.007 0.121-0.015 0.182-0.023-0.099 0.082-0.203 0.161-0.309 0.237z"></path>'),
	   	 			'linux' => array('keywords' => 'linux ','viewbox' => '0 0 27 32', 'path' =>'<path d="M11.839 7.625q-0.196 0.018-0.277 0.188t-0.152 0.17q-0.089 0.018-0.089-0.089 0-0.214 0.339-0.268h0.179zM13.393 7.875q-0.071 0.018-0.205-0.116t-0.313-0.080q0.429-0.196 0.571 0.036 0.054 0.107-0.054 0.161zM7.125 15.5q-0.071-0.018-0.107 0.054t-0.080 0.223-0.098 0.241-0.179 0.232q-0.125 0.179-0.018 0.214 0.071 0.018 0.223-0.125t0.223-0.321q0.018-0.054 0.036-0.125t0.036-0.107 0.027-0.080 0.009-0.071v-0.054t-0.018-0.045-0.054-0.036zM22.393 21.911q0-0.321-0.982-0.75 0.071-0.268 0.134-0.491t0.089-0.464 0.054-0.384 0.009-0.402-0.018-0.348-0.063-0.393-0.071-0.366-0.089-0.446-0.098-0.473q-0.179-0.857-0.839-1.839t-1.286-1.339q0.429 0.357 1.018 1.482 1.554 2.893 0.964 4.964-0.196 0.714-0.893 0.75-0.554 0.071-0.688-0.33t-0.143-1.491-0.205-1.911q-0.161-0.696-0.348-1.232t-0.348-0.813-0.277-0.438-0.232-0.268-0.134-0.125q-0.25-1.107-0.554-1.839t-0.527-1-0.42-0.589-0.268-0.714q-0.071-0.375 0.107-0.955t0.080-0.884-0.795-0.446q-0.268-0.054-0.795-0.321t-0.634-0.286q-0.143-0.018-0.196-0.464t0.143-0.911 0.643-0.482q0.661-0.054 0.911 0.536t0.071 1.036q-0.196 0.339-0.036 0.473t0.536 0.009q0.232-0.071 0.232-0.643v-0.661q-0.089-0.536-0.241-0.893t-0.375-0.545-0.42-0.268-0.482-0.134q-1.911 0.143-1.589 2.393 0 0.268-0.018 0.268-0.161-0.161-0.527-0.188t-0.589 0.009-0.277-0.089q0.018-1.018-0.286-1.607t-0.804-0.607q-0.482-0.018-0.741 0.491t-0.295 1.063q-0.018 0.268 0.063 0.661t0.232 0.67 0.277 0.241q0.179-0.054 0.286-0.25 0.071-0.161-0.125-0.143-0.125 0-0.277-0.259t-0.17-0.598q-0.018-0.393 0.161-0.661t0.607-0.25q0.304 0 0.482 0.375t0.17 0.696-0.027 0.393q-0.393 0.268-0.554 0.518-0.143 0.214-0.491 0.42t-0.366 0.223q-0.232 0.25-0.277 0.482t0.134 0.321q0.25 0.143 0.446 0.348t0.286 0.339 0.33 0.232 0.634 0.116q0.839 0.036 1.821-0.268 0.036-0.018 0.411-0.125t0.616-0.188 0.527-0.232 0.375-0.313q0.161-0.25 0.357-0.143 0.089 0.054 0.116 0.152t-0.054 0.214-0.295 0.17q-0.357 0.107-1.009 0.384t-0.813 0.348q-0.786 0.339-1.25 0.411-0.446 0.089-1.411-0.036-0.179-0.036-0.161 0.036t0.304 0.339q0.446 0.411 1.196 0.393 0.304-0.018 0.643-0.125t0.643-0.25 0.598-0.313 0.536-0.304 0.438-0.214 0.313-0.045 0.152 0.196q0 0.036-0.018 0.080t-0.071 0.089-0.107 0.080-0.152 0.089-0.161 0.080-0.179 0.089-0.17 0.080q-0.5 0.25-1.205 0.786t-1.188 0.768-0.875 0.018q-0.375-0.196-1.125-1.304-0.393-0.554-0.446-0.393-0.018 0.054-0.018 0.179 0 0.446-0.268 1.009t-0.527 0.991-0.375 1.036 0.205 1.125q-0.411 0.107-1.116 1.607t-0.848 2.518q-0.036 0.321-0.027 1.232t-0.098 1.054q-0.143 0.429-0.518 0.054-0.571-0.554-0.643-1.679-0.036-0.5 0.071-1 0.071-0.339-0.018-0.321l-0.071 0.089q-0.643 1.161 0.179 2.964 0.089 0.214 0.446 0.5t0.429 0.357q0.357 0.411 1.857 1.616t1.661 1.366q0.286 0.268 0.313 0.679t-0.25 0.768-0.813 0.411q0.143 0.268 0.518 0.795t0.5 0.964 0.125 1.259q0.821-0.429 0.125-1.643-0.071-0.143-0.188-0.286t-0.17-0.214-0.036-0.107q0.054-0.089 0.232-0.17t0.357 0.045q0.821 0.929 2.964 0.643 2.375-0.268 3.161-1.554 0.411-0.679 0.607-0.536 0.214 0.107 0.179 0.929-0.018 0.446-0.411 1.643-0.161 0.411-0.107 0.67t0.429 0.277q0.054-0.339 0.259-1.375t0.241-1.607q0.036-0.375-0.116-1.313t-0.134-1.732 0.411-1.259q0.268-0.321 0.911-0.321 0.018-0.661 0.616-0.946t1.295-0.188 1.071 0.402zM11.179 7.143q0.054-0.304-0.045-0.536t-0.205-0.268q-0.161-0.036-0.161 0.125 0.036 0.089 0.089 0.107 0.179 0 0.125 0.268-0.054 0.357 0.143 0.357 0.054 0 0.054-0.054zM18.661 10.661q-0.036-0.143-0.116-0.205t-0.232-0.089-0.259-0.098q-0.089-0.054-0.17-0.143t-0.125-0.143-0.098-0.116-0.071-0.071-0.071 0.027q-0.25 0.286 0.125 0.777t0.696 0.563q0.161 0.018 0.259-0.143t0.063-0.357zM15.482 6.857q0-0.196-0.089-0.348t-0.196-0.223-0.161-0.054q-0.25 0.018-0.125 0.125l0.071 0.036q0.25 0.071 0.321 0.554 0 0.054 0.143-0.036zM16.446 2.696q0-0.036-0.045-0.089t-0.161-0.125-0.17-0.107q-0.268-0.268-0.429-0.268-0.161 0.018-0.205 0.134t-0.018 0.232-0.009 0.223q-0.018 0.071-0.107 0.188t-0.107 0.161 0.054 0.152q0.071 0.054 0.143 0t0.196-0.161 0.268-0.161q0.018-0.018 0.161-0.018t0.268-0.036 0.161-0.125zM26.536 26.643q0.357 0.214 0.554 0.438t0.214 0.429-0.045 0.402-0.277 0.393-0.42 0.348-0.536 0.33-0.563 0.295-0.571 0.277-0.482 0.232q-0.679 0.339-1.527 1t-1.348 1.143q-0.304 0.286-1.214 0.348t-1.589-0.259q-0.321-0.161-0.527-0.42t-0.295-0.455-0.393-0.348-0.839-0.17q-0.786-0.018-2.321-0.018-0.339 0-1.018 0.027t-1.036 0.045q-0.786 0.018-1.42 0.268t-0.955 0.536-0.777 0.509-0.955 0.205q-0.518-0.018-1.982-0.554t-2.607-0.768q-0.339-0.071-0.911-0.17t-0.893-0.161-0.705-0.17-0.598-0.259-0.304-0.348q-0.179-0.411 0.125-1.188t0.321-0.973q0.018-0.286-0.071-0.714t-0.179-0.759-0.080-0.652 0.188-0.482q0.25-0.214 1.018-0.25t1.071-0.214q0.536-0.321 0.75-0.625t0.214-0.911q0.375 1.304-0.571 1.893-0.571 0.357-1.482 0.268-0.607-0.054-0.768 0.179-0.232 0.268 0.089 1.018 0.036 0.107 0.143 0.321t0.152 0.321 0.080 0.304 0.018 0.393q0 0.268-0.304 0.875t-0.25 0.857q0.054 0.304 0.661 0.464 0.357 0.107 1.509 0.33t1.777 0.366q0.429 0.107 1.321 0.393t1.473 0.411 0.991 0.071q0.768-0.107 1.152-0.5t0.411-0.857-0.134-1.045-0.339-0.929-0.357-0.652q-2.161-3.393-3.018-4.321-1.214-1.321-2.018-0.714-0.196 0.161-0.268-0.268-0.054-0.286-0.036-0.679 0.018-0.518 0.179-0.929t0.429-0.839 0.393-0.75q0.143-0.375 0.473-1.286t0.527-1.393 0.536-1.089 0.696-0.964q1.964-2.554 2.214-3.482-0.214-2-0.286-5.536-0.036-1.607 0.429-2.705t1.893-1.866q0.696-0.375 1.857-0.375 0.946-0.018 1.893 0.241t1.589 0.741q1.018 0.75 1.634 2.17t0.527 2.634q-0.089 1.696 0.536 3.821 0.607 2.018 2.375 3.893 0.982 1.054 1.777 2.911t1.063 3.411q0.143 0.875 0.089 1.509t-0.214 0.991-0.357 0.393q-0.179 0.036-0.42 0.339t-0.482 0.634-0.723 0.598-1.089 0.25q-0.321-0.018-0.563-0.089t-0.402-0.241-0.241-0.277-0.205-0.366-0.161-0.348q-0.393-0.661-0.732-0.536t-0.5 0.875 0.125 1.732q0.357 1.25 0.018 3.482-0.179 1.161 0.321 1.795t1.304 0.589 1.518-0.634q1.054-0.875 1.598-1.188t1.848-0.759q0.946-0.321 1.375-0.652t0.33-0.616-0.446-0.509-0.92-0.42q-0.589-0.196-0.884-0.857t-0.268-1.295 0.277-0.848q0.018 0.554 0.143 1.009t0.259 0.723 0.366 0.509 0.375 0.339 0.384 0.232 0.295 0.17z"></path>'),
	   	 			'align-justify' => array('keywords' => 'align-justify ','viewbox' => '0 0 32 32', 'path' =>'<path d="M32 24.286v2.286q0 0.464-0.339 0.804t-0.804 0.339h-29.714q-0.464 0-0.804-0.339t-0.339-0.804v-2.286q0-0.464 0.339-0.804t0.804-0.339h29.714q0.464 0 0.804 0.339t0.339 0.804zM32 17.429v2.286q0 0.464-0.339 0.804t-0.804 0.339h-29.714q-0.464 0-0.804-0.339t-0.339-0.804v-2.286q0-0.464 0.339-0.804t0.804-0.339h29.714q0.464 0 0.804 0.339t0.339 0.804zM32 10.571v2.286q0 0.464-0.339 0.804t-0.804 0.339h-29.714q-0.464 0-0.804-0.339t-0.339-0.804v-2.286q0-0.464 0.339-0.804t0.804-0.339h29.714q0.464 0 0.804 0.339t0.339 0.804zM32 3.714v2.286q0 0.464-0.339 0.804t-0.804 0.339h-29.714q-0.464 0-0.804-0.339t-0.339-0.804v-2.286q0-0.464 0.339-0.804t0.804-0.339h29.714q0.464 0 0.804 0.339t0.339 0.804z"></path>'),
	   	 			'pc-phone' => array('keywords' => 'pc-phone ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 11h-3v-7c0-1.655-1.346-3-3-3h-20c-1.655 0-3 1.345-3 3v14c0 1.654 1.345 3 3 3h9v3h-2c-0.552 0-1 0.448-1 1s0.448 1 1 1h6c0.552 0 1-0.448 1-1s-0.448-1-1-1h-2v-3h4v7c0 1.654 1.346 3 3 3h8c1.654 0 3-1.346 3-3v-14c0-1.655-1.346-3-3-3zM3 19c-0.551 0-1-0.448-1-1v-14c0-0.551 0.449-1 1-1h20c0.552 0 1 0.449 1 1v7h-3c-1.654 0-3 1.345-3 3v5h-15zM30 28c0 0.552-0.448 1-1 1h-8c-0.552 0-1-0.448-1-1v-14c0-0.552 0.448-1 1-1h8c0.552 0 1 0.448 1 1v14zM26 26.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM26.5 14.5h-3c-0.552 0-1 0.448-1 1s0.448 1 1 1h3c0.552 0 1-0.448 1-1s-0.448-1-1-1z"></path>'),
	   	 			'move-up' => array('keywords' => 'move-up ','viewbox' => '0 0 32 32', 'path' =>'<path d="M22 16v12h2v-12h5l-6-6-6 6zM2 6h3v2h-3v-2zM6 6h3v2h-3v-2zM10 6h2v3h-2v-3zM2 13h2v3h-2v-3zM5 14h3v2h-3v-2zM9 14h3v2h-3v-2zM2 9h2v3h-2v-3zM10 10h2v3h-2v-3zM10 22v6h-6v-6h6zM12 20h-10v10h10v-10z"></path>'),
	   	 			'arrow-right2' => array('keywords' => 'arrow-right2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M19.414 27.414l10-10c0.781-0.781 0.781-2.047 0-2.828l-10-10c-0.781-0.781-2.047-0.781-2.828 0s-0.781 2.047 0 2.828l6.586 6.586h-19.172c-1.105 0-2 0.895-2 2s0.895 2 2 2h19.172l-6.586 6.586c-0.39 0.39-0.586 0.902-0.586 1.414s0.195 1.024 0.586 1.414c0.781 0.781 2.047 0.781 2.828 0z"></path>'),
	   	 			'page-break' => array('keywords' => 'page-break ','viewbox' => '0 0 32 32', 'path' =>'<path d="M0 16h4v2h-4zM6 16h6v2h-6zM14 16h4v2h-4zM20 16h6v2h-6zM28 16h4v2h-4zM27.5 0l0.5 14h-24l0.5-14h1l0.5 12h20l0.5-12zM4.5 32l-0.5-12h24l-0.5 12h-1l-0.5-10h-20l-0.5 10z"></path>'),
	   	 			'clock_style3' => array('keywords' => 'clock_style3 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 6c0.552 0 1-0.448 1-1v-1c0-0.552-0.448-1-1-1s-1 0.448-1 1v1c0 0.552 0.448 1 1 1zM16 29c0.552 0 1-0.448 1-1v-1c0-0.552-0.448-1-1-1s-1 0.448-1 1v1c0 0.552 0.448 1 1 1zM27 17h1c0.552 0 1-0.448 1-1s-0.448-1-1-1h-1c-0.552 0-1 0.448-1 1s0.448 1 1 1zM4 17h1c0.552 0 1-0.448 1-1s-0.448-1-1-1h-1c-0.552 0-1 0.448-1 1s0.448 1 1 1zM23.779 9.222c0.256 0 0.512-0.098 0.707-0.293l0.707-0.707c0.39-0.391 0.39-1.024 0-1.414s-1.024-0.391-1.414 0l-0.707 0.707c-0.39 0.391-0.39 1.024 0 1.414 0.195 0.196 0.451 0.293 0.707 0.293zM7.514 25.485c0.256 0 0.512-0.098 0.707-0.293l0.707-0.707c0.39-0.39 0.39-1.024 0-1.414s-1.024-0.39-1.414 0l-0.707 0.707c-0.391 0.39-0.391 1.023 0 1.414 0.195 0.195 0.452 0.293 0.707 0.293zM7.515 8.929c0.195 0.196 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293c0.39-0.39 0.39-1.024 0-1.414l-0.707-0.707c-0.39-0.391-1.024-0.391-1.414 0s-0.391 1.024 0 1.414l0.707 0.707zM23.779 25.192c0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293c0.39-0.39 0.39-1.023 0-1.414l-0.707-0.707c-0.39-0.39-1.024-0.39-1.414 0s-0.39 1.023 0 1.414l0.707 0.707zM20.293 21.707c0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293c0.39-0.39 0.39-1.023 0-1.414l-4.707-4.707v-4.585c0-0.552-0.448-1-1-1s-1 0.448-1 1v5c0 0.265 0.105 0.52 0.293 0.707l5 5zM31 0h-30c-0.552 0-1 0.448-1 1v30c0 0.552 0.448 1 1 1h30c0.552 0 1-0.448 1-1v-30c0-0.552-0.448-1-1-1zM30 30h-28v-28h28v28z"></path>'),
	   	 			'sun_sun' => array('keywords' => 'sun_sun ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 6c-5.514 0-10 4.486-10 10s4.486 10 10 10c5.514 0 10-4.486 10-10s-4.486-10-10-10zM16 24c-4.411 0-8-3.589-8-8s3.589-8 8-8 8 3.589 8 8-3.589 8-8 8zM16 5c0.552 0 1-0.448 1-1v-3c0-0.552-0.448-1-1-1s-1 0.448-1 1v3c0 0.552 0.448 1 1 1zM16 27c-0.552 0-1 0.448-1 1v3c0 0.552 0.448 1 1 1s1-0.448 1-1v-3c0-0.552-0.448-1-1-1zM24.485 8.514c0.256 0 0.512-0.098 0.707-0.293l2.121-2.122c0.39-0.391 0.39-1.024 0-1.414s-1.023-0.391-1.414 0l-2.121 2.122c-0.39 0.391-0.39 1.024 0 1.414 0.195 0.196 0.451 0.293 0.707 0.293zM6.808 23.779l-2.122 2.121c-0.391 0.39-0.391 1.024 0 1.414 0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293l2.121-2.121c0.39-0.39 0.39-1.023 0-1.414s-1.024-0.391-1.414 0zM6.808 8.222c0.195 0.196 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293c0.39-0.391 0.39-1.024 0-1.414l-2.122-2.121c-0.39-0.391-1.024-0.391-1.414 0s-0.391 1.024 0 1.414l2.122 2.121zM25.192 23.779c-0.39-0.39-1.024-0.39-1.414 0s-0.39 1.023 0 1.414l2.121 2.121c0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293c0.39-0.39 0.39-1.023 0-1.414l-2.121-2.121zM31 15h-3c-0.552 0-1 0.448-1 1s0.448 1 1 1h3c0.552 0 1-0.448 1-1s-0.448-1-1-1zM5 16c0-0.552-0.448-1-1-1h-3c-0.552 0-1 0.448-1 1s0.448 1 1 1h3c0.552 0 1-0.448 1-1z"></path>'),
	   	 			'two_columns' => array('keywords' => 'two_columns ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31 0h-30c-0.552 0-1 0.448-1 1v30c0 0.552 0.448 1 1 1h30c0.552 0 1-0.448 1-1v-30c0-0.552-0.448-1-1-1zM2 2h13v28h-13v-28zM30 30h-13v-28h13v28z"></path>'),
	   	 			'warning2' => array('keywords' => 'warning2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M17.313 19.354v-5.375h-2.625v5.375h2.625zM17.313 24.667v-2.688h-2.625v2.688h2.625zM1.313 28.667l14.688-25.313 14.688 25.313h-29.375z"></path>'),
	   	 			'unordered_list1' => array('keywords' => 'unordered_list1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M7 7h24c0.552 0 1-0.448 1-1s-0.448-1-1-1h-24c-0.552 0-1 0.448-1 1s0.448 1 1 1zM31 15h-24c-0.552 0-1 0.448-1 1s0.448 1 1 1h24c0.552 0 1-0.448 1-1s-0.448-1-1-1zM31 25h-24c-0.552 0-1 0.448-1 1s0.448 1 1 1h24c0.552 0 1-0.448 1-1s-0.448-1-1-1zM4 6c0 1.105-0.895 2-2 2s-2-0.895-2-2c0-1.105 0.895-2 2-2s2 0.895 2 2zM4 16c0 1.105-0.895 2-2 2s-2-0.895-2-2c0-1.105 0.895-2 2-2s2 0.895 2 2zM4 26c0 1.105-0.895 2-2 2s-2-0.895-2-2c0-1.105 0.895-2 2-2s2 0.895 2 2z"></path>'),
	   	 			'tv_table' => array('keywords' => 'tv_table ','viewbox' => '0 0 32 32', 'path' =>'<path d="M21 25c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM13 25c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM31 20h-10.306c-0.68-1.477-2.082-2.569-3.694-2.895v-1.105h10.5c0.552 0 1-0.448 1-1v-14c0-0.552-0.448-1-1-1h-23c-0.552 0-1 0.448-1 1v14c0 0.552 0.448 1 1 1h10.5v1.105c-1.613 0.327-3.014 1.419-3.694 2.895h-10.306c-0.552 0-1 0.448-1 1v10c0 0.552 0.448 1 1 1s1-0.448 1-1v-1h28v1c0 0.552 0.448 1 1 1s1-0.448 1-1v-10c0-0.552-0.448-1-1-1zM5.5 2h21v12h-21v-12zM16 19c0.869 0 1.711 0.389 2.302 1h-4.604c0.591-0.611 1.432-1 2.302-1zM2 22h13v6h-13v-6zM17 28v-6h13v6h-13zM20.354 3.611c-0.195-0.196-0.512-0.196-0.707 0l-7.535 7.535c-0.195 0.195-0.195 0.511 0 0.707 0.098 0.098 0.226 0.146 0.354 0.146s0.256-0.049 0.354-0.146l7.535-7.535c0.195-0.196 0.195-0.512 0-0.707zM16.465 11.964c0.128 0 0.256-0.049 0.354-0.146l3.535-3.536c0.195-0.195 0.195-0.511 0-0.707s-0.512-0.196-0.707 0l-3.535 3.535c-0.195 0.196-0.195 0.511 0 0.707 0.098 0.098 0.226 0.146 0.354 0.146zM12.428 7.965c0.128 0 0.256-0.049 0.354-0.146l3.535-3.535c0.195-0.196 0.195-0.511 0-0.707s-0.511-0.196-0.707 0l-3.535 3.535c-0.195 0.196-0.195 0.511 0 0.707 0.098 0.098 0.226 0.146 0.354 0.146z"></path>'),
	   	 			'termometer_2' => array('keywords' => 'termometer_2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M17 24.277v-3.277c0-0.552-0.448-1-1-1s-1 0.448-1 1v3.277c-0.595 0.346-1 0.984-1 1.723 0 1.105 0.896 2 2 2s2-0.895 2-2c0-0.738-0.405-1.376-1-1.723zM20 21.538v-17.538c0-2.205-1.794-4-4-4s-4 1.794-4 4v17.538c-1.274 1.137-2 2.733-2 4.462 0 3.308 2.692 6 6 6s6-2.692 6-6c0-1.729-0.727-3.325-2-4.462zM16 30c-2.206 0-4-1.794-4-4 0-1.27 0.584-2.436 1.601-3.201 0.261-0.197 0.395-0.496 0.396-0.799 0.001 0 0.002 0 0.004 0v-18c0-1.103 0.897-2 2-2s2 0.897 2 2v18c0.002 0 0.003 0 0.005 0 0 0.303 0.134 0.605 0.395 0.801 1.017 0.764 1.6 1.93 1.6 3.2 0 2.206-1.794 4-4 4z"></path>'),
	   	 			'font2' => array('keywords' => 'font2 ','viewbox' => '0 0 30 32', 'path' =>'<path d="M12.946 10.268l-3.036 8.036q0.589 0 2.438 0.036t2.866 0.036q0.339 0 1.018-0.036-1.554-4.518-3.286-8.071zM0 30l0.036-1.411q0.411-0.125 1-0.223t1.018-0.188 0.884-0.259 0.795-0.518 0.554-0.902l4.232-11 5-12.929h2.286q0.143 0.25 0.196 0.375l3.661 8.571q0.589 1.393 1.893 4.598t2.036 4.902q0.268 0.607 1.036 2.58t1.286 3.009q0.357 0.804 0.625 1.018 0.339 0.268 1.571 0.527t1.5 0.366q0.107 0.679 0.107 1.018 0 0.071-0.009 0.232t-0.009 0.232q-1.125 0-3.393-0.143t-3.411-0.143q-1.357 0-3.839 0.125t-3.179 0.143q0-0.768 0.071-1.393l2.339-0.5q0.018 0 0.223-0.045t0.277-0.063 0.259-0.080 0.268-0.116 0.196-0.143 0.161-0.196 0.045-0.25q0-0.286-0.554-1.723t-1.286-3.17-0.75-1.786l-8.036-0.036q-0.464 1.036-1.366 3.491t-0.902 2.902q0 0.393 0.25 0.67t0.777 0.438 0.866 0.241 1.018 0.152 0.732 0.071q0.018 0.339 0.018 1.036 0 0.161-0.036 0.482-1.036 0-3.116-0.179t-3.116-0.179q-0.143 0-0.473 0.071t-0.384 0.071q-1.429 0.25-3.357 0.25z"></path>'),
	   	 			'recycle' => array('keywords' => 'recycle ','viewbox' => '0 0 32 32', 'path' =>'<path d="M14.929 21.161l-0.268 6.571-0.036 0.393-7.5-0.518q-0.643-0.054-1.196-0.563t-0.839-1.17q-0.196-0.482-0.259-0.982t0.071-1.161 0.214-0.982 0.384-1.143 0.339-0.946q1.393 0.214 9.089 0.5zM8.018 10.696l3.214 6.768-2.625-1.643q-1.125 1.286-1.991 2.58t-1.295 2.232-0.705 1.688-0.33 1.125l-0.071 0.375-3.393-6.375q-0.304-0.464-0.321-1t0.107-0.839l0.143-0.321q0.625-1.125 2.036-3.357l-2.5-1.536zM30 19.929l-3.357 6.411q-0.214 0.518-0.652 0.83t-0.777 0.366l-0.321 0.071q-1.268 0.125-3.911 0.214l0.143 2.929-4.107-6.554 3.768-6.464 0.125 3.089q3.036 0.286 5.054 0.089t3.036-0.589zM15.982 3.429q-0.839 1.125-4.732 7.768l-5.661-3.339-0.339-0.214 4.018-6.357q0.357-0.554 1.071-0.804t1.429-0.179q0.429 0.036 0.866 0.214t0.75 0.375 0.741 0.589 0.643 0.616 0.643 0.705 0.571 0.625zM27.679 8.911l3.786 6.482q0.321 0.661 0.223 1.357t-0.491 1.321q-0.232 0.357-0.589 0.661t-0.679 0.5-0.866 0.393-0.839 0.286-0.92 0.25-0.821 0.214q-0.607-1.286-4.732-7.786l5.589-3.482zM25.125 4.875l2.536-1.482-3.929 6.661-7.482-0.357 2.696-1.536q-0.607-1.589-1.339-2.964t-1.348-2.205-1.152-1.429-0.839-0.83l-0.304-0.232 7.232 0.018q0.554-0.054 1.036 0.188t0.696 0.509l0.196 0.268q0.696 1.089 2 3.393z"></path>'),
	   	 			'money_off' => array('keywords' => 'money_off ','viewbox' => '0 0 32 32', 'path' =>'<path d="M7.125 6.104l19.438 19.5-1.688 1.688-2.938-3q-1.188 1.063-3.25 1.5v2.875h-4v-2.875q-2.063-0.438-3.438-1.75t-1.5-3.375h2.938q0.25 2.813 4 2.813 2.313 0 3.188-1.25l-4.688-4.625q-5.188-1.563-5.188-5.25l-4.563-4.563zM16.688 9.854q-1.188 0-2.063 0.375l-1.938-1.938q0.875-0.438 2-0.75v-2.875h4v2.938q2 0.5 3.094 1.875t1.156 3.188h-2.938q-0.125-2.813-3.313-2.813z"></path>'),
	   	 			'laptop_mac' => array('keywords' => 'laptop_mac ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 25.979q0.563 0 0.938-0.375t0.375-0.938-0.375-0.938-0.938-0.375-0.938 0.375-0.375 0.938 0.375 0.938 0.938 0.375zM5.313 7.354v14.625h21.375v-14.625h-21.375zM26.688 24.667h5.313q0 1.063-0.813 1.875t-1.875 0.813h-26.625q-1.063 0-1.875-0.813t-0.813-1.875h5.313q-1.063 0-1.844-0.813t-0.781-1.875v-14.625q0-1.063 0.781-1.875t1.844-0.813h21.375q1.063 0 1.844 0.813t0.781 1.875v14.625q0 1.063-0.781 1.875t-1.844 0.813z"></path>'),
	   	 			'collections' => array('keywords' => 'collections ','viewbox' => '0 0 32 32', 'path' =>'<path d="M2.688 8.667h2.625v18.688h18.688v2.625h-18.688q-1.063 0-1.844-0.781t-0.781-1.844v-18.688zM14.688 16.667l-4 5.313h16l-5.375-6.625-3.938 4.938zM29.313 21.979q0 1.063-0.781 1.875t-1.844 0.813h-16q-1.063 0-1.875-0.813t-0.813-1.875v-16q0-1.063 0.813-1.844t1.875-0.781h16q1.063 0 1.844 0.781t0.781 1.844v16z"></path>'),
	   	 			'design_tool4' => array('keywords' => 'design_tool4 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16.928 14.129c-0.151-0.38-0.52-0.629-0.928-0.629s-0.777 0.249-0.928 0.629l-4 10c-0.154 0.386-0.053 0.826 0.252 1.107s0.754 0.343 1.124 0.159l3.553-1.776 3.553 1.776c0.142 0.071 0.295 0.105 0.448 0.105 0.003 0 0.008 0 0.010 0 0.552 0 1-0.448 1-1 0-0.18-0.047-0.349-0.131-0.495l-3.95-9.877zM16.448 21.605c-0.141-0.070-0.294-0.105-0.448-0.105s-0.306 0.035-0.447 0.105l-1.647 0.823 2.095-5.236 2.095 5.237-1.647-0.824zM29 6.5c-1.303 0-2.412 0.837-2.825 2h-7.761l-1.707-1.707c-0.39-0.391-1.024-0.391-1.414 0l-1.707 1.707h-7.761c-0.413-1.163-1.522-2-2.825-2-1.655 0-3 1.345-3 3s1.345 3 3 3c1.303 0 2.412-0.837 2.825-2h7.76l1.707 1.707c0.196 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293l1.707-1.707h7.761c0.413 1.163 1.522 2 2.825 2 1.654 0 3-1.345 3-3s-1.346-3-3-3zM3 10.5c-0.551 0-1-0.448-1-1s0.449-1 1-1 1 0.448 1 1-0.449 1-1 1zM16 10.085l-0.586-0.585 0.586-0.585 0.586 0.585-0.586 0.585zM29 10.5c-0.552 0-1-0.448-1-1s0.448-1 1-1 1 0.448 1 1-0.448 1-1 1z"></path>'),
	   	 			'arrow-left' => array('keywords' => 'arrow-left ','viewbox' => '0 0 32 32', 'path' =>'<path d="M1 16l15 15v-9h16v-12h-16v-9z"></path>'),
	   	 			'browser_symbol7' => array('keywords' => 'browser_symbol7 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 2.5h-26c-1.65 0-3 1.35-3 3v21c0 1.65 1.35 3 3 3h26c1.65 0 3-1.35 3-3v-21c0-1.65-1.35-3-3-3zM30 26.5c0 0.55-0.45 1-1 1h-26c-0.55 0-1-0.45-1-1v-14h28v14zM30 10.5h-28v-5c0-0.55 0.45-1 1-1h26c0.55 0 1 0.45 1 1v5zM6 7.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM10 7.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM14 7.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1z"></path>'),
	   	 			'weibo' => array('keywords' => 'weibo ','viewbox' => '0 0 32 32', 'path' =>'<path d="M12.054 23.214q0.375-0.607 0.196-1.232t-0.804-0.893q-0.607-0.25-1.304-0.018t-1.071 0.821q-0.393 0.607-0.232 1.223t0.768 0.902 1.33 0.045 1.116-0.848zM13.732 21.054q0.143-0.232 0.063-0.473t-0.313-0.33q-0.25-0.089-0.509 0.009t-0.384 0.33q-0.304 0.554 0.232 0.804 0.25 0.089 0.518-0.009t0.393-0.33zM16.839 22.964q-0.804 1.821-2.821 2.679t-4 0.214q-1.911-0.607-2.634-2.259t0.116-3.348q0.839-1.661 2.705-2.482t3.759-0.339q1.982 0.518 2.83 2.134t0.045 3.402zM22.411 20.107q-0.161-1.714-1.589-3.036t-3.723-1.946-4.902-0.375q-3.982 0.411-6.598 2.527t-2.366 4.723q0.161 1.714 1.589 3.036t3.723 1.946 4.902 0.375q3.982-0.411 6.598-2.527t2.366-4.723zM27.911 20.179q0 1.214-0.661 2.491t-1.946 2.446-3.009 2.098-4.036 1.482-4.83 0.554-4.911-0.598-4.295-1.661-3.063-2.696-1.161-3.563q0-2.054 1.241-4.375t3.527-4.607q3.018-3.018 6.098-4.214t4.402 0.125q1.161 1.143 0.357 3.732-0.071 0.25-0.018 0.357t0.179 0.125 0.259-0.009 0.241-0.063l0.107-0.036q2.482-1.054 4.393-1.054t2.732 1.089q0.804 1.125 0 3.179-0.036 0.232-0.080 0.357t0.080 0.223 0.214 0.134 0.304 0.107q1.018 0.321 1.839 0.839t1.429 1.455 0.607 2.080zM26.589 9.036q0.75 0.839 0.973 1.938t-0.116 2.098q-0.143 0.411-0.527 0.607t-0.795 0.071q-0.411-0.143-0.607-0.527t-0.071-0.795q0.357-1.125-0.429-1.982t-1.911-0.625q-0.429 0.089-0.804-0.143t-0.446-0.661q-0.089-0.429 0.143-0.795t0.661-0.455q1.071-0.232 2.125 0.098t1.804 1.17zM29.821 6.125q1.554 1.714 2.009 3.973t-0.241 4.313q-0.161 0.482-0.607 0.714t-0.929 0.071-0.714-0.607-0.089-0.929q0.5-1.464 0.179-3.071t-1.429-2.821q-1.107-1.232-2.643-1.705t-3.089-0.152q-0.5 0.107-0.929-0.17t-0.536-0.777 0.17-0.92 0.777-0.527q2.196-0.464 4.357 0.205t3.714 2.402z"></path>'),
	   	 			'calculator_symbols' => array('keywords' => 'calculator_symbols ','viewbox' => '0 0 32 32', 'path' =>'<path d="M24 9c-0.001 0-0.002 0-0.003 0h-4.995c-0.001 0-0.002 0-0.003 0-0.552 0-1 0.448-1 1s0.448 1 1 1h5c0.552 0 1-0.448 1-1s-0.448-1-1-1zM24 19.5c-0.001 0-0.002 0-0.003 0h-4.995c-0.001 0-0.002 0-0.003 0-0.552 0-1 0.448-1 1s0.448 1 1 1h5c0.552 0 1-0.448 1-1s-0.448-1-1-1zM24 22.5c-0.001 0-0.002 0-0.003 0h-4.995c-0.001 0-0.002 0-0.003 0-0.552 0-1 0.448-1 1s0.448 1 1 1h5c0.552 0 1-0.448 1-1s-0.448-1-1-1zM12.5 9c-0.001 0-0.002 0-0.002 0h-1.498v-1.5c0-0.552-0.448-1-1-1s-1 0.448-1 1v1.5h-1.498c-0.001 0-0.002 0-0.003 0-0.552 0-1 0.448-1 1s0.448 1 1 1h1.5v1.5c0 0.552 0.448 1 1 1s1-0.448 1-1v-1.5h1.5c0.552 0 1-0.448 1-1s-0.448-1-1-1zM12.475 19.293c-0.39-0.39-1.024-0.39-1.414 0l-1.060 1.061-1.059-1.059c-0.001-0-0.001-0.001-0.002-0.002-0.39-0.39-1.024-0.39-1.415 0s-0.39 1.024 0 1.415l1.061 1.061-1.061 1.061c-0.39 0.39-0.39 1.024 0 1.414s1.024 0.39 1.415 0l1.060-1.061 1.060 1.061c0.39 0.39 1.024 0.39 1.414 0s0.39-1.023 0-1.414c-0.001-0-0.001-0.001-0.002-0.002l-1.059-1.059 1.060-1.061c0.39-0.39 0.39-1.024 0-1.415zM29 0h-26c-1.65 0-3 1.35-3 3v26c0 1.65 1.35 3 3 3h26c1.65 0 3-1.35 3-3v-26c0-1.65-1.35-3-3-3zM30 29c0 0.55-0.45 1-1 1h-26c-0.55 0-1-0.45-1-1v-26c0-0.55 0.45-1 1-1h26c0.55 0 1 0.45 1 1v26z"></path>'),
	   	 			'drawer2' => array('keywords' => 'drawer2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31.781 20.375l-8-10c-0.19-0.237-0.477-0.375-0.781-0.375h-14c-0.304 0-0.591 0.138-0.781 0.375l-8 10c-0.142 0.177-0.219 0.398-0.219 0.625v9c0 1.105 0.895 2 2 2h28c1.105 0 2-0.895 2-2v-9c0-0.227-0.077-0.447-0.219-0.625zM30 22h-7l-4 4h-6l-4-4h-7v-0.649l7.481-9.351h13.039l7.481 9.351v0.649z"></path>'),
	   	 			'design_tool3' => array('keywords' => 'design_tool3 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 13c-1.303 0-2.412 0.837-2.825 2h-3.862c2.722-1.915 4.538-5.032 4.674-8.573l1.72-1.72c0.39-0.391 0.39-1.024 0-1.414l-2-2c-0.39-0.391-1.024-0.391-1.414 0l-2 2c-0.39 0.39-0.39 1.024 0 1.414l1.689 1.688c-0.177 4.046-3.032 7.4-6.837 8.335l-1.438-1.438c-0.39-0.39-1.024-0.39-1.414 0l-1.707 1.707h-7.761c-0.413-1.163-1.522-2-2.825-2-1.655 0-3 1.345-3 3s1.345 3 3 3c1.303 0 2.412-0.837 2.825-2h3.862c-2.722 1.915-4.537 5.031-4.674 8.573l-1.72 1.72c-0.39 0.39-0.39 1.023 0 1.414l2 2c0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293l2-2c0.39-0.39 0.39-1.023 0-1.414l-1.688-1.689c0.177-4.046 3.032-7.4 6.837-8.335l1.438 1.438c0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293l1.707-1.707h7.761c0.413 1.163 1.522 2 2.825 2 1.654 0 3-1.346 3-3s-1.346-3-3-3zM26 3.414l0.586 0.586-0.586 0.585-0.586-0.586 0.586-0.586zM3 17c-0.551 0-1-0.448-1-1s0.449-1 1-1 1 0.448 1 1c0 0.552-0.449 1-1 1zM6 28.586l-0.585-0.586 0.585-0.586 0.585 0.586-0.585 0.586zM16 16.586l-0.585-0.586 0.585-0.585 0.586 0.585-0.586 0.586zM29 17c-0.552 0-1-0.448-1-1s0.448-1 1-1 1 0.448 1 1c0 0.552-0.448 1-1 1z"></path>'),
	   	 			'tencent-weibo' => array('keywords' => 'tencent-weibo ','viewbox' => '0 0 23 32', 'path' =>'<path d="M15.036 10.5q0 1.429-1.018 2.438t-2.429 1.009q-1.071 0-1.982-0.625-1.107 1.196-2.054 2.607-4.411 6.625-3.607 15.339 0.018 0.393-0.223 0.688t-0.616 0.33h-0.089q-0.357 0-0.625-0.241t-0.304-0.598q-0.25-2.25-0.063-4.42t0.527-3.875 0.964-3.321 1.232-2.777 1.321-2.232q1.089-1.607 2.357-2.946-0.286-0.625-0.286-1.375 0-1.429 1.009-2.438t2.438-1.009 2.438 1.009 1.009 2.438zM21.839 10.696q0 2.821-1.393 5.214t-3.795 3.786-5.223 1.393q-1.143 0-2.339-0.25-0.375-0.089-0.58-0.42t-0.116-0.705q0.089-0.357 0.411-0.563t0.696-0.134q0.911 0.232 1.929 0.232 1.732 0 3.321-0.679t2.732-1.821 1.821-2.732 0.679-3.321-0.679-3.321-1.821-2.732-2.732-1.821-3.321-0.679-3.321 0.679-2.732 1.821-1.821 2.732-0.679 3.321q0 2.036 0.929 3.893 0.179 0.357 0.063 0.714t-0.455 0.536-0.705 0.054-0.545-0.464q-1.143-2.196-1.143-4.732 0-2.125 0.83-4.054t2.223-3.321 3.321-2.214 4.036-0.821q2.821 0 5.223 1.393t3.795 3.795 1.393 5.223z"></path>'),
	   	 			'credit_card1' => array('keywords' => 'credit_card1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 4.5h-26c-1.65 0-3 1.349-3 3v17c0 1.649 1.35 3 3 3h26c1.65 0 3-1.351 3-3v-17c0-1.651-1.35-3-3-3zM3 6.5h26c0.55 0 1 0.45 1 1v2h-28v-2c0-0.55 0.45-1 1-1zM29 25.5h-26c-0.55 0-1-0.45-1-1v-10h28v10c0 0.55-0.45 1-1 1zM17.5 21.5v0 0h-12.5c-0.552 0-1 0.448-1 1s0.448 1 1 1v0h12.5c0.552 0 1-0.448 1-1s-0.448-1-1-1zM27 21.5v0 0h-5.5c-0.552 0-1 0.448-1 1s0.448 1 1 1v0h5.5c0.552 0 1-0.448 1-1s-0.448-1-1-1z"></path>'),
	   	 			'filter_8' => array('keywords' => 'filter_8 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M17.313 15.354v2.625h2.688v-2.625h-2.688zM17.313 9.979v2.688h2.688v-2.688h-2.688zM17.313 20.667q-1.063 0-1.844-0.781t-0.781-1.906v-2q0-0.813 0.594-1.406t1.406-0.594q-0.813 0-1.406-0.594t-0.594-1.406v-2q0-1.125 0.781-1.875t1.844-0.75h2.688q1.125 0 1.906 0.75t0.781 1.875v2q0 0.813-0.594 1.406t-1.406 0.594q0.813 0 1.406 0.594t0.594 1.406v2q0 1.125-0.813 1.906t-1.875 0.781h-2.688zM28 23.354v-18.688h-18.688v18.688h18.688zM28 1.979q1.063 0 1.875 0.813t0.813 1.875v18.688q0 1.063-0.813 1.844t-1.875 0.781h-18.688q-1.063 0-1.844-0.781t-0.781-1.844v-18.688q0-1.063 0.781-1.875t1.844-0.813h18.688zM4 7.354v21.313h21.313v2.688h-21.313q-1.063 0-1.875-0.813t-0.813-1.875v-21.313h2.688z"></path>'),
	   	 			'text_formatting3' => array('keywords' => 'text_formatting3 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 6h12c0.552 0 1-0.448 1-1s-0.448-1-1-1h-12c-0.552 0-1 0.448-1 1s0.448 1 1 1zM16 11.5h12c0.552 0 1-0.448 1-1s-0.448-1-1-1h-12c-0.552 0-1 0.448-1 1s0.448 1 1 1zM16 17h15c0.552 0 1-0.448 1-1s-0.448-1-1-1h-15c-0.552 0-1 0.448-1 1s0.448 1 1 1zM31 26h-15c-0.552 0-1 0.448-1 1s0.448 1 1 1h15c0.552 0 1-0.448 1-1s-0.448-1-1-1zM16 22.5h12c0.552 0 1-0.448 1-1s-0.448-1-1-1h-12c-0.552 0-1 0.448-1 1s0.448 1 1 1zM13 0c-0.552 0-1 0.448-1 1v30c0 0.552 0.448 1 1 1s1-0.448 1-1v-30c0-0.552-0.448-1-1-1zM10.707 14.793c0.001 0 0.001 0 0 0l-3.999-3.999c-0.391-0.39-1.024-0.39-1.414 0s-0.391 1.024 0 1.414l2.293 2.293h-6.587c-0.552 0-1 0.448-1 1s0.448 1 1 1h6.585l-2.292 2.293c-0.391 0.39-0.391 1.023 0 1.414 0.196 0.195 0.451 0.293 0.707 0.293s0.511-0.098 0.707-0.293l3.997-3.997c0.183-0.181 0.296-0.432 0.296-0.71 0-0.277-0.113-0.527-0.293-0.707z"></path>'),
	   	 			'video_player_symbol1' => array('keywords' => 'video_player_symbol1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31 0h-30c-0.552 0-1 0.448-1 1v30c0 0.552 0.448 1 1 1h30c0.552 0 1-0.448 1-1v-30c0-0.552-0.448-1-1-1zM15 27v3h-5.5v-3h5.5zM17 27h5.5v3h-5.5v-3zM2 25v-18h28v18h-28zM17 5v-3h5.5v3h-5.5zM15 5h-5.5v-3h5.5v3zM30 5h-5.5v-3h5.5v3zM2 2h5.5v3h-5.5v-3zM2 27h5.5v3h-5.5v-3zM30 30h-5.5v-3h5.5v3zM21.53 15.152l-8-5c-0.309-0.194-0.697-0.203-1.015-0.027-0.318 0.177-0.515 0.511-0.515 0.875v10c0 0.363 0.197 0.698 0.515 0.875 0.151 0.083 0.318 0.125 0.485 0.125 0.184 0 0.368-0.051 0.53-0.152l8-5c0.292-0.183 0.47-0.503 0.47-0.848s-0.177-0.665-0.47-0.848zM14 19.196v-6.392l5.114 3.196-5.114 3.196z"></path>'),
	   	 			'user_locked' => array('keywords' => 'user_locked ','viewbox' => '0 0 24 32', 'path' =>'<path d="M18 26c-0.552 0-1 0.448-1 1v1c0 0.552 0.448 1 1 1s1-0.448 1-1v-1c0-0.552-0.448-1-1-1zM18 28c-0.002 0-0.003-0-0.005-0h0.009c-0.002 0-0.003 0-0.005 0zM24 28v-5h-2c0-2.206-1.794-4-4-4s-4 1.794-4 4v0.001l-0.001-0h-1.999v5c-0.001 2.209 1.79 3.999 3.999 3.999h4.001c2.209 0.001 4-1.791 4-4v0 0zM16 23c0-1.103 0.898-2 2-2s2 0.897 2 2v0l-4-0c0 0 0 0 0 0zM20 30v0 0l-4 0c-1.104 0-2-0.896-2.001-2l0.001-3h8v3h0c0 1.105-0.896 2-2 2zM9 10c2.757 0 5-2.243 5-5s-2.243-5-5-5-5 2.243-5 5 2.243 5 5 5zM9 2c1.655 0 3 1.345 3 3s-1.345 3-3 3-3-1.345-3-3 1.345-3 3-3zM10 26h-4.5v-6c0-0.552-0.448-1-1-1h-2.429c0.486-3.388 3.408-6 6.928-6 2.87 0 5.417 1.717 6.489 4.375 0.207 0.512 0.79 0.759 1.302 0.553s0.76-0.79 0.553-1.302c-1.379-3.418-4.654-5.626-8.344-5.626-4.963 0-9 4.037-9 9 0 0.552 0.448 1 1 1h2.5v6c0 0.552 0.448 1 1 1h5.5c0.552 0 1-0.448 1-1s-0.448-1-1-1z"></path>'),
	   	 			'helecopter' => array('keywords' => 'helecopter ','viewbox' => '0 0 32 32', 'path' =>'<path d="M7 5.5c0-0.552-0.448-1-1-1h-5c-0.552 0-1 0.448-1 1s0.448 1 1 1h5c0.552 0 1-0.448 1-1zM31 23.5c-0.552 0-1 0.448-1 1s-0.448 1-1 1h-1.5v-1.026c2.523-0.252 4.501-2.386 4.501-4.974 0-0.003-0.001-0.007-0.001-0.011-0.006-4.954-4.035-8.983-8.989-8.989-0.003 0.001-0.006-0.001-0.010-0.001v-2h7.5c0.552 0 1-0.448 1-1s-0.448-1-1-1h-17c-0.552 0-1 0.448-1 1s0.448 1 1 1h7.5v2h-14.28l-0.772-2.316c-0.136-0.409-0.518-0.684-0.949-0.684h-3c-0.321 0-0.623 0.154-0.812 0.415s-0.239 0.596-0.137 0.901l2 6c0.118 0.352 0.414 0.585 0.755 0.653-0.005 0.003-0.007 0.005-0.011 0.009l8.707 1.833v2.189c0 2.757 2.243 5 5 5h1.499v1h-5c-0.552 0-1 0.448-1 1s0.448 1 1 1h15c1.654 0 3-1.346 3-3 0-0.552-0.448-1-1-1zM25.5 25.5h-4.5v-1l4.5-0v1zM27 22.5l-9.5 0c-1.655 0-3-1.346-3-3v-3c0-0.473-0.332-0.881-0.794-0.979l-8.939-1.882-1.38-4.139h0.892l0.772 2.316c0.139 0.42 0.532 0.68 0.95 0.68-0.001 0.002-0.002 0.003-0.002 0.005h16.995c0.002 0 0.003 0.001 0.005 0.001 3.86 0 7 3.14 7 7 0 0.001 0 0.002 0 0.003-0.002 1.652-1.346 2.995-2.998 2.997-0 0-0.001-0-0.002-0zM23 13.5h-1c-0.265 0-0.52 0.105-0.707 0.293s-0.293 0.442-0.293 0.707v5c0 0.552 0.448 1 1 1h5.997c0.001 0 0.002 0 0.003 0 0.552 0 1-0.448 1-1v0 0c0-3.308-2.692-6-6-6zM23 18.5v-3c1.86 0 3.422 1.277 3.868 3h-3.868zM18 13.5h-2c-0.552 0-1 0.448-1 1s0.448 1 1 1h2c0.552 0 1-0.448 1-1s-0.448-1-1-1z"></path>'),
	   	 			'chain' => array('keywords' => 'chain ','viewbox' => '0 0 30 32', 'path' =>'<path d="M26 22q0-0.714-0.5-1.214l-3.714-3.714q-0.5-0.5-1.214-0.5-0.75 0-1.286 0.571 0.054 0.054 0.339 0.33t0.384 0.384 0.268 0.339 0.232 0.455 0.063 0.491q0 0.714-0.5 1.214t-1.214 0.5q-0.268 0-0.491-0.063t-0.455-0.232-0.339-0.268-0.384-0.384-0.33-0.339q-0.589 0.554-0.589 1.304 0 0.714 0.5 1.214l3.679 3.696q0.482 0.482 1.214 0.482 0.714 0 1.214-0.464l2.625-2.607q0.5-0.5 0.5-1.196zM13.446 9.411q0-0.714-0.5-1.214l-3.679-3.696q-0.5-0.5-1.214-0.5-0.696 0-1.214 0.482l-2.625 2.607q-0.5 0.5-0.5 1.196 0 0.714 0.5 1.214l3.714 3.714q0.482 0.482 1.214 0.482 0.75 0 1.286-0.554-0.054-0.054-0.339-0.33t-0.384-0.384-0.268-0.339-0.232-0.455-0.063-0.491q0-0.714 0.5-1.214t1.214-0.5q0.268 0 0.491 0.063t0.455 0.232 0.339 0.268 0.384 0.384 0.33 0.339q0.589-0.554 0.589-1.304zM29.429 22q0 2.143-1.518 3.625l-2.625 2.607q-1.482 1.482-3.625 1.482-2.161 0-3.643-1.518l-3.679-3.696q-1.482-1.482-1.482-3.625 0-2.196 1.571-3.732l-1.571-1.571q-1.536 1.571-3.714 1.571-2.143 0-3.643-1.5l-3.714-3.714q-1.5-1.5-1.5-3.643t1.518-3.625l2.625-2.607q1.482-1.482 3.625-1.482 2.161 0 3.643 1.518l3.679 3.696q1.482 1.482 1.482 3.625 0 2.196-1.571 3.732l1.571 1.571q1.536-1.571 3.714-1.571 2.143 0 3.643 1.5l3.714 3.714q1.5 1.5 1.5 3.643z"></path>'),
	   	 			'accolade_prize2' => array('keywords' => 'accolade_prize2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M23.157 11.502l1.343-8.502c0-1.65-1.349-3-3-3h-11c-1.649 0-3 1.35-3 3l1.342 8.502c-2.646 2.107-4.343 5.354-4.343 8.998-0.001 6.353 5.147 11.499 11.5 11.499 6.351 0 11.502-5.146 11.5-11.498 0.001-3.645-1.697-6.892-4.343-8.999zM9.5 3c0-0.55 0.45-1 1-1h11c0.55 0 1 0.45 1 1l-1.353 7.217c-1.55-0.777-3.297-1.217-5.147-1.217s-3.598 0.44-5.147 1.217l-1.353-7.217zM16 30.001c-5.248 0-9.498-4.253-9.5-9.5 0.002-5.249 4.252-9.499 9.5-9.501s9.501 4.252 9.501 9.499c0 5.239-4.252 9.5-9.501 9.502zM16.5 16.5h-2c-0.552 0-1 0.448-1 1s0.448 1 1 1c0.001 0 0.002 0 0.003 0h0.995v5c0 0.552 0.447 1 1 1s1-0.448 1-1c0-0.001 0-0.002 0-0.003v-5.978c0-0.007 0.002-0.012 0.002-0.020 0-0.552-0.448-1-1-1z"></path>'),
	   	 			'download5' => array('keywords' => 'download5 ','viewbox' => '0 0 42 32', 'path' =>'<path d="M33.958 12.982c-0.43-6.61-5.027-12.982-13.458-12.982-1.029 0-2.044 0.1-3.018 0.297-0.271 0.055-0.445 0.318-0.391 0.59 0.055 0.271 0.314 0.445 0.59 0.391 0.908-0.185 1.857-0.278 2.819-0.278 8.588 0 12.5 6.739 12.5 13v1.5c0 0.276 0.224 0.5 0.5 0.5s0.5-0.224 0.5-0.5v-1.5c0-0.005-0.001-0.011-0.001-0.016 3.063 0.264 7.001 2.932 7.001 8.516 0 4.767-3.514 8.5-8 8.5h-24c-3.976 0-8-2.92-8-8.5 0-4.094 2.504-8.5 8-8.5h1.5c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-1.5v-2c0-3.727 2.299-6.042 6-6.042 3.364 0 6 2.654 6 6.042v12.993l-4.16-3.86c-0.2-0.188-0.517-0.177-0.706 0.026s-0.177 0.519 0.026 0.706l4.516 4.189c0.299 0.298 0.563 0.445 0.827 0.445 0.261 0 0.52-0.145 0.808-0.433l4.529-4.202c0.203-0.188 0.215-0.504 0.026-0.706-0.188-0.204-0.506-0.215-0.706-0.026l-4.16 3.861v-12.993c0-3.949-3.075-7.042-7-7.042-4.252 0-7 2.764-7 7.042v2.051c-5.255 0.508-8 5.003-8 9.449 0 4.605 3.154 9.5 9 9.5h24c5.047 0 9-4.173 9-9.5 0-6.304-4.557-9.278-8.042-9.518z"></path>'),
	   	 			'local_florist' => array('keywords' => 'local_florist ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 7.979q-1.375 0-2.344 1t-0.969 2.375 0.969 2.344 2.344 0.969 2.344-0.969 0.969-2.344-0.969-2.375-2.344-1zM7.438 14.354q0-2.063 1.938-3-1.938-0.938-1.938-3 0-1.375 1-2.375t2.375-1q0.938 0 1.875 0.625v-0.25q0-1.375 0.969-2.375t2.344-1 2.344 1 0.969 2.375v0.25q0.938-0.625 1.875-0.625 1.375 0 2.375 1t1 2.375q0 2.063-1.938 3 1.938 0.938 1.938 3 0 1.375-1 2.344t-2.375 0.969q-1.063 0-1.875-0.563v0.25q0 1.375-0.969 2.344t-2.344 0.969-2.344-0.969-0.969-2.344v-0.25q-0.813 0.563-1.875 0.563-1.375 0-2.375-0.969t-1-2.344zM16 29.979q-5 0-8.5-3.531t-3.5-8.469q5 0 8.5 3.531t3.5 8.469zM16 29.979q0-4.938 3.5-8.469t8.5-3.531q0 4.938-3.5 8.469t-8.5 3.531z"></path>'),
	   	 			'arrow-down3' => array('keywords' => 'arrow-down3 ','viewbox' => '0 0 30 32', 'path' =>'<path d="M28.768 15.143q0 0.946-0.661 1.607l-11.625 11.643q-0.696 0.661-1.625 0.661-0.946 0-1.607-0.661l-11.625-11.643q-0.679-0.643-0.679-1.607 0-0.946 0.679-1.625l1.321-1.339q0.696-0.661 1.625-0.661 0.946 0 1.607 0.661l5.25 5.25v-12.571q0-0.929 0.679-1.607t1.607-0.679h2.286q0.929 0 1.607 0.679t0.679 1.607v12.571l5.25-5.25q0.661-0.661 1.607-0.661 0.929 0 1.625 0.661l1.339 1.339q0.661 0.696 0.661 1.625z"></path>'),
	   	 			'calendar-check-o' => array('keywords' => 'calendar-check-o ','viewbox' => '0 0 30 32', 'path' =>'<path d="M23.268 17.5l-9.143 9.143q-0.179 0.161-0.411 0.161t-0.411-0.161l-5.143-5.143q-0.161-0.179-0.161-0.411t0.161-0.393l0.821-0.821q0.161-0.161 0.393-0.161t0.411 0.161l3.929 3.929 7.929-7.929q0.179-0.161 0.411-0.161t0.393 0.161l0.821 0.821q0.161 0.161 0.161 0.393t-0.161 0.411zM2.286 30h25.143v-18.286h-25.143v18.286zM9.143 8.286v-5.143q0-0.25-0.161-0.411t-0.411-0.161h-1.143q-0.25 0-0.411 0.161t-0.161 0.411v5.143q0 0.25 0.161 0.411t0.411 0.161h1.143q0.25 0 0.411-0.161t0.161-0.411zM22.857 8.286v-5.143q0-0.25-0.161-0.411t-0.411-0.161h-1.143q-0.25 0-0.411 0.161t-0.161 0.411v5.143q0 0.25 0.161 0.411t0.411 0.161h1.143q0.25 0 0.411-0.161t0.161-0.411zM29.714 7.143v22.857q0 0.929-0.679 1.607t-1.607 0.679h-25.143q-0.929 0-1.607-0.679t-0.679-1.607v-22.857q0-0.929 0.679-1.607t1.607-0.679h2.286v-1.714q0-1.179 0.839-2.018t2.018-0.839h1.143q1.179 0 2.018 0.839t0.839 2.018v1.714h6.857v-1.714q0-1.179 0.839-2.018t2.018-0.839h1.143q1.179 0 2.018 0.839t0.839 2.018v1.714h2.286q0.929 0 1.607 0.679t0.679 1.607z"></path>'),
	   	 			'github2' => array('keywords' => 'github2 ','viewbox' => '0 0 27 32', 'path' =>'<path d="M13.714 2.571q3.732 0 6.884 1.839t4.991 4.991 1.839 6.884q0 4.482-2.616 8.063t-6.759 4.955q-0.482 0.089-0.714-0.125t-0.232-0.536q0-0.054 0.009-1.366t0.009-2.402q0-1.732-0.929-2.536 1.018-0.107 1.83-0.321t1.679-0.696 1.446-1.188 0.946-1.875 0.366-2.688q0-2.125-1.411-3.679 0.661-1.625-0.143-3.643-0.5-0.161-1.446 0.196t-1.643 0.786l-0.679 0.429q-1.661-0.464-3.429-0.464t-3.429 0.464q-0.286-0.196-0.759-0.482t-1.491-0.688-1.518-0.241q-0.804 2.018-0.143 3.643-1.411 1.554-1.411 3.679 0 1.518 0.366 2.679t0.938 1.875 1.438 1.196 1.679 0.696 1.83 0.321q-0.696 0.643-0.875 1.839-0.375 0.179-0.804 0.268t-1.018 0.089-1.17-0.384-0.991-1.116q-0.339-0.571-0.866-0.929t-0.884-0.429l-0.357-0.054q-0.375 0-0.518 0.080t-0.089 0.205 0.161 0.25 0.232 0.214l0.125 0.089q0.393 0.179 0.777 0.679t0.563 0.911l0.179 0.411q0.232 0.679 0.786 1.098t1.196 0.536 1.241 0.125 0.991-0.063l0.411-0.071q0 0.679 0.009 1.58t0.009 0.973q0 0.321-0.232 0.536t-0.714 0.125q-4.143-1.375-6.759-4.955t-2.616-8.063q0-3.732 1.839-6.884t4.991-4.991 6.884-1.839zM5.196 22.268q0.054-0.125-0.125-0.214-0.179-0.054-0.232 0.036-0.054 0.125 0.125 0.214 0.161 0.107 0.232-0.036zM5.75 22.875q0.125-0.089-0.036-0.286-0.179-0.161-0.286-0.054-0.125 0.089 0.036 0.286 0.179 0.179 0.286 0.054zM6.286 23.679q0.161-0.125 0-0.339-0.143-0.232-0.304-0.107-0.161 0.089 0 0.321t0.304 0.125zM7.036 24.429q0.143-0.143-0.071-0.339-0.214-0.214-0.357-0.054-0.161 0.143 0.071 0.339 0.214 0.214 0.357 0.054zM8.054 24.875q0.054-0.196-0.232-0.286-0.268-0.071-0.339 0.125t0.232 0.268q0.268 0.107 0.339-0.107zM9.179 24.964q0-0.232-0.304-0.196-0.286 0-0.286 0.196 0 0.232 0.304 0.196 0.286 0 0.286-0.196zM10.214 24.786q-0.036-0.196-0.321-0.161-0.286 0.054-0.25 0.268t0.321 0.143 0.25-0.25z"></path>'),
	   	 			'gears2' => array('keywords' => 'gears2 ','viewbox' => '0 0 42 32', 'path' =>'<path d="M3.692 21.72c0.176 0.042 0.415 0.259 0.484 0.457l0.35 0.844c0.079 0.162 0.064 0.483-0.030 0.637l-1.397 2.284c-0.299 0.49-0.237 1.184 0.165 1.634l1.183 1.182c0.412 0.366 1.139 0.432 1.613 0.145l2.284-1.397c0.143-0.088 0.45-0.119 0.665-0.018l0.843 0.348c0.17 0.059 0.387 0.297 0.429 0.473l0.627 2.604c0.133 0.552 0.66 1.006 1.226 1.058 0 0 0.347 0.032 0.867 0.032s0.867-0.032 0.868-0.032c0.565-0.051 1.092-0.506 1.225-1.058l0.628-2.604c0.042-0.175 0.258-0.414 0.456-0.483l0.844-0.35c0.149-0.073 0.494-0.058 0.637 0.030l2.284 1.397c0.201 0.123 0.441 0.188 0.696 0.188 0.345 0 0.679-0.121 0.938-0.352l1.182-1.183c0.382-0.429 0.444-1.123 0.145-1.613l-1.397-2.284c-0.094-0.154-0.109-0.475-0.018-0.665l0.348-0.843c0.059-0.17 0.297-0.387 0.473-0.429l2.604-0.627c0.552-0.133 1.006-0.66 1.058-1.226 0 0 0.032-0.347 0.032-0.867s-0.032-0.867-0.032-0.868c-0.051-0.565-0.506-1.092-1.058-1.226l-2.603-0.626c-0.176-0.042-0.415-0.259-0.484-0.457l-0.35-0.844c-0.079-0.162-0.064-0.483 0.030-0.637l1.397-2.284c0.299-0.49 0.237-1.184-0.165-1.634l-1.183-1.182c-0.413-0.367-1.141-0.433-1.613-0.145l-2.284 1.397c-0.143 0.087-0.451 0.12-0.665 0.018l-0.843-0.348c-0.17-0.059-0.386-0.297-0.428-0.473l-0.628-2.604c-0.133-0.552-0.66-1.006-1.226-1.058-0.002 0.001-0.349-0.031-0.869-0.031s-0.867 0.032-0.868 0.032c-0.565 0.051-1.092 0.506-1.226 1.058l-0.626 2.602c-0.042 0.176-0.259 0.415-0.457 0.484l-0.844 0.35c-0.15 0.073-0.494 0.057-0.637-0.030l-2.283-1.397c-0.473-0.288-1.185-0.238-1.634 0.164l-1.182 1.183c-0.382 0.429-0.444 1.123-0.145 1.613l1.397 2.284c0.094 0.154 0.109 0.475 0.018 0.665l-0.348 0.843c-0.059 0.17-0.297 0.387-0.473 0.429l-2.604 0.627c-0.552 0.133-1.006 0.66-1.058 1.226 0.002 0-0.030 0.347-0.030 0.867s0.032 0.867 0.032 0.868c0.051 0.565 0.506 1.092 1.058 1.226l2.602 0.626zM1 19c0-0.458 0.027-0.767 0.028-0.777 0.012-0.135 0.165-0.312 0.296-0.344l2.604-0.627c0.505-0.122 1.014-0.584 1.172-1.047l0.324-0.787c0.228-0.467 0.196-1.153-0.075-1.597l-1.397-2.283c-0.067-0.111-0.048-0.331 0.018-0.406l1.141-1.142c0.091-0.081 0.323-0.101 0.427-0.038l2.284 1.397c0.433 0.265 1.175 0.283 1.568 0.088l0.788-0.326c0.491-0.169 0.953-0.678 1.075-1.184l0.626-2.603c0.032-0.132 0.209-0.285 0.344-0.297 0.010 0 0.319-0.027 0.777-0.027s0.767 0.027 0.777 0.028c0.135 0.012 0.312 0.165 0.344 0.296l0.627 2.603c0.122 0.505 0.583 1.015 1.047 1.173l0.787 0.324c0.457 0.224 1.165 0.189 1.597-0.075l2.283-1.397c0.104-0.063 0.35-0.030 0.406 0.018l1.142 1.141c0.086 0.097 0.105 0.316 0.038 0.427l-1.397 2.284c-0.271 0.443-0.303 1.13-0.088 1.568l0.326 0.788c0.169 0.491 0.678 0.953 1.184 1.075l2.603 0.626c0.132 0.032 0.285 0.209 0.297 0.344 0 0.010 0.027 0.319 0.027 0.777s-0.027 0.767-0.028 0.777c-0.012 0.135-0.165 0.312-0.296 0.344l-2.604 0.627c-0.505 0.122-1.014 0.584-1.172 1.047l-0.324 0.787c-0.228 0.467-0.196 1.153 0.075 1.597l1.397 2.283c0.067 0.111 0.048 0.331-0.018 0.406l-1.141 1.142c-0.054 0.048-0.152 0.079-0.251 0.079-0.069 0-0.133-0.015-0.175-0.041l-2.284-1.397c-0.432-0.264-1.174-0.283-1.568-0.088l-0.788 0.326c-0.491 0.169-0.953 0.679-1.074 1.184l-0.627 2.603c-0.032 0.132-0.209 0.285-0.344 0.297-0.011 0-0.32 0.027-0.778 0.027s-0.767-0.027-0.777-0.028c-0.135-0.012-0.312-0.165-0.344-0.296l-0.627-2.604c-0.122-0.505-0.584-1.014-1.047-1.172l-0.787-0.324c-0.204-0.1-0.451-0.152-0.715-0.152-0.329 0-0.642 0.081-0.882 0.228l-2.283 1.397c-0.104 0.063-0.351 0.029-0.406-0.018l-1.142-1.142c-0.086-0.097-0.105-0.316-0.038-0.427l1.397-2.284c0.271-0.443 0.303-1.13 0.088-1.568l-0.326-0.788c-0.169-0.491-0.678-0.953-1.184-1.075l-2.603-0.626c-0.132-0.032-0.285-0.209-0.297-0.344 0-0.010-0.027-0.319-0.027-0.777zM13 24.5c3.033 0 5.5-2.467 5.5-5.5s-2.467-5.5-5.5-5.5-5.5 2.467-5.5 5.5 2.467 5.5 5.5 5.5zM13 14.5c2.481 0 4.5 2.019 4.5 4.5s-2.019 4.5-4.5 4.5-4.5-2.019-4.5-4.5 2.019-4.5 4.5-4.5zM27.477 5.314c-0.040 0.061-0.185 0.138-0.259 0.138l-1.861-0.018c-0.452 0-0.905 0.321-1.053 0.746 0 0-0.082 0.233-0.172 0.59s-0.128 0.601-0.128 0.601c-0.070 0.451 0.181 0.95 0.584 1.161l1.641 0.86c0.063 0.033 0.156 0.172 0.166 0.273l0.093 0.635c0.015 0.070-0.033 0.23-0.084 0.28l-1.322 1.296c-0.331 0.324-0.418 0.878-0.19 1.313l0.599 1c0.253 0.372 0.801 0.562 1.231 0.428l1.824-0.558c0.099 0 0.198 0.038 0.254 0.083l0.515 0.38c0.060 0.040 0.139 0.187 0.138 0.259l-0.018 1.852c-0.004 0.456 0.316 0.913 0.746 1.063 0 0 0.233 0.082 0.59 0.172s0.601 0.128 0.601 0.128c0.026 0.004 0.13 0.012 0.156 0.012 0.408 0 0.822-0.245 1.005-0.596l0.86-1.641c0.033-0.063 0.172-0.156 0.273-0.166l0.663-0.096c0.1 0 0.218 0.052 0.251 0.086l1.296 1.322c0.315 0.322 0.846 0.437 1.313 0.19l0.999-0.599c0.382-0.26 0.567-0.79 0.429-1.231l-0.552-1.767c-0.021-0.068 0.012-0.232 0.078-0.311l0.38-0.515c0.040-0.061 0.185-0.138 0.259-0.138l1.861 0.018c0.452 0 0.905-0.321 1.053-0.746 0 0 0.082-0.233 0.172-0.59s0.128-0.601 0.128-0.601c0.070-0.451-0.181-0.95-0.584-1.161l-1.641-0.86c-0.063-0.033-0.156-0.172-0.166-0.273l-0.092-0.633c-0.015-0.070 0.033-0.23 0.084-0.28l1.322-1.296c0.331-0.324 0.418-0.878 0.19-1.313l-0.599-1c-0.253-0.371-0.8-0.563-1.231-0.429l-1.825 0.558c-0.099 0-0.198-0.038-0.254-0.083l-0.515-0.38c-0.060-0.040-0.139-0.187-0.138-0.259l0.018-1.852c0.004-0.456-0.316-0.913-0.746-1.063 0 0-0.233-0.082-0.59-0.172s-0.601-0.128-0.601-0.128c-0.026-0.003-0.13-0.011-0.156-0.011-0.408 0-0.822 0.245-1.005 0.596l-0.86 1.641c-0.033 0.063-0.172 0.156-0.273 0.166l-0.663 0.095c-0.1 0-0.218-0.052-0.251-0.086l-1.296-1.322c-0.314-0.321-0.844-0.437-1.313-0.19l-1 0.598c-0.382 0.26-0.567 0.79-0.429 1.231l0.552 1.767c0.021 0.068-0.012 0.232-0.078 0.311l-0.379 0.515zM28.297 5.886l0.343-0.466c0.268-0.317 0.372-0.834 0.248-1.229l-0.551-1.766c-0.005-0.028 0.017-0.091 0.012-0.092l0.948-0.568 0.113 0.017 1.297 1.322c0.23 0.234 0.609 0.386 0.965 0.386 0.082 0 0.161-0.008 0.204-0.019l0.575-0.085c0.412-0.036 0.851-0.328 1.043-0.694l0.859-1.64c0.016-0.025 0.079-0.061 0.12-0.061 0.011 0.001 0.215 0.035 0.513 0.109s0.493 0.142 0.502 0.146c0.031 0.013 0.076 0.078 0.078 0.11l-0.018 1.852c-0.004 0.414 0.245 0.879 0.567 1.089l0.465 0.343c0.309 0.261 0.839 0.371 1.229 0.248l1.774-0.552c0.042 0 0.089 0.026 0.083 0.013l0.568 0.948c0.011 0.026 0 0.092-0.017 0.113l-1.322 1.297c-0.295 0.291-0.448 0.795-0.367 1.169l0.084 0.575c0.036 0.412 0.328 0.851 0.695 1.043l1.64 0.859c0.028 0.018 0.063 0.088 0.061 0.12-0.001 0.011-0.035 0.215-0.109 0.513s-0.142 0.493-0.146 0.502c-0.013 0.031-0.078 0.076-0.11 0.078l-1.862-0.018c-0.411 0-0.871 0.249-1.079 0.567l-0.342 0.465c-0.268 0.317-0.372 0.834-0.248 1.229l0.551 1.766c0.005 0.027-0.017 0.091-0.012 0.092l-0.948 0.568-0.113-0.017-1.297-1.322c-0.23-0.234-0.609-0.386-0.965-0.386-0.082 0-0.161 0.008-0.204 0.019l-0.575 0.085c-0.412 0.036-0.851 0.328-1.043 0.694l-0.859 1.64c-0.016 0.025-0.079 0.061-0.12 0.061v0c-0.011-0.001-0.215-0.035-0.513-0.109-0.297-0.075-0.493-0.142-0.502-0.146-0.031-0.013-0.076-0.078-0.078-0.11l0.018-1.852c0.004-0.414-0.245-0.879-0.567-1.089l-0.465-0.343c-0.222-0.188-0.549-0.3-0.875-0.3-0.126 0-0.246 0.018-0.355 0.052l-1.774 0.552c-0.043 0-0.090-0.023-0.083-0.013l-0.568-0.948c-0.011-0.026 0-0.092 0.017-0.113l1.322-1.297c0.295-0.291 0.448-0.795 0.367-1.169l-0.084-0.574c-0.036-0.412-0.328-0.851-0.695-1.043l-1.64-0.859c-0.028-0.018-0.063-0.088-0.061-0.12 0.001-0.011 0.035-0.215 0.109-0.513 0.075-0.297 0.142-0.493 0.146-0.502 0.013-0.031 0.078-0.076 0.11-0.078l1.862 0.018c0.411 0 0.871-0.249 1.079-0.567zM33 12c1.654 0 3-1.346 3-3s-1.346-3-3-3-3 1.346-3 3 1.346 3 3 3zM33 7c1.103 0 2 0.897 2 2s-0.897 2-2 2-2-0.897-2-2 0.897-2 2-2z"></path>'),
	   	 			'shopping_cart' => array('keywords' => 'shopping_cart ','viewbox' => '0 0 32 32', 'path' =>'<path d="M22.688 24.667q1.063 0 1.844 0.813t0.781 1.875-0.781 1.844-1.844 0.781-1.875-0.781-0.813-1.844 0.813-1.875 1.875-0.813zM1.313 3.354h4.375l1.25 2.625h19.75q0.563 0 0.938 0.406t0.375 0.969q0 0.313-0.188 0.625l-4.75 8.625q-0.75 1.375-2.313 1.375h-9.938l-1.188 2.188-0.063 0.188q0 0.313 0.313 0.313h15.438v2.688h-16q-1.063 0-1.844-0.813t-0.781-1.875q0-0.625 0.313-1.25l1.813-3.313-4.813-10.125h-2.688v-2.625zM9.313 24.667q1.063 0 1.875 0.813t0.813 1.875-0.813 1.844-1.875 0.781-1.844-0.781-0.781-1.844 0.781-1.875 1.844-0.813z"></path>'),
	   	 			'pool' => array('keywords' => 'pool ','viewbox' => '0 0 32 32', 'path' =>'<path d="M18.688 7.979q0-1.375 0.969-2.344t2.344-0.969 2.344 0.969 0.969 2.344-0.969 2.375-2.344 1-2.344-1-0.969-2.375zM11.563 16.667q-0.75 0-1.563-0.5-0.25-0.188-1-0.5l4.313-4.313-1.313-1.375q-2-2-5.313-2v-3.313q2.563 0 4.188 0.594t3.125 2.094l8.563 8.5q-0.375 0.25-0.563 0.313-0.813 0.5-1.563 0.5-0.688 0-1.5-0.5-1.375-0.813-2.938-0.813t-2.938 0.813q-0.813 0.5-1.5 0.5zM29.313 22.667q-1.438 0-2.875-0.875-0.688-0.438-1.563-0.438-0.813 0-1.5 0.438-1.438 0.875-2.938 0.875-1.438 0-2.875-0.875-0.688-0.438-1.563-0.438-0.813 0-1.5 0.438-1.438 0.875-2.938 0.875-1.438 0-2.875-0.875-0.688-0.438-1.563-0.438-0.813 0-1.5 0.438-1.438 0.875-2.938 0.875v-2.688q0.813 0 1.5-0.438 1.438-0.875 2.938-0.875 1.438 0 2.875 0.875 0.688 0.438 1.563 0.438 0.813 0 1.5-0.438 1.438-0.875 2.938-0.875 1.438 0 2.875 0.875 0.688 0.438 1.563 0.438 0.813 0 1.5-0.438 1.438-0.875 2.938-0.875 1.438 0 2.875 0.875 0.688 0.438 1.563 0.438v2.688zM29.313 28.667q-1.438 0-2.875-0.875-0.688-0.438-1.563-0.438-0.813 0-1.5 0.438-1.438 0.875-2.938 0.875-1.438 0-2.875-0.875-0.688-0.438-1.563-0.438-0.813 0-1.5 0.438-1.438 0.875-2.938 0.875t-2.938-0.875q-0.688-0.438-1.5-0.438-0.875 0-1.563 0.438-1.438 0.875-2.875 0.875v-2.688q0.813 0 1.5-0.438 1.438-0.875 2.938-0.875 1.438 0 2.875 0.875 0.688 0.438 1.563 0.438 0.813 0 1.5-0.438 1.438-0.875 2.938-0.875t2.938 0.875q0.688 0.438 1.5 0.438 0.875 0 1.563-0.438 1.438-0.875 2.875-0.875 1.5 0 2.938 0.875 0.688 0.438 1.5 0.438v2.688z"></path>'),
	   	 			'drupal' => array('keywords' => 'drupal ','viewbox' => '0 0 27 32', 'path' =>'<path d="M20.839 28.607q-0.089-0.339-0.429-0.089-0.536 0.393-1.554 0.696t-2.339 0.304q-2.304 0-3.446-0.875-0.089-0.071-0.232-0.071-0.196 0-0.464 0.214-0.125 0.107-0.134 0.286t0.134 0.357q0.607 0.571 1.563 0.821t1.83 0.223 1.768-0.080q0.732-0.071 1.509-0.366t1.161-0.536 0.509-0.366q0.214-0.214 0.125-0.518zM20.143 26.554q-0.339-0.839-0.696-1.089-0.411-0.268-1.357-0.268-0.839 0-1.268 0.179-0.518 0.214-1.393 1-0.464 0.429-0.214 0.786 0.161 0.143 0.313 0.080t0.562-0.42q0.054-0.036 0.188-0.152t0.188-0.152 0.179-0.125 0.205-0.125 0.223-0.089 0.268-0.080 0.295-0.045 0.366-0.018q0.482 0 0.795 0.134t0.411 0.259 0.241 0.393q0.179 0.304 0.223 0.357t0.223-0.018q0.411-0.214 0.25-0.607zM26.482 21.536q0-0.393-0.089-0.795t-0.295-0.804-0.607-0.652-0.938-0.25q-0.589 0-1.732 0.741t-2.304 1.491-1.804 0.75q-0.482 0.018-1.134-0.339t-1.357-0.875-1.491-1.036-1.786-0.875-1.982-0.339q-2.054 0.018-3.518 1.402t-1.5 3.188q-0.036 2 1.321 2.929 0.518 0.357 1.116 0.509t1.848 0.152q1.018 0 2.357-0.58t2.393-1.268 2.143-1.259 1.661-0.554q0.464 0.018 1.161 0.563t1.277 1.196 1.214 1.205 0.991 0.571q0.625 0.054 1.045-0.25t0.991-1.125q0.5-0.732 0.759-1.804t0.259-1.893zM27.429 18.679q0 2.929-1.107 5.438t-2.964 4.214-4.33 2.67-5.188 0.964-5.232-1.027-4.42-2.804-3.045-4.313-1.143-5.393q0-1.589 0.348-3.080t0.875-2.598 1.259-2.116 1.402-1.679 1.402-1.241 1.152-0.83 0.759-0.438q0.25-0.143 0.911-0.473t0.973-0.509 0.857-0.536 1.080-0.786q0.643-0.5 1.036-1.295t0.536-2.241q2.304 2.768 3.321 3.446 0.786 0.518 2.321 1.214t2.304 1.179q0.375 0.232 0.696 0.446t1.080 0.83 1.357 1.259 1.339 1.696 1.232 2.179 0.839 2.652 0.348 3.17z"></path>'),
	   	 			'server_connect' => array('keywords' => 'server_connect ','viewbox' => '0 0 32 32', 'path' =>'<path d="M7.974 4c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM5 4c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM7.974 13c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM5 13c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM15.999 12c0-1.654-1.345-3-3-3h-4v-1l4-0c1.654 0 3-1.345 3-3v-2c0-1.654-1.345-3-3-3l-10 0.001c-1.654 0-3 1.345-3 3v2c0 1.654 1.345 3 3 3h4v1l-4 0.001c-1.654 0-3 1.345-3 3v2c0 1.654 1.345 3 3 3l10-0c1.654 0 3-1.345 3-3v-2zM2 5v-2c0-0.552 0.448-1 1-1l10-0c0.551 0 1 0.448 1 1v2c0 0.551-0.448 1-1 1l-10 0c-0.551 0-1-0.448-1-1zM13.999 14c0 0.552-0.448 1-1 1l-10 0.001c-0.551 0-1-0.448-1-1v-2c0-0.551 0.448-1 1-1l10-0.001c0.551 0 1 0.448 1 1v2zM23.973 19c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM20.999 19c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM23.973 28c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM20.999 28c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM28.999 22.999c1.654 0 3-1.345 3-3v-2c0-1.654-1.345-3-3-3l-10 0.001c-1.654 0-3 1.345-3 3v2c0 1.654 1.345 3 3 3l4-0v1.001h-4c-1.654 0-3 1.345-3 3v2c0 1.654 1.345 3 3 3l10-0c1.654 0 3-1.345 3-3v-2c0-1.654-1.345-3-3-3l-4 0v-1.001h4zM29.999 27v2c0 0.551-0.448 1-1 1l-10 0c-0.551 0-1-0.448-1-1v-2c0-0.552 0.448-1 1-1l10-0c0.551 0 1 0.448 1 1zM17.999 20v-2c0-0.551 0.448-1 1-1l10-0c0.551 0 1 0.448 1 1v2c0 0.552-0.448 1-1 1l-10 0c-0.551 0-1-0.449-1-1zM23.999 14.002c0.265 0 0.52-0.111 0.71-0.295 0.185-0.185 0.29-0.445 0.29-0.705 0-0.265-0.105-0.52-0.295-0.71-0.37-0.37-1.040-0.37-1.415 0-0.185 0.184-0.29 0.445-0.29 0.71 0 0.26 0.105 0.519 0.29 0.705 0.19 0.184 0.445 0.295 0.71 0.295zM23.999 11.002c0.55 0 1-0.45 1-1 0-0.555-0.45-1-1-1-0.555 0-1 0.445-1 1 0 0.549 0.445 1 1 1zM23.999 8.002c0.265 0 0.52-0.111 0.705-0.295 0.19-0.186 0.295-0.445 0.295-0.705 0-0.265-0.105-0.52-0.295-0.71-0.37-0.37-1.040-0.37-1.415 0-0.185 0.184-0.29 0.445-0.29 0.71 0 0.26 0.105 0.519 0.29 0.705 0.19 0.184 0.445 0.295 0.71 0.295zM20.999 8.002c0.55 0 1-0.45 1-1 0-0.555-0.45-1-1-1-0.555 0-1 0.445-1 1 0 0.549 0.445 1 1 1zM17.999 8.002c0.26 0 0.52-0.111 0.705-0.295 0.19-0.186 0.295-0.445 0.295-0.705 0-0.265-0.105-0.525-0.295-0.71-0.37-0.37-1.040-0.37-1.415 0-0.185 0.189-0.29 0.445-0.29 0.71 0 0.26 0.105 0.519 0.295 0.705 0.185 0.184 0.44 0.295 0.705 0.295zM7.295 18.292c-0.19 0.184-0.295 0.445-0.295 0.71 0 0.26 0.105 0.519 0.295 0.705 0.185 0.184 0.44 0.295 0.705 0.295 0.26 0 0.52-0.11 0.705-0.295 0.19-0.186 0.295-0.445 0.295-0.705 0-0.265-0.105-0.52-0.295-0.71-0.375-0.37-1.045-0.37-1.41 0zM8 21.002c-0.55 0-1 0.445-1 1 0 0.55 0.449 1 1 1s1-0.45 1-1c0-0.555-0.45-1-1-1zM7.295 24.291c-0.19 0.184-0.295 0.445-0.295 0.71 0 0.26 0.105 0.519 0.29 0.705 0.19 0.184 0.445 0.295 0.71 0.295 0.26 0 0.52-0.11 0.705-0.295 0.19-0.186 0.295-0.445 0.295-0.705 0-0.265-0.105-0.52-0.295-0.71-0.375-0.375-1.040-0.37-1.41 0zM10.999 24.001c-0.55 0-1 0.445-1 1 0 0.55 0.449 1 1 1s1-0.45 1-1c0-0.555-0.45-1-1-1zM13.294 24.291c-0.19 0.184-0.295 0.445-0.295 0.71 0 0.26 0.105 0.519 0.295 0.705 0.185 0.184 0.445 0.295 0.705 0.295 0.265 0 0.52-0.11 0.705-0.295 0.19-0.186 0.295-0.445 0.295-0.705 0-0.265-0.105-0.52-0.295-0.71-0.37-0.37-1.035-0.37-1.41 0z"></path>'),
	   	 			'melody_symbol4' => array('keywords' => 'melody_symbol4 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M27.258 5.030l-6.758 1.689v-2.938l7.242-1.81c0.536-0.134 0.862-0.677 0.728-1.213s-0.678-0.863-1.212-0.728l-8 2c-0.445 0.111-0.758 0.511-0.758 0.97v19.261c-0.951-0.787-2.171-1.261-3.5-1.261-3.033 0-5.5 2.468-5.5 5.5s2.467 5.5 5.5 5.5 5.5-2.468 5.5-5.5v-17.72l7.242-1.811c0.536-0.134 0.862-0.677 0.728-1.213s-0.678-0.862-1.212-0.727zM15 30c-1.93 0-3.5-1.57-3.5-3.5s1.57-3.5 3.5-3.5c1.93 0 3.5 1.57 3.5 3.5s-1.57 3.5-3.5 3.5zM4.5 9.001h10c0.552 0 1-0.448 1-1s-0.448-1-1-1h-10c-0.552 0-1 0.448-1 1s0.448 1 1 1zM4.5 13.001h10c0.552 0 1-0.448 1-1s-0.448-1-1-1h-10c-0.552 0-1 0.448-1 1s0.448 1 1 1zM15.5 16c0-0.552-0.448-1-1-1h-10c-0.552 0-1 0.448-1 1s0.448 1 1 1h10c0.552 0 1-0.448 1-1z"></path>'),
	   	 			'angle-right' => array('keywords' => 'angle-right ','viewbox' => '0 0 11 32', 'path' =>'<path d="M10.625 17.429q0 0.232-0.179 0.411l-8.321 8.321q-0.179 0.179-0.411 0.179t-0.411-0.179l-0.893-0.893q-0.179-0.179-0.179-0.411t0.179-0.411l7.018-7.018-7.018-7.018q-0.179-0.179-0.179-0.411t0.179-0.411l0.893-0.893q0.179-0.179 0.411-0.179t0.411 0.179l8.321 8.321q0.179 0.179 0.179 0.411z"></path>'),
	   	 			'pizza_symbol' => array('keywords' => 'pizza_symbol ','viewbox' => '0 0 32 32', 'path' =>'<path d="M11.501 11.252c0 0.726-0.589 1.315-1.315 1.315s-1.315-0.589-1.315-1.315c0-0.726 0.589-1.315 1.315-1.315s1.315 0.589 1.315 1.315zM11.501 19.565c0 0.726-0.589 1.315-1.315 1.315s-1.315-0.589-1.315-1.315c0-0.726 0.589-1.315 1.315-1.315s1.315 0.589 1.315 1.315zM15.934 14.94c0 0.726-0.589 1.315-1.315 1.315s-1.315-0.589-1.315-1.315c0-0.726 0.589-1.315 1.315-1.315s1.315 0.589 1.315 1.315zM27.218 9.24c-5.777-5.958-13.49-9.24-21.718-9.24-0.553 0-1 0.448-1 1v30c0 0.552 0.447 1 1 1 0.277 0 0.527-0.113 0.707-0.293 0-0.001 0-0.001 0-0.001l10.292-10.322v1.116c0 0.070 0.007 0.137 0.020 0.202 0.105 1.282 1.17 2.298 2.48 2.298s2.375-1.015 2.48-2.298c0.013-0.066 0.020-0.133 0.020-0.202v-6.131c0.355-0.357 1.68-1.685 2.966-2.976 0.003-0.003 0.006-0.005 0.009-0.008 0.001-0.001 0.002-0.003 0.003-0.004 1.392-1.396 2.73-2.739 2.73-2.739 0.384-0.385 0.39-1.008 0.011-1.401zM19 23c-0.276 0-0.5-0.224-0.5-0.5 0 0-0.003-3.5-0.004-3.5 0.010-0.267-0.085-0.539-0.29-0.744-0.392-0.39-1.025-0.389-1.415 0.002l-10.291 10.323v-22.468c5.784 0.516 11.315 2.845 15.776 6.643l-0.785 0.787c-0.043-0.514-0.468-0.919-0.992-0.919-0.552 0-1 0.448-1 1v8.875c0 0.276-0.224 0.5-0.5 0.5zM23.691 11.338c-4.843-4.165-10.88-6.703-17.191-7.229v-2.085c6.98 0.243 13.51 3.026 18.58 7.92l-1.389 1.393z"></path>'),
	   	 			'header' => array('keywords' => 'header ','viewbox' => '0 0 34 34', 'path' =>'<rect width="32" height="22" y="10" x="1" style="fill:transparent;stroke-width:2;stroke:currentColor;"/> <rect width="34" height="6.717"/>'),
	   	 			'queue_music' => array('keywords' => 'queue_music ','viewbox' => '0 0 32 32', 'path' =>'<path d="M22.688 8.667h6.625v2.688h-4v12q0 1.625-1.188 2.813t-2.813 1.188-2.813-1.188-1.188-2.813 1.188-2.813 2.813-1.188q0.5 0 1.375 0.25v-10.938zM4 21.979v-2.625h10.688v2.625h-10.688zM20 13.979v2.688h-16v-2.688h16zM20 8.667v2.688h-16v-2.688h16z"></path>'),
	   	 			'camera_symbol3' => array('keywords' => 'camera_symbol3 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 6.5h-17v-2c0-0.552-0.448-1-1-1h-6c-0.552 0-1 0.448-1 1v2h-1c-1.655 0-3 1.345-3 3v16c0 1.654 1.345 3 3 3l26 0c1.654 0 3-1.346 3-3v-16c0-1.655-1.346-3-3-3zM6 5.5h4v1h-4v-1zM30 25.5c0 0.552-0.448 1-1 1l-26-0c-0.551 0-1-0.448-1-1v-3h9c0.552 0 1-0.448 1-1s-0.448-1-1-1h-9v-2h9c0.552 0 1-0.448 1-1s-0.448-1-1-1h-9v-2h9c0.552 0 1-0.448 1-1s-0.448-1-1-1h-9v-3c0-0.552 0.449-1 1-1h26c0.552 0 1 0.448 1 1v16zM21 9.5c-4.411 0-8 3.589-8 8s3.589 8 8 8 8-3.589 8-8-3.589-8-8-8zM21 23.5c-3.308 0-6-2.692-6-6s2.692-6 6-6 6 2.691 6 6c0 3.308-2.692 6-6 6zM24 13.5h-6c-0.552 0-1 0.448-1 1v6c0 0.552 0.448 1 1 1h6c0.552 0 1-0.448 1-1v-6c0-0.552-0.448-1-1-1zM23 19.5h-4v-4h4v4z"></path>'),
	   	 			'curtains_opened' => array('keywords' => 'curtains_opened ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29.5 1c0-0.173-0.045-0.347-0.136-0.502-0.179-0.308-0.508-0.498-0.864-0.498h-25c-0.356 0-0.686 0.19-0.865 0.498-0.090 0.155-0.135 0.328-0.135 0.502 0 0 0 30 0 30 0 0.552 0.447 1 1 1h7.5c0.552 0 1-0.448 1-1 0-1.462-0.053-3.262-0.243-5h8.485c-0.189 1.738-0.242 3.538-0.242 5 0 0.552 0.448 1 1 1h7.5c0.552 0 1-0.448 1-1v-30zM23.531 21.5h3.969v8.5h-5.488c0.097-4.171 0.776-8.063 1.518-8.5zM27.5 19.5h-3.916c-1.012-0.665-2.753-6.543-3.93-13.194 3.203-0.396 5.983-1.387 7.846-2.783v15.976zM26.184 2c-1.936 1.388-5.361 2.5-9.684 2.5-4.13 0-8.264-1.035-10.563-2.5h20.247zM12.37 6.177c-1.178 6.703-2.934 12.653-3.954 13.323h-3.916v-16.084c1.954 1.371 4.884 2.304 7.87 2.761zM4.5 21.5h3.969c0.743 0.436 1.421 4.329 1.518 8.5h-5.487v-8.5zM10.2 20.502c0.796-1.052 1.682-3.155 2.708-7.259 0.691-2.761 1.217-5.545 1.448-6.834 0.216 0.018 0.431 0.034 0.645 0.046v17.546h-3.537c-0.272-1.424-0.675-2.678-1.264-3.498zM17 24v-17.508c0.22-0.004 0.439-0.011 0.655-0.021 0.238 1.316 0.757 4.052 1.436 6.771 1.026 4.104 1.912 6.207 2.709 7.259-0.59 0.821-0.992 2.075-1.265 3.498h-3.537z"></path>'),
	   	 			'format_align_center' => array('keywords' => 'format_align_center ','viewbox' => '0 0 32 32', 'path' =>'<path d="M4 4.667h24v2.688h-24v-2.688zM9.313 9.979h13.375v2.688h-13.375v-2.688zM4 17.979v-2.625h24v2.625h-24zM4 28.667v-2.688h24v2.688h-24zM9.313 20.667h13.375v2.688h-13.375v-2.688z"></path>'),
	   	 			'pied-piper-alt' => array('keywords' => 'pied-piper-alt ','viewbox' => '0 0 36 32', 'path' =>'<path d="M21.821 16.875q1.339-0.054 2.563 0.366t2.107 1.045 1.804 1.688 1.5 1.929 1.348 2.152q0.589 1 1.402 1.946t1.348 1.438 1.768 1.58q-0.857 0.536-1.938 1.027t-2.473 1.054-2.036 0.848q-0.786-0.661-1.321-2.054t-0.777-2.938-0.589-3.223-0.759-3.009-1.295-2.196-2.188-0.866l-0.179 0.036-0.107 0.071q0.071 0.089 0.232 0.25 0.107 0.089 0.5 0.42t0.455 0.393 0.339 0.321 0.321 0.366 0.205 0.375 0.188 0.491 0.080 0.554 0.071 0.723l0.018 0.589q0.018 0.464-0.045 1.027t-0.134 0.929-0.223 1.045-0.205 0.946q-0.625-0.018-1.804 0.17t-1.75 0.188q-0.696 0-1.286-0.179-0.036-0.286-0.036-0.839 0-1.321 0.054-1.714 0.036-0.232 0.563-0.741t1.018-1.054 0.473-0.92q-0.429-0.036-0.768 0.429-0.643 0.946-1.991 1.777t-2.438 0.83q-0.446 0-1.348-1.125t-1.902-2.491-1.5-1.723q-0.107-0.071-0.482-0.536-8.607 2-9.161 2-0.286 0-0.5-0.196t-0.214-0.482q0-0.268 0.152-0.473t0.402-0.259l8.679-1.893q-0.143-0.25-0.143-0.446t0.098-0.313 0.286-0.205 0.357-0.125 0.411-0.080 0.33-0.080q0.071-0.018 0.277-0.134t0.313-0.116q0.268 0 0.5 0.286t0.357 0.589q2.911-0.661 3.071-0.661 0.304 0 0.527 0.196t0.223 0.5q0 0.268-0.152 0.464t-0.42 0.25l-3.25 0.714-0.018 0.286q-0.018 0.464 1.455 2.098t1.866 1.634q0.839 0 2.125-1.429t1.286-2.304q0-0.643-0.42-0.946t-0.911-0.33-0.911-0.205-0.42-0.607q0-0.286 0.179-0.607l-1.214-0.339q0.768-0.786 0.768-2.089 0-0.464-0.089-1.036 1.464-0.286 2.571-0.286 0.786 0 1.277 0.027t0.866 0.152 0.554 0.241 0.366 0.438 0.277 0.598 0.304 0.848 0.429 1.071l0.893-0.446q-0.054 0.714-0.411 1.071t-0.759 0.375-0.714 0.116-0.295 0.366zM22.893 12.679q-0.089-0.089-0.241-0.277t-0.214-0.259-0.188-0.205-0.179-0.188l-0.143-0.143t-0.152-0.134-0.143-0.089-0.152-0.080q-0.125-0.054-0.259-0.089t-0.366-0.045-0.393-0.009h-1.25q-2.25 0-3.875 0.768 0.286-0.536 0.643-0.83t0.964-0.527 1.17-0.643 0.821-0.652 0.893-0.982 0.777-0.902q0.214 0.161 0.5 0.563t0.571 0.652 0.679 0.232l0.214-0.018v1.357l0.393 0.018q4.411-1.696 6.625-3.393 0.5-0.375 0.893-0.696t0.759-0.67 0.589-0.554 0.527-0.607 0.429-0.554 0.438-0.661 0.411-0.679 0.482-0.848 0.527-0.946l0.125-0.161q-0.036 0.946-0.768 2.482-1.411 2.946-3.661 4.714t-5.464 2.536q-0.25 0.054-0.75 0.134t-0.893 0.17-0.696 0.25q0.054 0.339 0.438 0.821t0.384 0.607q0 0.196-0.464 0.536zM18.946 29.125q0.696-0.464 2.348-0.848t2.616-0.384q0.161 0 0.402 0.277t0.5 0.759 0.464 0.893 0.429 0.911 0.259 0.589q-2.161 0.804-4.357 0.804-1.089 0-2.232-0.196zM14.679 17.571l0.857-0.214 1.946 3.161-1.304 0.857zM23.625 26.804q0.054 0.268 0.054 0.286 0 0.125-0.313 0.259t-0.821 0.232-0.964 0.17-0.955 0.134-0.571 0.080l-0.125-0.768q0.375-0.036 1.080-0.152t1.286-0.179 1.080-0.063h0.25zM15.464 15.589l-1.714 0.357-0.107-0.304q0.179-0.018 0.58-0.125t0.616-0.107q0.339 0 0.625 0.179zM18.946 26.911h0.554l0.179 1.482-0.732 0.214v-1.696zM34.821 0.304v0zM34.821 0.304l-0.018 0.089-0.036 0.036 0.018-0.054zM34.821 0.304l0.018-0.018z"></path>'),
	   	 			'subject' => array('keywords' => 'subject ','viewbox' => '0 0 32 32', 'path' =>'<path d="M5.313 7.354h21.375v2.625h-21.375v-2.625zM5.313 20.667v-2.688h21.375v2.688h-21.375zM26.688 12.667v2.688h-21.375v-2.688h21.375zM18.688 23.354v2.625h-13.375v-2.625h13.375z"></path>'),
	   	 			'eye-slash' => array('keywords' => 'eye-slash ','viewbox' => '0 0 32 32', 'path' =>'<path d="M9.911 24.125l1.393-2.518q-1.554-1.125-2.429-2.839t-0.875-3.625q0-2.161 1.089-4.018-4.089 2.089-6.804 6.304 2.982 4.607 7.625 6.696zM16.857 10.571q0-0.357-0.25-0.607t-0.607-0.25q-2.232 0-3.83 1.598t-1.598 3.83q0 0.357 0.25 0.607t0.607 0.25 0.607-0.25 0.25-0.607q0-1.536 1.089-2.625t2.625-1.089q0.357 0 0.607-0.25t0.25-0.607zM23.339 7.161q0 0.125-0.018 0.161-1.875 3.357-5.625 10.107t-5.643 10.125l-0.875 1.589q-0.179 0.286-0.5 0.286-0.214 0-2.393-1.25-0.286-0.179-0.286-0.5 0-0.214 0.786-1.554-2.554-1.161-4.705-3.089t-3.723-4.375q-0.357-0.554-0.357-1.232t0.357-1.232q2.732-4.196 6.786-6.625t8.857-2.429q1.589 0 3.214 0.304l0.964-1.732q0.179-0.286 0.5-0.286 0.089 0 0.321 0.107t0.554 0.277 0.589 0.33 0.563 0.33 0.348 0.205q0.286 0.179 0.286 0.482zM24 15.143q0 2.482-1.411 4.527t-3.732 2.938l5-8.964q0.143 0.804 0.143 1.5zM32 17.429q0 0.625-0.357 1.232-0.696 1.143-1.946 2.589-2.679 3.071-6.205 4.768t-7.491 1.696l1.321-2.357q3.786-0.321 7.009-2.446t5.384-5.482q-2.054-3.196-5.036-5.25l1.125-2q1.696 1.143 3.259 2.732t2.58 3.286q0.357 0.607 0.357 1.232z"></path>'),
	   	 			'door_key_down' => array('keywords' => 'door_key_down ','viewbox' => '0 0 32 32', 'path' =>'<path d="M18 6c0 1.105-0.895 2-2 2s-2-0.895-2-2c0-1.105 0.895-2 2-2s2 0.895 2 2zM16 0c-4.411 0-8 3.589-8 8 0 3.259 2.021 6.209 5 7.418v4.168l-0.707 0.707c-0.39 0.39-0.39 1.023 0 1.414l1.293 1.293-1.293 1.293c-0.39 0.39-0.39 1.023 0 1.414l1.293 1.293-1.293 1.293c-0.39 0.39-0.39 1.023 0 1.414l2 2c0.194 0.194 0.449 0.293 0.707 0.293 0.193 0 0.386-0.055 0.555-0.168l3-2c0.279-0.186 0.445-0.497 0.445-0.832v-13.582c2.977-1.209 5-4.158 5-7.418 0-4.411-3.589-8-8-8zM17.715 13.752c-0.425 0.127-0.715 0.517-0.715 0.959v13.755l-1.873 1.248-0.713-0.713 1.293-1.293c0.39-0.39 0.39-1.023 0-1.414l-1.293-1.293 1.293-1.293c0.39-0.39 0.39-1.023 0-1.414l-1.293-1.293 0.293-0.293c0.188-0.188 0.293-0.442 0.293-0.707v-5.29c0-0.443-0.291-0.832-0.715-0.959-2.524-0.751-4.285-3.116-4.285-5.752 0-3.309 2.691-6 6-6s6 2.691 6 6c0 2.636-1.762 5-4.285 5.752z"></path>'),
	   	 			'loop2' => array('keywords' => 'loop2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M4 10h20v6l8-8-8-8v6h-24v12h4zM28 22h-20v-6l-8 8 8 8v-6h24v-12h-4z"></path>'),
	   	 			'arrow-up-left' => array('keywords' => 'arrow-up-left ','viewbox' => '0 0 32 32', 'path' =>'<path d="M0 23l8-8 17 17 7-7-17-17 8-8h-23v23z"></path>'),
	   	 			'yahoo3' => array('keywords' => 'yahoo3 ','viewbox' => '0 0 27 32', 'path' =>'<path d="M15.339 17.375l0.232 12.625q-1.107-0.196-1.875-0.196-0.732 0-1.875 0.196l0.232-12.625q-0.714-1.232-3.009-5.277t-3.866-6.688-3.232-5.125q1.036 0.268 1.929 0.268 0.768 0 1.982-0.268 1.125 1.982 2.384 4.098t2.982 4.938 2.473 4.054q0.661-1.089 1.955-3.17t2.098-3.393 1.875-3.143 1.911-3.384q0.964 0.25 1.911 0.25 1 0 2.036-0.25v0q-0.5 0.696-1.071 1.58t-0.884 1.402-1.009 1.714-0.875 1.5q-2.607 4.429-6.304 10.893z"></path>'),
	   	 			'volume_up' => array('keywords' => 'volume_up ','viewbox' => '0 0 32 32', 'path' =>'<path d="M18.688 4.979q4.063 0.875 6.688 4.156t2.625 7.531-2.625 7.531-6.688 4.156v-2.75q2.938-0.875 4.781-3.313t1.844-5.625-1.844-5.625-4.781-3.313v-2.75zM22 16.667q0 3.75-3.313 5.375v-10.75q3.313 1.625 3.313 5.375zM4 12.667h5.313l6.688-6.688v21.375l-6.688-6.688h-5.313v-8z"></path>'),
	   	 			'folder_stand' => array('keywords' => 'folder_stand ','viewbox' => '0 0 32 32', 'path' =>'<path d="M27 4h-12.070l-3.369-3.561c-0.293-0.293-0.677-0.44-1.060-0.44h-5.5c-1.65 0-3 1.35-3 3v16.5c0 1.65 1.35 3 3 3h9v5.777c-0.3 0.175-0.548 0.422-0.723 0.723h-8.277c-0.552 0-1 0.448-1 1s0.448 1 1 1h8.277c0.347 0.595 0.985 1 1.723 1s1.376-0.405 1.723-1h8.277c0.552 0 1-0.448 1-1s-0.448-1-1-1h-8.277c-0.175-0.3-0.423-0.548-0.723-0.723v-5.777h11c1.65 0 3-1.35 3-3v-12.5c0-1.65-1.35-3-3-3zM28 19.5c0 0.55-0.45 1-1 1h-22c-0.55 0-1-0.45-1-1v-12.5c0-0.55 0.45-1 1-1h9.499c0.001 0 0.001 0 0.002 0h12.499c0.55 0 1 0.45 1 1v12.5z"></path>'),
	   	 			'satellite_1' => array('keywords' => 'satellite_1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M27.707 19.933c0.39-0.39 0.39-1.023-0-1.414l-8.405-8.406 1.187-1.187c0.164 0.043 0.333 0.074 0.511 0.074 1.105 0 2-0.896 2-2s-0.895-2-2-2c-1.104 0-2 0.896-2 2 0 0.178 0.031 0.347 0.075 0.511l-1.187 1.187-8.404-8.405c-0.39-0.391-1.024-0.39-1.413-0.001-2.624 2.623-4.070 6.11-4.070 9.819s1.445 7.198 4.069 9.821c0.733 0.733 1.536 1.37 2.389 1.914l-4.077 8.153h-0.382c-0.552 0-1 0.448-1 1s0.448 1 1 1h14c0.552 0 1-0.448 1-1s-0.448-1-1-1h-0.382l-3.031-6.061c0.43 0.040 0.863 0.061 1.301 0.061 3.709 0 7.197-1.445 9.819-4.067zM6 10.113c0-2.84 0.989-5.527 2.805-7.669l16.752 16.753c-2.142 1.814-4.829 2.803-7.669 2.803-3.176 0-6.16-1.236-8.405-3.482-2.246-2.245-3.483-5.23-3.483-8.405zM17.382 30h-8.764l3.602-7.205c0.616 0.276 1.251 0.505 1.902 0.688l3.259 6.517z"></path>'),
	   	 			'star_space' => array('keywords' => 'star_space ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 17.5c0.827 0 1.5-0.673 1.5-1.5 0-0.027-0.007-0.052-0.008-0.078l1.215-1.215c0.39-0.39 0.39-1.024 0-1.414s-1.024-0.39-1.414 0l-1.215 1.215c-0.026-0.002-0.051-0.008-0.078-0.008-0.827 0-1.5 0.673-1.5 1.5 0 0.027 0.007 0.052 0.008 0.078l-1.215 1.215c-0.39 0.39-0.39 1.023 0 1.414 0.195 0.195 0.451 0.293 0.707 0.293s0.511-0.098 0.707-0.293l1.215-1.215c0.026 0.002 0.051 0.008 0.078 0.008zM31.258 15.034l-8.814-2.35 2.421-4.182c0.227-0.392 0.162-0.888-0.158-1.208s-0.816-0.386-1.208-0.158l-4.183 2.421-2.35-8.814c-0.117-0.438-0.514-0.743-0.967-0.743s-0.85 0.304-0.966 0.742l-2.35 8.814-4.183-2.421c-0.392-0.228-0.888-0.162-1.208 0.158s-0.386 0.816-0.158 1.208l2.421 4.183-8.813 2.35c-0.438 0.117-0.743 0.514-0.743 0.967s0.304 0.849 0.742 0.966l8.813 2.35-2.421 4.183c-0.228 0.392-0.162 0.887 0.158 1.208 0.193 0.193 0.449 0.293 0.708 0.293 0.172 0 0.345-0.044 0.501-0.135l4.183-2.421 2.35 8.814c0.117 0.438 0.514 0.742 0.966 0.742s0.85-0.305 0.967-0.742l2.35-8.814 4.183 2.421c0.157 0.090 0.329 0.134 0.501 0.134 0.259 0 0.514-0.1 0.707-0.293 0.32-0.32 0.386-0.816 0.158-1.208l-2.421-4.183 8.813-2.35c0.438-0.117 0.742-0.514 0.742-0.966s-0.305-0.85-0.742-0.966zM11.5 16c0-2.482 2.018-4.5 4.5-4.5s4.5 2.018 4.5 4.5-2.018 4.5-4.5 4.5-4.5-2.018-4.5-4.5zM20.764 11.593c-0.114-0.123-0.234-0.242-0.358-0.357l0.849-0.491-0.491 0.848zM16 4.881l1.265 4.745c-0.41-0.081-0.832-0.126-1.265-0.126s-0.855 0.044-1.265 0.126l1.265-4.745zM11.594 11.236c-0.123 0.114-0.242 0.233-0.357 0.357l-0.492-0.849 0.849 0.492zM4.881 16l4.745-1.265c-0.082 0.409-0.126 0.832-0.126 1.265s0.044 0.855 0.126 1.265l-4.745-1.265zM11.236 20.407c0.114 0.124 0.234 0.243 0.357 0.358l-0.849 0.491 0.492-0.849zM16 27.119l-1.265-4.745c0.409 0.081 0.832 0.125 1.265 0.125s0.855-0.044 1.265-0.125l-1.265 4.745zM20.407 20.764c0.123-0.114 0.242-0.233 0.358-0.358l0.491 0.849-0.849-0.491zM22.374 17.265c0.081-0.41 0.126-0.832 0.126-1.265s-0.044-0.855-0.126-1.265l4.745 1.265-4.745 1.265z"></path>'),
	   	 			'cc-jcb' => array('keywords' => 'cc-jcb ','viewbox' => '0 0 41 32', 'path' =>'<path d="M34.839 18.107q0 0.464-0.277 0.795t-0.688 0.42q-0.143 0.036-0.321 0.036h-2.732v-2.5h2.732q0.179 0 0.321 0.036 0.411 0.089 0.688 0.42t0.277 0.795zM34.518 14.304q0 0.446-0.268 0.75t-0.679 0.375q-0.054 0.018-0.268 0.018h-2.482v-2.304h2.482q0.054 0 0.152 0.009t0.116 0.009q0.411 0.071 0.679 0.384t0.268 0.759zM13 17.232v-5.5h-4.071v5.5q0 1.036-0.679 1.688t-1.875 0.652q-1.929 0-4.089-1.054v2q0.946 0.268 2.161 0.411t1.946 0.161l0.75 0.018q5.857 0 5.857-3.875zM25.75 20.518v-2.018q-1.768 0.929-3.571 1.054-1.929 0.143-3.018-0.732t-1.089-2.536 1.089-2.536 3.018-0.732q1.804 0.125 3.571 1.036v-2q-0.857-0.214-1.786-0.348t-1.429-0.17l-0.5-0.036q-2.268-0.107-3.902 0.25t-2.509 1.071-1.268 1.571-0.393 1.893 0.393 1.893 1.268 1.571 2.509 1.071 3.902 0.25q1.804-0.071 3.714-0.554zM38.857 18.464q0-0.964-0.768-1.58t-1.946-0.705v-0.054q1.018-0.143 1.589-0.741t0.571-1.42q0-0.982-0.732-1.571t-1.911-0.643q-0.054 0-0.214-0.009t-0.25-0.009h-8.125v9.107h8.768q1.321 0 2.17-0.652t0.848-1.723zM41.143 4.857v22.857q0 0.929-0.679 1.607t-1.607 0.679h-36.571q-0.929 0-1.607-0.679t-0.679-1.607v-22.857q0-0.929 0.679-1.607t1.607-0.679h36.571q0.929 0 1.607 0.679t0.679 1.607z"></path>'),
	   	 			'unfold_less' => array('keywords' => 'unfold_less ','viewbox' => '0 0 32 32', 'path' =>'<path d="M22.125 7.854l-6.125 6.125-6.125-6.125 1.875-1.875 4.25 4.25 4.25-4.25zM9.875 25.479l6.125-6.125 6.125 6.125-1.875 1.875-4.25-4.25-4.25 4.25z"></path>'),
	   	 			'invert_colors_off' => array('keywords' => 'invert_colors_off ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 7.479l-3.063 3-1.875-1.875 4.938-4.938 7.563 7.563q2.375 2.375 2.938 5.719t-0.813 6.281l-9.688-9.625v-6.125zM16 26.792v-6.438l-6.375-6.375q-1.625 2.125-1.625 4.813 0 3.25 2.375 5.625t5.625 2.375zM27.563 28.479l0.438 0.5-1.688 1.688-3.625-3.625q-2.938 2.375-6.688 2.375-4.438 0-7.563-3.125-2.875-2.938-3.094-7.031t2.344-7.219l-3.688-3.688 1.688-1.688q18.688 18.688 21.875 21.813z"></path>'),
	   	 			'twitch2' => array('keywords' => 'twitch2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 8.036v7.75h-2.589v-7.75h2.589zM23.107 8.036v7.75h-2.589v-7.75h2.589zM23.107 21.607l4.518-4.536v-14.196h-21.321v18.732h5.821v3.875l3.875-3.875h7.107zM30.214 0.286v18.089l-7.75 7.75h-5.821l-3.875 3.875h-3.875v-3.875h-7.107v-20.679l1.946-5.161h26.482z"></path>'),
	   	 			'text_format_indent_3' => array('keywords' => 'text_format_indent_3 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M1 2h30c0.552 0 1-0.448 1-1s-0.448-1-1-1h-30c-0.552 0-1 0.448-1 1s0.448 1 1 1zM31 12h-30c-0.552 0-1 0.448-1 1s0.448 1 1 1h30c0.552 0 1-0.448 1-1s-0.448-1-1-1zM21 30h-20c-0.552 0-1 0.448-1 1s0.448 1 1 1h20c0.552 0 1-0.448 1-1s-0.448-1-1-1zM31 24h-30c-0.552 0-1 0.448-1 1s0.448 1 1 1h30c0.552 0 1-0.448 1-1s-0.448-1-1-1zM31 6h-30c-0.552 0-1 0.448-1 1s0.448 1 1 1h30c0.552 0 1-0.448 1-1s-0.448-1-1-1zM31 18h-30c-0.552 0-1 0.448-1 1s0.448 1 1 1h30c0.552 0 1-0.448 1-1s-0.448-1-1-1z"></path>'),
	   	 			'screen_lock_rotation' => array('keywords' => 'screen_lock_rotation ','viewbox' => '0 0 32 32', 'path' =>'<path d="M22.375 3.979v0.688h4.563v-0.688q0-0.938-0.656-1.594t-1.594-0.656-1.625 0.656-0.688 1.594zM21.313 12.667q-0.563 0-0.938-0.375t-0.375-0.938v-5.375q0-0.563 0.375-0.938t0.938-0.375v-0.688q0-1.375 1-2.344t2.375-0.969 2.344 0.969 0.969 2.344v0.688q0.563 0 0.938 0.375t0.375 0.938v5.375q0 0.563-0.375 0.938t-0.938 0.375h-6.688zM11.313 27.979l1.75-1.75 5.063 5.063-0.875 0.063q-6.25 0-10.844-4.25t-5.094-10.438h2q0.375 3.688 2.531 6.719t5.469 4.594zM31 17.667q0.625 0.563 0.625 1.406t-0.625 1.469l-8.5 8.438q-0.563 0.625-1.375 0.625t-1.438-0.625l-16-16q-0.625-0.563-0.625-1.375t0.625-1.438l8.438-8.5q0.563-0.625 1.406-0.625t1.469 0.625l3.25 3.25-1.875 1.875-2.813-2.75-7.563 7.5 15.125 15.125 7.5-7.563-2.938-2.938 1.875-1.875z"></path>'),
	   	 			'server_symbol2' => array('keywords' => 'server_symbol2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M8.975 5.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM6 5.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM8.975 16.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM6 16.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM29 10c1.654 0 3-1.345 3-3v-3c0-1.655-1.346-3-3-3l-26 0c-1.655 0-3 1.346-3 3v3c0 1.654 1.345 3 3 3h12v2.001h-12c-1.655 0-3 1.345-3 3v3c0 1.654 1.345 3 3 3h12v6.277c-0.3 0.175-0.548 0.422-0.723 0.723h-8.277c-0.552 0-1 0.448-1 1s0.448 1 1 1h8.277c0.347 0.595 0.985 1 1.723 1s1.376-0.405 1.723-1h8.277c0.552 0 1-0.448 1-1s-0.448-1-1-1h-8.277c-0.174-0.3-0.422-0.548-0.723-0.723v-6.277l12-0c1.654 0 3-1.346 3-3v-3c0-1.655-1.346-3-3-3h-12v-2.001h12zM30 15.001v3c0 0.552-0.448 1-1 1l-12.998 0c-0.001 0-0.002-0-0.002-0s-0.002 0-0.002 0h-12.998c-0.551 0-1-0.448-1-1v-3c0-0.552 0.449-1 1-1l26-0.001c0.552 0 1 0.448 1 1zM2 7v-3c0-0.551 0.449-1 1-1l26-0.001c0.552 0 1 0.449 1 1v3c0 0.551-0.448 1-1 1l-26 0.001c-0.551 0-1-0.449-1-1z"></path>'),
	   	 			'dashboard1' => array('keywords' => 'dashboard1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M17 19.646l-0-8.149c-0-0.548-0.448-0.994-1-0.994s-1.001 0.447-1 0.994l0.001 8.149c-0.54 0.16-1.049 0.454-1.475 0.881-1.367 1.367-1.367 3.584 0 4.951s3.585 1.365 4.95-0c1.366-1.366 1.367-3.584-0-4.951-0.426-0.427-0.935-0.72-1.475-0.881zM17.061 24.064c-0.585 0.586-1.536 0.586-2.122 0s-0.586-1.537 0-2.122c0.585-0.587 1.535-0.585 2.122 0 0.585 0.585 0.586 1.536 0 2.122zM16 8.5c0.552 0 1-0.448 1-1v-2c0-0.552-0.448-1-1-1s-1 0.448-1 1v2c0 0.552 0.448 1 1 1zM6 16.5h-2c-0.552 0-1 0.448-1 1s0.448 1 1 1h2c0.552 0 1-0.448 1-1s-0.448-1-1-1zM28 16.5h-2c-0.552 0-1 0.448-1 1s0.448 1 1 1h2c0.552 0 1-0.448 1-1s-0.448-1-1-1zM25.192 8.307c-0.39-0.391-1.023-0.391-1.414-0.001l-1.415 1.415c-0.39 0.39-0.39 1.024-0 1.414 0.195 0.196 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293l1.415-1.414c0.39-0.39 0.39-1.024 0-1.414zM8.221 8.307c-0.391-0.391-1.024-0.391-1.415 0s-0.391 1.024 0 1.414l1.415 1.414c0.195 0.196 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293c0.39-0.39 0.39-1.024 0-1.414l-1.415-1.414zM16 1.5c-8.822 0-16 7.178-16 16 0 5.079 2.333 9.744 6.399 12.8 0.173 0.13 0.384 0.2 0.601 0.2h18c0.217 0 0.427-0.070 0.601-0.2 4.067-3.056 6.399-7.721 6.399-12.8 0-8.822-7.178-16-16-16zM24.66 28.5h-17.32c-3.398-2.675-5.34-6.665-5.34-11 0-7.72 6.28-14 14-14s14 6.28 14 14c0 4.335-1.942 8.325-5.34 11z"></path>'),
	   	 			'brief_case_22' => array('keywords' => 'brief_case_22 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 6.5l-7-0c0-3.313-2.686-6-6-6s-6 2.686-6 6l-7-0c-1.649 0-3 1.351-3 3.001v19c0 1.649 1.351 3 3 3h26c1.651 0 3-1.351 3-3v-19c0-1.651-1.349-3-3-3zM16 2.5c2.209 0 4 1.791 4 3.999h-8c0.001-2.209 1.791-3.999 4-3.999zM30 28.5c0 0.55-0.45 1-1 1h-26c-0.55 0-1-0.45-1-1v-19c0-0.55 0.45-1.001 1-1.001l26 0.001c0.55 0 1 0.45 1 1v19zM25 12.5c-0.001 0-0.002 0-0.003 0h-17.995c-0.001 0-0.001 0-0.002 0-0.553 0-1 0.447-1 1s0.447 0.999 0.999 1h18.001c0.552 0 1-0.448 1-1s-0.448-1-1-1zM25 18c-0.001 0-0.002 0-0.003 0h-17.995c-0.001 0-0.001 0-0.002 0-0.553 0-1 0.448-1 1s0.447 0.999 0.999 1h18.001c0.552 0 1-0.448 1-1s-0.448-1-1-1zM25 23.5c-0.001 0-0.002 0-0.003 0h-17.995c-0.001 0-0.001 0-0.002 0-0.553 0-1 0.448-1 1s0.447 0.999 0.999 1h18.001c0.552 0 1-0.448 1-1s-0.448-1-1-1z"></path>'),
	   	 			'desk_empty' => array('keywords' => 'desk_empty ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31 7h-30c-0.552 0-1 0.448-1 1s0.448 1 1 1h1v15c0 0.552 0.448 1 1 1s1-0.448 1-1v-11h15v11c0 0.552 0.448 1 1 1h9c0.552 0 1-0.448 1-1v-15h1c0.552 0 1-0.448 1-1s-0.448-1-1-1zM21 17h7v6h-7v-6zM4 11v-2h15v2h-15zM28 15h-7v-6h7v6zM25.5 12c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM25.5 20c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1z"></path>'),
	   	 			'star-half-empty' => array('keywords' => 'star-half-empty ','viewbox' => '0 0 30 32', 'path' =>'<path d="M21.179 17.375l4.589-4.464-7.536-1.107-0.536-1.071-2.839-5.75v17.196l1.054 0.554 5.679 3-1.071-6.339-0.214-1.179zM29.25 12.696l-6.482 6.321 1.536 8.929q0.089 0.589-0.107 0.92t-0.607 0.33q-0.304 0-0.714-0.214l-8.018-4.214-8.018 4.214q-0.411 0.214-0.714 0.214-0.411 0-0.607-0.33t-0.107-0.92l1.536-8.929-6.5-6.321q-0.571-0.571-0.411-1.063t0.964-0.616l8.964-1.304 4.018-8.125q0.357-0.732 0.875-0.732 0.5 0 0.875 0.732l4.018 8.125 8.964 1.304q0.804 0.125 0.964 0.616t-0.429 1.063z"></path>'),
	   	 			'map_symbol3' => array('keywords' => 'map_symbol3 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31.371 15.072l-10-4c-0.005-0.002-0.011-0.002-0.015-0.005-0.040-0.014-0.081-0.022-0.122-0.031-0.038-0.009-0.075-0.022-0.113-0.027-0.040-0.005-0.080-0.002-0.12-0.002s-0.081-0.004-0.12 0.002c-0.038 0.005-0.075 0.017-0.113 0.026-0.041 0.011-0.084 0.018-0.123 0.033-0.005 0.002-0.010 0.002-0.015 0.004l-2 0.8c-0.512 0.205-0.762 0.787-0.558 1.3s0.787 0.763 1.3 0.557l0.628-0.252v12.846l-8 3.2v-12.846l1.371-0.549c0.513-0.205 0.762-0.787 0.557-1.3s-0.787-0.762-1.3-0.557l-1.629 0.652-9.629-3.851c-0.308-0.123-0.657-0.085-0.932 0.1-0.275 0.187-0.44 0.496-0.44 0.828v15c0 0.409 0.249 0.777 0.628 0.928l10 4c0.018 0.007 0.037 0.010 0.055 0.015 0.020 0.007 0.039 0.012 0.059 0.017 0.085 0.023 0.171 0.038 0.258 0.038s0.173-0.015 0.258-0.038c0.020-0.006 0.039-0.011 0.059-0.017 0.018-0.006 0.037-0.009 0.055-0.015l9.629-3.852 9.629 3.852c0.119 0.048 0.245 0.072 0.371 0.072 0.198 0 0.392-0.058 0.561-0.172 0.275-0.186 0.439-0.496 0.439-0.828v-15c0-0.409-0.249-0.777-0.629-0.928zM2 13.477l8 3.2v12.846l-8-3.2v-12.845zM30 29.523l-8-3.2v-12.846l8 3.2v12.846zM15 10.905v9.373c-0.595 0.346-1 0.985-1 1.723 0 1.105 0.896 2 2 2s2-0.895 2-2c0-0.738-0.405-1.376-1-1.723v-9.373c2.556-0.472 4.5-2.713 4.5-5.404 0-3.032-2.468-5.5-5.5-5.5s-5.5 2.468-5.5 5.5c0 2.691 1.944 4.933 4.5 5.404zM16 2c1.93 0 3.5 1.571 3.5 3.5s-1.57 3.5-3.5 3.5c-1.93 0-3.5-1.571-3.5-3.5s1.57-3.5 3.5-3.5zM16 4.7c0.441 0 0.8 0.359 0.8 0.8 0 0.552 0.448 1 1 1s1-0.448 1-1c0-1.544-1.256-2.8-2.8-2.8-0.552 0-1 0.447-1 1s0.448 1 1 1z"></path>'),
	   	 			'flare' => array('keywords' => 'flare ','viewbox' => '0 0 32 32', 'path' =>'<path d="M14.688 31.354v-8h2.625v8h-2.625zM7.5 23.292l2.875-2.875 1.875 1.875-2.875 2.875zM19.75 22.292l1.875-1.875 2.875 2.875-1.875 1.875zM16 12.667q1.625 0 2.813 1.188t1.188 2.813-1.188 2.813-2.813 1.188-2.813-1.188-1.188-2.813 1.188-2.813 2.813-1.188zM22.688 15.354h8v2.625h-8v-2.625zM24.5 10.042l-2.875 2.875-1.875-1.875 2.875-2.875zM17.313 1.979v8h-2.625v-8h2.625zM12.25 11.042l-1.875 1.875-2.875-2.875 1.875-1.875zM9.313 15.354v2.625h-8v-2.625h8z"></path>'),
	   	 			'shuffle2' => array('keywords' => 'shuffle2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M24 22h-3.172l-5-5 5-5h3.172v5l7-7-7-7v5h-4c-0.53 0-1.039 0.211-1.414 0.586l-5.586 5.586-5.586-5.586c-0.375-0.375-0.884-0.586-1.414-0.586h-6v4h5.172l5 5-5 5h-5.172v4h6c0.53 0 1.039-0.211 1.414-0.586l5.586-5.586 5.586 5.586c0.375 0.375 0.884 0.586 1.414 0.586h4v5l7-7-7-7v5z"></path>'),
	   	 			'high_quality' => array('keywords' => 'high_quality ','viewbox' => '0 0 32 32', 'path' =>'<path d="M19.313 18.667v-4h2.688v4h-2.688zM24 19.354v-5.375q0-0.563-0.375-0.938t-0.938-0.375h-4q-0.563 0-0.969 0.375t-0.406 0.938v5.375q0 0.563 0.406 0.938t0.969 0.375h1v2h2v-2h1q0.563 0 0.938-0.375t0.375-0.938zM14.688 20.667v-8h-2v3.313h-2.688v-3.313h-2v8h2v-2.688h2.688v2.688h2zM25.313 5.979q1.063 0 1.875 0.813t0.813 1.875v16q0 1.063-0.813 1.875t-1.875 0.813h-18.625q-1.125 0-1.906-0.813t-0.781-1.875v-16q0-1.063 0.781-1.875t1.906-0.813h18.625z"></path>'),
	   	 			'shop_n2' => array('keywords' => 'shop_n2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M24.5 6h-3v-0.5c0-3.037-2.462-5.5-5.5-5.5s-5.5 2.463-5.5 5.5v0.5h-3c-1.65 0-3 1.35-3 3v20c0 1.65 1.35 3 3 3h17c1.65 0 3-1.35 3-3v-20c0-1.65-1.35-3-3-3zM12 5.5c0-2.209 1.791-4 4-4s4 1.791 4 4v0.5h-8v-0.5zM25.5 29c0 0.55-0.45 1-1 1h-17c-0.55 0-1-0.45-1-1v-20c0-0.55 0.45-1 1-1h3v2.175c-0.59 0.281-1 0.878-1 1.575 0 0.967 0.783 1.75 1.75 1.75s1.75-0.783 1.75-1.75c0-0.697-0.41-1.294-1-1.575v-2.175h8v2.175c-0.59 0.281-1 0.878-1 1.575 0 0.967 0.783 1.75 1.75 1.75s1.75-0.783 1.75-1.75c0-0.697-0.41-1.294-1-1.575v-2.175h3c0.55 0 1 0.45 1 1v20z"></path>'),
	   	 			'equalizer22' => array('keywords' => 'equalizer22 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M28 14h0.5c0.825 0 1.5-0.675 1.5-1.5v-5c0-0.825-0.675-1.5-1.5-1.5h-0.5v-6h-4v6h-0.5c-0.825 0-1.5 0.675-1.5 1.5v5c0 0.825 0.675 1.5 1.5 1.5h0.5v18h4v-18zM24 8h4v4h-4v-4zM18.5 26c0.825 0 1.5-0.675 1.5-1.5v-5c0-0.825-0.675-1.5-1.5-1.5h-0.5v-18h-4v18h-0.5c-0.825 0-1.5 0.675-1.5 1.5v5c0 0.825 0.675 1.5 1.5 1.5h0.5v6h4v-6h0.5zM14 20h4v4h-4v-4zM8.5 14c0.825 0 1.5-0.675 1.5-1.5v-5c0-0.825-0.675-1.5-1.5-1.5h-0.5v-6h-4v6h-0.5c-0.825 0-1.5 0.675-1.5 1.5v5c0 0.825 0.675 1.5 1.5 1.5h0.5v18h4v-18h0.5zM4 8h4v4h-4v-4z"></path>'),
	   	 			'filter3' => array('keywords' => 'filter3 ','viewbox' => '0 0 25 32', 'path' =>'<path d="M25.054 5.554q0.304 0.732-0.25 1.25l-8.804 8.804v13.25q0 0.75-0.696 1.054-0.232 0.089-0.446 0.089-0.482 0-0.804-0.339l-4.571-4.571q-0.339-0.339-0.339-0.804v-8.679l-8.804-8.804q-0.554-0.518-0.25-1.25 0.304-0.696 1.054-0.696h22.857q0.75 0 1.054 0.696z"></path>'),
	   	 			'build' => array('keywords' => 'build ','viewbox' => '0 0 32 32', 'path' =>'<path d="M30.25 25.979q0.438 0.25 0.406 0.844t-0.531 1.031l-3.063 3.063q-0.938 0.938-1.875 0l-12.125-12.125q-2.25 0.938-4.781 0.406t-4.406-2.406q-2-2-2.5-4.75t0.75-5.125l5.875 5.75 4-4-5.75-5.75q2.375-1.125 5.125-0.688t4.75 2.438q1.875 1.875 2.406 4.406t-0.406 4.781z"></path>'),
	   	 			'mic_none' => array('keywords' => 'mic_none ','viewbox' => '0 0 32 32', 'path' =>'<path d="M23.063 15.354h2.25q0 3.375-2.344 5.906t-5.656 3.031v4.375h-2.625v-4.375q-3.313-0.5-5.656-3.031t-2.344-5.906h2.25q0 2.938 2.094 4.844t4.969 1.906 4.969-1.906 2.094-4.844zM14.375 7.229v8.25q0 0.625 0.469 1.094t1.156 0.469q0.625 0 1.094-0.438t0.469-1.125l0.063-8.25q0-0.688-0.5-1.156t-1.125-0.469-1.125 0.469-0.5 1.156zM16 19.354q-1.625 0-2.813-1.188t-1.188-2.813v-8q0-1.625 1.188-2.813t2.813-1.188 2.813 1.188 1.188 2.813v8q0 1.625-1.188 2.813t-2.813 1.188z"></path>'),
	   	 			'subscriptions' => array('keywords' => 'subscriptions ','viewbox' => '0 0 32 32', 'path' =>'<path d="M21.313 21.979l-8-4.313v8.688zM29.313 16.667v10.688q0 1.063-0.781 1.844t-1.844 0.781h-21.375q-1.063 0-1.844-0.781t-0.781-1.844v-10.688q0-1.063 0.781-1.875t1.844-0.813h21.375q1.063 0 1.844 0.813t0.781 1.875zM24 3.354v2.625h-16v-2.625h16zM26.688 11.354h-21.375v-2.688h21.375v2.688z"></path>'),
	   	 			'arrow-down-right2' => array('keywords' => 'arrow-down-right2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M4.586 7.414l16.586 16.586h-7.171c-1.105 0-2 0.895-2 2s0.895 2 2 2h12c0.809 0 1.538-0.487 1.848-1.235 0.103-0.248 0.151-0.508 0.151-0.765h0.001v-12c0-1.105-0.895-2-2-2s-2 0.895-2 2v7.172l-16.586-16.586c-0.391-0.391-0.902-0.586-1.414-0.586s-1.024 0.195-1.414 0.586c-0.781 0.781-0.781 2.047 0 2.828z"></path>'),
	   	 			'envira' => array('keywords' => 'envira ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 14.857q-1.857-3.5-2.857-4.964-2.482-3.607-6.196-5.679-0.607-0.339-1.25-0.643-1.589-0.714-1.679-0.571t0.607 0.679l0.696 0.554q1.107 0.768 2.009 1.67t1.687 2.080 1.259 2.018 1.259 2.339q0.161 0.304 0.232 0.446 0.786 1.5 1.5 2.732t1.75 2.75 2.063 2.679 2.339 2.205 2.652 1.616q2.732 1.179 2.75 1.071 0.018-0.054-0.875-0.661-0.946-0.643-1.446-1.018-1.375-1.036-3.196-3.768t-3.304-5.536zM9.804 24.554q-1.357-1.071-2.366-2.232t-1.75-2.563-1.268-2.759-1.045-3.321-0.929-3.732-1.080-4.5-1.366-5.161q4.875 0 8.884 0.643t6.768 1.643 4.839 2.58 3.313 3.080 1.964 3.545 1 3.563 0.223 3.545-0.17 3.089-0.357 2.563-0.232 1.911l5.768 5.839h-1.857l-5.018-5.089q-0.393 0.036-1.634 0.25t-2.17 0.339-2.464 0.107-2.866-0.304-2.991-1.054-3.196-1.982z"></path>'),
	   	 			'home_plus' => array('keywords' => 'home_plus ','viewbox' => '0 0 32 32', 'path' =>'<path d="M15 15v3h-2.999c-0.553 0-1.001 0.448-1.001 1s0.448 1 1.001 1c0.004 0 0.007-0.001 0.010-0.001h2.989v3c0 0.552 0.448 1 1 1s1-0.448 1-1c0-0.003-0.001-0.006-0.001-0.010v-2.991h2.991c0.003 0 0.006 0.001 0.010 0.001 0.552 0 1-0.448 1-1s-0.448-1-1-1v0h-3v-2.99c0-0.004 0.001-0.007 0.001-0.010 0-0.553-0.448-1-1-1s-1.001 0.447-1.001 1zM31.707 13.293l-15-13c-0.39-0.391-1.024-0.391-1.414 0l-15 13c-0.391 0.39-0.391 1.024 0 1.414s1.024 0.39 1.414 0l2.293-1.988v16.281c0 1.65 1.35 3 3 3h18c1.65 0 3-1.35 3-3v-16.28l2.293 1.988c0.39 0.39 1.024 0.39 1.414 0s0.391-1.024 0-1.414zM26 29c0 0.55-0.45 1-1 1h-18c-0.55 0-1-0.45-1-1v-18.014l10-8.666 10 8.666v18.014z"></path>'),
	   	 			'camera_symbol5' => array('keywords' => 'camera_symbol5 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M26 18c0 1.105-0.895 2-2 2s-2-0.895-2-2c0-1.105 0.895-2 2-2s2 0.895 2 2zM29 13h-8.5c-0.552 0-1-0.448-1-1 0-1.079-0.574-2.023-1.431-2.552l0.966-1.448h0.465c0.552 0 1-0.448 1-1v-6c0-0.552-0.448-1-1-1h-13c-0.552 0-1 0.448-1 1v6c0 0.552 0.448 1 1 1h0.465l0.966 1.448c-0.857 0.529-1.431 1.474-1.431 2.552 0 0.552-0.448 1-1 1h-2.5c-1.655 0-3 1.346-3 3v13c0 1.655 1.346 3 3 3l26 0c1.655 0 3-1.346 3-3v-13c0-1.655-1.346-3.001-3-3.001zM18.5 2v3.999c-0.005 0-0.011 0-0.015 0h-10.97c-0.005 0-0.011-0-0.015-0v-3.999h11zM16.632 8l-0.666 1h-5.93l-0.666-1h7.263zM30 29c0 0.552-0.448 1-1 1l-26-0c-0.552 0-1-0.448-1-1v-13c0-0.552 0.448-1 1-1h2.5c1.655 0 3-1.346 3-3 0-0.552 0.448-1 1-1h7c0.552 0 1 0.448 1 1 0 1.655 1.346 3 3 3h8.5c0.552 0 1 0.448 1 1v13.001zM13.5 16c-3.309 0-6 2.692-6 6s2.692 6 6 6 6-2.692 6-6-2.692-6-6-6zM13.5 26c-2.206 0-4-1.795-4-4s1.795-4 4-4 4 1.795 4 4-1.795 4-4 4zM10.5 5h5c0.552 0 1-0.448 1-1s-0.448-1-1-1h-5c-0.552 0-1 0.448-1 1s0.448 1 1 1z"></path>'),
	   	 			'move_to_inbox' => array('keywords' => 'move_to_inbox ','viewbox' => '0 0 32 32', 'path' =>'<path d="M21.313 13.979l-5.313 5.375-5.313-5.375h2.625v-4h5.375v4h2.625zM25.313 20.667v-13.313h-18.688v13.313h5.375q0 1.625 1.188 2.813t2.813 1.188 2.813-1.188 1.188-2.813h5.313zM25.313 4.667q1.063 0 1.875 0.813t0.813 1.875v18.625q0 1.063-0.813 1.875t-1.875 0.813h-18.688q-1.125 0-1.875-0.781t-0.75-1.906v-18.625q0-1.125 0.75-1.906t1.875-0.781h18.688z"></path>'),
	   	 			'photo_size_select_large' => array('keywords' => 'photo_size_select_large ','viewbox' => '0 0 32 32', 'path' =>'<path d="M4 25.979h13.313l-4.25-5.688-3.313 4.313-2.438-2.875zM1.313 15.354h18.688v13.313h-16q-1.063 0-1.875-0.813t-0.813-1.875v-10.625zM6.688 4.667h2.625v2.688h-2.625v-2.688zM12 4.667h2.688v2.688h-2.688v-2.688zM4 4.667v2.688h-2.688q0-1 0.844-1.844t1.844-0.844zM22.688 25.979h2.625v2.688h-2.625v-2.688zM22.688 4.667h2.625v2.688h-2.625v-2.688zM1.313 9.979h2.688v2.688h-2.688v-2.688zM28 4.667q1 0 1.844 0.844t0.844 1.844h-2.688v-2.688zM28 9.979h2.688v2.688h-2.688v-2.688zM17.313 4.667h2.688v2.688h-2.688v-2.688zM30.688 25.979q0 1-0.844 1.844t-1.844 0.844v-2.688h2.688zM28 15.354h2.688v2.625h-2.688v-2.625zM28 20.667h2.688v2.688h-2.688v-2.688z"></path>'),
	   	 			'volume1_down' => array('keywords' => 'volume1_down ','viewbox' => '0 0 32 32', 'path' =>'<path d="M19.56 0.354l-0.21-0.107c-0.864-0.441-2.053-0.278-2.77 0.38l-9.108 8.373h-4.471c-1.655 0-3 1.345-3 3v8c0 1.654 1.345 3 3 3h4.471l9.108 8.372c0.445 0.41 1.075 0.628 1.695 0.628 0.376 0 0.749-0.080 1.075-0.247l0.211-0.108c0.821-0.419 1.44-1.438 1.44-2.369v-26.554c0-0.931-0.619-1.95-1.44-2.369zM2 20v-8c0-0.552 0.449-1 1-1h4v10h-4c-0.551 0-1-0.448-1-1zM19 29.277c0 0.183-0.193 0.508-0.349 0.587l-0.212 0.108c-0.121 0.061-0.405 0.021-0.506-0.072l-8.934-8.211v-11.377l8.934-8.211c0.102-0.093 0.386-0.133 0.506-0.072l0.211 0.107c0.156 0.080 0.349 0.404 0.349 0.587v26.554zM31 15h-6c-0.552 0-1 0.448-1 1s0.448 1 1 1h6c0.552 0 1-0.448 1-1s-0.448-1-1-1z"></path>'),
	   	 			'business' => array('keywords' => 'business ','viewbox' => '0 0 32 32', 'path' =>'<path d="M24 20.667v2.688h-2.688v-2.688h2.688zM24 15.354v2.625h-2.688v-2.625h2.688zM26.688 25.979v-13.313h-10.688v2.688h2.688v2.625h-2.688v2.688h2.688v2.688h-2.688v2.625h10.688zM13.313 9.979v-2.625h-2.625v2.625h2.625zM13.313 15.354v-2.688h-2.625v2.688h2.625zM13.313 20.667v-2.688h-2.625v2.688h2.625zM13.313 25.979v-2.625h-2.625v2.625h2.625zM8 9.979v-2.625h-2.688v2.625h2.688zM8 15.354v-2.688h-2.688v2.688h2.688zM8 20.667v-2.688h-2.688v2.688h2.688zM8 25.979v-2.625h-2.688v2.625h2.688zM16 9.979h13.313v18.688h-26.625v-24h13.313v5.313z"></path>'),
	   	 			'browser_symbol4' => array('keywords' => 'browser_symbol4 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 2.5h-26c-1.65 0-3 1.35-3 3v21c0 1.65 1.35 3 3 3h26c1.65 0 3-1.35 3-3v-21c0-1.65-1.35-3-3-3zM30 26.5c0 0.55-0.45 1-1 1h-26c-0.55 0-1-0.45-1-1v-14h28v14zM30 10.5h-28v-5c0-0.55 0.45-1 1-1h26c0.55 0 1 0.45 1 1v5zM6 7.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM10 7.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM14 7.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM11.476 20.999h0.655c0.094 0.366 0.239 0.712 0.426 1.030l-0.463 0.463c-0.38 0.381-0.373 1.008 0.017 1.397s1.017 0.398 1.397 0.017l0.463-0.463c0.318 0.188 0.663 0.331 1.030 0.427v0.655c-0.001 0.537 0.448 0.975 0.999 0.975 0.552 0 1.001-0.438 1.001-0.976v-0.656c0.366-0.094 0.712-0.238 1.029-0.426l0.464 0.463c0.38 0.381 1.007 0.373 1.396-0.017s0.398-1.017 0.017-1.398l-0.463-0.463c0.188-0.319 0.332-0.663 0.427-1.030h0.654c0.538 0 0.977-0.448 0.977-1 0-0.551-0.439-1-0.977-1h-0.654c-0.095-0.366-0.238-0.71-0.426-1.028l0.462-0.462c0.381-0.381 0.373-1.009-0.017-1.398s-1.017-0.396-1.398-0.016l-0.463 0.463c-0.317-0.188-0.663-0.331-1.029-0.426v-0.655c0-0.537-0.448-0.976-1.001-0.976-0.551 0-0.999 0.439-0.999 0.977v0.654c-0.366 0.095-0.711 0.238-1.029 0.426l-0.462-0.462c-0.38-0.38-1.008-0.373-1.399 0.017-0.389 0.39-0.396 1.017-0.015 1.398l0.462 0.462c-0.188 0.317-0.332 0.663-0.426 1.029h-0.656c-0.537 0-0.976 0.449-0.976 1s0.438 1 0.976 1zM16 18c1.105-0 2 0.896 2 2s-0.895 2-2 2c-1.104 0-1.999-0.896-2-2 0.001-1.104 0.896-2 2-2zM17 20c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1z"></path>'),
	   	 			'spoon' => array('keywords' => 'spoon ','viewbox' => '0 0 14 32', 'path' =>'<path d="M12.571 9.714q0 2.589-1.018 4.348t-2.714 2.42l0.804 14.661q0.036 0.464-0.286 0.804t-0.786 0.339h-3.429q-0.464 0-0.786-0.339t-0.286-0.804l0.804-14.661q-1.696-0.661-2.714-2.42t-1.018-4.348q0-2.286 0.759-4.455t2.098-3.571 2.857-1.402 2.857 1.402 2.098 3.571 0.759 4.455z"></path>'),
	   	 			'letter_opened1' => array('keywords' => 'letter_opened1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31.964 10.749c-0.006-0.021-0.012-0.041-0.018-0.063-0.023-0.069-0.052-0.136-0.091-0.2-0.005-0.009-0.009-0.018-0.014-0.027-0.044-0.069-0.099-0.131-0.16-0.188-0.016-0.015-0.034-0.028-0.051-0.042-0.026-0.021-0.048-0.043-0.075-0.062l-15-10c-0.336-0.224-0.774-0.224-1.11 0l-15 10c-0.028 0.018-0.050 0.041-0.075 0.062-0.017 0.014-0.035 0.027-0.051 0.042-0.061 0.057-0.116 0.12-0.16 0.188-0.006 0.008-0.009 0.018-0.014 0.027-0.038 0.063-0.068 0.13-0.091 0.2-0.007 0.021-0.013 0.041-0.019 0.063-0.022 0.082-0.036 0.165-0.036 0.249 0 0.001 0 0.001 0 0.002v18c0 1.654 1.345 3 3 3h26c1.654 0 3-1.346 3-3v-18c0-0.001 0-0.001 0-0.002-0-0.085-0.015-0.168-0.036-0.249zM2 13.111l8.511 6.964-8.511 8.511v-15.476zM12.414 21h7.172l9 9h-25.172l9-9zM21.488 20.074l8.512-6.963v15.476l-8.511-8.512zM16 2.202l13.32 8.88-9.677 7.918h-7.286l-9.678-7.918 13.32-8.88z"></path>'),
	   	 			'ipod_headphones' => array('keywords' => 'ipod_headphones ','viewbox' => '0 0 32 32', 'path' =>'<path d="M9 19c-2.757 0-5 2.242-5 5s2.243 5 5 5 5-2.242 5-5-2.243-5-5-5zM9 27c-1.655 0-3-1.346-3-3s1.345-3 3-3 3 1.346 3 3-1.345 3-3 3zM3 10v7c0 0.552 0.448 1 1 1h10c0.552 0 1-0.448 1-1v-7c0-0.552-0.448-1-1-1h-10c-0.552 0-1 0.448-1 1zM5 11h8v5h-8v-5zM32 7c0-1.378-1.122-2.5-2.5-2.5s-2.5 1.122-2.5 2.5c0 1.023 0.619 1.901 1.5 2.288v4.212c0 0.552-0.448 1-1 1h-1.5v-9.712c0.881-0.387 1.5-1.266 1.5-2.288 0-1.379-1.122-2.5-2.5-2.5s-2.5 1.121-2.5 2.5c0 1.022 0.619 1.901 1.5 2.288v24.212c0 0.552-0.448 1-1 1s-1-0.448-1-1v-24c0-2.757-2.243-5-5-5-2.447 0-4.485 1.768-4.913 4.091-0.345 0.158-0.587 0.504-0.587 0.909v1h-8.5c-1.655 0-3 1.345-3 3v20c0 1.654 1.345 3 3 3h12c1.654 0 3-1.346 3-3v-20c0-1.655-1.346-3-3-3h-0.5v-1c0-0.322-0.155-0.606-0.392-0.788 0.348-1.272 1.511-2.212 2.892-2.212 1.654 0 3 1.345 3 3v24c0 1.654 1.346 3 3 3s3-1.346 3-3v-12.5h1.5c1.654 0 3-1.345 3-3v-4.212c0.881-0.387 1.5-1.265 1.5-2.288zM16 9v20c0 0.552-0.448 1-1 1h-12c-0.551 0-1-0.448-1-1v-20c0-0.552 0.449-1 1-1h12c0.552 0 1 0.448 1 1zM25 2c0.276 0 0.5 0.224 0.5 0.5s-0.224 0.5-0.5 0.5c-0.276 0-0.5-0.224-0.5-0.5s0.224-0.5 0.5-0.5zM29.5 6.5c0.276 0 0.5 0.224 0.5 0.5s-0.224 0.5-0.5 0.5c-0.276 0-0.5-0.224-0.5-0.5s0.224-0.5 0.5-0.5z"></path>'),
	   	 			'heart_beat_1' => array('keywords' => 'heart_beat_1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31 14.495h-10.323l-1.748-4.371c-0.002-0.003-0.003-0.005-0.005-0.008-0.099-0.242-0.291-0.445-0.552-0.55-0.512-0.205-1.094 0.044-1.3 0.557l-3.072 7.679-1.072-2.678c0 0.001-0.001 0.001-0.001 0.002-0.147-0.368-0.506-0.63-0.928-0.63h-11c-0.552 0-1 0.447-1 1s0.448 1 1 1h10.323l1.748 4.371c0.001 0.003 0.002 0.003 0.004 0.006 0.099 0.242 0.291 0.447 0.553 0.552 0.122 0.049 0.248 0.072 0.371 0.072 0.396 0 0.772-0.238 0.928-0.629l3.072-7.679 1.058 2.643c0.134 0.428 0.503 0.794 0.942 0.794l11-0.13c0.552 0 1-0.448 1-1s-0.448-1-1-1zM1.183 13.495c0.071 0 0.143-0.008 0.214-0.024 0.54-0.117 0.882-0.65 0.764-1.191-0.498-2.283 0.205-4.628 1.882-6.274 2.733-2.682 7.18-2.682 9.913 0 0.454 0.447 0.849 0.963 1.172 1.536 0.177 0.314 0.51 0.509 0.871 0.509s0.694-0.195 0.871-0.51c0.323-0.573 0.718-1.090 1.173-1.536 2.733-2.682 7.18-2.682 9.913 0 1.677 1.646 2.381 3.991 1.883 6.274-0.117 0.54 0.224 1.073 0.764 1.191 0.537 0.118 1.073-0.223 1.191-0.764 0.647-2.959-0.264-5.997-2.436-8.128-3.506-3.44-9.209-3.441-12.714 0-0.227 0.222-0.441 0.457-0.643 0.704-0.202-0.247-0.416-0.482-0.643-0.704-3.505-3.44-9.209-3.439-12.714 0-2.171 2.13-3.082 5.169-2.436 8.128 0.102 0.468 0.516 0.787 0.976 0.787zM25.841 17.786l-9.841 9.798-9.841-9.798c-0.391-0.39-1.024-0.388-1.415 0.003s-0.388 1.025 0.003 1.415l10.546 10.5c0.195 0.194 0.45 0.291 0.706 0.291s0.511-0.098 0.706-0.291l10.546-10.5c0.392-0.39 0.392-1.023 0.003-1.415s-1.022-0.392-1.413-0.003z"></path>'),
	   	 			'call_end' => array('keywords' => 'call_end ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 12.667q-3.25 0-6.125 0.938v4.125q0 0.938-0.75 1.25-2 0.938-3.563 2.438-0.375 0.375-0.938 0.375t-0.938-0.375l-3.313-3.313q-0.375-0.375-0.375-0.938t0.375-0.938q6.563-6.25 15.625-6.25t15.625 6.25q0.375 0.375 0.375 0.938t-0.375 0.938l-3.313 3.313q-0.375 0.375-0.938 0.375t-0.938-0.375q-1.563-1.5-3.563-2.438-0.75-0.313-0.75-1.188v-4.125q-3.125-1-6.125-1z"></path>'),
	   	 			'angle-double-up' => array('keywords' => 'angle-double-up ','viewbox' => '0 0 21 32', 'path' =>'<path d="M19.196 23.714q0 0.232-0.179 0.411l-0.893 0.893q-0.179 0.179-0.411 0.179t-0.411-0.179l-7.018-7.018-7.018 7.018q-0.179 0.179-0.411 0.179t-0.411-0.179l-0.893-0.893q-0.179-0.179-0.179-0.411t0.179-0.411l8.321-8.321q0.179-0.179 0.411-0.179t0.411 0.179l8.321 8.321q0.179 0.179 0.179 0.411zM19.196 16.857q0 0.232-0.179 0.411l-0.893 0.893q-0.179 0.179-0.411 0.179t-0.411-0.179l-7.018-7.018-7.018 7.018q-0.179 0.179-0.411 0.179t-0.411-0.179l-0.893-0.893q-0.179-0.179-0.179-0.411t0.179-0.411l8.321-8.321q0.179-0.179 0.411-0.179t0.411 0.179l8.321 8.321q0.179 0.179 0.179 0.411z"></path>'),
	   	 			'flip_to_front' => array('keywords' => 'flip_to_front ','viewbox' => '0 0 32 32', 'path' =>'<path d="M9.313 28.667v-2.688h2.688v2.688h-2.688zM14.688 28.667v-2.688h2.625v2.688h-2.625zM25.313 20.667v-13.313h-13.313v13.313h13.313zM25.313 4.667q1.063 0 1.875 0.813t0.813 1.875v13.313q0 1.063-0.813 1.875t-1.875 0.813h-13.313q-1.125 0-1.906-0.813t-0.781-1.875v-13.313q0-1.063 0.781-1.875t1.906-0.813h13.313zM20 28.667v-2.688h2.688v2.688h-2.688zM4 12.667v-2.688h2.688v2.688h-2.688zM6.688 28.667q-1.125 0-1.906-0.813t-0.781-1.875h2.688v2.688zM4 23.354v-2.688h2.688v2.688h-2.688zM4 17.979v-2.625h2.688v2.625h-2.688z"></path>'),
	   	 			'birthday-cake' => array('keywords' => 'birthday-cake ','viewbox' => '0 0 32 32', 'path' =>'<path d="M32 25.429v6.857h-32v-6.857q0.804 0 1.518-0.25t1.054-0.491 0.839-0.67q0.536-0.482 0.92-0.679t1.009-0.196 0.991 0.196 0.938 0.679q0.518 0.446 0.839 0.679t1.036 0.482 1.536 0.25q0.804 0 1.518-0.259t1.036-0.482 0.857-0.67q0.375-0.339 0.58-0.482t0.554-0.268 0.777-0.125q0.625 0 1.009 0.196t0.92 0.679q0.5 0.429 0.839 0.67t1.054 0.491 1.518 0.25 1.518-0.25 1.054-0.491 0.839-0.67q0.536-0.482 0.92-0.679t1.009-0.196q0.607 0 0.991 0.196t0.92 0.679q0.5 0.429 0.839 0.67t1.054 0.491 1.518 0.25zM32 19.714v3.429q-0.625 0-0.991-0.196t-0.938-0.679q-0.518-0.446-0.839-0.679t-1.036-0.482-1.518-0.25q-0.821 0-1.536 0.25t-1.036 0.482-0.839 0.679q-0.393 0.339-0.589 0.482t-0.554 0.268-0.786 0.125q-0.625 0-1.009-0.196t-0.92-0.679q-0.518-0.446-0.839-0.679t-1.036-0.482-1.536-0.25q-0.804 0-1.518 0.259t-1.036 0.482-0.857 0.67q-0.375 0.339-0.58 0.482t-0.554 0.268-0.777 0.125q-0.625 0-1.009-0.196t-0.92-0.679q-0.5-0.429-0.839-0.67t-1.054-0.491-1.518-0.25q-0.821 0-1.536 0.25t-1.036 0.482-0.839 0.679q-0.536 0.482-0.92 0.679t-1.009 0.196v-3.429q0-1.429 1-2.429t2.429-1h1.143v-8h4.571v8h4.571v-8h4.571v8h4.571v-8h4.571v8h1.143q1.429 0 2.429 1t1 2.429zM9.143 4.286q0 1.375-0.643 2.116t-1.643 0.741q-0.946 0-1.616-0.67t-0.67-1.616q0-0.518 0.17-0.911t0.42-0.607 0.554-0.5 0.554-0.563 0.42-0.795 0.17-1.196q0.679 0 1.482 1.321t0.804 2.679zM18.286 4.286q0 1.375-0.643 2.116t-1.643 0.741q-0.946 0-1.616-0.67t-0.67-1.616q0-0.518 0.17-0.911t0.42-0.607 0.554-0.5 0.554-0.563 0.42-0.795 0.17-1.196q0.679 0 1.482 1.321t0.804 2.679zM27.429 4.286q0 1.375-0.643 2.116t-1.643 0.741q-0.946 0-1.616-0.67t-0.67-1.616q0-0.518 0.17-0.911t0.42-0.607 0.554-0.5 0.554-0.563 0.42-0.795 0.17-1.196q0.679 0 1.482 1.321t0.804 2.679z"></path>'),
	   	 			'phonelink' => array('keywords' => 'phonelink ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29.313 23.354v-9.375h-5.313v9.375h5.313zM30.688 11.354q0.563 0 0.938 0.375t0.375 0.938v13.313q0 0.563-0.375 0.969t-0.938 0.406h-8q-0.563 0-0.969-0.406t-0.406-0.969v-13.313q0-0.563 0.406-0.938t0.969-0.375h8zM5.313 8.667v14.688h13.375v4h-18.688v-4h2.688v-14.688q0-1.063 0.781-1.875t1.844-0.813h24v2.688h-24z"></path>'),
	   	 			'center_focus_weak' => array('keywords' => 'center_focus_weak ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 19.354q1.063 0 1.875-0.813t0.813-1.875-0.813-1.875-1.875-0.813-1.875 0.813-0.813 1.875 0.813 1.875 1.875 0.813zM16 11.354q2.188 0 3.75 1.563t1.563 3.75-1.563 3.75-3.75 1.563-3.75-1.563-1.563-3.75 1.563-3.75 3.75-1.563zM25.313 25.979v-5.313h2.688v5.313q0 1.063-0.813 1.875t-1.875 0.813h-5.313v-2.688h5.313zM25.313 4.667q1.063 0 1.875 0.813t0.813 1.875v5.312h-2.688v-5.313h-5.313v-2.688h5.313zM6.688 7.354v5.312h-2.688v-5.313q0-1.063 0.813-1.875t1.875-0.813h5.313v2.688h-5.313zM6.688 20.667v5.313h5.313v2.688h-5.313q-1.063 0-1.875-0.813t-0.813-1.875v-5.313h2.688z"></path>'),
	   	 			'key3' => array('keywords' => 'key3 ','viewbox' => '0 0 30 32', 'path' =>'<path d="M14.857 9.429q0-1.429-1-2.429t-2.429-1-2.429 1-1 2.429q0 0.75 0.339 1.482-0.732-0.339-1.482-0.339-1.429 0-2.429 1t-1 2.429 1 2.429 2.429 1 2.429-1 1-2.429q0-0.75-0.339-1.482 0.732 0.339 1.482 0.339 1.429 0 2.429-1t1-2.429zM30.054 22q0 0.304-0.875 1.179t-1.179 0.875q-0.161 0-0.509-0.286t-0.652-0.589-0.688-0.714-0.438-0.464l-1.714 1.714 3.929 3.929q0.5 0.5 0.5 1.214 0 0.75-0.696 1.446t-1.446 0.696q-0.714 0-1.214-0.5l-11.982-11.982q-3.143 2.339-6.518 2.339-2.911 0-4.741-1.83t-1.83-4.741q0-2.857 1.696-5.589t4.429-4.429 5.589-1.696q2.911 0 4.741 1.83t1.83 4.741q0 3.375-2.339 6.518l6.339 6.339 1.714-1.714q-0.054-0.054-0.464-0.438t-0.714-0.688-0.589-0.652-0.286-0.509q0-0.304 0.875-1.179t1.179-0.875q0.232 0 0.411 0.179 0.107 0.107 0.821 0.795t1.464 1.42 1.545 1.536 1.304 1.393 0.509 0.732z"></path>'),
	   	 			'rss' => array('keywords' => 'rss ','viewbox' => '0 0 32 32', 'path' =>'<path d="M4.259 23.467c-2.35 0-4.259 1.917-4.259 4.252 0 2.349 1.909 4.244 4.259 4.244 2.358 0 4.265-1.895 4.265-4.244-0-2.336-1.907-4.252-4.265-4.252zM0.005 10.873v6.133c3.993 0 7.749 1.562 10.577 4.391 2.825 2.822 4.384 6.595 4.384 10.603h6.16c-0-11.651-9.478-21.127-21.121-21.127zM0.012 0v6.136c14.243 0 25.836 11.604 25.836 25.864h6.152c0-17.64-14.352-32-31.988-32z"></path>'),
	   	 			'add_location' => array('keywords' => 'add_location ','viewbox' => '0 0 32 32', 'path' =>'<path d="M21.313 13.979v-2.625h-4v-4h-2.625v4h-4v2.625h4v4h2.625v-4h4zM16 3.354q3.875 0 6.594 2.719t2.719 6.594q0 1.938-0.969 4.438t-2.344 4.688-2.719 4.094-2.281 3.031l-1 1.063q-0.375-0.438-1-1.156t-2.25-2.875-2.844-4.188-2.219-4.594-1-4.5q0-3.875 2.719-6.594t6.594-2.719z"></path>'),
	   	 			'home_lock' => array('keywords' => 'home_lock ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 22.001c0.552 0 1-0.448 1-1v-1c0-0.552-0.448-1-1-1s-1 0.448-1 1v1c0 0.552 0.448 1 1 1zM16 12c-2.209 0-4 1.791-4 4v0.002l-0.001-0.001h-1.999v6c-0.001 2.209 1.79 4 3.999 4h4.001c2.209 0.001 4-1.791 4-4v-0h-0v-6l-2-0.001c0-2.209-1.791-4-4-4zM14 16c0-1.104 0.896-2 2-2s2 0.896 2 2l0.001 0-4.001-0.001zM20 18v4h0c0 1.105-0.896 2-2 2h-0v0h-4c-1.104 0-1.999-0.896-2-2h-0.002l0.001-0v-4l0.001-0.001v0.001h8zM31.207 14.793l-14.5-14.5c-0.39-0.391-1.024-0.391-1.414 0l-14.5 14.5c-0.391 0.39-0.391 1.024 0 1.414s1.024 0.39 1.414 0l1.793-1.793v14.586c0 1.65 1.35 3 3 3h18c1.65 0 3-1.35 3-3v-14.586l1.793 1.793c0.39 0.39 1.024 0.39 1.414 0s0.39-1.024 0-1.414zM26 29c0 0.55-0.45 1-1 1h-18c-0.55 0-1-0.45-1-1v-16.586l10-10 10 10v16.586z"></path>'),
	   	 			'tap_symbol1' => array('keywords' => 'tap_symbol1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M7.75 21c-0.319 0-0.618 0.152-0.806 0.409-0.327 0.446-3.193 4.421-3.193 6.727 0 2.131 1.794 3.864 4 3.864s4-1.733 4-3.864c0-2.305-2.867-6.281-3.194-6.727-0.188-0.256-0.488-0.409-0.806-0.409zM7.75 30c-1.103 0-2-0.837-2-1.864 0-0.966 1.031-2.87 2-4.368 0.995 1.543 2 3.442 2 4.368 0 1.028-0.897 1.864-2 1.864zM27.674 3.594c-0.352-0.163-0.766-0.111-1.064 0.138l-2.722 2.268h-5.138v-3h1.277c0.346 0.595 0.984 1 1.723 1 1.027 0 2-0.896 2-2s-0.895-2-2-2c-0.738 0-1.376 0.405-1.723 1h-4.555c-0.347-0.595-0.985-1-1.723-1-1.104 0-2 0.895-2 2s0.896 2 2 2c0.739 0 1.376-0.405 1.723-1h1.278v3h-4.5c-4.411 0-8 3.589-8 8v4c0 0.552 0.448 1 1 1h5c0.552 0 1-0.448 1-1v-4c0-0.552 0.448-1 1-1h11.638l2.721 2.268c0.183 0.153 0.411 0.232 0.64 0.232 0.144 0 0.289-0.031 0.424-0.094 0.351-0.165 0.576-0.518 0.576-0.906v-10c0-0.388-0.224-0.741-0.576-0.906zM9.25 14v3h-3v-3c0-3.309 2.691-6 6-6h11v3h-11c-1.655 0-3 1.345-3 3zM26.25 12.364l-1-0.833v-4.064l1-0.833v5.73z"></path>'),
	   	 			'close_sign1' => array('keywords' => 'close_sign1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 14h-2.507l-8.645-11.239c0.098-0.235 0.152-0.491 0.152-0.761 0-1.105-0.895-2-2-2s-2 0.895-2 2c0 0.27 0.056 0.527 0.152 0.761l-8.645 11.239h-2.508c-1.651 0-3 1.35-3 3v12c0 1.65 1.349 3 3 3h26c1.649 0 3-1.35 3-3v-12c0-1.65-1.351-3-3-3zM15.743 3.974c0.085 0.011 0.168 0.026 0.257 0.026s0.172-0.014 0.257-0.026l7.712 10.026h-15.938l7.713-10.026zM30 29c0 0.55-0.45 1-1 1h-26c-0.55 0-1-0.45-1-1v-12c0-0.55 0.45-1 1-1h26c0.55 0 1 0.45 1 1v12zM7.371 21.538c0.212 0 0.41 0.030 0.595 0.089s0.369 0.133 0.553 0.219l0.414-1.063c-0.492-0.235-1.008-0.352-1.548-0.352-0.495 0-0.925 0.105-1.29 0.316s-0.646 0.512-0.841 0.904c-0.194 0.392-0.292 0.846-0.292 1.364 0 0.827 0.201 1.459 0.604 1.897s0.98 0.656 1.734 0.656c0.526 0 0.998-0.093 1.415-0.277v-1.142c-0.21 0.087-0.418 0.16-0.626 0.222s-0.421 0.093-0.643 0.093c-0.732 0-1.097-0.481-1.097-1.442 0-0.462 0.090-0.826 0.27-1.088 0.181-0.264 0.431-0.395 0.752-0.395zM11.204 20.503h-1.35v4.997h3.274v-1.090h-1.925zM16.279 20.424c-0.793 0-1.398 0.219-1.813 0.657s-0.624 1.074-0.624 1.906c0 0.841 0.209 1.481 0.627 1.921s1.020 0.66 1.803 0.66c0.796 0 1.399-0.219 1.811-0.656s0.619-1.076 0.619-1.918c0-0.843-0.205-1.483-0.615-1.918s-1.013-0.653-1.808-0.653zM17.032 24.092c-0.165 0.235-0.419 0.352-0.761 0.352-0.672 0-1.008-0.483-1.008-1.449 0-0.975 0.338-1.463 1.015-1.463 0.332 0 0.582 0.119 0.75 0.357s0.251 0.607 0.251 1.106c0.001 0.496-0.081 0.862-0.247 1.097zM21.442 21.511c0.34 0 0.742 0.107 1.21 0.322l0.413-1.043c-0.538-0.239-1.066-0.359-1.582-0.359-0.585 0-1.046 0.129-1.381 0.386s-0.503 0.616-0.503 1.076c0 0.246 0.039 0.459 0.118 0.639s0.199 0.34 0.363 0.479c0.163 0.139 0.407 0.282 0.733 0.43 0.36 0.162 0.581 0.269 0.665 0.322s0.143 0.105 0.181 0.155c0.037 0.052 0.056 0.111 0.056 0.18 0 0.11-0.047 0.198-0.14 0.268s-0.24 0.104-0.441 0.104c-0.233 0-0.488-0.037-0.765-0.111s-0.546-0.177-0.803-0.309v1.203c0.244 0.116 0.479 0.198 0.704 0.244 0.226 0.047 0.505 0.070 0.837 0.070 0.399 0 0.746-0.067 1.043-0.2s0.523-0.32 0.68-0.561c0.157-0.24 0.236-0.515 0.236-0.825 0-0.337-0.084-0.617-0.251-0.839s-0.467-0.43-0.898-0.624c-0.448-0.205-0.724-0.346-0.825-0.424s-0.152-0.165-0.152-0.263c0-0.091 0.040-0.168 0.119-0.229s0.207-0.092 0.383-0.092zM24.093 25.5h2.966v-1.101h-1.616v-0.944h1.497v-1.084h-1.497v-0.786h1.616v-1.084h-2.966z"></path>'),
	   	 			'arrow-down-left' => array('keywords' => 'arrow-down-left ','viewbox' => '0 0 32 32', 'path' =>'<path d="M23 32l-8-8 17-17-7-7-17 17-8-8v23h23z"></path>'),
	   	 			'sort_by_alpha' => array('keywords' => 'sort_by_alpha ','viewbox' => '0 0 32 32', 'path' =>'<path d="M21 22.167h8.125v2.125h-11.375v-1.688l7.875-11.438h-7.813v-2.125h11.063v1.688zM6.625 18.854h5.188l-2.625-6.938zM8.125 9.042h2.188l6 15.25h-2.438l-1.25-3.25h-6.813l-1.25 3.25h-2.438zM13.688 26.479h6.188l-3.125 3.125zM19.938 6.854h-6.313l3.125-3.125z"></path>'),
	   	 			'book3' => array('keywords' => 'book3 ','viewbox' => '0 0 30 32', 'path' =>'<path d="M29.268 8.821q0.714 1.018 0.321 2.304l-4.911 16.179q-0.339 1.143-1.366 1.92t-2.188 0.777h-16.482q-1.375 0-2.652-0.955t-1.777-2.348q-0.429-1.196-0.036-2.268 0-0.071 0.054-0.482t0.071-0.661q0.018-0.143-0.054-0.384t-0.054-0.348q0.036-0.196 0.143-0.375t0.295-0.42 0.295-0.42q0.411-0.679 0.804-1.634t0.536-1.634q0.054-0.179 0.009-0.536t-0.009-0.5q0.054-0.196 0.304-0.5t0.304-0.411q0.375-0.643 0.75-1.643t0.446-1.607q0.018-0.161-0.045-0.571t0.009-0.5q0.071-0.232 0.393-0.545t0.393-0.402q0.339-0.464 0.759-1.509t0.491-1.723q0.018-0.143-0.054-0.455t-0.036-0.473q0.036-0.143 0.161-0.321t0.321-0.411 0.304-0.375q0.143-0.214 0.295-0.545t0.268-0.625 0.286-0.643 0.348-0.571 0.473-0.42 0.643-0.205 0.848 0.098l-0.018 0.054q0.679-0.161 0.911-0.161h13.589q1.321 0 2.036 1t0.321 2.321l-4.893 16.179q-0.643 2.125-1.277 2.741t-2.295 0.616h-15.518q-0.482 0-0.679 0.268-0.196 0.286-0.018 0.768 0.429 1.25 2.571 1.25h16.482q0.518 0 1-0.277t0.625-0.741l5.357-17.625q0.125-0.393 0.089-1.018 0.679 0.268 1.054 0.768zM10.268 8.857q-0.071 0.232 0.036 0.402t0.357 0.17h10.857q0.232 0 0.455-0.17t0.295-0.402l0.375-1.143q0.071-0.232-0.036-0.402t-0.357-0.17h-10.857q-0.232 0-0.455 0.17t-0.295 0.402zM8.786 13.429q-0.071 0.232 0.036 0.402t0.357 0.17h10.857q0.232 0 0.455-0.17t0.295-0.402l0.375-1.143q0.071-0.232-0.036-0.402t-0.357-0.17h-10.857q-0.232 0-0.455 0.17t-0.295 0.402z"></path>'),
	   	 			'watch_3' => array('keywords' => 'watch_3 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16.5 15.586v-1.586c0-0.552-0.448-1-1-1s-1 0.448-1 1v2c0 0.265 0.105 0.52 0.293 0.707l2 2c0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293c0.39-0.39 0.39-1.023 0-1.414l-1.707-1.707zM22.5 14h-0.295c-0.457-1.531-1.425-2.841-2.705-3.736v-7.263c0-1.655-1.346-3-3-3h-2c-1.655 0-3 1.345-3 3v7.263c-1.81 1.267-3 3.364-3 5.736s1.19 4.47 3 5.736v7.264c0 1.654 1.345 3 3 3h2c1.654 0 3-1.346 3-3v-7.264c1.28-0.895 2.248-2.206 2.705-3.736h0.295c0.552 0 1-0.448 1-1v-2c0-0.552-0.448-1-1-1zM13.5 3c0-0.552 0.448-1 1-1h2c0.552 0 1 0.448 1 1v6.295c-0.634-0.19-1.305-0.295-2-0.295s-1.366 0.105-2 0.295v-6.295zM17.5 29c0 0.552-0.448 1-1 1h-2c-0.552 0-1-0.448-1-1.706v-5.59c0.634 0.189 1.305 0.295 2 0.295s1.366-0.105 2-0.295v6.295zM15.5 21c-2.757 0-5-2.243-5-5s2.243-5 5-5 5 2.243 5 5-2.243 5-5 5zM16.5 28c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM16.5 25c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1z"></path>'),
	   	 			'crop2' => array('keywords' => 'crop2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M9.313 23.354h21.375v2.625h-5.375v5.375h-2.625v-5.375h-13.375q-1.063 0-1.844-0.781t-0.781-1.844v-13.375h-5.375v-2.625h5.375v-5.375h2.625v21.375zM22.688 20.667v-10.688h-10.688v-2.625h10.688q1.063 0 1.844 0.781t0.781 1.844v10.688h-2.625z"></path>'),
	   	 			'glass2' => array('keywords' => 'glass2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M27.786 5.618c0.236-0.301 0.28-0.711 0.113-1.055s-0.517-0.563-0.899-0.563h-22c-0.383 0-0.732 0.219-0.899 0.563s-0.123 0.754 0.113 1.055l9.786 12.455v11.927h-3c-0.552 0-1 0.448-1 1s0.448 1 1 1h10c0.552 0 1-0.448 1-1s-0.448-1-1-1h-3v-11.927l9.786-12.455zM24.943 6l-3.143 4h-11.599l-3.143-4h17.885z"></path>'),
	   	 			'angle-double-down' => array('keywords' => 'angle-double-down ','viewbox' => '0 0 21 32', 'path' =>'<path d="M19.196 15.714q0 0.232-0.179 0.411l-8.321 8.321q-0.179 0.179-0.411 0.179t-0.411-0.179l-8.321-8.321q-0.179-0.179-0.179-0.411t0.179-0.411l0.893-0.893q0.179-0.179 0.411-0.179t0.411 0.179l7.018 7.018 7.018-7.018q0.179-0.179 0.411-0.179t0.411 0.179l0.893 0.893q0.179 0.179 0.179 0.411zM19.196 8.857q0 0.232-0.179 0.411l-8.321 8.321q-0.179 0.179-0.411 0.179t-0.411-0.179l-8.321-8.321q-0.179-0.179-0.179-0.411t0.179-0.411l0.893-0.893q0.179-0.179 0.411-0.179t0.411 0.179l7.018 7.018 7.018-7.018q0.179-0.179 0.411-0.179t0.411 0.179l0.893 0.893q0.179 0.179 0.179 0.411z"></path>'),
	   	 			'laptop4' => array('keywords' => 'laptop4 ','viewbox' => '0 0 42 32', 'path' =>'<path d="M3.5 26c0.276 0 0.5-0.224 0.5-0.5v-23.5c0-0.598 0.402-1 1-1h32c0.57 0 1 0.468 1 1.089v23.411c0 0.276 0.224 0.5 0.5 0.5s0.5-0.224 0.5-0.5v-23.411c0-1.172-0.878-2.089-2-2.089h-32c-1.159 0-2 0.841-2 2v23.5c0 0.276 0.224 0.5 0.5 0.5zM6.5 3c-0.276 0-0.5 0.224-0.5 0.5v22c0 0.276 0.224 0.5 0.5 0.5h29c0.276 0 0.5-0.224 0.5-0.5v-22c0-0.276-0.224-0.5-0.5-0.5h-29zM35 25h-28v-21h28v21zM41.5 28h-41c-0.276 0-0.5 0.224-0.5 0.5v1.175c0 1.198 1.408 2.325 2.5 2.325h37c1.145 0 2.5-1.355 2.5-2.5v-1c0-0.276-0.224-0.5-0.5-0.5zM41 29.5c0 0.589-0.911 1.5-1.5 1.5h-37c-0.631 0-1.5-0.768-1.5-1.325v-0.675h40v0.5z"></path>'),
	   	 			'flask' => array('keywords' => 'flask ','viewbox' => '0 0 30 32', 'path' =>'<path d="M27.268 26.143q1 1.589 0.384 2.723t-2.509 1.134h-20.571q-1.893 0-2.509-1.134t0.384-2.723l8.982-14.161v-7.125h-1.143q-0.464 0-0.804-0.339t-0.339-0.804 0.339-0.804 0.804-0.339h9.143q0.464 0 0.804 0.339t0.339 0.804-0.339 0.804-0.804 0.339h-1.143v7.125zM13.357 13.196l-4.857 7.661h12.714l-4.857-7.661-0.357-0.554v-7.786h-2.286v7.786z"></path>'),
	   	 			'expand_less' => array('keywords' => 'expand_less ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 11.354l8 8-1.875 1.875-6.125-6.125-6.125 6.125-1.875-1.875z"></path>'),
	   	 			'slack' => array('keywords' => 'slack ','viewbox' => '0 0 30 32', 'path' =>'<path d="M27.125 14.143q1.107 0 1.848 0.723t0.741 1.813q0 1.732-1.661 2.321l-3.071 1.054 1 2.982q0.125 0.375 0.125 0.839 0 1.054-0.75 1.821t-1.804 0.768q-0.839 0-1.527-0.482t-0.955-1.286l-0.982-2.946-5.536 1.893 0.982 2.929q0.143 0.429 0.143 0.839 0 1.054-0.75 1.821t-1.821 0.768q-0.839 0-1.518-0.482t-0.946-1.286l-0.982-2.911-2.732 0.946q-0.518 0.161-0.893 0.161-1.089 0-1.813-0.714t-0.723-1.804q0-0.839 0.491-1.518t1.277-0.946l2.786-0.946-1.875-5.589-2.786 0.964q-0.464 0.143-0.857 0.143-1.071 0-1.804-0.723t-0.732-1.795q0-0.839 0.491-1.518t1.277-0.946l2.804-0.946-0.946-2.839q-0.143-0.429-0.143-0.839 0-1.071 0.75-1.83t1.821-0.759q0.839 0 1.518 0.482t0.946 1.286l0.964 2.857 5.536-1.875-0.964-2.857q-0.143-0.429-0.143-0.839 0-1.054 0.759-1.821t1.812-0.768q0.839 0 1.527 0.491t0.955 1.277l0.946 2.875 2.893-0.982q0.375-0.107 0.768-0.107 1.071 0 1.83 0.705t0.759 1.759q0 0.804-0.536 1.455t-1.321 0.92l-2.804 0.964 1.875 5.643 2.929-1q0.429-0.143 0.821-0.143zM12.946 18.821l5.536-1.875-1.875-5.625-5.536 1.911z"></path>'),
	   	 			'terminal2' => array('keywords' => 'terminal2 ','viewbox' => '0 0 30 32', 'path' =>'<path d="M10.446 17.839l-8.321 8.321q-0.179 0.179-0.411 0.179t-0.411-0.179l-0.893-0.893q-0.179-0.179-0.179-0.411t0.179-0.411l7.018-7.018-7.018-7.018q-0.179-0.179-0.179-0.411t0.179-0.411l0.893-0.893q0.179-0.179 0.411-0.179t0.411 0.179l8.321 8.321q0.179 0.179 0.179 0.411t-0.179 0.411zM29.714 26v1.143q0 0.25-0.161 0.411t-0.411 0.161h-17.143q-0.25 0-0.411-0.161t-0.161-0.411v-1.143q0-0.25 0.161-0.411t0.411-0.161h17.143q0.25 0 0.411 0.161t0.161 0.411z"></path>'),
	   	 			'global' => array('keywords' => 'global ','viewbox' => '0 0 32 32', 'path' =>'<path d="M0.034 16.668c0.354 8.511 7.369 15.332 15.966 15.332s15.612-6.821 15.966-15.332c0.019-0.053 0.034-0.108 0.034-0.168 0-0.036-0.013-0.067-0.020-0.1 0.003-0.134 0.020-0.265 0.020-0.4 0-8.822-7.178-16-16-16s-16 7.178-16 16c0 0.135 0.017 0.266 0.020 0.4-0.007 0.033-0.020 0.064-0.020 0.1 0 0.060 0.015 0.115 0.034 0.168zM24.921 22.742c-1.319-0.552-2.735-0.979-4.215-1.271 0.158-1.453 0.251-2.962 0.28-4.47h4.98c-0.091 2.054-0.456 3.993-1.045 5.741zM26.965 17h3.984c-0.186 2.806-1.138 5.403-2.663 7.579-0.759-0.533-1.577-1.019-2.457-1.44 0.645-1.869 1.042-3.943 1.136-6.139zM12.389 22.286c1.178-0.184 2.387-0.286 3.611-0.286s2.433 0.102 3.61 0.286c-0.694 5.335-2.21 8.714-3.61 8.714s-2.916-3.379-3.611-8.714zM13.908 30.664c-2.751-0.882-5.078-3.471-6.482-6.984 1.246-0.525 2.586-0.935 3.99-1.217 0.459 3.496 1.298 6.542 2.492 8.201zM12.274 10.709c1.217 0.188 2.465 0.291 3.726 0.291s2.509-0.103 3.726-0.291c0.172 1.62 0.274 3.388 0.274 5.291h-8c0-1.903 0.102-3.671 0.274-5.291zM19.985 17c-0.028 1.525-0.118 2.961-0.26 4.291-1.216-0.188-2.463-0.291-3.725-0.291s-2.509 0.103-3.726 0.291c-0.173-1.626-0.237-3.057-0.26-4.291h7.971zM20.585 22.463c1.404 0.282 2.743 0.692 3.99 1.217-1.404 3.513-3.731 6.102-6.482 6.984 1.193-1.659 2.032-4.705 2.492-8.201zM21 16c0-1.836-0.102-3.696-0.294-5.47 1.48-0.292 2.896-0.72 4.215-1.271 0.684 2.029 1.079 4.315 1.079 6.741h-5zM20.585 9.537c-0.46-3.496-1.298-6.543-2.493-8.201 2.751 0.882 5.078 3.471 6.482 6.984-1.246 0.525-2.585 0.936-3.989 1.217zM19.611 9.714c-1.178 0.184-2.387 0.286-3.611 0.286s-2.433-0.102-3.611-0.286c0.695-5.335 2.211-8.714 3.611-8.714s2.916 3.379 3.611 8.714zM11.415 9.537c-1.404-0.282-2.743-0.692-3.99-1.217 1.404-3.513 3.731-6.102 6.482-6.984-1.193 1.659-2.032 4.705-2.492 8.201zM11.294 10.53c-0.192 1.774-0.294 3.634-0.294 5.47h-5c0-2.426 0.395-4.712 1.079-6.742 1.319 0.552 2.735 0.979 4.215 1.272zM11.014 17c0.029 1.508 0.122 3.017 0.28 4.471-1.48 0.292-2.896 0.72-4.215 1.271-0.589-1.748-0.954-3.687-1.045-5.742h4.98zM6.17 23.139c-0.88 0.422-1.697 0.907-2.456 1.44-1.525-2.176-2.477-4.772-2.663-7.579h3.984c0.094 2.196 0.491 4.27 1.135 6.139zM4.313 25.38c0.685-0.479 1.417-0.922 2.207-1.305 1.004 2.485 2.449 4.548 4.186 5.943-2.526-0.958-4.729-2.568-6.393-4.638zM21.294 30.017c1.738-1.394 3.182-3.458 4.186-5.943 0.79 0.384 1.522 0.826 2.207 1.305-1.664 2.071-3.867 3.681-6.393 4.638zM27 16c0-2.567-0.428-4.987-1.17-7.139 0.88-0.422 1.698-0.907 2.457-1.44 1.704 2.434 2.713 5.389 2.713 8.579h-4zM27.688 6.62c-0.685 0.479-1.417 0.921-2.207 1.305-1.004-2.485-2.449-4.549-4.186-5.943 2.525 0.958 4.728 2.568 6.393 4.638zM10.706 1.983c-1.738 1.394-3.182 3.458-4.186 5.943-0.791-0.384-1.522-0.827-2.207-1.306 1.664-2.070 3.867-3.68 6.393-4.637zM3.714 7.421c0.758 0.533 1.576 1.018 2.456 1.44-0.742 2.152-1.17 4.572-1.17 7.139h-4c0-3.19 1.009-6.145 2.714-8.579z"></path>'),
	   	 			'usb2' => array('keywords' => 'usb2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M20 9.979h5.313v5.375h-1.313v2.625q0 1.125-0.781 1.906t-1.906 0.781h-4v4.063q1.625 0.875 1.625 2.625 0 1.188-0.844 2.063t-2.094 0.875-2.094-0.875-0.844-2.063q0-1.75 1.625-2.625v-4.063h-4q-1.125 0-1.906-0.781t-0.781-1.906v-2.75q-1.625-0.875-1.625-2.563 0-1.25 0.875-2.094t2.063-0.844 2.063 0.844 0.875 2.094q0 1.75-1.563 2.563v2.75h4v-10.625h-2.688l4-5.375 4 5.375h-2.688v10.625h4v-2.625h-1.313v-5.375z"></path>'),
	   	 			'font' => array('keywords' => 'font ','viewbox' => '0 0 32 32', 'path' =>'<path d="M24.987 0.506c-2.829 0-4.644-0.506-7.558-0.506-9.415 0-13.806 5.362-13.806 10.809 0 3.209 1.52 4.264 4.518 4.264-0.211-0.464-0.591-0.971-0.591-3.251 0-6.375 2.406-8.233 5.489-8.36 0 0-2.529 24.793-9.868 27.767v0.771h9.894l3.376-16h6.183l1.377-4h-6.716l1.623-7.693c1.858 0.38 3.673 0.76 5.235 0.76 1.942 0 3.715-0.591 4.686-5.066-1.182 0.38-2.449 0.506-3.842 0.506z"></path>'),
	   	 			'reddit' => array('keywords' => 'reddit ','viewbox' => '0 0 32 32', 'path' =>'<path d="M8 20c0-1.105 0.895-2 2-2s2 0.895 2 2c0 1.105-0.895 2-2 2s-2-0.895-2-2zM20 20c0-1.105 0.895-2 2-2s2 0.895 2 2c0 1.105-0.895 2-2 2s-2-0.895-2-2zM20.097 24.274c0.515-0.406 1.262-0.317 1.668 0.198s0.317 1.262-0.198 1.668c-1.434 1.13-3.619 1.86-5.567 1.86s-4.133-0.73-5.567-1.86c-0.515-0.406-0.604-1.153-0.198-1.668s1.153-0.604 1.668-0.198c0.826 0.651 2.46 1.351 4.097 1.351s3.271-0.7 4.097-1.351zM32 16c0-2.209-1.791-4-4-4-1.504 0-2.812 0.83-3.495 2.057-2.056-1.125-4.561-1.851-7.29-2.019l2.387-5.36 4.569 1.319c0.411 1.167 1.522 2.004 2.83 2.004 1.657 0 3-1.343 3-3s-1.343-3-3-3c-1.142 0-2.136 0.639-2.642 1.579l-5.091-1.47c-0.57-0.164-1.173 0.116-1.414 0.658l-3.243 7.282c-2.661 0.187-5.102 0.907-7.114 2.007-0.683-1.227-1.993-2.056-3.496-2.056-2.209 0-4 1.791-4 4 0 1.635 0.981 3.039 2.387 3.659-0.252 0.751-0.387 1.535-0.387 2.341 0 5.523 6.268 10 14 10s14-4.477 14-10c0-0.806-0.134-1.589-0.387-2.34 1.405-0.62 2.387-2.025 2.387-3.66zM27 5.875c0.621 0 1.125 0.504 1.125 1.125s-0.504 1.125-1.125 1.125-1.125-0.504-1.125-1.125 0.504-1.125 1.125-1.125zM2 16c0-1.103 0.897-2 2-2 0.797 0 1.487 0.469 1.808 1.145-1.045 0.793-1.911 1.707-2.552 2.711-0.735-0.296-1.256-1.016-1.256-1.856zM16 29.625c-6.42 0-11.625-3.414-11.625-7.625s5.205-7.625 11.625-7.625c6.42 0 11.625 3.414 11.625 7.625s-5.205 7.625-11.625 7.625zM28.744 17.856c-0.641-1.003-1.507-1.918-2.552-2.711 0.321-0.676 1.011-1.145 1.808-1.145 1.103 0 2 0.897 2 2 0 0.84-0.52 1.56-1.256 1.856z"></path>'),
	   	 			'qrcode' => array('keywords' => 'qrcode ','viewbox' => '0 0 32 32', 'path' =>'<path d="M10 2h-8v8h8v-8zM12 0v0 12h-12v-12h12zM4 4h4v4h-4zM30 2h-8v8h8v-8zM32 0v0 12h-12v-12h12zM24 4h4v4h-4zM10 22h-8v8h8v-8zM12 20v0 12h-12v-12h12zM4 24h4v4h-4zM14 0h2v2h-2zM16 2h2v2h-2zM14 4h2v2h-2zM16 6h2v2h-2zM14 8h2v2h-2zM16 10h2v2h-2zM14 12h2v2h-2zM14 16h2v2h-2zM16 18h2v2h-2zM14 20h2v2h-2zM16 22h2v2h-2zM14 24h2v2h-2zM16 26h2v2h-2zM14 28h2v2h-2zM16 30h2v2h-2zM30 16h2v2h-2zM2 16h2v2h-2zM4 14h2v2h-2zM0 14h2v2h-2zM8 14h2v2h-2zM10 16h2v2h-2zM12 14h2v2h-2zM18 16h2v2h-2zM20 14h2v2h-2zM22 16h2v2h-2zM24 14h2v2h-2zM26 16h2v2h-2zM28 14h2v2h-2zM30 20h2v2h-2zM18 20h2v2h-2zM20 18h2v2h-2zM22 20h2v2h-2zM26 20h2v2h-2zM28 18h2v2h-2zM30 24h2v2h-2zM18 24h2v2h-2zM20 22h2v2h-2zM24 22h2v2h-2zM26 24h2v2h-2zM28 22h2v2h-2zM30 28h2v2h-2zM20 26h2v2h-2zM22 28h2v2h-2zM24 26h2v2h-2zM26 28h2v2h-2zM20 30h2v2h-2zM24 30h2v2h-2zM28 30h2v2h-2z"></path>'),
	   	 			'seedive' => array('keywords' => 'seedive ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31 0c-0.552 0-1 0.448-1 1v6h-2.132c-0.445-1.723-2.008-3-3.868-3h-16c-1.86 0-3.422 1.277-3.869 3h-3.131c-0.552 0-1 0.448-1 1v4c0 0.552 0.448 1 1 1h3.131c0.446 1.723 2.009 3 3.869 3h4c0.869 0 1.879-0.505 2.4-1.2l1.6-2.133 1.6 2.133c0.521 0.695 1.531 1.2 2.4 1.2h4c1.86 0 3.423-1.277 3.868-3h2.132v10.5c0 3.584-2.916 6.5-6.5 6.5-3.451 0-6.274-2.705-6.48-6.105 2.27-0.472 3.98-2.488 3.98-4.895 0-0.552-0.448-1-1-1h-8c-0.552 0-1 0.448-1 1 0 2.422 1.731 4.445 4.021 4.902 0.212 4.5 3.928 8.098 8.479 8.098 4.687 0 8.5-3.813 8.5-8.5v-22.5c0-0.552-0.448-1-1-1zM13.175 20h5.65c-0.413 1.163-1.522 2-2.825 2s-2.412-0.837-2.825-2zM2 9h2v2h-2v-2zM24 14h-4c-0.233 0-0.66-0.213-0.8-0.4l-1.8-2.4c-0.348-0.464-0.858-0.73-1.4-0.73s-1.052 0.266-1.4 0.73l-1.8 2.4c-0.14 0.187-0.567 0.4-0.8 0.4h-4c-1.103 0-2-0.897-2-2v-4c0-1.103 0.897-2 2-2h16c1.102 0 2 0.897 2 2v4c0 1.103-0.898 2-2 2zM28 11v-2h2v2h-2z"></path>'),
	   	 			'arrow-down-left2' => array('keywords' => 'arrow-down-left2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M24.586 4.586l-16.586 16.586v-7.172c0-1.105-0.895-2-2-2s-2 0.895-2 2v12c0 0.809 0.487 1.538 1.235 1.848 0.248 0.103 0.508 0.151 0.765 0.151v0.001l12-0c1.105 0 2-0.895 2-2s-0.895-2-2-2h-7.172l16.586-16.586c0.39-0.391 0.586-0.902 0.586-1.414s-0.195-1.024-0.586-1.414c-0.781-0.781-2.047-0.781-2.828 0v0z"></path>'),
	   	 			'volume1_max' => array('keywords' => 'volume1_max ','viewbox' => '0 0 32 32', 'path' =>'<path d="M19.569 0.354l-0.21-0.107c-0.864-0.441-2.055-0.278-2.771 0.38l-9.113 8.373h-4.474c-1.655 0-3.001 1.345-3.001 3v8c0 1.654 1.346 3 3.001 3h4.473l9.112 8.372c0.446 0.41 1.075 0.628 1.695 0.628 0.377 0 0.75-0.080 1.075-0.247l0.211-0.108c0.822-0.419 1.441-1.438 1.441-2.369v-26.554c0-0.931-0.619-1.95-1.441-2.369zM2.001 20v-8c0-0.552 0.449-1 1.001-1h4.002v10h-4.002c-0.551 0-1-0.448-1-1zM19.009 29.277c0 0.183-0.193 0.508-0.349 0.587l-0.212 0.108c-0.121 0.061-0.405 0.021-0.506-0.072l-8.938-8.211v-11.377l8.938-8.211c0.102-0.093 0.386-0.133 0.506-0.072l0.211 0.107c0.157 0.080 0.349 0.404 0.349 0.587v26.554zM27.756 4.607c-0.37-0.41-1.003-0.444-1.413-0.074s-0.444 1.002-0.073 1.412c4.993 5.543 4.993 14.565 0 20.108-0.37 0.41-0.337 1.043 0.073 1.413 0.192 0.172 0.43 0.257 0.669 0.257 0.273 0 0.546-0.112 0.744-0.331 5.658-6.282 5.658-16.504 0-22.785zM25.753 7.329c-0.372-0.409-1.004-0.441-1.413-0.071s-0.441 1.003-0.070 1.413c3.66 4.041 3.66 10.617 0 14.658-0.37 0.409-0.34 1.042 0.070 1.413 0.191 0.174 0.431 0.259 0.671 0.259 0.273 0 0.544-0.11 0.742-0.328 4.33-4.782 4.33-12.561 0-17.343zM23.73 10.305c-0.385-0.398-1.018-0.408-1.415-0.025-0.398 0.384-0.409 1.017-0.025 1.414 2.293 2.374 2.293 6.237 0 8.611-0.384 0.398-0.372 1.030 0.025 1.414 0.195 0.188 0.445 0.28 0.695 0.28 0.262 0 0.523-0.102 0.72-0.305 3.032-3.141 3.032-8.25 0-11.39z"></path>'),
	   	 			'ship_electronic' => array('keywords' => 'ship_electronic ','viewbox' => '0 0 32 32', 'path' =>'<path d="M20 10h-8c-1.103 0-2 0.898-2 2v8c0 1.102 0.897 2 2 2h8c1.102 0 2-0.898 2-2v-8c0-1.102-0.898-2-2-2zM19.997 20h-7.997v-8h8l-0.003 8zM31 13c0.552 0 1-0.448 1-1s-0.448-1-1-1h-3v-2h3c0.552 0 1-0.448 1-1s-0.448-1-1-1h-3c0-1.655-1.346-3-3-3v-3c0-0.552-0.448-1-1-1s-1 0.448-1 1v3h-2v-3c0-0.552-0.448-1-1-1s-1 0.448-1 1v3h-2v-3c0-0.552-0.448-1-1-1s-1 0.448-1 1v3h-2v-3c0-0.552-0.448-1-1-1s-1 0.448-1 1v3h-2v-3c0-0.552-0.448-1-1-1s-1 0.448-1 1v3c-1.655 0-3 1.345-3 3h-3c-0.552 0-1 0.448-1 1s0.448 1 1 1h3v2h-3c-0.552 0-1 0.448-1 1s0.448 1 1 1h3v2h-3c-0.552 0-1 0.448-1 1s0.448 1 1 1h3v2h-3c-0.552 0-1 0.448-1 1s0.448 1 1 1h3v2h-3c-0.552 0-1 0.448-1 1s0.448 1 1 1h3c0 1.654 1.345 3 3 3v3c0 0.552 0.448 1 1 1s1-0.448 1-1v-3h2v3c0 0.552 0.448 1 1 1s1-0.448 1-1v-3h2v3c0 0.552 0.448 1 1 1s1-0.448 1-1v-3h2v3c0 0.552 0.448 1 1 1s1-0.448 1-1v-3h2v3c0 0.552 0.448 1 1 1s1-0.448 1-1v-3c1.654 0 3-1.346 3-3h3c0.552 0 1-0.448 1-1s-0.448-1-1-1h-3v-2h3c0.552 0 1-0.448 1-1s-0.448-1-1-1h-3v-2h3c0.552 0 1-0.448 1-1s-0.448-1-1-1h-3v-2h3zM26 25c0 0.552-0.448 1-1 1h-18c-0.551 0-1-0.448-1-1v-18c0-0.552 0.449-1 1-1h18c0.552 0 1 0.448 1 1v18z"></path>'),
	   	 			'view_compact' => array('keywords' => 'view_compact ','viewbox' => '0 0 32 32', 'path' =>'<path d="M4 7.354h25.313v8h-25.313v-8zM13.313 25.979v-9.313h16v9.313h-16zM4 25.979v-9.313h8v9.313h-8z"></path>'),
	   	 			'user_person1' => array('keywords' => 'user_person1 ','viewbox' => '0 0 20 32', 'path' =>'<path d="M10 13c-5.514 0-10 4.486-10 10 0 0.552 0.448 1 1 1h3.5v7c0 0.552 0.448 1 1 1h9c0.552 0 1-0.448 1-1v-7h3.5c0.552 0 1-0.448 1-1 0-5.514-4.486-10-10-10zM14.5 22c-0.552 0-1 0.448-1 1v7h-7v-7c0-0.552-0.448-1-1-1h-3.438c0.494-3.941 3.865-7 7.938-7s7.444 3.059 7.938 7h-3.438zM3.5 7h1.5c0 2.757 2.243 5 5 5s5-2.243 5-5h1.5c0.552 0 1-0.448 1-1s-0.448-1-1-1h-0.591c-0.479-2.833-2.942-5-5.909-5s-5.431 2.167-5.91 5h-0.591c-0.552 0-1 0.448-1 1s0.448 1 1 1zM10 10c-1.655 0-3-1.345-3-3h6c0 1.655-1.345 3-3 3zM9 2.132v0.868c0 0.552 0.448 1 1 1s1-0.448 1-1v-0.868c1.402 0.363 2.505 1.466 2.868 2.868h-7.736c0.362-1.402 1.465-2.506 2.868-2.868zM14 18h-2c-0.552 0-1 0.448-1 1s0.448 1 1 1h2c0.552 0 1-0.448 1-1s-0.448-1-1-1z"></path>'),
	   	 			'streetsign' => array('keywords' => 'streetsign ','viewbox' => '0 0 29 32', 'path' =>'<path d="M15 31.5v-9.5c0-0.276-0.133-1-0.409-1s-0.591 0.224-0.591 0.5v10c0 0.276 0.314 0.5 0.591 0.5s0.409-0.224 0.409-0.5zM15.091 1.562v-1.062c0-0.276-0.224-0.5-0.5-0.5s-0.5 0.224-0.5 0.5v1.062c0 0.276 0.224 0.5 0.5 0.5s0.5-0.223 0.5-0.5zM3.89 3.471l-3.567 2.798c-0.205 0.189-0.323 0.456-0.323 0.731s0.118 0.542 0.354 0.758l3.505 2.745c0.307 0.283 0.854 0.497 1.273 0.497h13.828c0.573 0 1.040-0.463 1.040-1.033v-5.934c0-0.57-0.467-1.033-1.040-1.033h-13.828c-0.419 0-0.966 0.214-1.242 0.471zM19 9.967c0 0.015-0.018 0.033-0.040 0.033h-13.828c-0.17 0-0.471-0.117-0.625-0.258l-3.536-2.713 3.566-2.798c0.125-0.114 0.425-0.231 0.595-0.231l13.868 0.033v5.934zM25.141 12.497c-0.307-0.283-0.854-0.497-1.273-0.497h-13.828c-0.573 0-1.040 0.463-1.040 1.033v5.935c0 0.569 0.467 1.032 1.040 1.032h13.828c0.419 0 0.966-0.214 1.243-0.471l3.566-2.798c0.205-0.189 0.323-0.456 0.323-0.731s-0.118-0.542-0.354-0.758l-3.505-2.745zM10 13h13.868c0.17 0 0.471 0.117 0.625 0.258l3.536 2.713-3.566 2.798c-0.125 0.114-0.425 0.231-0.595 0.231h-13.868v-6z"></path>'),
	   	 			'card_giftcard' => array('keywords' => 'card_giftcard ','viewbox' => '0 0 32 32', 'path' =>'<path d="M26.688 19.354v-8h-6.813l2.813 3.75-2.188 1.563q-4-5.438-4.5-6.125-0.5 0.688-4.5 6.125l-2.188-1.563 2.813-3.75h-6.813v8h21.375zM26.688 25.979v-2.625h-21.375v2.625h21.375zM12 5.979q-0.563 0-0.938 0.406t-0.375 0.969 0.375 0.937 0.938 0.375 0.938-0.375 0.375-0.938-0.375-0.969-0.938-0.406zM20 5.979q-0.563 0-0.938 0.406t-0.375 0.969 0.375 0.937 0.938 0.375 0.938-0.375 0.375-0.938-0.375-0.969-0.938-0.406zM26.688 8.667q1.125 0 1.875 0.781t0.75 1.906v14.625q0 1.125-0.75 1.906t-1.875 0.781h-21.375q-1.125 0-1.875-0.781t-0.75-1.906v-14.625q0-1.125 0.75-1.906t1.875-0.781h2.938q-0.25-0.875-0.25-1.313 0-1.625 1.188-2.813t2.813-1.188q2.063 0 3.313 1.75l0.688 0.938 0.688-0.938q1.25-1.75 3.313-1.75 1.625 0 2.813 1.188t1.188 2.813q0 0.438-0.25 1.313h2.938z"></path>'),
	   	 			'microscope_1' => array('keywords' => 'microscope_1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M27.96 29.936h-1.559v-8.258c0-5.189-3.236-9.636-7.806-11.477-0.043-1.066-0.628-1.992-1.488-2.517l0.654-1.878c0.091-0.259 0.073-0.542-0.047-0.789-0.119-0.246-0.334-0.434-0.595-0.524l-1.938-0.666 0.34-0.976 0.491 0.169c0.113 0.038 0.227 0.057 0.34 0.057 0.431 0 0.834-0.268 0.982-0.695 0.189-0.539-0.099-1.127-0.642-1.313l-2.949-1.012c-0.544-0.186-1.136 0.1-1.323 0.638s0.101 1.127 0.643 1.313l0.492 0.169-0.34 0.975-1.938-0.665c-0.545-0.186-1.136 0.099-1.323 0.638l-3.329 9.555c-0.090 0.259-0.073 0.543 0.047 0.789s0.336 0.434 0.596 0.524l1.872 0.642-0.358 1.027c-0.188 0.539 0.099 1.126 0.643 1.313 0.112 0.039 0.227 0.056 0.339 0.056 0.431 0 0.834-0.267 0.983-0.695l0.357-1.028 2.008 0.688c0.112 0.038 0.227 0.057 0.339 0.057 0.431 0 0.835-0.268 0.984-0.695l0.684-1.964c0.12 0.014 0.242 0.024 0.366 0.024 1.018 0 1.919-0.488 2.49-1.238 3.726 1.571 6.351 5.23 6.351 9.496v8.258h-7.28c-2.511 0-4.613-1.776-5.096-4.129h3.536c0.574 0 1.039-0.462 1.039-1.032s-0.465-1.032-1.039-1.032h-9.361c-0.575 0-1.040 0.462-1.040 1.032s0.465 1.032 1.040 1.032h3.723c0.233 1.607 0.994 3.044 2.111 4.129h-7.915c-0.574 0-1.040 0.462-1.040 1.032s0.466 1.033 1.040 1.033h23.92c0.575 0 1.040-0.463 1.040-1.032 0-0.57-0.465-1.032-1.040-1.032zM12.805 13.71l-3.878-1.331 2.65-7.604 3.877 1.33-0.4 1.152c-1.518 0.208-2.693 1.501-2.693 3.065 0 0.834 0.335 1.589 0.876 2.147l-0.431 1.24zM15.48 11.355c-0.574 0-1.040-0.463-1.040-1.032s0.466-1.032 1.040-1.032c0.573 0 1.039 0.463 1.039 1.032s-0.466 1.032-1.039 1.032z"></path>'),
	   	 			'user_person11' => array('keywords' => 'user_person11 ','viewbox' => '0 0 25 32', 'path' =>'<path d="M9 10c2.757 0 5-2.243 5-5s-2.243-5-5-5-5 2.243-5 5 2.243 5 5 5zM9 2c1.655 0 3 1.345 3 3s-1.345 3-3 3-3-1.345-3-3 1.345-3 3-3zM17.044 16.002c-1.474-2.959-4.52-5.002-8.044-5.002-4.963 0-9 4.037-9 9 0 0.552 0.448 1 1 1h2.5v6c0 0.552 0.448 1 1 1h5.582c1.386 2.386 3.965 4 6.918 4 4.411 0 8-3.589 8-8 0-4.396-3.565-7.974-7.956-7.998zM5.5 26v-6c0-0.552-0.448-1-1-1h-2.429c0.486-3.387 3.408-6 6.928-6 2.495 0 4.688 1.313 5.928 3.282-3.408 0.916-5.928 4.024-5.928 7.718 0 0.692 0.098 1.36 0.263 2h-3.763zM17 30c-3.309 0-6-2.692-6-6s2.691-6 6-6 6 2.692 6 6-2.692 6-6 6zM17.707 20.77c-0.18-0.181-0.431-0.294-0.707-0.294s-0.527 0.113-0.707 0.294l-1.999 1.999c-0.39 0.39-0.39 1.023 0 1.414s1.024 0.39 1.414 0l0.293-0.293v2.586c0 0.552 0.448 1 1 1s1-0.448 1-1v-2.586l0.293 0.293c0.39 0.39 1.023 0.39 1.414 0s0.39-1.023 0-1.414l-2-1.999z"></path>'),
	   	 			'new_symbol' => array('keywords' => 'new_symbol ','viewbox' => '0 0 32 32', 'path' =>'<path d="M10.708 15.371c0 0.349 0.018 0.811 0.055 1.386h-0.024l-2.078-3.969h-2.015v5.711h1.367v-2.574c0-0.334-0.025-0.816-0.074-1.449h0.035l2.086 4.023h2.024v-5.711h-1.375v2.582zM13.543 18.5h3.391v-1.258h-1.848v-1.078h1.711v-1.238h-1.712v-0.899h1.848v-1.239h-3.391zM23.729 15.66c-0.151 0.713-0.244 1.215-0.277 1.504-0.029-0.224-0.086-0.563-0.172-1.015s-0.171-0.853-0.254-1.199l-0.488-2.16h-1.43l-0.504 2.16c-0.076 0.3-0.157 0.677-0.244 1.133s-0.148 0.817-0.181 1.082c-0.052-0.375-0.148-0.879-0.289-1.511l-0.621-2.864h-1.488l1.414 5.71h1.824c0.334-1.497 0.523-2.352 0.569-2.563s0.092-0.442 0.139-0.694 0.081-0.462 0.102-0.631c0.026 0.209 0.067 0.467 0.123 0.777s0.097 0.517 0.123 0.621l0.547 2.488h1.824l1.407-5.711h-1.488l-0.633 2.871zM30.015 16l1.822-2.791c0.148-0.227 0.198-0.505 0.137-0.768-0.060-0.264-0.225-0.493-0.457-0.633l-2.895-1.752 0.399-3.287c0.032-0.266-0.043-0.534-0.21-0.744s-0.412-0.343-0.678-0.371l-3.406-0.355-1.107-3.144c-0.183-0.52-0.751-0.793-1.271-0.613l-3.235 1.124-2.41-2.377c-0.39-0.384-1.015-0.384-1.405 0l-2.41 2.377-3.236-1.124c-0.521-0.18-1.089 0.093-1.271 0.613l-1.107 3.144-3.406 0.355c-0.267 0.028-0.51 0.162-0.678 0.371s-0.243 0.478-0.211 0.744l0.4 3.287-2.896 1.752c-0.233 0.14-0.398 0.369-0.458 0.633s-0.011 0.541 0.137 0.768l1.822 2.792-1.822 2.791c-0.148 0.227-0.198 0.505-0.137 0.768 0.060 0.265 0.225 0.493 0.457 0.634l2.896 1.752-0.4 3.287c-0.033 0.266 0.043 0.534 0.211 0.744s0.412 0.343 0.678 0.371l3.406 0.355 1.107 3.145c0.184 0.52 0.751 0.793 1.271 0.613l3.236-1.124 2.41 2.377c0.195 0.192 0.449 0.288 0.703 0.288s0.508-0.096 0.703-0.288l2.41-2.377 3.236 1.124c0.52 0.179 1.088-0.093 1.271-0.613l1.107-3.145 3.406-0.355c0.267-0.028 0.511-0.162 0.678-0.371s0.243-0.478 0.21-0.744l-0.399-3.287 2.896-1.752c0.232-0.14 0.397-0.369 0.457-0.634 0.060-0.264 0.011-0.541-0.137-0.768l-1.822-2.791zM27.985 16.547l1.613 2.471-2.563 1.55c-0.337 0.203-0.523 0.585-0.475 0.976l0.355 2.919-3.023 0.315c-0.385 0.040-0.712 0.298-0.84 0.663l-0.988 2.802-2.883-1.002c-0.36-0.124-0.759-0.034-1.030 0.233l-2.151 2.121-2.151-2.121c-0.19-0.188-0.444-0.288-0.703-0.288-0.11 0-0.22 0.018-0.328 0.055l-2.883 1.002-0.988-2.802c-0.129-0.364-0.455-0.622-0.84-0.663l-3.023-0.315 0.354-2.919c0.048-0.39-0.138-0.773-0.475-0.976l-2.563-1.55 1.612-2.471c0.217-0.332 0.217-0.761 0-1.093l-1.612-2.471 2.563-1.55c0.337-0.204 0.522-0.585 0.475-0.976l-0.354-2.919 3.023-0.315c0.385-0.040 0.712-0.298 0.84-0.662l0.988-2.802 2.883 1.001c0.36 0.125 0.759 0.034 1.030-0.233l2.151-2.121 2.151 2.121c0.271 0.267 0.671 0.358 1.030 0.233l2.883-1.002 0.988 2.802c0.128 0.364 0.455 0.623 0.84 0.662l3.023 0.315-0.355 2.919c-0.047 0.39 0.138 0.772 0.475 0.976l2.563 1.55-1.613 2.471c-0.218 0.332-0.218 0.761-0 1.093z"></path>'),
	   	 			'digg' => array('keywords' => 'digg ','viewbox' => '0 0 37 32', 'path' =>'<path d="M5.857 5.321h3.643v17.554h-9.5v-12.446h5.857v-5.107zM5.857 19.946v-6.589h-2.196v6.589h2.196zM10.964 10.429v12.446h3.661v-12.446h-3.661zM10.964 5.321v3.643h3.661v-3.643h-3.661zM16.089 10.429h9.518v16.821h-9.518v-2.911h5.857v-1.464h-5.857v-12.446zM21.946 19.946v-6.589h-2.196v6.589h2.196zM27.071 10.429h9.5v16.821h-9.5v-2.911h5.839v-1.464h-5.839v-12.446zM32.911 19.946v-6.589h-2.196v6.589h2.196z"></path>'),
	   	 			'file-zip' => array('keywords' => 'file-zip ','viewbox' => '0 0 32 32', 'path' =>'<path d="M28.681 7.159c-0.694-0.947-1.662-2.053-2.724-3.116s-2.169-2.030-3.116-2.724c-1.612-1.182-2.393-1.319-2.841-1.319h-15.5c-1.378 0-2.5 1.121-2.5 2.5v27c0 1.378 1.121 2.5 2.5 2.5h23c1.378 0 2.5-1.122 2.5-2.5v-19.5c0-0.448-0.137-1.23-1.319-2.841v0 0zM24.543 5.457c0.959 0.959 1.712 1.825 2.268 2.543h-4.811v-4.811c0.718 0.556 1.584 1.309 2.543 2.268v0 0zM28 29.5c0 0.271-0.229 0.5-0.5 0.5h-23c-0.271 0-0.5-0.229-0.5-0.5v-27c0-0.271 0.229-0.5 0.5-0.5 0 0 15.499-0 15.5 0v7c0 0.552 0.448 1 1 1h7v19.5zM8 2h4v2h-4v-2zM12 4h4v2h-4v-2zM8 6h4v2h-4v-2zM12 8h4v2h-4v-2zM8 10h4v2h-4v-2zM12 12h4v2h-4v-2zM8 14h4v2h-4v-2zM12 16h4v2h-4v-2zM8 26.5c0 0.825 0.675 1.5 1.5 1.5h5c0.825 0 1.5-0.675 1.5-1.5v-5c0-0.825-0.675-1.5-1.5-1.5h-2.5v-2h-4v8.5zM14 24v2h-4v-2h4z"></path>'),
	   	 			'youtube-play' => array('keywords' => 'youtube-play ','viewbox' => '0 0 32 32', 'path' =>'<path d="M22.857 16.286q0-0.661-0.536-0.964l-9.143-5.714q-0.554-0.357-1.161-0.036-0.589 0.321-0.589 1v11.429q0 0.679 0.589 1 0.286 0.143 0.554 0.143 0.357 0 0.607-0.179l9.143-5.714q0.536-0.304 0.536-0.964zM32 16.286q0 1.714-0.018 2.679t-0.152 2.438-0.402 2.634q-0.286 1.304-1.232 2.196t-2.214 1.036q-3.964 0.446-11.982 0.446t-11.982-0.446q-1.268-0.143-2.223-1.036t-1.241-2.196q-0.25-1.161-0.384-2.634t-0.152-2.438-0.018-2.679 0.018-2.679 0.152-2.438 0.402-2.634q0.286-1.304 1.232-2.196t2.214-1.036q3.964-0.446 11.982-0.446t11.982 0.446q1.268 0.143 2.223 1.036t1.241 2.196q0.25 1.161 0.384 2.634t0.152 2.438 0.018 2.679z"></path>'),
	   	 			'joomla2' => array('keywords' => 'joomla2 ','viewbox' => '0 0 27 32', 'path' =>'<path d="M19.107 19.446l-2.857 2.857-2.696 2.714-0.536 0.536q-1.161 1.143-2.705 1.554t-3.063 0.036q-0.286 1.25-1.286 2.054t-2.304 0.804q-1.518 0-2.589-1.080t-1.071-2.598q0-1.286 0.795-2.286t2.027-1.286q-0.393-1.536 0.018-3.089t1.571-2.714l0.214-0.214 2.696 2.714-0.196 0.196q-0.661 0.661-0.661 1.589t0.661 1.607q0.661 0.661 1.589 0.661t1.589-0.661l0.536-0.536 2.696-2.714 2.875-2.857zM13.018 7.268l0.214 0.214-2.714 2.714-0.214-0.214q-0.661-0.661-1.589-0.661t-1.589 0.661-0.661 1.598 0.661 1.598l6.089 6.089-2.696 2.714-2.875-2.857-2.696-2.714-0.536-0.536q-1.214-1.196-1.607-2.848t0.089-3.205q-1.25-0.268-2.054-1.268t-0.804-2.304q0-1.518 1.071-2.598t2.589-1.080q1.357 0 2.384 0.875t1.241 2.196q1.5-0.357 3.027 0.063t2.67 1.563zM27.429 26.321q0 1.518-1.071 2.598t-2.589 1.080q-1.321 0-2.339-0.839t-1.268-2.107q-1.536 0.5-3.205 0.107t-2.884-1.607l-0.196-0.214 2.696-2.714 0.214 0.214q0.661 0.661 1.589 0.661t1.589-0.661 0.661-1.589-0.661-1.589l-6.107-6.107 2.714-2.714 5.571 5.571 0.518 0.536q1.143 1.143 1.563 2.688t0.045 3.063q1.357 0.196 2.259 1.223t0.902 2.402zM27.393 6.25q0 1.375-0.911 2.411t-2.268 1.232q0.464 1.518 0.054 3.152t-1.607 2.83l-0.214 0.214-2.696-2.714 0.214-0.214q0.661-0.661 0.661-1.589t-0.661-1.589-1.589-0.661-1.589 0.661l-6.107 6.107-2.714-2.714 2.875-2.857 2.714-2.714 0.518-0.536q1.196-1.196 2.839-1.598t3.179 0.063q0.196-1.339 1.223-2.25t2.42-0.911q1.518 0 2.589 1.080t1.071 2.598z"></path>'),
	   	 			'vimeo3' => array('keywords' => 'vimeo3 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M30.518 9.536q-0.179 4.214-5.929 11.625-5.946 7.696-10.036 7.696-2.536 0-4.286-4.696-0.786-2.857-2.357-8.607-1.286-4.679-2.804-4.679-0.321 0-2.268 1.357l-1.375-1.75q0.429-0.375 1.929-1.723t2.321-2.063q2.786-2.464 4.304-2.607 1.696-0.161 2.732 0.991t1.446 3.634q0.786 5.125 1.179 6.661 0.982 4.446 2.143 4.446 0.911 0 2.75-2.875 1.804-2.875 1.946-4.393 0.232-2.482-1.946-2.482-1.018 0-2.161 0.464 2.143-7.018 8.196-6.821 4.482 0.143 4.214 5.821z"></path>'),
	   	 			'spinner7' => array('keywords' => 'spinner7 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M13 29c0-1.657 1.343-3 3-3s3 1.343 3 3c0 1.657-1.343 3-3 3s-3-1.343-3-3zM0 16c0-1.657 1.343-3 3-3s3 1.343 3 3c0 1.657-1.343 3-3 3s-3-1.343-3-3zM26 16c0-1.657 1.343-3 3-3s3 1.343 3 3c0 1.657-1.343 3-3 3s-3-1.343-3-3zM3.808 6.808c0-1.657 1.343-3 3-3s3 1.343 3 3c0 1.657-1.343 3-3 3s-3-1.343-3-3zM22.192 25.192c0-1.657 1.343-3 3-3s3 1.343 3 3c0 1.657-1.343 3-3 3s-3-1.343-3-3zM3.808 25.192c0-1.657 1.343-3 3-3s3 1.343 3 3c0 1.657-1.343 3-3 3s-3-1.343-3-3zM22.192 6.808c0-1.657 1.343-3 3-3s3 1.343 3 3c0 1.657-1.343 3-3 3s-3-1.343-3-3z"></path>'),
	   	 			'temperature_symbol' => array('keywords' => 'temperature_symbol ','viewbox' => '0 0 32 32', 'path' =>'<path d="M13.967 9c3.191 0 6.365 2.407 7.074 5.366 0.193 0.805 1.003 1.303 1.808 1.109 0.805-0.193 1.302-1.002 1.11-1.808-1.030-4.3-5.42-7.667-9.992-7.667-6.047 0-10.967 5.832-10.967 13s4.92 13 10.967 13c4.573 0 8.962-3.368 9.992-7.668 0.194-0.805-0.303-1.615-1.11-1.808-0.808-0.196-1.615 0.303-1.808 1.109-0.709 2.959-3.883 5.367-7.075 5.367-4.393 0-7.967-4.486-7.967-10s3.574-10 7.967-10zM25.5 0c-1.93 0-3.5 1.571-3.5 3.5s1.57 3.5 3.5 3.5c1.93 0 3.5-1.571 3.5-3.5s-1.57-3.5-3.5-3.5zM25.5 5c-0.827 0-1.5-0.673-1.5-1.5s0.673-1.5 1.5-1.5 1.5 0.673 1.5 1.5-0.673 1.5-1.5 1.5z"></path>'),
	   	 			'kiosque_2' => array('keywords' => 'kiosque_2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M28 11h-1.050c-0.348-3.837-2.675-7.106-5.95-8.786v-1.214c0-0.552-0.448-1-1-1h-8c-0.552 0-1 0.448-1 1v1.214c-3.275 1.68-5.603 4.949-5.95 8.786h-1.050c-0.552 0-1 0.448-1 1v4c0 0.552 0.448 1 1 1h1v14c0 0.552 0.448 1 1 1h20c0.552 0 1-0.448 1-1v-14h1c0.552 0 1-0.448 1-1v-4c0-0.552-0.448-1-1-1zM24.939 11h-3.939v-6.466c2.146 1.439 3.639 3.773 3.939 6.466zM19 11h-2v-9h2v9zM13 2h2v9h-2v-9zM11 4.534v6.466h-3.939c0.3-2.693 1.793-5.027 3.939-6.466zM14.5 30v-6h3v6h-3zM25 30h-5.5v-7c0-0.552-0.448-1-1-1h-5c-0.552 0-1 0.448-1 1v7h-5.5v-13h18v13zM27 15h-22v-2h22v2z"></path>'),
	   	 			'angle-left' => array('keywords' => 'angle-left ','viewbox' => '0 0 12 32', 'path' =>'<path d="M11.196 10q0 0.232-0.179 0.411l-7.018 7.018 7.018 7.018q0.179 0.179 0.179 0.411t-0.179 0.411l-0.893 0.893q-0.179 0.179-0.411 0.179t-0.411-0.179l-8.321-8.321q-0.179-0.179-0.179-0.411t0.179-0.411l8.321-8.321q0.179-0.179 0.411-0.179t0.411 0.179l0.893 0.893q0.179 0.179 0.179 0.411z"></path>'),
	   	 			'weather_5' => array('keywords' => 'weather_5 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31.533 12.954c-0.346-0.218-0.789-0.203-1.12 0.037-0.907 0.658-1.982 1.005-3.108 1.005-1.416 0-2.747-0.552-3.748-1.553-1.854-1.854-2.084-4.737-0.546-6.856 0.239-0.33 0.255-0.774 0.037-1.12s-0.625-0.522-1.026-0.451c-1.716 0.313-3.277 1.131-4.513 2.367-1.575 1.575-2.396 3.617-2.485 5.684-0.336-0.043-0.678-0.066-1.023-0.066-3.415 0-6.406 2.205-7.495 5.382-0.383-0.088-0.774-0.132-1.171-0.132-2.941 0-5.333 2.411-5.333 5.375s2.393 5.375 5.333 5.375h16.467c3.419 0 6.2-2.803 6.2-6.25 0-0.639-0.096-1.255-0.274-1.836 0.683-0.381 1.322-0.854 1.89-1.422 1.235-1.236 2.054-2.796 2.367-4.513 0.073-0.402-0.105-0.808-0.451-1.025zM21.8 26h-16.467c-1.838 0-3.333-1.514-3.333-3.375s1.495-3.375 3.333-3.375c0.493 0 0.973 0.111 1.426 0.329 0.28 0.135 0.607 0.132 0.885-0.008s0.474-0.401 0.532-0.707c0.534-2.819 2.983-4.864 5.823-4.864 2.217 0 4.233 1.239 5.261 3.233 0.227 0.44 0.741 0.648 1.209 0.489 0.435-0.148 0.883-0.221 1.33-0.221 2.316-0 4.2 1.906 4.2 4.25s-1.884 4.25-4.2 4.25zM28.203 17.078c-0.413 0.413-0.877 0.755-1.369 1.038-1.127-1.581-2.96-2.615-5.033-2.615-0.392 0-0.782 0.038-1.169 0.114-0.887-1.367-2.151-2.405-3.611-3.011-0.044-1.735 0.581-3.484 1.902-4.806 0.402-0.402 0.849-0.747 1.331-1.029-0.681 2.467-0.024 5.176 1.889 7.089 1.38 1.379 3.212 2.138 5.162 2.138 0.66 0 1.308-0.087 1.93-0.257-0.282 0.485-0.628 0.934-1.032 1.338z"></path>'),
	   	 			'gif' => array('keywords' => 'gif ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25.313 14.667h-4v1.313h2.688v2h-2.688v2.688h-2v-8h6v2zM12 12.667q0.563 0 0.938 0.375t0.375 0.938v0.688h-4.625v4h2.625v-2h2v2.688q0 0.563-0.375 0.938t-0.938 0.375h-4q-0.563 0-0.938-0.375t-0.375-0.938v-5.375q0-0.563 0.375-0.938t0.938-0.375h4zM15.313 12.667h2v8h-2v-8z"></path>'),
	   	 			'arrows-v' => array('keywords' => 'arrows-v ','viewbox' => '0 0 14 32', 'path' =>'<path d="M12.571 6q0 0.464-0.339 0.804t-0.804 0.339h-2.286v18.286h2.286q0.464 0 0.804 0.339t0.339 0.804-0.339 0.804l-4.571 4.571q-0.339 0.339-0.804 0.339t-0.804-0.339l-4.571-4.571q-0.339-0.339-0.339-0.804t0.339-0.804 0.804-0.339h2.286v-18.286h-2.286q-0.464 0-0.804-0.339t-0.339-0.804 0.339-0.804l4.571-4.571q0.339-0.339 0.804-0.339t0.804 0.339l4.571 4.571q0.339 0.339 0.339 0.804z"></path>'),
	   	 			'wb_auto' => array('keywords' => 'wb_auto ','viewbox' => '0 0 32 32', 'path' =>'<path d="M13.75 21.979h2.5l-4.25-12h-2.688l-4.25 12h2.563l0.938-2.625h4.25zM29.313 9.979h2.438l-2.75 12h-2.313l-2-8.125-2 8.125h-2.375l-0.125-0.563q-1.313 2.688-3.875 4.313t-5.625 1.625q-4.438 0-7.563-3.156t-3.125-7.531 3.125-7.531 7.563-3.156q5.125 0 8.313 4h1l1.625 8.438 2-8.438h2.125l2 8.438zM9.125 17.542l1.563-4.875 1.5 4.875h-3.063z"></path>'),
	   	 			'format_textdirection_l_to_r' => array('keywords' => 'format_textdirection_l_to_r ','viewbox' => '0 0 32 32', 'path' =>'<path d="M28 24.667l-5.313 5.313v-4h-16v-2.625h16v-4zM12 13.979q-2.188 0-3.75-1.563t-1.563-3.75 1.563-3.75 3.75-1.563h10.688v2.625h-2.688v14.688h-2.688v-14.688h-2.625v14.688h-2.688v-6.688z"></path>'),
	   	 			'book_mark' => array('keywords' => 'book_mark ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25 0.001l-16.499-0.001c-2.486 0-4.501 2.014-4.5 4.5v0h-0.001v23c0 2.485 2.014 4.5 4.5 4.5v0.001h16.5c1.649 0 3-1.349 3-3v-26c0-1.649-1.349-3-3-3zM15.5 2.001h5v7.325l-1.849-1.585c-0.376-0.322-0.93-0.321-1.305 0.003l-1.846 1.6v-7.343zM26 29c0 0.55-0.45 1-1 1l-16.5-0c-1.38 0.001-2.499-1.119-2.5-2.499h0.001v-0c-0.001-1.381 1.119-2.5 2.5-2.5h16.499c0.351 0 0.686-0.064 1-0.177v4.177zM26 22c0 0.55-0.45 1-1 1h-16.5c-0.925 0-1.785 0.28-2.5 0.759v-19.259h0.001v-0c-0.001-1.38 1.119-2.499 2.499-2.5v0.001h5v9.533c0 0.392 0.229 0.747 0.585 0.909 0.133 0.060 0.274 0.091 0.415 0.091 0.236 0 0.47-0.084 0.655-0.244l2.849-2.469 2.846 2.439c0.297 0.254 0.714 0.312 1.069 0.149 0.355-0.164 0.582-0.518 0.582-0.909v-9.5h2.5c0.55 0 1 0.45 1 1v19z"></path>'),
	   	 			'rtl' => array('keywords' => 'rtl ','viewbox' => '0 0 32 32', 'path' =>'<path d="M8 0c-4.418 0-8 3.582-8 8s3.582 8 8 8v16h4v-28h4v28h4v-28h4v-4h-16zM32 6l-8 8 8 8z"></path>'),
	   	 			'airline_seat_flat' => array('keywords' => 'airline_seat_flat ','viewbox' => '0 0 32 32', 'path' =>'<path d="M9.5 16.792q-1.188 1.188-2.813 1.219t-2.813-1.156-1.219-2.813 1.156-2.813 2.813-1.219 2.813 1.156 1.219 2.813-1.156 2.813zM2.688 19.354h26.625v2.625h-8v2.688h-10.625v-2.688h-8v-2.625zM29.313 15.354v2.625h-17.313v-8h12q2.188 0 3.75 1.594t1.563 3.781z"></path>'),
	   	 			'boat_side' => array('keywords' => 'boat_side ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31 16.001h-5v-5.001c0-0.552-0.448-1-1-1h-10v-5c0-0.552-0.448-1-1-1h-5c-0.552 0-1 0.448-1 1v5h-3c-0.552 0-1 0.448-1 1v5h-3c0 0.002 0.001 0.003 0.002 0.005-0.034 0-0.068-0.003-0.102 0-0.549 0.055-0.95 0.545-0.895 1.095l1 10c0.002 0 0.003 0 0.005 0 0.051 0.505 0.472 0.901 0.99 0.901h18.99c0.003 0 0.006 0.001 0.010 0.001 6.066 0 11-4.934 11-11 0-0.552-0.448-1-1-1zM13 6v1h-3v-1h3zM6 12h3c0.552 0 1-0.448 1-1v-2h3v2c0 0.552 0.448 1 1 1h10v4h-18v-4zM21.007 26.001c-0.003 0-0.005-0.001-0.007-0.001h-18.095l-0.8-8 27.835 0.001c-0.499 4.491-4.313 7.996-8.934 8zM23 14c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM17 14c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM20 14c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1z"></path>'),
	   	 			'feed' => array('keywords' => 'feed ','viewbox' => '0 0 32 32', 'path' =>'<path d="M12 16c0-2.209 1.791-4 4-4s4 1.791 4 4c0 2.209-1.791 4-4 4s-4-1.791-4-4zM20.761 7.204c3.12 1.692 5.239 4.997 5.239 8.796s-2.119 7.104-5.239 8.796c1.377-2.191 2.239-5.321 2.239-8.796s-0.862-6.605-2.239-8.796zM9 16c0 3.475 0.862 6.605 2.239 8.796-3.12-1.692-5.239-4.997-5.239-8.796s2.119-7.104 5.239-8.796c-1.377 2.191-2.239 5.321-2.239 8.796zM3 16c0 5.372 1.7 10.193 4.395 13.491-4.447-2.842-7.395-7.822-7.395-13.491s2.948-10.649 7.395-13.491c-2.695 3.298-4.395 8.119-4.395 13.491zM24.605 2.509c4.447 2.842 7.395 7.822 7.395 13.491s-2.948 10.649-7.395 13.491c2.695-3.298 4.395-8.119 4.395-13.491s-1.7-10.193-4.395-13.491z"></path>'),
	   	 			'do_not_disturb_alt' => array('keywords' => 'do_not_disturb_alt ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 27.354q4.375 0 7.531-3.156t3.156-7.531q0-3.563-2.313-6.563l-14.938 14.938q3 2.313 6.563 2.313zM5.313 16.667q0 3.563 2.313 6.563l14.938-14.938q-3-2.313-6.563-2.313-4.375 0-7.531 3.156t-3.156 7.531zM16 3.354q5.5 0 9.406 3.906t3.906 9.406-3.906 9.406-9.406 3.906-9.406-3.906-3.906-9.406 3.906-9.406 9.406-3.906z"></path>'),
	   	 			'highlight' => array('keywords' => 'highlight ','viewbox' => '0 0 32 32', 'path' =>'<path d="M22.625 9.417l2.813-2.813 1.875 1.875-2.813 2.875zM4.688 8.479l1.875-1.875 2.813 2.813-1.875 1.938zM14.688 3.354h2.625v4h-2.625v-4zM8 19.354v-6.688h16v6.688l-4 4v6.625h-8v-6.625z"></path>'),
	   	 			'smoke_free' => array('keywords' => 'smoke_free ','viewbox' => '0 0 32 32', 'path' =>'<path d="M22.688 21.917l-3.938-3.938h3.938v3.938zM19.313 12.292q-1.813 0-3.125-1.344t-1.313-3.156 1.313-3.125 3.125-1.313v2q-1.063 0-1.75 0.656t-0.688 1.656q0 1.063 0.719 1.875t1.719 0.813h2.063q1.875 0 3.25 1.219t1.375 2.969v2.125h-2v-1.688q0-1.25-0.781-1.969t-1.844-0.719h-2.063zM25.125 7.167q1.875 0.875 3.031 2.687t1.156 4.063v2.75h-2v-2.75q0-2.25-1.531-3.844t-3.781-1.594v-2q1 0 1.719-0.719t0.719-1.781h2q0 1.875-1.313 3.188zM24 17.979h2v4h-2v-4zM27.313 17.979h2v4h-2v-4zM2.688 8.667l1.625-1.688 22.688 22.688-1.688 1.688-9.313-9.375h-13.313v-4h9.313z"></path>'),
	   	 			'pencil' => array('keywords' => 'pencil ','viewbox' => '0 0 32 32', 'path' =>'<path d="M27 0c2.761 0 5 2.239 5 5 0 1.126-0.372 2.164-1 3l-2 2-7-7 2-2c0.836-0.628 1.874-1 3-1zM2 23l-2 9 9-2 18.5-18.5-7-7-18.5 18.5zM22.362 11.362l-14 14-1.724-1.724 14-14 1.724 1.724z"></path>'),
	   	 			'checkmark2' => array('keywords' => 'checkmark2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M12.42 28.678l-12.433-12.238 6.168-6.071 6.265 6.167 13.426-13.214 6.168 6.071-19.594 19.285zM3.372 16.441l9.048 8.905 16.208-15.953-2.782-2.739-13.426 13.214-6.265-6.167-2.782 2.739z"></path>'),
	   	 			'document_folded' => array('keywords' => 'document_folded ','viewbox' => '0 0 32 32', 'path' =>'<path d="M11 9v0h10c0.552 0 1-0.447 1-1s-0.448-1-1-1c-0.002 0-0.003 0-0.005 0h-9.99c-0.002 0-0.003-0-0.005-0-0.552 0-1 0.448-1 1s0.448 1 1 1zM11 14h10c0.552 0 1-0.448 1-1s-0.448-1-1-1h-10c-0.552 0-1 0.448-1 1s0.448 1 1 1zM11 19h6c0.552 0 1-0.448 1-1s-0.448-1-1-1h-6c-0.552 0-1 0.448-1 1s0.448 1 1 1zM28 0h-18c-2.21 0.001-3.999 1.79-4 4l2-0.001c-0-1.105 0.896-2 2-2h14.54c-0.341 0.589-0.54 1.271-0.54 2.001v20.539c-0.589-0.341-1.27-0.539-2-0.539h-14v-20h-2v20h-2c-2.21 0-3.999 1.791-4 4 0.001 2.209 1.79 4 4 4v-0h17.99c0.003 0 0.007 0 0.010 0 2.21-0 4-1.794 4-4v-20.538c0.589 0.341 1.27 0.539 2 0.539 2.21-0 4-1.795 4-4 0-2.209-1.79-4-4-3.999zM2 28c-0-1.105 0.896-2 2-2h14.54c-0.341 0.589-0.54 1.271-0.54 2s0.198 1.411 0.54 2l-14.54-0c-1.104 0-2.001-0.895-2-2zM22 30c-1.105 0-2-0.895-2-2s0.895-2 2-2 2.001 0.895 2 2c0.001 1.105-0.895 2-2 2zM28 6c-1.105 0-2-0.896-2-2s0.895-2 2-2 2.001 0.896 2 2c0.001 1.104-0.895 2-2 2z"></path>'),
	   	 			'list' => array('keywords' => 'list ','viewbox' => '0 0 32 32', 'path' =>'<path d="M0 0h8v8h-8zM12 2h20v4h-20zM0 12h8v8h-8zM12 14h20v4h-20zM0 24h8v8h-8zM12 26h20v4h-20z"></path>'),
	   	 			'open_with' => array('keywords' => 'open_with ','viewbox' => '0 0 32 32', 'path' =>'<path d="M18.688 20.667v4h4l-6.688 6.688-6.688-6.688h4v-4h5.375zM30.688 16.667l-6.688 6.688v-4h-4v-5.375h4v-4zM12 13.979v5.375h-4v4l-6.688-6.688 6.688-6.688v4h4zM13.313 12.667v-4h-4l6.688-6.688 6.688 6.688h-4v4h-5.375z"></path>'),
	   	 			'volume_mute' => array('keywords' => 'volume_mute ','viewbox' => '0 0 32 32', 'path' =>'<path d="M9.313 12.667h5.375l6.625-6.688v21.375l-6.625-6.688h-5.375v-8z"></path>'),
	   	 			'vertical_align_bottom' => array('keywords' => 'vertical_align_bottom ','viewbox' => '0 0 32 32', 'path' =>'<path d="M5.313 25.979h21.375v2.688h-21.375v-2.688zM21.313 17.979l-5.313 5.375-5.313-5.375h4v-13.313h2.625v13.313h4z"></path>'),
	   	 			'chess_1' => array('keywords' => 'chess_1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M17.962 15.001l5.447 0.495c0.367 0.031 0.719-0.136 0.922-0.441l2-3c0.265-0.396 0.212-0.925-0.125-1.261l-5.207-5.207v-2.586c0-0.552-0.448-1-1-1h-2v-1c0-0.552-0.448-1-1-1-4.963 0-9 4.037-9 9v17c-0.069 0-0.136 0.007-0.202 0.020-1.283 0.105-2.298 1.17-2.298 2.48v2.5c0 0.552 0.448 1 1 1h17c0.552 0 1-0.448 1-1v-2.5c0-1.309-1.015-2.375-2.299-2.48-0.065-0.014-0.132-0.020-0.201-0.020v-5c0-2.206-1.794-4-4-4-0.552 0-1-0.448-1-1 0-0.539 0.428-0.979 0.962-0.999zM22.5 30h-15v-1.5c0-0.276 0.224-0.5 0.5-0.5h14c0.276 0 0.5 0.224 0.5 0.5v1.5zM18 19c1.103 0 2 0.898 2 2v5h-10v-17c0-3.521 2.613-6.442 6-6.928v0.929c0 0.552 0.448 1 1 1h2v2c0 0.265 0.105 0.519 0.293 0.707l4.921 4.92-1.215 1.822-4.907-0.446c-0.030-0.002-0.060-0.004-0.090-0.004-1.654 0-3 1.345-3 3s1.346 3 3 3z"></path>'),
	   	 			'hd' => array('keywords' => 'hd ','viewbox' => '0 0 32 32', 'path' =>'<path d="M19.313 18.667v-4h2.688v4h-2.688zM17.313 12.667v8h5.375q0.563 0 0.938-0.375t0.375-0.938v-5.375q0-0.563-0.375-0.938t-0.938-0.375h-5.375zM14.688 20.667v-8h-2v3.313h-2.688v-3.313h-2v8h2v-2.688h2.688v2.688h2zM25.313 4.667q1.063 0 1.875 0.813t0.813 1.875v18.625q0 1.063-0.813 1.875t-1.875 0.813h-18.625q-1.125 0-1.906-0.813t-0.781-1.875v-18.625q0-1.063 0.781-1.875t1.906-0.813h18.625z"></path>'),
	   	 			'folder_17' => array('keywords' => 'folder_17 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M19.003 18.881c0.984-1.885 0.685-4.264-0.898-5.847-1.953-1.954-5.119-1.953-7.072 0-1.952 1.952-1.952 5.119 0.001 7.072 1.583 1.583 3.963 1.882 5.848 0.898l2.982 2.982c0.003 0.003 0.006 0.008 0.009 0.011 0.587 0.585 1.536 0.585 2.122 0s0.586-1.536 0-2.122l-2.991-2.992zM12.44 18.698c-1.171-1.172-1.172-3.072 0-4.243 1.171-1.171 3.072-1.171 4.242 0s1.172 3.071 0 4.242c-1.171 1.172-3.071 1.172-4.242 0.001zM29 6.5h-14.070l-3.369-3.561c-0.292-0.293-0.677-0.439-1.060-0.439h-7.5c-1.651 0-3 1.349-3 3v21c0 1.649 1.349 3 3 3h26c1.649 0 3-1.351 3-3v-17c0-1.651-1.351-3-3-3zM30 26.5c0 0.55-0.45 1-1 1h-26c-0.55 0-1-0.45-1-1v-17c0-0.55 0.45-1 1-1h26c0.55 0 1 0.45 1 1v17z"></path>'),
	   	 			'map-signs' => array('keywords' => 'map-signs ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31.161 5.589q0.179 0.179 0.179 0.411t-0.179 0.411l-2.518 2.518q-0.5 0.5-1.214 0.5h-24q-0.464 0-0.804-0.339t-0.339-0.804v-4.571q0-0.464 0.339-0.804t0.804-0.339h10.286v-1.143q0-0.464 0.339-0.804t0.804-0.339h2.286q0.464 0 0.804 0.339t0.339 0.804v1.143h9.143q0.714 0 1.214 0.5zM13.714 22h4.571v9.143q0 0.464-0.339 0.804t-0.804 0.339h-2.286q-0.464 0-0.804-0.339t-0.339-0.804v-9.143zM28.571 14q0.464 0 0.804 0.339t0.339 0.804v4.571q0 0.464-0.339 0.804t-0.804 0.339h-24q-0.714 0-1.214-0.5l-2.518-2.518q-0.179-0.179-0.179-0.411t0.179-0.411l2.518-2.518q0.5-0.5 1.214-0.5h9.143v-3.429h4.571v3.429h10.286z"></path>'),
	   	 			'rocket' => array('keywords' => 'rocket ','viewbox' => '0 0 32 32', 'path' =>'<path d="M22 2l-10 10h-6l-6 8c0 0 6.357-1.77 10.065-0.94l-10.065 12.94 13.184-10.255c1.839 4.208-1.184 10.255-1.184 10.255l8-6v-6l10-10 2-10-10 2z"></path>'),
	   	 			'diamond' => array('keywords' => 'diamond ','viewbox' => '0 0 37 32', 'path' =>'<path d="M3.786 14l11.125 11.875-5.357-11.875h-5.768zM18.286 27.786l6.232-13.786h-12.464zM9.607 11.714l3.643-6.857h-4.679l-5.143 6.857h6.179zM21.661 25.875l11.125-11.875h-5.768zM12.196 11.714h12.179l-3.643-6.857h-4.893zM26.964 11.714h6.179l-5.143-6.857h-4.679zM29.482 3.036l6.857 9.143q0.25 0.321 0.232 0.741t-0.304 0.723l-17.143 18.286q-0.321 0.357-0.839 0.357t-0.839-0.357l-17.143-18.286q-0.286-0.304-0.304-0.723t0.232-0.741l6.857-9.143q0.321-0.464 0.911-0.464h20.571q0.589 0 0.911 0.464z"></path>'),
	   	 			'syringe_sign2' => array('keywords' => 'syringe_sign2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M22 22.5h-1v-14c0-0.552-0.448-1-1-1h-1.045c-0.183-1.082-0.945-1.966-1.955-2.325v-4.175c0-0.552-0.448-1-1-1s-1 0.448-1 1v4.175c-1.011 0.359-1.772 1.244-1.955 2.325h-1.045c-0.552 0-1 0.448-1 1v14h-1c-0.552 0-1 0.448-1 1s0.448 1 1 1h5v5.5h-3c-0.552 0-1 0.448-1 1s0.448 1 1 1h8c0.552 0 1-0.448 1-1s-0.448-1-1-1h-3v-5.5h5c0.552 0 1-0.448 1-1s-0.448-1-1-1zM16 7c0.369 0 0.688 0.202 0.861 0.5h-1.722c0.173-0.298 0.492-0.5 0.861-0.5zM13 9.5h6v3h-2c-0.552 0-1 0.448-1 1s0.448 1 1 1h2v1h-2c-0.552 0-1 0.448-1 1s0.448 1 1 1h2v1h-2c-0.552 0-1 0.448-1 1s0.448 1 1 1h2v2h-6v-13z"></path>'),
	   	 			'blur_off' => array('keywords' => 'blur_off ','viewbox' => '0 0 32 32', 'path' =>'<path d="M4 18.667q0.688 0 0.688 0.688 0 0.625-0.688 0.625t-0.688-0.625q0-0.688 0.688-0.688zM8 23.354q0.563 0 0.938 0.375t0.375 0.938-0.375 0.938-0.938 0.375-0.938-0.375-0.375-0.938 0.375-0.938 0.938-0.375zM13.313 27.979q0.688 0 0.688 0.688t-0.688 0.688q-0.625 0-0.625-0.688t0.625-0.688zM4 13.354q0.688 0 0.688 0.625 0 0.688-0.688 0.688t-0.688-0.688q0-0.625 0.688-0.625zM8 17.979q0.563 0 0.938 0.406t0.375 0.969-0.375 0.938-0.938 0.375-0.938-0.375-0.375-0.938 0.375-0.969 0.938-0.406zM28 18.667q0.688 0 0.688 0.688 0 0.625-0.688 0.625t-0.688-0.625q0-0.688 0.688-0.688zM13.313 23.354q0.563 0 0.969 0.375t0.406 0.938-0.406 0.938-0.969 0.375-0.938-0.375-0.375-0.938 0.375-0.938 0.938-0.375zM3.313 7.667l1.688-1.688 21.688 21.688-1.75 1.688-5-5.063q0.063 0.125 0.063 0.375 0 0.563-0.375 0.938t-0.938 0.375-0.969-0.375-0.406-0.938 0.406-0.938 0.969-0.375q0.25 0 0.375 0.063l-3.75-3.75q-0.125 0.688-0.688 1.188t-1.313 0.5q-0.813 0-1.406-0.594t-0.594-1.406q0-0.75 0.5-1.313t1.188-0.688l-3.75-3.75q0.063 0.125 0.063 0.375 0 0.563-0.375 0.969t-0.938 0.406-0.938-0.406-0.375-0.969 0.375-0.938 0.938-0.375l0.375 0.063zM18.688 27.979q0.625 0 0.625 0.688t-0.625 0.688q-0.688 0-0.688-0.688t0.688-0.688zM24 9.979q-0.563 0-0.938-0.375t-0.375-0.938 0.375-0.938 0.938-0.375 0.938 0.375 0.375 0.938-0.375 0.938-0.938 0.375zM24 15.354q-0.563 0-0.938-0.406t-0.375-0.969 0.375-0.938 0.938-0.375 0.938 0.375 0.375 0.938-0.375 0.969-0.938 0.406zM24 20.667q-0.563 0-0.938-0.375t-0.375-0.938 0.375-0.969 0.938-0.406 0.938 0.406 0.375 0.969-0.375 0.938-0.938 0.375zM13.313 9.979q-0.563 0-0.938-0.375t-0.375-0.938 0.375-0.938 0.938-0.375 0.969 0.375 0.406 0.938-0.406 0.938-0.969 0.375zM28 14.667q-0.688 0-0.688-0.688 0-0.625 0.688-0.625t0.688 0.625q0 0.688-0.688 0.688zM13.313 5.354q-0.625 0-0.625-0.688t0.625-0.688q0.688 0 0.688 0.688t-0.688 0.688zM18.688 5.354q-0.688 0-0.688-0.688t0.688-0.688q0.625 0 0.625 0.688t-0.625 0.688zM18.375 15.979q-0.625-0.063-1.125-0.563t-0.563-1.125v-0.313q0-0.813 0.594-1.406t1.406-0.594 1.406 0.594 0.594 1.406-0.594 1.406-1.406 0.594h-0.313zM18.688 9.979q-0.563 0-0.969-0.375t-0.406-0.938 0.406-0.938 0.969-0.375 0.938 0.375 0.375 0.938-0.375 0.938-0.938 0.375z"></path>'),
	   	 			'download2' => array('keywords' => 'download2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M28 16h-5l-7 7-7-7h-5l-4 8v2h32v-2l-4-8zM0 28h32v2h-32v-2zM18 10v-8h-4v8h-7l9 9 9-9h-7z"></path>'),
	   	 			'clock_bell' => array('keywords' => 'clock_bell ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29.5 16.5c0-2.717-0.809-5.247-2.197-7.368 1.349-0.915 2.197-2.453 2.197-4.132 0-2.757-2.243-5-5-5-2.25 0-4.145 1.474-4.771 3.528-1.186-0.341-2.436-0.528-3.729-0.528s-2.543 0.187-3.729 0.528c-0.627-2.054-2.521-3.528-4.771-3.528-2.757 0-5 2.243-5 5 0 1.679 0.848 3.216 2.197 4.132-1.388 2.12-2.197 4.65-2.197 7.368 0 4.302 2.025 8.136 5.168 10.61l-2.468 3.29c-0.332 0.442-0.242 1.069 0.2 1.4 0.18 0.135 0.391 0.2 0.599 0.2 0.304 0 0.604-0.138 0.801-0.4l2.529-3.372c1.97 1.125 4.246 1.771 6.672 1.771s4.702-0.646 6.672-1.771l2.528 3.372c0.197 0.262 0.497 0.4 0.801 0.4 0.209 0 0.419-0.066 0.599-0.2 0.442-0.331 0.531-0.958 0.2-1.4l-2.468-3.29c3.143-2.474 5.168-6.309 5.168-10.61zM21.606 4.22c0.342-1.287 1.508-2.22 2.894-2.22 1.654 0 3 1.345 3 3 0 1.044-0.546 1.998-1.407 2.538 0.073 0.083 0.128 0.149 0.172 0.207-1.287-1.506-2.898-2.726-4.724-3.552 0.020 0.008 0.038 0.013 0.065 0.026zM4.5 5c0-1.655 1.345-3 3-3 1.386 0 2.552 0.933 2.894 2.22 0.027-0.013 0.045-0.018 0.066-0.026-1.826 0.825-3.438 2.045-4.724 3.552 0.045-0.059 0.098-0.125 0.173-0.207-0.862-0.54-1.408-1.495-1.408-2.538zM4.5 16.5c0-6.341 5.159-11.5 11.5-11.5s11.5 5.159 11.5 11.5c0 6.341-5.159 11.5-11.5 11.5s-11.5-5.159-11.5-11.5zM17 16.085v-5.585c0-0.552-0.448-1-1-1s-1 0.448-1 1v6c0 0.265 0.105 0.52 0.293 0.707l6 6c0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293c0.39-0.39 0.39-1.023 0-1.414l-5.707-5.707z"></path>'),
	   	 			'castle_symbol2' => array('keywords' => 'castle_symbol2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31 14c-0.552 0-1 0.448-1 1v1h-2v-1c0-0.552-0.448-1-1-1s-1 0.448-1 1v1h-2v-1c0-0.552-0.448-1-1-1s-1 0.448-1 1v6c0 0.552 0.448 1 1 1h0.5v1h-2.5v-11c0-0.236-0.085-0.45-0.223-0.621 0.002-0.001 0.002-0.002 0.003-0.003l-3.781-4.726v-0.649h5c0.003 0 0.007 0 0.010 0 0.552 0 1-0.448 1-1 0-0.209-0.064-0.403-0.174-0.563l-0.718-1.437 0.776-1.552c0.155-0.31 0.139-0.678-0.044-0.973s-0.504-0.474-0.851-0.474h-6c-0.552 0-1 0.448-1 1v5.649l-3.781 4.726c0.002 0.001 0.002 0.002 0.004 0.002-0.137 0.171-0.223 0.386-0.223 0.623v11h-2.5v-1h0.5c0.552 0 1-0.448 1-1v-6c0-0.552-0.448-1-1-1s-1 0.448-1 1v1h-2v-1c0-0.552-0.448-1-1-1s-1 0.448-1 1v1h-2v-1c0-0.552-0.448-1-1-1s-1 0.448-1 1v6c0 0.552 0.448 1 1 1h0.5v9c0 0.552 0.448 1 1 1h27c0.552 0 1-0.448 1-1v-9h0.5c0.552 0 1-0.448 1-1v-6c0-0.552-0.448-1-1-1zM30 20h-6v-2h6v2zM6.5 22v2c0 0.552 0.448 1 1 1h17c0.552 0 1-0.448 1-1v-2h3v8h-25v-8h3zM16 8.601l1.92 2.399h-3.84l1.919-2.399zM20.105 3.447l0.276 0.553h-3.382v-2h3.382l-0.276 0.553c-0.14 0.282-0.14 0.613 0 0.895zM13 13h6v10h-6v-10zM8 20h-6v-2h6v2z"></path>'),
	   	 			'share22' => array('keywords' => 'share22 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M27 22c-1.411 0-2.685 0.586-3.594 1.526l-13.469-6.734c0.041-0.258 0.063-0.522 0.063-0.791s-0.022-0.534-0.063-0.791l13.469-6.734c0.909 0.94 2.183 1.526 3.594 1.526 2.761 0 5-2.239 5-5s-2.239-5-5-5-5 2.239-5 5c0 0.269 0.022 0.534 0.063 0.791l-13.469 6.734c-0.909-0.94-2.183-1.526-3.594-1.526-2.761 0-5 2.239-5 5s2.239 5 5 5c1.411 0 2.685-0.586 3.594-1.526l13.469 6.734c-0.041 0.258-0.063 0.522-0.063 0.791 0 2.761 2.239 5 5 5s5-2.239 5-5c0-2.761-2.239-5-5-5z"></path>'),
	   	 			'pinterest-p' => array('keywords' => 'pinterest-p ','viewbox' => '0 0 23 32', 'path' =>'<path d="M0 10.946q0-1.929 0.67-3.634t1.848-2.973 2.714-2.196 3.304-1.393 3.607-0.464q2.821 0 5.25 1.188t3.946 3.455 1.518 5.125q0 1.714-0.339 3.357t-1.071 3.161-1.786 2.67-2.589 1.839-3.375 0.688q-1.214 0-2.411-0.571t-1.714-1.571q-0.179 0.696-0.5 2.009t-0.42 1.696-0.366 1.268-0.464 1.268-0.571 1.116-0.821 1.384-1.107 1.545l-0.25 0.089-0.161-0.179q-0.268-2.804-0.268-3.357 0-1.643 0.384-3.688t1.188-5.134 0.929-3.625q-0.571-1.161-0.571-3.018 0-1.482 0.929-2.786t2.357-1.304q1.089 0 1.696 0.723t0.607 1.83q0 1.179-0.786 3.411t-0.786 3.339q0 1.125 0.804 1.866t1.946 0.741q0.982 0 1.821-0.446t1.402-1.214 1-1.696 0.679-1.973 0.357-1.982 0.116-1.777q0-3.089-1.955-4.813t-5.098-1.723q-3.571 0-5.964 2.313t-2.393 5.866q0 0.786 0.223 1.518t0.482 1.161 0.482 0.813 0.223 0.545q0 0.5-0.268 1.304t-0.661 0.804q-0.036 0-0.304-0.054-0.911-0.268-1.616-1t-1.089-1.688-0.58-1.929-0.196-1.902z"></path>'),
	   	 			'coffee' => array('keywords' => 'coffee ','viewbox' => '0 0 33 32', 'path' =>'<path d="M29.714 11.714q0-1.429-1-2.429t-2.429-1h-1.143v6.857h1.143q1.429 0 2.429-1t1-2.429zM0 25.429h32q0 1.893-1.339 3.232t-3.232 1.339h-22.857q-1.893 0-3.232-1.339t-1.339-3.232zM33.143 11.714q0 2.839-2.009 4.848t-4.848 2.009h-1.143v0.571q0 1.643-1.179 2.821t-2.821 1.179h-12.571q-1.643 0-2.821-1.179t-1.179-2.821v-13.143q0-0.464 0.339-0.804t0.804-0.339h20.571q2.839 0 4.848 2.009t2.009 4.848z"></path>'),
	   	 			'sale_symbol' => array('keywords' => 'sale_symbol ','viewbox' => '0 0 32 32', 'path' =>'<path d="M24.995 10.006c1.658-0.001 3.001-1.346 3.002-3.002 0-1.657-1.344-3.002-3.002-3.001s-3.001 1.344-3.002 3.002c0 1.657 1.344 3.002 3.002 3.002zM24.995 5.503c0.828 0 1.501 0.672 1.501 1.501s-0.672 1.501-1.501 1.501c-0.829 0-1.501-0.672-1.501-1.501s0.672-1.501 1.501-1.501zM30.999 0h-10.967c-0.265 0-0.52 0.106-0.707 0.293l-19.031 19.032c-0.188 0.188-0.293 0.442-0.293 0.707s0.106 0.52 0.293 0.707l10.967 10.967c0.188 0.188 0.442 0.293 0.707 0.293s0.52-0.106 0.707-0.293l19.031-19.033c0.188-0.188 0.293-0.442 0.293-0.707v-10.966c0-0.552-0.448-1.001-1.001-1.001zM29.997 11.555l-18.029 18.030-9.552-9.552 18.031-18.031h9.552l-0.001 9.553zM12.357 20.998c-0.239-0.239-0.496-0.378-0.771-0.416-0.277-0.039-0.635 0.026-1.077 0.194-0.462 0.172-0.757 0.267-0.884 0.283-0.127 0.017-0.225-0.009-0.294-0.078-0.065-0.065-0.091-0.147-0.077-0.246 0.012-0.1 0.081-0.212 0.205-0.336 0.24-0.24 0.601-0.45 1.084-0.629l-0.445-1.030c-0.55 0.211-1.008 0.5-1.374 0.866-0.414 0.414-0.648 0.831-0.703 1.25s0.081 0.791 0.406 1.117c0.175 0.174 0.353 0.297 0.536 0.368 0.183 0.073 0.381 0.099 0.594 0.082s0.489-0.088 0.823-0.214c0.369-0.14 0.602-0.221 0.698-0.243s0.176-0.028 0.239-0.018c0.063 0.011 0.118 0.039 0.166 0.087 0.078 0.078 0.108 0.174 0.092 0.289s-0.096 0.243-0.239 0.386c-0.165 0.165-0.371 0.319-0.62 0.464s-0.512 0.261-0.787 0.349l0.851 0.851c0.255-0.090 0.479-0.198 0.671-0.325s0.406-0.307 0.642-0.543c0.282-0.282 0.481-0.574 0.596-0.88 0.116-0.303 0.144-0.596 0.085-0.878s-0.198-0.531-0.417-0.75zM11.359 17.042l2.397 4.703 1.050-1.050-0.484-0.841 1.149-1.149 0.837 0.488 1.045-1.045-4.718-2.382-1.275 1.275zM13.756 17.692l0.732 0.428-0.752 0.752c-0.407-0.701-0.685-1.168-0.831-1.398-0.146-0.232-0.253-0.396-0.321-0.492 0.105 0.073 0.285 0.186 0.54 0.339 0.256 0.155 0.466 0.279 0.63 0.371zM18.099 15.86l-2.764-2.764-0.956 0.955 3.536 3.536 2.316-2.316-0.771-0.771zM20.386 10.69l-1.059 1.059-0.556-0.556 1.144-1.143-0.767-0.767-2.099 2.099 3.536 3.536 2.099-2.099-0.778-0.778-1.144 1.144-0.667-0.667 1.059-1.060z"></path>'),
	   	 			'tooth1' => array('keywords' => 'tooth1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M26.962 2.204c-1.416-1.421-3.298-2.204-5.301-2.204h-0c-2.003 0-3.886 0.782-5.302 2.204-0.135 0.135-0.262 0.279-0.38 0.425-0.125-0.152-0.254-0.294-0.384-0.425-1.415-1.421-3.297-2.204-5.3-2.204 0 0 0 0-0.001 0-2.003 0-3.886 0.782-5.301 2.204-1.848 1.855-2.447 4.325-1.645 6.78 0.397 1.217 1.090 2.736 1.823 4.345 0.934 2.050 1.9 4.171 2.246 5.656 0.502 2.16 1.096 9.255 1.143 9.827 0.024 1.762 1.512 3.188 3.338 3.188 1.841 0 3.339-1.45 3.339-3.232v-6.117c0.001-0.008 0.001-0.015 0.001-0.023 0-0.68 0.6-1.232 1.338-1.232 0.366 0 0.709 0.134 0.963 0.377 0.241 0.231 0.375 0.535 0.375 0.855v6.14c0 1.782 1.497 3.233 3.338 3.233 1.828 0 3.317-1.429 3.338-3.194 0.038-0.535 0.558-7.698 1.136-9.823l0.339-1.257c0.723-2.688 1.712-6.37 2.559-8.712 0.853-2.362 0.232-4.907-1.663-6.809zM26.744 8.334c-0.876 2.421-1.878 6.15-2.61 8.873l-0.338 1.252c-0.647 2.384-1.18 9.919-1.202 10.239-0.002 0.023-0.002 0.047-0.002 0.070 0 0.68-0.601 1.232-1.339 1.232s-1.338-0.552-1.338-1.233v-6.14c0-1.782-1.498-3.233-3.339-3.233-1.831 0-3.323 1.436-3.338 3.206 0 0.009 0 0.017 0 0.027v6.139c0 0.68-0.601 1.233-1.339 1.233s-1.338-0.552-1.338-1.233c0-0.027-0.001-0.054-0.004-0.081-0.025-0.317-0.637-7.772-1.191-10.155-0.391-1.68-1.399-3.893-2.374-6.032-0.709-1.556-1.378-3.026-1.742-4.136-0.568-1.74-0.155-3.426 1.162-4.748 1.038-1.042 2.418-1.615 3.885-1.615s2.846 0.573 3.884 1.615c0.215 0.216 0.431 0.493 0.638 0.809l-1.158 1.832c-0.295 0.467-0.156 1.085 0.311 1.38 0.166 0.105 0.351 0.155 0.534 0.155 0.331 0 0.656-0.165 0.845-0.465l1.489-2.354c0.006-0.011 0.011-0.022 0.016-0.032 0.004-0.007 0.011-0.011 0.015-0.019 0.226-0.41 0.534-0.929 0.908-1.305 1.038-1.042 2.418-1.615 3.885-1.615s2.846 0.574 3.884 1.615c1.355 1.359 1.791 3.080 1.198 4.718z"></path>'),
	   	 			'apps' => array('keywords' => 'apps ','viewbox' => '0 0 32 32', 'path' =>'<path d="M21.313 27.354v-5.375h5.375v5.375h-5.375zM21.313 19.354v-5.375h5.375v5.375h-5.375zM13.313 11.354v-5.375h5.375v5.375h-5.375zM21.313 5.979h5.375v5.375h-5.375v-5.375zM13.313 19.354v-5.375h5.375v5.375h-5.375zM5.313 19.354v-5.375h5.375v5.375h-5.375zM5.313 27.354v-5.375h5.375v5.375h-5.375zM13.313 27.354v-5.375h5.375v5.375h-5.375zM5.313 11.354v-5.375h5.375v5.375h-5.375z"></path>'),
	   	 			'backup' => array('keywords' => 'backup ','viewbox' => '0 0 32 32', 'path' =>'<path d="M18.688 17.979h4l-6.688-6.625-6.688 6.625h4v5.375h5.375v-5.375zM25.813 14.042q2.563 0.188 4.375 2.094t1.813 4.531q0 2.75-1.969 4.719t-4.719 1.969h-17.313q-3.313 0-5.656-2.344t-2.344-5.656q0-3.063 2.063-5.344t5.063-2.594q1.313-2.438 3.688-3.938t5.188-1.5q3.625 0 6.375 2.281t3.438 5.781z"></path>'),
	   	 			'local_convenience_store' => array('keywords' => 'local_convenience_store ','viewbox' => '0 0 32 32', 'path' =>'<path d="M21.313 16.667v-6.688h-1.313v2.688h-1.313v-2.688h-1.375v4h2.688v2.688h1.313zM14.688 13.979v-4h-4v1.375h2.625v1.313h-2.625v4h4v-1.313h-2.688v-1.375h2.688zM25.313 9.979h4v17.375h-10.625v-5.375h-5.375v5.375h-10.625v-17.375h4v-4h18.625v4z"></path>'),
	   	 			'trophy' => array('keywords' => 'trophy ','viewbox' => '0 0 32 32', 'path' =>'<path d="M26 6v-4h-20v4h-6v4c0 3.314 2.686 6 6 6 0.627 0 1.232-0.096 1.801-0.275 1.443 2.063 3.644 3.556 6.199 4.075v6.2h-2c-2.209 0-4 1.791-4 4h16c0-2.209-1.791-4-4-4h-2v-6.2c2.555-0.519 4.756-2.012 6.199-4.075 0.568 0.179 1.173 0.275 1.801 0.275 3.314 0 6-2.686 6-6v-4h-6zM6 13.625c-1.999 0-3.625-1.626-3.625-3.625v-2h3.625v2c0 1.256 0.232 2.457 0.655 3.565-0.213 0.039-0.431 0.060-0.655 0.060zM29.625 10c0 1.999-1.626 3.625-3.625 3.625-0.224 0-0.442-0.021-0.655-0.060 0.423-1.107 0.655-2.309 0.655-3.565v-2h3.625v2z"></path>'),
	   	 			'google4' => array('keywords' => 'google4 ','viewbox' => '0 0 27 32', 'path' =>'<path d="M13.714 14.321h12.946q0.214 1.196 0.214 2.286 0 3.875-1.625 6.92t-4.634 4.759-6.902 1.714q-2.804 0-5.339-1.080t-4.375-2.92-2.92-4.375-1.080-5.339 1.080-5.339 2.92-4.375 4.375-2.92 5.339-1.080q5.357 0 9.196 3.589l-3.732 3.589q-2.196-2.125-5.464-2.125-2.304 0-4.259 1.161t-3.098 3.152-1.143 4.348 1.143 4.348 3.098 3.152 4.259 1.161q1.554 0 2.857-0.429t2.143-1.071 1.464-1.464 0.92-1.554 0.402-1.393h-7.786v-4.714z"></path>'),
	   	 			'earth_ball2' => array('keywords' => 'earth_ball2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M12.182 15.425c0.098 0.098 0.226 0.146 0.354 0.146s0.256-0.049 0.354-0.146l7.536-7.537c0.195-0.196 0.195-0.511 0-0.707s-0.512-0.196-0.707 0l-7.536 7.536c-0.195 0.195-0.195 0.511 0 0.707zM19.718 11.146l-3.535 3.535c-0.195 0.195-0.195 0.511 0 0.707 0.098 0.098 0.226 0.146 0.354 0.146s0.256-0.049 0.354-0.146l3.535-3.535c0.195-0.195 0.195-0.511 0-0.707s-0.512-0.195-0.707 0zM12.5 11.535c0.128 0 0.256-0.049 0.354-0.146l3.535-3.535c0.195-0.196 0.195-0.511 0-0.707s-0.511-0.196-0.707 0l-3.535 3.535c-0.195 0.195-0.195 0.511 0 0.707 0.098 0.098 0.226 0.146 0.354 0.146zM31 11c0-0.553-0.448-1-1-1h-3.047c-0.507-5.598-5.224-10-10.953-10s-10.445 4.402-10.953 10h-3.047c-0.552 0-1 0.447-1 1 0 7.148 5.028 13.142 11.733 14.637l-1.454 4.363h-1.28c-0.552 0-1 0.448-1 1s0.448 1 1 1h1.999c0.001 0 0.001 0 0.001 0s0.001 0 0.002 0h7.996c0.001 0 0.001 0 0.002 0h2c0.552 0 1-0.448 1-1s-0.448-1-1-1h-1.279l-1.454-4.363c6.705-1.495 11.733-7.489 11.733-14.637zM16 2c4.963 0 9 4.037 9 9s-4.037 9-9 9c-4.963 0-9-4.037-9-9s4.037-9 9-9zM3.042 12h2.005c0.508 5.598 5.225 10 10.953 10s10.445-4.402 10.953-10h2.006c-0.513 6.702-6.127 12-12.958 12s-12.445-5.298-12.958-12zM18.613 30h-5.225l1.353-4.057c0.416 0.035 0.835 0.057 1.26 0.057s0.844-0.023 1.261-0.057l1.352 4.057z"></path>'),
	   	 			'power_settings_new' => array('keywords' => 'power_settings_new ','viewbox' => '0 0 32 32', 'path' =>'<path d="M23.75 7.542q4.25 3.625 4.25 9.125 0 5-3.5 8.5t-8.5 3.5-8.5-3.5-3.5-8.5q0-5.5 4.25-9.125l1.875 1.875q-3.438 2.813-3.438 7.25 0 3.875 2.719 6.594t6.594 2.719 6.594-2.719 2.719-6.594q0-4.438-3.438-7.188zM17.313 4.667v13.313h-2.625v-13.313h2.625z"></path>'),
	   	 			'flash_drive' => array('keywords' => 'flash_drive ','viewbox' => '0 0 32 32', 'path' =>'<path d="M23 7h-2v-6c0-0.552-0.448-1-1-1h-8c-0.552 0-1 0.448-1 1v6h-2c-0.552 0-1 0.448-1 1v21c0 1.654 1.345 3 3 3h10c1.654 0 3-1.346 3-3v-21c0-0.552-0.448-1-1-1zM13 2h6v5h-6v-5zM22 29c0 0.552-0.448 1-1 1h-10c-0.552 0-1-0.448-1-1v-20h12v20zM15 3c-0.277 0-0.5 0.224-0.5 0.5v1c0 0.277 0.223 0.5 0.5 0.5s0.5-0.223 0.5-0.5v-1c0-0.276-0.223-0.5-0.5-0.5zM17 3c-0.276 0-0.5 0.224-0.5 0.5v1c0 0.277 0.224 0.5 0.5 0.5s0.5-0.223 0.5-0.5v-1c0-0.276-0.224-0.5-0.5-0.5z"></path>'),
	   	 			'documents' => array('keywords' => 'documents ','viewbox' => '0 0 34 32', 'path' =>'<path d="M1.512 28h17.988c0.827 0 1.5-0.673 1.5-1.5v-19c0-0.023-0.010-0.043-0.013-0.065s-0.007-0.041-0.013-0.062c-0.023-0.086-0.060-0.166-0.122-0.227l-6.999-6.999c-0.061-0.061-0.141-0.098-0.227-0.122-0.021-0.006-0.040-0.010-0.062-0.013s-0.041-0.012-0.064-0.012h-11.994c-0.83 0-1.506 0.673-1.506 1.5v25c0 0.827 0.678 1.5 1.512 1.5zM14 1.707l5.293 5.293h-4.793c-0.275 0-0.5-0.224-0.5-0.5v-4.793zM1 1.5c0-0.276 0.227-0.5 0.506-0.5h11.494v5.5c0 0.827 0.673 1.5 1.5 1.5h5.5v18.5c0 0.276-0.225 0.5-0.5 0.5h-17.988c-0.283 0-0.512-0.224-0.512-0.5v-25zM4.5 12h12c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-12c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5zM4.5 16h12c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-12c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5zM4.5 8h5c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-5c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5zM4.5 20h12c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-12c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5zM4.5 24h12c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-12c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5zM21.5 5h4.5v5.5c0 0.827 0.673 1.5 1.5 1.5h5.5v18.5c0 0.276-0.225 0.5-0.5 0.5h-17.988c-0.283 0-0.512-0.224-0.512-0.5v-1c0-0.276-0.224-0.5-0.5-0.5s-0.5 0.224-0.5 0.5v1c0 0.827 0.678 1.5 1.512 1.5h17.988c0.827 0 1.5-0.673 1.5-1.5v-19c0-0.023-0.010-0.043-0.013-0.065s-0.007-0.041-0.013-0.062c-0.023-0.086-0.060-0.166-0.122-0.227l-6.999-6.999c-0.061-0.062-0.142-0.099-0.228-0.122-0.021-0.006-0.039-0.009-0.061-0.012s-0.041-0.013-0.064-0.013h-5c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5zM27.5 11c-0.275 0-0.5-0.224-0.5-0.5v-4.793l5.293 5.293h-4.793zM23.5 16h6c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-6c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5zM23.5 20h6c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-6c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5zM23.5 24h6c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-6c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5zM23.5 28h6c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-6c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5z"></path>'),
	   	 			'add_alarm' => array('keywords' => 'add_alarm ','viewbox' => '0 0 32 32', 'path' =>'<path d="M17.313 12.667v4h4v2.688h-4v4h-2.625v-4h-4v-2.688h4v-4h2.625zM16 27.354q3.875 0 6.594-2.75t2.719-6.625-2.719-6.594-6.594-2.719-6.594 2.719-2.719 6.594 2.719 6.625 6.594 2.75zM16 5.979q5 0 8.5 3.531t3.5 8.469-3.5 8.469-8.5 3.531-8.5-3.531-3.5-8.469 3.5-8.469 8.5-3.531zM29.313 8.292l-1.688 2.063-6.125-5.188 1.688-2zM10.5 5.167l-6.125 5.125-1.688-2 6.125-5.125z"></path>'),
	   	 			'shopping-basket' => array('keywords' => 'shopping-basket ','viewbox' => '0 0 37 32', 'path' =>'<path d="M34.286 14q0.946 0 1.616 0.67t0.67 1.616-0.67 1.616-1.616 0.67h-0.268l-2.054 11.821q-0.143 0.821-0.786 1.357t-1.464 0.536h-22.857q-0.821 0-1.464-0.536t-0.786-1.357l-2.054-11.821h-0.268q-0.946 0-1.616-0.67t-0.67-1.616 0.67-1.616 1.616-0.67h32zM8.661 28.286q0.464-0.036 0.777-0.402t0.277-0.83l-0.571-7.429q-0.036-0.464-0.402-0.777t-0.83-0.277-0.777 0.402-0.277 0.83l0.571 7.429q0.036 0.446 0.366 0.75t0.777 0.304h0.089zM16 27.143v-7.429q0-0.464-0.339-0.804t-0.804-0.339-0.804 0.339-0.339 0.804v7.429q0 0.464 0.339 0.804t0.804 0.339 0.804-0.339 0.339-0.804zM22.857 27.143v-7.429q0-0.464-0.339-0.804t-0.804-0.339-0.804 0.339-0.339 0.804v7.429q0 0.464 0.339 0.804t0.804 0.339 0.804-0.339 0.339-0.804zM29.143 27.232l0.571-7.429q0.036-0.464-0.277-0.83t-0.777-0.402-0.83 0.277-0.402 0.777l-0.571 7.429q-0.036 0.464 0.277 0.83t0.777 0.402h0.089q0.446 0 0.777-0.304t0.366-0.75zM8.5 5.5l-1.661 7.357h-2.357l1.804-7.875q0.339-1.571 1.589-2.563t2.857-0.991h2.982q0-0.464 0.339-0.804t0.804-0.339h6.857q0.464 0 0.804 0.339t0.339 0.804h2.982q1.607 0 2.857 0.991t1.589 2.563l1.804 7.875h-2.357l-1.661-7.357q-0.196-0.786-0.813-1.286t-1.42-0.5h-2.982q0 0.464-0.339 0.804t-0.804 0.339h-6.857q-0.464 0-0.804-0.339t-0.339-0.804h-2.982q-0.804 0-1.42 0.5t-0.813 1.286z"></path>'),
	   	 			'format_underlined' => array('keywords' => 'format_underlined ','viewbox' => '0 0 32 32', 'path' =>'<path d="M6.688 25.979h18.625v2.688h-18.625v-2.688zM16 23.354q-3.313 0-5.656-2.344t-2.344-5.656v-10.688h3.313v10.688q0 1.938 1.375 3.281t3.313 1.344 3.313-1.344 1.375-3.281v-10.688h3.313v10.688q0 3.313-2.344 5.656t-5.656 2.344z"></path>'),
	   	 			'building_symbol2' => array('keywords' => 'building_symbol2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M26 4h-3v-3c0-0.552-0.448-1-1-1h-12c-0.552 0-1 0.448-1 1v3h-3c-0.552 0-1 0.448-1 1v26c0 0.552 0.448 1 1 1h20c0.552 0 1-0.448 1-1v-26c0-0.552-0.448-1-1-1zM11 2h10v2h-10v-2zM25 30h-18v-24h18v24zM10 8c-0.552 0-1 0.447-1 1v18c0 0.552 0.448 1 1 1s1-0.448 1-1v-18c0-0.553-0.448-1-1-1zM14 8c-0.552 0-1 0.447-1 1v18c0 0.552 0.448 1 1 1s1-0.448 1-1v-18c0-0.553-0.448-1-1-1zM21 9v18c0 0.552 0.448 1 1 1s1-0.448 1-1v-18c0-0.553-0.448-1-1-1s-1 0.447-1 1zM18 8c-0.552 0-1 0.447-1 1v18c0 0.552 0.448 1 1 1s1-0.448 1-1v-18c0-0.553-0.448-1-1-1z"></path>'),
	   	 			'question2' => array('keywords' => 'question2 ','viewbox' => '0 0 20 32', 'path' =>'<path d="M12.571 22.714v4.286q0 0.286-0.214 0.5t-0.5 0.214h-4.286q-0.286 0-0.5-0.214t-0.214-0.5v-4.286q0-0.286 0.214-0.5t0.5-0.214h4.286q0.286 0 0.5 0.214t0.214 0.5zM18.214 12q0 0.964-0.277 1.804t-0.625 1.366-0.982 1.063-1.027 0.777-1.089 0.634q-0.732 0.411-1.223 1.161t-0.491 1.196q0 0.304-0.214 0.58t-0.5 0.277h-4.286q-0.268 0-0.455-0.33t-0.188-0.67v-0.804q0-1.482 1.161-2.795t2.554-1.938q1.054-0.482 1.5-1t0.446-1.357q0-0.75-0.83-1.321t-1.92-0.571q-1.161 0-1.929 0.518-0.625 0.446-1.911 2.054-0.232 0.286-0.554 0.286-0.214 0-0.446-0.143l-2.929-2.232q-0.232-0.179-0.277-0.446t0.098-0.5q2.857-4.75 8.286-4.75 1.429 0 2.875 0.554t2.607 1.482 1.893 2.277 0.732 2.83z"></path>'),
	   	 			'rounded_corner' => array('keywords' => 'rounded_corner ','viewbox' => '0 0 32 32', 'path' =>'<path d="M28 11.354v6.625h-2.688v-6.625q0-1.625-1.188-2.813t-2.813-1.188h-6.625v-2.688h6.625q2.75 0 4.719 1.969t1.969 4.719zM4 28.667v-2.688h2.688v2.688h-2.688zM9.313 28.667v-2.688h2.688v2.688h-2.688zM14.688 28.667v-2.688h2.625v2.688h-2.625zM9.313 7.354v-2.688h2.688v2.688h-2.688zM4 7.354v-2.688h2.688v2.688h-2.688zM4 12.667v-2.688h2.688v2.688h-2.688zM4 23.354v-2.688h2.688v2.688h-2.688zM4 17.979v-2.625h2.688v2.625h-2.688zM25.313 23.354v-2.688h2.688v2.688h-2.688zM25.313 25.979h2.688v2.688h-2.688v-2.688z"></path>'),
	   	 			'command' => array('keywords' => 'command ','viewbox' => '0 0 32 32', 'path' =>'<path d="M23 28c-2.757 0-5-2.243-5-5v-3h-4v3c0 2.757-2.243 5-5 5s-5-2.243-5-5 2.243-5 5-5h3v-4h-3c-2.757 0-5-2.243-5-5s2.243-5 5-5 5 2.243 5 5v3h4v-3c0-2.757 2.243-5 5-5s5 2.243 5 5-2.243 5-5 5h-3v4h3c2.757 0 5 2.243 5 5s-2.243 5-5 5zM20 20v3c0 1.654 1.346 3 3 3s3-1.346 3-3-1.346-3-3-3h-3zM9 20c-1.654 0-3 1.346-3 3s1.346 3 3 3 3-1.346 3-3v-3h-3zM14 18h4v-4h-4v4zM20 12h3c1.654 0 3-1.346 3-3s-1.346-3-3-3-3 1.346-3 3v3zM9 6c-1.654 0-3 1.346-3 3s1.346 3 3 3h3v-3c0-1.654-1.346-3-3-3z"></path>'),
	   	 			'ship' => array('keywords' => 'ship ','viewbox' => '0 0 37 32', 'path' =>'<path d="M32.339 28.054q0.339-0.339 0.804-0.339t0.804 0.339l2.286 2.286-1.607 1.607-1.482-1.482-1.482 1.482q-0.321 0.339-0.804 0.339t-0.804-0.339l-1.482-1.482-1.482 1.482q-0.339 0.339-0.804 0.339t-0.804-0.339l-1.482-1.482-1.482 1.482q-0.339 0.339-0.804 0.339t-0.804-0.339l-1.482-1.482-1.482 1.482q-0.339 0.339-0.804 0.339t-0.804-0.339l-1.482-1.482-1.482 1.482q-0.339 0.339-0.804 0.339t-0.804-0.339l-1.482-1.482-1.482 1.482q-0.339 0.339-0.804 0.339t-0.804-0.339l-1.482-1.482-1.482 1.482q-0.339 0.339-0.804 0.339t-0.804-0.339l-2.286-2.286 1.607-1.607 1.482 1.482 1.482-1.482q0.339-0.339 0.804-0.339t0.804 0.339l1.482 1.482 1.482-1.482q0.339-0.339 0.804-0.339t0.804 0.339l1.482 1.482 1.482-1.482q0.339-0.339 0.804-0.339t0.804 0.339l1.482 1.482 1.482-1.482q0.339-0.339 0.804-0.339t0.804 0.339l1.482 1.482 1.482-1.482q0.339-0.339 0.804-0.339t0.804 0.339l1.482 1.482 1.482-1.482q0.339-0.339 0.804-0.339t0.804 0.339l1.482 1.482zM4.232 27.375q-0.339 0.339-0.804 0.339t-0.804-0.339l-2.286-2.286 1.607-1.607 1.482 1.464 1.482-1.464q0.339-0.339 0.804-0.339t0.804 0.339l1.482 1.464 1.143-1.143v-5.232l-3.75-5.607q-0.304-0.464-0.125-1.009t0.714-0.723l3.161-1.036v-5.339h2.286v-2.286h4.571v-2.286h4.571v2.286h4.571v2.286h2.286v5.339l3.161 1.036q0.536 0.179 0.714 0.723t-0.125 1.009l-3.75 5.607v5.232l0.339-0.321q0.339-0.339 0.804-0.339t0.804 0.339l1.482 1.464 1.482-1.464q0.339-0.339 0.804-0.339t0.804 0.339l2.286 2.286-1.607 1.607-1.482-1.482-1.482 1.482q-0.321 0.339-0.804 0.339t-0.804-0.339l-1.482-1.482-1.482 1.482q-0.339 0.339-0.804 0.339t-0.804-0.339l-1.482-1.482-1.482 1.482q-0.339 0.339-0.804 0.339t-0.804-0.339l-1.482-1.482-1.482 1.482q-0.339 0.339-0.804 0.339t-0.804-0.339l-1.482-1.482-1.482 1.482q-0.339 0.339-0.804 0.339t-0.804-0.339l-1.482-1.482-1.482 1.482q-0.339 0.339-0.804 0.339t-0.804-0.339l-1.482-1.482zM11.429 7.143v2.286l6.857-2.286 6.857 2.286v-2.286h-2.286v-2.286h-9.143v2.286h-2.286z"></path>'),
	   	 			'view_array' => array('keywords' => 'view_array ','viewbox' => '0 0 32 32', 'path' =>'<path d="M10.688 24.667v-17.313h12v17.313h-12zM24 7.354h4v17.313h-4v-17.313zM5.313 24.667v-17.313h4v17.313h-4z"></path>'),
	   	 			'shopping-bag' => array('keywords' => 'shopping-bag ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31.375 25.429l0.625 5.589q0.054 0.5-0.286 0.893-0.339 0.375-0.857 0.375h-29.714q-0.518 0-0.857-0.375-0.339-0.393-0.286-0.893l0.625-5.589h30.75zM29.714 10.446l1.536 13.839h-30.5l1.536-13.839q0.054-0.429 0.375-0.723t0.768-0.295h4.571v2.286q0 0.946 0.67 1.616t1.616 0.67 1.616-0.67 0.67-1.616v-2.286h6.857v2.286q0 0.946 0.67 1.616t1.616 0.67 1.616-0.67 0.67-1.616v-2.286h4.571q0.446 0 0.768 0.295t0.375 0.723zM22.857 7.143v4.571q0 0.464-0.339 0.804t-0.804 0.339-0.804-0.339-0.339-0.804v-4.571q0-1.893-1.339-3.232t-3.232-1.339-3.232 1.339-1.339 3.232v4.571q0 0.464-0.339 0.804t-0.804 0.339-0.804-0.339-0.339-0.804v-4.571q0-2.839 2.009-4.848t4.848-2.009 4.848 2.009 2.009 4.848z"></path>'),
	   	 			'star_sign_paper' => array('keywords' => 'star_sign_paper ','viewbox' => '0 0 32 32', 'path' =>'<path d="M24.5 0h-17c-1.649 0-3 1.35-3 3v26c0 1.65 1.351 3 3 3h17c1.651 0 3-1.35 3-3v-26c0-1.65-1.349-3-3-3zM25.5 29c0 0.55-0.45 1-1 1h-17c-0.55 0-1-0.45-1-1v-26c0-0.55 0.45-1 1-1h17c0.55 0 1 0.45 1 1v26zM19.168 21.863c-0.158 0-0.319-0.038-0.464-0.114l-2.704-1.418-2.703 1.418c-0.336 0.177-0.745 0.148-1.053-0.077-0.307-0.224-0.462-0.602-0.398-0.977l0.515-3-2.184-2.124c-0.274-0.265-0.372-0.664-0.254-1.026s0.431-0.627 0.807-0.681l3.021-0.438 1.351-2.731c0.168-0.341 0.515-0.556 0.896-0.556s0.728 0.216 0.897 0.556l1.352 2.73 3.021 0.438c0.377 0.055 0.691 0.319 0.808 0.681s0.020 0.761-0.254 1.026l-2.186 2.124 0.517 3c0.064 0.375-0.090 0.754-0.398 0.977-0.174 0.127-0.381 0.192-0.588 0.192zM16 18.201c0.16 0 0.32 0.038 0.465 0.114l1.375 0.721-0.262-1.523c-0.056-0.325 0.052-0.657 0.288-0.886l1.107-1.076-1.532-0.222c-0.326-0.047-0.608-0.252-0.753-0.546l-0.689-1.391-0.688 1.39c-0.146 0.294-0.427 0.498-0.753 0.546l-1.532 0.222 1.107 1.077c0.236 0.23 0.345 0.561 0.288 0.886l-0.261 1.523 1.375-0.721c0.145-0.076 0.305-0.114 0.463-0.114z"></path>'),
	   	 			'folder_14' => array('keywords' => 'folder_14 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M21.844 12.377c0-0.428-0.341-0.697-0.756-0.6l-7.506 1.761c-0.415 0.097-0.756 0.527-0.756 0.953v0.726c0 0.037 0.015 0.065 0.021 0.098-0.007 0.020-0.021 0.036-0.021 0.056v4.175c-0.13-0.021-0.262-0.039-0.399-0.039-1.323 0-2.396 1.059-2.396 2.366 0 1.308 1.073 2.368 2.396 2.368s2.396-1.059 2.396-2.368v-6.347l5.024-1.178v3.084c-0.131-0.020-0.262-0.039-0.399-0.039-1.323 0-2.396 1.058-2.396 2.366s1.073 2.367 2.396 2.367 2.395-1.059 2.395-2.367v-6.503c0-0.031-0.010-0.051-0.014-0.079 0.003-0.024 0.014-0.049 0.014-0.073v-0.727h0.002zM29 6.5h-14.070l-3.369-3.561c-0.293-0.293-0.677-0.439-1.060-0.439v0h-7.5c-1.65 0-3 1.349-3 3v21c0 1.649 1.35 3 3 3h26c1.651 0 3-1.351 3-3v-17c0-1.651-1.349-3-3-3zM30 26.5c0 0.55-0.45 1-1 1h-26c-0.55 0-1-0.45-1-1v-17c0-0.55 0.45-1 1-1h26c0.55 0 1 0.45 1 1v17z"></path>'),
	   	 			'scissors3' => array('keywords' => 'scissors3 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25.5 29c1.93 0 3.5-1.57 3.5-3.5s-1.57-3.5-3.5-3.5-3.5 1.57-3.5 3.5 1.57 3.5 3.5 3.5zM25.5 23c1.378 0 2.5 1.121 2.5 2.5s-1.122 2.5-2.5 2.5-2.5-1.121-2.5-2.5 1.122-2.5 2.5-2.5zM18.732 23.95c0 1.451 0.357 3.271 0.836 4.301 0.98 2.487 2.908 3.749 5.732 3.749 3.694 0 6.7-3.006 6.7-6.7 0-3.593-2.818-6.2-6.7-6.2-4.413 0-5.853-2.371-5.91-2.469-0.020-0.034-0.043-0.066-0.070-0.095l-15.355-16.378c-0.14-0.149-0.358-0.197-0.549-0.123s-0.316 0.26-0.316 0.465c0 9.651 6.436 14.715 11.135 18.411 2.513 1.977 4.497 3.537 4.497 5.039zM4.144 1.811l14.412 15.372c0.268 0.424 2.044 2.917 6.744 2.917 3.303 0 5.7 2.187 5.7 5.2 0 3.144-2.557 5.7-5.7 5.7-2.405 0-3.976-1.020-4.813-3.144-0.366-0.786-0.755-2.423-0.755-3.906 0-1.987-2.153-3.681-4.878-5.825-4.317-3.396-10.152-7.985-10.71-16.314zM3 25.5c0 1.93 1.57 3.5 3.5 3.5s3.5-1.57 3.5-3.5-1.57-3.5-3.5-3.5-3.5 1.57-3.5 3.5zM9 25.5c0 1.379-1.122 2.5-2.5 2.5s-2.5-1.121-2.5-2.5 1.122-2.5 2.5-2.5 2.5 1.121 2.5 2.5zM20.634 15.471c-0.204 0.186-0.219 0.502-0.033 0.706 0.099 0.108 0.234 0.163 0.37 0.163 0.12 0 0.241-0.043 0.337-0.131 3.535-3.22 7.592-7.915 7.592-15.709 0-0.205-0.125-0.39-0.316-0.465-0.19-0.073-0.408-0.026-0.549 0.123l-10.92 11.646c-0.189 0.201-0.179 0.518 0.023 0.706s0.517 0.18 0.707-0.022l10.014-10.68c-0.426 6.63-4.046 10.766-7.225 13.663zM10.911 18.896c0.257-0.1 0.385-0.389 0.286-0.646s-0.39-0.387-0.647-0.285c-0.211 0.082-0.439 0.183-0.684 0.292-0.844 0.375-1.895 0.843-3.166 0.843-3.882 0-6.7 2.607-6.7 6.2 0 3.694 3.006 6.7 6.7 6.7 2.824 0 4.752-1.262 5.719-3.722 0.506-1.085 0.581-3.46 0.581-4.778 0-0.269 0.762-0.843 1.218-1.186 0.421-0.316 0.856-0.644 1.156-0.982 0.183-0.207 0.164-0.523-0.042-0.706-0.206-0.184-0.523-0.164-0.706 0.042-0.234 0.265-0.628 0.561-1.010 0.848-0.831 0.626-1.616 1.216-1.616 1.984 0 2.072-0.182 3.701-0.499 4.384-0.825 2.096-2.396 3.116-4.801 3.116-3.143 0-5.7-2.557-5.7-5.7 0-3.014 2.397-5.2 5.7-5.2 1.484 0 2.691-0.538 3.573-0.931 0.228-0.102 0.441-0.196 0.638-0.273zM15.194 16.984c0 0.445 0.361 0.806 0.806 0.806s0.806-0.361 0.806-0.806c0-0.445-0.361-0.806-0.806-0.806s-0.806 0.361-0.806 0.806z"></path>'),
	   	 			'swap_horiz' => array('keywords' => 'swap_horiz ','viewbox' => '0 0 32 32', 'path' =>'<path d="M28 12.667l-5.313 5.313v-4h-9.375v-2.625h9.375v-4zM9.313 15.354v4h9.375v2.625h-9.375v4l-5.313-5.313z"></path>'),
	   	 			'folder_open' => array('keywords' => 'folder_open ','viewbox' => '0 0 32 32', 'path' =>'<path d="M26.688 24.667v-13.313h-21.375v13.313h21.375zM26.688 8.667q1.063 0 1.844 0.813t0.781 1.875v13.313q0 1.063-0.781 1.875t-1.844 0.813h-21.375q-1.063 0-1.844-0.813t-0.781-1.875v-16q0-1.063 0.781-1.875t1.844-0.813h8l2.688 2.688h10.688z"></path>'),
	   	 			'directions_subway' => array('keywords' => 'directions_subway ','viewbox' => '0 0 32 32', 'path' =>'<path d="M24 15.354v-6.688h-6.688v6.688h6.688zM22 23.354q0.875 0 1.438-0.594t0.563-1.406-0.563-1.406-1.438-0.594-1.438 0.594-0.563 1.406 0.563 1.406 1.438 0.594zM14.688 15.354v-6.688h-6.688v6.688h6.688zM10 23.354q0.875 0 1.438-0.594t0.563-1.406-0.563-1.406-1.438-0.594-1.438 0.594-0.563 1.406 0.563 1.406 1.438 0.594zM16 3.354q5.188 0 7.938 1.063t2.75 4.25v12.688q0 1.938-1.375 3.281t-3.313 1.344l2 2v0.688h-16v-0.688l2-2q-1.938 0-3.313-1.344t-1.375-3.281v-12.688q0-3.188 2.75-4.25t7.938-1.063z"></path>'),
	   	 			'accolade_prize1' => array('keywords' => 'accolade_prize1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 15.5c-2.761 0-5.001 2.239-5 5-0.001 2.762 2.238 5 5 5 2.761 0 5.001-2.238 5-4.999 0.001-2.762-2.239-5.001-5-5.001zM16 23.5c-1.657 0-2.999-1.343-3-3 0.001-1.657 1.343-3 3-3s3 1.343 3 3c0 1.655-1.343 3-3 3zM23.157 11.502l1.343-8.502c0-1.65-1.349-3-3-3h-11c-1.649 0-3 1.35-3 3l1.342 8.502c-2.646 2.107-4.343 5.354-4.343 8.998-0.001 6.353 5.147 11.499 11.5 11.499 6.351 0 11.502-5.146 11.5-11.498 0.001-3.645-1.697-6.892-4.343-8.999zM9.5 3c0-0.55 0.45-1 1-1h11c0.55 0 1 0.45 1 1l-1.353 7.217c-1.55-0.777-3.297-1.217-5.147-1.217s-3.598 0.44-5.147 1.217l-1.353-7.217zM16 30.001c-5.248 0-9.498-4.253-9.5-9.5 0.002-5.249 4.252-9.499 9.5-9.501s9.501 4.252 9.501 9.499c0 5.239-4.252 9.5-9.501 9.502z"></path>'),
	   	 			'view_week' => array('keywords' => 'view_week ','viewbox' => '0 0 32 32', 'path' =>'<path d="M17.313 7.354q0.563 0 0.969 0.375t0.406 0.937v16q0 0.563-0.406 0.938t-0.969 0.375h-4q-0.563 0-0.938-0.375t-0.375-0.938v-16q0-0.563 0.375-0.938t0.938-0.375h4zM26.688 7.354q0.563 0 0.938 0.375t0.375 0.937v16q0 0.563-0.375 0.938t-0.938 0.375h-4q-0.563 0-0.969-0.375t-0.406-0.938v-16q0-0.563 0.406-0.938t0.969-0.375h4zM8 7.354q0.563 0 0.938 0.375t0.375 0.937v16q0 0.563-0.375 0.938t-0.938 0.375h-4q-0.563 0-0.938-0.375t-0.375-0.938v-16q0-0.563 0.375-0.938t0.938-0.375h4z"></path>'),
	   	 			'presentation' => array('keywords' => 'presentation ','viewbox' => '0 0 31 32', 'path' =>'<path d="M0.5 3c-0.276 0-0.5 0.224-0.5 0.5v17c0 0.827 0.673 1.5 1.5 1.5h28c0.827 0 1.5-0.673 1.5-1.5v-17c0-0.276-0.224-0.5-0.5-0.5s-0.5 0.224-0.5 0.5v17c0 0.276-0.224 0.5-0.5 0.5h-28c-0.276 0-0.5-0.224-0.5-0.5v-17c0-0.276-0.224-0.5-0.5-0.5zM32.5 0h-34c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h34c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5zM11.854 8.146c-0.183-0.183-0.475-0.196-0.674-0.031l-6 5c-0.212 0.177-0.241 0.492-0.064 0.705 0.177 0.212 0.491 0.241 0.705 0.064l5.649-4.708 5.677 5.677c0.097 0.098 0.225 0.147 0.353 0.147s0.256-0.049 0.354-0.146l7.146-7.147v3.793c0 0.276 0.224 0.5 0.5 0.5s0.5-0.224 0.5-0.5v-5c0-0.065-0.013-0.13-0.038-0.191-0.051-0.122-0.148-0.22-0.271-0.271-0.061-0.025-0.126-0.038-0.191-0.038h-5c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h3.793l-6.793 6.793-5.646-5.647zM8.057 31.732c0.128 0.245 0.43 0.339 0.675 0.211l6.768-3.545 6.768 3.545c0.074 0.039 0.153 0.057 0.232 0.057 0.18 0 0.354-0.098 0.443-0.268 0.128-0.245 0.034-0.547-0.211-0.675l-6.893-3.61c0.098-0.091 0.161-0.219 0.161-0.364v-2.583c0-0.276-0.224-0.5-0.5-0.5s-0.5 0.224-0.5 0.5v2.583c0 0.144 0.063 0.272 0.161 0.363l-6.893 3.61c-0.245 0.129-0.339 0.431-0.211 0.676z"></path>'),
	   	 			'view_stream' => array('keywords' => 'view_stream ','viewbox' => '0 0 32 32', 'path' =>'<path d="M5.313 7.354h22.688v8h-22.688v-8zM5.313 24.667v-8h22.688v8h-22.688z"></path>'),
	   	 			'cast' => array('keywords' => 'cast ','viewbox' => '0 0 32 32', 'path' =>'<path d="M1.313 13.979q6.063 0 10.375 4.313t4.313 10.375h-2.688q0-5-3.531-8.5t-8.469-3.5v-2.688zM1.313 19.354q3.875 0 6.625 2.719t2.75 6.594h-2.688q0-2.75-1.969-4.719t-4.719-1.969v-2.625zM1.313 24.667q1.625 0 2.813 1.188t1.188 2.813h-4v-4zM28 4.667q1.063 0 1.875 0.813t0.813 1.875v18.625q0 1.063-0.813 1.875t-1.875 0.813h-9.313v-2.688h9.313v-18.625h-24v4h-2.688v-4q0-1.063 0.813-1.875t1.875-0.813h24z"></path>'),
	   	 			'camer_hd_symbol4' => array('keywords' => 'camer_hd_symbol4 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M7 4c-2.205 0-4 1.795-4 4s1.795 4 4 4 4-1.794 4-4-1.794-4-4-4zM7 10c-1.103 0-2-0.898-2-2s0.897-2 2-2 2 0.897 2 2-0.898 2-2 2zM29 2h-12c-0.552 0-1 0.448-1 1v4h-2v-4c0-1.655-1.345-3-3-3h-8c-1.655 0-3 1.345-3 3v26c0 1.654 1.345 3 3 3h6c0.552 0 1-0.448 1-1v-15h3c0.552 0 1-0.448 1-1v-6h2v4c0 0.552 0.448 1 1 1h12c1.654 0 3-1.345 3-3v-6c0-1.655-1.346-3-3-3zM12 14h-3c-0.552 0-1 0.448-1 1v15h-5c-0.552 0-1-0.448-1-1v-26c0-0.552 0.448-1 1-1h8c0.552 0 1 0.448 1 1v11zM30 11c0 0.552-0.448 1-1 1h-11v-8h11c0.552 0 1 0.448 1 1v6z"></path>'),
	   	 			'scribd' => array('keywords' => 'scribd ','viewbox' => '0 0 27 32', 'path' =>'<path d="M26.786 27.946q0 1.589-1.125 2.723t-2.732 1.134-2.741-1.134-1.134-2.723q0-1.607 1.134-2.741t2.741-1.134 2.732 1.134 1.125 2.741zM22.625 22.929q-2.054 0.268-3.438 1.83t-1.384 3.67q0 1.321 0.589 2.464-2.607 1.393-6.768 1.393-1.946 0-3.589-0.375t-2.741-0.973-1.973-1.366-1.357-1.518-0.795-1.482-0.42-1.188-0.107-0.705q0-0.339 0.080-0.759t0.33-1 0.652-1.036 1.143-0.777 1.688-0.321 1.679 0.313 1.125 0.732 0.634 0.946 0.312 0.875 0.071 0.598q0 0.607-0.411 1.446 0.5 0.482 1.464 0.75t1.661 0.304l0.714 0.018q2.054 0 3.393-0.911t1.339-2.375q0-0.464-0.161-0.866t-0.563-0.795-0.884-0.732-1.321-0.786-1.67-0.848-2.134-1.009q-0.5-0.232-0.768-0.357-2.071-0.982-3.339-1.786t-2.188-1.821-1.286-2.241-0.366-2.902q0-1.393 0.366-2.679t1.179-2.455 2.009-2.036 2.973-1.375 3.955-0.509q2.143 0 3.929 0.464t2.938 1.196 1.955 1.679 1.143 1.884 0.339 1.848q0 0.821-0.268 1.473t-0.652 1.036-0.866 0.643-0.875 0.348-0.696 0.089h-0.714t-0.696-0.089-0.786-0.25-0.732-0.5-0.661-0.821-0.429-1.259-0.179-1.741q-0.268-0.286-1.054-0.455t-1.446-0.188l-0.661-0.018q-1.214 0-2.098 0.554t-1.259 1.25-0.375 1.357q0 0.429 0.089 0.768t0.429 0.821 0.946 0.911 1.732 0.955 2.679 1.045q1.357 0.446 2.473 0.955t1.946 0.991 1.482 1.054 1.080 1.063 0.732 1.116 0.473 1.107 0.259 1.134 0.107 1.107 0.018 1.116z"></path>'),
	   	 			'clock_style2' => array('keywords' => 'clock_style2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 0c-8.822 0-16 7.178-16 16s7.178 16 16 16c8.822 0 16-7.178 16-16s-7.178-16-16-16zM16 30c-7.72 0-14-6.28-14-14s6.28-14 14-14 14 6.28 14 14-6.28 14-14 14zM17 15.585v-6.585c0-0.552-0.448-1-1-1s-1 0.448-1 1v7c0 0.265 0.105 0.52 0.293 0.707l7 7c0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293c0.39-0.39 0.39-1.023 0-1.414l-6.707-6.707z"></path>'),
	   	 			'grapes_food' => array('keywords' => 'grapes_food ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29.714 12.19c0-3.081-2.507-5.587-5.587-5.587-1.602 0-3.038 0.687-4.057 1.771-0.689-0.734-1.572-1.281-2.569-1.56 0.014-0.068 0.022-0.138 0.022-0.21 0-1.681 1.367-3.048 3.048-3.048 0.561 0 1.016-0.455 1.016-1.016s-0.455-1.016-1.016-1.016c-0.632 0-1.235 0.121-1.794 0.333-0.019-0.021-0.036-0.045-0.056-0.065-1.253-1.156-2.941-1.793-4.753-1.793s-3.501 0.637-4.753 1.793c-0.209 0.192-0.327 0.463-0.327 0.747s0.118 0.554 0.327 0.747c1.252 1.156 2.94 1.793 4.753 1.793 0.635 0 1.253-0.082 1.844-0.234-0.204 0.549-0.321 1.139-0.321 1.758 0 0.009 0.003 0.016 0.003 0.025-1.402 0.126-2.652 0.774-3.564 1.745-1.019-1.084-2.455-1.771-4.057-1.771-3.081 0-5.587 2.507-5.587 5.587 0 2.648 1.854 4.867 4.331 5.439-0.167 0.529-0.267 1.088-0.267 1.672 0 2.648 1.854 4.868 4.331 5.439-0.167 0.529-0.267 1.088-0.267 1.672 0 3.081 2.507 5.587 5.587 5.587s5.587-2.507 5.587-5.587c0-0.584-0.1-1.142-0.267-1.672 2.477-0.572 4.331-2.791 4.331-5.439 0-0.584-0.1-1.142-0.267-1.672 2.477-0.572 4.331-2.791 4.331-5.439zM11.701 2.54c1.368-0.658 3.165-0.658 4.534 0-1.368 0.658-3.166 0.658-4.534 0zM16 8.635c1.96 0 3.556 1.595 3.556 3.556s-1.595 3.556-3.556 3.556-3.556-1.595-3.556-3.556 1.595-3.556 3.556-3.556zM4.317 12.19c0-1.96 1.595-3.556 3.556-3.556 1.211 0 2.281 0.61 2.923 1.537-0.245 0.627-0.383 1.307-0.383 2.019s0.139 1.392 0.383 2.019c-0.643 0.927-1.712 1.537-2.923 1.537-1.96 0-3.556-1.595-3.556-3.556zM8.381 19.302c0-0.578 0.141-1.122 0.387-1.604 1.24-0.201 2.339-0.813 3.163-1.69 0.745 0.793 1.716 1.37 2.813 1.623-0.168 0.529-0.268 1.088-0.268 1.672 0 0.712 0.139 1.392 0.383 2.019-0.643 0.927-1.712 1.537-2.923 1.537-1.96 0-3.556-1.595-3.556-3.556zM16 29.968c-1.96 0-3.556-1.595-3.556-3.556 0-0.578 0.141-1.122 0.387-1.604 1.24-0.201 2.339-0.813 3.163-1.69 0.826 0.88 1.932 1.491 3.176 1.692 0.245 0.482 0.386 1.025 0.386 1.602 0 1.96-1.595 3.556-3.556 3.556zM20.064 22.857c-1.96 0-3.556-1.595-3.556-3.556 0-0.577 0.141-1.12 0.386-1.602 1.244-0.201 2.349-0.812 3.176-1.692 0.824 0.878 1.923 1.489 3.163 1.69 0.245 0.483 0.387 1.027 0.387 1.604 0 1.96-1.595 3.556-3.556 3.556zM24.127 15.746c-1.211 0-2.281-0.61-2.923-1.537 0.245-0.627 0.384-1.307 0.384-2.019s-0.139-1.392-0.384-2.019c0.643-0.927 1.712-1.537 2.923-1.537 1.96 0 3.556 1.595 3.556 3.556s-1.595 3.556-3.556 3.556z"></path>'),
	   	 			'radio' => array('keywords' => 'radio ','viewbox' => '0 0 32 32', 'path' =>'<path d="M26.688 16.667v-5.313h-21.375v5.313h16v-2.688h2.688v2.688h2.688zM9.313 27.354q1.625 0 2.813-1.188t1.188-2.813-1.188-2.813-2.813-1.188-2.813 1.188-1.188 2.813 1.188 2.813 2.813 1.188zM4.313 8.854l16.875-6.875 0.875 2.25-11 4.438h15.625q1.125 0 1.875 0.781t0.75 1.906v16q0 1.063-0.75 1.844t-1.875 0.781h-21.375q-1.125 0-1.875-0.781t-0.75-1.844v-16q0-1.875 1.625-2.5z"></path>'),
	   	 			'pencil4' => array('keywords' => 'pencil4 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M0 31.479c0 0.276 0.224 0.5 0.5 0.5h31.111c0.067 0 0.132-0.013 0.193-0.039s0.116-0.063 0.162-0.109c0.001-0.001 0.002-0.001 0.003-0.002 0.003-0.003 0.003-0.009 0.007-0.012 0.051-0.055 0.084-0.122 0.107-0.195 0.007-0.023 0.010-0.045 0.014-0.069 0.004-0.025 0.015-0.047 0.015-0.073 0-0.040-0.014-0.075-0.023-0.112-0.003-0.014 0.003-0.028-0.002-0.042l-3.16-9.715c-0.024-0.075-0.066-0.144-0.122-0.199l-17.117-17.118c-0.018-0.028-0.031-0.058-0.055-0.083l-3.739-3.739c-0.607-0.607-1.595-0.607-2.203 0l-5.235 5.235c-0.294 0.294-0.456 0.685-0.456 1.101s0.162 0.808 0.456 1.102l3.656 3.656c0.018 0.027 0.030 0.058 0.054 0.082l17.090 17.205c0.059 0.060 0.131 0.103 0.212 0.127l6.713 2h-27.681c-0.276-0.001-0.5 0.223-0.5 0.499zM6.362 10.161l15.687 15.486-0.577 2.002-16.245-16.353 1.135-1.135zM22.816 25l-15.748-15.545 2.437-2.437 15.607 15.648v2.334h-2.296zM25.735 21.875l-15.523-15.564 1.039-1.039 16.211 16.211-1.727 0.392zM22.988 26h2.624c0.276 0 0.5-0.224 0.5-0.5v-2.685l2.007-0.456 2.723 8.37-8.488-2.529 0.634-2.2zM1 6.808c0-0.149 0.058-0.288 0.163-0.394l5.235-5.235c0.217-0.217 0.57-0.218 0.789 0l3.372 3.372-6.023 6.023-3.372-3.372c-0.106-0.105-0.164-0.245-0.164-0.394z"></path>'),
	   	 			'bars' => array('keywords' => 'bars ','viewbox' => '0 0 27 32', 'path' =>'<path d="M27.429 24.286v2.286q0 0.464-0.339 0.804t-0.804 0.339h-25.143q-0.464 0-0.804-0.339t-0.339-0.804v-2.286q0-0.464 0.339-0.804t0.804-0.339h25.143q0.464 0 0.804 0.339t0.339 0.804zM27.429 15.143v2.286q0 0.464-0.339 0.804t-0.804 0.339h-25.143q-0.464 0-0.804-0.339t-0.339-0.804v-2.286q0-0.464 0.339-0.804t0.804-0.339h25.143q0.464 0 0.804 0.339t0.339 0.804zM27.429 6v2.286q0 0.464-0.339 0.804t-0.804 0.339h-25.143q-0.464 0-0.804-0.339t-0.339-0.804v-2.286q0-0.464 0.339-0.804t0.804-0.339h25.143q0.464 0 0.804 0.339t0.339 0.804z"></path>'),
	   	 			'opencart' => array('keywords' => 'opencart ','viewbox' => '0 0 41 32', 'path' =>'<path d="M27.214 28.161q0 1.214-0.857 2.071t-2.071 0.857-2.080-0.857-0.866-2.071 0.866-2.080 2.080-0.866 2.071 0.866 0.857 2.080zM13.839 28.161q0 1.214-0.866 2.071t-2.080 0.857-2.071-0.857-0.857-2.071 0.857-2.080 2.071-0.866 2.080 0.866 0.866 2.080zM0 1.482q1.018 1.071 1.973 1.866t2.161 1.464 2.429 1.125 2.964 0.813 3.571 0.563 4.464 0.33 5.429 0.17 6.652 0.045q2.482 0 4.366 0.089t3.232 0.295 2.214 0.491 1.268 0.705 0.429 0.92-0.348 1.143-1.009 1.366-1.598 1.625-2.071 1.866-2.482 2.125q-3.304 2.804-5.107 4.411 0.518-0.911 1.366-1.946t1.679-1.884 1.688-1.759 1.482-1.634 0.964-1.438 0.232-1.25-0.813-0.991-2.080-0.732-3.643-0.42-5.429-0.089q-3 0.036-5.607-0.107t-4.571-0.411-3.652-0.732-2.848-0.92-2.188-1.116-1.634-1.188-1.214-1.277-0.902-1.241-0.714-1.214-0.652-1.063z"></path>'),
	   	 			'user_symbol2' => array('keywords' => 'user_symbol2 ','viewbox' => '0 0 20 32', 'path' =>'<path d="M9 10c2.757 0 5-2.243 5-5s-2.243-5-5-5c-2.757 0-5 2.243-5 5s2.243 5 5 5zM9 2c1.655 0 3 1.345 3 3s-1.345 3-3 3-3-1.345-3-3 1.345-3 3-3zM20 23.501c0.001-2.487-2.014-4.501-4.5-4.501-2.485 0-4.5 2.015-4.5 4.5-0.001 2.145 1.502 3.937 3.511 4.387-0.004 0.038-0.011 0.075-0.011 0.113v0.5h-1c-0.552 0-1 0.448-1 1s0.448 1 1 1h1v0.5c0 0.552 0.448 1 1 1s1-0.448 1-1v-0.5h1c0.552 0 1-0.448 1-1s-0.448-1-1-1h-1v-0.5c0-0.038-0.007-0.075-0.011-0.113 2.009-0.451 3.512-2.242 3.511-4.387zM15.501 26c-1.382 0-2.501-1.119-2.501-2.5s1.119-2.5 2.5-2.5 2.5 1.119 2.5 2.5c0 1.381-1.119 2.5-2.499 2.5zM10 26h-4.5v-6c0-0.552-0.448-1-1-1h-2.429c0.486-3.387 3.408-6 6.928-6 2.87 0 5.417 1.717 6.489 4.374 0.207 0.512 0.789 0.759 1.302 0.553 0.512-0.207 0.76-0.79 0.553-1.302-1.379-3.417-4.654-5.625-8.344-5.625-4.963 0-9 4.037-9 9 0 0.552 0.448 1 1 1h2.5v6c0 0.552 0.448 1 1 1h5.5c0.552 0 1-0.448 1-1s-0.448-1-1-1z"></path>'),
	   	 			'user' => array('keywords' => 'user ','viewbox' => '0 0 32 32', 'path' =>'<path d="M18 22.082v-1.649c2.203-1.241 4-4.337 4-7.432 0-4.971 0-9-6-9s-6 4.029-6 9c0 3.096 1.797 6.191 4 7.432v1.649c-6.784 0.555-12 3.888-12 7.918h28c0-4.030-5.216-7.364-12-7.918z"></path>'),
	   	 			'indent-increase' => array('keywords' => 'indent-increase ','viewbox' => '0 0 32 32', 'path' =>'<path d="M0 2h32v4h-32zM12 8h20v4h-20zM12 14h20v4h-20zM12 20h20v4h-20zM0 26h32v4h-32zM0 22v-12l8 6z"></path>'),
	   	 			'bitcoin' => array('keywords' => 'bitcoin ','viewbox' => '0 0 24 32', 'path' =>'<path d="M20.839 11.714q0.321 3.25-2.339 4.607 2.089 0.5 3.125 1.839t0.804 3.821q-0.125 1.268-0.58 2.232t-1.152 1.589-1.732 1.045-2.17 0.616-2.598 0.268v4.554h-2.75v-4.482q-1.429 0-2.179-0.018v4.5h-2.75v-4.554q-0.321 0-0.964-0.009t-0.982-0.009h-3.571l0.554-3.268h1.982q0.893 0 1.036-0.911v-7.179h0.286q-0.107-0.018-0.286-0.018v-5.125q-0.232-1.214-1.589-1.214h-1.982v-2.929l3.786 0.018q1.143 0 1.732-0.018v-4.5h2.75v4.411q1.464-0.036 2.179-0.036v-4.375h2.75v4.5q1.411 0.125 2.5 0.402t2.018 0.804 1.473 1.393 0.652 2.045zM17 21.446q0-0.643-0.268-1.143t-0.661-0.821-1.027-0.545-1.17-0.33-1.321-0.161-1.232-0.054-1.152 0.018-0.848 0.018v6.036q0.143 0 0.661 0.009t0.857 0.009 0.946-0.027 1.045-0.071 1.018-0.152 0.991-0.25 0.848-0.375 0.705-0.536 0.438-0.714 0.17-0.911zM15.732 12.946q0-0.589-0.223-1.045t-0.545-0.75-0.857-0.5-0.982-0.295-1.098-0.143-1.036-0.045-0.964 0.018-0.705 0.009v5.482q0.089 0 0.616 0.009t0.83 0 0.893-0.036 0.982-0.098 0.92-0.196 0.866-0.33 0.661-0.482 0.482-0.688 0.161-0.911z"></path>'),
	   	 			'cubes' => array('keywords' => 'cubes ','viewbox' => '0 0 39 32', 'path' =>'<path d="M11.429 29.429l6.857-3.429v-5.607l-6.857 2.929v6.107zM10.286 21.321l7.214-3.089-7.214-3.089-7.214 3.089zM29.714 29.429l6.857-3.429v-5.607l-6.857 2.929v6.107zM28.571 21.321l7.214-3.089-7.214-3.089-7.214 3.089zM20.571 16.089l6.857-2.946v-4.75l-6.857 2.929v4.768zM19.429 9.321l7.875-3.375-7.875-3.375-7.875 3.375zM38.857 18.571v7.429q0 0.643-0.339 1.196t-0.929 0.839l-8 4q-0.446 0.25-1.018 0.25t-1.018-0.25l-8-4q-0.089-0.036-0.125-0.071-0.036 0.036-0.125 0.071l-8 4q-0.446 0.25-1.018 0.25t-1.018-0.25l-8-4q-0.589-0.286-0.929-0.839t-0.339-1.196v-7.429q0-0.679 0.384-1.25t1.009-0.857l7.75-3.321v-7.143q0-0.679 0.384-1.25t1.009-0.857l8-3.429q0.411-0.179 0.893-0.179t0.893 0.179l8 3.429q0.625 0.286 1.009 0.857t0.384 1.25v7.143l7.75 3.321q0.643 0.286 1.018 0.857t0.375 1.25z"></path>'),
	   	 			'traffic' => array('keywords' => 'traffic ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 12.667q1.125 0 1.906-0.813t0.781-1.875q0-1.125-0.781-1.875t-1.906-0.75-1.906 0.75-0.781 1.875q0 1.063 0.781 1.875t1.906 0.813zM16 19.354q1.125 0 1.906-0.813t0.781-1.875-0.813-1.875-1.875-0.813q-1.125 0-1.906 0.813t-0.781 1.875 0.781 1.875 1.906 0.813zM16 25.979q1.125 0 1.906-0.781t0.781-1.844-0.813-1.875-1.875-0.813q-1.125 0-1.906 0.813t-0.781 1.875 0.781 1.844 1.906 0.781zM26.688 13.979q0 1.875-1.125 3.281t-2.875 1.906v1.5h4q0 1.875-1.125 3.25t-2.875 1.875v1.563q0 0.563-0.406 0.938t-0.969 0.375h-10.625q-0.563 0-0.969-0.375t-0.406-0.938v-1.563q-1.75-0.5-2.875-1.875t-1.125-3.25h4v-1.5q-1.75-0.5-2.875-1.906t-1.125-3.281h4v-1.5q-1.75-0.5-2.875-1.875t-1.125-3.25h4v-1.375q0-0.563 0.406-0.938t0.969-0.375h10.625q0.563 0 0.969 0.375t0.406 0.938v1.375h4q0 1.875-1.125 3.25t-2.875 1.875v1.5h4z"></path>'),
	   	 			'effeil_tower' => array('keywords' => 'effeil_tower ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25.819 30.425c-1.852-2.636-3.273-4.851-4.349-7.047 0.314-0.169 0.53-0.496 0.53-0.878 0-0.552-0.448-1-1-1h-0.366c-0.519-1.3-0.928-2.634-1.242-4.079 0.358-0.152 0.608-0.507 0.608-0.921 0-0.539-0.427-0.976-0.962-0.996-0.345-2.269-0.506-4.854-0.533-8.005 0.549-0.003 0.995-0.449 0.995-1 0-0.552-0.448-1-1-1h-0.153l-0.361-2.164c-0.080-0.482-0.497-0.836-0.986-0.836v-1.5c0-0.552-0.448-1-1-1s-1 0.448-1 1v1.5c-0.489 0-0.906 0.353-0.986 0.836l-0.361 2.164h-0.152c-0.552 0-1 0.448-1 1s0.445 0.997 0.995 1c-0.027 3.15-0.188 5.735-0.533 8.005-0.534 0.021-0.962 0.457-0.962 0.996 0 0.413 0.251 0.768 0.609 0.921-0.314 1.447-0.723 2.78-1.242 4.079h-0.367c-0.552 0-1 0.448-1 1 0 0.382 0.216 0.709 0.531 0.878-1.076 2.197-2.497 4.411-4.349 7.047-0.215 0.305-0.241 0.704-0.069 1.035s0.513 0.539 0.887 0.539h4.5c0.552 0 1-0.448 1-1 0-1.93 1.57-3.5 3.5-3.5s3.5 1.57 3.5 3.5c0 0.552 0.448 1 1 1h4.5c0.373 0 0.715-0.208 0.887-0.539s0.145-0.73-0.069-1.035zM15.847 4.5h0.306l0.166 1h-0.639l0.166-1zM15.495 7.5h1.009c0.026 3.122 0.177 5.715 0.497 8h-2.003c0.32-2.284 0.471-4.878 0.497-8zM14.656 17.5h2.687c0.287 1.419 0.657 2.73 1.122 4h-4.932c0.466-1.27 0.835-2.581 1.123-4zM21.409 30c-0.471-2.557-2.718-4.5-5.41-4.5s-4.938 1.943-5.409 4.5h-1.684c1.6-2.357 2.845-4.42 3.801-6.5h6.584c0.956 2.080 2.201 4.143 3.801 6.5h-1.683z"></path>'),
	   	 			'pause2' => array('keywords' => 'pause2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M18.688 7.354h5.313v18.625h-5.313v-18.625zM8 25.979v-18.625h5.313v18.625h-5.313z"></path>'),
	   	 			'desk_lamp' => array('keywords' => 'desk_lamp ','viewbox' => '0 0 32 32', 'path' =>'<path d="M27.5 29.5c0-1.309-1.015-2.375-2.299-2.48-0.065-0.014-0.132-0.020-0.201-0.020h-10v-2.778c0.595-0.346 1-0.984 1-1.722 0-1.105-0.896-2-2-2-0.136 0-0.268 0.014-0.396 0.040l-5.215-5.91c0.066-0.199 0.111-0.409 0.111-0.63 0-0.295-0.068-0.572-0.182-0.824l5.496-7.694c0.063 0.006 0.123 0.019 0.187 0.019 0.738 0 1.376-0.405 1.722-1h1.956c-1.648 1.089-2.68 2.942-2.678 5 0 0.552 0.448 0.999 1 0.999h1.645c0.163 0.552 0.462 1.056 0.88 1.474 0.661 0.661 1.54 1.026 2.475 1.026s1.814-0.364 2.475-1.026c0.419-0.418 0.717-0.924 0.88-1.475h1.645c0.552 0 1-0.448 1-0.999 0.001-2.382-1.378-4.49-3.5-5.457v-3.043c0-0.552-0.448-1-1-1h-3c-0.552 0-1 0.448-1 1v1.5h-2.778c-0.347-0.595-0.985-1-1.722-1-1.104 0-2 0.896-2 2 0 0.295 0.068 0.572 0.182 0.824l-5.495 7.694c-0.063-0.006-0.123-0.018-0.186-0.018-1.104 0-2 0.896-2 2s0.896 2 2 2c0.136 0 0.268-0.014 0.396-0.040l5.215 5.91c-0.067 0.2-0.111 0.409-0.111 0.63 0 0.738 0.405 1.376 1 1.723v2.777h-2c-0.069 0-0.136 0.007-0.201 0.020-1.283 0.105-2.299 1.17-2.299 2.48s1.015 2.375 2.299 2.48c0.065 0.014 0.132 0.020 0.201 0.020h14c0.070 0 0.137-0.007 0.201-0.020 1.283-0.105 2.299-1.17 2.299-2.48zM22.061 10.56c-0.567 0.566-1.555 0.567-2.122 0-0.020-0.020-0.039-0.040-0.057-0.060h2.236c-0.019 0.021-0.038 0.041-0.058 0.060zM20.5 2h1v2.729c0 0.437 0.284 0.823 0.7 0.954 1.348 0.423 2.339 1.497 2.675 2.816l-7.751 0.001c0.336-1.319 1.328-2.394 2.675-2.817 0.417-0.131 0.701-0.517 0.701-0.954v-2.729zM11 30c-0.275 0-0.5-0.224-0.5-0.5s0.225-0.5 0.5-0.5h14c0.276 0 0.5 0.224 0.5 0.5s-0.224 0.5-0.5 0.5h-14z"></path>'),
	   	 			'text_formatting2' => array('keywords' => 'text_formatting2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M28.5 30h-15c-0.552 0-1 0.448-1 1s0.448 1 1 1h15c0.552 0 1-0.448 1-1s-0.448-1-1-1zM13.5 12h15c0.552 0 1-0.448 1-1s-0.448-1-1-1h-15c-0.552 0-1 0.448-1 1s0.448 1 1 1zM16.504 8.868c0.157 0.090 0.327 0.132 0.495 0.132 0.348 0 0.684-0.181 0.869-0.504l0.855-1.496h4.553l0.855 1.496c0.185 0.323 0.523 0.504 0.869 0.504 0.169 0 0.339-0.043 0.495-0.132 0.48-0.274 0.646-0.885 0.372-1.364l-4-7c-0.001 0-0.002 0.001-0.003 0.002-0.086-0.15-0.208-0.282-0.369-0.374-0.479-0.275-1.090-0.107-1.364 0.372l-4 7c-0.274 0.48-0.108 1.091 0.372 1.364zM21 3.015l1.134 1.985h-2.268l1.134-1.984zM21.866 20.507c-0.085-0.151-0.208-0.282-0.369-0.375-0.479-0.274-1.090-0.107-1.364 0.372l-4 7c-0.274 0.48-0.108 1.090 0.372 1.364 0.157 0.090 0.327 0.132 0.495 0.132 0.348 0 0.684-0.18 0.869-0.504l0.855-1.497h4.553l0.855 1.496c0.185 0.323 0.523 0.504 0.869 0.504 0.169 0 0.339-0.042 0.495-0.132 0.48-0.274 0.646-0.885 0.372-1.364l-4-7c-0.001 0.002-0.002 0.003-0.003 0.003zM19.866 25l1.134-1.985 1.134 1.985h-2.268zM10.72 16.625c0.197 0.247 0.488 0.375 0.781 0.375 0.219 0 0.44-0.072 0.624-0.219 0.431-0.345 0.501-0.974 0.156-1.405l-4-5c-0.38-0.474-1.183-0.474-1.562 0l-4 5c-0.345 0.431-0.276 1.061 0.156 1.405s1.060 0.275 1.406-0.156l2.219-2.774v14.294l-2.219-2.774c-0.345-0.43-0.974-0.502-1.406-0.156-0.431 0.345-0.502 0.974-0.156 1.406l4 5c0.189 0.237 0.476 0.375 0.78 0.375s0.591-0.138 0.781-0.375l4-5c0.345-0.431 0.275-1.061-0.156-1.406s-1.060-0.275-1.405 0.156l-2.219 2.774v-14.293l2.22 2.774z"></path>'),
	   	 			'gift3' => array('keywords' => 'gift3 ','viewbox' => '0 0 42 32', 'path' =>'<path d="M1.5 17c-0.276 0-0.5 0.224-0.5 0.5v12c0 0.827 0.673 1.5 1.5 1.5h10c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-10c-0.276 0-0.5-0.224-0.5-0.5v-12c0-0.276-0.224-0.5-0.5-0.5zM40.5 17c-0.276 0-0.5 0.224-0.5 0.5v12c0 0.276-0.224 0.5-0.5 0.5h-21c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h21c0.827 0 1.5-0.673 1.5-1.5v-12c0-0.276-0.224-0.5-0.5-0.5zM18 1.5c0 0.276 0.224 0.5 0.5 0.5h21c0.276 0 0.5 0.224 0.5 0.5v8.958c0 0.276 0.224 0.5 0.5 0.5s0.5-0.224 0.5-0.5v-8.958c0-0.827-0.673-1.5-1.5-1.5h-21c-0.276 0-0.5 0.224-0.5 0.5zM2.5 1c-0.827 0-1.5 0.673-1.5 1.5v8.958c0 0.276 0.224 0.5 0.5 0.5s0.5-0.224 0.5-0.5v-8.958c0-0.276 0.224-0.5 0.5-0.5h10c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-10zM41.5 13.958h-20.4c0.397-0.176 0.74-0.381 0.984-0.625 1.511-1.511 1.511-3.969 0-5.48-1.464-1.464-4.016-1.464-5.48 0-0.235 0.235-0.432 0.563-0.604 0.94v-8.293c0-0.276-0.224-0.5-0.5-0.5s-0.5 0.224-0.5 0.5v13.225c-1.703-0.702-4.701-2.144-5.316-3.387-0.4-0.808-0.461-1.722-0.173-2.576s0.892-1.543 1.699-1.943c0.248-0.123 0.349-0.422 0.227-0.67-0.124-0.248-0.422-0.35-0.67-0.227-1.047 0.518-1.829 1.413-2.203 2.52s-0.294 2.293 0.224 3.339c0.605 1.222 2.63 2.391 4.275 3.177h-12.563c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h9.346c-0.387 0.174-0.722 0.375-0.961 0.614-1.511 1.511-1.511 3.969 0 5.48 0.732 0.732 1.705 1.135 2.74 1.135s2.008-0.403 2.74-1.135c0.248-0.248 0.456-0.599 0.635-1.005v11.453c0 0.276 0.224 0.5 0.5 0.5s0.5-0.224 0.5-0.5v-16.305c1.708 0.706 4.673 2.138 5.285 3.374 0.4 0.808 0.461 1.722 0.173 2.576-0.289 0.854-0.892 1.543-1.699 1.943-0.248 0.123-0.349 0.422-0.227 0.67 0.087 0.176 0.265 0.278 0.449 0.278 0.074 0 0.15-0.017 0.221-0.052 1.047-0.518 1.829-1.413 2.203-2.52s0.294-2.292-0.224-3.339c-0.602-1.216-2.611-2.38-4.252-3.167h23.571c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5zM17.311 8.561c0.543-0.543 1.265-0.842 2.033-0.842s1.49 0.299 2.033 0.842c1.121 1.121 1.121 2.945 0 4.066-0.854 0.854-3.79 1.202-5.367 1.3 0.112-1.864 0.522-4.587 1.301-5.366zM13.658 20.345c-1.086 1.086-2.98 1.086-4.066 0-1.121-1.121-1.121-2.945 0-4.066 0.854-0.854 3.79-1.202 5.367-1.3-0.112 1.864-0.522 4.587-1.301 5.366z"></path>'),
	   	 			'flag2' => array('keywords' => 'flag2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M19.188 8.667h7.5v13.313h-9.375l-0.5-2.625h-7.5v9.313h-2.625v-22.688h12z"></path>'),
	   	 			'bookmark' => array('keywords' => 'bookmark ','viewbox' => '0 0 32 32', 'path' =>'<path d="M6 0v32l10-10 10 10v-32z"></path>'),
	   	 			'tree2' => array('keywords' => 'tree2 ','viewbox' => '0 0 27 32', 'path' =>'<path d="M26.857 26.571q0 0.464-0.339 0.804t-0.804 0.339h-8.25q0.018 0.304 0.107 1.563t0.089 1.938q0 0.446-0.321 0.759t-0.768 0.313h-5.714q-0.446 0-0.768-0.313t-0.321-0.759q0-0.679 0.089-1.938t0.107-1.563h-8.25q-0.464 0-0.804-0.339t-0.339-0.804 0.339-0.804l7.179-7.196h-4.089q-0.464 0-0.804-0.339t-0.339-0.804 0.339-0.804l7.179-7.196h-3.518q-0.464 0-0.804-0.339t-0.339-0.804 0.339-0.804l6.857-6.857q0.339-0.339 0.804-0.339t0.804 0.339l6.857 6.857q0.339 0.339 0.339 0.804t-0.339 0.804-0.804 0.339h-3.518l7.179 7.196q0.339 0.339 0.339 0.804t-0.339 0.804-0.804 0.339h-4.089l7.179 7.196q0.339 0.339 0.339 0.804z"></path>'),
	   	 			'underline' => array('keywords' => 'underline ','viewbox' => '0 0 32 32', 'path' =>'<path d="M22 2h4v13c0 4.971-4.477 9-10 9s-10-4.029-10-9v-13h4v13c0 1.255 0.57 2.459 1.605 3.391 1.153 1.038 2.714 1.609 4.395 1.609s3.242-0.572 4.395-1.609c1.035-0.931 1.605-2.136 1.605-3.391v-13zM6 26h20v4h-20z"></path>'),
	   	 			'file-text-o' => array('keywords' => 'file-text-o ','viewbox' => '0 0 27 32', 'path' =>'<path d="M26.214 7.071q0.5 0.5 0.857 1.357t0.357 1.571v20.571q0 0.714-0.5 1.214t-1.214 0.5h-24q-0.714 0-1.214-0.5t-0.5-1.214v-28.571q0-0.714 0.5-1.214t1.214-0.5h16q0.714 0 1.571 0.357t1.357 0.857zM18.286 2.714v6.714h6.714q-0.179-0.518-0.393-0.732l-5.589-5.589q-0.214-0.214-0.732-0.393zM25.143 30v-18.286h-7.429q-0.714 0-1.214-0.5t-0.5-1.214v-7.429h-13.714v27.429h22.857zM6.857 14.571q0-0.25 0.161-0.411t0.411-0.161h12.571q0.25 0 0.411 0.161t0.161 0.411v1.143q0 0.25-0.161 0.411t-0.411 0.161h-12.571q-0.25 0-0.411-0.161t-0.161-0.411v-1.143zM20 18.571q0.25 0 0.411 0.161t0.161 0.411v1.143q0 0.25-0.161 0.411t-0.411 0.161h-12.571q-0.25 0-0.411-0.161t-0.161-0.411v-1.143q0-0.25 0.161-0.411t0.411-0.161h12.571zM20 23.143q0.25 0 0.411 0.161t0.161 0.411v1.143q0 0.25-0.161 0.411t-0.411 0.161h-12.571q-0.25 0-0.411-0.161t-0.161-0.411v-1.143q0-0.25 0.161-0.411t0.411-0.161h12.571z"></path>'),
	   	 			'images' => array('keywords' => 'images ','viewbox' => '0 0 36 32', 'path' =>'<path d="M34 4h-2v-2c0-1.1-0.9-2-2-2h-28c-1.1 0-2 0.9-2 2v24c0 1.1 0.9 2 2 2h2v2c0 1.1 0.9 2 2 2h28c1.1 0 2-0.9 2-2v-24c0-1.1-0.9-2-2-2zM4 6v20h-1.996c-0.001-0.001-0.003-0.002-0.004-0.004v-23.993c0.001-0.001 0.002-0.003 0.004-0.004h27.993c0.001 0.001 0.003 0.002 0.004 0.004v1.996h-24c-1.1 0-2 0.9-2 2v0zM34 29.996c-0.001 0.001-0.002 0.003-0.004 0.004h-27.993c-0.001-0.001-0.003-0.002-0.004-0.004v-23.993c0.001-0.001 0.002-0.003 0.004-0.004h27.993c0.001 0.001 0.003 0.002 0.004 0.004v23.993zM30 11c0 1.657-1.343 3-3 3s-3-1.343-3-3 1.343-3 3-3 3 1.343 3 3zM32 28h-24v-4l7-12 8 10h2l7-6z"></path>'),
	   	 			'live_tv' => array('keywords' => 'live_tv ','viewbox' => '0 0 32 32', 'path' =>'<path d="M12 13.979l9.313 5.375-9.313 5.313v-10.688zM28 27.354v-16h-24v16h24zM28 8.667q1.063 0 1.875 0.781t0.813 1.906v16q0 1.063-0.813 1.844t-1.875 0.781h-24q-1.063 0-1.875-0.781t-0.813-1.844v-16q0-1.125 0.813-1.906t1.875-0.781h10.125l-4.375-4.375 0.938-0.938 5.313 5.313 5.313-5.313 0.938 0.938-4.375 4.375h10.125z"></path>'),
	   	 			'filter_4' => array('keywords' => 'filter_4 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M28 23.354v-18.688h-18.688v18.688h18.688zM28 1.979q1.063 0 1.875 0.813t0.813 1.875v18.688q0 1.063-0.813 1.844t-1.875 0.781h-18.688q-1.063 0-1.844-0.781t-0.781-1.844v-18.688q0-1.063 0.781-1.875t1.844-0.813h18.688zM20 20.667v-5.313h-5.313v-8h2.625v5.313h2.688v-5.313h2.688v13.313h-2.688zM4 7.354v21.313h21.313v2.688h-21.313q-1.063 0-1.875-0.813t-0.813-1.875v-21.313h2.688z"></path>'),
	   	 			'suitcase' => array('keywords' => 'suitcase ','viewbox' => '0 0 32 32', 'path' =>'<path d="M11.429 7.143h9.143v-2.286h-9.143v2.286zM5.143 7.143v22.857h-1.143q-1.643 0-2.821-1.179t-1.179-2.821v-14.857q0-1.643 1.179-2.821t2.821-1.179h1.143zM25.143 7.143v22.857h-18.286v-22.857h2.286v-2.857q0-0.714 0.5-1.214t1.214-0.5h10.286q0.714 0 1.214 0.5t0.5 1.214v2.857h2.286zM32 11.143v14.857q0 1.643-1.179 2.821t-2.821 1.179h-1.143v-22.857h1.143q1.643 0 2.821 1.179t1.179 2.821z"></path>'),
	   	 			'star-half' => array('keywords' => 'star-half ','viewbox' => '0 0 32 32', 'path' =>'<path d="M32 12.408l-11.056-1.607-4.944-10.018-4.944 10.018-11.056 1.607 8 7.798-1.889 11.011 9.889-5.199 9.889 5.199-1.889-11.011 8-7.798zM16 23.547l-0.029 0.015 0.029-17.837 3.492 7.075 7.807 1.134-5.65 5.507 1.334 7.776-6.983-3.671z"></path>'),
	   	 			'helmet_worker' => array('keywords' => 'helmet_worker ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 19h-0.042c-0.513-6.703-6.127-12-12.958-12s-12.445 5.297-12.958 12h-0.042c-1.655 0-3 1.346-3 3s1.345 3 3 3h26c1.654 0 3-1.346 3-3s-1.346-3-3-3zM29 23h-26c-0.552 0-1-0.448-1-1s0.448-1 1-1h1c0.552 0 1-0.448 1-1 0-4.265 2.442-7.969 6-9.793v3.793c0 0.552 0.448 1 1 1s1-0.448 1-1v-4.581c0.645-0.183 1.313-0.309 2-0.372v4.953c0 0.552 0.448 1 1 1s1-0.448 1-1v-4.953c0.687 0.063 1.355 0.189 2 0.372v4.581c0 0.552 0.448 1 1 1s1-0.448 1-1v-3.793c3.558 1.824 6 5.527 6 9.793 0 0.552 0.448 1 1 1h1c0.552 0 1 0.448 1 1s-0.448 1-1 1z"></path>'),
	   	 			'history_building' => array('keywords' => 'history_building ','viewbox' => '0 0 32 32', 'path' =>'<path d="M17 23h-2c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h2c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5zM17 20h-2c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h2c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5zM17 17h-2c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h2c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5zM17 14h-2c-0.276 0-0.5 0.223-0.5 0.5s0.224 0.5 0.5 0.5h2c0.276 0 0.5-0.223 0.5-0.5s-0.224-0.5-0.5-0.5zM31 22h-1v-3c0-0.552-0.448-1-1-1h-1v-3c0-0.552-0.448-1-1-1h-1v-3c0-0.552-0.448-1-1-1h-3v-4h1c0.552 0 1-0.448 1-1s-0.448-1-1-1h-14c-0.552 0-1 0.448-1 1s0.448 1 1 1h1v4h-3c-0.552 0-1 0.448-1 1v3h-1c-0.552 0-1 0.448-1 1v3h-1c-0.552 0-1 0.448-1 1v3h-1c-0.552 0-1 0.448-1 1v4c0 0.552 0.448 1 1 1h30c0.552 0 1-0.448 1-1v-4c0-0.552-0.448-1-1-1zM28 20v2h-7.5v-2h7.5zM16.5 10h-1v-1h1v1zM13.5 12h5v14h-5v-14zM26 16v2h-5.5v-2h5.5zM24 14h-3.5v-2h3.5v2zM12 6h8v4h-1.5v-2c0-0.552-0.448-1-1-1h-3c-0.552 0-1 0.448-1 1v2h-1.5v-4zM8 12h3.5v2h-3.5v-2zM6 16h5.5v2h-5.5v-2zM4 20h7.5v2h-7.5v-2zM2 24h9.5v2h-9.5v-2zM30 26h-9.5v-2h9.5v2z"></path>'),
	   	 			'mode_edit' => array('keywords' => 'mode_edit ','viewbox' => '0 0 32 32', 'path' =>'<path d="M27.625 10.042l-2.438 2.438-5-5 2.438-2.438q0.375-0.375 0.938-0.375t0.938 0.375l3.125 3.125q0.375 0.375 0.375 0.938t-0.375 0.938zM4 23.667l14.75-14.75 5 5-14.75 14.75h-5v-5z"></path>'),
	   	 			'pen_style2' => array('keywords' => 'pen_style2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31.707 21.293l-21-21c-0.39-0.391-1.024-0.391-1.414 0l-9 9c-0.391 0.39-0.391 1.024 0 1.414l21 21c0.188 0.188 0.442 0.293 0.707 0.293h9c0.552 0 1-0.448 1-1v-9c0-0.265-0.105-0.52-0.293-0.707zM21.5 29.086l-15.586-15.586 1.586-1.586 15.586 15.586-1.586 1.586zM24.5 26.086l-15.586-15.586 1.586-1.586 15.586 15.586-1.586 1.586zM27.5 23.086l-15.586-15.586 1.586-1.586 15.586 15.586-1.586 1.586zM10 2.414l2.086 2.086-7.586 7.586-2.086-2.086 7.586-7.585zM23.414 30l6.586-6.586v6.586h-6.586z"></path>'),
	   	 			'filter_9_plus' => array('keywords' => 'filter_9_plus ','viewbox' => '0 0 32 32', 'path' =>'<path d="M28 12.667v-8h-18.688v18.688h18.688v-8h-2.688v2.625h-2.625v-2.625h-2.688v-2.688h2.688v-2.688h2.625v2.688h2.688zM28 1.979q1.063 0 1.875 0.813t0.813 1.875v18.688q0 1.063-0.813 1.844t-1.875 0.781h-18.688q-1.063 0-1.844-0.781t-0.781-1.844v-18.688q0-1.063 0.781-1.875t1.844-0.813h18.688zM14.688 12.667h1.313v-1.313h-1.313v1.313zM18.688 16.667q0 1.125-0.813 1.906t-1.875 0.781h-4v-2.688h4v-1.313h-1.313q-1.063 0-1.875-0.781t-0.813-1.906v-1.313q0-1.125 0.813-1.906t1.875-0.781h1.313q1.063 0 1.875 0.781t0.813 1.906v5.313zM4 7.354v21.313h21.313v2.688h-21.313q-1.063 0-1.875-0.813t-0.813-1.875v-21.313h2.688z"></path>'),
	   	 			'dring_food' => array('keywords' => 'dring_food ','viewbox' => '0 0 32 32', 'path' =>'<path d="M28.759 5.651l-0.003-0.003c0.15-0.175 0.244-0.399 0.244-0.648 0-0.552-0.448-1-1-1h-2.393l2.131-2.324c0.373-0.407 0.346-1.040-0.061-1.413s-1.040-0.346-1.413 0.061l-3.369 3.675h-18.893c-0.552 0-1 0.448-1 1 0 0.248 0.094 0.473 0.244 0.648l-0.003 0.003 11.759 13.719v10.63h-4c-0.552 0-1 0.448-1 1s0.448 1 1 1h10c0.552 0 1-0.448 1-1s-0.448-1-1-1h-4v-10.63l11.759-13.719zM15.324 13.737c0.193 0.176 0.434 0.263 0.676 0.263 0.27 0 0.54-0.109 0.738-0.324l1.536-1.676h2.409l-4.683 5.463-4.683-5.463h4.242l-0.297 0.324c-0.373 0.408-0.345 1.040 0.062 1.413zM25.826 6l-3.428 4h-2.291l3.667-4h2.052zM17.393 10h-7.791l-3.428-4h14.886l-3.666 4z"></path>'),
	   	 			'notifications_none' => array('keywords' => 'notifications_none ','viewbox' => '0 0 32 32', 'path' =>'<path d="M21.313 23.354v-8q0-2.563-1.438-4.281t-3.875-1.719-3.875 1.719-1.438 4.281v8h10.625zM24 21.979l2.688 2.688v1.313h-21.375v-1.313l2.688-2.688v-6.625q0-3.125 1.594-5.438t4.406-3v-0.938q0-0.813 0.563-1.406t1.438-0.594 1.438 0.594 0.563 1.406v0.938q2.813 0.688 4.406 3t1.594 5.438v6.625zM16 29.979q-1.063 0-1.875-0.781t-0.813-1.844h5.375q0 1.063-0.813 1.844t-1.875 0.781z"></path>'),
	   	 			'phonelink_setup' => array('keywords' => 'phonelink_setup ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25.313 1.979q1.063 0 1.875 0.813t0.813 1.875v24q0 1.063-0.813 1.875t-1.875 0.813h-13.313q-1.063 0-1.875-0.813t-0.813-1.875v-4h2.688v2.688h13.313v-21.375h-13.313v2.688h-2.688v-4q0-1.063 0.813-1.875t1.875-0.813h13.313zM10.688 19.354q1.063 0 1.844-0.813t0.781-1.875-0.781-1.875-1.844-0.813-1.875 0.813-0.813 1.875 0.813 1.875 1.875 0.813zM15.75 17.354l1.438 1.188q0.25 0.25 0.125 0.375l-1.313 2.313q-0.125 0.125-0.375 0.125l-1.75-0.688q-0.875 0.563-1.188 0.688l-0.313 1.688q-0.313 0.313-0.375 0.313h-2.688q-0.125 0-0.219-0.125t-0.031-0.188l-0.25-1.688q-0.313-0.125-1.188-0.688l-1.875 0.563q-0.125 0.125-0.438-0.188l-1.313-2.25q0-0.25 0.125-0.5l1.5-1.063v-1.375l-1.5-1.063q-0.25-0.25-0.125-0.375l1.313-2.313q0.125-0.125 0.438-0.125l1.688 0.688q0.813-0.563 1.25-0.688l0.25-1.688q0.313-0.313 0.375-0.313h2.688q0.375 0 0.375 0.313l0.313 1.688q0.313 0.125 1.188 0.688l1.75-0.563q0.125-0.063 0.375 0.188l1.313 2.25q0 0.25-0.125 0.375l-1.438 1.063v1.375z"></path>'),
	   	 			'code-fork' => array('keywords' => 'code-fork ','viewbox' => '0 0 18 32', 'path' =>'<path d="M5.143 26.571q0-0.714-0.5-1.214t-1.214-0.5-1.214 0.5-0.5 1.214 0.5 1.214 1.214 0.5 1.214-0.5 0.5-1.214zM5.143 6q0-0.714-0.5-1.214t-1.214-0.5-1.214 0.5-0.5 1.214 0.5 1.214 1.214 0.5 1.214-0.5 0.5-1.214zM16.571 8.286q0-0.714-0.5-1.214t-1.214-0.5-1.214 0.5-0.5 1.214 0.5 1.214 1.214 0.5 1.214-0.5 0.5-1.214zM18.286 8.286q0 0.929-0.464 1.723t-1.25 1.241q-0.036 5.125-4.036 7.393-1.214 0.679-3.625 1.446-2.286 0.714-3.027 1.268t-0.741 1.786v0.464q0.786 0.446 1.25 1.241t0.464 1.723q0 1.429-1 2.429t-2.429 1-2.429-1-1-2.429q0-0.929 0.464-1.723t1.25-1.241v-14.643q-0.786-0.446-1.25-1.241t-0.464-1.723q0-1.429 1-2.429t2.429-1 2.429 1 1 2.429q0 0.929-0.464 1.723t-1.25 1.241v8.875q0.964-0.464 2.75-1.018 0.982-0.304 1.562-0.527t1.259-0.554 1.054-0.705 0.723-0.911 0.5-1.241 0.152-1.634q-0.786-0.446-1.25-1.241t-0.464-1.723q0-1.429 1-2.429t2.429-1 2.429 1 1 2.429z"></path>'),
	   	 			'staircase_up' => array('keywords' => 'staircase_up ','viewbox' => '0 0 32 32', 'path' =>'<path d="M1.71 11.426l3.251-3.251v1.601h0c0 0.553 0.448 1 1 1s0.999-0.448 1-1c0-0.001-0-0.003-0-0.005v-3.767c0-0.001 0-0.003 0-0.005v0 0c0-0.552-0.448-1-1-1-0.002 0-0.003 0-0.005 0h-3.772c-0.552 0-1 0.448-1 1s0.448 1 1 1h1.121l-3.010 3.010c-0.391 0.39-0.391 1.024 0.001 1.414s1.023 0.391 1.413 0.002zM31.003 5.003h-8.479c-0.012 0-0.023-0.003-0.035-0.003-0.552 0-1 0.447-1 1 0 0.001 0 0.001 0 0.002v5.998h-5.952c-0.011-0.001-0.023-0.004-0.034-0.004-0.278 0-0.528 0.114-0.71 0.296s-0.293 0.431-0.293 0.708c0 0.011 0.003 0.023 0.004 0.034v5.462h-6c-0.553 0-1 0.448-1 1 0 0.001 0 0.001 0 0.002v5.502h-6.503c-0.552 0-1 0.448-1 1s0.448 1 1 1c0.001 0 0.001 0 0.002 0h7.498c0.001 0 0.002 0 0.003 0 0.552 0 1-0.448 1-1v-5.504c0 0 5.989 0.004 6 0.004 0.552 0 0.999-0.448 1-1v-5.5h5.99c0.001 0 0.002 0 0.003 0 0.552 0 1-0.447 1-1 0-0.024-0.006-0.045-0.007-0.069v-5.928h7.511c0.001 0 0.002 0 0.003 0 0.552 0 1-0.447 1-1s-0.447-0.999-1-1z"></path>'),
	   	 			'align-right' => array('keywords' => 'align-right ','viewbox' => '0 0 32 32', 'path' =>'<path d="M32 24.286v2.286q0 0.464-0.339 0.804t-0.804 0.339h-29.714q-0.464 0-0.804-0.339t-0.339-0.804v-2.286q0-0.464 0.339-0.804t0.804-0.339h29.714q0.464 0 0.804 0.339t0.339 0.804zM32 17.429v2.286q0 0.464-0.339 0.804t-0.804 0.339h-22.857q-0.464 0-0.804-0.339t-0.339-0.804v-2.286q0-0.464 0.339-0.804t0.804-0.339h22.857q0.464 0 0.804 0.339t0.339 0.804zM32 10.571v2.286q0 0.464-0.339 0.804t-0.804 0.339h-27.429q-0.464 0-0.804-0.339t-0.339-0.804v-2.286q0-0.464 0.339-0.804t0.804-0.339h27.429q0.464 0 0.804 0.339t0.339 0.804zM32 3.714v2.286q0 0.464-0.339 0.804t-0.804 0.339h-20.571q-0.464 0-0.804-0.339t-0.339-0.804v-2.286q0-0.464 0.339-0.804t0.804-0.339h20.571q0.464 0 0.804 0.339t0.339 0.804z"></path>'),
	   	 			'web_asset' => array('keywords' => 'web_asset ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25.313 24.667v-13.313h-18.625v13.313h18.625zM25.313 5.979q1.125 0 1.906 0.813t0.781 1.875v16q0 1.063-0.813 1.875t-1.875 0.813h-18.625q-1.125 0-1.906-0.813t-0.781-1.875v-16q0-1.063 0.781-1.875t1.906-0.813h18.625z"></path>'),
	   	 			'calendar_date' => array('keywords' => 'calendar_date ','viewbox' => '0 0 32 32', 'path' =>'<path d="M11.5 4.5c0 0.828-0.672 1.5-1.5 1.5s-1.5-0.672-1.5-1.5c0-0.828 0.672-1.5 1.5-1.5s1.5 0.672 1.5 1.5zM23.5 4.5c0 0.828-0.672 1.5-1.5 1.5s-1.5-0.672-1.5-1.5c0-0.828 0.672-1.5 1.5-1.5s1.5 0.672 1.5 1.5zM20.469 21.267c1.558-1.319 3.031-2.566 3.031-4.123 0-2.284-1.794-4.143-4-4.143s-4 1.858-4 4.143c0 0.552 0.448 1 1 1s1-0.448 1-1c0-1.181 0.898-2.143 2-2.143s2 0.961 2 2.143c0 0.631-1.288 1.721-2.323 2.597-1.724 1.459-3.677 3.113-3.677 5.26 0 0.552 0.448 1 1 1h6c0.552 0 1-0.448 1-1s-0.448-1-1-1h-4.692c0.526-0.924 1.642-1.871 2.661-2.733zM27 0h-22c-2.757 0-5 2.243-5 5v22c0 2.757 2.243 5 5 5h22c2.757 0 5-2.243 5-5v-22c0-2.757-2.243-5-5-5zM5 2h22c1.654 0 3 1.345 3 3v2h-28v-2c0-1.655 1.345-3 3-3zM27 30h-22c-1.655 0-3-1.346-3-3v-18h28v18c0 1.654-1.346 3-3 3zM11.5 26c-0.552 0-1-0.448-1-1v-8.585l-1.293 1.293c-0.39 0.39-1.024 0.39-1.415 0s-0.391-1.023 0-1.414l3-3.001c0.286-0.286 0.716-0.372 1.090-0.217s0.617 0.52 0.617 0.924v11c0 0.552-0.448 1-1 1z"></path>'),
	   	 			'fullscreen_exit' => array('keywords' => 'fullscreen_exit ','viewbox' => '0 0 32 32', 'path' =>'<path d="M21.313 11.354h4v2.625h-6.625v-6.625h2.625v4zM18.688 25.979v-6.625h6.625v2.625h-4v4h-2.625zM10.688 11.354v-4h2.625v6.625h-6.625v-2.625h4zM6.688 21.979v-2.625h6.625v6.625h-2.625v-4h-4z"></path>'),
	   	 			'commenting' => array('keywords' => 'commenting ','viewbox' => '0 0 32 32', 'path' =>'<path d="M11.429 16.286q0-0.946-0.67-1.616t-1.616-0.67-1.616 0.67-0.67 1.616 0.67 1.616 1.616 0.67 1.616-0.67 0.67-1.616zM18.286 16.286q0-0.946-0.67-1.616t-1.616-0.67-1.616 0.67-0.67 1.616 0.67 1.616 1.616 0.67 1.616-0.67 0.67-1.616zM25.143 16.286q0-0.946-0.67-1.616t-1.616-0.67-1.616 0.67-0.67 1.616 0.67 1.616 1.616 0.67 1.616-0.67 0.67-1.616zM32 16.286q0 3.107-2.143 5.741t-5.821 4.161-8.036 1.527q-1.964 0-3.768-0.321-3.089 3.089-7.768 4.089-0.929 0.179-1.536 0.232-0.214 0.018-0.393-0.107t-0.232-0.321q-0.071-0.268 0.357-0.661 0.089-0.089 0.42-0.384t0.455-0.42 0.42-0.455 0.429-0.563 0.366-0.661 0.357-0.857 0.259-1.027 0.223-1.295q-2.607-1.607-4.098-3.866t-1.491-4.813q0-3.107 2.143-5.741t5.821-4.161 8.036-1.527 8.036 1.527 5.821 4.161 2.143 5.741z"></path>'),
	   	 			'weather_13' => array('keywords' => 'weather_13 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25 7.5c-0.477 0-0.954 0.050-1.424 0.149-1.648-2.578-4.482-4.149-7.576-4.149-3.92 0-7.348 2.538-8.545 6.18-0.474-0.12-0.96-0.18-1.455-0.18-3.308 0-6 2.691-6 6s2.692 6 6 6h1.5c0.552 0 1-0.448 1-1s-0.448-1-1-1h-1.5c-2.205 0-4-1.794-4-4s1.795-4 4-4c0.594 0 1.171 0.132 1.716 0.392 0.279 0.134 0.605 0.13 0.883-0.011s0.473-0.4 0.53-0.704c0.629-3.29 3.518-5.677 6.87-5.677 2.617 0 4.996 1.447 6.209 3.776 0.227 0.437 0.738 0.643 1.204 0.486 0.52-0.174 1.053-0.262 1.587-0.262 2.757 0 5 2.243 5 5s-2.243 5-5 5h-0.5c-0.313 0-0.589 0.146-0.772 0.372-0.819-0.844-1.962-1.372-3.228-1.372-2.482 0-4.5 2.018-4.5 4.5s2.018 4.5 4.5 4.5 4.5-2.018 4.5-4.5c0-0.526-0.096-1.030-0.262-1.5h0.262c3.86 0 7-3.14 7-7s-3.14-7-7-7zM20.5 26.5c-1.93 0-3.5-1.57-3.5-3.5s1.57-3.5 3.5-3.5 3.5 1.57 3.5 3.5-1.57 3.5-3.5 3.5zM10.5 24v-4c0-0.276-0.223-0.5-0.5-0.5s-0.5 0.224-0.5 0.5v4c0 0.276 0.223 0.5 0.5 0.5s0.5-0.224 0.5-0.5zM13.5 25v-4c0-0.276-0.223-0.5-0.5-0.5s-0.5 0.224-0.5 0.5v4c0 0.276 0.223 0.5 0.5 0.5s0.5-0.224 0.5-0.5zM20.5 20.5c-0.276 0-0.5 0.224-0.5 0.5v2.5c0 0.276 0.224 0.5 0.5 0.5s0.5-0.224 0.5-0.5v-2.5c0-0.276-0.224-0.5-0.5-0.5zM14 27.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM11 26.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM21 25c0 0.276-0.224 0.5-0.5 0.5s-0.5-0.224-0.5-0.5c0-0.276 0.224-0.5 0.5-0.5s0.5 0.224 0.5 0.5z"></path>'),
	   	 			'settings_power' => array('keywords' => 'settings_power ','viewbox' => '0 0 32 32', 'path' =>'<path d="M20 32.667v-2.688h2.688v2.688h-2.688zM22.063 6.604q4.625 3.25 4.625 8.75 0 4.375-3.125 7.5t-7.563 3.125-7.563-3.125-3.125-7.5q0-5.5 4.625-8.75l1.875 1.875q-3.813 2.375-3.813 6.875 0 3.313 2.344 5.656t5.656 2.344 5.656-2.344 2.344-5.656q0-4.5-3.875-6.813zM17.313 3.354v13.313h-2.625v-13.313h2.625zM14.688 32.667v-2.688h2.625v2.688h-2.625zM9.313 32.667v-2.688h2.688v2.688h-2.688z"></path>'),
	   	 			'fiber_new' => array('keywords' => 'fiber_new ','viewbox' => '0 0 32 32', 'path' =>'<path d="M27.313 19.354v-6.688h-1.625v6h-1.5v-4.688h-1.688v4.688h-1.5v-6h-1.688v6.688q0 0.563 0.406 0.938t0.969 0.375h5.313q0.563 0 0.938-0.375t0.375-0.938zM18 14.354v-1.688h-5.313v8h5.313v-1.688h-3.313v-1.438h3.313v-1.688h-3.313v-1.5h3.313zM11.313 20.667v-8h-1.625v4.688l-3.375-4.688h-1.625v8h1.625v-4.688l3.438 4.688h1.563zM26.688 5.979q1.125 0 1.875 0.781t0.75 1.906v16q0 1.125-0.75 1.906t-1.875 0.781h-21.375q-1.125 0-1.875-0.781t-0.75-1.906v-16q0-1.125 0.75-1.906t1.875-0.781h21.375z"></path>'),
	   	 			'card_travel' => array('keywords' => 'card_travel ','viewbox' => '0 0 32 32', 'path' =>'<path d="M26.688 19.354v-8h-4v2.625h-2.688v-2.625h-8v2.625h-2.688v-2.625h-4v8h21.375zM26.688 25.979v-2.625h-21.375v2.625h21.375zM12 5.979v2.687h8v-2.688h-8zM26.688 8.667q1.125 0 1.875 0.781t0.75 1.906v14.625q0 1.125-0.75 1.906t-1.875 0.781h-21.375q-1.125 0-1.875-0.781t-0.75-1.906v-14.625q0-1.125 0.75-1.906t1.875-0.781h4v-2.688q0-1.125 0.781-1.875t1.906-0.75h8q1.125 0 1.906 0.75t0.781 1.875v2.688h4z"></path>'),
	   	 			'code' => array('keywords' => 'code ','viewbox' => '0 0 34 32', 'path' =>'<path d="M11.018 25.268l-0.893 0.893q-0.179 0.179-0.411 0.179t-0.411-0.179l-8.321-8.321q-0.179-0.179-0.179-0.411t0.179-0.411l8.321-8.321q0.179-0.179 0.411-0.179t0.411 0.179l0.893 0.893q0.179 0.179 0.179 0.411t-0.179 0.411l-7.018 7.018 7.018 7.018q0.179 0.179 0.179 0.411t-0.179 0.411zM21.571 6.214l-6.661 23.054q-0.071 0.232-0.277 0.348t-0.42 0.045l-1.107-0.304q-0.232-0.071-0.348-0.277t-0.045-0.438l6.661-23.054q0.071-0.232 0.277-0.348t0.42-0.045l1.107 0.304q0.232 0.071 0.348 0.277t0.045 0.438zM33.304 17.839l-8.321 8.321q-0.179 0.179-0.411 0.179t-0.411-0.179l-0.893-0.893q-0.179-0.179-0.179-0.411t0.179-0.411l7.018-7.018-7.018-7.018q-0.179-0.179-0.179-0.411t0.179-0.411l0.893-0.893q0.179-0.179 0.411-0.179t0.411 0.179l8.321 8.321q0.179 0.179 0.179 0.411t-0.179 0.411z"></path>'),
	   	 			'desktop_modern1' => array('keywords' => 'desktop_modern1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M6 20c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM31 7h-18c-0.552 0-1 0.448-1 1v12c0 0.552 0.448 1 1 1h8v2h-2c-0.552 0-1 0.448-1 1s0.448 1 1 1h6c0.552 0 1-0.448 1-1s-0.448-1-1-1h-2v-2h8c0.552 0 1-0.448 1-1v-12c0-0.552-0.448-1-1-1zM30 19h-16v-10h16v10zM9 7h-8c-0.552 0-1 0.448-1 1v16c0 0.552 0.448 1 1 1h8c0.552 0 1-0.448 1-1v-16c0-0.552-0.448-1-1-1zM2 12h6v1h-6v-1zM8 9v1h-6v-1h6zM8 23h-6v-8h6v8z"></path>'),
	   	 			'hashtag' => array('keywords' => 'hashtag ','viewbox' => '0 0 32 32', 'path' =>'<path d="M17.696 18.571l1.143-4.571h-4.536l-1.143 4.571h4.536zM31.411 9.571l-1 4q-0.125 0.429-0.554 0.429h-5.839l-1.143 4.571h5.554q0.268 0 0.446 0.214 0.179 0.25 0.107 0.5l-1 4q-0.089 0.429-0.554 0.429h-5.839l-1.446 5.857q-0.125 0.429-0.554 0.429h-4q-0.286 0-0.464-0.214-0.161-0.214-0.107-0.5l1.393-5.571h-4.536l-1.446 5.857q-0.125 0.429-0.554 0.429h-4.018q-0.268 0-0.446-0.214-0.161-0.214-0.107-0.5l1.393-5.571h-5.554q-0.268 0-0.446-0.214-0.161-0.214-0.107-0.5l1-4q0.125-0.429 0.554-0.429h5.839l1.143-4.571h-5.554q-0.268 0-0.446-0.214-0.179-0.25-0.107-0.5l1-4q0.089-0.429 0.554-0.429h5.839l1.446-5.857q0.125-0.429 0.571-0.429h4q0.268 0 0.446 0.214 0.161 0.214 0.107 0.5l-1.393 5.571h4.536l1.446-5.857q0.125-0.429 0.571-0.429h4q0.268 0 0.446 0.214 0.161 0.214 0.107 0.5l-1.393 5.571h5.554q0.268 0 0.446 0.214 0.161 0.214 0.107 0.5z"></path>'),
	   	 			'glass_symbol' => array('keywords' => 'glass_symbol ','viewbox' => '0 0 32 32', 'path' =>'<path d="M24.681 6.654c-0.081-0.299-0.295-0.544-0.58-0.663s-0.61-0.098-0.879 0.053c-0.526 0.298-1.122 0.455-1.722 0.455-1.93 0-3.5-1.571-3.5-3.5 0-0.5 0.108-0.99 0.32-1.451 0.128-0.281 0.12-0.607-0.023-0.881s-0.405-0.466-0.71-0.52c-0.555-0.099-1.075-0.147-1.586-0.147-4.963 0-9 4.038-9 9v12c0 0.552 0.447 1 1 1h5.5v7.5c0 0.070 0.007 0.137 0.021 0.202 0.104 1.282 1.17 2.298 2.479 2.298s2.375-1.015 2.479-2.298c0.013-0.066 0.020-0.133 0.020-0.202v-7.5h5.5c0.552 0 1-0.448 1-1v-12c0-0.773-0.108-1.563-0.319-2.345zM16.5 29.5c0 0.276-0.224 0.5-0.5 0.5s-0.5-0.224-0.5-0.5v-7.5h1v7.5zM23 20h-14v-11c0-3.889 3.181-7.056 7.092-6.999-0.061 0.328-0.092 0.662-0.092 0.999 0 3.033 2.467 5.5 5.5 5.5 0.494 0 0.988-0.068 1.462-0.199 0.026 0.235 0.038 0.469 0.038 0.699v11z"></path>'),
	   	 			'printer2' => array('keywords' => 'printer2 ','viewbox' => '0 0 42 32', 'path' =>'<path d="M40.5 10h-2.5v-3.5c0-0.827-0.673-1.5-1.5-1.5h-2c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h2c0.275 0 0.5 0.224 0.5 0.5v3.5h-4v-9.5c0-0.276-0.224-0.5-0.5-0.5h-23c-0.276 0-0.5 0.224-0.5 0.5v9.5h-4v-3.5c0-0.276 0.225-0.5 0.5-0.5h2c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-2c-0.827 0-1.5 0.673-1.5 1.5v3.5h-2.5c-0.827 0-1.5 0.673-1.5 1.5v14c0 0.827 0.673 1.5 1.5 1.5h6c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-6c-0.275 0-0.5-0.224-0.5-0.5v-3.5h40v3.5c0 0.276-0.225 0.5-0.5 0.5h-6c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h6c0.827 0 1.5-0.673 1.5-1.5v-14c0-0.827-0.673-1.5-1.5-1.5zM10 1h22v9h-22v-9zM1 21v-9.5c0-0.276 0.225-0.5 0.5-0.5h39c0.275 0 0.5 0.224 0.5 0.5v9.5h-40zM32.5 23c-0.276 0-0.5 0.224-0.5 0.5v7.5h-22v-7.5c0-0.276-0.224-0.5-0.5-0.5s-0.5 0.224-0.5 0.5v8c0 0.276 0.224 0.5 0.5 0.5h23c0.276 0 0.5-0.224 0.5-0.5v-8c0-0.276-0.224-0.5-0.5-0.5zM37 18c0 0.552 0.448 1 1 1s1-0.448 1-1c0-0.552-0.448-1-1-1s-1 0.448-1 1zM33 18c0 0.552 0.448 1 1 1s1-0.448 1-1c0-0.552-0.448-1-1-1s-1 0.448-1 1z"></path>'),
	   	 			'keyboard2' => array('keywords' => 'keyboard2 ','viewbox' => '0 0 36 32', 'path' =>'<path d="M34 4h-32c-1.1 0-2 0.9-2 2v20c0 1.1 0.9 2 2 2h32c1.1 0 2-0.9 2-2v-20c0-1.1-0.9-2-2-2zM20 8h4v4h-4v-4zM26 14v4h-4v-4h4zM14 8h4v4h-4v-4zM20 14v4h-4v-4h4zM8 8h4v4h-4v-4zM14 14v4h-4v-4h4zM4 8h2v4h-2v-4zM4 14h4v4h-4v-4zM6 24h-2v-4h2v4zM24 24h-16v-4h16v4zM32 24h-6v-4h6v4zM32 18h-4v-4h4v4zM32 12h-6v-4h6v4z"></path>'),
	   	 			'barcode' => array('keywords' => 'barcode ','viewbox' => '0 0 32 32', 'path' =>'<path d="M0 4h4v20h-4zM6 4h2v20h-2zM10 4h2v20h-2zM16 4h2v20h-2zM24 4h2v20h-2zM30 4h2v20h-2zM20 4h1v20h-1zM14 4h1v20h-1zM27 4h1v20h-1zM0 26h2v2h-2zM6 26h2v2h-2zM10 26h2v2h-2zM20 26h2v2h-2zM30 26h2v2h-2zM24 26h4v2h-4zM14 26h4v2h-4z"></path>'),
	   	 			'mobile3' => array('keywords' => 'mobile3 ','viewbox' => '0 0 14 32', 'path' =>'<path d="M8.286 25.429q0-0.589-0.42-1.009t-1.009-0.42-1.009 0.42-0.42 1.009 0.42 1.009 1.009 0.42 1.009-0.42 0.42-1.009zM12 22.571v-12.571q0-0.232-0.17-0.402t-0.402-0.17h-9.143q-0.232 0-0.402 0.17t-0.17 0.402v12.571q0 0.232 0.17 0.402t0.402 0.17h9.143q0.232 0 0.402-0.17t0.17-0.402zM8.571 7.429q0-0.286-0.286-0.286h-2.857q-0.286 0-0.286 0.286t0.286 0.286h2.857q0.286 0 0.286-0.286zM13.714 7.143v18.286q0 0.929-0.679 1.607t-1.607 0.679h-9.143q-0.929 0-1.607-0.679t-0.679-1.607v-18.286q0-0.929 0.679-1.607t1.607-0.679h9.143q0.929 0 1.607 0.679t0.679 1.607z"></path>'),
	   	 			'stack' => array('keywords' => 'stack ','viewbox' => '0 0 32 32', 'path' =>'<path d="M32 10l-16-8-16 8 16 8 16-8zM16 4.655l10.689 5.345-10.689 5.345-10.689-5.345 10.689-5.345zM28.795 14.398l3.205 1.602-16 8-16-8 3.205-1.602 12.795 6.398zM28.795 20.398l3.205 1.602-16 8-16-8 3.205-1.602 12.795 6.398z"></path>'),
	   	 			'terminal' => array('keywords' => 'terminal ','viewbox' => '0 0 32 32', 'path' =>'<path d="M0 2v28h32v-28h-32zM30 28h-28v-24h28v24zM28 6h-24v20h24v-20zM14 16h-2v2h-2v2h-2v-2h2v-2h2v-2h-2v-2h-2v-2h2v2h2v2h2v2zM22 20h-6v-2h6v2z"></path>'),
	   	 			'inbox' => array('keywords' => 'inbox ','viewbox' => '0 0 27 32', 'path' =>'<path d="M18.268 17.429h5.643q-0.018-0.054-0.045-0.143t-0.045-0.143l-3.786-8.857h-12.643l-3.786 8.857q-0.018 0.036-0.045 0.143t-0.045 0.143h5.643l1.696 3.429h5.714zM27.429 17.964v8.607q0 0.464-0.339 0.804t-0.804 0.339h-25.143q-0.464 0-0.804-0.339t-0.339-0.804v-8.607q0-1.107 0.446-2.196l4.25-9.857q0.179-0.446 0.652-0.75t0.938-0.304h14.857q0.464 0 0.938 0.304t0.652 0.75l4.25 9.857q0.446 1.089 0.446 2.196z"></path>'),
	   	 			'renren' => array('keywords' => 'renren ','viewbox' => '0 0 32 32', 'path' =>'<path d="M13.287 0.331c-7.537 1.269-13.287 7.825-13.287 15.725 0 3.925 1.425 7.519 3.775 10.3 5.581-2.7 9.488-8.813 9.512-15.931v-10.094zM18.712 0.331c7.538 1.269 13.288 7.825 13.288 15.725 0 3.925-1.425 7.519-3.775 10.3-5.581-2.7-9.488-8.813-9.512-15.931v-10.094zM15.944 20.081c-0.994 4.113-3.963 7.625-7.656 9.963 2.275 1.244 4.881 1.956 7.656 1.956s5.381-0.712 7.656-1.956c-3.694-2.337-6.663-5.85-7.656-9.963z"></path>'),
	   	 			'fitness_center' => array('keywords' => 'fitness_center ','viewbox' => '0 0 32 32', 'path' =>'<path d="M27.438 20.479l1.875 1.938-2.813 2.813 1.875 1.938-1.875 1.875-1.938-1.875-2.813 2.813-1.938-1.875-1.875 1.875-1.938-1.875 4.75-4.75-11.438-11.438-4.75 4.75-1.875-1.938 1.875-1.875-1.875-1.938 2.813-2.813-1.875-1.938 1.875-1.875 1.938 1.875 2.813-2.813 1.938 1.875 1.875-1.875 1.938 1.875-4.75 4.75 11.438 11.438 4.75-4.75 1.875 1.938z"></path>'),
	   	 			'change_history' => array('keywords' => 'change_history ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 5.979l13.313 21.375h-26.625zM16 11.042l-8.5 13.625h17z"></path>'),
	   	 			'border_horizontal' => array('keywords' => 'border_horizontal ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25.313 28.667v-2.688h2.688v2.688h-2.688zM20 28.667v-2.688h2.688v2.688h-2.688zM14.688 23.354v-2.688h2.625v2.688h-2.625zM25.313 12.667v-2.688h2.688v2.688h-2.688zM25.313 4.667h2.688v2.688h-2.688v-2.688zM4 17.979v-2.625h24v2.625h-24zM14.688 28.667v-2.688h2.625v2.688h-2.625zM25.313 23.354v-2.688h2.688v2.688h-2.688zM17.313 4.667v2.688h-2.625v-2.688h2.625zM17.313 9.979v2.688h-2.625v-2.688h2.625zM22.688 4.667v2.688h-2.688v-2.688h2.688zM12 4.667v2.688h-2.688v-2.688h2.688zM6.688 4.667v2.688h-2.688v-2.688h2.688zM9.313 28.667v-2.688h2.688v2.688h-2.688zM4 23.354v-2.688h2.688v2.688h-2.688zM6.688 9.979v2.688h-2.688v-2.688h2.688zM4 28.667v-2.688h2.688v2.688h-2.688z"></path>'),
	   	 			'deviantart2' => array('keywords' => 'deviantart2 ','viewbox' => '0 0 18 32', 'path' =>'<path d="M18.286 5.696l-5.411 10.393 0.429 0.554h4.982v7.411h-9.054l-0.786 0.536-2.536 4.875-0.536 0.536h-5.375v-5.411l5.411-10.411-0.429-0.536h-4.982v-7.411h9.054l0.786-0.536 2.536-4.875 0.536-0.536h5.375v5.411z"></path>'),
	   	 			'settings_input_hdmi' => array('keywords' => 'settings_input_hdmi ','viewbox' => '0 0 32 32', 'path' =>'<path d="M10.688 5.979v4h2.625v-2.625h1.375v2.625h2.625v-2.625h1.375v2.625h2.625v-4h-10.625zM24 9.979h1.313v8l-4 8v4h-10.625v-4l-4-8v-8h1.313v-4q0-1.063 0.813-1.844t1.875-0.781h10.625q1.063 0 1.875 0.781t0.813 1.844v4z"></path>'),
	   	 			'cogs2' => array('keywords' => 'cogs2 ','viewbox' => '0 0 34 32', 'path' =>'<path d="M16 16.286q0-1.893-1.339-3.232t-3.232-1.339-3.232 1.339-1.339 3.232 1.339 3.232 3.232 1.339 3.232-1.339 1.339-3.232zM29.714 25.429q0-0.929-0.679-1.607t-1.607-0.679-1.607 0.679-0.679 1.607q0 0.946 0.67 1.616t1.616 0.67 1.616-0.67 0.67-1.616zM29.714 7.143q0-0.929-0.679-1.607t-1.607-0.679-1.607 0.679-0.679 1.607q0 0.946 0.67 1.616t1.616 0.67 1.616-0.67 0.67-1.616zM22.857 14.661v3.304q0 0.179-0.125 0.348t-0.286 0.188l-2.768 0.429q-0.196 0.625-0.571 1.357 0.607 0.857 1.607 2.054 0.125 0.179 0.125 0.357 0 0.214-0.125 0.339-0.411 0.536-1.473 1.598t-1.402 1.063q-0.196 0-0.375-0.125l-2.054-1.607q-0.661 0.339-1.375 0.554-0.196 1.929-0.411 2.768-0.125 0.429-0.536 0.429h-3.321q-0.196 0-0.357-0.134t-0.179-0.313l-0.411-2.732q-0.607-0.179-1.339-0.554l-2.107 1.589q-0.125 0.125-0.357 0.125-0.196 0-0.375-0.143-2.571-2.375-2.571-2.857 0-0.161 0.125-0.339 0.179-0.25 0.732-0.946t0.839-1.089q-0.411-0.786-0.625-1.464l-2.714-0.429q-0.179-0.018-0.304-0.17t-0.125-0.348v-3.304q0-0.179 0.125-0.348t0.286-0.188l2.768-0.429q0.196-0.625 0.571-1.357-0.607-0.857-1.607-2.054-0.125-0.196-0.125-0.357 0-0.214 0.125-0.357 0.393-0.536 1.464-1.589t1.411-1.054q0.196 0 0.375 0.125l2.054 1.607q0.607-0.321 1.375-0.571 0.196-1.929 0.411-2.75 0.125-0.429 0.536-0.429h3.321q0.196 0 0.357 0.134t0.179 0.313l0.411 2.732q0.607 0.179 1.339 0.554l2.107-1.589q0.143-0.125 0.357-0.125 0.196 0 0.375 0.143 2.571 2.375 2.571 2.857 0 0.161-0.125 0.339-0.214 0.286-0.75 0.964t-0.804 1.071q0.411 0.857 0.607 1.464l2.714 0.411q0.179 0.036 0.304 0.188t0.125 0.348zM34.286 24.179v2.5q0 0.286-2.661 0.554-0.214 0.482-0.536 0.929 0.911 2.018 0.911 2.464 0 0.071-0.071 0.125-2.179 1.268-2.214 1.268-0.143 0-0.821-0.839t-0.929-1.214q-0.357 0.036-0.536 0.036t-0.536-0.036q-0.25 0.375-0.929 1.214t-0.821 0.839q-0.036 0-2.214-1.268-0.071-0.054-0.071-0.125 0-0.446 0.911-2.464-0.321-0.446-0.536-0.929-2.661-0.268-2.661-0.554v-2.5q0-0.286 2.661-0.554 0.232-0.518 0.536-0.929-0.911-2.018-0.911-2.464 0-0.071 0.071-0.125 0.071-0.036 0.625-0.357t1.054-0.607 0.536-0.286q0.143 0 0.821 0.83t0.929 1.205q0.357-0.036 0.536-0.036t0.536 0.036q0.911-1.268 1.643-2l0.107-0.036q0.071 0 2.214 1.25 0.071 0.054 0.071 0.125 0 0.446-0.911 2.464 0.304 0.411 0.536 0.929 2.661 0.268 2.661 0.554zM34.286 5.893v2.5q0 0.286-2.661 0.554-0.214 0.482-0.536 0.929 0.911 2.018 0.911 2.464 0 0.071-0.071 0.125-2.179 1.268-2.214 1.268-0.143 0-0.821-0.839t-0.929-1.214q-0.357 0.036-0.536 0.036t-0.536-0.036q-0.25 0.375-0.929 1.214t-0.821 0.839q-0.036 0-2.214-1.268-0.071-0.054-0.071-0.125 0-0.446 0.911-2.464-0.321-0.446-0.536-0.929-2.661-0.268-2.661-0.554v-2.5q0-0.286 2.661-0.554 0.232-0.518 0.536-0.929-0.911-2.018-0.911-2.464 0-0.071 0.071-0.125 0.071-0.036 0.625-0.357t1.054-0.607 0.536-0.286q0.143 0 0.821 0.83t0.929 1.205q0.357-0.036 0.536-0.036t0.536 0.036q0.911-1.268 1.643-2l0.107-0.036q0.071 0 2.214 1.25 0.071 0.054 0.071 0.125 0 0.446-0.911 2.464 0.304 0.411 0.536 0.929 2.661 0.268 2.661 0.554z"></path>'),
	   	 			'folder_3' => array('keywords' => 'folder_3 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 6.5h-14.070l-3.369-3.561c-0.292-0.293-0.677-0.439-1.060-0.439v0h-7.5c-1.651 0-3 1.349-3 3v21c0 1.649 1.349 3 3 3h26c1.649 0 3-1.351 3-3v-17c0-1.651-1.351-3-3-3zM30 26.5c0 0.55-0.45 1-1 1h-26c-0.55 0-1-0.45-1-1v-17c0-0.55 0.45-1 1-1h26c0.55 0 1 0.45 1 1v17zM21.837 24.461h-11.204c-2.68 0-4.861-2.18-4.861-4.861 0-2.608 2.066-4.743 4.647-4.855 1.149-1.968 3.272-3.206 5.58-3.206 2.717 0 5.091 1.668 6.034 4.148 2.329 0.102 4.194 2.030 4.194 4.385 0 2.421-1.969 4.389-4.39 4.389zM10.633 16.74c-1.577 0-2.861 1.283-2.861 2.86s1.283 2.861 2.861 2.861h11.204c1.318 0 2.39-1.072 2.39-2.389s-1.073-2.389-2.39-2.389c-0.108 0-0.226 0.011-0.373 0.034l-0.912 0.142-0.215-0.898c-0.481-2.014-2.265-3.421-4.338-3.421-1.751 0-3.348 1.033-4.069 2.632l-0.296 0.655-0.716-0.072c-0.094-0.009-0.19-0.015-0.287-0.015z"></path>'),
	   	 			'browser_symbol5' => array('keywords' => 'browser_symbol5 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 2.5h-26c-1.65 0-3 1.35-3 3v21c0 1.65 1.35 3 3 3h26c1.65 0 3-1.35 3-3v-21c0-1.65-1.35-3-3-3zM30 26.5c0 0.55-0.45 1-1 1h-26c-0.55 0-1-0.45-1-1v-14h28v14zM30 10.5h-28v-5c0-0.55 0.45-1 1-1h26c0.55 0 1 0.45 1 1v5zM6 7.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM10 7.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM14 7.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM14 17h12c0.552 0 1-0.448 1-1s-0.448-1-1-1h-12c-0.552 0-1 0.448-1 1s0.448 1 1 1zM14 21h12c0.552 0 1-0.448 1-1s-0.448-1-1-1h-12c-0.552 0-1 0.448-1 1s0.448 1 1 1zM6 25h20c0.552 0 1-0.448 1-1s-0.448-1-1-1h-20c-0.552 0-1 0.448-1 1s0.448 1 1 1zM6 21h4c0.552 0 1-0.448 1-1v-4c0-0.552-0.448-1-1-1h-4c-0.552 0-1 0.448-1 1v4c0 0.552 0.448 1 1 1zM7 17h2v2h-2v-2z"></path>'),
	   	 			'castle_symbol3' => array('keywords' => 'castle_symbol3 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M27.5 13.604v-1.104c0-0.553-0.448-1-1-1s-1 0.447-1 1v1.104c-0.938 0.189-1.793 0.633-2.5 1.271v-5.875c0-3.519-2.614-6.433-6-6.92v-1.079c0-0.552-0.448-1-1-1s-1 0.448-1 1v1.079c-3.386 0.488-6 3.401-6 6.92v5.875c-0.707-0.637-1.563-1.082-2.5-1.271v-1.104c0-0.553-0.448-1-1-1s-1 0.447-1 1v1.104c-2.556 0.515-4.5 2.96-4.5 5.896v11.5c0 0.552 0.448 1 1 1h30c0.552 0 1-0.448 1-1v-11.5c0-2.936-1.944-5.381-4.5-5.896zM26.5 15.5c1.628 0 3 1.276 3.389 3h-6.778c0.389-1.724 1.761-3 3.389-3zM16 4c2.415 0 4.434 1.72 4.899 4h-9.799c0.464-2.28 2.485-4 4.899-4zM5.5 15.5c1.628 0 3 1.276 3.389 3h-6.778c0.389-1.724 1.761-3 3.389-3zM13 30v-5c0-1.654 1.345-3 3-3s3 1.346 3 3v5h-6zM30 30h-9v-5c0-2.758-2.243-5-5-5s-5 2.242-5 5v5h-9v-9.5h8c0.552 0 1-0.448 1-1v-9.5h10v9.5c0 0.552 0.448 1 1 1h8v9.5z"></path>'),
	   	 			'book_closed1' => array('keywords' => 'book_closed1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M28 3.001c0-1.649-1.349-3-2.999-3v0l-16.5-0.001c-2.486 0-4.501 2.014-4.5 4.5v0h-0.001v23c0 2.485 2.014 4.5 4.5 4.5v0.001h16.501c1.649 0 2.999-1.349 3-3v-26h-0.001zM6.001 4.5v0c-0.001-1.381 1.119-2.5 2.499-2.501v21c-0.925 0-1.785 0.28-2.5 0.759v-19.259h0.001zM26 29c0.001 0.55-0.45 1-1 1l-16.5-0c-1.38 0.001-2.499-1.119-2.5-2.499h0.001v-0c-0.001-1.381 1.119-2.5 2.5-2.5h16.5c0.351 0 0.686-0.064 1-0.177v4.177h-0.001zM26 22c0.001 0.55-0.45 1-1 1h-14.5v-21h14.5c0.551 0 1.001 0.45 1 1h0.001v19h-0.001z"></path>'),
	   	 			'camer_hd_symbol3' => array('keywords' => 'camer_hd_symbol3 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 12.25c2.206 0 4-1.794 4-4s-1.794-4-4-4-4 1.795-4 4 1.794 4 4 4zM16 6.25c1.102 0 2 0.897 2 2s-0.898 2-2 2-2-0.898-2-2 0.898-2 2-2zM5 12.25c2.757 0 5-2.243 5-5s-2.243-5-5-5-5 2.243-5 5 2.243 5 5 5zM5 4.25c1.655 0 3 1.345 3 3s-1.345 3-3 3-3-1.345-3-3 1.345-3 3-3zM31.526 14.899c-0.294-0.182-0.663-0.199-0.973-0.044l-6.552 3.276v-1.382c0-1.655-1.346-3-3-3h-18.001c-1.655 0-3 1.345-3 3v10c0 1.654 1.345 3 3 3h18c1.654 0 3-1.346 3-3v-1.382l6.552 3.276c0.142 0.070 0.294 0.105 0.448 0.105 0.183 0 0.365-0.050 0.526-0.149 0.295-0.182 0.474-0.504 0.474-0.851v-12c0-0.347-0.18-0.668-0.474-0.851zM21 27.75h-18c-0.552 0-1-0.448-1-1v-10c0-0.552 0.448-1 1-1h18c0.552 0 1 0.448 1 1v2.997c0 0.002-0 0.003-0 0.003v4c0 0.001 0 0.002 0 0.003v2.997c0 0.552-0.448 1-1 1zM30 26.132l-6-3v-2.764l6-3v8.764zM19 17.75h-14c-0.552 0-1 0.448-1 1s0.448 1 1 1h14c0.552 0 1-0.448 1-1s-0.448-1-1-1z"></path>'),
	   	 			'wallet_n1' => array('keywords' => 'wallet_n1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 7.25h-1v-2.5c0-1.651-1.35-3-3-3l-22 3.5c-1.65 0-3 1.349-3 3v19c0 1.649 1.35 3 3 3h26c1.65 0 3-1.351 3-3v-17c0-1.651-1.35-3-3-3zM25 3.75c0.55 0 1 0.45 1 1v2.5h-23l22-3.5zM30 27.25c0 0.55-0.45 1-1 1h-26c-0.55 0-1-0.45-1-1v-17c0-0.55 0.45-1 1-1h26c0.55 0 1 0.45 1 1v17zM25.5 15.782c-1.656 0-3 1.343-3 3s1.343 3 3 3c1.656 0 3-1.343 3-3s-1.344-3-3-3zM25.5 19.782c-0.552 0-1-0.448-1-1s0.448-1 1-1c0.552 0 1 0.448 1 1s-0.448 1-1 1z"></path>'),
	   	 			'portable_wifi_off' => array('keywords' => 'portable_wifi_off ','viewbox' => '0 0 32 32', 'path' =>'<path d="M4.375 3.979l1.313 1.375 22.313 22.313-1.688 1.688-10-10.063h-0.063l-0.25 0.063q-1.063 0-1.875-0.813t-0.813-1.875l0.063-0.25-2.125-2.125q-0.563 1.125-0.563 2.375 0 3.063 2.625 4.625l-1.313 2.313q-1.813-1.063-2.906-2.906t-1.094-4.031q0-2.375 1.25-4.313l-1.875-1.938q-2.063 2.875-2.063 6.25 0 2.875 1.438 5.344t3.875 3.906l-1.313 2.313q-3.063-1.75-4.844-4.844t-1.781-6.719q0-4.625 2.75-8.188l-2.75-2.813zM16 5.979q-2.688 0-5 1.25l-1.938-1.938q3.125-1.938 6.938-1.938 5.5 0 9.406 3.906t3.906 9.406q0 3.813-1.938 6.938l-2-1.938q1.313-2.438 1.313-5 0-4.375-3.156-7.531t-7.531-3.156zM23.438 19.667l-2.188-2.188q0.063-0.25 0.063-0.813 0-2.188-1.563-3.75t-3.75-1.563q-0.563 0-0.813 0.063l-2.188-2.188q1.375-0.563 3-0.563 3.313 0 5.656 2.344t2.344 5.656q0 1.625-0.563 3z"></path>'),
	   	 			'castle' => array('keywords' => 'castle ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31 10c-0.552 0-1 0.448-1 1v13h-1v-9c0-0.552-0.448-1-1-1s-1 0.448-1 1v9h-2v-10c0-0.552-0.448-1-1-1h-0.119c-0.269-1.175-0.978-2.027-1.682-2.715-0.389-0.38-1.010-0.38-1.398 0-0.155 0.152-0.31 0.316-0.462 0.485-0.793-1.834-2.202-3.258-3.689-4.53-0.374-0.321-0.927-0.321-1.301 0-1.486 1.272-2.896 2.696-3.688 4.53-0.152-0.169-0.306-0.332-0.462-0.485-0.389-0.38-1.010-0.38-1.399 0-0.704 0.688-1.413 1.54-1.682 2.715h-0.118c-0.552 0-1 0.448-1 1v10h-2v-9c0-0.552-0.448-1-1-1s-1 0.448-1 1v9h-1v-13c0-0.552-0.448-1-1-1s-1 0.448-1 1v14c0 0.552 0.448 1 1 1h30c0.552 0 1-0.448 1-1v-14c0-0.552-0.448-1-1-1zM16 8.336c1.786 1.647 2.675 3.057 2.924 4.664h-5.847c0.248-1.607 1.137-3.017 2.924-4.663zM15 24v-3c0-0.552 0.448-1 1-1s1 0.448 1 1v3h-2zM19 24v-3c0-1.654-1.346-3-3-3s-3 1.346-3 3v3h-4v-9h14v9h-4z"></path>'),
	   	 			'desktop2' => array('keywords' => 'desktop2 ','viewbox' => '0 0 39 32', 'path' =>'<path d="M1.5 25h17.5v1.5c0 0.276 0.224 0.5 0.5 0.5s0.5-0.224 0.5-0.5v-1.5h17.5c0.827 0 1.5-0.673 1.5-1.5v-22c0-0.827-0.673-1.5-1.5-1.5h-36c-0.827 0-1.5 0.673-1.5 1.5v22c0 0.827 0.673 1.5 1.5 1.5zM1 1.5c0-0.276 0.224-0.5 0.5-0.5h36c0.276 0 0.5 0.224 0.5 0.5v22c0 0.276-0.224 0.5-0.5 0.5h-36c-0.276 0-0.5-0.224-0.5-0.5v-22zM3.5 22h32c0.276 0 0.5-0.224 0.5-0.5v-18c0-0.276-0.224-0.5-0.5-0.5h-32c-0.276 0-0.5 0.224-0.5 0.5v18c0 0.276 0.224 0.5 0.5 0.5zM4 4h31v17h-31v-17zM14 28c-1.14 0-2 0.86-2 2v1.5c0 0.276 0.224 0.5 0.5 0.5h14c0.276 0 0.5-0.224 0.5-0.5v-1.425c0-1.163-0.878-2.075-2-2.075h-11zM26 30.075v0.925h-13v-1c0-0.589 0.411-1 1-1h11c0.57 0 1 0.462 1 1.075z"></path>'),
	   	 			'cloud-upload' => array('keywords' => 'cloud-upload ','viewbox' => '0 0 32 32', 'path' =>'<path d="M27.883 12.078c0.076-0.347 0.117-0.708 0.117-1.078 0-2.761-2.239-5-5-5-0.444 0-0.875 0.058-1.285 0.167-0.775-2.417-3.040-4.167-5.715-4.167-2.73 0-5.033 1.823-5.76 4.318-0.711-0.207-1.462-0.318-2.24-0.318-4.418 0-8 3.582-8 8s3.582 8 8 8h4v6h8v-6h7c2.761 0 5-2.239 5-5 0-2.46-1.777-4.505-4.117-4.922zM18 20v6h-4v-6h-5l7-7 7 7h-5z"></path>'),
	   	 			'format_color_reset' => array('keywords' => 'format_color_reset ','viewbox' => '0 0 32 32', 'path' =>'<path d="M7 7.667l19.5 19.5-1.688 1.688-3.563-3.5q-2.313 2-5.25 2-3.313 0-5.656-2.344t-2.344-5.656q0-2.125 1.75-5.5l-4.438-4.438zM24 19.354q0 0.938-0.188 1.75l-11.438-11.5 3.625-4.688q0.875 1 2.219 2.688t3.563 5.531 2.219 6.219z"></path>'),
	   	 			'view_headline' => array('keywords' => 'view_headline ','viewbox' => '0 0 32 32', 'path' =>'<path d="M5.313 7.354h21.375v2.625h-21.375v-2.625zM5.313 15.354v-2.688h21.375v2.688h-21.375zM5.313 25.979v-2.625h21.375v2.625h-21.375zM5.313 20.667v-2.688h21.375v2.688h-21.375z"></path>'),
	   	 			'wikipedia' => array('keywords' => 'wikipedia ','viewbox' => '0 0 32 32', 'path' =>'<path d="M30.212 7.3c0 0.1-0.031 0.194-0.094 0.281-0.063 0.081-0.131 0.125-0.212 0.125-0.625 0.063-1.137 0.263-1.531 0.6-0.4 0.338-0.806 0.994-1.225 1.95l-6.45 14.544c-0.044 0.137-0.163 0.2-0.356 0.2-0.15 0-0.269-0.069-0.356-0.2l-3.619-7.563-4.162 7.563c-0.088 0.137-0.2 0.2-0.356 0.2-0.188 0-0.306-0.069-0.369-0.2l-6.331-14.537c-0.394-0.9-0.813-1.531-1.25-1.887s-1.050-0.581-1.831-0.662c-0.069 0-0.131-0.037-0.188-0.106-0.063-0.069-0.087-0.15-0.087-0.244 0-0.237 0.069-0.356 0.2-0.356 0.562 0 1.156 0.025 1.775 0.075 0.575 0.050 1.112 0.075 1.619 0.075 0.513 0 1.125-0.025 1.825-0.075 0.731-0.050 1.381-0.075 1.95-0.075 0.137 0 0.2 0.119 0.2 0.356s-0.044 0.35-0.125 0.35c-0.563 0.044-1.012 0.188-1.338 0.431s-0.487 0.563-0.487 0.963c0 0.2 0.069 0.456 0.2 0.756l5.231 11.825 2.975-5.613-2.769-5.806c-0.5-1.037-0.906-1.706-1.225-2.006s-0.806-0.481-1.456-0.55c-0.063 0-0.113-0.037-0.169-0.106s-0.081-0.15-0.081-0.244c0-0.237 0.056-0.356 0.175-0.356 0.563 0 1.081 0.025 1.556 0.075 0.456 0.050 0.938 0.075 1.456 0.075 0.506 0 1.037-0.025 1.606-0.075 0.581-0.050 1.156-0.075 1.719-0.075 0.137 0 0.2 0.119 0.2 0.356s-0.038 0.35-0.125 0.35c-1.131 0.075-1.694 0.4-1.694 0.963 0 0.25 0.131 0.644 0.394 1.175l1.831 3.719 1.825-3.4c0.25-0.481 0.381-0.887 0.381-1.213 0-0.775-0.563-1.188-1.694-1.237-0.1 0-0.15-0.119-0.15-0.35 0-0.088 0.025-0.162 0.075-0.237s0.1-0.112 0.15-0.112c0.406 0 0.9 0.025 1.494 0.075 0.563 0.050 1.031 0.075 1.394 0.075 0.262 0 0.644-0.025 1.15-0.063 0.637-0.056 1.175-0.088 1.606-0.088 0.1 0 0.15 0.1 0.15 0.3 0 0.269-0.094 0.406-0.275 0.406-0.656 0.069-1.188 0.25-1.587 0.544s-0.9 0.963-1.5 2.013l-2.444 4.475 3.288 6.7 4.856-11.294c0.169-0.412 0.25-0.794 0.25-1.137 0-0.825-0.563-1.263-1.694-1.319-0.1 0-0.15-0.119-0.15-0.35 0-0.237 0.075-0.356 0.225-0.356 0.413 0 0.9 0.025 1.469 0.075 0.525 0.050 0.962 0.075 1.313 0.075 0.375 0 0.8-0.025 1.288-0.075 0.506-0.050 0.962-0.075 1.369-0.075 0.125 0 0.188 0.1 0.188 0.3z"></path>'),
	   	 			'blur_linear' => array('keywords' => 'blur_linear ','viewbox' => '0 0 32 32', 'path' =>'<path d="M17.313 23.354q-0.563 0-0.938-0.406t-0.375-0.969 0.375-0.938 0.938-0.375 0.969 0.375 0.406 0.938-0.406 0.969-0.969 0.406zM17.313 17.979q-0.563 0-0.938-0.375t-0.375-0.938 0.375-0.938 0.938-0.375 0.969 0.375 0.406 0.938-0.406 0.938-0.969 0.375zM17.313 12.667q-0.563 0-0.938-0.375t-0.375-0.938 0.375-0.969 0.938-0.406 0.969 0.406 0.406 0.969-0.406 0.938-0.969 0.375zM22.688 17.354q-0.688 0-0.688-0.688t0.688-0.688q0.625 0 0.625 0.688t-0.625 0.688zM22.688 11.979q-0.688 0-0.688-0.625 0-0.688 0.688-0.688 0.625 0 0.625 0.688 0 0.625-0.625 0.625zM4 4.667h24v2.688h-24v-2.688zM22.688 22.667q-0.688 0-0.688-0.688 0-0.625 0.688-0.625 0.625 0 0.625 0.625 0 0.688-0.625 0.688zM12 23.354q-0.563 0-0.938-0.406t-0.375-0.969 0.375-0.938 0.938-0.375 0.938 0.375 0.375 0.938-0.375 0.969-0.938 0.406zM6.688 18.667q-0.813 0-1.406-0.563t-0.594-1.438 0.594-1.438 1.406-0.563 1.406 0.563 0.594 1.438-0.594 1.438-1.406 0.563zM6.688 13.354q-0.813 0-1.406-0.594t-0.594-1.406 0.594-1.406 1.406-0.594 1.406 0.594 0.594 1.406-0.594 1.406-1.406 0.594zM4 28.667v-2.688h24v2.688h-24zM12 12.667q-0.563 0-0.938-0.375t-0.375-0.938 0.375-0.969 0.938-0.406 0.938 0.406 0.375 0.969-0.375 0.938-0.938 0.375zM12 17.979q-0.563 0-0.938-0.375t-0.375-0.938 0.375-0.938 0.938-0.375 0.938 0.375 0.375 0.938-0.375 0.938-0.938 0.375zM6.688 23.979q-0.813 0-1.406-0.594t-0.594-1.406 0.594-1.406 1.406-0.594 1.406 0.594 0.594 1.406-0.594 1.406-1.406 0.594z"></path>'),
	   	 			'desktop_windows' => array('keywords' => 'desktop_windows ','viewbox' => '0 0 32 32', 'path' =>'<path d="M28 21.979v-16h-24v16h24zM28 3.354q1.063 0 1.875 0.781t0.813 1.844v16q0 1.063-0.813 1.875t-1.875 0.813h-9.313v2.688h2.625v2.625h-10.625v-2.625h2.625v-2.688h-9.313q-1.063 0-1.875-0.813t-0.813-1.875v-16q0-1.063 0.813-1.844t1.875-0.781h24z"></path>'),
	   	 			'ribbon' => array('keywords' => 'ribbon ','viewbox' => '0 0 28 32', 'path' =>'<path d="M1.5 9c-0.276 0-0.5 0.224-0.5 0.5v20.946c0 0.665 0.316 1.039 0.582 1.235 0.318 0.236 0.692 0.319 1.026 0.319 0.201 0 0.387-0.030 0.538-0.077 2.929-0.895 9.345-7.482 10.973-9.19 1.587 1.718 7.805 8.295 10.734 9.19 0.404 0.124 1.055 0.135 1.564-0.243 0.267-0.196 0.583-0.569 0.583-1.234v-20.946c0-0.276-0.224-0.5-0.5-0.5s-0.5 0.224-0.5 0.5v20.946c0 0.27-0.101 0.375-0.177 0.431-0.178 0.132-0.484 0.15-0.677 0.091-3.040-0.929-10.575-9.22-10.65-9.303-0.094-0.104-0.227-0.164-0.367-0.165-0.127-0.001-0.273 0.056-0.369 0.159-0.078 0.083-7.862 8.378-10.906 9.309-0.192 0.059-0.499 0.041-0.677-0.091-0.076-0.056-0.177-0.162-0.177-0.431v-20.946c0-0.276-0.224-0.5-0.5-0.5zM28 6.5v-5c0-0.827-0.673-1.5-1.5-1.5h-25c-0.827 0-1.5 0.673-1.5 1.5v5c0 0.276 0.224 0.5 0.5 0.5h27c0.276 0 0.5-0.224 0.5-0.5zM27 6h-26v-4.5c0-0.276 0.224-0.5 0.5-0.5h25c0.276 0 0.5 0.224 0.5 0.5v4.5z"></path>'),
	   	 			'dollar_bill2' => array('keywords' => 'dollar_bill2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 7c-2.761 0-5.001 2.239-5 5-0.001 2.761 2.238 5 5 5 2.761 0 5.001-2.239 5-4.999 0.001-2.761-2.239-5.001-5-5.001zM16 15c-1.657 0-2.999-1.343-3-3 0.001-1.657 1.343-3 3-3s3 1.343 3 3c0 1.655-1.343 3-3 3zM6 12c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM28 12c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM29 3h-26c-1.65 0-3 1.349-3 3v20c0 1.649 1.35 3 3 3h26c1.65 0 3-1.351 3-3v-20c0-1.651-1.35-3-3-3zM29 21c0.351 0 0.686-0.064 1-0.177v1.177c0 0.55-0.45 1-1 1h-26c-0.55 0-1-0.45-1-1v-1.177c0.313 0.113 0.649 0.177 1 0.177h26zM29 27h-26c-0.55 0-1-0.45-1-1v-1.177c0.313 0.113 0.649 0.177 1 0.177h26c0.351 0 0.686-0.064 1-0.177v1.177c0 0.55-0.45 1-1 1zM30 16.261c-1.277 0.452-2.287 1.462-2.739 2.739h-22.521c-0.452-1.277-1.462-2.288-2.739-2.739v-8.522c1.277-0.452 2.287-1.462 2.739-2.739h22.522c0.452 1.277 1.462 2.287 2.739 2.739v8.521z"></path>'),
	   	 			'snow_1' => array('keywords' => 'snow_1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31 15h-3.586l2.293-2.293c0.39-0.39 0.39-1.024 0-1.414s-1.023-0.39-1.414 0l-3.707 3.707h-6.172l6.293-6.293c0.39-0.39 0.39-1.024 0-1.414s-1.023-0.391-1.414 0l-6.293 6.293v-6.172l3.707-3.707c0.39-0.39 0.39-1.024 0-1.414s-1.023-0.391-1.414 0l-2.293 2.293v-3.586c0-0.552-0.448-1-1-1s-1 0.448-1 1v3.586l-2.293-2.292c-0.39-0.391-1.024-0.391-1.414 0s-0.39 1.023 0 1.414l3.707 3.707v6.172l-6.293-6.293c-0.39-0.391-1.024-0.391-1.414 0s-0.391 1.023 0 1.414l6.293 6.293h-6.172l-3.707-3.707c-0.39-0.39-1.024-0.39-1.414 0s-0.391 1.024 0 1.414l2.293 2.293h-3.586c-0.552 0-1 0.448-1 1s0.448 1 1 1h3.586l-2.293 2.293c-0.391 0.39-0.391 1.023 0 1.414 0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293l3.707-3.707h6.172l-6.293 6.293c-0.391 0.39-0.391 1.023 0 1.414 0.196 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293l6.293-6.293v6.172l-3.707 3.707c-0.39 0.39-0.39 1.023 0 1.414 0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293l2.293-2.293v3.586c0 0.552 0.448 1 1 1s1-0.448 1-1v-3.586l2.293 2.293c0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293c0.39-0.39 0.39-1.023 0-1.414l-3.707-3.707v-6.172l6.293 6.293c0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293c0.39-0.39 0.39-1.023 0-1.414l-6.293-6.293h6.171l3.707 3.707c0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293c0.39-0.39 0.39-1.023 0-1.414l-2.293-2.293h3.585c0.552 0 1-0.448 1-1s-0.448-1-1-1z"></path>'),
	   	 			'mercury' => array('keywords' => 'mercury ','viewbox' => '0 0 21 32', 'path' =>'<path d="M14.821 5.929q2.589 1.286 4.17 3.759t1.58 5.455q0 3.946-2.634 6.866t-6.509 3.348v2.357h1.714q0.25 0 0.411 0.161t0.161 0.411v1.143q0 0.25-0.161 0.411t-0.411 0.161h-1.714v1.714q0 0.25-0.161 0.411t-0.411 0.161h-1.143q-0.25 0-0.411-0.161t-0.161-0.411v-1.714h-1.714q-0.25 0-0.411-0.161t-0.161-0.411v-1.143q0-0.25 0.161-0.411t0.411-0.161h1.714v-2.357q-3.875-0.429-6.509-3.348t-2.634-6.866q0-2.982 1.58-5.455t4.17-3.759q-2.946-1.714-4.071-4.875-0.107-0.286 0.063-0.527t0.473-0.241h1.232q0.375 0 0.518 0.357 0.786 1.893 2.5 3.054t3.821 1.161 3.821-1.161 2.5-3.054q0.143-0.357 0.661-0.357h1.089q0.304 0 0.473 0.241t0.063 0.527q-1.125 3.161-4.071 4.875zM10.286 23.143q3.304 0 5.652-2.348t2.348-5.652-2.348-5.652-5.652-2.348-5.652 2.348-2.348 5.652 2.348 5.652 5.652 2.348z"></path>'),
	   	 			'ligature2' => array('keywords' => 'ligature2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M26.729 28.67c-0.367 0-2.613-0.413-2.751-0.917-0.321-1.238-0.367-2.567-0.367-4.080v-16.905c0-2.521 0.504-3.989 0.504-3.989-0.046-0.229-0.275-0.734-0.55-0.734h-0.138c-0.137 0-1.742 1.009-3.209 1.009-1.192-0-1.934-1.055-3.309-1.055-5.785 0-8.498 4.697-8.498 11.345v0.346c0 0.138-0.092 0.275-0.229 0.275h-1.88c-0.229 0-0.688 1.284-0.688 1.88 0 0.183 0.046 0.275 0.138 0.275h2.43c0.138 0 0.229 0.183 0.229 0.321 0 4.080-0.046 8.103-0.046 8.103 0 0.642-0.046 2.063-0.321 3.209-0.138 0.504-2.246 0.917-2.796 0.917-0.229 0-0.229 1.1 0 1.33 1.88-0.092 3.117-0.229 4.997-0.229 1.742 0 3.072 0.137 4.905 0.229 0.092-0.275 0.092-1.33-0.137-1.33-0.367 0-2.613-0.413-2.751-0.917-0.321-1.238-0.321-2.567-0.367-4.080v-7.278c0-0.138 0.138-0.275 0.275-0.275h4.722c0.321-0.642 0.55-1.421 0.55-1.834 0-0.275 0-0.321-0.229-0.321h-5.089c-0.092 0-0.229-0.138-0.229-0.229v-1.651c0-4.080 1.671-7.673 4.468-7.673 1.98 0 3.708 1.283 3.708 6.185 0 0 0 0 0 0.001 0.006 0.126 0.010 0.228 0.010 0.295v13.65c0 0.642-0.046 2.063-0.321 3.209-0.138 0.504-2.246 0.917-2.797 0.917-0.229 0-0.229 1.1 0 1.33 1.88-0.092 3.118-0.229 4.997-0.229 1.742 0 3.072 0.137 4.905 0.229 0.091-0.275 0.091-1.329-0.138-1.329z"></path>'),
	   	 			'audio-description' => array('keywords' => 'audio-description ','viewbox' => '0 0 41 32', 'path' =>'<path d="M9 18.036h3.054l-0.018-4.732zM27.321 16.268q0-1.554-0.902-2.5t-2.616-0.946h-0.964v6.929h0.929q1.625 0 2.589-1.018t0.964-2.464zM17.071 9.536l0.018 13.5q0 0.25-0.17 0.429t-0.42 0.179h-3.857q-0.25 0-0.42-0.179t-0.17-0.429v-1.107h-5.196l-0.982 1.446q-0.179 0.268-0.5 0.268h-4.768q-0.375 0-0.545-0.321t0.063-0.625l9.929-13.518q0.161-0.25 0.482-0.25h5.929q0.25 0 0.429 0.179t0.179 0.429zM31.839 16.268q0 3.446-2.241 5.411t-5.795 1.964h-4.821q-0.25 0-0.429-0.179t-0.179-0.429v-13.5q0-0.25 0.179-0.429t0.429-0.179h4.786q3.571 0 5.821 1.946t2.25 5.393zM34.625 16.286q0 0.196-0.009 0.518t-0.143 1.277-0.384 1.821-0.795 1.929-1.313 1.83h-0.911q0.679-0.804 1.188-1.866t0.741-2 0.375-1.75 0.161-1.295l0.018-0.482q0-0.143-0.009-0.402t-0.134-1.071-0.357-1.634-0.732-1.991-1.179-2.223h0.768q0.732 0.839 1.286 1.911t0.813 1.991 0.411 1.714 0.188 1.259zM37.911 16.286q0 0.196-0.009 0.518t-0.143 1.277-0.384 1.821-0.804 1.929-1.321 1.83h-0.911q0.679-0.804 1.188-1.866t0.741-2 0.375-1.75 0.161-1.295l0.018-0.482q0-0.143-0.009-0.402t-0.134-1.071-0.348-1.634-0.723-1.991-1.179-2.223h0.768q0.732 0.839 1.286 1.911t0.813 1.991 0.411 1.714 0.188 1.259zM41.143 16.286q0 0.196-0.009 0.518t-0.143 1.277-0.384 1.821-0.795 1.929-1.313 1.83h-0.911q0.679-0.804 1.179-1.866t0.732-2 0.375-1.75 0.161-1.295l0.018-0.482q0-0.143-0.009-0.402t-0.134-1.071-0.348-1.634-0.723-1.991-1.179-2.223h0.768q0.732 0.839 1.286 1.911t0.813 1.991 0.411 1.714 0.17 1.259z"></path>'),
	   	 			'pc_server' => array('keywords' => 'pc_server ','viewbox' => '0 0 32 32', 'path' =>'<path d="M7.974 4.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM5 4.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM7.974 13.501c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM5 13.501c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM16 12.501c0-1.655-1.345-3-3-3h-4v-1l4-0.001c1.655 0 3-1.345 3-3v-2c0-1.655-1.345-3-3-3l-10 0c-1.655 0-3 1.345-3 3v2c0 1.654 1.345 3 3 3h4v1l-4 0.001c-1.655 0-3 1.345-3 3v2c0 1.655 1.345 3 3 3l10-0c1.655 0 3-1.346 3-3v-2zM2 5.5v-2c0-0.552 0.449-1 1-1l10-0.001c0.552 0 1 0.449 1 1v2c0 0.551-0.448 1-1 1l-10 0c-0.551 0-1-0.449-1-1zM14 14.501c0 0.552-0.448 1-1 1l-10 0.001c-0.551 0-1-0.448-1-1v-2c0-0.552 0.449-1 1-1l10-0.001c0.552 0 1 0.448 1 1v2zM29 15.499l-10 0.001c-1.654 0-3 1.346-3 3v7c0 1.654 1.346 3 3 3h4v1h-2.5c-0.552 0-1 0.448-1 1s0.448 1 1 1h7c0.552 0 1-0.448 1-1s-0.448-1-1-1h-2.5v-1l4-0c1.654 0 3-1.346 3-3v-7c0-1.654-1.346-3-3-3zM19 17.5l10-0c0.552 0 1 0.448 1 1v5.001h-12v-5c0-0.552 0.448-1 1-1zM29 26.5l-4.997 0c-0.001 0-0.002-0-0.003-0s-0.002 0-0.003 0h-4.997c-0.552 0-1-0.448-1-1h12c-0 0.552-0.448 1-1 1zM7.29 18.793c-0.185 0.189-0.29 0.445-0.29 0.71 0 0.26 0.105 0.515 0.29 0.705 0.19 0.184 0.445 0.295 0.71 0.295s0.52-0.11 0.71-0.295c0.185-0.186 0.29-0.445 0.29-0.705 0-0.265-0.105-0.526-0.295-0.71-0.37-0.37-1.040-0.37-1.415 0zM8 21.503c-0.555 0-1 0.445-1 1 0 0.55 0.445 1 1 1 0.55 0 1-0.45 1-1 0-0.555-0.45-1-1-1zM7.29 24.793c-0.185 0.189-0.29 0.445-0.29 0.71 0 0.26 0.105 0.52 0.29 0.705 0.19 0.184 0.445 0.295 0.71 0.295s0.52-0.11 0.71-0.295c0.185-0.186 0.29-0.445 0.29-0.705 0-0.265-0.105-0.526-0.295-0.71-0.37-0.37-1.040-0.37-1.415 0zM11 24.503c-0.55 0-1 0.445-1 1 0 0.55 0.45 1 1 1s1-0.45 1-1c0-0.555-0.45-1-1-1zM13.295 24.793c-0.19 0.184-0.295 0.445-0.295 0.71 0 0.26 0.105 0.52 0.295 0.705 0.185 0.184 0.44 0.295 0.705 0.295 0.26 0 0.52-0.11 0.705-0.295 0.19-0.186 0.295-0.445 0.295-0.705 0-0.265-0.105-0.526-0.295-0.71-0.37-0.37-1.040-0.37-1.41 0z"></path>'),
	   	 			'barcode2' => array('keywords' => 'barcode2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M1.125 27.714h-1.125v-25.143h1.125v25.143zM2.25 27.696h-0.571v-25.125h0.571v25.125zM3.929 27.696h-0.554v-25.125h0.554v25.125zM6.732 27.696h-0.554v-25.125h0.554v25.125zM9.536 27.696h-1.107v-25.125h1.107v25.125zM11.786 27.696h-0.554v-25.125h0.554v25.125zM12.911 27.696h-0.554v-25.125h0.554v25.125zM14.036 27.696h-0.554v-25.125h0.554v25.125zM16.839 27.696h-1.125v-25.125h1.125v25.125zM19.643 27.696h-1.125v-25.125h1.125v25.125zM21.893 27.696h-1.125v-25.125h1.125v25.125zM24.143 27.696h-1.125v-25.125h1.125v25.125zM25.821 27.696h-1.125v-25.125h1.125v25.125zM29.196 27.696h-1.679v-25.125h1.679v25.125zM30.321 27.696h-0.571v-25.125h0.571v25.125zM32 27.714h-1.125v-25.143h1.125v25.143z"></path>'),
	   	 			'filter_1' => array('keywords' => 'filter_1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M28 23.354v-18.688h-18.688v18.688h18.688zM28 1.979q1.063 0 1.875 0.813t0.813 1.875v18.688q0 1.063-0.813 1.844t-1.875 0.781h-18.688q-1.063 0-1.844-0.781t-0.781-1.844v-18.688q0-1.063 0.781-1.875t1.844-0.813h18.688zM18.688 20.667v-10.688h-2.688v-2.625h5.313v13.313h-2.625zM4 7.354v21.313h21.313v2.688h-21.313q-1.063 0-1.875-0.813t-0.813-1.875v-21.313h2.688z"></path>'),
	   	 			'cloud' => array('keywords' => 'cloud ','viewbox' => '0 0 32 32', 'path' =>'<path d="M32 20.548c0-2.565-1.771-4.716-4.156-5.296-0.101-4.022-3.389-7.252-7.433-7.252-2.369 0-4.477 1.109-5.839 2.835-0.764-0.987-1.959-1.624-3.303-1.624-2.307 0-4.176 1.871-4.176 4.179 0 0.201 0.015 0.399 0.043 0.592-0.351-0.063-0.711-0.098-1.080-0.098-3.344-0-6.054 2.712-6.054 6.058s2.71 6.058 6.054 6.058l20.508-0c3.004-0.006 5.438-2.444 5.438-5.451z"></path>'),
	   	 			'flower_2' => array('keywords' => 'flower_2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M21.975 12.498c2.537-0.066 4.482-1.384 4.524-3.063 0.016-0.616-0.226-1.197-0.698-1.683-0.764-0.784-2.105-1.252-3.588-1.252l-0.189 0.003c-0.311 0.008-0.612 0.035-0.902 0.080 0.337-0.338 0.652-0.723 0.928-1.155 0.815-1.279 1.131-2.677 0.846-3.742-0.172-0.643-0.566-1.153-1.107-1.435-0.317-0.166-0.671-0.249-1.050-0.249-1.303 0-2.791 1.010-3.788 2.573-0.292 0.458-0.517 0.931-0.676 1.399-0.151-0.483-0.375-0.972-0.668-1.441-0.96-1.538-2.428-2.531-3.743-2.531-0.403 0-0.777 0.091-1.112 0.27-0.566 0.303-0.962 0.821-1.143 1.5-0.286 1.070 0.007 2.453 0.784 3.699 0.259 0.415 0.558 0.787 0.879 1.114-0.34-0.054-0.695-0.083-1.059-0.083l-0.187 0.002c-2.537 0.067-4.481 1.383-4.524 3.063-0.016 0.616 0.226 1.197 0.699 1.682 0.764 0.784 2.106 1.252 3.588 1.252l0.188-0.002c0.546-0.014 1.063-0.089 1.541-0.211-0.389 0.367-0.754 0.796-1.066 1.287-0.815 1.278-1.132 2.677-0.847 3.742 0.172 0.645 0.566 1.154 1.108 1.436 0.316 0.165 0.67 0.249 1.050 0.249 1.083 0 2.288-0.704 3.239-1.835v4.835h-4c-0.297 0-0.579 0.133-0.77 0.361s-0.268 0.53-0.213 0.823l1.5 8c0.088 0.473 0.501 0.816 0.982 0.816h7c0.482 0 0.894-0.343 0.983-0.816l1.5-8c0.055-0.293-0.023-0.594-0.213-0.823s-0.472-0.361-0.77-0.361h-4v-4.718c0.914 1.061 2.073 1.718 3.136 1.718 0.402 0 0.776-0.091 1.111-0.27 0.567-0.302 0.962-0.822 1.143-1.5 0.286-1.070-0.008-2.453-0.785-3.7-0.259-0.415-0.558-0.787-0.878-1.114 0.34 0.054 0.695 0.083 1.058 0.083l0.188-0.002zM19.795 24l-1.125 6h-5.34l-1.125-6h7.59zM22.076 8.502l0.137-0.002c1.125 0 1.864 0.349 2.156 0.648 0.050 0.052 0.134 0.15 0.132 0.236-0.009 0.36-1.020 1.073-2.577 1.114l-0.136 0.002c-1.125 0-1.864-0.349-2.156-0.648-0.050-0.052-0.134-0.15-0.132-0.236 0.010-0.36 1.020-1.073 2.576-1.114zM16.5 10.366c-0.467 0.27-1.1 0.095-1.366-0.366-0.276-0.477-0.112-1.091 0.366-1.366 0.155-0.089 0.322-0.134 0.498-0.134 0.357 0 0.69 0.192 0.868 0.501 0.276 0.477 0.111 1.091-0.366 1.366zM18.636 3.649c0.66-1.032 1.587-1.649 2.103-1.649 0.038 0 0.091 0.004 0.127 0.022 0.054 0.028 0.087 0.135 0.099 0.179 0.113 0.423-0.029 1.252-0.601 2.15-0.727 1.138-1.666 1.649-2.103 1.649-0.038 0-0.091-0.004-0.127-0.022-0.054-0.028-0.087-0.135-0.099-0.179-0.113-0.423 0.029-1.253 0.6-2.15zM11.54 2.287c0.035-0.132 0.087-0.217 0.154-0.253 0.041-0.022 0.098-0.034 0.169-0.034 0.511 0 1.402 0.557 2.046 1.589 0.577 0.925 0.656 1.722 0.55 2.124-0.036 0.133-0.088 0.218-0.154 0.253-0.042 0.022-0.098 0.034-0.169 0.034-0.511 0-1.403-0.557-2.047-1.59-0.577-0.925-0.656-1.722-0.549-2.123zM9.923 10.498l-0.136 0.002c-1.125 0-1.864-0.349-2.155-0.648-0.050-0.052-0.133-0.15-0.131-0.236 0.010-0.36 1.020-1.074 2.577-1.114l0.134-0.002c1.126 0 1.865 0.349 2.157 0.648 0.050 0.052 0.134 0.15 0.132 0.235-0.009 0.36-1.020 1.075-2.577 1.115zM13.864 15.351c-0.726 1.138-1.666 1.649-2.102 1.649-0.038 0-0.091-0.004-0.127-0.023-0.054-0.029-0.088-0.136-0.1-0.18-0.114-0.424 0.029-1.252 0.601-2.149 0.725-1.137 1.665-1.649 2.101-1.649 0.038 0 0.091 0.004 0.126 0.022 0.053 0.027 0.085 0.124 0.1 0.18 0.114 0.424-0.028 1.252-0.601 2.149zM20.459 16.713c-0.035 0.133-0.087 0.218-0.154 0.253-0.042 0.023-0.099 0.034-0.169 0.034-0.512 0-1.403-0.557-2.047-1.589-0.576-0.925-0.656-1.722-0.549-2.123 0.035-0.133 0.087-0.217 0.154-0.253 0.043-0.023 0.099-0.034 0.17-0.034 0.511 0 1.402 0.557 2.046 1.589 0.577 0.925 0.657 1.723 0.549 2.124z"></path>'),
	   	 			'toilet_symbol' => array('keywords' => 'toilet_symbol ','viewbox' => '0 0 32 32', 'path' =>'<path d="M14 16h15c0.552 0 1-0.448 1-1s-0.448-1-1-1h-15c-0.552 0-1 0.447-1 1s0.448 1 1 1zM29 17h-22.5c-0.552 0-1 0.448-1 1 0 0.224 0.077 0.43 0.202 0.596-0.001 0.001 3.427 4.575 4.298 5.736v6.667c0 0.552 0.448 1 1 1h10c0.552 0 1-0.448 1-1v-4.059c4.493-0.499 8-4.316 8-8.941 0-0.552-0.448-1-1-1zM21 25c-0.552 0-1 0.448-1 1v4h-8v-6c0-0.226-0.078-0.431-0.204-0.599 0.001-0-3.296-4.401-3.296-4.401h19.42c-0.488 3.386-3.401 6-6.92 6zM10.995 15.1l1-10c0.004-0.033 0.005-0.066 0.005-0.099v-3c0-0.552-0.448-1-1-1h-2c0-0.552-0.448-1-1-1h-2c-0.552 0-1 0.448-1 1h-2c-0.552 0-1 0.448-1 1v3c0 0.033 0.002 0.067 0.005 0.099l1 10c0.051 0.511 0.482 0.9 0.995 0.9h6c0.514 0 0.944-0.389 0.995-0.9zM10 3v1h-6v-1h6zM4.905 14l-0.8-8h5.79l-0.8 8h-4.19z"></path>'),
	   	 			'sale_symbol1' => array('keywords' => 'sale_symbol1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 3h-12v-2c0-0.552-0.448-1-1-1s-1 0.448-1 1v2h-12c-1.651 0-3 1.349-3 3v10c0 1.649 1.349 3 3 3h12v11h-3.5c-0.552 0-1 0.448-1 1s0.448 1 1 1h9c0.552 0 1-0.448 1-1s-0.448-1-1-1h-3.5v-11h12c1.649 0 3-1.351 3-3v-10c0-1.651-1.351-3-3-3zM30 16c0 0.55-0.45 1-1 1h-26c-0.55 0-1-0.45-1-1v-10c0-0.55 0.45-1 1-1h26c0.55 0 1 0.45 1 1v10zM9.362 9.511c0.339 0 0.742 0.107 1.21 0.322l0.413-1.042c-0.537-0.239-1.066-0.36-1.582-0.36-0.585 0-1.046 0.129-1.381 0.386s-0.502 0.616-0.502 1.076c0 0.246 0.039 0.459 0.118 0.639 0.078 0.179 0.199 0.339 0.362 0.479s0.407 0.282 0.733 0.431c0.36 0.161 0.582 0.268 0.665 0.322 0.084 0.052 0.143 0.104 0.181 0.155s0.056 0.111 0.056 0.18c0 0.11-0.047 0.198-0.14 0.268s-0.24 0.104-0.441 0.104c-0.232 0-0.488-0.037-0.765-0.111s-0.546-0.178-0.803-0.309v1.203c0.244 0.116 0.479 0.197 0.704 0.244s0.505 0.070 0.838 0.070c0.399 0 0.746-0.066 1.043-0.2s0.523-0.321 0.68-0.56 0.236-0.515 0.236-0.825c0-0.338-0.084-0.617-0.251-0.839s-0.467-0.431-0.897-0.624c-0.448-0.205-0.724-0.347-0.825-0.424s-0.152-0.165-0.152-0.264c0-0.091 0.040-0.167 0.12-0.229s0.207-0.092 0.383-0.092zM13.075 8.482l-1.63 5.018h1.483l0.253-0.937h1.623l0.246 0.937h1.476l-1.651-5.018h-1.802zM13.462 11.456c0.207-0.784 0.341-1.309 0.402-1.576s0.101-0.458 0.121-0.574c0.023 0.126 0.070 0.333 0.142 0.622s0.133 0.525 0.182 0.708l0.216 0.82h-1.063zM18.674 8.503h-1.351v4.997h3.274v-1.091h-1.924zM21.52 13.5h2.967v-1.101h-1.617v-0.944h1.497v-1.084h-1.497v-0.786h1.617v-1.083h-2.967z"></path>'),
	   	 			'user-check' => array('keywords' => 'user-check ','viewbox' => '0 0 32 32', 'path' =>'<path d="M30 19l-9 9-3-3-2 2 5 5 11-11zM14 24h10v-3.598c-2.101-1.225-4.885-2.066-8-2.321v-1.649c2.203-1.242 4-4.337 4-7.432 0-4.971 0-9-6-9s-6 4.029-6 9c0 3.096 1.797 6.191 4 7.432v1.649c-6.784 0.555-12 3.888-12 7.918h14v-2z"></path>'),
	   	 			'golf_course' => array('keywords' => 'golf_course ','viewbox' => '0 0 32 32', 'path' =>'<path d="M22.688 8.542l-8 4.125v12.063q2.875 0.125 4.75 0.875t1.875 1.75q0 1.063-2.344 1.844t-5.656 0.781-5.656-0.781-2.344-1.844q0-1.563 4-2.313v2.313h2.688v-24zM24 26.667q0-0.875 0.563-1.438t1.438-0.563 1.438 0.563 0.563 1.438-0.563 1.438-1.438 0.563-1.438-0.563-0.563-1.438z"></path>'),
	   	 			'gitlab' => array('keywords' => 'gitlab ','viewbox' => '0 0 32 32', 'path' =>'<path d="M1.857 12.893l14.143 18.125-15.5-11.25q-0.321-0.232-0.446-0.616t0-0.759l1.804-5.5zM10.107 12.893h11.786l-5.893 18.125zM6.571 1.964l3.536 10.929h-8.25l3.536-10.929q0.143-0.411 0.589-0.411t0.589 0.411zM30.143 12.893l1.804 5.5q0.125 0.375 0 0.759t-0.446 0.616l-15.5 11.25 14.143-18.125zM30.143 12.893h-8.25l3.536-10.929q0.143-0.411 0.589-0.411t0.589 0.411z"></path>'),
	   	 			'sun_rise' => array('keywords' => 'sun_rise ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 11c0.552 0 1-0.448 1-1v-2c0-0.552-0.448-1-1-1s-1 0.448-1 1v2c0 0.552 0.448 1 1 1zM25 20c0 0.552 0.448 1 1 1h2c0.552 0 1-0.448 1-1s-0.448-1-1-1h-2c-0.552 0-1 0.448-1 1zM4 21h2c0.552 0 1-0.448 1-1s-0.448-1-1-1h-2c-0.552 0-1 0.448-1 1s0.448 1 1 1zM8.222 13.636c0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293c0.39-0.39 0.39-1.024 0-1.414l-1.414-1.414c-0.39-0.39-1.024-0.39-1.414 0s-0.391 1.024 0 1.414l1.414 1.414zM23.072 13.928c0.256 0 0.512-0.098 0.707-0.293l1.414-1.414c0.39-0.39 0.39-1.024 0-1.414s-1.024-0.39-1.414 0l-1.414 1.414c-0.39 0.39-0.39 1.024 0 1.414 0.195 0.195 0.451 0.293 0.707 0.293zM31 23h-7.586c0.386-0.948 0.586-1.961 0.586-3 0-4.411-3.589-8-8-8s-8 3.589-8 8c0 1.039 0.2 2.053 0.585 3h-7.585c-0.552 0-1 0.448-1 1s0.448 1 1 1h30c0.552 0 1-0.448 1-1s-0.448-1-1-1zM10.807 23c-0.53-0.912-0.807-1.939-0.807-3 0-3.308 2.691-6 6-6s6 2.692 6 6c0 1.061-0.277 2.088-0.806 3h-10.386z"></path>'),
	   	 			'fullscreen' => array('keywords' => 'fullscreen ','viewbox' => '0 0 32 32', 'path' =>'<path d="M18.688 7.354h6.625v6.625h-2.625v-4h-4v-2.625zM22.688 23.354v-4h2.625v6.625h-6.625v-2.625h4zM6.688 13.979v-6.625h6.625v2.625h-4v4h-2.625zM9.313 19.354v4h4v2.625h-6.625v-6.625h2.625z"></path>'),
	   	 			'star_outline' => array('keywords' => 'star_outline ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 21.229l5 3-1.313-5.688 4.438-3.875-5.875-0.5-2.25-5.375-2.25 5.375-5.875 0.5 4.438 3.875-1.313 5.688zM29.313 12.979l-7.25 6.313 2.188 9.375-8.25-5-8.25 5 2.188-9.375-7.25-6.313 9.563-0.813 3.75-8.813 3.75 8.813z"></path>'),
	   	 			'layers' => array('keywords' => 'layers ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 21.979q-0.563-0.438-5.094-3.969t-6.906-5.344l12-9.313 12 9.313q-2.375 1.813-6.875 5.313t-5.125 4zM16 25.417l9.813-7.688 2.188 1.688-12 9.313-12-9.313 2.188-1.688z"></path>'),
	   	 			'ninja2' => array('keywords' => 'ninja2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M24.881 17.526c-0.174-0.324-0.513-0.526-0.881-0.526h-3.1c0.066-0.323 0.101-0.657 0.101-1s-0.035-0.677-0.101-1h3.1c0.367 0 0.706-0.202 0.881-0.526l7-13c0.209-0.389 0.139-0.869-0.174-1.181s-0.793-0.383-1.181-0.173l-13.001 7c-0.325 0.175-0.526 0.513-0.526 0.88v3.101c-0.323-0.066-0.657-0.101-1-0.101s-0.677 0.035-1 0.101v-3.101c0-0.368-0.202-0.706-0.526-0.88l-13-7c-0.389-0.209-0.869-0.14-1.181 0.173s-0.383 0.792-0.173 1.181l7 13c0.174 0.324 0.512 0.526 0.88 0.526h3.101c-0.065 0.323-0.101 0.658-0.101 1s0.035 0.677 0.101 1h-3.101c-0.368 0-0.706 0.202-0.88 0.526l-7 13c-0.209 0.389-0.139 0.869 0.173 1.181 0.192 0.192 0.449 0.293 0.708 0.293 0.161 0 0.324-0.039 0.474-0.119l13.001-7c0.324-0.174 0.526-0.512 0.526-0.881v-3.101c0.323 0.066 0.658 0.101 1 0.101s0.677-0.035 1-0.101v3.101c0 0.368 0.201 0.706 0.526 0.881l13 7c0.149 0.081 0.313 0.119 0.474 0.119 0.259 0 0.515-0.101 0.707-0.293 0.312-0.313 0.383-0.792 0.174-1.181l-7-13zM19 8.598l9.54-5.137-5.137 9.54h-3.412c-0.282-0.375-0.616-0.709-0.991-0.991v-3.412zM8.598 13l-5.137-9.54 9.539 5.137v3.412c-0.375 0.283-0.708 0.616-0.99 0.991h-3.412zM13 23.402l-9.54 5.137 5.137-9.539h3.412c0.282 0.375 0.615 0.708 0.99 0.99v3.413zM13 16c0-1.655 1.345-3 3-3s3 1.345 3 3-1.346 3-3 3c-1.654 0-3-1.346-3-3zM19 23.402v-3.411c0.375-0.283 0.709-0.616 0.991-0.991h3.412l5.137 9.539-9.539-5.137z"></path>'),
	   	 			'ordered_list1' => array('keywords' => 'ordered_list1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M1.707 6.207l0.293-0.293v2.586c0 0.552 0.448 1 1 1s1-0.448 1-1v-5c0-0.405-0.244-0.769-0.617-0.924-0.375-0.155-0.804-0.070-1.090 0.217l-2 2c-0.391 0.391-0.391 1.024 0 1.414s1.024 0.391 1.414 0zM5.5 14.928c0-1.338-1.122-2.428-2.5-2.428s-2.5 1.090-2.5 2.428c0 0.552 0.448 1 1 1s1-0.448 1-1c0-0.236 0.224-0.428 0.5-0.428 0.244 0 0.449 0.152 0.491 0.351-0.146 0.2-0.618 0.565-0.94 0.812-0.914 0.704-2.051 1.579-2.051 2.837 0 0.552 0.448 1 1 1h3c0.552 0 1-0.448 1-1s-0.448-1-1-1h-1.051c0.123-0.098 0.236-0.184 0.322-0.252 0.85-0.654 1.729-1.331 1.729-2.32zM9 7h22c0.552 0 1-0.448 1-1s-0.448-1-1-1h-22c-0.552 0-1 0.448-1 1s0.448 1 1 1zM31 15h-22c-0.552 0-1 0.448-1 1s0.448 1 1 1h22c0.552 0 1-0.448 1-1s-0.448-1-1-1zM31 25h-22c-0.552 0-1 0.448-1 1s0.448 1 1 1h22c0.552 0 1-0.448 1-1s-0.448-1-1-1zM2.951 22.52c-0.065-0.014-0.132-0.020-0.201-0.020h-0.75c-0.552 0-1 0.448-1 1s0.448 1 1 1h0.75c0.138 0 0.25 0.113 0.25 0.25s-0.112 0.25-0.25 0.25c-0.552 0-1 0.448-1 1s0.448 1 1 1c0.138 0 0.25 0.113 0.25 0.25s-0.112 0.25-0.25 0.25h-0.75c-0.552 0-1 0.448-1 1s0.448 1 1 1h0.75c0.070 0 0.136-0.007 0.202-0.020 1.145-0.104 2.048-1.058 2.048-2.23 0-0.462-0.141-0.892-0.381-1.25 0.24-0.358 0.381-0.788 0.381-1.25 0-1.172-0.904-2.126-2.049-2.23z"></path>'),
	   	 			'mic_symbol1' => array('keywords' => 'mic_symbol1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 22c3.86 0 7-3.14 7-7v-8c0-3.86-3.14-7-7-7s-7 3.14-7 7v8c0 3.86 3.14 7 7 7zM16 2c2.757 0 5 2.243 5 5h-2c-0.552 0-1 0.448-1 1s0.448 1 1 1h2v1h-2c-0.552 0-1 0.448-1 1s0.448 1 1 1h2v1h-2c-0.552 0-1 0.448-1 1s0.448 1 1 1h2c0 2.756-2.243 5-5 5s-5-2.243-5-5h2c0.552 0 1-0.448 1-1s-0.448-1-1-1h-2v-1h2c0.552 0 1-0.448 1-1s-0.448-1-1-1h-2v-1h2c0.552 0 1-0.448 1-1s-0.448-1-1-1h-2c0-2.757 2.243-5 5-5zM26 11c-0.552 0-1 0.448-1 1v3c0 4.962-4.037 8.999-8.998 9-0 0-0.001 0-0.002 0s-0.001 0-0.002 0c-4.962-0.001-8.998-4.038-8.998-9v-3c0-0.552-0.448-1-1-1s-1 0.448-1 1v3c0 5.728 4.402 10.445 10 10.953v4.047h-4.497c-0.001 0-0.002 0-0.002 0-0.552 0-1 0.448-1 1s0.448 1 1 1h11c0.552 0 1-0.448 1-1s-0.448-1-1-1c-0.001 0-0.002 0-0.003 0h-4.497v-4.047c5.598-0.507 10-5.224 10-10.953v-3c0-0.552-0.448-1-1-1z"></path>'),
	   	 			'lock_locked' => array('keywords' => 'lock_locked ','viewbox' => '0 0 32 32', 'path' =>'<path d="M27 12h-1v-2c0-5.514-4.486-10-10-10s-10 4.486-10 10v2h-1c-1.655 0-3 1.345-3 3v12c0 2.757 2.243 5 5 5h18c2.757 0 5-2.243 5-5v-12c0-1.655-1.346-3-3-3zM8 10c0-4.411 3.589-8 8-8s8 3.589 8 8v2h-16v-2zM28 27c0 1.654-1.346 3-3 3h-18c-1.655 0-3-1.346-3-3v-12c0-0.552 0.449-1 1-1h22c0.552 0 1 0.448 1 1v12zM16.201 19.020c-0.065-0.014-0.133-0.020-0.201-0.020s-0.136 0.007-0.201 0.020c-1.008 0.102-1.799 0.945-1.799 1.98 0 0.738 0.405 1.376 1 1.723v2.277c0 0.552 0.448 1 1 1s1-0.448 1-1v-2.277c0.595-0.346 1-0.985 1-1.723 0-1.035-0.79-1.877-1.799-1.98z"></path>'),
	   	 			'medallion_prize1' => array('keywords' => 'medallion_prize1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16.5 16.5h-2c-0.552 0-1 0.448-1 1s0.448 1 1 1c0.001 0 0.002 0 0.002 0h0.995v5c0 0.552 0.448 1 1 1s1-0.448 1-1c0-0.001 0-0.002 0-0.003v-5.974c0-0.008 0.003-0.015 0.003-0.024 0-0.552-0.448-1-1-1zM27.5 20.501v0c0.002-4.827-2.974-8.957-7.19-10.663l5.522-8.284c0.204-0.306 0.224-0.701 0.050-1.026s-0.514-0.528-0.882-0.528h-6c-0.334 0-0.646 0.167-0.832 0.446l-2.168 3.252-2.168-3.252c-0.185-0.279-0.498-0.446-0.832-0.446h-6c-0.369 0-0.707 0.203-0.882 0.528s-0.155 0.72 0.050 1.026l5.522 8.283c-4.215 1.706-7.191 5.836-7.19 10.663v0c0 0 0 0 0 0-0 2.027 0.526 3.929 1.446 5.582 1.963 3.529 5.729 5.915 10.054 5.915s8.092-2.387 10.055-5.916c0.92-1.654 1.446-3.555 1.445-5.583 0 0 0 0 0 0zM25.493 20.648c-0.010 0.603-0.070 1.195-0.186 1.765-0.886 4.325-4.715 7.587-9.307 7.588-4.592-0.001-8.421-3.262-9.307-7.587-0.117-0.571-0.176-1.162-0.186-1.765-0-0.050-0.008-0.098-0.008-0.148 0.003-5.245 4.247-9.493 9.491-9.499h0.020c5.244 0.007 9.488 4.254 9.491 9.499 0 0.050-0.006 0.099-0.007 0.148zM19.535 2h3.596l-4.131 6.197-1.798-2.697 2.333-3.5zM12.465 2l4.666 7h-1.112c-0.007 0-0.013-0.001-0.020-0.001s-0.012 0.001-0.020 0.001h-2.445l-4.666-7h3.596z"></path>'),
	   	 			'weather_6' => array('keywords' => 'weather_6 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31.532 17.715c-0.346-0.218-0.79-0.202-1.12 0.037-1.111 0.805-2.34 1.388-3.637 1.751-1.188-2.041-2.396-3.71-2.651-4.058-0.189-0.256-0.488-0.408-0.806-0.408s-0.618 0.152-0.806 0.408c-0.249 0.339-1.403 1.931-2.56 3.902-1.695-0.556-3.25-1.493-4.549-2.788-4.059-4.049-4.561-10.347-1.197-14.975 0.24-0.33 0.255-0.772 0.037-1.117s-0.623-0.521-1.026-0.45c-3.233 0.588-6.172 2.126-8.5 4.448-6.288 6.272-6.288 16.48 0 22.753 3.046 3.038 7.097 4.712 11.405 4.712 1.505 0 2.976-0.208 4.385-0.604 0.839 0.428 1.796 0.674 2.811 0.674 3.309 0 6.002-2.584 6.002-5.761 0-0.32-0.038-0.662-0.105-1.019 1.387-1.923 2.338-4.122 2.77-6.483 0.073-0.401-0.105-0.806-0.451-1.023zM6.13 25.806c-5.508-5.495-5.508-14.436 0-19.931 1.474-1.47 3.228-2.582 5.155-3.279-2.425 5.101-1.444 11.238 2.701 15.373 1.432 1.429 3.13 2.494 4.98 3.16-0.918 1.793-1.652 3.674-1.652 5.111 0 1.308 0.462 2.512 1.231 3.481-0.794 0.137-1.604 0.213-2.426 0.213-3.773 0-7.32-1.466-9.989-4.128zM23.317 30.005c-2.206 0-4.001-1.689-4.001-3.764 0-2.106 2.424-6.137 4.001-8.467 1.577 2.328 4.001 6.358 4.001 8.467 0 2.075-1.795 3.764-4.001 3.764zM28.427 22.748c-0.203-0.483-0.431-0.969-0.675-1.451 0.562-0.177 1.113-0.387 1.647-0.639-0.263 0.724-0.593 1.42-0.972 2.090z"></path>'),
	   	 			'television_old2' => array('keywords' => 'television_old2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M28 11.5h-3c-0.552 0-1 0.448-1 1s0.448 1 1 1h3c0.552 0 1-0.448 1-1s-0.448-1-1-1zM28 8.5h-3c-0.552 0-1 0.448-1 1s0.448 1 1 1h3c0.552 0 1-0.448 1-1s-0.448-1-1-1zM29 4.5h-26c-1.65 0-3 1.35-3 3v15c0 1.65 1.35 3 3 3v1c0 0.552 0.448 1 1 1s1-0.448 1-1v-1h22v1c0 0.552 0.448 1 1 1s1-0.448 1-1v-1c1.65 0 3-1.35 3-3v-15c0-1.65-1.35-3-3-3zM30 22.5c0 0.55-0.45 1-1 1h-26c-0.55 0-1-0.45-1-1v-15c0-0.55 0.45-1 1-1h26c0.55 0 1 0.45 1 1v15zM8.698 18.845c0.098 0.098 0.226 0.146 0.354 0.146s0.256-0.049 0.354-0.146l7-7c0.195-0.195 0.195-0.511 0-0.707s-0.511-0.195-0.707 0l-7 7c-0.195 0.195-0.195 0.512 0 0.707zM15.698 15.146l-3 3c-0.195 0.195-0.195 0.512 0 0.707 0.098 0.098 0.226 0.146 0.354 0.146s0.256-0.049 0.354-0.146l3-3c0.195-0.195 0.195-0.511 0-0.707s-0.511-0.195-0.707 0zM9 15c0.128 0 0.256-0.049 0.354-0.146l3-3c0.195-0.195 0.195-0.511 0-0.707s-0.511-0.195-0.707 0l-3 3c-0.195 0.195-0.195 0.511 0 0.707 0.098 0.098 0.226 0.146 0.354 0.146zM27.5 20.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM27.5 17.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM22 7.5h-18c-0.552 0-1 0.448-1 1v13c0 0.552 0.448 1 1 1h18c0.552 0 1-0.448 1-1v-13c0-0.552-0.448-1-1-1zM21 20.5h-16v-11h16v11z"></path>'),
	   	 			'folder3' => array('keywords' => 'folder3 ','viewbox' => '0 0 30 32', 'path' =>'<path d="M29.714 11.143v12.571q0 1.643-1.179 2.821t-2.821 1.179h-21.714q-1.643 0-2.821-1.179t-1.179-2.821v-17.143q0-1.643 1.179-2.821t2.821-1.179h5.714q1.643 0 2.821 1.179t1.179 2.821v0.571h12q1.643 0 2.821 1.179t1.179 2.821z"></path>'),
	   	 			'abu_dhabi_tower' => array('keywords' => 'abu_dhabi_tower ','viewbox' => '0 0 32 32', 'path' =>'<path d="M24 30h-3.069c0.706-2.302 1.069-4.736 1.069-7.261 0-2.458-0.36-4.84-1.020-7.047 0.012-0.062 0.020-0.126 0.020-0.192v-1.501c0-1.103 0.898-1.999 2-1.999 0.552 0 1-0.448 1-1s-0.448-1-1-1h-4.64c-1.677-2.545-3.852-4.532-6.36-5.663v-3.337c0-0.552-0.448-1-1-1s-1 0.448-1 1v9h-1c-0.552 0-1 0.448-1 1s0.448 1 1 1h1v18h-2c-0.552 0-1 0.448-1 1s0.448 1 1 1h11.535c0.002 0 0.003 0.001 0.006 0.001 0.001 0 0.002-0.001 0.003-0.001h4.457c0.552 0 1-0.448 1-1s-0.448-1-1-1zM12 19h7.689c0.198 1.213 0.311 2.463 0.311 3.739 0 0.087-0.005 0.174-0.006 0.261h-7.994v-4zM12 6.585c1.466 0.817 2.788 1.98 3.913 3.415h-3.913v-3.415zM17.256 12c0.864 1.501 1.55 3.188 2.018 5h-7.275v-5h5.257zM12 25h7.89c-0.164 1.732-0.52 3.404-1.060 5h-6.831v-5z"></path>'),
	   	 			'select_all' => array('keywords' => 'select_all ','viewbox' => '0 0 32 32', 'path' =>'<path d="M12 12.667v8h8v-8h-8zM9.313 23.354v-13.375h13.375v13.375h-13.375zM20 7.354v-2.688h2.688v2.688h-2.688zM20 28.667v-2.688h2.688v2.688h-2.688zM25.313 23.354v-2.688h2.688v2.688h-2.688zM25.313 12.667v-2.688h2.688v2.688h-2.688zM25.313 28.667v-2.688h2.688q0 1.063-0.813 1.875t-1.875 0.813zM25.313 17.979v-2.625h2.688v2.625h-2.688zM14.688 28.667v-2.688h2.625v2.688h-2.625zM12 4.667v2.688h-2.688v-2.688h2.688zM4 23.354v-2.688h2.688v2.688h-2.688zM6.688 28.667q-1.063 0-1.875-0.813t-0.813-1.875h2.688v2.688zM25.313 4.667q1.063 0 1.875 0.813t0.813 1.875h-2.688v-2.688zM17.313 4.667v2.688h-2.625v-2.688h2.625zM4 12.667v-2.688h2.688v2.688h-2.688zM9.313 28.667v-2.688h2.688v2.688h-2.688zM4 17.979v-2.625h2.688v2.625h-2.688zM4 7.354q0-1.063 0.813-1.875t1.875-0.813v2.688h-2.688z"></path>'),
	   	 			'pricetags' => array('keywords' => 'pricetags ','viewbox' => '0 0 42 32', 'path' =>'<path d="M40.5 0h-10c-0.691 0-1.574 0.376-2.047 0.87l-1.33 1.34c-0.194 0.196-0.192 0.513 0.004 0.707 0.194 0.194 0.513 0.193 0.707-0.003l1.334-1.346c0.285-0.297 0.92-0.568 1.332-0.568h10c0.275 0 0.5 0.224 0.5 0.5v10.049c0 0.411-0.271 1.046-0.574 1.337l-14.081 13.972c-0.201 0.191-0.535 0.186-0.73-0.008l-2.648-2.649c-0.195-0.195-0.512-0.195-0.707 0s-0.195 0.512 0 0.707l2.648 2.649c0.294 0.293 0.684 0.441 1.074 0.441 0.382 0 0.765-0.141 1.062-0.424l14.082-13.973c0.498-0.478 0.874-1.361 0.874-2.052v-10.049c0-0.827-0.673-1.5-1.5-1.5zM39.038 5c0-1.103-0.897-2-2-2s-2 0.897-2 2 0.897 2 2 2 2-0.897 2-2zM36.038 5c0-0.551 0.448-1 1-1s1 0.449 1 1-0.448 1-1 1-1-0.449-1-1zM16.462 4c-0.691 0-1.574 0.376-2.048 0.87l-13.993 14.131c-0.568 0.592-0.56 1.547 0.021 2.128l10.428 10.428c0.285 0.286 0.667 0.443 1.076 0.443 0.396 0 0.77-0.149 1.059-0.426l14.081-13.972c0.499-0.478 0.876-1.361 0.876-2.053v-10.049c0-0.827-0.673-1.5-1.5-1.5h-10zM27 5.5v10.049c0 0.412-0.309 1.046-0.612 1.337l-14.081 13.972c-0.195 0.185-0.54 0.181-0.729-0.008l-10.429-10.427c-0.195-0.196-0.199-0.53-0.013-0.723l13.994-14.132c0.285-0.297 0.92-0.568 1.332-0.568h10c0.275 0 0.538 0.224 0.538 0.5zM23 7c-1.103 0-2 0.897-2 2s0.897 2 2 2 2-0.897 2-2-0.897-2-2-2zM23 10c-0.552 0-1-0.449-1-1s0.448-1 1-1 1 0.449 1 1-0.448 1-1 1z"></path>'),
	   	 			'tablet' => array('keywords' => 'tablet ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25 0h-20c-1.65 0-3 1.35-3 3v26c0 1.65 1.35 3 3 3h20c1.65 0 3-1.35 3-3v-26c0-1.65-1.35-3-3-3zM15 31c-0.552 0-1-0.448-1-1s0.448-1 1-1 1 0.448 1 1-0.448 1-1 1zM24 28h-18v-24h18v24z"></path>'),
	   	 			'flag3' => array('keywords' => 'flag3 ','viewbox' => '0 0 33 32', 'path' =>'<path d="M5.714 4.857q0 1.286-1.143 1.964v22.607q0 0.232-0.17 0.402t-0.402 0.17h-1.143q-0.232 0-0.402-0.17t-0.17-0.402v-22.607q-1.143-0.679-1.143-1.964 0-0.946 0.67-1.616t1.616-0.67 1.616 0.67 0.67 1.616zM32 6v13.625q0 0.446-0.223 0.688t-0.705 0.491q-3.839 2.071-6.589 2.071-1.089 0-2.205-0.393t-1.938-0.857-2.063-0.857-2.545-0.393q-3.429 0-8.286 2.607-0.304 0.161-0.589 0.161-0.464 0-0.804-0.339t-0.339-0.804v-13.25q0-0.571 0.554-0.982 0.375-0.25 1.411-0.768 4.214-2.143 7.518-2.143 1.911 0 3.571 0.518t3.911 1.571q0.679 0.339 1.571 0.339 0.964 0 2.098-0.375t1.964-0.839 1.571-0.839 0.973-0.375q0.464 0 0.804 0.339t0.339 0.804z"></path>'),
	   	 			'sold_symbol' => array('keywords' => 'sold_symbol ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 3h-12v-2c0-0.552-0.448-1-1-1s-1 0.448-1 1v2h-12c-1.651 0-3 1.349-3 3v10c0 1.649 1.349 3 3 3h12v11h-3.5c-0.552 0-1 0.448-1 1s0.448 1 1 1h9c0.552 0 1-0.448 1-1s-0.448-1-1-1h-3.5v-11h12c1.649 0 3-1.351 3-3v-10c0-1.651-1.351-3-3-3zM30 16c0 0.55-0.45 1-1 1h-26c-0.55 0-1-0.45-1-1v-10c0-0.55 0.45-1 1-1h26c0.55 0 1 0.45 1 1v10zM8.511 9.511c0.339 0 0.742 0.107 1.21 0.322l0.413-1.042c-0.537-0.239-1.066-0.36-1.582-0.36-0.585 0-1.046 0.129-1.381 0.386s-0.502 0.616-0.502 1.076c0 0.246 0.039 0.459 0.118 0.639 0.078 0.179 0.199 0.339 0.362 0.479 0.162 0.139 0.407 0.282 0.733 0.431 0.36 0.161 0.582 0.268 0.665 0.322 0.084 0.052 0.143 0.104 0.181 0.155s0.056 0.111 0.056 0.18c0 0.11-0.047 0.198-0.14 0.268s-0.24 0.104-0.441 0.104c-0.232 0-0.488-0.037-0.766-0.111s-0.546-0.178-0.803-0.309v1.203c0.244 0.116 0.479 0.197 0.704 0.244s0.505 0.070 0.837 0.070c0.399 0 0.746-0.066 1.043-0.2s0.523-0.321 0.68-0.56 0.236-0.515 0.236-0.825c0-0.338-0.084-0.617-0.251-0.839s-0.467-0.431-0.898-0.624c-0.448-0.205-0.724-0.347-0.825-0.424s-0.152-0.165-0.152-0.264c0-0.091 0.040-0.167 0.12-0.229s0.207-0.092 0.383-0.092zM13.362 8.424c-0.793 0-1.397 0.22-1.813 0.658s-0.624 1.074-0.624 1.905c0 0.841 0.209 1.482 0.627 1.921 0.418 0.441 1.020 0.66 1.803 0.66 0.796 0 1.399-0.219 1.812-0.656s0.618-1.077 0.618-1.918c0-0.843-0.205-1.482-0.615-1.917-0.41-0.436-1.013-0.653-1.808-0.653zM14.115 12.092c-0.165 0.235-0.418 0.351-0.761 0.351-0.672 0-1.008-0.482-1.008-1.449 0-0.975 0.338-1.463 1.015-1.463 0.332 0 0.582 0.119 0.751 0.357 0.167 0.239 0.251 0.607 0.251 1.105 0.001 0.496-0.082 0.862-0.248 1.098zM18.23 8.503h-1.35v4.997h3.274v-1.091h-1.925zM22.806 8.503h-1.73v4.997h1.616c0.831 0 1.477-0.226 1.936-0.677s0.689-1.094 0.689-1.928c0-0.775-0.218-1.367-0.655-1.777-0.436-0.41-1.055-0.615-1.857-0.615zM23.63 12.035c-0.192 0.239-0.492 0.357-0.902 0.357h-0.301v-2.8h0.393c0.369 0 0.645 0.111 0.825 0.332 0.181 0.22 0.272 0.56 0.272 1.018 0 0.489-0.095 0.854-0.287 1.092z"></path>'),
	   	 			'temperature_2' => array('keywords' => 'temperature_2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25 16c-0.002 0-0.003 0-0.005 0h-23.995c-0.552 0-1 0.448-1 1s0.448 1 1 1h24.002c0.001 0 0.002-0 0.003-0 1.652 0.003 2.996 1.347 2.996 3 0 1.654-1.346 3-3 3-0.552 0-1 0.448-1 1s0.448 1 1 1c2.757 0 5-2.243 5-5s-2.243-5-5-5zM1 11.999h11.995c0.002 0 0.004 0.001 0.005 0.001 2.757 0 5-2.243 5-5s-2.243-5-5-5-5 2.243-5 5c0 0.552 0.448 1 1 1s1-0.448 1-1c0-1.655 1.345-3 3-3s3 1.345 3 3c0 1.653-1.344 2.998-2.996 3-0.001 0-0.002-0.001-0.002-0.001h-12.002c-0.552 0-1 0.448-1 1s0.448 1 1 1zM26 3c-3.308 0-6 2.691-6 6 0 0.552 0.448 1 1 1s1-0.448 1-1c0-2.205 1.794-4 4-4s4 1.795 4 4c0 2.204-1.793 3.998-3.997 4-0.001 0-0.002-0.001-0.003-0.001h-25c-0.552 0-1 0.448-1 1s0.448 1 1 1h24.995c0.002 0 0.003 0.001 0.005 0.001 3.308 0 6-2.691 6-6s-2.692-6-6-6zM2 21c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM8 21c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM14 21c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM20 21c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM2 29c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM8 29c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM14 29c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM20 29c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM17 25c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM11 25c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM5 25c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1z"></path>'),
	   	 			'automobile' => array('keywords' => 'automobile ','viewbox' => '0 0 37 32', 'path' =>'<path d="M8.571 19.714q0-1.179-0.839-2.018t-2.018-0.839-2.018 0.839-0.839 2.018 0.839 2.018 2.018 0.839 2.018-0.839 0.839-2.018zM9.214 14h18.143l-1.589-6.375q-0.036-0.143-0.25-0.313t-0.375-0.17h-13.714q-0.161 0-0.375 0.17t-0.25 0.313zM33.714 19.714q0-1.179-0.839-2.018t-2.018-0.839-2.018 0.839-0.839 2.018 0.839 2.018 2.018 0.839 2.018-0.839 0.839-2.018zM36.571 18v6.857q0 0.25-0.161 0.411t-0.411 0.161h-1.714v2.286q0 1.429-1 2.429t-2.429 1-2.429-1-1-2.429v-2.286h-18.286v2.286q0 1.429-1 2.429t-2.429 1-2.429-1-1-2.429v-2.286h-1.714q-0.25 0-0.411-0.161t-0.161-0.411v-6.857q0-1.661 1.17-2.83t2.83-1.17h0.5l1.875-7.482q0.411-1.679 1.857-2.813t3.196-1.134h13.714q1.75 0 3.196 1.134t1.857 2.813l1.875 7.482h0.5q1.661 0 2.83 1.17t1.17 2.83z"></path>'),
	   	 			'cup_prize2' => array('keywords' => 'cup_prize2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M14.5 8c0.001 0 0.002 0 0.003 0h0.995v5c0 0.552 0.447 1 1 1s1-0.448 1-1c0-0.001 0-0.002 0-0.002v-5.978c0-0.007 0.002-0.013 0.002-0.019 0-0.552-0.448-1-1-1h-2c-0.552 0-1 0.448-1 1s0.448 1 1 1zM22.003 30c-0.001 0-0.002 0-0.003 0h-12c-0.001 0-0.001 0-0.002 0-0.553 0-1 0.448-1 1s0.447 1 1 1h12.005c0.552 0 1-0.448 1-1s-0.448-1-1-1zM30 3h-4v-2c0-0.552-0.448-1-1-1h-18c-0.552 0-1 0.448-1 1v2h-4c-0.552 0-1 0.448-1 1v6c-0.001 2.761 2.237 5 5 5h0.838c1.416 3.239 4.496 5.585 8.162 5.95v6.050h-2.997c-0.001 0-0.002 0-0.003 0-0.552 0-1 0.448-1 1s0.448 1 1 1h8c0.552 0 1-0.448 1-1s-0.448-1-1-1c-0.001 0-0.001 0-0.002 0h-2.998v-6.050c3.666-0.364 6.746-2.71 8.162-5.95h0.838c0 0 0 0 0.001 0 2.762 0 5-2.238 4.999-5v-6c0-0.552-0.448-1-1-1zM6 13v0c-1.657 0.001-2.999-1.342-3-2.999v-5h3v6c0 0.685 0.069 1.354 0.201 2h-0.201zM24 11c0 4.418-3.581 8-8 8-4.418 0-8-3.582-8-8v-9h16v9zM29 10v0c0 1.658-1.343 3.001-3 3.001v-0.001h-0.2c0.131-0.646 0.2-1.315 0.2-2v-6h3v5z"></path>'),
	   	 			'telescope' => array('keywords' => 'telescope ','viewbox' => '0 0 35 32', 'path' =>'<path d="M27.464 2.314c-0.053-0.132-0.159-0.235-0.292-0.284s-0.281-0.039-0.406 0.027l-11.906 6.282c-0.224 0.118-0.324 0.385-0.233 0.621l0.245 0.641-6.873 3.769c-0.225 0.123-0.32 0.395-0.222 0.63l0.228 0.549-7.299 3.488c-0.24 0.115-0.348 0.397-0.246 0.643l1.498 3.61c0.080 0.192 0.265 0.309 0.462 0.309 0.056 0 0.112-0.009 0.167-0.029l7.625-2.701 0.228 0.549c0.079 0.191 0.264 0.309 0.462 0.309 0.046 0 0.092-0.006 0.139-0.020l7.276-2.097 0.218 0.569c0.074 0.197 0.263 0.321 0.465 0.321 0.049 0 0.098-0.007 0.147-0.022l13-4c0.134-0.041 0.244-0.136 0.304-0.262s0.065-0.272 0.013-0.401l-5-12.501zM2.7 21.469l-1.134-2.734 6.823-3.261 1.439 3.47-7.128 2.525zM11.191 19.623l-0.238-0.574c0 0 0 0 0 0l-1.843-4.445c0 0 0 0 0 0l-0.238-0.573 6.336-3.475 2.374 6.134 0.375 0.981-6.766 1.952zM19.3 18.385l-0.203-0.531c-0.003-0.011-0.001-0.024-0.006-0.035l-0.618-1.597-2.754-7.206 11.023-5.815 4.592 11.48-12.034 3.704zM28.964 0.314c-0.103-0.257-0.395-0.381-0.65-0.279-0.256 0.103-0.381 0.394-0.279 0.65l6 15c0.079 0.196 0.267 0.315 0.465 0.315 0.062 0 0.125-0.011 0.186-0.036 0.256-0.103 0.381-0.394 0.279-0.65l-6.001-15zM18 21h-3c-1.14 0-2 0.86-2 2v1.315l-5.879 6.859c-0.18 0.209-0.156 0.525 0.054 0.705 0.094 0.081 0.21 0.121 0.325 0.121 0.141 0 0.281-0.059 0.379-0.175l5.851-6.825h2.27v6.5c0 0.276 0.224 0.5 0.5 0.5s0.5-0.224 0.5-0.5v-6.5h2.27l5.85 6.825c0.099 0.116 0.239 0.175 0.38 0.175 0.115 0 0.231-0.040 0.325-0.121 0.21-0.18 0.234-0.495 0.054-0.705l-5.879-6.859v-1.24c0-1.163-0.878-2.075-2-2.075zM19 24h-5v-1c0-0.589 0.411-1 1-1h3c0.57 0 1 0.462 1 1.075v0.925z"></path>'),
	   	 			'house' => array('keywords' => 'house ','viewbox' => '0 0 24 24', 'path' =>'<path d="M21.6 8.2l-9-7c-0.4-0.3-0.9-0.3-1.2 0l-9 7c-0.3 0.2-0.4 0.5-0.4 0.8v11c0 1.7 1.3 3 3 3h14c1.7 0 3-1.3 3-3v-11c0-0.3-0.1-0.6-0.4-0.8zM14 21h-4v-8h4v8zM20 20c0 0.6-0.4 1-1 1h-3v-9c0-0.6-0.4-1-1-1h-6c-0.6 0-1 0.4-1 1v9h-3c-0.6 0-1-0.4-1-1v-10.5l8-6.2 8 6.2v10.5z"></path> </svg >'),
	   	 			'thumb_down' => array('keywords' => 'thumb_down ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25.313 4.667h5.375v16h-5.375v-16zM20 4.667q1.063 0 1.875 0.813t0.813 1.875v13.313q0 1.063-0.813 1.875l-8.75 8.813-1.438-1.438q-0.563-0.563-0.563-1.375v-0.438l1.313-6.125h-8.438q-1.063 0-1.875-0.781t-0.813-1.844l0.063-0.125h-0.063v-2.563q0-0.5 0.188-1l4.063-9.375q0.625-1.625 2.438-1.625h12z"></path>'),
	   	 			'lightbulb-o' => array('keywords' => 'lightbulb-o ','viewbox' => '0 0 18 32', 'path' =>'<path d="M13.143 10.571q0 0.232-0.17 0.402t-0.402 0.17-0.402-0.17-0.17-0.402q0-0.821-0.964-1.268t-1.893-0.446q-0.232 0-0.402-0.17t-0.17-0.402 0.17-0.402 0.402-0.17q0.893 0 1.777 0.286t1.554 0.964 0.67 1.607zM16 10.571q0-1.286-0.616-2.393t-1.607-1.813-2.196-1.107-2.438-0.402-2.438 0.402-2.196 1.107-1.607 1.813-0.616 2.393q0 1.804 1.214 3.214 0.179 0.196 0.545 0.589t0.545 0.589q2.286 2.732 2.518 5.321h4.071q0.232-2.589 2.518-5.321 0.179-0.196 0.545-0.589t0.545-0.589q1.214-1.411 1.214-3.214zM18.286 10.571q0 2.768-1.839 4.786-0.804 0.875-1.33 1.554t-1.063 1.705-0.607 1.92q0.839 0.5 0.839 1.464 0 0.661-0.446 1.143 0.446 0.482 0.446 1.143 0 0.929-0.804 1.446 0.232 0.411 0.232 0.839 0 0.821-0.563 1.268t-1.384 0.446q-0.357 0.786-1.071 1.25t-1.554 0.464-1.554-0.464-1.071-1.25q-0.821 0-1.384-0.446t-0.563-1.268q0-0.429 0.232-0.839-0.804-0.518-0.804-1.446 0-0.661 0.446-1.143-0.446-0.482-0.446-1.143 0-0.964 0.839-1.464-0.071-0.893-0.607-1.92t-1.063-1.705-1.33-1.554q-1.839-2.018-1.839-4.786 0-1.768 0.795-3.295t2.089-2.536 2.929-1.589 3.33-0.58 3.33 0.58 2.929 1.589 2.089 2.536 0.795 3.295z"></path>'),
	   	 			'arrow-right3' => array('keywords' => 'arrow-right3 ','viewbox' => '0 0 26 32', 'path' =>'<path d="M26.286 17.429q0 0.964-0.661 1.625l-11.625 11.625q-0.696 0.661-1.625 0.661-0.911 0-1.607-0.661l-1.339-1.339q-0.679-0.679-0.679-1.625t0.679-1.625l5.232-5.232h-12.571q-0.929 0-1.509-0.67t-0.58-1.616v-2.286q0-0.946 0.58-1.616t1.509-0.67h12.571l-5.232-5.25q-0.679-0.643-0.679-1.607t0.679-1.607l1.339-1.339q0.679-0.679 1.607-0.679 0.946 0 1.625 0.679l11.625 11.625q0.661 0.625 0.661 1.607z"></path>'),
	   	 			'delicious' => array('keywords' => 'delicious ','viewbox' => '0 0 32 32', 'path' =>'<path d="M0 0v32h32v-32h-32zM16 30v-14h-14v-14h14v14h14v14h-14z"></path>'),
	   	 			'cube' => array('keywords' => 'cube ','viewbox' => '0 0 30 32', 'path' =>'<path d="M16 29.375l11.429-6.232v-11.357l-11.429 4.161v13.429zM14.857 13.929l12.464-4.536-12.464-4.536-12.464 4.536zM29.714 9.429v13.714q0 0.625-0.321 1.161t-0.875 0.839l-12.571 6.857q-0.5 0.286-1.089 0.286t-1.089-0.286l-12.571-6.857q-0.554-0.304-0.875-0.839t-0.321-1.161v-13.714q0-0.714 0.411-1.304t1.089-0.839l12.571-4.571q0.393-0.143 0.786-0.143t0.786 0.143l12.571 4.571q0.679 0.25 1.089 0.839t0.411 1.304z"></path>'),
	   	 			'basket_n1' => array('keywords' => 'basket_n1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 8.001h-2.084l-6.207-6.205c-0-0-0.001-0.002-0.002-0.002-0.39-0.39-1.023-0.39-1.414 0s-0.39 1.024 0 1.414l4.794 4.793-16.672-0.001 4.793-4.793c0.39-0.39 0.39-1.024 0-1.415s-1.024-0.391-1.415 0l-6.205 6.207h-1.587c-1.649 0-3 1.35-3 3v2c0 1.357 0.915 2.511 2.159 2.877l1.341 11.623c0 1.651 1.349 3 3 3h19c1.649 0 3-1.349 3-3l1.341-11.623c1.244-0.367 2.159-1.52 2.159-2.877v-2c0-1.651-1.349-3-3-3zM26.5 27.5c0 0.55-0.45 1-1 1h-19c-0.55 0-1-0.45-1-1l-1.327-11.5h23.654l-1.328 11.5zM30 13.001c0 0.55-0.45 1-1 1h-26c-0.55 0-1-0.45-1-1v-2c0-0.55 0.45-1.001 1-1.001l26 0.001c0.55 0 1 0.45 1 1v2zM14 18.5c-0.552 0-0.999 0.448-1 1v5.5c0 0.552 0.448 1 1 1s1-0.448 1-1c0-0.001 0-0.001 0-0.002v-5.495c0-0.001 0-0.002 0-0.003 0-0.552-0.447-1-1-1zM22 18.5c-0.552 0-0.999 0.448-1 1v5.5c0 0.552 0.448 1 1 1s1-0.448 1-1c0-0.001 0-0.001 0-0.002v-5.495c0-0.001 0-0.002 0-0.003 0-0.552-0.448-1-1-1zM18 18.5c-0.552 0-0.999 0.448-1 1v5.5c0 0.552 0.448 1 1 1s1-0.448 1-1c0-0.001 0-0.001 0-0.002v-5.495c0-0.001 0-0.002 0-0.003 0-0.552-0.448-1-1-1zM10 18.5c-0.552 0-0.999 0.448-1 1v5.5c0 0.552 0.448 1 1 1s1-0.448 1-1c0-0.001 0-0.001 0-0.002v-5.495c0-0.001 0-0.002 0-0.003 0-0.552-0.447-1-1-1z"></path>'),
	   	 			'cloud-download2' => array('keywords' => 'cloud-download2 ','viewbox' => '0 0 34 32', 'path' =>'<path d="M22.857 16.857q0-0.25-0.161-0.411t-0.411-0.161h-4v-6.286q0-0.232-0.17-0.402t-0.402-0.17h-3.429q-0.232 0-0.402 0.17t-0.17 0.402v6.286h-4q-0.232 0-0.402 0.17t-0.17 0.402q0 0.25 0.161 0.411l6.286 6.286q0.161 0.161 0.411 0.161t0.411-0.161l6.268-6.268q0.179-0.214 0.179-0.429zM34.286 20.857q0 2.839-2.009 4.848t-4.848 2.009h-19.429q-3.304 0-5.652-2.348t-2.348-5.652q0-2.321 1.25-4.286t3.357-2.946q-0.036-0.536-0.036-0.768 0-3.786 2.679-6.464t6.464-2.679q2.786 0 5.098 1.554t3.366 4.125q1.268-1.107 2.964-1.107 1.893 0 3.232 1.339t1.339 3.232q0 1.357-0.732 2.464 2.321 0.554 3.813 2.42t1.491 4.259z"></path>'),
	   	 			'fiber_smart_record' => array('keywords' => 'fiber_smart_record ','viewbox' => '0 0 32 32', 'path' =>'<path d="M22.688 6.354q3.5 0.875 5.75 3.75t2.25 6.563-2.25 6.563-5.75 3.75v-2.75q2.375-0.813 3.844-2.875t1.469-4.688-1.469-4.688-3.844-2.875v-2.75zM1.313 16.667q0-4.375 3.156-7.531t7.531-3.156 7.531 3.156 3.156 7.531-3.156 7.531-7.531 3.156-7.531-3.156-3.156-7.531z"></path>'),
	   	 			'edit2' => array('keywords' => 'edit2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M27.625 10.042l-2.438 2.438-5-5 2.438-2.438q0.375-0.375 0.938-0.375t0.938 0.375l3.125 3.125q0.375 0.375 0.375 0.938t-0.375 0.938zM4 23.667l14.75-14.75 5 5-14.75 14.75h-5v-5z"></path>'),
	   	 			'italic2' => array('keywords' => 'italic2 ','viewbox' => '0 0 18 32', 'path' =>'<path d="M0 29.964l0.304-1.518q0.107-0.036 1.455-0.384t1.991-0.67q0.5-0.625 0.732-1.804 0.018-0.125 1.107-5.161t2.036-9.705 0.929-5.295v-0.446q-0.429-0.232-0.973-0.33t-1.241-0.143-1.036-0.098l0.339-1.839q0.589 0.036 2.143 0.116t2.67 0.125 2.152 0.045q0.857 0 1.759-0.045t2.161-0.125 1.759-0.116q-0.089 0.696-0.339 1.589-0.536 0.179-1.813 0.509t-1.938 0.598q-0.143 0.339-0.25 0.759t-0.161 0.714-0.134 0.813-0.116 0.75q-0.482 2.643-1.563 7.491t-1.384 6.348q-0.036 0.161-0.232 1.036t-0.357 1.607-0.286 1.491-0.107 1.027l0.018 0.321q0.304 0.071 3.304 0.554-0.054 0.786-0.286 1.768-0.196 0-0.58 0.027t-0.58 0.027q-0.518 0-1.554-0.179t-1.536-0.179q-2.464-0.036-3.679-0.036-0.911 0-2.554 0.161t-2.161 0.196z"></path>'),
	   	 			'flight' => array('keywords' => 'flight ','viewbox' => '0 0 32 32', 'path' =>'<path d="M28 21.979l-10.688-3.313v7.313l2.688 2v2l-4.688-1.313-4.625 1.313v-2l2.625-2v-7.313l-10.625 3.313v-2.625l10.625-6.688v-7.313q0-0.813 0.594-1.406t1.406-0.594 1.406 0.594 0.594 1.406v7.313l10.688 6.688v2.625z"></path>'),
	   	 			'gavel2' => array('keywords' => 'gavel2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M5.125 13.292l7.5 7.563-3.75 3.75-7.563-7.5zM16.438 1.979l7.5 7.562-3.75 3.75-7.563-7.5zM7 11.417l3.75-3.75 18.875 18.875-3.75 3.75zM1.313 28.667h16v2.688h-16v-2.688z"></path>'),
	   	 			'vk2' => array('keywords' => 'vk2 ','viewbox' => '0 0 35 32', 'path' =>'<path d="M34.232 9.571q0.411 1.143-2.679 5.25-0.429 0.571-1.161 1.518-1.393 1.786-1.607 2.339-0.304 0.732 0.25 1.446 0.304 0.375 1.446 1.464h0.018l0.071 0.071q2.518 2.339 3.411 3.946 0.054 0.089 0.116 0.223t0.125 0.473-0.009 0.607-0.446 0.491-1.054 0.223l-4.571 0.071q-0.429 0.089-1-0.089t-0.929-0.393l-0.357-0.214q-0.536-0.375-1.25-1.143t-1.223-1.384-1.089-1.036-1.009-0.277q-0.054 0.018-0.143 0.063t-0.304 0.259-0.384 0.527-0.304 0.929-0.116 1.384q0 0.268-0.063 0.491t-0.134 0.33l-0.071 0.089q-0.321 0.339-0.946 0.393h-2.054q-1.268 0.071-2.607-0.295t-2.348-0.946-1.839-1.179-1.259-1.027l-0.446-0.429q-0.179-0.179-0.491-0.536t-1.277-1.625-1.893-2.696-2.188-3.768-2.33-4.857q-0.107-0.286-0.107-0.482t0.054-0.286l0.071-0.107q0.268-0.339 1.018-0.339l4.893-0.036q0.214 0.036 0.411 0.116t0.286 0.152l0.089 0.054q0.286 0.196 0.429 0.571 0.357 0.893 0.821 1.848t0.732 1.455l0.286 0.518q0.518 1.071 1 1.857t0.866 1.223 0.741 0.688 0.607 0.25 0.482-0.089q0.036-0.018 0.089-0.089t0.214-0.393 0.241-0.839 0.17-1.446 0-2.232q-0.036-0.714-0.161-1.304t-0.25-0.821l-0.107-0.214q-0.446-0.607-1.518-0.768-0.232-0.036 0.089-0.429 0.304-0.339 0.679-0.536 0.946-0.464 4.268-0.429 1.464 0.018 2.411 0.232 0.357 0.089 0.598 0.241t0.366 0.429 0.188 0.571 0.063 0.813-0.018 0.982-0.045 1.259-0.027 1.473q0 0.196-0.018 0.75t-0.009 0.857 0.063 0.723 0.205 0.696 0.402 0.438q0.143 0.036 0.304 0.071t0.464-0.196 0.679-0.616 0.929-1.196 1.214-1.92q1.071-1.857 1.911-4.018 0.071-0.179 0.179-0.313t0.196-0.188l0.071-0.054 0.089-0.045t0.232-0.054 0.357-0.009l5.143-0.036q0.696-0.089 1.143 0.045t0.554 0.295z"></path>'),
	   	 			'scanner' => array('keywords' => 'scanner ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25.313 23.354v-2.688h-13.313v2.688h13.313zM9.313 23.354v-2.688h-2.625v2.688h2.625zM26.375 14.917q0.688 0.188 1.156 0.906t0.469 1.531v7.313q0 1.063-0.813 1.875t-1.875 0.813h-18.625q-1.063 0-1.875-0.813t-0.813-1.875v-5.313q0-1.063 0.813-1.875t1.875-0.813h16.75l-18.75-6.813 0.938-2.5z"></path>'),
	   	 			'calendar-plus-o' => array('keywords' => 'calendar-plus-o ','viewbox' => '0 0 30 32', 'path' =>'<path d="M27.429 4.857q0.929 0 1.607 0.679t0.679 1.607v22.857q0 0.929-0.679 1.607t-1.607 0.679h-25.143q-0.929 0-1.607-0.679t-0.679-1.607v-22.857q0-0.929 0.679-1.607t1.607-0.679h2.286v-1.714q0-1.179 0.839-2.018t2.018-0.839h1.143q1.179 0 2.018 0.839t0.839 2.018v1.714h6.857v-1.714q0-1.179 0.839-2.018t2.018-0.839h1.143q1.179 0 2.018 0.839t0.839 2.018v1.714h2.286zM20.571 3.143v5.143q0 0.25 0.161 0.411t0.411 0.161h1.143q0.25 0 0.411-0.161t0.161-0.411v-5.143q0-0.25-0.161-0.411t-0.411-0.161h-1.143q-0.25 0-0.411 0.161t-0.161 0.411zM6.857 3.143v5.143q0 0.25 0.161 0.411t0.411 0.161h1.143q0.25 0 0.411-0.161t0.161-0.411v-5.143q0-0.25-0.161-0.411t-0.411-0.161h-1.143q-0.25 0-0.411 0.161t-0.161 0.411zM27.429 30v-18.286h-25.143v18.286h25.143zM16 19.714h4q0.25 0 0.411 0.161t0.161 0.411v1.143q0 0.25-0.161 0.411t-0.411 0.161h-4v4q0 0.25-0.161 0.411t-0.411 0.161h-1.143q-0.25 0-0.411-0.161t-0.161-0.411v-4h-4q-0.25 0-0.411-0.161t-0.161-0.411v-1.143q0-0.25 0.161-0.411t0.411-0.161h4v-4q0-0.25 0.161-0.411t0.411-0.161h1.143q0.25 0 0.411 0.161t0.161 0.411v4z"></path>'),
	   	 			'left-quote-alt' => array('keywords' => 'left-quote-alt ','viewbox' => '0 0 32 32', 'path' =>'<path d="M32 28v-24l-12 12v12zM12 28v-24l-12 12v12z"></path>'),
	   	 			'file-o' => array('keywords' => 'file-o ','viewbox' => '0 0 27 32', 'path' =>'<path d="M26.214 7.071q0.5 0.5 0.857 1.357t0.357 1.571v20.571q0 0.714-0.5 1.214t-1.214 0.5h-24q-0.714 0-1.214-0.5t-0.5-1.214v-28.571q0-0.714 0.5-1.214t1.214-0.5h16q0.714 0 1.571 0.357t1.357 0.857zM18.286 2.714v6.714h6.714q-0.179-0.518-0.393-0.732l-5.589-5.589q-0.214-0.214-0.732-0.393zM25.143 30v-18.286h-7.429q-0.714 0-1.214-0.5t-0.5-1.214v-7.429h-13.714v27.429h22.857z"></path>'),
	   	 			'download' => array('keywords' => 'download ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 18l8-8h-6v-8h-4v8h-6zM23.273 14.727l-2.242 2.242 8.128 3.031-13.158 4.907-13.158-4.907 8.127-3.031-2.242-2.242-8.727 3.273v8l16 6 16-6v-8z"></path>'),
	   	 			'airport_shuttle' => array('keywords' => 'airport_shuttle ','viewbox' => '0 0 32 32', 'path' =>'<path d="M20 15.354h6.688l-5.375-5.375h-1.313v5.375zM23.313 23.979q0.813 0 1.406-0.594t0.594-1.406-0.594-1.406-1.406-0.594-1.406 0.594-0.594 1.406 0.594 1.406 1.406 0.594zM17.313 15.354v-5.375h-5.313v5.375h5.313zM8 23.979q0.875 0 1.438-0.594t0.563-1.406-0.563-1.406-1.438-0.594-1.438 0.594-0.563 1.406 0.563 1.406 1.438 0.594zM4 15.354h5.313v-5.375h-5.313v5.375zM22.688 7.354l8 8v6.625h-3.375q0 1.625-1.188 2.813t-2.813 1.188-2.813-1.188-1.188-2.813h-7.313q0 1.625-1.188 2.813t-2.813 1.188-2.813-1.188-1.188-2.813h-2.688v-12q0-1.125 0.781-1.875t1.906-0.75h18.688z"></path>'),
	   	 			'text_fields' => array('keywords' => 'text_fields ','viewbox' => '0 0 32 32', 'path' =>'<path d="M28.688 12.667v4h-4v9.313h-4v-9.313h-4v-4h12zM3.313 5.979h17.375v4h-6.688v16h-4v-16h-6.688v-4z"></path>'),
	   	 			'finish_line_flag' => array('keywords' => 'finish_line_flag ','viewbox' => '0 0 32 32', 'path' =>'<path d="M2 0c-0.552 0-1 0.448-1 1v30c0 0.552 0.448 1 1 1s1-0.448 1-1v-30c0-0.552-0.447-1-1-1zM28 0h-23c-0.552 0-1 0.448-1 1v18c0 0.552 0.448 1 1 1h23c1.651 0 3-1.349 3-3v-14c0-1.649-1.349-3-3-3zM6 18v-8h11.5v-8h10.5c0.55 0 1 0.45 1 1v7h-11.5v8h-11.5z"></path>'),
	   	 			'compass4' => array('keywords' => 'compass4 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M0 16c0 8.822 7.178 16 16 16s16-7.178 16-16-7.178-16-16-16-16 7.178-16 16zM16 1c8.271 0 15 6.729 15 15s-6.729 15-15 15-15-6.729-15-15 6.729-15 15-15zM16 29c7.168 0 13-5.832 13-13s-5.832-13-13-13-13 5.832-13 13 5.832 13 13 13zM15 4.051v1.526c0 0.276 0.224 0.5 0.5 0.5s0.5-0.224 0.5-0.5v-1.577c6.279 0 11.438 4.85 11.949 11h-1.527c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h1.578c0 6.617-5.383 12-12 12v-1.577c0-0.276-0.224-0.5-0.5-0.5s-0.5 0.224-0.5 0.5v1.526c-6.149-0.511-11-5.669-11-11.949h1.578c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-1.527c0.483-5.819 5.13-10.466 10.949-10.949zM9.386 23.041c0.102 0 0.204-0.031 0.292-0.094l5.614-4.036c0.228 0.056 0.463 0.093 0.708 0.093 1.654 0 3-1.346 3-3 0-0.237-0.035-0.465-0.087-0.687l4.106-5.712c0.143-0.199 0.121-0.473-0.052-0.646s-0.446-0.193-0.646-0.053l-5.778 4.153c-0.177-0.033-0.358-0.055-0.544-0.055-1.654 0-3 1.346-3 3 0 0.195 0.022 0.386 0.058 0.571l-4.077 5.674c-0.143 0.199-0.121 0.473 0.052 0.646 0.097 0.096 0.225 0.146 0.354 0.146zM14 16.005c0-1.103 0.897-2 2-2s2 0.897 2 2-0.897 2-2 2-2-0.898-2-2zM20.424 11.503l-1.987 2.765c-0.216-0.301-0.482-0.563-0.792-0.767l2.779-1.998zM13.505 17.667c0.199 0.298 0.454 0.553 0.743 0.763l-2.672 1.921 1.929-2.684z"></path>'),
	   	 			'warning' => array('keywords' => 'warning ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 2.899l13.409 26.726h-26.819l13.409-26.726zM16 0c-0.69 0-1.379 0.465-1.903 1.395l-13.659 27.222c-1.046 1.86-0.156 3.383 1.978 3.383h27.166c2.134 0 3.025-1.522 1.978-3.383h0l-13.659-27.222c-0.523-0.93-1.213-1.395-1.903-1.395v0zM18 26c0 1.105-0.895 2-2 2s-2-0.895-2-2c0-1.105 0.895-2 2-2s2 0.895 2 2zM16 22c-1.105 0-2-0.895-2-2v-6c0-1.105 0.895-2 2-2s2 0.895 2 2v6c0 1.105-0.895 2-2 2z"></path>'),
	   	 			'devices_other' => array('keywords' => 'devices_other ','viewbox' => '0 0 32 32', 'path' =>'<path d="M28 24.667v-10.688h-5.313v10.688h5.313zM29.313 11.354q0.5 0 0.938 0.406t0.438 0.906v13.313q0 0.5-0.438 0.938t-0.938 0.438h-8q-0.5 0-0.906-0.438t-0.406-0.938v-13.313q0-0.5 0.406-0.906t0.906-0.406h8zM14.688 23.979q0.813 0 1.406-0.594t0.594-1.406-0.594-1.406-1.406-0.594-1.406 0.594-0.594 1.406 0.594 1.406 1.406 0.594zM17.313 16.667v2.375q1.375 1.25 1.375 2.938 0 1.75-1.375 3v2.375h-5.313v-2.375q-1.313-1.188-1.313-3 0-1.75 1.313-2.938v-2.375h5.313zM4 8.667v16h5.313v2.688h-5.313q-1.063 0-1.875-0.813t-0.813-1.875v-16q0-1.063 0.813-1.875t1.875-0.813h24v2.688h-24z"></path>'),
	   	 			'filter_frames' => array('keywords' => 'filter_frames ','viewbox' => '0 0 32 32', 'path' =>'<path d="M24 11.354h-16v13.313h16v-13.313zM26.688 27.354v-18.688h-6l-4.625-4.688-4.688 4.688h-6.063v18.688h21.375zM26.688 5.979q1.063 0 1.844 0.813t0.781 1.875v18.688q0 1.063-0.781 1.844t-1.844 0.781h-21.375q-1.063 0-1.844-0.781t-0.781-1.844v-18.688q0-1.063 0.781-1.875t1.844-0.813h5.375l5.313-5.313 5.313 5.313h5.375z"></path>'),
	   	 			'green_planet2' => array('keywords' => 'green_planet2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29.625 25.101c-0.227-0.546-0.794-1.075-1.494-1.479-0.614-3.989-3.843-7.124-7.881-7.573v-2.137c2.491-0.383 4-2.226 4-5.006 0-3.034-3.78-7.985-4.21-8.54-0.379-0.487-1.2-0.487-1.579 0-0.43 0.554-4.21 5.505-4.21 8.54 0 3.011 1.927 4.605 4 4.989v2.152c-2.024 0.226-3.847 1.127-5.24 2.471-0.947-0.369-1.511-0.526-1.862-0.526-2.056 0-7.527 1.375-8.145 1.532-0.443 0.113-0.753 0.512-0.753 0.97v6.004c0 0.552 0.448 1.001 1 1.001h4.639c2.498 1.455 8.901 4.503 10.723 4.503 1.902 0 9.655-4.225 10.722-5.298 0.422-0.424 0.53-1.023 0.29-1.601zM16.25 8.905c0-1.476 1.614-4.259 3-6.238 1.386 1.978 3 4.76 3 6.238 0 1.938-0.945 2.71-2 2.969v-3.889c0-0.553-0.448-1-1-1s-1 0.448-1 1v3.854c-0.889-0.262-2-0.976-2-2.934zM19.25 17.991c3.134 0 5.782 2.076 6.669 4.925-0.082-0.006-0.164-0.011-0.244-0.011-0.328 0-0.635 0.048-0.912 0.14-0.965 0.323-1.909 0.753-2.742 1.134 0.012-0.099 0.018-0.2 0.015-0.303-0.028-0.958-0.712-1.732-2.032-2.302-0.57-0.245-1.328-0.587-2.157-0.961-1.078-0.486-1.99-0.892-2.763-1.23 1.165-0.87 2.603-1.393 4.167-1.393zM18.61 29.998c-1.069-0.003-7.096-2.649-9.931-4.359-0.156-0.095-0.334-0.144-0.516-0.144h-3.913v-4.22c1.968-0.477 5.561-1.283 6.86-1.285 0.652 0.078 4.075 1.62 5.914 2.448 0.841 0.379 1.61 0.726 2.188 0.974 0.678 0.292 0.814 0.517 0.823 0.517 0 0 0.001 0 0.001-0-0.026 0.186-0.448 0.6-0.979 0.942l-4.027-1.791c-0.505-0.224-1.095 0.003-1.32 0.508-0.225 0.506 0.003 1.096 0.508 1.322l4.421 1.966c0.008 0.005 0.014 0.011 0.021 0.015 0.262 0.133 0.564 0.199 0.896 0.199 0.902 0 1.955-0.48 3.288-1.087 0.828-0.378 1.684-0.767 2.552-1.058 0.050-0.017 0.139-0.036 0.277-0.036 0.634 0 1.424 0.381 1.841 0.701-1.776 1.243-7.815 4.349-8.905 4.39z"></path>'),
	   	 			'vine2' => array('keywords' => 'vine2 ','viewbox' => '0 0 27 32', 'path' =>'<path d="M26.732 15.054v3.536q-1.804 0.411-3.536 0.411-1.161 2.429-2.955 4.839t-3.241 3.848-2.286 1.902q-1.429 0.804-2.893-0.054-0.5-0.304-1.080-0.777t-1.518-1.491-1.83-2.295-1.92-3.286-1.884-4.357-1.634-5.616-1.259-6.964h5.054q0.464 3.893 1.25 7.116t1.866 5.661 2.17 4.205 2.5 3.482q3.018-3.018 5.125-7.25-2.536-1.286-3.982-3.929t-1.446-5.946q0-3.429 1.857-5.616t5.071-2.188q3.179 0 4.875 1.884t1.696 5.313q0 2.839-1.036 5.107-0.125 0.018-0.348 0.054t-0.821 0.036-1.125-0.107-1.107-0.455-0.902-0.92q0.554-1.839 0.554-3.286 0-1.554-0.518-2.357t-1.411-0.804q-0.946 0-1.518 0.884t-0.571 2.509q0 3.321 1.875 5.241t4.768 1.92q1.107 0 2.161-0.25z"></path>'),
	   	 			'folder_11' => array('keywords' => 'folder_11 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 18.727c-0.552 0-1 0.448-1 1v1c0 0.552 0.448 1 1 1s1-0.448 1-1v-1c0-0.552-0.448-1-1-1zM16 20.727c-0.002 0-0.003-0.001-0.005-0.001h0.009c-0.002 0-0.003 0.001-0.005 0.001zM22 21.001v-6l-2-0.001c0-2.209-1.791-4-4-4s-4 1.791-4 4l0.001 0.001h-2.001v6c-0.001 2.209 1.79 4 3.999 4h4.001c2.209 0.001 4-1.791 4-4v0 0zM13.5 15c0-1.381 1.119-2.5 2.5-2.5s2.5 1.119 2.5 2.5l0.001 0.001-5.001-0.001zM18 23.001v0 0h-4c-1.104 0-1.999-0.895-2-2h-0.001v-4.001h8.001v4.001h0c0 1.105-0.896 1.999-2 2zM29 6.5h-14.070l-3.369-3.561c-0.292-0.293-0.677-0.439-1.060-0.439v0h-7.5c-1.651 0-3 1.349-3 3v21c0 1.649 1.349 3 3 3h26c1.649 0 3-1.351 3-3v-17c0-1.651-1.351-3-3-3zM30 26.5c0 0.55-0.45 1-1 1h-26c-0.55 0-1-0.45-1-1v-17c0-0.55 0.45-1 1-1h26c0.55 0 1 0.45 1 1v17z"></path>'),
	   	 			'transport_service2' => array('keywords' => 'transport_service2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31 14.5h-1.536l-5.201-6.146c-0.189-0.225-0.468-0.354-0.763-0.354h-4.5v-0.5c0-1.654-1.346-3-3-3h-10.001c-0.552 0-1 0.448-1 1s0.448 1 1 1h10.001c0.552 0 1 0.449 1 1v8c0 0.552 0.448 1 1 1h12v5c0 0.552-0.448 1-1 1h-1.631c-0.445-1.724-2.006-3-3.869-3s-3.425 1.276-3.869 3h-7.262c-0.445-1.724-2.005-3-3.869-3s-3.425 1.276-3.869 3h-1.631c-0.552 0-1 0.448-1 1s0.448 1 1 1h1.631c0.444 1.724 2.005 3 3.869 3s3.424-1.277 3.869-3h7.262c0.445 1.724 2.005 3 3.869 3s3.424-1.277 3.869-3h1.631c1.654 0 3-1.346 3-3v-6c0-0.552-0.448-1-1-1zM19 14.5v-4.5h4.036l3.808 4.5h-7.844zM8.501 25.5c-1.104 0-2.001-0.896-2-2-0-1.104 0.896-2 2-2s2.001 0.896 2 2c0.001 1.104-0.896 2-2 2zM23.5 25.5c-1.105 0-2-0.896-2-2s0.895-2 2-2c1.104 0 2 0.896 2 2s-0.896 2-2 2zM4.5 10.5h7c0.552 0 1-0.448 1-1s-0.448-1-1-1h-7c-0.552 0-1 0.448-1 1s0.448 1 1 1zM2.5 14.5h7c0.552 0 1-0.448 1-1s-0.448-1-1-1h-7c-0.552 0-1 0.448-1 1s0.448 1 1 1zM9 17.5c0-0.552-0.448-1-1-1h-7c-0.552 0-1 0.448-1 1s0.448 1 1 1h7c0.552 0 1-0.448 1-1z"></path>'),
	   	 			'folder-open-o' => array('keywords' => 'folder-open-o ','viewbox' => '0 0 34 32', 'path' =>'<path d="M31.804 16.911q0-0.625-0.946-0.625h-19.429q-0.714 0-1.527 0.384t-1.277 0.938l-5.25 6.482q-0.321 0.429-0.321 0.714 0 0.625 0.946 0.625h19.429q0.714 0 1.536-0.393t1.268-0.946l5.25-6.482q0.321-0.393 0.321-0.696zM11.429 14h13.714v-2.857q0-0.714-0.5-1.214t-1.214-0.5h-10.286q-0.714 0-1.214-0.5t-0.5-1.214v-1.143q0-0.714-0.5-1.214t-1.214-0.5h-5.714q-0.714 0-1.214 0.5t-0.5 1.214v15.232l4.571-5.625q0.786-0.946 2.071-1.563t2.5-0.616zM34.089 16.911q0 1.107-0.821 2.143l-5.268 6.482q-0.768 0.946-2.071 1.563t-2.5 0.616h-19.429q-1.643 0-2.821-1.179t-1.179-2.821v-17.143q0-1.643 1.179-2.821t2.821-1.179h5.714q1.643 0 2.821 1.179t1.179 2.821v0.571h9.714q1.643 0 2.821 1.179t1.179 2.821v2.857h3.429q0.964 0 1.768 0.438t1.196 1.259q0.268 0.571 0.268 1.214z"></path>'),
	   	 			'watch_later' => array('keywords' => 'watch_later ','viewbox' => '0 0 32 32', 'path' =>'<path d="M21.625 22.292l1.063-1.75-6-3.625v-6.938h-2v8zM16 3.354q5.5 0 9.406 3.906t3.906 9.406-3.906 9.406-9.406 3.906-9.406-3.906-3.906-9.406 3.906-9.406 9.406-3.906z"></path>'),
	   	 			'feed2' => array('keywords' => 'feed2 ','viewbox' => '0 0 25 32', 'path' =>'<path d="M6.857 24.286q0 1.429-1 2.429t-2.429 1-2.429-1-1-2.429 1-2.429 2.429-1 2.429 1 1 2.429zM16 26.482q0.036 0.5-0.304 0.857-0.321 0.375-0.839 0.375h-2.411q-0.446 0-0.768-0.295t-0.357-0.741q-0.393-4.089-3.295-6.991t-6.991-3.295q-0.446-0.036-0.741-0.357t-0.295-0.768v-2.411q0-0.518 0.375-0.839 0.304-0.304 0.768-0.304h0.089q2.857 0.232 5.464 1.438t4.625 3.241q2.036 2.018 3.241 4.625t1.438 5.464zM25.143 26.518q0.036 0.482-0.321 0.839-0.321 0.357-0.821 0.357h-2.554q-0.464 0-0.795-0.313t-0.348-0.759q-0.214-3.839-1.804-7.295t-4.134-6-6-4.134-7.295-1.821q-0.446-0.018-0.759-0.348t-0.313-0.777v-2.554q0-0.5 0.357-0.821 0.321-0.321 0.786-0.321h0.054q4.679 0.232 8.955 2.143t7.598 5.25q3.339 3.321 5.25 7.598t2.143 8.955z"></path>'),
	   	 			'format_clear' => array('keywords' => 'format_clear ','viewbox' => '0 0 32 32', 'path' =>'<path d="M8 7.354h18.688v4h-7.75l-2.125 5-2.813-2.75 0.938-2.25h-3.188l-3.75-3.75v-0.25zM4.375 7.354l0.375 0.313 19.25 19.313-1.688 1.688-7.563-7.563-2.063 4.875h-4l3.25-7.688-9.25-9.25z"></path>'),
	   	 			'phone4' => array('keywords' => 'phone4 ','viewbox' => '0 0 19 32', 'path' =>'<path d="M1.5 32h16c0.827 0 1.5-0.673 1.5-1.5v-29c0-0.827-0.673-1.5-1.5-1.5h-16c-0.827 0-1.5 0.673-1.5 1.5v29c0 0.827 0.673 1.5 1.5 1.5zM1 1.5c0-0.276 0.224-0.5 0.5-0.5h16c0.276 0 0.5 0.224 0.5 0.5v29c0 0.276-0.224 0.5-0.5 0.5h-16c-0.276 0-0.5-0.224-0.5-0.5v-29zM2.5 27h14c0.276 0 0.5-0.224 0.5-0.5v-21c0-0.276-0.224-0.5-0.5-0.5h-14c-0.276 0-0.5 0.224-0.5 0.5v21c0 0.276 0.224 0.5 0.5 0.5zM3 6h13v20h-13v-20zM9 29c0 0.552 0.448 1 1 1s1-0.448 1-1c0-0.552-0.448-1-1-1s-1 0.448-1 1zM7.5 4h4c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-4c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5z"></path>'),
	   	 			'swap_calls' => array('keywords' => 'swap_calls ','viewbox' => '0 0 32 32', 'path' =>'<path d="M24 5.979l5.313 5.375h-4v9.313q0 2.188-1.563 3.75t-3.75 1.563-3.75-1.563-1.563-3.75v-9.313q0-1.063-0.813-1.875t-1.875-0.813-1.875 0.813-0.813 1.875v9.313h4l-5.313 5.313-5.313-5.313h4v-9.313q0-2.188 1.563-3.781t3.75-1.594 3.75 1.594 1.563 3.781v9.313q0 1.063 0.813 1.875t1.875 0.813 1.875-0.813 0.813-1.875v-9.313h-4z"></path>'),
	   	 			'toolbox' => array('keywords' => 'toolbox ','viewbox' => '0 0 42 32', 'path' =>'<path d="M41.5 17c-0.276 0-0.5 0.224-0.5 0.5v13c0 0.276-0.224 0.5-0.5 0.5h-39c-0.276 0-0.5-0.224-0.5-0.5v-13c0-0.276-0.224-0.5-0.5-0.5s-0.5 0.224-0.5 0.5v13c0 0.827 0.673 1.5 1.5 1.5h39c0.827 0 1.5-0.673 1.5-1.5v-13c0-0.276-0.224-0.5-0.5-0.5zM40.5 7h-39c-0.827 0-1.5 0.673-1.5 1.5v6c0 0.276 0.224 0.5 0.5 0.5h13.5v3.5c0 0.827 0.673 1.5 1.5 1.5h11c0.827 0 1.5-0.673 1.5-1.5v-3.5h13.5c0.276 0 0.5-0.224 0.5-0.5v-6c0-0.827-0.673-1.5-1.5-1.5zM27 18.5c0 0.276-0.224 0.5-0.5 0.5h-11c-0.276 0-0.5-0.224-0.5-0.5v-3.5h12v3.5zM41 14h-40v-5.5c0-0.276 0.224-0.5 0.5-0.5h39c0.276 0 0.5 0.224 0.5 0.5v5.5zM15.5 0c-0.827 0-1.5 0.673-1.5 1.5v4c0 0.276 0.224 0.5 0.5 0.5s0.5-0.224 0.5-0.5v-4c0-0.276 0.224-0.5 0.5-0.5h11c0.276 0 0.5 0.224 0.5 0.5v4c0 0.276 0.224 0.5 0.5 0.5s0.5-0.224 0.5-0.5v-4c0-0.827-0.673-1.5-1.5-1.5h-11z"></path>'),
	   	 			'mars' => array('keywords' => 'mars ','viewbox' => '0 0 27 32', 'path' =>'<path d="M26.286 2.571q0.464 0 0.804 0.339t0.339 0.804v7.429q0 0.25-0.161 0.411t-0.411 0.161h-1.143q-0.25 0-0.411-0.161t-0.161-0.411v-4.679l-6.821 6.839q2.25 2.786 2.25 6.411 0 2.089-0.813 3.991t-2.196 3.286-3.286 2.196-3.991 0.813-3.991-0.813-3.286-2.196-2.196-3.286-0.813-3.991 0.813-3.991 2.196-3.286 3.286-2.196 3.991-0.813q3.625 0 6.411 2.25l6.821-6.821h-4.661q-0.25 0-0.411-0.161t-0.161-0.411v-1.143q0-0.25 0.161-0.411t0.411-0.161h7.429zM10.286 27.714q3.304 0 5.652-2.348t2.348-5.652-2.348-5.652-5.652-2.348-5.652 2.348-2.348 5.652 2.348 5.652 5.652 2.348z"></path>'),
	   	 			'droplet' => array('keywords' => 'droplet ','viewbox' => '0 0 32 32', 'path' =>'<path d="M27.020 14.786c-2.055-5.732-6.41-10.88-11.020-14.786-4.61 3.907-8.965 9.054-11.020 14.786-1.271 3.545-1.396 7.393 0.393 10.794 2.058 3.911 6.207 6.42 10.626 6.42s8.569-2.509 10.626-6.42c1.79-3.401 1.664-7.249 0.393-10.794zM23.086 23.717c-1.369 2.602-4.15 4.283-7.086 4.283-1.723 0-3.391-0.579-4.753-1.583 0.414 0.054 0.832 0.083 1.254 0.083 3.67 0 7.146-2.1 8.856-5.351 1.402-2.665 1.281-5.433 0.746-7.636 0.455 0.88 0.841 1.756 1.151 2.623 0.706 1.971 1.251 4.886-0.168 7.581z"></path>'),
	   	 			'letter_download1' => array('keywords' => 'letter_download1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 15.265v-9.765c0-1.655-1.346-3-3-3h-23c-1.655 0-3 1.345-3 3v14c0 1.654 1.345 3 3 3h13.069c0.494 3.94 3.858 7 7.931 7 4.411 0 8-3.589 8-8 0-2.52-1.174-4.767-3-6.235zM25.491 4.5l-10.829 8.595c-0.066 0.053-0.257 0.053-0.323 0l-10.83-8.595h21.983zM2 19.5v-13.644l11.095 8.806c0.4 0.318 0.903 0.476 1.405 0.476s1.005-0.159 1.405-0.476l11.095-8.806v8.233c-0.927-0.377-1.939-0.589-3-0.589-4.072 0-7.436 3.060-7.931 7h-13.069c-0.551 0-1-0.448-1-1zM24 27.5c-3.308 0-6-2.692-6-6s2.692-6 6-6 6 2.692 6 6-2.692 6-6 6zM25.293 21.378l-0.293 0.293v-2.586c0-0.552-0.448-1-1-1s-1 0.448-1 1v2.586l-0.293-0.293c-0.39-0.39-1.024-0.39-1.414 0s-0.39 1.024 0 1.414l2 2c0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293l2-2c0.39-0.39 0.39-1.024 0-1.414s-1.024-0.39-1.414 0z"></path>'),
	   	 			'direction_symbol2' => array('keywords' => 'direction_symbol2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M23.5 12c0.265 0 0.52-0.105 0.707-0.293l3-3c0.39-0.39 0.39-1.024 0-1.414l-3-3c-0.188-0.188-0.442-0.293-0.707-0.293h-6v-3c0-0.552-0.448-1-1-1s-1 0.448-1 1v3h-7c-0.552 0-1 0.448-1 1v6c0 0.552 0.448 1 1 1h7v2h-7c-0.265 0-0.519 0.105-0.707 0.293l-3 3c-0.391 0.39-0.391 1.023 0 1.414l3 3c0.188 0.188 0.442 0.293 0.707 0.293h7v8h-4c-0.552 0-1 0.448-1 1s0.448 1 1 1h10c0.552 0 1-0.448 1-1s-0.448-1-1-1h-4v-8h6c0.552 0 1-0.448 1-1v-6c0-0.552-0.448-1-1-1h-6v-2h6zM22.5 20h-13.585l-2-2 2-2h13.585v4zM9.5 6h13.586l2 2-2 2h-13.586v-4z"></path>'),
	   	 			'home4' => array('keywords' => 'home4 ','viewbox' => '0 0 30 32', 'path' =>'<path d="M25.143 18v8.571q0 0.464-0.339 0.804t-0.804 0.339h-6.857v-6.857h-4.571v6.857h-6.857q-0.464 0-0.804-0.339t-0.339-0.804v-8.571q0-0.018 0.009-0.054t0.009-0.054l10.268-8.464 10.268 8.464q0.018 0.036 0.018 0.107zM29.125 16.768l-1.107 1.321q-0.143 0.161-0.375 0.196h-0.054q-0.232 0-0.375-0.125l-12.357-10.304-12.357 10.304q-0.214 0.143-0.429 0.125-0.232-0.036-0.375-0.196l-1.107-1.321q-0.143-0.179-0.125-0.42t0.196-0.384l12.839-10.696q0.571-0.464 1.357-0.464t1.357 0.464l4.357 3.643v-3.482q0-0.25 0.161-0.411t0.411-0.161h3.429q0.25 0 0.411 0.161t0.161 0.411v7.286l3.911 3.25q0.179 0.143 0.196 0.384t-0.125 0.42z"></path>'),
	   	 			'shop_n1' => array('keywords' => 'shop_n1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M11.681 6.573c0.188 0.268 0.493 0.427 0.819 0.427h7c0.326 0 0.632-0.159 0.82-0.427l3.5-5c0.214-0.305 0.239-0.704 0.067-1.035s-0.514-0.538-0.887-0.538h-14c-0.373 0-0.715 0.207-0.886 0.538-0.173 0.331-0.146 0.73 0.068 1.035l3.499 5zM21.079 2l-2.099 3h-5.959l-2.099-3h10.158zM20.32 8.211l-0.27-0.211h-8.098l-0.271 0.211c-5.274 4.103-8.681 10.104-8.681 15.289 0 8.5 6.609 8.5 13 8.5s13 0 13-8.5c0-5.185-3.407-11.187-8.681-15.289zM16 30c-7.816 0-11-0.588-11-6.5 0-4.505 2.989-9.773 7.642-13.5h6.717c4.652 3.727 7.642 8.995 7.642 13.5 0 5.912-3.183 6.5-11 6.5z"></path>'),
	   	 			'credit-card2' => array('keywords' => 'credit-card2 ','viewbox' => '0 0 34 32', 'path' =>'<path d="M31.429 2.571q1.179 0 2.018 0.839t0.839 2.018v21.714q0 1.179-0.839 2.018t-2.018 0.839h-28.571q-1.179 0-2.018-0.839t-0.839-2.018v-21.714q0-1.179 0.839-2.018t2.018-0.839h28.571zM2.857 4.857q-0.232 0-0.402 0.17t-0.17 0.402v4h29.714v-4q0-0.232-0.17-0.402t-0.402-0.17h-28.571zM31.429 27.714q0.232 0 0.402-0.17t0.17-0.402v-10.857h-29.714v10.857q0 0.232 0.17 0.402t0.402 0.17h28.571zM4.571 25.429v-2.286h4.571v2.286h-4.571zM11.429 25.429v-2.286h6.857v2.286h-6.857z"></path>'),
	   	 			'whatsapp2' => array('keywords' => 'whatsapp2 ','viewbox' => '0 0 27 32', 'path' =>'<path d="M17.589 17.679q0.232 0 1.741 0.786t1.598 0.946q0.036 0.089 0.036 0.268 0 0.589-0.304 1.357-0.286 0.696-1.268 1.17t-1.821 0.473q-1.018 0-3.393-1.107-1.75-0.804-3.036-2.107t-2.643-3.304q-1.286-1.911-1.268-3.464v-0.143q0.054-1.625 1.321-2.821 0.429-0.393 0.929-0.393 0.107 0 0.321 0.027t0.339 0.027q0.339 0 0.473 0.116t0.277 0.491q0.143 0.357 0.589 1.571t0.446 1.339q0 0.375-0.616 1.027t-0.616 0.83q0 0.125 0.089 0.268 0.607 1.304 1.821 2.446 1 0.946 2.696 1.804 0.214 0.125 0.393 0.125 0.268 0 0.964-0.866t0.929-0.866zM13.964 27.143q2.268 0 4.348-0.893t3.58-2.393 2.393-3.58 0.893-4.348-0.893-4.348-2.393-3.58-3.58-2.393-4.348-0.893-4.348 0.893-3.58 2.393-2.393 3.58-0.893 4.348q0 3.625 2.143 6.571l-1.411 4.161 4.321-1.375q2.821 1.857 6.161 1.857zM13.964 2.464q2.732 0 5.223 1.071t4.295 2.875 2.875 4.295 1.071 5.223-1.071 5.223-2.875 4.295-4.295 2.875-5.223 1.071q-3.482 0-6.518-1.679l-7.446 2.393 2.429-7.232q-1.929-3.179-1.929-6.946 0-2.732 1.071-5.223t2.875-4.295 4.295-2.875 5.223-1.071z"></path>'),
	   	 			'view_list' => array('keywords' => 'view_list ','viewbox' => '0 0 32 32', 'path' =>'<path d="M12 7.354h16v5.312h-16v-5.313zM12 25.979v-5.313h16v5.313h-16zM12 19.354v-5.375h16v5.375h-16zM5.313 12.667v-5.313h5.375v5.313h-5.375zM5.313 25.979v-5.313h5.375v5.313h-5.375zM5.313 19.354v-5.375h5.375v5.375h-5.375z"></path>'),
	   	 			'add_to_photos' => array('keywords' => 'add_to_photos ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25.313 15.354v-2.688h-5.313v-5.313h-2.688v5.313h-5.313v2.688h5.313v5.313h2.688v-5.313h5.313zM26.688 3.354q1.063 0 1.844 0.781t0.781 1.844v16q0 1.063-0.781 1.875t-1.844 0.813h-16q-1.063 0-1.875-0.813t-0.813-1.875v-16q0-1.063 0.813-1.844t1.875-0.781h16zM5.313 8.667v18.688h18.688v2.625h-18.688q-1.063 0-1.844-0.781t-0.781-1.844v-18.688h2.625z"></path>'),
	   	 			'format_quote' => array('keywords' => 'format_quote ','viewbox' => '0 0 32 32', 'path' =>'<path d="M18.688 23.354l2.625-5.375h-4v-8h8v8l-2.625 5.375h-4zM8 23.354l2.688-5.375h-4v-8h8v8l-2.688 5.375h-4z"></path>'),
	   	 			'arrow-left2' => array('keywords' => 'arrow-left2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M12.586 27.414l-10-10c-0.781-0.781-0.781-2.047 0-2.828l10-10c0.781-0.781 2.047-0.781 2.828 0s0.781 2.047 0 2.828l-6.586 6.586h19.172c1.105 0 2 0.895 2 2s-0.895 2-2 2h-19.172l6.586 6.586c0.39 0.39 0.586 0.902 0.586 1.414s-0.195 1.024-0.586 1.414c-0.781 0.781-2.047 0.781-2.828 0z"></path>'),
	   	 			'bitbucket-square' => array('keywords' => 'bitbucket-square ','viewbox' => '0 0 27 32', 'path' =>'<path d="M15.143 15.821q0-0.768-0.732-1.179t-1.375-0.018q-0.768 0.357-0.759 1.295t0.777 1.259q0.696 0.411 1.446-0.071t0.643-1.286zM16.571 15.536q0.143 1.179-0.643 2.161t-1.964 1.089-2.125-0.714-1-2.018q-0.036-0.875 0.455-1.661t1.295-1.143q1.25-0.554 2.527 0.179t1.455 2.107zM19.643 8.554q-0.357 0.375-0.955 0.607t-0.946 0.286-1.134 0.143q-2.768 0.357-5.786 0-0.786-0.107-1.125-0.17t-0.938-0.286-0.973-0.58q0.232-0.339 0.643-0.554t0.714-0.277 0.839-0.152q3.536-0.625 7.286-0.018 0.589 0.089 0.911 0.152t0.768 0.286 0.696 0.562zM20.393 21.875q0-0.125 0.098-0.473t0.054-0.571-0.313-0.295q-2.875 1.893-6.518 1.893t-6.536-1.893l-0.214 0.107-0.089 0.214q0.464 2.75 0.732 3.75 0.839 1.446 3.643 1.929 4.446 0.821 7.643-0.946 0.607-0.339 0.875-0.92t0.402-1.527 0.223-1.268zM22.714 9.5q0.161-0.946-0.143-1.339-0.768-0.982-2.768-1.571-3.857-1.125-8.696-0.643-2.357 0.214-4.036 0.821-0.679 0.268-1.063 0.446t-0.839 0.607-0.527 0.964q0.143 1.214 0.339 2.464t0.518 3.054 0.429 2.446q0.018 0.089 0.089 0.554t0.125 0.643 0.214 0.482 0.393 0.5q1.875 1.429 5.071 1.786 4.625 0.5 7.857-1.125 0.429-0.232 0.705-0.411t0.554-0.518 0.348-0.714q0.857-4.768 1.429-8.446zM27.429 7.714v17.143q0 2.125-1.509 3.634t-3.634 1.509h-17.143q-2.125 0-3.634-1.509t-1.509-3.634v-17.143q0-2.125 1.509-3.634t3.634-1.509h17.143q2.125 0 3.634 1.509t1.509 3.634z"></path>'),
	   	 			'assistive-listening-systems' => array('keywords' => 'assistive-listening-systems ','viewbox' => '0 0 32 32', 'path' =>'<path d="M2.286 31.143q0 0.464-0.339 0.804t-0.804 0.339-0.804-0.339-0.339-0.804 0.339-0.804 0.804-0.339 0.804 0.339 0.339 0.804zM5.714 27.714q0 0.464-0.339 0.804t-0.804 0.339-0.804-0.339-0.339-0.804 0.339-0.804 0.804-0.339 0.804 0.339 0.339 0.804zM6.518 21.196l4.571 4.571-1.607 1.607-4.571-4.571zM12.571 20.857q0 0.464-0.339 0.804t-0.804 0.339-0.804-0.339-0.339-0.804 0.339-0.804 0.804-0.339 0.804 0.339 0.339 0.804zM25.196 15.143q0 1.054-0.205 1.938t-0.67 1.67-0.786 1.205-0.946 1.152q-0.554 0.625-0.813 0.964t-0.598 0.893-0.473 1.143-0.134 1.321q0 2.839-2.009 4.848t-4.848 2.009q-0.464 0-0.804-0.339t-0.339-0.804 0.339-0.804 0.804-0.339q1.893 0 3.232-1.339t1.339-3.232q0-1.018 0.205-1.884t0.661-1.625 0.777-1.188 0.929-1.125q0.714-0.821 1.063-1.286t0.67-1.33 0.321-1.848q0-3.304-2.348-5.652t-5.652-2.348-5.652 2.348-2.348 5.652q0 0.464-0.339 0.804t-0.804 0.339-0.804-0.339-0.339-0.804q0-2.089 0.813-3.991t2.196-3.286 3.286-2.196 3.991-0.813 3.991 0.813 3.286 2.196 2.196 3.286 0.813 3.991zM16 17.429q0 0.464-0.339 0.804t-0.804 0.339-0.804-0.339-0.339-0.804 0.339-0.804 0.804-0.339 0.804 0.339 0.339 0.804zM21.143 15.143q0 0.464-0.339 0.804t-0.804 0.339-0.804-0.339-0.339-0.804q0-1.661-1.17-2.83t-2.83-1.17q-1.643 0-2.821 1.17t-1.179 2.83q0 0.464-0.339 0.804t-0.804 0.339-0.804-0.339-0.339-0.804q0-2.607 1.839-4.446t4.446-1.839 4.446 1.839 1.839 4.446zM28.179 9.982q0.179 0.446-0.018 0.875t-0.643 0.607q-0.161 0.071-0.411 0.071-0.339 0-0.634-0.196t-0.42-0.536q-1.214-3.179-4-5.268-0.375-0.286-0.446-0.75t0.214-0.839q0.304-0.375 0.768-0.446t0.839 0.214q3.268 2.446 4.75 6.268zM31.929 8.536q0.161 0.446-0.027 0.875t-0.634 0.607q-0.196 0.071-0.411 0.071-0.786 0-1.071-0.732-1.643-4.25-5.304-7.018-0.393-0.286-0.455-0.75t0.223-0.839q0.286-0.393 0.75-0.455t0.839 0.223q4.196 3.125 6.089 8.018z"></path>'),
	   	 			'camera2' => array('keywords' => 'camera2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M13.125 29.667q0.25-0.438 2.688-4.688t3.75-6.438l4.875 8.438q-3.688 3-8.438 3-1.313 0-2.875-0.313zM3.25 20.667h12.938l-4.938 8.438q-2.875-1.063-4.969-3.281t-3.031-5.156zM6.188 7.667l6.75 11.688h-10q-0.25-1.188-0.25-2.688 0-5.188 3.5-9zM29.063 13.979q0.25 1.188 0.25 2.688 0 5.188-3.5 9l-6.375-11-0.375-0.688h10zM28.75 12.667h-12.938l4.938-8.438q2.875 1.063 4.969 3.281t3.031 5.156zM12.563 14.667l-0.125 0.125-4.875-8.438q3.688-3 8.438-3 1.313 0 2.875 0.313z"></path>'),
	   	 			'computer_success_connect' => array('keywords' => 'computer_success_connect ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31 21h-9c-0.552 0-1 0.448-1 1v6c0 0.552 0.448 1 1 1h3.5v1h-1c-0.552 0-1 0.448-1 1s0.448 1 1 1h4c0.552 0 1-0.448 1-1s-0.448-1-1-1h-1v-1h3.5c0.552 0 1-0.448 1-1v-6c0-0.552-0.448-1-1-1zM30 27h-7v-4h7v4zM2 8h3.5v1h-1c-0.552 0-1 0.448-1 1s0.448 1 1 1h4c0.552 0 1-0.448 1-1s-0.448-1-1-1h-1v-1h3.5c0.552 0 1-0.448 1-1v-6c0-0.552-0.448-1-1-1h-9c-0.552 0-1 0.448-1 1v6c0 0.552 0.448 1 1 1zM3 2h7v4h-7v-4zM5.79 12.795c-0.185 0.185-0.29 0.444-0.29 0.705s0.105 0.52 0.29 0.71c0.19 0.185 0.45 0.29 0.71 0.29s0.52-0.105 0.705-0.295c0.19-0.185 0.295-0.44 0.295-0.705s-0.105-0.52-0.295-0.71c-0.375-0.37-1.035-0.37-1.415 0.005zM14.5 24.5c-0.191 0-0.367 0.055-0.518 0.147-0.18-3.578-3.053-6.45-6.631-6.63 0.093-0.151 0.149-0.328 0.149-0.517 0-0.555-0.45-1-1-1-0.555 0-1 0.445-1 1 0 0.236 0.085 0.451 0.223 0.622-3.252 0.603-5.723 3.454-5.723 6.878 0 3.86 3.14 7 7 7 3.423 0 6.275-2.471 6.878-5.723 0.171 0.137 0.385 0.223 0.623 0.223 0.55 0 1-0.45 1-1 0-0.555-0.45-1-1-1zM7 30c-2.757 0-5-2.243-5-5s2.243-5 5-5 5 2.243 5 5-2.243 5-5 5zM17.79 24.79c-0.185 0.19-0.29 0.445-0.29 0.71 0 0.26 0.105 0.52 0.295 0.705 0.185 0.19 0.44 0.295 0.705 0.295 0.26 0 0.52-0.105 0.705-0.295 0.19-0.185 0.295-0.445 0.295-0.705 0-0.265-0.105-0.52-0.295-0.71-0.37-0.37-1.040-0.37-1.415 0zM8.793 22.793l-2.293 2.293-1.293-1.293c-0.39-0.39-1.024-0.39-1.414 0s-0.39 1.023 0 1.414l2 2c0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293l3-3c0.39-0.39 0.39-1.023 0-1.414s-1.024-0.39-1.414 0z"></path>'),
	   	 			'design_tool2' => array('keywords' => 'design_tool2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 7c-1.303 0-2.412 0.837-2.825 2h-7.761l-1.707-1.707c-0.39-0.391-1.024-0.391-1.414 0l-1.707 1.707h-7.761c-0.413-1.163-1.522-2-2.825-2-1.655 0-3 1.345-3 3s1.345 3 3 3c1.303 0 2.412-0.837 2.825-2h3.862c-2.722 1.915-4.537 5.032-4.674 8.573l-1.72 1.72c-0.39 0.39-0.39 1.023 0 1.414l2 2c0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293l2-2c0.39-0.39 0.39-1.023 0-1.414l-1.688-1.689c0.177-4.046 3.032-7.4 6.837-8.335l1.438 1.438c0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293l1.438-1.438c3.805 0.935 6.66 4.289 6.837 8.335l-1.689 1.689c-0.39 0.39-0.39 1.023 0 1.414l2 2c0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293l2-2c0.39-0.39 0.39-1.023 0-1.414l-1.72-1.72c-0.137-3.541-1.952-6.657-4.674-8.573h3.862c0.413 1.163 1.522 2 2.825 2 1.654 0 3-1.345 3-3s-1.346-3-3-3zM3 11c-0.551 0-1-0.448-1-1s0.449-1 1-1 1 0.448 1 1-0.449 1-1 1zM6 22.586l-0.585-0.586 0.585-0.586 0.585 0.586-0.585 0.586zM16 10.585l-0.585-0.585 0.585-0.585 0.586 0.585-0.586 0.585zM26 22.586l-0.586-0.586 0.586-0.586 0.586 0.586-0.586 0.586zM29 11c-0.552 0-1-0.448-1-1s0.448-1 1-1 1 0.448 1 1-0.448 1-1 1z"></path>'),
	   	 			'arrow-left3' => array('keywords' => 'arrow-left3 ','viewbox' => '0 0 29 32', 'path' =>'<path d="M27.429 16.286v2.286q0 0.946-0.58 1.616t-1.509 0.67h-12.571l5.232 5.25q0.679 0.643 0.679 1.607t-0.679 1.607l-1.339 1.357q-0.661 0.661-1.607 0.661-0.929 0-1.625-0.661l-11.625-11.643q-0.661-0.661-0.661-1.607 0-0.929 0.661-1.625l11.625-11.607q0.679-0.679 1.625-0.679 0.929 0 1.607 0.679l1.339 1.321q0.679 0.679 0.679 1.625t-0.679 1.625l-5.232 5.232h12.571q0.929 0 1.509 0.67t0.58 1.616z"></path>'),
	   	 			'gaz_station' => array('keywords' => 'gaz_station ','viewbox' => '0 0 32 32', 'path' =>'<path d="M8.213 9.383c-0.453 0.576-2.713 3.547-2.713 5.39 0 1.78 1.57 3.227 3.5 3.227s3.5-1.448 3.5-3.227c0-1.843-2.261-4.814-2.713-5.39-0.38-0.482-1.194-0.482-1.573 0zM9 16c-0.827 0-1.5-0.551-1.5-1.227 0-0.624 0.741-1.947 1.5-3.070 0.759 1.122 1.5 2.444 1.5 3.070 0 0.677-0.673 1.227-1.5 1.227zM31.561 10.94l-4-4c-0.585-0.586-1.535-0.586-2.121 0s-0.586 1.536 0 2.121l1.639 1.639c-0.658 0.551-1.078 1.378-1.078 2.301 0 1.655 1.346 3 3 3 0.351 0 0.686-0.063 1-0.175v11.175c0 1.654-1.346 3-3 3v0 0c-1.654 0-2.999-1.345-3-2.998 0-0.001 0-0.001 0-0.002v-7c0-2.757-2.243-5-5-5h-1v-9c0-3.308-2.691-6-6-6h-6c-3.308 0-6 2.692-6 6v25c0 0.552 0.448 1 1 1h16c0.552 0 1-0.448 1-1v-14h1c1.654 0 3 1.346 3 3v6.998c0 0.001 0 0.002 0 0.002 0 2.758 2.242 5 5 5v0 0c2.757 0 5-2.242 5-5v-15c0-0.384-0.146-0.768-0.439-1.060zM16 30h-14v-24c0-2.205 1.795-4 4-4h6c2.206 0 4 1.795 4 4v24zM29 14c-0.552 0-1-0.448-1-1s0.448-1 1-1 1 0.448 1 1c0 0.552-0.448 1-1 1z"></path>'),
	   	 			'alarmclock' => array('keywords' => 'alarmclock ','viewbox' => '0 0 30 32', 'path' =>'<path d="M15 2c-7.72 0-14 6.28-14 14s6.28 14 14 14 14-6.28 14-14-6.28-14-14-14zM15 29c-7.168 0-13-5.832-13-13s5.832-13 13-13 13 5.832 13 13-5.832 13-13 13zM7.5 0c-4.136 0-7.5 3.364-7.5 7.5v1.062c0 0.276 0.224 0.5 0.5 0.5s0.5-0.223 0.5-0.5v-1.062c0-3.584 2.916-6.5 6.5-6.5h0.875c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-0.875zM22.375 0h-0.875c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h0.875c3.584 0 6.5 2.916 6.5 6.5v1.062c0 0.276 0.224 0.5 0.5 0.5s0.5-0.224 0.5-0.5v-1.062c0-4.136-3.364-7.5-7.5-7.5zM15 16.293v-6.974c0-0.276-0.224-0.5-0.5-0.5s-0.5 0.224-0.5 0.5v7.181c0 0.133 0.053 0.26 0.146 0.354l4.914 4.914c0.098 0.098 0.226 0.146 0.354 0.146s0.256-0.049 0.354-0.146c0.195-0.195 0.195-0.512 0-0.707l-4.768-4.768zM1.9 31.8l3-4c0.165-0.221 0.12-0.534-0.101-0.7-0.22-0.164-0.533-0.12-0.7 0.101l-3 4c-0.165 0.221-0.12 0.534 0.101 0.7 0.090 0.067 0.196 0.099 0.3 0.099 0.151 0 0.302-0.069 0.4-0.2zM25.9 27.2c-0.167-0.222-0.479-0.265-0.7-0.101-0.221 0.166-0.266 0.479-0.101 0.7l3 4c0.099 0.131 0.249 0.2 0.4 0.2 0.104 0 0.21-0.032 0.3-0.1 0.221-0.166 0.266-0.479 0.101-0.7l-3-3.999z"></path>'),
	   	 			'dribbble2' => array('keywords' => 'dribbble2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 32c-8.825 0-16-7.175-16-16s7.175-16 16-16c8.825 0 16 7.175 16 16s-7.175 16-16 16v0zM29.494 18.188c-0.469-0.15-4.231-1.269-8.512-0.581 1.788 4.912 2.512 8.912 2.656 9.744 3.063-2.075 5.25-5.356 5.856-9.163v0zM21.337 28.6c-0.206-1.2-0.994-5.375-2.913-10.363-0.031 0.012-0.063 0.019-0.087 0.031-7.713 2.688-10.481 8.031-10.725 8.531 2.319 1.806 5.231 2.887 8.387 2.887 1.894 0 3.7-0.387 5.338-1.087v0zM5.844 25.156c0.313-0.531 4.063-6.738 11.106-9.019 0.175-0.056 0.356-0.113 0.538-0.162-0.344-0.775-0.719-1.556-1.106-2.319-6.819 2.044-13.444 1.956-14.044 1.95-0.006 0.137-0.006 0.275-0.006 0.419 0 3.506 1.331 6.712 3.512 9.131v0zM2.625 13.219c0.612 0.006 6.244 0.031 12.637-1.662-2.262-4.025-4.706-7.412-5.069-7.906-3.825 1.806-6.688 5.331-7.569 9.569v0zM12.8 2.731c0.375 0.506 2.863 3.888 5.1 8 4.863-1.819 6.919-4.588 7.163-4.938-2.413-2.144-5.587-3.444-9.063-3.444-1.1 0.006-2.175 0.138-3.2 0.381v0zM26.581 7.381c-0.288 0.388-2.581 3.325-7.631 5.388 0.319 0.65 0.625 1.313 0.906 1.981 0.1 0.238 0.2 0.469 0.294 0.706 4.55-0.569 9.069 0.344 9.519 0.438-0.031-3.225-1.188-6.188-3.087-8.512v0z"></path>'),
	   	 			'weather_27' => array('keywords' => 'weather_27 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M32 14.5c0-3.86-3.14-7-7-7-0.477 0-0.954 0.050-1.424 0.149-1.648-2.578-4.482-4.149-7.576-4.149-3.92 0-7.348 2.538-8.545 6.18-0.474-0.12-0.96-0.18-1.455-0.18-3.308 0-6 2.691-6 6s2.692 6 6 6h1.147c0.552 0 1-0.448 1-1s-0.448-1-1-1h-1.147c-2.205 0-4-1.794-4-4s1.795-4 4-4c0.594 0 1.171 0.132 1.716 0.392 0.28 0.134 0.605 0.13 0.883-0.011 0.277-0.139 0.473-0.4 0.53-0.704 0.629-3.29 3.518-5.677 6.87-5.677 2.617 0 4.996 1.447 6.209 3.776 0.227 0.437 0.738 0.643 1.204 0.486 0.52-0.174 1.053-0.262 1.587-0.262 2.757 0 5 2.243 5 5s-2.243 5-5 5h-0.853c-0.409 0-0.76 0.247-0.915 0.598-0.659-0.378-1.42-0.598-2.232-0.598-2.482 0-4.5 2.018-4.5 4.5s2.018 4.5 4.5 4.5 4.5-2.018 4.5-4.5c0-0.925-0.281-1.784-0.761-2.5h0.261c3.86 0 7-3.14 7-7zM21 27.5c-1.93 0-3.5-1.57-3.5-3.5s1.57-3.5 3.5-3.5 3.5 1.57 3.5 3.5-1.57 3.5-3.5 3.5zM15 19.5h-3.136l2.617-3.947c0.305-0.46 0.18-1.081-0.281-1.386s-1.081-0.179-1.386 0.281l-3.647 5.5c-0.204 0.307-0.222 0.701-0.047 1.026s0.513 0.526 0.881 0.526h3.219l-2.426 3.98c-0.287 0.471-0.138 1.087 0.334 1.375 0.163 0.099 0.343 0.146 0.52 0.146 0.338 0 0.666-0.171 0.855-0.48l3.352-5.5c0.189-0.308 0.195-0.695 0.018-1.011-0.177-0.314-0.511-0.51-0.872-0.51zM21 21.5c-0.276 0-0.5 0.224-0.5 0.5v2.5c0 0.276 0.224 0.5 0.5 0.5s0.5-0.224 0.5-0.5v-2.5c0-0.276-0.224-0.5-0.5-0.5zM21.5 26c0 0.276-0.224 0.5-0.5 0.5s-0.5-0.224-0.5-0.5c0-0.276 0.224-0.5 0.5-0.5s0.5 0.224 0.5 0.5z"></path>'),
	   	 			'flash_on' => array('keywords' => 'flash_on ','viewbox' => '0 0 32 32', 'path' =>'<path d="M9.313 3.354h13.375l-5.375 10.625h5.375l-9.375 16v-12h-4v-14.625z"></path>'),
	   	 			'lightbulb_outline' => array('keywords' => 'lightbulb_outline ','viewbox' => '0 0 32 32', 'path' =>'<path d="M19.813 18.104q2.875-2 2.875-5.438 0-2.75-1.969-4.719t-4.719-1.969-4.719 1.969-1.969 4.719q0 3.438 2.875 5.438l1.125 0.813v3.063h5.375v-3.063zM16 3.354q3.875 0 6.594 2.719t2.719 6.594q0 4.875-4 7.625v3.063q0 0.563-0.375 0.938t-0.938 0.375h-8q-0.563 0-0.938-0.375t-0.375-0.938v-3.063q-4-2.75-4-7.625 0-3.875 2.719-6.594t6.594-2.719zM12 28.667v-1.313h8v1.313q0 0.563-0.375 0.938t-0.938 0.375h-5.375q-0.563 0-0.938-0.375t-0.375-0.938z"></path>'),
	   	 			'functions' => array('keywords' => 'functions ','viewbox' => '0 0 32 32', 'path' =>'<path d="M24 5.979v4h-9.313l6.625 6.688-6.625 6.688h9.313v4h-16v-2.688l8.688-8-8.688-8v-2.688h16z"></path>'),
	   	 			'archive' => array('keywords' => 'archive ','viewbox' => '0 0 32 32', 'path' =>'<path d="M19.429 15.143q0-0.464-0.339-0.804t-0.804-0.339h-4.571q-0.464 0-0.804 0.339t-0.339 0.804 0.339 0.804 0.804 0.339h4.571q0.464 0 0.804-0.339t0.339-0.804zM29.714 11.714v17.143q0 0.464-0.339 0.804t-0.804 0.339h-25.143q-0.464 0-0.804-0.339t-0.339-0.804v-17.143q0-0.464 0.339-0.804t0.804-0.339h25.143q0.464 0 0.804 0.339t0.339 0.804zM30.857 3.714v4.571q0 0.464-0.339 0.804t-0.804 0.339h-27.429q-0.464 0-0.804-0.339t-0.339-0.804v-4.571q0-0.464 0.339-0.804t0.804-0.339h27.429q0.464 0 0.804 0.339t0.339 0.804z"></path>'),
	   	 			'mic' => array('keywords' => 'mic ','viewbox' => '0 0 32 32', 'path' =>'<path d="M23.063 15.354h2.25q0 3.375-2.344 5.906t-5.656 3.031v4.375h-2.625v-4.375q-3.313-0.5-5.656-3.031t-2.344-5.906h2.25q0 2.938 2.094 4.844t4.969 1.906 4.969-1.906 2.094-4.844zM16 19.354q-1.625 0-2.813-1.188t-1.188-2.813v-8q0-1.625 1.188-2.813t2.813-1.188 2.813 1.188 1.188 2.813v8q0 1.625-1.188 2.813t-2.813 1.188z"></path>'),
	   	 			'thumbs-o-up' => array('keywords' => 'thumbs-o-up ','viewbox' => '0 0 27 32', 'path' =>'<path d="M4.571 24.286q0-0.464-0.339-0.804t-0.804-0.339-0.804 0.339-0.339 0.804 0.339 0.804 0.804 0.339 0.804-0.339 0.339-0.804zM25.143 14q0-0.911-0.696-1.598t-1.589-0.688h-6.286q0-1.036 0.857-2.848t0.857-2.866q0-1.75-0.571-2.589t-2.286-0.839q-0.464 0.464-0.679 1.518t-0.545 2.241-1.063 1.955q-0.393 0.411-1.375 1.625-0.071 0.089-0.411 0.536t-0.563 0.732-0.616 0.759-0.714 0.786-0.688 0.634-0.714 0.482-0.634 0.161h-0.571v11.429h0.571q0.232 0 0.563 0.054t0.589 0.116 0.679 0.196 0.625 0.205 0.634 0.223 0.518 0.188q3.768 1.304 6.107 1.304h2.161q3.429 0 3.429-2.982 0-0.464-0.089-1 0.536-0.286 0.848-0.938t0.313-1.313-0.321-1.232q0.946-0.893 0.946-2.125 0-0.446-0.179-0.991t-0.446-0.848q0.571-0.018 0.955-0.839t0.384-1.446zM27.429 13.982q0 1.589-0.875 2.911 0.161 0.589 0.161 1.232 0 1.375-0.679 2.571 0.054 0.375 0.054 0.768 0 1.804-1.071 3.179 0.018 2.482-1.518 3.92t-4.054 1.438h-2.304q-1.714 0-3.384-0.402t-3.866-1.17q-2.071-0.714-2.464-0.714h-5.143q-0.946 0-1.616-0.67t-0.67-1.616v-11.429q0-0.946 0.67-1.616t1.616-0.67h4.893q0.643-0.429 2.446-2.768 1.036-1.339 1.911-2.286 0.429-0.446 0.634-1.527t0.545-2.259 1.107-1.929q0.696-0.661 1.607-0.661 1.5 0 2.696 0.58t1.821 1.813 0.625 3.321q0 1.661-0.857 3.429h3.143q1.857 0 3.214 1.357t1.357 3.196z"></path>'),
	   	 			'solar_panels' => array('keywords' => 'solar_panels ','viewbox' => '0 0 32 32', 'path' =>'<path d="M1 10h1.132c0.095 0.366 0.239 0.71 0.426 1.028l-0.801 0.801c-0.391 0.39-0.391 1.024 0 1.414 0.195 0.196 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293l0.801-0.801c0.317 0.188 0.662 0.332 1.027 0.427v1.131c0 0.552 0.448 1 1 1s1-0.448 1-1v-1.131c0.365-0.095 0.71-0.239 1.028-0.427l0.801 0.801c0.195 0.196 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293c0.39-0.39 0.39-1.024 0-1.414l-0.801-0.801c0.188-0.318 0.332-0.662 0.427-1.028h1.131c0.552 0 1-0.448 1-1s-0.448-1-1-1h-1.132c-0.095-0.365-0.239-0.71-0.427-1.028l0.801-0.801c0.39-0.391 0.39-1.024 0-1.414s-1.024-0.391-1.414 0l-0.801 0.801c-0.317-0.188-0.662-0.332-1.027-0.426v-1.131c0-0.552-0.448-1-1-1s-1 0.448-1 1v1.131c-0.365 0.095-0.71 0.239-1.028 0.426l-0.8-0.8c-0.39-0.391-1.024-0.391-1.414 0s-0.391 1.024 0 1.414l0.801 0.801c-0.188 0.317-0.332 0.662-0.426 1.027h-1.132c-0.552 0-1 0.448-1 1s0.448 1 1 1zM6 7c1.103 0 2 0.897 2 2s-0.897 2-2 2-2-0.897-2-2 0.897-2 2-2zM31 27h-6v-5c0-0.010-0.003-0.020-0.003-0.029l2.643-2.202c0.424-0.354 0.482-0.985 0.128-1.409s-0.985-0.482-1.409-0.128l-6 5c-0.424 0.354-0.482 0.985-0.128 1.409 0.198 0.238 0.483 0.36 0.769 0.36 0.226 0 0.453-0.076 0.64-0.232l1.36-1.134v3.365h-6v-5c0-0.010-0.003-0.020-0.003-0.029l2.643-2.202c0.424-0.354 0.482-0.985 0.128-1.409s-0.985-0.482-1.409-0.128l-6 5c-0.425 0.354-0.482 0.985-0.129 1.409 0.198 0.238 0.482 0.36 0.769 0.36 0.226 0 0.453-0.076 0.639-0.232l1.36-1.134v3.365h-6v-5c0-0.010-0.003-0.020-0.003-0.029l2.643-2.202c0.425-0.354 0.482-0.985 0.129-1.409s-0.985-0.482-1.409-0.128l-6 5c-0.425 0.354-0.482 0.985-0.128 1.409 0.198 0.238 0.482 0.36 0.769 0.36 0.226 0 0.452-0.076 0.639-0.232l1.36-1.134v3.365h-6c-0.552 0-1 0.448-1 1s0.448 1 1 1h30c0.552 0 1-0.448 1-1s-0.448-1-1-1z"></path>'),
	   	 			'folder_18' => array('keywords' => 'folder_18 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M20.523 16.999h-0.654c-0.094-0.365-0.238-0.711-0.426-1.028l0.462-0.462c0.381-0.381 0.373-1.009-0.017-1.399s-1.017-0.396-1.398-0.017l-0.463 0.464c-0.317-0.188-0.663-0.332-1.029-0.426v-0.655c0-0.537-0.448-0.976-1-0.976s-0.999 0.438-0.999 0.976v0.655c-0.366 0.095-0.711 0.239-1.028 0.426l-0.463-0.462c-0.38-0.381-1.008-0.374-1.399 0.017-0.389 0.389-0.396 1.018-0.015 1.397l0.462 0.462c-0.188 0.317-0.332 0.663-0.426 1.029h-0.656c-0.537 0-0.976 0.449-0.976 1 0 0.552 0.438 1 0.976 1h0.655c0.094 0.366 0.238 0.712 0.426 1.029l-0.463 0.463c-0.38 0.381-0.373 1.008 0.017 1.398s1.017 0.398 1.398 0.017l0.463-0.463c0.318 0.188 0.663 0.331 1.030 0.426v0.655c0 0.536 0.448 0.974 0.999 0.974 0.552 0 1.001-0.439 1.001-0.976v-0.655c0.366-0.095 0.712-0.238 1.029-0.426l0.463 0.463c0.38 0.38 1.007 0.373 1.396-0.017s0.398-1.017 0.017-1.398l-0.463-0.463c0.188-0.319 0.332-0.664 0.427-1.030h0.654c0.538 0 0.977-0.448 0.977-1-0-0.55-0.439-1-0.977-1zM16 20c-1.104 0-1.999-0.895-2-2 0.001-1.104 0.896-1.999 2-2 1.105 0 2 0.896 2 2s-0.895 2-2 2zM17 18c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM29 6.5h-14.070l-3.369-3.561c-0.292-0.293-0.676-0.439-1.060-0.439v0h-7.5c-1.65 0-3 1.349-3 3v21c0 1.649 1.35 3 3 3h26c1.65 0 3-1.351 3-3v-17c0-1.651-1.35-3-3-3zM30 26.5c0 0.55-0.45 1-1 1h-26c-0.55 0-1-0.45-1-1v-17c0-0.55 0.45-1 1-1h11.499c0.001 0 0.001 0 0.001 0h14.5c0.55 0 1 0.45 1 1v17z"></path>'),
	   	 			'cerdit_card_locked' => array('keywords' => 'cerdit_card_locked ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 22.501c-0.552 0-1 0.448-1 1v1c0 0.552 0.448 1 1 1s1-0.448 1-1v-1c0-0.552-0.448-1-1-1zM22 19.5l-2-0c0-2.209-1.791-4-4-4s-4 1.791-4 4v0.002l-0.001-0.001h-1.999v6c-0.001 2.209 1.79 4 3.999 4h4.001c2.209 0.001 4-1.791 4-4v-0h-0v-6zM13.5 19.5c0-1.381 1.119-2.5 2.5-2.5s2.5 1.119 2.5 2.5l0.001 0-5.001-0zM18 27.5v0 0l-4 0c-1.104 0-1.999-0.896-2-2h-0.002l0.001-0v-4l0.001-0.001v0.001h8v4h0c0 1.105-0.896 2-2 2zM29 2.5h-26c-1.65 0-3 1.35-3 3v17c0 1.65 1.35 3 3 3h4c0.552 0 1-0.448 1-1s-0.448-1-1-1h-4c-0.55 0-1-0.45-1-1v-10h28v10c0 0.55-0.45 1-1 1h-4c-0.552 0-1 0.448-1 1s0.448 1 1 1h4c1.65 0 3-1.35 3-3v-17c0-1.65-1.35-3-3-3zM2 7.5v-2c0-0.55 0.45-1 1-1h26c0.55 0 1 0.45 1 1v2h-28z"></path>'),
	   	 			'keyboard_voice' => array('keywords' => 'keyboard_voice ','viewbox' => '0 0 32 32', 'path' =>'<path d="M23.063 16.667h2.25q0 3.375-2.344 5.906t-5.656 3.031v4.375h-2.625v-4.375q-3.313-0.5-5.656-3.031t-2.344-5.906h2.25q0 2.938 2.094 4.875t4.969 1.938 4.969-1.938 2.094-4.875zM16 20.667q-1.625 0-2.813-1.188t-1.188-2.813v-8q0-1.625 1.188-2.813t2.813-1.188 2.813 1.188 1.188 2.813v8q0 1.625-1.188 2.813t-2.813 1.188z"></path>'),
	   	 			'contacts' => array('keywords' => 'contacts ','viewbox' => '0 0 32 32', 'path' =>'<path d="M22.688 23.354v-2q0-1.5-2.281-2.438t-4.406-0.938-4.406 0.938-2.281 2.438v2h13.375zM16 9.667q-1.25 0-2.125 0.875t-0.875 2.125 0.875 2.125 2.125 0.875 2.125-0.875 0.875-2.125-0.875-2.125-2.125-0.875zM26.688 5.979q1.063 0 1.844 0.813t0.781 1.875v16q0 1.063-0.781 1.875t-1.844 0.813h-21.375q-1.063 0-1.844-0.813t-0.781-1.875v-16q0-1.063 0.781-1.875t1.844-0.813h21.375zM5.313 32.667v-2.688h21.375v2.688h-21.375zM26.688 0.667v2.688h-21.375v-2.688h21.375z"></path>'),
	   	 			'hotel_symbol' => array('keywords' => 'hotel_symbol ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 11.5h-2v-5h2c0.552 0 1-0.448 1-1s-0.448-1-1-1h-27v-1c0-0.552-0.448-1-1-1s-1 0.448-1 1v4c0 0.552 0.448 1 1 1s1-0.448 1-1v-1h3v5h-2c-1.651 0-3 1.35-3 3v12c0 1.65 1.349 3 3 3h26c1.649 0 3-1.35 3-3v-12c0-1.65-1.351-3-3-3zM7 6.5h18v5h-18v-5zM30 26.5c0 0.55-0.45 1-1 1h-26c-0.55 0-1-0.45-1-1v-12c0-0.55 0.45-1 1-1h26c0.55 0 1 0.45 1 1v12zM7.933 19.855h-1.569v-1.852h-1.357v4.997h1.357v-2.037h1.569v2.037h1.357v-4.997h-1.357zM12.629 17.924c-0.793 0-1.397 0.219-1.813 0.657s-0.624 1.074-0.624 1.906c0 0.841 0.209 1.481 0.627 1.921s1.020 0.66 1.803 0.66c0.796 0 1.399-0.219 1.812-0.656s0.618-1.076 0.618-1.918c0-0.843-0.205-1.483-0.615-1.918s-1.012-0.653-1.808-0.653zM13.383 21.592c-0.165 0.235-0.418 0.352-0.761 0.352-0.672 0-1.008-0.483-1.008-1.449 0-0.975 0.338-1.463 1.015-1.463 0.332 0 0.582 0.119 0.751 0.357 0.167 0.238 0.251 0.607 0.251 1.106 0.001 0.496-0.082 0.862-0.248 1.097zM15.566 19.107h1.22v3.893h1.35v-3.893h1.217v-1.104h-3.787zM20.057 23h2.967v-1.101h-1.617v-0.944h1.497v-1.084h-1.497v-0.786h1.617v-1.084h-2.967zM25.349 18.003h-1.35v4.997h3.274v-1.090h-1.924z"></path>'),
	   	 			'folder-open2' => array('keywords' => 'folder-open2 ','viewbox' => '0 0 34 32', 'path' =>'<path d="M33.554 17.286q0 0.554-0.554 1.179l-6 7.071q-0.768 0.911-2.152 1.545t-2.563 0.634h-19.429q-0.607 0-1.080-0.232t-0.473-0.768q0-0.554 0.554-1.179l6-7.071q0.768-0.911 2.152-1.545t2.563-0.634h19.429q0.607 0 1.080 0.232t0.473 0.768zM27.429 11.143v2.857h-14.857q-1.679 0-3.518 0.848t-2.929 2.134l-6.107 7.179q0-0.071-0.009-0.223t-0.009-0.223v-17.143q0-1.643 1.179-2.821t2.821-1.179h5.714q1.643 0 2.821 1.179t1.179 2.821v0.571h9.714q1.643 0 2.821 1.179t1.179 2.821z"></path>'),
	   	 			'format_list_numbered' => array('keywords' => 'format_list_numbered ','viewbox' => '0 0 32 32', 'path' =>'<path d="M9.313 17.979v-2.625h18.688v2.625h-18.688zM9.313 25.979v-2.625h18.688v2.625h-18.688zM9.313 7.354h18.688v2.625h-18.688v-2.625zM2.688 15.354v-1.375h4v1.25l-2.438 2.75h2.438v1.375h-4v-1.25l2.375-2.75h-2.375zM4 11.354v-4h-1.313v-1.375h2.625v5.375h-1.313zM2.688 23.354v-1.375h4v5.375h-4v-1.375h2.625v-0.625h-1.313v-1.375h1.313v-0.625h-2.625z"></path>'),
	   	 			'music2' => array('keywords' => 'music2 ','viewbox' => '0 0 27 32', 'path' =>'<path d="M27.429 4.286v20q0 0.893-0.607 1.589t-1.536 1.080-1.848 0.571-1.723 0.188-1.723-0.188-1.848-0.571-1.536-1.080-0.607-1.589 0.607-1.589 1.536-1.080 1.848-0.571 1.723-0.188q1.875 0 3.429 0.696v-9.589l-13.714 4.232v12.661q0 0.893-0.607 1.589t-1.536 1.080-1.848 0.571-1.723 0.188-1.723-0.188-1.848-0.571-1.536-1.080-0.607-1.589 0.607-1.589 1.536-1.080 1.848-0.571 1.723-0.188q1.875 0 3.429 0.696v-17.268q0-0.554 0.339-1.009t0.875-0.634l14.857-4.571q0.214-0.071 0.5-0.071 0.714 0 1.214 0.5t0.5 1.214z"></path>'),
	   	 			'call' => array('keywords' => 'call ','viewbox' => '0 0 32 32', 'path' =>'<path d="M8.813 15.042q3 5.813 8.813 8.813l2.938-2.938q0.625-0.625 1.375-0.313 2.25 0.75 4.75 0.75 0.563 0 0.938 0.375t0.375 0.938v4.688q0 0.563-0.375 0.938t-0.938 0.375q-9.375 0-16.031-6.656t-6.656-16.031q0-0.563 0.375-0.938t0.938-0.375h4.688q0.563 0 0.938 0.375t0.375 0.938q0 2.5 0.75 4.75 0.25 0.813-0.313 1.375z"></path>'),
	   	 			'file-pdf' => array('keywords' => 'file-pdf ','viewbox' => '0 0 32 32', 'path' =>'<path d="M26.313 18.421c-0.427-0.42-1.372-0.643-2.812-0.662-0.974-0.011-2.147 0.075-3.38 0.248-0.552-0.319-1.122-0.665-1.568-1.083-1.202-1.122-2.205-2.68-2.831-4.394 0.041-0.16 0.075-0.301 0.108-0.444 0 0 0.677-3.846 0.498-5.146-0.025-0.178-0.040-0.23-0.088-0.369l-0.059-0.151c-0.184-0.425-0.545-0.875-1.111-0.85l-0.341-0.011c-0.631 0-1.146 0.323-1.281 0.805-0.411 1.514 0.013 3.778 0.781 6.711l-0.197 0.478c-0.55 1.34-1.238 2.689-1.846 3.88l-0.079 0.155c-0.639 1.251-1.22 2.313-1.745 3.213l-0.543 0.287c-0.040 0.021-0.97 0.513-1.188 0.645-1.852 1.106-3.079 2.361-3.282 3.357-0.065 0.318-0.017 0.725 0.313 0.913l0.525 0.264c0.228 0.114 0.468 0.172 0.714 0.172 1.319 0 2.85-1.643 4.959-5.324 2.435-0.793 5.208-1.452 7.638-1.815 1.852 1.043 4.129 1.767 5.567 1.767 0.255 0 0.475-0.024 0.654-0.072 0.276-0.073 0.508-0.23 0.65-0.444 0.279-0.42 0.335-0.998 0.26-1.59-0.023-0.176-0.163-0.393-0.315-0.541zM6.614 25.439c0.241-0.658 1.192-1.958 2.6-3.111 0.088-0.072 0.306-0.276 0.506-0.466-1.472 2.348-2.458 3.283-3.106 3.577zM14.951 6.24c0.424 0 0.665 1.069 0.685 2.070s-0.214 1.705-0.505 2.225c-0.241-0.77-0.357-1.984-0.357-2.778 0 0-0.018-1.517 0.177-1.517v0zM12.464 19.922c0.295-0.529 0.603-1.086 0.917-1.677 0.765-1.447 1.249-2.58 1.609-3.511 0.716 1.303 1.608 2.41 2.656 3.297 0.131 0.111 0.269 0.222 0.415 0.333-2.132 0.422-3.974 0.935-5.596 1.558v0zM25.903 19.802c-0.13 0.081-0.502 0.128-0.741 0.128-0.772 0-1.727-0.353-3.066-0.927 0.515-0.038 0.986-0.057 1.409-0.057 0.774 0 1.004-0.003 1.761 0.19s0.767 0.585 0.637 0.667v0zM28.681 7.159c-0.694-0.947-1.662-2.053-2.724-3.116s-2.169-2.030-3.116-2.724c-1.612-1.182-2.393-1.319-2.841-1.319h-15.5c-1.378 0-2.5 1.121-2.5 2.5v27c0 1.378 1.121 2.5 2.5 2.5h23c1.378 0 2.5-1.122 2.5-2.5v-19.5c0-0.448-0.137-1.23-1.319-2.841v0zM24.543 5.457c0.959 0.959 1.712 1.825 2.268 2.543h-4.811v-4.811c0.718 0.556 1.584 1.309 2.543 2.268v0zM28 29.5c0 0.271-0.229 0.5-0.5 0.5h-23c-0.271 0-0.5-0.229-0.5-0.5v-27c0-0.271 0.229-0.5 0.5-0.5 0 0 15.499-0 15.5 0v7c0 0.552 0.448 1 1 1h7v19.5z"></path>'),
	   	 			'ellipsis-h' => array('keywords' => 'ellipsis-h ','viewbox' => '0 0 25 32', 'path' =>'<path d="M6.857 13.429v3.429q0 0.714-0.5 1.214t-1.214 0.5h-3.429q-0.714 0-1.214-0.5t-0.5-1.214v-3.429q0-0.714 0.5-1.214t1.214-0.5h3.429q0.714 0 1.214 0.5t0.5 1.214zM16 13.429v3.429q0 0.714-0.5 1.214t-1.214 0.5h-3.429q-0.714 0-1.214-0.5t-0.5-1.214v-3.429q0-0.714 0.5-1.214t1.214-0.5h3.429q0.714 0 1.214 0.5t0.5 1.214zM25.143 13.429v3.429q0 0.714-0.5 1.214t-1.214 0.5h-3.429q-0.714 0-1.214-0.5t-0.5-1.214v-3.429q0-0.714 0.5-1.214t1.214-0.5h3.429q0.714 0 1.214 0.5t0.5 1.214z"></path>'),
	   	 			'snapchat-ghost' => array('keywords' => 'snapchat-ghost ','viewbox' => '0 0 30 32', 'path' =>'<path d="M15.143 2.571q2.393-0.018 4.295 1.223t2.92 3.438q0.482 1.036 0.482 3.196 0 0.839-0.161 3.411 0.25 0.125 0.5 0.125 0.321 0 0.911-0.241t0.911-0.241q0.518 0 1 0.321t0.482 0.821q0 0.571-0.563 0.964t-1.232 0.563-1.232 0.518-0.563 0.848q0 0.268 0.214 0.768 0.661 1.464 1.83 2.679t2.58 1.804q0.5 0.214 1.429 0.411 0.5 0.107 0.5 0.625 0 1.25-3.911 1.839-0.125 0.196-0.196 0.696t-0.25 0.83-0.589 0.33q-0.357 0-1.107-0.116t-1.143-0.116q-0.661 0-1.107 0.089-0.571 0.089-1.125 0.402t-1.036 0.679-1.036 0.723-1.357 0.598-1.768 0.241q-0.929 0-1.723-0.241t-1.339-0.598-1.027-0.723-1.036-0.679-1.107-0.402q-0.464-0.089-1.125-0.089-0.429 0-1.17 0.134t-1.045 0.134q-0.446 0-0.625-0.33t-0.25-0.848-0.196-0.714q-3.911-0.589-3.911-1.839 0-0.518 0.5-0.625 0.929-0.196 1.429-0.411 1.393-0.571 2.58-1.804t1.83-2.679q0.214-0.5 0.214-0.768 0-0.5-0.563-0.848t-1.241-0.527-1.241-0.563-0.563-0.938q0-0.482 0.464-0.813t0.982-0.33q0.268 0 0.857 0.232t0.946 0.232q0.321 0 0.571-0.125-0.161-2.536-0.161-3.393 0-2.179 0.482-3.214 1.143-2.446 3.071-3.536t4.714-1.125z"></path>'),
	   	 			'castle_tower2' => array('keywords' => 'castle_tower2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M26 0h-4c-0.552 0-1 0.448-1 1v3h-2v-3c0-0.552-0.448-1-1-1h-4c-0.552 0-1 0.448-1 1v3h-2v-3c0-0.552-0.448-1-1-1h-4c-0.552 0-1 0.448-1 1v30c0 0.552 0.448 1 1 1h20c0.552 0 1-0.448 1-1v-30c0-0.552-0.448-1-1-1zM7 27v-25h2v3c0 0.552 0.448 1 1 1h4c0.552 0 1-0.448 1-1v-3h2v3c0 0.552 0.448 1 1 1h4c0.552 0 1-0.448 1-1v-3h2v28h-4v-8.5c0-2.757-2.243-5-5-5s-5 2.243-5 5v8.5h-4v-3zM13 30v-8.5c0-1.654 1.345-3 3-3s3 1.346 3 3v8.5h-6z"></path>'),
	   	 			'user_person4' => array('keywords' => 'user_person4 ','viewbox' => '0 0 20 32', 'path' =>'<path d="M10 13c-5.514 0-10 4.486-10 10 0 0.552 0.448 1 1 1h3.5v7c0 0.552 0.448 1 1 1h9c0.552 0 1-0.448 1-1v-7h3.5c0.552 0 1-0.448 1-1 0-5.514-4.486-10-10-10zM12.722 15.483l-2.722 1.814-2.722-1.815c0.851-0.309 1.765-0.483 2.722-0.483s1.871 0.175 2.722 0.483zM14.5 22c-0.552 0-1 0.448-1 1v7h-7v-7c0-0.552-0.448-1-1-1h-3.438c0.28-2.232 1.482-4.178 3.212-5.449l4.171 2.781c0.002-0.002 0.002-0.004 0.004-0.006 0.165 0.11 0.355 0.174 0.552 0.174 0.191 0 0.383-0.054 0.553-0.168l4.171-2.781c1.73 1.271 2.932 3.218 3.212 5.449h-3.438zM5.55 4.734c-0.349 0.681-0.55 1.45-0.55 2.266 0 2.757 2.243 5 5 5s5-2.243 5-5c0-0.816-0.201-1.586-0.55-2.267l0.85-1.133c0.227-0.303 0.264-0.708 0.095-1.048s-0.515-0.552-0.895-0.552c-1.949 0-3.277-0.492-3.551-1.317-0.136-0.408-0.518-0.683-0.948-0.683s-0.813 0.276-0.948 0.683c-0.275 0.825-1.603 1.317-3.551 1.317-0.379 0-0.725 0.214-0.894 0.552s-0.133 0.744 0.095 1.048l0.85 1.133zM10 10c-1.655 0-2.999-1.345-3-2.999 0.728 0.615 1.792 0.999 3 0.999s2.273-0.384 3-1c-0.001 1.654-1.345 3-3 3zM10 2.724c0.631 0.549 1.513 0.927 2.614 1.123l-0.415 0.553c-0.13 0.173-0.2 0.383-0.2 0.6 0 0.407-0.78 1-2 1s-2-0.593-2-1c0-0.216-0.071-0.427-0.2-0.6l-0.415-0.553c1.102-0.196 1.984-0.575 2.615-1.123zM15 19h-2c-0.552 0-1 0.448-1 1s0.448 1 1 1h2c0.552 0 1-0.448 1-1s-0.448-1-1-1z"></path>'),
	   	 			'tablet_mac' => array('keywords' => 'tablet_mac ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25.313 25.979v-21.313h-20v21.313h20zM15.313 31.354q0.813 0 1.406-0.594t0.594-1.406-0.594-1.406-1.406-0.594-1.406 0.594-0.594 1.406 0.594 1.406 1.406 0.594zM24.688 0.667q1.375 0 2.344 0.969t0.969 2.344v25.375q0 1.375-0.969 2.344t-2.344 0.969h-18.688q-1.375 0-2.344-0.969t-0.969-2.344v-25.375q0-1.375 0.969-2.344t2.344-0.969h18.688z"></path>'),
	   	 			'piano_1' => array('keywords' => 'piano_1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M30 14h-5.489l-5.72-7.92 5.802-4.275c0.445-0.328 0.539-0.954 0.212-1.399s-0.953-0.538-1.398-0.212l-18.736 13.806h-2.671c-0.552 0-1 0.448-1 1v8c0 0.552 0.448 1 1 1h3.5v7c0 0.552 0.448 1 1 1s1-0.448 1-1v-7h7.5v6h-0.5c-0.552 0-1 0.448-1 1s0.448 1 1 1h3c0.552 0 1-0.448 1-1s-0.448-1-1-1h-0.5v-6h7.5v7c0 0.552 0.448 1 1 1s1-0.448 1-1v-7h3.5c0.552 0 1-0.448 1-1v-8c0-0.552-0.448-1-1-1zM17.181 7.266l4.863 6.734h-14.001l9.138-6.734zM29 22h-26v-6h26v6zM4 19c0 0.552 0.448 1 1 1h22c0.552 0 1-0.448 1-1s-0.448-1-1-1h-22c-0.552 0-1 0.448-1 1z"></path>'),
	   	 			'shuffle' => array('keywords' => 'shuffle ','viewbox' => '0 0 32 32', 'path' =>'<path d="M19.75 18.542l4.188 4.188 2.75-2.75v7.375h-7.375l2.75-2.75-4.188-4.188zM19.313 5.979h7.375v7.375l-2.75-2.75-16.75 16.75-1.875-1.875 16.75-16.75zM14.125 12.917l-1.875 1.875-6.938-6.938 1.875-1.875z"></path>'),
	   	 			'image' => array('keywords' => 'image ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29.996 4c0.001 0.001 0.003 0.002 0.004 0.004v23.993c-0.001 0.001-0.002 0.003-0.004 0.004h-27.993c-0.001-0.001-0.003-0.002-0.004-0.004v-23.993c0.001-0.001 0.002-0.003 0.004-0.004h27.993zM30 2h-28c-1.1 0-2 0.9-2 2v24c0 1.1 0.9 2 2 2h28c1.1 0 2-0.9 2-2v-24c0-1.1-0.9-2-2-2v0zM26 9c0 1.657-1.343 3-3 3s-3-1.343-3-3 1.343-3 3-3 3 1.343 3 3zM28 26h-24v-4l7-12 8 10h2l7-6z"></path>'),
	   	 			'trophy3' => array('keywords' => 'trophy3 ','viewbox' => '0 0 34 32', 'path' =>'<path d="M25.5 1c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-17c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h17zM25.5 2h-19c-3.283 0-4.813 1.166-5.519 2.144-0.864 1.2-1.026 2.803-0.456 4.514 0.882 2.646 3.846 5.825 5.668 7.237 0.092 0.071 0.2 0.105 0.307 0.105 0.149 0 0.297-0.066 0.396-0.194 0.169-0.218 0.129-0.532-0.089-0.702-1.674-1.296-4.525-4.342-5.332-6.763-0.467-1.397-0.354-2.68 0.318-3.612 0.815-1.131 2.442-1.729 4.707-1.729h1.5v9.5c0 6.726 6.673 10.601 8.036 11.322-0.021 0.056-0.036 0.115-0.036 0.178v2.5c0 0.276 0.224 0.5 0.5 0.5s0.5-0.224 0.5-0.5v-2.5c0-0.058-0.015-0.112-0.033-0.164 1.514-0.712 9.033-4.586 9.033-11.336v-9.5h1.5c2.265 0 3.892 0.598 4.707 1.729 0.672 0.932 0.785 2.215 0.318 3.613-0.63 1.891-3.769 5.553-5.332 6.763-0.218 0.169-0.258 0.483-0.089 0.702 0.099 0.127 0.247 0.193 0.396 0.193 0.107 0 0.215-0.034 0.307-0.104 1.732-1.342 4.961-5.119 5.668-7.237 0.57-1.711 0.408-3.314-0.456-4.514-0.706-0.979-2.236-2.145-5.519-2.145h-2zM25 12.5c0 6.093-7.152 9.804-8.486 10.443-1.228-0.665-7.514-4.367-7.514-10.443v-9.5h16v9.5zM11 28c-1.141 0-2 0.86-2 2v1.5c0 0.276 0.224 0.5 0.5 0.5h14c0.276 0 0.5-0.224 0.5-0.5v-1.425c0-1.163-0.879-2.075-2-2.075h-11zM23 30.075v0.925h-13v-1c0-0.589 0.411-1 1-1h11c0.57 0 1 0.462 1 1.075z"></path>'),
	   	 			'yahoo' => array('keywords' => 'yahoo ','viewbox' => '0 0 32 32', 'path' =>'<path d="M17.756 18.406v0c3.519-6.175 9.331-16.25 10.925-18.406-0.7 0.469-1.775 0.706-2.762 0.931l-1.494-0.931c-1.2 2.237-5.625 9.469-8.444 14.1-2.856-4.731-6.237-10.194-8.444-14.1-1.75 0.375-2.475 0.394-4.219 0v0 0c0 0 0 0 0 0v0c3.463 5.213 9.006 15.144 10.894 18.406v0l-0.256 13.594 2.025-0.931v-0.025l2.025 0.956-0.25-13.594z"></path>'),
	   	 			'projector_board3' => array('keywords' => 'projector_board3 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31 27.5h-1v-19h1c0.552 0 1-0.448 1-1s-0.448-1-1-1h-12v-1c0-1.655-1.346-3-3-3s-3 1.345-3 3v1h-12c-0.552 0-1 0.447-1 1s0.448 1 1 1h1v19h-1c-0.552 0-1 0.448-1 1s0.448 1 1 1h30c0.552 0 1-0.448 1-1s-0.448-1-1-1zM15 5.5c0-0.551 0.448-1 1-1s1 0.449 1 1v1h-2v-1zM28.5 27.5h-25v-19h25v19zM14.75 25.5c3.447 0 6.25-2.803 6.25-6.25v-0.75h-5.5v-5.5h-0.75c-3.447 0-6.25 2.803-6.25 6.25s2.803 6.25 6.25 6.25zM14 14.559v5.441h5.441c-0.36 2.264-2.326 4-4.691 4-2.619 0-4.75-2.131-4.75-4.75 0-2.364 1.736-4.33 4-4.691zM23.5 16.75c0-3.447-2.803-6.25-6.25-6.25h-0.75v7h7v-0.75zM18 16v-3.941c2.020 0.322 3.619 1.922 3.941 3.941h-3.941z"></path>'),
	   	 			'arrow_forward' => array('keywords' => 'arrow_forward ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 5.979l10.688 10.688-10.688 10.688-1.875-1.875 7.438-7.5h-16.25v-2.625h16.25l-7.438-7.5z"></path>'),
	   	 			'blog' => array('keywords' => 'blog ','viewbox' => '0 0 32 32', 'path' =>'<path d="M12 0v3c2.296 0 4.522 0.449 6.616 1.335 2.024 0.856 3.842 2.082 5.405 3.644s2.788 3.381 3.645 5.405c0.886 2.094 1.335 4.32 1.335 6.616h3c0-11.046-8.954-20-20-20zM12 6v3c2.938 0 5.701 1.144 7.778 3.222s3.222 4.84 3.222 7.778h3c0-7.732-6.268-14-14-14zM15 12l-2 2-7 2-6 13 0.793 0.793 7.275-7.275c-0.044-0.165-0.068-0.339-0.068-0.518 0-1.105 0.895-2 2-2s2 0.895 2 2-0.895 2-2 2c-0.179 0-0.353-0.024-0.518-0.068l-7.275 7.275 0.793 0.793 13-6 2-7 2-2-5-5z"></path>'),
	   	 			'headset_mic' => array('keywords' => 'headset_mic ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 1.979q5 0 8.5 3.531t3.5 8.469v13.375q0 1.625-1.188 2.813t-2.813 1.188h-8v-2.688h9.313v-1.313h-5.313v-10.688h5.313v-2.688q0-3.875-2.719-6.594t-6.594-2.719-6.594 2.719-2.719 6.594v2.688h5.313v10.688h-4q-1.625 0-2.813-1.188t-1.188-2.813v-9.375q0-4.938 3.5-8.469t8.5-3.531z"></path>'),
	   	 			'download3' => array('keywords' => 'download3 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M23 14l-8 8-8-8h5v-12h6v12zM15 22h-15v8h30v-8h-15zM28 26h-4v-2h4v2z"></path>'),
	   	 			'linkedin3' => array('keywords' => 'linkedin3 ','viewbox' => '0 0 27 32', 'path' =>'<path d="M6.232 11.446v17.696h-5.893v-17.696h5.893zM6.607 5.982q0.018 1.304-0.902 2.179t-2.42 0.875h-0.036q-1.464 0-2.357-0.875t-0.893-2.179q0-1.321 0.92-2.188t2.402-0.866 2.375 0.866 0.911 2.188zM27.429 19v10.143h-5.875v-9.464q0-1.875-0.723-2.938t-2.259-1.063q-1.125 0-1.884 0.616t-1.134 1.527q-0.196 0.536-0.196 1.446v9.875h-5.875q0.036-7.125 0.036-11.554t-0.018-5.286l-0.018-0.857h5.875v2.571h-0.036q0.357-0.571 0.732-1t1.009-0.929 1.554-0.777 2.045-0.277q3.054 0 4.911 2.027t1.857 5.938z"></path>'),
	   	 			'cart_n1' => array('keywords' => 'cart_n1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M13.5 29.5c0 1.381-1.119 2.5-2.5 2.5s-2.5-1.119-2.5-2.5c0-1.381 1.119-2.5 2.5-2.5s2.5 1.119 2.5 2.5zM28.5 29.5c0 1.381-1.119 2.5-2.5 2.5s-2.5-1.119-2.5-2.5c0-1.381 1.119-2.5 2.5-2.5s2.5 1.119 2.5 2.5zM29 7h-22.318l-0.682-6c0-0.552-0.447-1-1-1v-0.001l-3.995 0.001c-0.002 0-0.003-0.001-0.005-0.001-0.551 0.001-1 0.448-1 1s0.448 1 1 1h3.028l2.472 21c0 1.65 1.35 3 3 3h18c1.65 0 3-1.35 3-3l1.5-13c0-1.65-1.35-3-3-3zM28.5 23c0 0.55-0.45 1-1 1h-18c-0.55 0-1-0.45-1-1l-1.489-13.105c0.053-0.5 0.476-0.895 0.989-0.895h21c0.55 0 1 0.45 1 1l-1.5 13z"></path>'),
	   	 			'targetting' => array('keywords' => 'targetting ','viewbox' => '0 0 32 32', 'path' =>'<path d="M18.5 16c0 1.381-1.119 2.5-2.5 2.5s-2.5-1.119-2.5-2.5c0-1.381 1.119-2.5 2.5-2.5s2.5 1.119 2.5 2.5zM31 15h-1.541c-0.489-6.648-5.811-11.969-12.459-12.459v-1.541c0-0.552-0.448-1-1-1s-1 0.448-1 1v1.541c-6.648 0.49-11.97 5.811-12.459 12.459h-1.541c-0.552 0-1 0.448-1 1s0.448 1 1 1h1.541c0.49 6.648 5.811 11.97 12.459 12.459v1.541c0 0.552 0.448 1 1 1s1-0.448 1-1v-1.541c6.648-0.489 11.97-5.811 12.459-12.459h1.541c0.552 0 1-0.448 1-1s-0.448-1-1-1zM17 27.454v-4.454c0-0.552-0.448-1-1-1s-1 0.448-1 1v4.454c-5.544-0.48-9.973-4.909-10.454-10.454h4.454c0.552 0 1-0.448 1-1s-0.448-1-1-1h-4.454c0.481-5.544 4.91-9.973 10.454-10.454v4.454c0 0.553 0.448 1 1 1s1-0.447 1-1v-4.454c5.544 0.48 9.974 4.909 10.454 10.454h-4.454c-0.552 0-1 0.448-1 1s0.448 1 1 1h4.454c-0.48 5.545-4.91 9.974-10.454 10.454z"></path>'),
	   	 			'map_marker_2' => array('keywords' => 'map_marker_2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M19.5 8.5c0-1.93-1.57-3.5-3.5-3.5s-3.5 1.57-3.5 3.5 1.57 3.5 3.5 3.5c1.93 0 3.5-1.57 3.5-3.5zM14.5 8.5c0-0.827 0.673-1.5 1.5-1.5s1.5 0.673 1.5 1.5-0.673 1.5-1.5 1.5-1.5-0.673-1.5-1.5zM16 27c0.334 0 0.646-0.167 0.832-0.445 0.314-0.47 7.668-11.576 7.668-18.055 0-4.687-3.813-8.5-8.5-8.5s-8.5 3.813-8.5 8.5c0 6.479 7.354 17.585 7.668 18.055 0.185 0.278 0.498 0.445 0.832 0.445zM16 2c3.584 0 6.5 2.916 6.5 6.5 0 4.666-4.579 12.541-6.5 15.639-1.921-3.098-6.5-10.97-6.5-15.639 0-3.584 2.916-6.5 6.5-6.5zM22.395 21.204c-0.508-0.218-1.095 0.017-1.314 0.524s0.017 1.095 0.524 1.314c1.813 0.778 2.895 1.884 2.895 2.957 0 1.892-3.491 4-8.5 4s-8.5-2.108-8.5-4c0-1.074 1.082-2.18 2.895-2.957 0.508-0.218 0.742-0.806 0.524-1.314s-0.806-0.742-1.313-0.524c-2.609 1.12-4.106 2.868-4.106 4.796 0 3.364 4.612 6 10.5 6s10.5-2.636 10.5-6c0-1.927-1.496-3.675-4.105-4.796z"></path>'),
	   	 			'star_symbol' => array('keywords' => 'star_symbol ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25.27 31.25c-0.159 0-0.319-0.038-0.465-0.114l-8.806-4.625-8.806 4.624c-0.337 0.177-0.745 0.148-1.053-0.076s-0.462-0.602-0.397-0.978l1.681-9.793-7.123-6.934c-0.273-0.265-0.371-0.663-0.254-1.025s0.43-0.627 0.808-0.681l9.844-1.429 4.403-8.911c0.169-0.342 0.517-0.557 0.897-0.557v0c0.38 0 0.728 0.216 0.897 0.557l4.402 8.911 9.845 1.429c0.377 0.055 0.69 0.319 0.808 0.681s0.019 0.759-0.253 1.025l-7.122 6.934 1.68 9.794c0.064 0.375-0.090 0.754-0.398 0.977-0.174 0.127-0.38 0.192-0.587 0.192zM16 24.382c0.16 0 0.32 0.038 0.465 0.114l7.477 3.927-1.427-8.316c-0.056-0.324 0.052-0.656 0.288-0.886l6.047-5.886-8.358-1.213c-0.326-0.047-0.608-0.252-0.753-0.547l-3.739-7.567-3.739 7.567c-0.146 0.295-0.427 0.499-0.753 0.547l-8.357 1.213 6.046 5.886c0.236 0.23 0.344 0.561 0.287 0.886l-1.428 8.316 7.478-3.927c0.145-0.076 0.305-0.114 0.464-0.114z"></path>'),
	   	 			'map4' => array('keywords' => 'map4 ','viewbox' => '0 0 41 32', 'path' =>'<path d="M9.239 31.927c0.009 0.006 0.021 0.003 0.030 0.009 0.073 0.037 0.149 0.064 0.231 0.064 0.044 0 0.088-0.006 0.132-0.018l10.868-2.966 10.868 2.966c0.044 0.012 0.088 0.018 0.132 0.018 0.082 0 0.158-0.027 0.23-0.065 0.010-0.005 0.021-0.003 0.030-0.009l9-5.5c0.191-0.117 0.281-0.348 0.22-0.563l-4.984-17.5c-0.041-0.147-0.148-0.267-0.29-0.326-0.142-0.057-0.301-0.048-0.436 0.026l-4.962 2.784c-0.24 0.135-0.326 0.44-0.191 0.681s0.439 0.327 0.682 0.191l4.409-2.475 4.707 16.526-8.015 4.899-1.904-15.231c-0.034-0.275-0.293-0.466-0.559-0.434-0.273 0.034-0.468 0.284-0.434 0.558l1.907 15.259-9.91-2.705v-2.73c0-0.276-0.224-0.5-0.5-0.5s-0.5 0.224-0.5 0.5v2.73l-9.911 2.705 1.907-15.259c0.034-0.274-0.16-0.524-0.434-0.558-0.272-0.032-0.524 0.159-0.559 0.434l-1.903 15.231-8.015-4.898 4.707-16.525 4.409 2.475c0.242 0.134 0.546 0.049 0.682-0.191 0.135-0.241 0.049-0.545-0.191-0.681l-4.963-2.785c-0.133-0.075-0.292-0.085-0.435-0.026s-0.249 0.178-0.29 0.326l-4.984 17.5c-0.062 0.216 0.028 0.446 0.22 0.563l8.999 5.5zM20.161 23.368c0.096 0.088 0.217 0.132 0.339 0.132 0.12 0 0.24-0.043 0.336-0.129 0.333-0.303 8.164-7.489 8.164-14.871 0-4.767-3.733-8.5-8.5-8.5s-8.5 3.733-8.5 8.5c0 7.254 7.828 14.56 8.161 14.868zM20.5 1c4.275 0 7.5 3.224 7.5 7.5 0 6.097-5.993 12.337-7.497 13.807-1.501-1.487-7.503-7.809-7.503-13.807 0-4.276 3.225-7.5 7.5-7.5zM25 8.5c0-2.481-2.019-4.5-4.5-4.5s-4.5 2.019-4.5 4.5 2.019 4.5 4.5 4.5 4.5-2.019 4.5-4.5zM20.5 12c-1.93 0-3.5-1.57-3.5-3.5s1.57-3.5 3.5-3.5 3.5 1.57 3.5 3.5-1.57 3.5-3.5 3.5z"></path>'),
	   	 			'user-tie' => array('keywords' => 'user-tie ','viewbox' => '0 0 32 32', 'path' =>'<path d="M10 6c0-3.314 2.686-6 6-6s6 2.686 6 6c0 3.314-2.686 6-6 6s-6-2.686-6-6zM24.002 14h-1.107l-6.222 12.633 2.327-11.633-3-3-3 3 2.327 11.633-6.222-12.633h-1.107c-3.998 0-3.998 2.687-3.998 6v10h24v-10c0-3.313 0-6-3.998-6z"></path>'),
	   	 			'hourglass-2' => array('keywords' => 'hourglass-2 ','viewbox' => '0 0 27 32', 'path' =>'<path d="M25.143 2.571q0 4.661-1.902 8.241t-4.759 5.473q2.857 1.893 4.759 5.473t1.902 8.241h1.714q0.25 0 0.411 0.161t0.161 0.411v1.143q0 0.25-0.161 0.411t-0.411 0.161h-26.286q-0.25 0-0.411-0.161t-0.161-0.411v-1.143q0-0.25 0.161-0.411t0.411-0.161h1.714q0-4.661 1.902-8.241t4.759-5.473q-2.857-1.893-4.759-5.473t-1.902-8.241h-1.714q-0.25 0-0.411-0.161t-0.161-0.411v-1.143q0-0.25 0.161-0.411t0.411-0.161h26.286q0.25 0 0.411 0.161t0.161 0.411v1.143q0 0.25-0.161 0.411t-0.411 0.161h-1.714zM22.857 2.571h-18.286q0 3.679 1.518 6.857h15.25q1.518-3.179 1.518-6.857zM21.839 24.286q-0.964-2.518-2.598-4.313t-3.473-2.545h-4.107q-1.839 0.75-3.473 2.545t-2.598 4.313h16.25z"></path>'),
	   	 			'folder_6' => array('keywords' => 'folder_6 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M19.302 16.733c1.352 0.947 1.3 2.415-0.115 3.264l-4.854 2.913c-1.415 0.849-2.572 0.194-2.572-1.456v-7c0-1.651 1.106-2.226 2.458-1.28l5.084 3.559zM29 6.5h-14.070l-3.369-3.561c-0.292-0.293-0.676-0.439-1.060-0.439v0h-7.5c-1.65 0-3 1.349-3 3v21c0 1.649 1.35 3 3 3h26c1.65 0 3-1.351 3-3v-17c0-1.651-1.35-3-3-3zM30 26.5c0 0.55-0.45 1-1 1h-26c-0.55 0-1-0.45-1-1v-17c0-0.55 0.45-1 1-1h11.499c0.001 0 0.001 0 0.002 0h14.499c0.55 0 1 0.45 1 1v17z"></path>'),
	   	 			'support' => array('keywords' => 'support ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 0.286q3.25 0 6.214 1.268t5.107 3.411 3.411 5.107 1.268 6.214-1.268 6.214-3.411 5.107-5.107 3.411-6.214 1.268-6.214-1.268-5.107-3.411-3.411-5.107-1.268-6.214 1.268-6.214 3.411-5.107 5.107-3.411 6.214-1.268zM16 2.571q-3.393 0-6.446 1.607l3.464 3.464q1.464-0.5 2.982-0.5t2.982 0.5l3.464-3.464q-3.054-1.607-6.446-1.607zM3.893 22.732l3.464-3.464q-0.5-1.464-0.5-2.982t0.5-2.982l-3.464-3.464q-1.607 3.054-1.607 6.446t1.607 6.446zM16 30q3.393 0 6.446-1.607l-3.464-3.464q-1.464 0.5-2.982 0.5t-2.982-0.5l-3.464 3.464q3.054 1.607 6.446 1.607zM16 23.143q2.839 0 4.848-2.009t2.009-4.848-2.009-4.848-4.848-2.009-4.848 2.009-2.009 4.848 2.009 4.848 4.848 2.009zM24.643 19.268l3.464 3.464q1.607-3.054 1.607-6.446t-1.607-6.446l-3.464 3.464q0.5 1.464 0.5 2.982t-0.5 2.982z"></path>'),
	   	 			'set_square' => array('keywords' => 'set_square ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31.628 30.214l-29.921-29.921c-0.286-0.286-0.716-0.372-1.090-0.217s-0.617 0.519-0.617 0.924v30c0 0.552 0.448 1 1 1h30c0.003 0 0.006-0 0.010 0 0.552 0 1-0.448 1-1 0-0.32-0.149-0.604-0.382-0.786zM2 30v-26.585l2.086 2.085-1.293 1.293c-0.39 0.391-0.39 1.024 0 1.414 0.196 0.195 0.451 0.293 0.707 0.293s0.511-0.098 0.707-0.293l1.293-1.293 1.586 1.586-1.293 1.293c-0.391 0.39-0.391 1.024 0 1.414 0.196 0.196 0.451 0.293 0.707 0.293s0.511-0.098 0.707-0.293l1.293-1.293 1.586 1.586-1.293 1.293c-0.39 0.39-0.39 1.024 0 1.414 0.196 0.196 0.451 0.293 0.707 0.293s0.511-0.098 0.707-0.293l1.293-1.293 1.586 1.586-1.293 1.293c-0.39 0.39-0.39 1.023 0 1.414 0.195 0.195 0.451 0.293 0.707 0.293s0.511-0.098 0.707-0.293l1.293-1.293 1.586 1.586-1.293 1.293c-0.39 0.39-0.39 1.023 0 1.414 0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293l1.293-1.293 1.586 1.586-1.293 1.293c-0.39 0.39-0.39 1.023 0 1.414 0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293l1.293-1.293 1.586 1.586-1.293 1.293c-0.39 0.39-0.39 1.023 0 1.414 0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293l1.293-1.293 1.586 1.586-1.293 1.293c-0.39 0.39-0.39 1.023 0 1.414 0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293l1.293-1.293 2.086 2.086h-26.586zM18.628 25.214l-11.921-11.921c-0.285-0.286-0.716-0.371-1.090-0.217s-0.617 0.52-0.617 0.924v12c0 0.552 0.448 1 1 1h12c0.003 0 0.006 0 0.010 0 0.552 0 1-0.448 1-1 0-0.32-0.149-0.604-0.382-0.786zM7 25v-8.585l8.586 8.585h-8.586z"></path>'),
	   	 			'content_cut' => array('keywords' => 'content_cut ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25.313 4.667h4v1.313l-9.313 9.375-2.688-2.688zM16 17.354q0.688 0 0.688-0.688t-0.688-0.688-0.688 0.688 0.688 0.688zM8 27.354q1.063 0 1.875-0.781t0.813-1.906-0.813-1.906-1.875-0.781-1.875 0.781-0.813 1.906 0.813 1.906 1.875 0.781zM8 11.354q1.063 0 1.875-0.781t0.813-1.906-0.813-1.906-1.875-0.781-1.875 0.781-0.813 1.906 0.813 1.906 1.875 0.781zM12.875 10.854l16.438 16.5v1.313h-4l-9.313-9.313-3.125 3.125q0.438 0.938 0.438 2.188 0 2.188-1.563 3.75t-3.75 1.563-3.75-1.563-1.563-3.75 1.563-3.75 3.75-1.563q1.25 0 2.188 0.438l3.125-3.125-3.125-3.125q-0.938 0.438-2.188 0.438-2.188 0-3.75-1.563t-1.563-3.75 1.563-3.75 3.75-1.563 3.75 1.563 1.563 3.75q0 1.25-0.438 2.188z"></path>'),
	   	 			'leak_add' => array('keywords' => 'leak_add ','viewbox' => '0 0 32 32', 'path' =>'<path d="M18.688 28.667q0-3.875 2.719-6.594t6.594-2.719v2.625q-2.75 0-4.719 1.969t-1.969 4.719h-2.625zM24 28.667q0-1.625 1.188-2.813t2.813-1.188v4h-4zM13.313 28.667q0-6.063 4.313-10.375t10.375-4.313v2.688q-5 0-8.5 3.5t-3.5 8.5h-2.688zM13.313 4.667q0 3.875-2.719 6.594t-6.594 2.719v-2.625q2.75 0 4.719-1.969t1.969-4.719h2.625zM18.688 4.667q0 6.062-4.313 10.375t-10.375 4.313v-2.688q5 0 8.5-3.5t3.5-8.5h2.688zM8 4.667q0 1.625-1.188 2.813t-2.813 1.187v-4h4z"></path>'),
	   	 			'local_print_shop' => array('keywords' => 'local_print_shop ','viewbox' => '0 0 32 32', 'path' =>'<path d="M24 4.667v5.312h-16v-5.313h16zM25.313 16.667q0.563 0 0.969-0.375t0.406-0.938-0.406-0.969-0.969-0.406-0.938 0.406-0.375 0.969 0.375 0.938 0.938 0.375zM21.313 25.979v-6.625h-10.625v6.625h10.625zM25.313 11.354q1.625 0 2.813 1.188t1.188 2.813v8h-5.313v5.313h-16v-5.313h-5.313v-8q0-1.625 1.188-2.813t2.813-1.188h18.625z"></path>'),
	   	 			'list-ol' => array('keywords' => 'list-ol ','viewbox' => '0 0 32 32', 'path' =>'<path d="M6.804 29.214q0 1.429-0.973 2.25t-2.42 0.821q-1.893 0-3.071-1.179l1.018-1.571q0.875 0.804 1.893 0.804 0.518 0 0.902-0.259t0.384-0.759q0-1.143-1.875-1l-0.464-1q0.143-0.179 0.58-0.777t0.759-0.964 0.661-0.688v-0.018q-0.286 0-0.866 0.018t-0.866 0.018v0.946h-1.893v-2.714h5.946v1.571l-1.696 2.054q0.911 0.214 1.446 0.875t0.536 1.571zM6.839 18.018v2.839h-6.464q-0.107-0.643-0.107-0.964 0-0.911 0.42-1.661t1.009-1.214 1.179-0.848 1.009-0.777 0.42-0.804q0-0.446-0.259-0.688t-0.705-0.241q-0.821 0-1.446 1.036l-1.518-1.054q0.429-0.911 1.277-1.42t1.884-0.509q1.304 0 2.196 0.741t0.893 2.009q0 0.893-0.607 1.634t-1.339 1.152-1.348 0.902-0.634 0.938h2.268v-1.071h1.875zM32 23.714v3.429q0 0.232-0.17 0.402t-0.402 0.17h-21.714q-0.232 0-0.402-0.17t-0.17-0.402v-3.429q0-0.25 0.161-0.411t0.411-0.161h21.714q0.232 0 0.402 0.17t0.17 0.402zM6.857 7.661v1.768h-5.982v-1.768h1.911q0-0.732 0.009-2.179t0.009-2.161v-0.214h-0.036q-0.143 0.304-0.893 0.964l-1.268-1.357 2.429-2.268h1.893v7.214h1.929zM32 14.571v3.429q0 0.232-0.17 0.402t-0.402 0.17h-21.714q-0.232 0-0.402-0.17t-0.17-0.402v-3.429q0-0.25 0.161-0.411t0.411-0.161h21.714q0.232 0 0.402 0.17t0.17 0.402zM32 5.429v3.429q0 0.232-0.17 0.402t-0.402 0.17h-21.714q-0.232 0-0.402-0.17t-0.17-0.402v-3.429q0-0.232 0.17-0.402t0.402-0.17h21.714q0.232 0 0.402 0.17t0.17 0.402z"></path>'),
	   	 			'settings_overscan' => array('keywords' => 'settings_overscan ','viewbox' => '0 0 32 32', 'path' =>'<path d="M28 26.042v-18.75h-24v18.75h24zM28 4.667q1.063 0 1.875 0.813t0.813 1.875v18.625q0 1.063-0.813 1.875t-1.875 0.813h-24q-1.063 0-1.875-0.813t-0.813-1.875v-18.625q0-1.063 0.813-1.875t1.875-0.813h24zM18.688 21.979l-2.688 3.375-2.688-3.375h5.375zM8 13.979v5.375l-3.313-2.688zM24 13.979l3.313 2.688-3.313 2.688v-5.375zM16 7.979l2.688 3.375h-5.375z"></path>'),
	   	 			'mic_symbol2' => array('keywords' => 'mic_symbol2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M12.414 21c1.050 0.631 2.274 1 3.586 1 3.86 0 7-3.14 7-7v-4.586l8.707-8.707c0.391-0.391 0.391-1.024 0-1.414s-1.024-0.391-1.414 0l-7.293 7.293v-0.586c0-3.86-3.14-7-7-7s-7 3.14-7 7v8c0 1.825 0.707 3.483 1.855 4.73l-1.413 1.413c-1.509-1.611-2.441-3.768-2.441-6.144v-3c0-0.552-0.448-1-1-1s-1 0.448-1 1v3c0 2.928 1.152 5.59 3.024 7.563l-7.731 7.73c-0.391 0.39-0.391 1.023 0 1.414 0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293l7.821-7.82c1.564 1.142 3.439 1.882 5.473 2.066v4.047h-4.498c-0.001 0-0.002 0-0.002 0-0.552 0-1 0.448-1 1s0.448 1 1 1h11c0.552 0 1-0.448 1-1s-0.448-1-1-1c-0.001 0-0.002 0-0.003 0h-4.497v-4.047c5.598-0.507 10-5.224 10-10.953v-3c0-0.552-0.448-1-1-1s-1 0.448-1 1v3c0 4.962-4.037 8.999-8.998 9-0 0-0.001 0-0.002 0s-0.001 0-0.002 0c-1.865-0-3.599-0.572-5.037-1.547l1.452-1.453zM16 20c-0.755 0-1.469-0.173-2.112-0.474l4.646-4.646c0.14 0.074 0.297 0.12 0.466 0.12h2c0 2.757-2.243 5-5 5zM20.413 13l0.587-0.586v0.586h-0.587zM11 15h2c0.552 0 1-0.448 1-1s-0.448-1-1-1h-2v-1h2c0.552 0 1-0.448 1-1s-0.448-1-1-1h-2v-1h2c0.552 0 1-0.448 1-1s-0.448-1-1-1h-2c0-2.757 2.243-5 5-5s5 2.243 5 5h-2c-0.552 0-1 0.448-1 1s0.448 1 1 1h2v0.585l-0.415 0.415h-1.585c-0.552 0-1 0.448-1 1 0 0.429 0.272 0.792 0.651 0.934l-6.383 6.383c-0.787-0.884-1.269-2.044-1.269-3.317z"></path>'),
	   	 			'polymer' => array('keywords' => 'polymer ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25.313 5.979l6 10.688-6 10.688h-5.313l6-10.688-3.5-6.188-10.5 16.875h-5.313l-6-10.688 6-10.688h5.313l-6 10.688 3.5 6.188 10.5-16.875h5.313z"></path>'),
	   	 			'swap_vert' => array('keywords' => 'swap_vert ','viewbox' => '0 0 32 32', 'path' =>'<path d="M12 4.667l5.313 5.312h-4v9.375h-2.625v-9.375h-4zM21.313 23.354h4l-5.313 5.313-5.313-5.313h4v-9.375h2.625v9.375z"></path>'),
	   	 			'bullhorn' => array('keywords' => 'bullhorn ','viewbox' => '0 0 32 32', 'path' =>'<path d="M32 13.414c0-6.279-1.837-11.373-4.109-11.413 0.009-0 0.018-0.001 0.027-0.001h-2.592c0 0-6.088 4.573-14.851 6.367-0.268 1.415-0.438 3.102-0.438 5.047s0.171 3.631 0.438 5.047c8.763 1.794 14.851 6.367 14.851 6.367h2.592c-0.009 0-0.018-0.001-0.027-0.001 2.272-0.040 4.109-5.134 4.109-11.413zM27.026 23.102c-0.293 0-0.61-0.304-0.773-0.486-0.395-0.439-0.775-1.124-1.1-1.979-0.727-1.913-1.127-4.478-1.127-7.223s0.4-5.309 1.127-7.223c0.325-0.855 0.705-1.54 1.1-1.979 0.163-0.182 0.48-0.486 0.773-0.486s0.61 0.304 0.773 0.486c0.395 0.439 0.775 1.124 1.1 1.979 0.727 1.913 1.127 4.479 1.127 7.223s-0.4 5.309-1.127 7.223c-0.325 0.855-0.705 1.54-1.1 1.979-0.163 0.181-0.48 0.486-0.773 0.486zM7.869 13.414c0-1.623 0.119-3.201 0.345-4.659-1.48 0.205-2.779 0.323-4.386 0.323-2.096 0-2.096 0-2.096 0l-1.733 2.959v2.755l1.733 2.959c0 0 0 0 2.096 0 1.606 0 2.905 0.118 4.386 0.323-0.226-1.458-0.345-3.036-0.345-4.659zM11.505 20.068l-4-0.766 2.558 10.048c0.132 0.52 0.648 0.782 1.146 0.583l3.705-1.483c0.498-0.199 0.698-0.749 0.444-1.221l-3.853-7.161zM27.026 17.148c-0.113 0-0.235-0.117-0.298-0.187-0.152-0.169-0.299-0.433-0.424-0.763-0.28-0.738-0.434-1.726-0.434-2.784s0.154-2.046 0.434-2.784c0.125-0.33 0.272-0.593 0.424-0.763 0.063-0.070 0.185-0.187 0.298-0.187s0.235 0.117 0.298 0.187c0.152 0.169 0.299 0.433 0.424 0.763 0.28 0.737 0.434 1.726 0.434 2.784s-0.154 2.046-0.434 2.784c-0.125 0.33-0.272 0.593-0.424 0.763-0.063 0.070-0.185 0.187-0.298 0.187z"></path>'),
	   	 			'folder_15' => array('keywords' => 'folder_15 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 6.5h-14.070l-3.369-3.561c-0.292-0.293-0.677-0.439-1.060-0.439v0h-7.5c-1.651 0-3 1.349-3 3v21c0 1.649 1.349 3 3 3h26c1.649 0 3-1.351 3-3v-17c0-1.651-1.351-3-3-3zM30 26.5c0 0.55-0.45 1-1 1h-26c-0.55 0-1-0.45-1-1v-17c0-0.55 0.45-1 1-1h26c0.55 0 1 0.45 1 1v17zM21.25 20.404c0-0.551-0.448-0.999-1-1-0.552 0.001-1 0.448-1 1v1.346h-6.5l0.001-1.346h-0.001c0-0.551-0.448-0.999-1-1-0.552 0.001-1 0.448-1 1 0 0.001 0 0.002 0 0.002l0.001 2.337c0 0.003-0.001 0.005-0.001 0.008 0 0.552 0.448 1.001 1 1 0 0 0 0 0.001 0v0h8.495c0.002 0 0.003 0 0.005 0s0.003 0 0.005 0h0.042v-0.005c0.53-0.024 0.953-0.459 0.953-0.995v-2.347zM12.622 17.287c0.002 0.001 0.003 0.002 0.004 0.003l2.665 2.665c0.001 0 0.002 0.001 0.002 0.002 0.098 0.098 0.21 0.171 0.331 0.22 0.361 0.146 0.791 0.073 1.084-0.219 0-0.001 0.001-0.002 0.002-0.003l2.668-2.668c0.39-0.39 0.39-1.023 0-1.414s-1.023-0.39-1.414 0l-0.963 0.963v-3.585c0-0.553-0.448-1-1-1s-0.999 0.447-1 0.999v3.586l-0.963-0.963-0.001 0.001c-0.39-0.39-1.024-0.39-1.415 0-0.389 0.39-0.389 1.023 0 1.414z"></path>'),
	   	 			'location' => array('keywords' => 'location ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 0c-5.523 0-10 4.477-10 10 0 10 10 22 10 22s10-12 10-22c0-5.523-4.477-10-10-10zM16 16c-3.314 0-6-2.686-6-6s2.686-6 6-6 6 2.686 6 6-2.686 6-6 6z"></path>'),
	   	 			'clock_style1' => array('keywords' => 'clock_style1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 0c-8.822 0-16 7.178-16 16s7.178 16 16 16c8.822 0 16-7.178 16-16s-7.178-16-16-16zM16 30c-7.72 0-14-6.28-14-14s6.28-14 14-14 14 6.28 14 14-6.28 14-14 14zM19.078 17.663c0.716-1.326 0.516-3.020-0.603-4.139-0.418-0.418-0.924-0.716-1.474-0.88v-5.146c0-0.552-0.448-1-1-1s-1 0.448-1 1v5.146c-0.552 0.164-1.057 0.462-1.475 0.88-1.364 1.364-1.364 3.585 0 4.95 0.662 0.66 1.54 1.024 2.475 1.024 0.591 0 1.16-0.146 1.665-0.421l5.628 5.628c0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293c0.39-0.39 0.39-1.023 0-1.414l-5.63-5.63zM14.94 17.061c-0.585-0.584-0.585-1.537 0-2.121 0.283-0.284 0.66-0.44 1.060-0.44s0.777 0.156 1.061 0.439c0.585 0.585 0.585 1.537 0 2.122-0.566 0.567-1.555 0.567-2.121 0z"></path>'),
	   	 			'http' => array('keywords' => 'http ','viewbox' => '0 0 32 32', 'path' =>'<path d="M28.688 15.979v-1.313h-2.688v1.313h2.688zM28.688 12.667q0.813 0 1.406 0.594t0.594 1.406v1.313q0 0.813-0.594 1.406t-1.406 0.594h-2.688v2.688h-2v-8h4.688zM16.688 14.667v-2h6v2h-2v6h-2v-6h-2zM9.313 14.667v-2h6v2h-2v6h-2v-6h-2zM6 15.354v-2.688h2v8h-2v-3.313h-2.688v3.313h-2v-8h2v2.688h2.688z"></path>'),
	   	 			'basket_n6' => array('keywords' => 'basket_n6 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 8.001h-2.084l-6.207-6.205c-0-0-0.001-0.002-0.002-0.002-0.39-0.39-1.023-0.39-1.414 0s-0.39 1.024 0 1.414l4.794 4.793-16.672-0.001 4.792-4.793c0.39-0.39 0.39-1.024 0-1.415s-1.024-0.391-1.415 0l-6.205 6.207h-1.587c-1.649 0-3 1.35-3 3.001v2c0 1.357 0.915 2.511 2.159 2.877l1.341 11.623c0 1.651 1.349 3 3 3h19c1.649 0 3-1.349 3-3l1.341-11.623c1.244-0.367 2.159-1.52 2.159-2.877v-2c0-1.651-1.349-3-3-3zM26.5 27.501c0 0.55-0.45 1-1 1h-19c-0.55 0-1-0.45-1-1l-1.327-11.5h23.654l-1.327 11.5zM30 13.001c0 0.55-0.45 1-1 1h-26c-0.55 0-1-0.45-1-1v-2c0-0.55 0.45-1.001 1-1.001l26 0.001c0.55 0 1 0.45 1 1v2z"></path>'),
	   	 			'qrcode2' => array('keywords' => 'qrcode2 ','viewbox' => '0 0 25 32', 'path' =>'<path d="M6.857 20.857v2.286h-2.286v-2.286h2.286zM6.857 7.143v2.286h-2.286v-2.286h2.286zM20.571 7.143v2.286h-2.286v-2.286h2.286zM2.286 25.411h6.857v-6.839h-6.857v6.839zM2.286 11.714h6.857v-6.857h-6.857v6.857zM16 11.714h6.857v-6.857h-6.857v6.857zM11.429 16.286v11.429h-11.429v-11.429h11.429zM20.571 25.429v2.286h-2.286v-2.286h2.286zM25.143 25.429v2.286h-2.286v-2.286h2.286zM25.143 16.286v6.857h-6.857v-2.286h-2.286v6.857h-2.286v-11.429h6.857v2.286h2.286v-2.286h2.286zM11.429 2.571v11.429h-11.429v-11.429h11.429zM25.143 2.571v11.429h-11.429v-11.429h11.429z"></path>'),
	   	 			'heart_o_symbol' => array('keywords' => 'heart_o_symbol ','viewbox' => '0 0 32 32', 'path' =>'<path d="M9.5 5.5c-3.309 0-6 2.691-6 6 0 0.552 0.448 1 1 1s1-0.448 1-1c0-2.206 1.795-4 4-4 0.552 0 1-0.448 1-1s-0.448-1-1-1zM29.363 4.628c-1.7-1.694-3.959-2.627-6.363-2.627s-4.663 0.933-6.363 2.627c-0.22 0.218-0.435 0.438-0.642 0.669-0.195-0.223-0.406-0.442-0.633-0.669-1.7-1.694-3.959-2.627-6.363-2.627s-4.663 0.933-6.363 2.627c-1.7 1.696-2.637 3.95-2.637 6.348s0.936 4.652 2.632 6.342l11.954 12.092c0.377 0.381 0.879 0.59 1.414 0.59s1.037-0.209 1.413-0.59l11.95-12.088c1.701-1.695 2.637-3.949 2.637-6.347s-0.936-4.652-2.637-6.348zM27.945 15.911l-11.945 12.084-11.95-12.089c-1.321-1.318-2.050-3.069-2.050-4.931s0.728-3.614 2.050-4.931c1.322-1.319 3.080-2.045 4.95-2.045s3.628 0.726 4.951 2.045c0.515 0.513 0.87 0.913 1.163 1.441 0.176 0.317 0.511 0.515 0.874 0.515s0.698-0.197 0.874-0.515c0.297-0.535 0.696-0.952 1.186-1.441 1.322-1.319 3.081-2.045 4.951-2.045s3.629 0.726 4.95 2.044c1.322 1.317 2.050 3.069 2.050 4.931s-0.727 3.614-2.055 4.936z"></path>'),
	   	 			'mobile_satellite_connect' => array('keywords' => 'mobile_satellite_connect ','viewbox' => '0 0 32 32', 'path' =>'<path d="M9.015 3.9l0.693-0.692c0.39-0.39 0.39-1.023 0-1.414s-1.024-0.391-1.414 0l-0.692 0.693-2.192-2.192c-0.391-0.391-1.024-0.39-1.414-0.001-0.964 0.964-1.495 2.244-1.495 3.607 0 1.163 0.389 2.264 1.101 3.161l-1.996 3.992c-0.247 0.494-0.047 1.095 0.448 1.342 0.143 0.072 0.296 0.105 0.446 0.105h5.001c0 0 0 0 0.001 0 0.151 0 0.303-0.034 0.447-0.105 0.494-0.247 0.695-0.848 0.448-1.342l-1.032-2.064c0.079 0.004 0.157 0.012 0.237 0.012 1.363 0 2.644-0.53 3.606-1.494 0.39-0.391 0.39-1.024 0-1.414l-2.192-2.193zM5 8.736l0.882 1.764h-1.764l0.882-1.764zM7.601 7c-0.828 0-1.606-0.322-2.192-0.907-0.586-0.586-0.909-1.365-0.909-2.193 0-0.483 0.109-0.949 0.317-1.369l4.152 4.154c-0.421 0.207-0.886 0.316-1.37 0.316zM5.295 14.29c-0.19 0.19-0.295 0.445-0.295 0.71s0.105 0.52 0.295 0.705c0.185 0.19 0.445 0.295 0.705 0.295s0.52-0.105 0.71-0.295c0.185-0.185 0.29-0.446 0.29-0.705 0-0.261-0.105-0.52-0.295-0.71-0.375-0.37-1.040-0.37-1.41 0zM6 18c-0.555 0-1 0.445-1 1 0 0.55 0.445 1 1 1 0.55 0 1-0.45 1-1 0-0.555-0.45-1-1-1zM6 22c-0.555 0-1 0.445-1 1 0 0.55 0.445 1 1 1 0.55 0 1-0.45 1-1 0-0.555-0.45-1-1-1zM5.29 26.29c-0.185 0.19-0.29 0.445-0.29 0.71s0.105 0.52 0.295 0.705c0.185 0.19 0.445 0.295 0.705 0.295s0.52-0.105 0.705-0.295c0.19-0.185 0.295-0.44 0.295-0.705s-0.105-0.52-0.295-0.71c-0.37-0.37-1.040-0.37-1.415 0zM10.001 26c-0.555 0-1 0.445-1 1 0 0.55 0.445 1 1 1 0.55 0 1-0.45 1-1 0-0.555-0.45-1-1-1zM14.001 26c-0.55 0-1 0.445-1 1 0 0.55 0.45 1 1 1s1-0.45 1-1c0-0.555-0.45-1-1-1zM17.296 26.29c-0.19 0.19-0.295 0.445-0.295 0.71s0.105 0.52 0.295 0.705c0.185 0.19 0.44 0.295 0.705 0.295s0.52-0.105 0.705-0.295c0.19-0.185 0.295-0.44 0.295-0.705s-0.105-0.52-0.295-0.71c-0.37-0.37-1.040-0.37-1.41 0zM26.5 18.5c0.26 0 0.52-0.105 0.705-0.295 0.19-0.185 0.295-0.44 0.295-0.705s-0.105-0.52-0.295-0.71c-0.37-0.37-1.040-0.37-1.41 0-0.19 0.19-0.295 0.445-0.295 0.71s0.105 0.52 0.295 0.71c0.185 0.185 0.445 0.29 0.705 0.29zM26.5 10.5c0.555 0 1-0.45 1-1 0-0.555-0.445-1-1-1-0.55 0-1 0.445-1 1 0 0.55 0.45 1 1 1zM26.5 14.5c0.555 0 1-0.45 1-1s-0.445-1-1-1c-0.55 0-1 0.45-1 1s0.45 1 1 1zM26.5 6.5c0.265 0 0.52-0.105 0.71-0.295 0.185-0.185 0.29-0.44 0.29-0.705s-0.105-0.52-0.295-0.71c-0.37-0.37-1.040-0.37-1.41 0-0.19 0.19-0.295 0.445-0.295 0.71s0.105 0.52 0.295 0.705c0.185 0.19 0.44 0.295 0.705 0.295zM22.5 6.5c0.555 0 1-0.45 1-1s-0.445-1-1-1c-0.55 0-1 0.45-1 1s0.45 1 1 1zM18.5 4.5c-0.55 0-1 0.45-1 1s0.45 1 1 1 1-0.45 1-1c0-0.55-0.45-1-1-1zM13.79 4.79c-0.185 0.19-0.29 0.445-0.29 0.71s0.105 0.52 0.295 0.705c0.185 0.19 0.44 0.295 0.705 0.295s0.52-0.105 0.705-0.295c0.19-0.185 0.295-0.44 0.295-0.705 0-0.261-0.105-0.52-0.295-0.71-0.37-0.37-1.040-0.37-1.415 0zM25 29h2c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-2c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5zM25 27h2c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-2c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5zM29.5 22h-1v-1.5c0-0.552-0.448-1-1-1s-1 0.448-1 1v1.5h-4c-0.552 0-1 0.448-1 1v8c0 0.552 0.448 1 1 1h7c0.552 0 1-0.448 1-1v-8c0-0.552-0.448-1-1-1zM28.5 30h-5v-6h5v6z"></path>'),
	   	 			'camera-retro' => array('keywords' => 'camera-retro ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16.571 15.143q0-0.25-0.161-0.411t-0.411-0.161q-1.179 0-2.018 0.839t-0.839 2.018q0 0.25 0.161 0.411t0.411 0.161 0.411-0.161 0.161-0.411q0-0.714 0.5-1.214t1.214-0.5q0.25 0 0.411-0.161t0.161-0.411zM20.571 17.464q0 1.893-1.339 3.232t-3.232 1.339-3.232-1.339-1.339-3.232 1.339-3.232 3.232-1.339 3.232 1.339 1.339 3.232zM2.286 27.714h27.429v-2.286h-27.429v2.286zM22.857 17.464q0-2.839-2.009-4.848t-4.848-2.009-4.848 2.009-2.009 4.848 2.009 4.848 4.848 2.009 4.848-2.009 2.009-4.848zM4.571 6h6.857v-2.286h-6.857v2.286zM2.286 9.429h27.429v-4.571h-14.786l-1.143 2.286h-11.5v2.286zM32 4.857v22.857q0 0.946-0.67 1.616t-1.616 0.67h-27.429q-0.946 0-1.616-0.67t-0.67-1.616v-22.857q0-0.946 0.67-1.616t1.616-0.67h27.429q0.946 0 1.616 0.67t0.67 1.616z"></path>'),
	   	 			'format_color_fill' => array('keywords' => 'format_color_fill ','viewbox' => '0 0 32 32', 'path' =>'<path d="M0 27.354h32v5.313h-32v-5.313zM25.313 15.979q2.688 2.938 2.688 4.688 0 1.063-0.813 1.875t-1.875 0.813-1.844-0.813-0.781-1.875q0-0.75 0.656-1.938t1.281-1.938zM6.938 13.979h12.813l-6.438-6.375zM22.063 12.604q0.625 0.625 0.625 1.438t-0.625 1.375l-7.313 7.313q-0.625 0.625-1.438 0.625-0.75 0-1.375-0.625l-7.375-7.313q-0.625-0.563-0.625-1.375t0.625-1.438l6.875-6.875-3.188-3.188 1.938-1.875z"></path>'),
	   	 			'mobile4' => array('keywords' => 'mobile4 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M1.5 32h14c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-14c-0.276 0-0.5-0.224-0.5-0.5v-29c0-0.276 0.224-0.5 0.5-0.5h21c0.276 0 0.5 0.224 0.5 0.5v5c0 0.276 0.224 0.5 0.5 0.5s0.5-0.224 0.5-0.5v-5c0-0.827-0.673-1.5-1.5-1.5h-21c-0.827 0-1.5 0.673-1.5 1.5v29c0 0.827 0.673 1.5 1.5 1.5zM18 10.5v20c0 0.827 0.673 1.5 1.5 1.5h11c0.827 0 1.5-0.673 1.5-1.5v-20c0-0.827-0.673-1.5-1.5-1.5h-11c-0.827 0-1.5 0.673-1.5 1.5zM31 10.5v20c0 0.276-0.224 0.5-0.5 0.5h-11c-0.276 0-0.5-0.224-0.5-0.5v-20c0-0.276 0.224-0.5 0.5-0.5h11c0.276 0 0.5 0.224 0.5 0.5zM11 28c0 0.552 0.448 1 1 1s1-0.448 1-1c0-0.552-0.448-1-1-1s-1 0.448-1 1zM24 28c0 0.552 0.448 1 1 1s1-0.448 1-1c0-0.552-0.448-1-1-1s-1 0.448-1 1z"></path>'),
	   	 			'cart' => array('keywords' => 'cart ','viewbox' => '0 0 32 32', 'path' =>'<path d="M12 29c0 1.657-1.343 3-3 3s-3-1.343-3-3c0-1.657 1.343-3 3-3s3 1.343 3 3zM32 29c0 1.657-1.343 3-3 3s-3-1.343-3-3c0-1.657 1.343-3 3-3s3 1.343 3 3zM32 16v-12h-24c0-1.105-0.895-2-2-2h-6v2h4l1.502 12.877c-0.915 0.733-1.502 1.859-1.502 3.123 0 2.209 1.791 4 4 4h24v-2h-24c-1.105 0-2-0.895-2-2 0-0.007 0-0.014 0-0.020l26-3.98z"></path>'),
	   	 			'camera_roll' => array('keywords' => 'camera_roll ','viewbox' => '0 0 32 32', 'path' =>'<path d="M26.688 12.667v-2.688h-2.688v2.688h2.688zM26.688 24.667v-2.688h-2.688v2.688h2.688zM21.313 12.667v-2.688h-2.625v2.688h2.625zM21.313 24.667v-2.688h-2.625v2.688h2.625zM16 12.667v-2.688h-2.688v2.688h2.688zM16 24.667v-2.688h-2.688v2.688h2.688zM18.688 7.354h10.625v20h-10.625q0 1.063-0.813 1.844t-1.875 0.781h-10.688q-1.063 0-1.844-0.781t-0.781-1.844v-20q0-1.063 0.781-1.875t1.844-0.813h1.375v-1.313q0-0.563 0.375-0.969t0.938-0.406h5.313q0.563 0 0.969 0.406t0.406 0.969v1.313h1.313q1.063 0 1.875 0.813t0.813 1.875z"></path>'),
	   	 			'ungroup' => array('keywords' => 'ungroup ','viewbox' => '0 0 32 32', 'path' =>'<path d="M12 14.5c0 0.825-0.675 1.5-1.5 1.5h-3c-0.825 0-1.5-0.675-1.5-1.5v-3c0-0.825 0.675-1.5 1.5-1.5h3c0.825 0 1.5 0.675 1.5 1.5v3zM22 14.5c0 0.825-0.675 1.5-1.5 1.5h-3c-0.825 0-1.5-0.675-1.5-1.5v-3c0-0.825 0.675-1.5 1.5-1.5h3c0.825 0 1.5 0.675 1.5 1.5v3zM12 24.5c0 0.825-0.675 1.5-1.5 1.5h-3c-0.825 0-1.5-0.675-1.5-1.5v-3c0-0.825 0.675-1.5 1.5-1.5h3c0.825 0 1.5 0.675 1.5 1.5v3zM22 24.5c0 0.825-0.675 1.5-1.5 1.5h-3c-0.825 0-1.5-0.675-1.5-1.5v-3c0-0.825 0.675-1.5 1.5-1.5h3c0.825 0 1.5 0.675 1.5 1.5v3zM28.503 5l3.497-3.497v-1.503h-1.503l-3.497 3.497-3.497-3.497h-1.503v1.503l3.497 3.497-3.497 3.497v1.503h1.503l3.497-3.497 3.497 3.497h1.503v-1.503zM0 24h2v4h-2v-4zM0 18h2v4h-2v-4zM26 14h2v4h-2v-4zM26 26h2v4h-2v-4zM26 20h2v4h-2v-4zM0 12h2v4h-2v-4zM0 6h2v4h-2v-4zM16 4h4v2h-4v-2zM10 4h4v2h-4v-2zM4 4h4v2h-4v-2zM14 30h4v2h-4v-2zM20 30h4v2h-4v-2zM8 30h4v2h-4v-2zM2 30h4v2h-4v-2z"></path>'),
	   	 			'one_wheel_bike' => array('keywords' => 'one_wheel_bike ','viewbox' => '0 0 32 32', 'path' =>'<path d="M17 12.051v-8.051h3.5c0.552 0 1-0.448 1-1s-0.448-1-1-1h-7c-0.552 0-1-0.448-1-1s-0.448-1-1-1-1 0.448-1 1c0 1.655 1.345 3 3 3h1.5v8.051c-5.046 0.503-9 4.772-9 9.949 0 5.514 4.486 10 10 10s10-4.486 10-10c0-5.177-3.954-9.446-9-9.949zM16 30c-4.411 0-8-3.589-8-8 0-4.072 3.060-7.436 7-7.931v6.208c-0.595 0.346-1 0.985-1 1.723 0 1.105 0.896 2 2 2s2-0.895 2-2c0-0.738-0.405-1.376-1-1.723v-6.208c3.94 0.495 7 3.859 7 7.931 0 4.411-3.589 8-8 8z"></path>'),
	   	 			'browser_symbol3' => array('keywords' => 'browser_symbol3 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 2.5h-26c-1.65 0-3 1.35-3 3v21c0 1.65 1.35 3 3 3h26c1.65 0 3-1.35 3-3v-21c0-1.65-1.35-3-3-3zM30 26.5c0 0.55-0.45 1-1 1h-26c-0.55 0-1-0.45-1-1v-14h28v14zM30 10.5h-28v-5c0-0.55 0.45-1 1-1h26c0.55 0 1 0.45 1 1v5zM6 7.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM10 7.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM14 7.5c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM14.5 22.5c0.741 0 1.433-0.206 2.028-0.558l3.265 3.265c0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293c0.39-0.39 0.39-1.023 0-1.414l-3.265-3.265c0.352-0.596 0.558-1.288 0.558-2.028 0-2.206-1.794-4-4-4s-4 1.794-4 4 1.794 4 4 4zM14.5 16.5c1.103 0 2 0.898 2 2s-0.897 2-2 2-2-0.898-2-2 0.897-2 2-2z"></path>'),
	   	 			'border_right' => array('keywords' => 'border_right ','viewbox' => '0 0 32 32', 'path' =>'<path d="M14.688 12.667v-2.688h2.625v2.688h-2.625zM14.688 7.354v-2.688h2.625v2.688h-2.625zM14.688 17.979v-2.625h2.625v2.625h-2.625zM20 7.354v-2.688h2.688v2.688h-2.688zM20 28.667v-2.688h2.688v2.688h-2.688zM25.313 4.667h2.688v24h-2.688v-24zM20 17.979v-2.625h2.688v2.625h-2.688zM14.688 23.354v-2.688h2.625v2.688h-2.625zM4 12.667v-2.688h2.688v2.688h-2.688zM4 23.354v-2.688h2.688v2.688h-2.688zM4 17.979v-2.625h2.688v2.625h-2.688zM14.688 28.667v-2.688h2.625v2.688h-2.625zM4 28.667v-2.688h2.688v2.688h-2.688zM9.313 17.979v-2.625h2.688v2.625h-2.688zM9.313 7.354v-2.688h2.688v2.688h-2.688zM4 7.354v-2.688h2.688v2.688h-2.688zM9.313 28.667v-2.688h2.688v2.688h-2.688z"></path>'),
	   	 			'bluetooth_searching' => array('keywords' => 'bluetooth_searching ','viewbox' => '0 0 32 32', 'path' =>'<path d="M17.188 22.417l-2.5-2.563v5.063zM14.688 8.417v5.063l2.5-2.563zM20.938 10.917l-5.75 5.75 5.75 5.75-7.625 7.563h-1.313v-10.125l-6.125 6.125-1.875-1.875 7.438-7.438-7.438-7.438 1.875-1.875 6.125 6.125v-10.125h1.313zM26.063 9.604q1.938 3.125 1.938 6.938t-2.063 7.063l-1.563-1.563q1.313-2.625 1.313-5.375t-1.313-5.375zM19 16.667l3.063-3.063q0.625 1.563 0.625 3.063 0 1.563-0.625 3.125z"></path>'),
	   	 			'lock4' => array('keywords' => 'lock4 ','viewbox' => '0 0 28 32', 'path' =>'<path d="M14 0c-5.514 0-10 4.486-10 10v3h-1.5c-1.378 0-2.5 1.122-2.5 2.5v14c0 1.378 1.122 2.5 2.5 2.5h23c1.378 0 2.5-1.122 2.5-2.5v-14c0-1.378-1.122-2.5-2.5-2.5h-1.5v-3c0-5.514-4.486-10-10-10zM5 10c0-4.962 4.038-9 9-9s9 4.038 9 9v3h-3v-3c0-3.309-2.691-6-6-6s-6 2.691-6 6v3h-3v-3zM19 13h-10v-3c0-2.757 2.243-5 5-5s5 2.243 5 5v3zM12.293 21l-5 5h-4.586l5-5h4.586zM18.293 21l-5 5h-4.586l5-5h4.586zM24.293 21l-5 5h-4.586l5-5h4.586zM27 21v5h-6.293l5-5h1.293zM1.293 26h-0.293v-5h5.293l-5 5zM25.5 31h-23c-0.827 0-1.5-0.673-1.5-1.5v-2.5h26v2.5c0 0.827-0.673 1.5-1.5 1.5zM27 15.5v4.5h-26v-4.5c0-0.827 0.673-1.5 1.5-1.5h23c0.827 0 1.5 0.673 1.5 1.5z"></path>'),
	   	 			'arrows' => array('keywords' => 'arrows ','viewbox' => '0 0 32 32', 'path' =>'<path d="M32 16.286q0 0.464-0.339 0.804l-4.571 4.571q-0.339 0.339-0.804 0.339t-0.804-0.339-0.339-0.804v-2.286h-6.857v6.857h2.286q0.464 0 0.804 0.339t0.339 0.804-0.339 0.804l-4.571 4.571q-0.339 0.339-0.804 0.339t-0.804-0.339l-4.571-4.571q-0.339-0.339-0.339-0.804t0.339-0.804 0.804-0.339h2.286v-6.857h-6.857v2.286q0 0.464-0.339 0.804t-0.804 0.339-0.804-0.339l-4.571-4.571q-0.339-0.339-0.339-0.804t0.339-0.804l4.571-4.571q0.339-0.339 0.804-0.339t0.804 0.339 0.339 0.804v2.286h6.857v-6.857h-2.286q-0.464 0-0.804-0.339t-0.339-0.804 0.339-0.804l4.571-4.571q0.339-0.339 0.804-0.339t0.804 0.339l4.571 4.571q0.339 0.339 0.339 0.804t-0.339 0.804-0.804 0.339h-2.286v6.857h6.857v-2.286q0-0.464 0.339-0.804t0.804-0.339 0.804 0.339l4.571 4.571q0.339 0.339 0.339 0.804z"></path>'),
	   	 			'medallion_3' => array('keywords' => 'medallion_3 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M13.607 13.48l-0.472 2.747c-0.018 0.105 0.024 0.212 0.111 0.274s0.201 0.072 0.295 0.021l2.471-1.297 2.47 1.297c0.041 0.021 0.085 0.032 0.13 0.032 0.058 0 0.116-0.018 0.165-0.053 0.087-0.063 0.13-0.169 0.111-0.274l-0.471-2.747 1.997-1.945c0.077-0.074 0.105-0.186 0.072-0.287s-0.121-0.177-0.227-0.191l-2.762-0.401-1.235-2.499c-0.047-0.095-0.146-0.156-0.252-0.156-0.107 0-0.205 0.060-0.252 0.156l-1.235 2.499-2.761 0.401c-0.105 0.014-0.194 0.089-0.226 0.191s-0.005 0.213 0.072 0.287l1.998 1.945zM31.706 24.366l-5.883-5.883c0.080-0.131 0.156-0.265 0.231-0.399 0.92-1.654 1.446-3.556 1.445-5.582v-0.001c0.002-4.962-3.142-9.191-7.546-10.803-1.233-0.452-2.565-0.698-3.954-0.698s-2.721 0.246-3.954 0.698c-4.404 1.612-7.548 5.841-7.546 10.803v0.001c-0 2.027 0.526 3.929 1.446 5.582 0.074 0.134 0.151 0.268 0.231 0.399l-5.883 5.883c-0.277 0.277-0.366 0.69-0.23 1.056 0.052 0.137 0.131 0.259 0.23 0.358 0.167 0.167 0.391 0.273 0.635 0.291l3.76 0.268 0.287 3.737c0.030 0.39 0.285 0.726 0.651 0.861s0.777 0.046 1.054-0.23l6.952-6.952c0.765 0.16 1.556 0.244 2.368 0.244s1.603-0.085 2.367-0.244l6.952 6.952c0.276 0.276 0.689 0.366 1.055 0.23 0.365-0.136 0.619-0.471 0.649-0.861l0.288-3.737 3.76-0.268c0.244-0.017 0.469-0.123 0.636-0.291 0.099-0.099 0.178-0.22 0.23-0.358 0.138-0.366 0.049-0.779-0.229-1.056zM25.5 12.5c0 0.039-0.006 0.076-0.006 0.116-0.008 0.615-0.069 1.217-0.188 1.799-0.887 4.324-4.715 7.585-9.307 7.587-4.593-0.001-8.421-3.264-9.307-7.588-0.043-0.214-0.071-0.434-0.099-0.655-0.013-0.096-0.034-0.19-0.044-0.287-0.027-0.259-0.035-0.524-0.040-0.789-0.002-0.062-0.010-0.121-0.010-0.182 0.003-5.249 4.252-9.499 9.5-9.5 5.249 0.001 9.498 4.251 9.501 9.5zM6.803 27.756l-0.186-2.428c-0.038-0.494-0.431-0.885-0.926-0.921l-2.436-0.174 4.123-4.123c1.123 1.271 2.521 2.293 4.102 2.969l-4.678 4.677zM26.308 24.407c-0.494 0.035-0.887 0.427-0.926 0.921l-0.186 2.428-4.677-4.677c1.581-0.677 2.98-1.698 4.102-2.969l4.123 4.123-2.436 0.174z"></path>'),
	   	 			'gift' => array('keywords' => 'gift ','viewbox' => '0 0 32 32', 'path' =>'<path d="M24.11 10c0.566-0.402 1.11-0.851 1.608-1.348 1.044-1.044 1.742-2.328 1.966-3.616 0.246-1.412-0.115-2.723-0.988-3.597-0.697-0.697-1.641-1.065-2.73-1.065-1.551 0-3.185 0.744-4.483 2.043-2.077 2.077-3.288 4.945-3.94 6.991-0.482-2.056-1.444-4.833-3.313-6.702-1.003-1.003-2.285-1.518-3.495-1.518-0.989 0-1.931 0.344-2.633 1.046-1.562 1.562-1.351 4.306 0.471 6.128 0.65 0.65 1.409 1.189 2.21 1.638h-6.782v8h2v14h24v-14h2v-8h-5.89zM21.073 4.007c0.866-0.866 1.948-1.384 2.892-1.384 0.334 0 0.803 0.070 1.139 0.406 0.813 0.813 0.357 2.697-0.977 4.031-1.373 1.373-3.221 2.318-4.826 2.939h-1.584c0.58-1.798 1.627-4.264 3.356-5.993zM7.31 5.028c-0.022-0.285-0.002-0.82 0.381-1.203 0.32-0.32 0.743-0.387 1.042-0.387v0c0.664 0 1.358 0.313 1.904 0.859 1.059 1.058 1.93 2.743 2.521 4.871 0.016 0.057 0.031 0.115 0.047 0.171-0.057-0.015-0.114-0.031-0.171-0.047-2.128-0.591-3.813-1.462-4.871-2.521-0.495-0.495-0.805-1.13-0.853-1.743zM14 30h-8v-13h8v13zM14 16h-10v-4h10v4zM26 30h-8v-13h8v13zM28 16h-10v-4h10v4z"></path>'),
	   	 			'chevron_right' => array('keywords' => 'chevron_right ','viewbox' => '0 0 32 32', 'path' =>'<path d="M13.313 8.667l8 8-8 8-1.875-1.875 6.125-6.125-6.125-6.125z"></path>'),
	   	 			'tools-2' => array('keywords' => 'tools-2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M28.354 1.354c0.115-0.115 0.167-0.279 0.139-0.439s-0.132-0.297-0.28-0.366c-2.291-1.080-5.010-0.606-6.798 1.191-1.698 1.709-2.291 4.393-1.499 6.637l-11.539 11.539c-0.627-0.224-1.297-0.336-1.996-0.336-1.714 0-3.376 0.682-4.559 1.872-1.782 1.792-2.284 4.44-1.281 6.747 0.066 0.152 0.203 0.262 0.366 0.292 0.164 0.031 0.331-0.021 0.447-0.139l3.491-3.509c0.23-0.232 0.601-0.263 0.793-0.068l1.507 1.577c0.219 0.221 0.209 0.562-0.022 0.795l-3.478 3.5c-0.115 0.115-0.166 0.279-0.138 0.439s0.132 0.296 0.279 0.365c0.829 0.391 1.701 0.588 2.591 0.588 1.572 0 3.065-0.632 4.207-1.78 1.698-1.708 2.291-4.392 1.498-6.636l11.539-11.54c0.628 0.224 1.298 0.336 1.997 0.336 1.714 0 3.376-0.682 4.559-1.872 1.782-1.792 2.284-4.44 1.281-6.747-0.066-0.152-0.203-0.262-0.366-0.292-0.161-0.028-0.33 0.021-0.447 0.139l-3.491 3.509c-0.215 0.216-0.58 0.214-0.801-0.010l-1.499-1.499c-0.226-0.227-0.225-0.568-0.001-0.794l3.501-3.499zM24.146 6.354l1.499 1.499c0.599 0.602 1.625 0.605 2.218 0.009l2.93-2.944c0.469 1.741-0.016 3.609-1.324 4.926-0.997 1.003-2.399 1.577-3.85 1.577-0.683 0-1.33-0.128-1.923-0.38-0.188-0.081-0.405-0.037-0.549 0.106l-12 12c-0.144 0.144-0.186 0.36-0.107 0.547 0.803 1.91 0.314 4.375-1.163 5.861-1.321 1.328-3.244 1.801-4.985 1.258l2.941-2.96c0.621-0.625 0.631-1.594 0.029-2.198l-1.506-1.577c-0.581-0.585-1.614-0.549-2.218 0.062l-2.93 2.944c-0.469-1.741 0.016-3.609 1.324-4.926 0.997-1.003 2.399-1.577 3.85-1.577 0.683 0 1.33 0.128 1.923 0.38 0.187 0.082 0.405 0.037 0.549-0.106l12-12c0.144-0.144 0.186-0.36 0.107-0.547-0.803-1.91-0.314-4.376 1.163-5.862 1.32-1.328 3.242-1.798 4.982-1.258l-2.96 2.961c-0.616 0.617-0.616 1.585 0 2.205zM29.21 30.647c-0.221 0.222-0.604 0.222-0.827-0.002l-10.030-10c-0.195-0.193-0.512-0.194-0.707 0.002s-0.194 0.512 0.001 0.707l10.029 9.998c0.3 0.301 0.698 0.467 1.122 0.467 0 0 0 0 0 0 0.424 0 0.822-0.166 1.128-0.474l1.429-1.493c0.615-0.618 0.615-1.587-0.001-2.206l-10-10c-0.195-0.195-0.512-0.195-0.707 0s-0.195 0.512 0 0.707l9.999 9.999c0.229 0.23 0.229 0.564-0.007 0.802l-1.429 1.493zM5.854 3.146l-3-3c-0.195-0.195-0.512-0.195-0.707 0l-2 2c-0.195 0.195-0.195 0.512 0 0.707l3 3c0.097 0.098 0.225 0.147 0.353 0.147s0.256-0.049 0.354-0.146l0.646-0.647 7.646 7.646c0.098 0.098 0.226 0.147 0.354 0.147s0.256-0.049 0.354-0.146c0.195-0.195 0.195-0.512 0-0.707l-7.647-7.647 0.646-0.646c0.196-0.196 0.196-0.512 0.001-0.708zM3.5 4.793l-2.293-2.293 1.293-1.293 2.293 2.293-1.293 1.293z"></path>'),
	   	 			'target_symbol2' => array('keywords' => 'target_symbol2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M22.707 10.283l-3.427-4.282 3.5-4.375c0.24-0.301 0.287-0.712 0.12-1.058s-0.517-0.567-0.901-0.567h-12c-0.552 0-1 0.448-1 1v0 30c0 0.552 0.448 1 1 1s1-0.448 1-1v-19h11c0.003-0.001 0.007 0 0.010 0 0.552 0 1-0.448 1-1 0-0.281-0.116-0.535-0.303-0.717zM11 10v-8h8.919l-2.7 3.375c-0.293 0.365-0.293 0.885 0 1.25l2.7 3.375h-8.919z"></path>'),
	   	 			'sort-alpha-asc' => array('keywords' => 'sort-alpha-asc ','viewbox' => '0 0 32 32', 'path' =>'<path d="M10 24v-24h-4v24h-5l7 7 7-7h-5zM29 32h-8c-0.369 0-0.708-0.203-0.882-0.528s-0.155-0.72 0.050-1.027l6.963-10.445h-6.131c-0.552 0-1-0.448-1-1s0.448-1 1-1h8c0.369 0 0.708 0.203 0.882 0.528s0.155 0.72-0.050 1.027l-6.963 10.445h6.131c0.552 0 1 0.448 1 1s-0.448 1-1 1zM31.894 12.553l-6-12c-0.169-0.339-0.516-0.553-0.894-0.553s-0.725 0.214-0.895 0.553l-6 12c-0.247 0.494-0.047 1.095 0.447 1.342 0.144 0.072 0.296 0.106 0.447 0.106 0.367 0 0.72-0.203 0.895-0.553l1.724-3.447h6.764l1.724 3.447c0.247 0.494 0.848 0.694 1.342 0.447s0.694-0.848 0.447-1.342zM22.618 8l2.382-4.764 2.382 4.764h-4.764z"></path>'),
	   	 			'chat2' => array('keywords' => 'chat2 ','viewbox' => '0 0 42 32', 'path' =>'<path d="M35.652 14.023c-0.264-0.082-0.544 0.062-0.628 0.325-0.083 0.263 0.062 0.544 0.325 0.628 3.908 1.245 5.651 3.102 5.651 6.024 0 2.599-2.371 4.616-3.783 5.588-0.136 0.094-0.217 0.247-0.217 0.412v3.823c-0.73-0.272-2.003-0.89-3.126-2.155-0.117-0.131-0.295-0.191-0.468-0.159-0.285 0.055-0.576 0.133-0.871 0.212-0.51 0.137-1.036 0.279-1.535 0.279-2.568 0-4.366-0.552-6.204-1.903-0.224-0.164-0.535-0.115-0.699 0.107-0.164 0.223-0.116 0.535 0.106 0.699 2.027 1.49 3.996 2.097 6.797 2.097 0.631 0 1.223-0.159 1.795-0.313 0.178-0.049 0.355-0.097 0.53-0.138 1.869 1.974 3.983 2.423 4.075 2.441 0.033 0.007 0.066 0.010 0.1 0.010 0.114 0 0.227-0.039 0.316-0.113 0.117-0.095 0.184-0.237 0.184-0.387v-4.239c2.582-1.841 4-4.057 4-6.261 0-3.381-2.017-5.598-6.348-6.977zM33 13.5c0-7.696-7.018-13.5-16.323-13.5-9.352 0-16.677 5.931-16.677 13.502 0 4.539 3.211 7.791 6 9.759v6.636c0 0.17 0.086 0.327 0.228 0.42 0.083 0.053 0.177 0.080 0.272 0.080 0.069 0 0.139-0.015 0.205-0.044 0.146-0.065 3.559-1.616 6.479-4.809 1.265 0.235 2.696 0.461 3.994 0.461 9.463 0 15.822-5.026 15.822-12.505zM17.177 25.005c-1.31 0-2.799-0.251-4.083-0.496-0.173-0.031-0.351 0.028-0.468 0.159-2.050 2.312-4.459 3.781-5.626 4.414v-6.082c0-0.165-0.081-0.318-0.217-0.412-2.638-1.815-5.783-4.863-5.783-9.086 0-7.011 6.886-12.502 15.677-12.502 8.736 0 15.323 5.374 15.323 12.5 0 6.882-5.957 11.505-14.823 11.505zM16.5 11.5c-1.103 0-2 0.897-2 2s0.897 2 2 2 2-0.897 2-2-0.897-2-2-2zM16.5 14.5c-0.551 0-1-0.448-1-1s0.449-1 1-1 1 0.448 1 1-0.449 1-1 1zM23.5 11.5c-1.103 0-2 0.897-2 2s0.897 2 2 2 2-0.897 2-2-0.897-2-2-2zM23.5 14.5c-0.551 0-1-0.448-1-1s0.449-1 1-1 1 0.448 1 1-0.449 1-1 1zM9.5 11.595c-1.103 0-2 0.897-2 2s0.897 2 2 2 2-0.897 2-2-0.897-2-2-2zM9.5 14.595c-0.551 0-1-0.448-1-1s0.449-1 1-1 1 0.448 1 1-0.449 1-1 1z"></path>'),
	   	 			'cloud3' => array('keywords' => 'cloud3 ','viewbox' => '0 0 34 32', 'path' =>'<path d="M34.286 20.857q0 2.839-2.009 4.848t-4.848 2.009h-19.429q-3.304 0-5.652-2.348t-2.348-5.652q0-2.357 1.268-4.313t3.339-2.92q-0.036-0.5-0.036-0.768 0-3.786 2.679-6.464t6.464-2.679q2.821 0 5.116 1.571t3.348 4.107q1.25-1.107 2.964-1.107 1.893 0 3.232 1.339t1.339 3.232q0 1.339-0.732 2.464 2.304 0.536 3.804 2.402t1.5 4.277z"></path>'),
	   	 			'hand-pointer-o' => array('keywords' => 'hand-pointer-o ','viewbox' => '0 0 30 32', 'path' =>'<path d="M11.429 2.571q-0.946 0-1.616 0.67t-0.67 1.616v16l-2.696-3.607q-0.732-0.964-1.911-0.964-0.929 0-1.589 0.679t-0.661 1.607q0 0.768 0.464 1.375l6.857 9.143q0.679 0.911 1.821 0.911h12.821q0.393 0 0.705-0.241t0.402-0.616l1.643-6.571q0.429-1.714 0.429-3.464v-3.875q0-0.732-0.5-1.268t-1.214-0.536-1.214 0.5-0.5 1.214h-0.571v-1.089q0-0.857-0.571-1.455t-1.429-0.598q-0.821 0-1.411 0.589t-0.589 1.411v1.143h-0.571v-1.607q0-0.982-0.661-1.688t-1.625-0.705q-0.946 0-1.616 0.67t-0.67 1.616v1.714h-0.571v-10.179q0-0.982-0.661-1.688t-1.625-0.705zM11.429 0.286q1.911 0 3.241 1.384t1.33 3.295v3.929q0.393-0.036 0.571-0.036 1.768 0 3.089 1.232 0.839-0.375 1.768-0.375 2.018 0 3.286 1.554 0.482-0.125 1-0.125 1.679 0 2.839 1.205t1.161 2.884v3.875q0 2.071-0.5 4.018l-1.643 6.571q-0.286 1.143-1.214 1.866t-2.107 0.723h-12.821q-1.071 0-2.045-0.491t-1.616-1.33l-6.857-9.143q-0.911-1.214-0.911-2.75 0-1.875 1.33-3.223t3.205-1.348q1.268 0 2.321 0.625v-9.768q0-1.893 1.339-3.232t3.232-1.339zM13.714 25.429v-6.857h-0.571v6.857h0.571zM18.286 25.429v-6.857h-0.571v6.857h0.571zM22.857 25.429v-6.857h-0.571v6.857h0.571z"></path>'),
	   	 			'pictures' => array('keywords' => 'pictures ','viewbox' => '0 0 33 32', 'path' =>'<path d="M1.5 28h26c0.827 0 1.5-0.673 1.5-1.5v-25c0-0.827-0.673-1.5-1.5-1.5h-26c-0.827 0-1.5 0.673-1.5 1.5v25c0 0.827 0.673 1.5 1.5 1.5zM1 1.5c0-0.276 0.225-0.5 0.5-0.5h26c0.275 0 0.5 0.224 0.5 0.5v25c0 0.276-0.225 0.5-0.5 0.5h-26c-0.275 0-0.5-0.224-0.5-0.5v-25zM18 11c1.103 0 2-0.897 2-2s-0.897-2-2-2-2 0.897-2 2 0.897 2 2 2zM18 8c0.552 0 1 0.449 1 1s-0.448 1-1 1-1-0.449-1-1 0.448-1 1-1zM3.5 23h22c0.276 0 0.5-0.224 0.5-0.5v-19c0-0.276-0.224-0.5-0.5-0.5h-22c-0.276 0-0.5 0.224-0.5 0.5v19c0 0.276 0.224 0.5 0.5 0.5zM4 22v-4.638c0.022-0.016 0.047-0.025 0.067-0.045l5.116-5.116c0.26-0.26 0.712-0.259 0.972 0l7.521 7.521c0.098 0.098 0.226 0.146 0.354 0.146 0.124 0 0.248-0.046 0.345-0.138l3.866-3.672c0.13-0.13 0.303-0.202 0.486-0.202 0.184 0 0.355 0.072 0.464 0.178l1.809 2.059v3.907h-21zM25 4v12.581l-1.081-1.228c-0.317-0.319-0.741-0.495-1.191-0.495-0.001 0-0.001 0-0.001 0-0.451 0-0.875 0.176-1.185 0.486l-3.504 3.328-7.176-7.177c-0.639-0.638-1.749-0.637-2.386 0l-4.476 4.476v-11.971h21zM4.5 29.083c-0.276 0-0.5 0.224-0.5 0.5v0.917c0 0.827 0.673 1.5 1.5 1.5h26c0.827 0 1.5-0.673 1.5-1.5v-26c0-0.827-0.673-1.5-1.5-1.5h-0.917c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h0.917c0.275 0 0.5 0.224 0.5 0.5v26c0 0.276-0.225 0.5-0.5 0.5h-26c-0.275 0-0.5-0.224-0.5-0.5v-0.917c0-0.276-0.224-0.5-0.5-0.5z"></path>'),
	   	 			'search4' => array('keywords' => 'search4 ','viewbox' => '0 0 33 32', 'path' =>'<path d="M1.5 32h21c0.827 0 1.5-0.673 1.5-1.5v-7.5c0-0.010-0.005-0.018-0.006-0.028 0.055-0.035 0.112-0.068 0.166-0.105l7.986 7.986c0.098 0.098 0.226 0.147 0.354 0.147s0.256-0.049 0.354-0.146c0.195-0.195 0.195-0.512 0-0.707l-7.913-7.913c1.264-1.187 2.059-2.868 2.059-4.734 0-2.297-1.201-4.316-3.006-5.472 0.001-0.010 0.006-0.018 0.006-0.028v-2.5c0-0.017-0.008-0.031-0.009-0.047-0.002-0.023-0.008-0.043-0.013-0.065-0.017-0.071-0.046-0.135-0.090-0.191-0.007-0.009-0.006-0.020-0.013-0.029l-8-9c-0.003-0.003-0.007-0.003-0.010-0.006-0.060-0.065-0.137-0.108-0.223-0.134-0.019-0.006-0.036-0.008-0.056-0.011-0.029-0.005-0.056-0.017-0.086-0.017h-14c-0.827 0-1.5 0.673-1.5 1.5v29c0 0.827 0.673 1.5 1.5 1.5zM26 17.5c0 3.033-2.468 5.5-5.5 5.5s-5.5-2.467-5.5-5.5 2.468-5.5 5.5-5.5 5.5 2.467 5.5 5.5zM16 1.815l6.387 7.185h-5.887c-0.22 0-0.5-0.42-0.5-0.75v-6.435zM1 1.5c0-0.276 0.225-0.5 0.5-0.5h13.5v7.25c0 0.809 0.655 1.75 1.5 1.75h6.5v1.501c-0.77-0.322-1.614-0.501-2.5-0.501-1.838 0-3.496 0.77-4.679 2h-10.321c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h9.532c-0.565 0.879-0.922 1.901-1.006 3h-8.526c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h8.525c0.084 1.099 0.442 2.121 1.006 3h-9.531c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h10.25c0.021 0 0.039-0.009 0.060-0.012 1.184 1.237 2.847 2.012 4.69 2.012 0.886 0 1.73-0.179 2.5-0.502v7.002c0 0.276-0.225 0.5-0.5 0.5h-21c-0.28 0-0.5-0.22-0.5-0.5v-29zM5.5 10h6c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-6c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5zM5.5 26h13c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-13c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5z"></path>'),
	   	 			'filter_list' => array('keywords' => 'filter_list ','viewbox' => '0 0 32 32', 'path' =>'<path d="M8 17.979v-2.625h16v2.625h-16zM4 8.667h24v2.688h-24v-2.688zM13.313 24.667v-2.688h5.375v2.688h-5.375z"></path>'),
	   	 			'flag4' => array('keywords' => 'flag4 ','viewbox' => '0 0 28 32', 'path' =>'<path d="M13.5 1h-11c-0.276 0-0.5 0.224-0.5 0.5v15c0 0.276 0.224 0.5 0.5 0.5h11.002c0.251 0 1.498 0.074 1.498 1.5 0 0.276 0.224 0.5 0.5 0.5s0.5-0.224 0.5-0.5v-15.016c-0.027-0.859-0.584-2.484-2.5-2.484zM15 16.456c-0.501-0.337-1.088-0.456-1.5-0.456h-10.5v-14h10.5c1.396 0 1.494 1.363 1.5 1.5v12.956zM26.329 21h-13.842c0.006 0.001-0.703 0.009-1.14-0.419-0.251-0.247-0.379-0.61-0.379-1.081 0-0.276-0.224-0.5-0.5-0.5s-0.5 0.224-0.5 0.5c0 0.754 0.231 1.36 0.688 1.803 0.687 0.665 1.648 0.697 1.819 0.697 0.015 0 13.854 0 13.854 0 0.389 0 0.719-0.157 0.931-0.443 0.281-0.379 0.275-0.863 0.185-1.162-0.563-1.853-3.541-5.883-4.379-6.996 0.807-1.241 3.815-5.94 4.379-7.793 0.091-0.299 0.097-0.782-0.185-1.162-0.212-0.287-0.542-0.444-0.931-0.444h-8.787c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h8.787c0.099 0 0.119 0.028 0.127 0.039 0.047 0.062 0.055 0.197 0.031 0.275-0.596 1.961-4.412 7.772-4.451 7.831-0.117 0.178-0.108 0.41 0.021 0.579 0.038 0.050 3.839 5.018 4.43 6.961 0.023 0.079 0.016 0.213-0.031 0.276-0.008 0.011-0.028 0.039-0.127 0.039zM1 31.5v-31c0-0.276-0.224-0.5-0.5-0.5s-0.5 0.224-0.5 0.5v31c0 0.276 0.224 0.5 0.5 0.5s0.5-0.224 0.5-0.5z"></path>'),
	   	 			'credit-card' => array('keywords' => 'credit-card ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 4h-26c-1.65 0-3 1.35-3 3v18c0 1.65 1.35 3 3 3h26c1.65 0 3-1.35 3-3v-18c0-1.65-1.35-3-3-3zM3 6h26c0.542 0 1 0.458 1 1v3h-28v-3c0-0.542 0.458-1 1-1zM29 26h-26c-0.542 0-1-0.458-1-1v-9h28v9c0 0.542-0.458 1-1 1zM4 20h2v4h-2zM8 20h2v4h-2zM12 20h2v4h-2z"></path>'),
	   	 			'wallet_n2' => array('keywords' => 'wallet_n2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 8h-0.503l-6.125-6.125c-1.166-1.167-3.076-1.167-4.242 0l-1.879 1.879-1.879-1.879c-1.167-1.167-3.076-1.167-4.242 0l-6.125 6.125h-1.005c-1.65 0-3 1.349-3 3v17c0 1.649 1.35 3 3 3h26c1.65 0 3-1.351 3-3v-17c0-1.651-1.35-3-3-3zM19.544 3.289c0.389-0.389 1.026-0.389 1.414 0l4.711 4.711h-10.836l4.711-4.711zM11.544 3.289c0.389-0.389 1.026-0.389 1.414 0l1.879 1.879-2.832 2.832h-5.172l4.711-4.711zM30 28c0 0.55-0.45 1-1 1h-26c-0.55 0-1-0.45-1-1v-17c0-0.55 0.45-1 1-1h26c0.55 0 1 0.45 1 1v17zM25.5 16.5c-1.656 0-3 1.343-3 3s1.343 3 3 3c1.656 0 3-1.343 3-3s-1.344-3-3-3zM25.5 20.5c-0.552 0-1-0.448-1-1s0.448-1 1-1c0.552 0 1 0.448 1 1s-0.448 1-1 1z"></path>'),
	   	 			'rent_symbol' => array('keywords' => 'rent_symbol ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 3h-12v-2c0-0.552-0.448-1-1-1s-1 0.448-1 1v2h-12c-1.651 0-3 1.349-3 3v10c0 1.649 1.349 3 3 3h12v11h-3.5c-0.552 0-1 0.448-1 1s0.448 1 1 1h9c0.552 0 1-0.448 1-1s-0.448-1-1-1h-3.5v-11h12c1.649 0 3-1.351 3-3v-10c0-1.651-1.351-3-3-3zM30 16c0 0.55-0.45 1-1 1h-26c-0.55 0-1-0.45-1-1v-10c0-0.55 0.45-1 1-1h26c0.55 0 1 0.45 1 1v10zM10.568 9.979c0-0.985-0.679-1.476-2.037-1.476h-1.637v4.997h1.35v-1.819h0.342l1.059 1.819h1.531l-1.456-2.178c0.565-0.316 0.848-0.765 0.848-1.343zM8.496 10.666h-0.253v-1.142h0.267c0.463 0 0.694 0.172 0.694 0.517 0 0.417-0.236 0.625-0.707 0.625zM11.927 13.5h2.966v-1.101h-1.617v-0.944h1.497v-1.084h-1.497v-0.786h1.617v-1.083h-2.966zM19.599 10.761c0 0.306 0.016 0.71 0.048 1.214h-0.020l-1.819-3.473h-1.764v4.997h1.197v-2.253c0-0.291-0.021-0.714-0.065-1.268h0.031l1.825 3.521h1.77v-4.997h-1.203v2.258zM21.684 9.607h1.221v3.893h1.35v-3.893h1.216v-1.104h-3.787z"></path>'),
	   	 			'gift_surprise2' => array('keywords' => 'gift_surprise2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 7.5h-5.107c0.306-1.58-0.11-3.291-1.257-4.516-0.896-0.958-2.093-1.485-3.37-1.485-1.228 0-2.382 0.488-3.267 1.378-0.884-0.889-2.038-1.378-3.267-1.378-1.277 0-2.473 0.528-3.37 1.485-1.147 1.224-1.564 2.936-1.258 4.516h-5.106c-1.655 0-3 1.346-3 3v3c0 1.303 0.837 2.412 2 2.825v11.175c0 1.654 1.345 3 3 3h22c1.654 0 3-1.346 3-3v-11.175c1.163-0.413 2-1.522 2-2.825v-3c0-1.655-1.346-3-3-3zM10.823 4.352c0.515-0.55 1.192-0.852 1.911-0.852s1.396 0.302 1.91 0.852c0.181 0.194 0.339 0.418 0.468 0.669 0.172 0.332 0.514 0.54 0.887 0.541 0.001 0 0.001 0 0.001 0 0.373 0 0.716-0.208 0.887-0.54 0.131-0.252 0.289-0.478 0.469-0.67 0.515-0.55 1.193-0.852 1.91-0.852 0.718 0 1.395 0.302 1.91 0.852 1.103 1.178 1.103 3.094-0.006 4.277l-5.171 5.606-5.177-5.612c-1.103-1.178-1.103-3.094 0-4.271zM15 16.088c0.27 0.261 0.627 0.413 1 0.413s0.729-0.152 1-0.413v12.413h-2v-12.413zM2 10.501c0-0.552 0.448-1 1-1h5.966c0.12 0.168 0.249 0.331 0.393 0.485l3.647 3.954c-0.001 0.021-0.006 0.040-0.006 0.062v0.5h-10c-0.552 0-1-0.448-1-1v-3zM4 27.5v-11h9v12h-8c-0.552 0-1-0.448-1-1zM27 28.5h-8v-12h9v11c0 0.552-0.448 1-1 1zM30 13.501c0 0.552-0.448 1-1 1h-10v-0.5c0-0.021-0.005-0.040-0.006-0.062l3.642-3.948c0.145-0.155 0.275-0.321 0.397-0.49h5.967c0.552 0 1 0.448 1 1v2.999z"></path>'),
	   	 			'menu4' => array('keywords' => 'menu4 ','viewbox' => '0 0 44 32', 'path' =>'<path d="M0 6h28v6h-28v-6zM0 14h28v6h-28v-6zM0 22h28v6h-28v-6zM31 20l6-6 6 6z"></path>'),
	   	 			'projector_datashow1' => array('keywords' => 'projector_datashow1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M5 13.5c-0.552 0-1 0.448-1 1v2c0 0.552 0.448 1 1 1s1-0.448 1-1v-2c0-0.552-0.448-1-1-1zM27 13.5c-0.552 0-1 0.448-1 1v2c0 0.552 0.448 1 1 1s1-0.448 1-1v-2c0-0.552-0.448-1-1-1zM16 12c-1.93 0-3.5 1.57-3.5 3.5s1.57 3.5 3.5 3.5 3.5-1.57 3.5-3.5-1.57-3.5-3.5-3.5zM16 17c-0.827 0-1.5-0.673-1.5-1.5s0.673-1.5 1.5-1.5 1.5 0.673 1.5 1.5-0.673 1.5-1.5 1.5zM29 9.5h-9.413c-1.051-0.631-2.275-1-3.587-1s-2.536 0.369-3.587 1h-9.413c-1.655 0-3 1.345-3 3v6c0 1.654 1.345 3 3 3h3v1c0 0.552 0.448 1 1 1s1-0.448 1-1v-1h4.413c1.051 0.631 2.275 1 3.587 1s2.536-0.369 3.587-1h4.413v1c0 0.552 0.448 1 1 1s1-0.448 1-1v-1h3c1.654 0 3-1.346 3-3v-6c0-1.655-1.346-3-3-3zM16 20.5c-2.757 0-5-2.243-5-5s2.243-5 5-5 5 2.243 5 5-2.243 5-5 5zM2 18.5v-6c0-0.552 0.448-1 1-1h7.264c-0.794 1.135-1.264 2.512-1.264 4s0.47 2.865 1.264 4h-7.263c-0.552 0-1-0.448-1-1zM30 18.5c0 0.552-0.448 1-1 1h-7.264c0.794-1.135 1.264-2.512 1.264-4s-0.47-2.865-1.264-4h7.264c0.552 0 1 0.448 1 1v6z"></path>'),
	   	 			'target_symbol1' => array('keywords' => 'target_symbol1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M27.477 6.621l-12-6.5c-0.309-0.168-0.685-0.16-0.989 0.020-0.303 0.181-0.488 0.507-0.488 0.859v19.027c-5.681 0.267-10 2.793-10 5.973 0 3.364 4.832 6 11 6s11-2.636 11-6c0-3.18-4.318-5.706-10-5.973v-5.431l11.477-6.216c0.323-0.175 0.523-0.513 0.523-0.88s-0.201-0.705-0.523-0.88zM24 26c0 1.892-3.697 4-9 4s-9-2.108-9-4c0-1.77 3.238-3.73 8-3.974v2.561c-1.164 0.206-2 0.76-2 1.413 0 0.829 1.344 1.5 3 1.5 1.657 0 3-0.671 3-1.5 0-0.653-0.835-1.207-2-1.413v-2.561c4.762 0.244 8 2.203 8 3.974zM16 12.322v-1.319c0-0.001 0-0.002 0-0.002v-8.322l8.901 4.822-8.901 4.822z"></path>'),
	   	 			'image3' => array('keywords' => 'image3 ','viewbox' => '0 0 34 32', 'path' =>'<path d="M11.429 10.571q0 1.429-1 2.429t-2.429 1-2.429-1-1-2.429 1-2.429 2.429-1 2.429 1 1 2.429zM29.714 17.429v8h-25.143v-3.429l5.714-5.714 2.857 2.857 9.143-9.143zM31.429 4.857h-28.571q-0.232 0-0.402 0.17t-0.17 0.402v21.714q0 0.232 0.17 0.402t0.402 0.17h28.571q0.232 0 0.402-0.17t0.17-0.402v-21.714q0-0.232-0.17-0.402t-0.402-0.17zM34.286 5.429v21.714q0 1.179-0.839 2.018t-2.018 0.839h-28.571q-1.179 0-2.018-0.839t-0.839-2.018v-21.714q0-1.179 0.839-2.018t2.018-0.839h28.571q1.179 0 2.018 0.839t0.839 2.018z"></path>'),
	   	 			'american_cheese' => array('keywords' => 'american_cheese ','viewbox' => '0 0 32 32', 'path' =>'<path d="M20.5 23.5c0 1.93 1.57 3.5 3.5 3.5s3.5-1.57 3.5-3.5-1.57-3.5-3.5-3.5c-1.93 0-3.5 1.57-3.5 3.5zM25.5 23.5c0 0.827-0.673 1.5-1.5 1.5s-1.5-0.673-1.5-1.5 0.673-1.5 1.5-1.5 1.5 0.673 1.5 1.5zM10.501 23c0 1.654 1.345 3 3 3s3-1.346 3-3-1.345-3-3-3-3 1.346-3 3zM13.501 22c0.552 0 1 0.449 1 1 0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.551 0.448-1 1-1zM31.648 8.243c0.002-0.001 0.003-0.002 0.003-0.003l-7-6c0 0.001-0.001 0.001-0.001 0.002-0.235-0.201-0.558-0.292-0.883-0.216l-23 5.5c-0.537 0.129-0.869 0.668-0.74 1.205 0.002 0.008 0.005 0.014 0.007 0.021-0.021 0.079-0.034 0.161-0.034 0.246v20c0 0.552 0.448 1 1 1h30c0.552 0 1-0.448 1-1v-20c-0.001-0.303-0.139-0.572-0.354-0.755zM23.737 4.091l4.56 3.908h-20.906l16.346-3.908zM30 28h-28v-18h28v18zM8.001 19c2.205 0 4-1.794 4-4s-1.795-4-4-4c-2.206 0-4 1.795-4 4s1.794 4 4 4zM8.001 12.999c1.103 0 2 0.897 2 2s-0.897 2-2 2c-1.103 0-2-0.896-2-2 0-1.102 0.897-2 2-2zM21 18c1.654 0 3-1.346 3-3s-1.346-3-3-3-3 1.345-3 3 1.346 3 3 3zM21 13.999c0.552 0 1 0.449 1 1s-0.448 1-1 1c-0.552 0-1-0.448-1-1s0.448-1 1-1z"></path>'),
	   	 			'flip_to_back' => array('keywords' => 'flip_to_back ','viewbox' => '0 0 32 32', 'path' =>'<path d="M20 23.354v-2.688h2.688v2.688h-2.688zM20 7.354v-2.688h2.688v2.688h-2.688zM6.688 9.979v16h16v2.688h-16q-1.125 0-1.906-0.813t-0.781-1.875v-16h2.688zM25.313 23.354v-2.688h2.688q0 1.063-0.813 1.875t-1.875 0.813zM25.313 12.667v-2.688h2.688v2.688h-2.688zM25.313 17.979v-2.625h2.688v2.625h-2.688zM12 23.354q-1.125 0-1.906-0.813t-0.781-1.875h2.688v2.688zM17.313 4.667v2.688h-2.625v-2.688h2.625zM25.313 4.667q1.063 0 1.875 0.813t0.813 1.875h-2.688v-2.688zM17.313 20.667v2.688h-2.625v-2.688h2.625zM12 4.667v2.688h-2.688q0-1.063 0.781-1.875t1.906-0.813zM12 15.354v2.625h-2.688v-2.625h2.688zM12 9.979v2.688h-2.688v-2.688h2.688z"></path>'),
	   	 			'flight_land' => array('keywords' => 'flight_land ','viewbox' => '0 0 32 32', 'path' =>'<path d="M18.688 19.917q-5.125-1.438-12.875-3.438l-2.125-0.625v-6.875l1.938 0.5 1.25 3.125 6.625 1.75v-11l2.563 0.688 3.688 12 7.063 1.875q0.813 0.25 1.219 0.969t0.219 1.531q-0.25 0.813-0.938 1.188t-1.5 0.188zM3.313 25.979h25.375v2.688h-25.375v-2.688z"></path>'),
	   	 			'light_bubble_lamp' => array('keywords' => 'light_bubble_lamp ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 0c-5.79 0-10.5 4.71-10.5 10.5 0 3.123 1.372 6.049 3.765 8.052 0.049 0.052 0.102 0.102 0.164 0.145 1.634 1.135 2.571 2.704 2.571 4.303v5c0 0.552 0.448 1 1 1v1c0 1.103 0.897 2 2 2h2c1.102 0 2-0.897 2-2v-1c0.552 0 1-0.448 1-1v-5c0-1.599 0.937-3.169 2.571-4.303 0.061-0.043 0.114-0.091 0.163-0.143 2.394-2.003 3.766-4.929 3.766-8.053 0-5.79-4.71-10.5-10.5-10.5zM17 30h-2v-1h2v1zM18 27h-4v-3h4v3zM21.363 17.094c-0.011 0.009-0.018 0.020-0.029 0.029-1.8 1.283-2.945 3.017-3.25 4.877h-1v-8.586l2.707-2.707c0.39-0.39 0.39-1.024 0-1.414s-1.024-0.39-1.414 0l-2.293 2.293-2.293-2.293c-0.39-0.39-1.024-0.39-1.414 0s-0.39 1.024 0 1.414l2.707 2.707v8.586h-1.17c-0.304-1.86-1.449-3.593-3.249-4.877-0.010-0.009-0.018-0.019-0.028-0.028-1.994-1.623-3.138-4.027-3.138-6.596 0-4.687 3.813-8.5 8.5-8.5s8.5 3.813 8.5 8.5c0 2.567-1.143 4.971-3.137 6.594z"></path>'),
	   	 			'dialpad' => array('keywords' => 'dialpad ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 1.979q1.063 0 1.875 0.813t0.813 1.875-0.813 1.875-1.875 0.813-1.875-0.813-0.813-1.875 0.813-1.875 1.875-0.813zM16 9.979q1.063 0 1.875 0.813t0.813 1.875-0.813 1.875-1.875 0.813-1.875-0.813-0.813-1.875 0.813-1.875 1.875-0.813zM24 9.979q1.063 0 1.875 0.813t0.813 1.875-0.813 1.875-1.875 0.813-1.875-0.813-0.813-1.875 0.813-1.875 1.875-0.813zM24 17.979q1.063 0 1.875 0.813t0.813 1.875-0.813 1.875-1.875 0.813-1.875-0.813-0.813-1.875 0.813-1.875 1.875-0.813zM16 17.979q1.063 0 1.875 0.813t0.813 1.875-0.813 1.875-1.875 0.813-1.875-0.813-0.813-1.875 0.813-1.875 1.875-0.813zM24 7.354q-1.063 0-1.875-0.813t-0.813-1.875 0.813-1.875 1.875-0.813 1.875 0.813 0.813 1.875-0.813 1.875-1.875 0.813zM8 17.979q1.063 0 1.875 0.813t0.813 1.875-0.813 1.875-1.875 0.813-1.875-0.813-0.813-1.875 0.813-1.875 1.875-0.813zM8 9.979q1.063 0 1.875 0.813t0.813 1.875-0.813 1.875-1.875 0.813-1.875-0.813-0.813-1.875 0.813-1.875 1.875-0.813zM8 1.979q1.063 0 1.875 0.813t0.813 1.875-0.813 1.875-1.875 0.813-1.875-0.813-0.813-1.875 0.813-1.875 1.875-0.813zM16 25.979q1.063 0 1.875 0.813t0.813 1.875-0.813 1.875-1.875 0.813-1.875-0.813-0.813-1.875 0.813-1.875 1.875-0.813z"></path>'),
	   	 			'phone_modern' => array('keywords' => 'phone_modern ','viewbox' => '0 0 32 32', 'path' =>'<path d="M18.5 4c-0.001 0-0.002 0-0.003 0h-4.995c-0.001 0-0.002 0-0.002 0-0.552 0-1 0.448-1 1s0.448 1 1 1h5c0.552 0 1-0.448 1-1s-0.448-1-1-1zM23 0h-14c-1.65 0-3 1.35-3 3v26c0 1.65 1.35 3 3 3h14c1.65 0 3-1.35 3-3v-26c0-1.65-1.35-3-3-3zM24 29c0 0.55-0.45 1-1 1h-14c-0.55 0-1-0.45-1-1v-26c0-0.55 0.45-1 1-1h14c0.55 0 1 0.45 1 1v26zM17.5 26.5c0 0.828-0.672 1.5-1.5 1.5s-1.5-0.672-1.5-1.5c0-0.828 0.672-1.5 1.5-1.5s1.5 0.672 1.5 1.5z"></path>'),
	   	 			'menu_meal' => array('keywords' => 'menu_meal ','viewbox' => '0 0 32 32', 'path' =>'<path d="M5 5.5h-4c-0.552 0-1 0.448-1 1v10c0 1.303 0.837 2.412 2 2.825v5.175h-1c-0.552 0-1 0.448-1 1s0.448 1 1 1h4c0.552 0 1-0.448 1-1s-0.448-1-1-1h-1v-5.175c1.163-0.413 2-1.522 2-2.825v-10c0-0.552-0.448-1-1-1zM4 7.5v5h-2v-5h2zM3 17.5c-0.552 0-1-0.448-1-1v-2h2v2c0 0.552-0.448 1-1 1zM10.999 23.5c0 0 0 0 0 0s0.001 0 0.001 0h18c0.552 0 1-0.448 1-1 0-4.59-3.113-8.457-7.335-9.629 0.213-0.412 0.335-0.877 0.335-1.371 0-1.655-1.346-3-3-3s-3 1.345-3 3c0 0.494 0.122 0.96 0.335 1.371-4.223 1.171-7.336 5.039-7.336 9.629 0 0.552 0.448 1 1 1zM20 10.5c0.552 0 1 0.448 1 1s-0.448 1-1 1-1-0.448-1-1 0.448-1 1-1zM20 14.5c4.072 0 7.436 3.060 7.931 7h-15.862c0.495-3.94 3.859-7 7.931-7zM31 24.5h-22c-0.552 0-1 0.448-1 1s0.448 1 1 1h22c0.552 0 1-0.448 1-1s-0.448-1-1-1z"></path>'),
	   	 			'circle_connect' => array('keywords' => 'circle_connect ','viewbox' => '0 0 32 32', 'path' =>'<path d="M27.5 20c-0.585 0-1.142 0.116-1.656 0.32l-4.534-5.771c1.051-1.225 1.69-2.813 1.69-4.549 0-3.86-3.14-7-7-7s-7 3.14-7 7c0 1.736 0.639 3.324 1.69 4.549l-4.534 5.77c-0.513-0.204-1.071-0.32-1.656-0.32-2.482 0-4.5 2.018-4.5 4.5s2.018 4.5 4.5 4.5 4.5-2.018 4.5-4.5c0-1.174-0.456-2.241-1.194-3.043l4.391-5.589c1.097 0.713 2.402 1.132 3.804 1.132s2.707-0.419 3.803-1.132l4.39 5.589c-0.738 0.802-1.194 1.869-1.194 3.043 0 2.482 2.018 4.5 4.5 4.5s4.5-2.018 4.5-4.5-2.018-4.5-4.5-4.5zM4.5 27c-1.378 0-2.5-1.122-2.5-2.5s1.122-2.5 2.5-2.5 2.5 1.122 2.5 2.5-1.122 2.5-2.5 2.5zM11 10c0-2.757 2.243-5 5-5s5 2.243 5 5-2.243 5-5 5-5-2.243-5-5zM27.5 27c-1.378 0-2.5-1.122-2.5-2.5s1.122-2.5 2.5-2.5 2.5 1.122 2.5 2.5-1.122 2.5-2.5 2.5z"></path>'),
	   	 			'mars-stroke-v' => array('keywords' => 'mars-stroke-v ','viewbox' => '0 0 20 32', 'path' =>'<path d="M11.429 11.786q3.875 0.429 6.509 3.348t2.634 6.866q0 2.982-1.554 5.464t-4.214 3.786-5.696 0.964q-2.375-0.268-4.384-1.571t-3.25-3.357-1.438-4.446q-0.214-2.768 0.938-5.214t3.321-4 4.848-1.839v-2.357h-2.857q-0.25 0-0.411-0.161t-0.161-0.411v-1.143q0-0.25 0.161-0.411t0.411-0.161h2.857v-2.946l-1.643 1.643q-0.179 0.161-0.411 0.161t-0.393-0.161l-0.821-0.821q-0.161-0.161-0.161-0.393t0.161-0.411l3.607-3.589q0.339-0.339 0.804-0.339t0.804 0.339l3.607 3.589q0.161 0.179 0.161 0.411t-0.161 0.393l-0.821 0.821q-0.161 0.161-0.393 0.161t-0.411-0.161l-1.643-1.643v2.946h2.857q0.25 0 0.411 0.161t0.161 0.411v1.143q0 0.25-0.161 0.411t-0.411 0.161h-2.857v2.357zM10.286 30q3.304 0 5.652-2.348t2.348-5.652-2.348-5.652-5.652-2.348-5.652 2.348-2.348 5.652 2.348 5.652 5.652 2.348z"></path>'),
	   	 			'smart_tv_signal' => array('keywords' => 'smart_tv_signal ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 2.5h-26c-1.65 0-3 1.35-3 3v15.995c0 1.65 1.35 3 3 3h12v3.005h-4.5c-0.552 0-1 0.448-1 1s0.448 1 1 1c0.001 0 0.002 0 0.002 0h10.995c0.001 0 0.002 0 0.003 0 0.552 0 1-0.448 1-1s-0.448-1-1-1h-4.5c0-0.001 0-0.002 0-0.003v-3c0-0.001 0-0.002 0-0.003h12c1.65 0 3-1.35 3-3v-15.995c0-1.65-1.35-3-3-3zM30 21.495c0 0.55-0.45 1-1 1h-26c-0.55 0-1-0.45-1-1v-15.995c0-0.55 0.45-1 1-1h26c0.55 0 1 0.45 1 1v15.995zM20.068 13.675c-2.281-1.573-5.854-1.573-8.136 0-0.454 0.313-0.569 0.937-0.255 1.391 0.194 0.281 0.507 0.432 0.824 0.432 0.196 0 0.393-0.057 0.567-0.177 1.59-1.096 4.276-1.097 5.864 0 0.454 0.313 1.078 0.198 1.39-0.255s0.2-1.076-0.255-1.39zM22.627 10.719c-3.654-2.941-9.6-2.941-13.254-0.001-0.43 0.347-0.498 0.976-0.152 1.406s0.975 0.498 1.406 0.152c2.963-2.385 7.783-2.385 10.746-0.001 0.185 0.149 0.406 0.221 0.627 0.221 0.292 0 0.582-0.127 0.779-0.373 0.346-0.429 0.278-1.059-0.152-1.405zM17 17.498c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1z"></path>'),
	   	 			'fiber_pin' => array('keywords' => 'fiber_pin ','viewbox' => '0 0 32 32', 'path' =>'<path d="M26.688 20.667v-8h-1.688v4.688l-3.313-4.688h-1.688v8h1.688v-4.688l3.375 4.688h1.625zM16.688 20.667v-8h-2v8h2zM12 15.979v-1.313q0-0.875-0.563-1.438t-1.438-0.563h-4.688v8h2v-2.688h2.688q0.875 0 1.438-0.594t0.563-1.406zM26.688 5.979q1.125 0 1.875 0.781t0.75 1.906v16q0 1.125-0.75 1.906t-1.875 0.781h-21.375q-1.125 0-1.875-0.781t-0.75-1.906v-16q0-1.125 0.75-1.906t1.875-0.781h21.375zM7.313 14.667h2.688v1.313h-2.688v-1.313z"></path>'),
	   	 			'shield2' => array('keywords' => 'shield2 ','viewbox' => '0 0 23 32', 'path' =>'<path d="M19.429 17.429v-11.429h-8v20.304q2.125-1.125 3.804-2.446 4.196-3.286 4.196-6.429zM22.857 3.714v13.714q0 1.536-0.598 3.045t-1.482 2.679-2.107 2.277-2.259 1.839-2.161 1.384-1.598 0.884-0.759 0.357q-0.214 0.107-0.464 0.107t-0.464-0.107q-0.286-0.125-0.759-0.357t-1.598-0.884-2.161-1.384-2.259-1.839-2.107-2.277-1.482-2.679-0.598-3.045v-13.714q0-0.464 0.339-0.804t0.804-0.339h20.571q0.464 0 0.804 0.339t0.339 0.804z"></path>'),
	   	 			'camera_symbol6' => array('keywords' => 'camera_symbol6 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M24 2h-3.586l-1.706-1.706c-0.181-0.181-0.431-0.293-0.708-0.293h-7c-0.277 0-0.527 0.113-0.708 0.293l-1.706 1.706h-0.586c-1.655 0-3 1.345-3 3v8c0 1.655 1.345 3 3 3h16c1.654 0 3-1.345 3-3v-8c0-1.655-1.346-3-3-3zM25 13c0 0.552-0.448 1-1 1h-16c-0.552 0-1-0.448-1-1v-8c0-0.551 0.448-1 1-1h1c0.277 0 0.527-0.112 0.708-0.293l1.706-1.707h6.172l1.706 1.707c0.181 0.181 0.431 0.293 0.708 0.293h4c0.552 0 1 0.449 1 1v8zM14.5 4c-2.482 0-4.5 2.019-4.5 4.5s2.018 4.5 4.5 4.5 4.5-2.019 4.5-4.5-2.018-4.5-4.5-4.5zM14.5 11c-1.379 0-2.5-1.121-2.5-2.5s1.121-2.5 2.5-2.5 2.5 1.122 2.5 2.5-1.121 2.5-2.5 2.5zM21 17h-10c-0.552 0-1 0.448-1 1s0.448 1 1 1h2v3c0 0.552 0.448 1 1 1h1v2.586l-3.707 3.707c-0.39 0.39-0.39 1.023 0 1.414 0.195 0.195 0.451 0.293 0.707 0.293s0.511-0.098 0.707-0.293l2.293-2.293v2.586c0 0.552 0.448 1 1 1s1-0.448 1-1v-2.586l2.293 2.293c0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293c0.39-0.39 0.39-1.023 0-1.414l-3.707-3.707v-2.586h1c0.552 0 1-0.448 1-1v-3h2c0.552 0 1-0.448 1-1s-0.448-1-1-1zM17 21h-2v-2h2v2z"></path>'),
	   	 			'quill' => array('keywords' => 'quill ','viewbox' => '0 0 32 32', 'path' =>'<path d="M0 32c4-12 14.469-32 32-32-8.219 6.594-12 22-18 22s-6 0-6 0l-6 10h-2z"></path>'),
	   	 			'video_tape2' => array('keywords' => 'video_tape2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M13 14c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM12 11c1.655 0 3-1.345 3-3s-1.345-3-3-3-3 1.345-3 3 1.345 3 3 3zM12 7c0.552 0 1 0.449 1 1s-0.448 1-1 1-1-0.448-1-1 0.448-1 1-1zM15 20c0-1.654-1.345-3-3-3s-3 1.346-3 3 1.345 3 3 3 3-1.346 3-3zM11 20c0-0.552 0.448-1 1-1s1 0.448 1 1-0.448 1-1 1-1-0.448-1-1zM18 17c1.654 0 3-1.345 3-3s-1.346-3-3-3-3 1.345-3 3 1.346 3 3 3zM18 13c0.552 0 1 0.448 1 1s-0.448 1-1 1-1-0.448-1-1 0.448-1 1-1zM27 24v0 0h-8.378c3.238-2.151 5.377-5.829 5.377-10 0-6.617-5.383-12-12-12s-12 5.383-12 12 5.383 12 12 12h15c1.654 0 3 1.345 3 3 0 0.552 0.448 1 1 1s1-0.448 1-1c0-2.757-2.242-5-5-5zM2 14c0-5.514 4.486-10 10-10s10 4.486 10 10-4.486 10-10 10c-5.514 0-10-4.486-10-10zM6 11c-1.655 0-3 1.345-3 3s1.345 3 3 3 3-1.345 3-3-1.345-3-3-3zM6 15c-0.551 0-1-0.448-1-1s0.449-1 1-1 1 0.448 1 1-0.449 1-1 1z"></path>'),
	   	 			'plane' => array('keywords' => 'plane ','viewbox' => '0 0 25 32', 'path' =>'<path d="M24.571 3.143q0.786 0.929 0.214 2.643t-1.929 3.071l-2.875 2.875 2.857 12.429q0.089 0.339-0.214 0.589l-2.286 1.714q-0.125 0.107-0.339 0.107-0.071 0-0.125-0.018-0.268-0.054-0.375-0.286l-4.982-9.071-4.625 4.625 0.946 3.464q0.089 0.304-0.143 0.554l-1.714 1.714q-0.161 0.161-0.411 0.161h-0.036q-0.268-0.036-0.429-0.232l-3.375-4.5-4.5-3.375q-0.196-0.125-0.232-0.411-0.018-0.232 0.161-0.446l1.714-1.732q0.161-0.161 0.411-0.161 0.107 0 0.143 0.018l3.464 0.946 4.625-4.625-9.071-4.982q-0.25-0.143-0.304-0.429-0.036-0.286 0.161-0.482l2.286-2.286q0.25-0.232 0.536-0.143l11.875 2.839 2.857-2.857q1.357-1.357 3.071-1.929t2.643 0.214z"></path>'),
	   	 			'star' => array('keywords' => 'star ','viewbox' => '0 0 30 32', 'path' =>'<path d="M29.714 11.839q0 0.393-0.464 0.857l-6.482 6.321 1.536 8.929q0.018 0.125 0.018 0.357 0 0.375-0.188 0.634t-0.545 0.259q-0.339 0-0.714-0.214l-8.018-4.214-8.018 4.214q-0.393 0.214-0.714 0.214-0.375 0-0.563-0.259t-0.188-0.634q0-0.107 0.036-0.357l1.536-8.929-6.5-6.321q-0.446-0.482-0.446-0.857 0-0.661 1-0.821l8.964-1.304 4.018-8.125q0.339-0.732 0.875-0.732t0.875 0.732l4.018 8.125 8.964 1.304q1 0.161 1 0.821z"></path>'),
	   	 			'weather_21' => array('keywords' => 'weather_21 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M20.147 30c-2.481 0-4.5-1.876-4.5-4.181 0-2.541 3.328-6.936 3.707-7.428 0.379-0.491 1.206-0.491 1.585 0 0.38 0.493 3.707 4.888 3.707 7.428 0 2.305-2.019 4.181-4.5 4.181zM20.148 20.699c-1.178 1.705-2.5 3.982-2.5 5.119 0 1.203 1.122 2.181 2.5 2.181s2.5-0.979 2.5-2.181c0-1.139-1.321-3.415-2.5-5.119zM25 20h-0.853c-0.552 0-1-0.448-1-1s0.448-1 1-1h0.853c2.757 0 5-2.243 5-5s-2.243-5-5-5c-0.534 0-1.069 0.088-1.587 0.261-0.466 0.155-0.977-0.050-1.204-0.487-1.213-2.329-3.592-3.775-6.209-3.775-3.352 0-6.242 2.387-6.871 5.677-0.058 0.305-0.254 0.565-0.531 0.704s-0.603 0.143-0.882 0.011c-0.545-0.26-1.122-0.392-1.716-0.392-2.205 0-4 1.794-4 4s1.795 4 4 4h1.147c0.552 0 1 0.448 1 1s-0.448 1-1 1h-1.147c-3.308 0-6-2.692-6-6s2.692-6 6-6c0.495 0 0.981 0.060 1.455 0.181 1.197-3.642 4.625-6.181 8.545-6.181 3.094 0 5.928 1.571 7.576 4.149 0.47-0.098 0.947-0.149 1.424-0.149 3.86 0 7 3.14 7 7s-3.14 7-7 7zM12.146 26c-0.191 0-0.383-0.054-0.553-0.168-0.46-0.306-0.584-0.927-0.277-1.387l2.963-4.445h-4.131c-0.369 0-0.708-0.203-0.881-0.529s-0.155-0.72 0.050-1.026l4-6c0.306-0.46 0.928-0.584 1.386-0.277s0.584 0.927 0.277 1.386l-2.963 4.446h4.131c0.369 0 0.707 0.203 0.881 0.529s0.155 0.72-0.049 1.026l-4 6c-0.193 0.289-0.51 0.445-0.833 0.445z"></path>'),
	   	 			'volume1_mute' => array('keywords' => 'volume1_mute ','viewbox' => '0 0 32 32', 'path' =>'<path d="M19.56 0.354l-0.21-0.107c-0.863-0.441-2.053-0.278-2.77 0.38l-9.108 8.373h-4.471c-1.655 0-3 1.345-3 3v8c0 1.654 1.345 3 3 3h4.471l9.108 8.372c0.445 0.41 1.075 0.628 1.695 0.628 0.376 0 0.749-0.080 1.075-0.247l0.211-0.108c0.821-0.419 1.44-1.438 1.44-2.369v-26.554c0-0.931-0.619-1.95-1.44-2.369zM2 20v-8c0-0.552 0.448-1 1-1h4v10h-4c-0.552 0-1-0.448-1-1zM19 29.277c0 0.183-0.192 0.508-0.349 0.587l-0.212 0.108c-0.121 0.061-0.404 0.021-0.506-0.072l-8.934-8.211v-11.377l8.934-8.211c0.102-0.093 0.386-0.133 0.506-0.072l0.211 0.107c0.157 0.080 0.349 0.404 0.349 0.587v26.554zM29.414 16l2.293-2.293c0.391-0.39 0.391-1.024 0-1.414s-1.024-0.391-1.414 0l-2.293 2.293-2.293-2.293c-0.39-0.391-1.024-0.391-1.414 0s-0.39 1.024 0 1.414l2.293 2.293-2.293 2.293c-0.39 0.39-0.39 1.024 0 1.414 0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293l2.293-2.293 2.293 2.293c0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293c0.391-0.39 0.391-1.024 0-1.414l-2.293-2.293z"></path>'),
	   	 			'border_clear' => array('keywords' => 'border_clear ','viewbox' => '0 0 32 32', 'path' =>'<path d="M20 7.354v-2.688h2.688v2.688h-2.688zM20 17.979v-2.625h2.688v2.625h-2.688zM20 28.667v-2.688h2.688v2.688h-2.688zM14.688 7.354v-2.688h2.625v2.688h-2.625zM25.313 4.667h2.688v2.688h-2.688v-2.688zM14.688 12.667v-2.688h2.625v2.688h-2.625zM25.313 12.667v-2.688h2.688v2.688h-2.688zM25.313 28.667v-2.688h2.688v2.688h-2.688zM25.313 17.979v-2.625h2.688v2.625h-2.688zM25.313 23.354v-2.688h2.688v2.688h-2.688zM14.688 17.979v-2.625h2.625v2.625h-2.625zM4 7.354v-2.688h2.688v2.688h-2.688zM4 12.667v-2.688h2.688v2.688h-2.688zM4 17.979v-2.625h2.688v2.625h-2.688zM4 23.354v-2.688h2.688v2.688h-2.688zM4 28.667v-2.688h2.688v2.688h-2.688zM14.688 28.667v-2.688h2.625v2.688h-2.625zM14.688 23.354v-2.688h2.625v2.688h-2.625zM9.313 28.667v-2.688h2.688v2.688h-2.688zM9.313 17.979v-2.625h2.688v2.625h-2.688zM9.313 7.354v-2.688h2.688v2.688h-2.688z"></path>'),
	   	 			'view_day' => array('keywords' => 'view_day ','viewbox' => '0 0 32 32', 'path' =>'<path d="M2.688 4.667h25.313v4h-25.313v-4zM26.688 11.354q0.563 0 0.938 0.375t0.375 0.938v8q0 0.563-0.375 0.938t-0.938 0.375h-22.688q-0.563 0-0.938-0.375t-0.375-0.938v-8q0-0.563 0.375-0.938t0.938-0.375h22.688zM2.688 28.667v-4h25.313v4h-25.313z"></path>'),
	   	 			'letter_box2' => array('keywords' => 'letter_box2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25 5.5h-18c-3.86 0-7 3.14-7 7v7c0 0.552 0.448 1 1 1h12v5c0 0.552 0.448 1 1 1h4c0.552 0 1-0.448 1-1v-5h12c0.552 0 1-0.448 1-1v-7c0-3.86-3.14-7-7-7zM7 7.5c2.757 0 5 2.243 5 5v6h-10v-6c0-2.757 2.243-5 5-5zM17 24.5h-2v-4h2v4zM30 18.5h-16v-6c0-1.958-0.81-3.729-2.111-5h13.111c2.757 0 5 2.243 5 5v6zM5 17.5h4c0.552 0 1-0.448 1-1s-0.448-1-1-1h-4c-0.552 0-1 0.448-1 1s0.448 1 1 1zM27 10.5h-11c-0.552 0-1 0.448-1 1s0.448 1 1 1h7v4c0 0.552 0.448 1 1 1h3c0.552 0 1-0.448 1-1v-5c0-0.552-0.448-1-1-1zM26 15.5h-1v-3h1v3z"></path>'),
	   	 			'sausage_symbol' => array('keywords' => 'sausage_symbol ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31.383 24.076c-0.374-0.155-0.805-0.070-1.090 0.217l-1.458 1.458c-0.556-2.154-2.51-3.751-4.835-3.751-7.72 0-14-6.28-14-14 0-2.324-1.597-4.279-3.751-4.835l1.457-1.458c0.286-0.286 0.371-0.716 0.217-1.089s-0.519-0.618-0.924-0.618h-4c-0.405 0-0.769 0.244-0.924 0.618s-0.069 0.804 0.217 1.089l1.458 1.458c-2.154 0.556-3.751 2.511-3.751 4.835 0 13.235 10.767 24 24 24 2.325 0 4.279-1.596 4.835-3.75l1.458 1.457c0.192 0.192 0.447 0.293 0.707 0.293 0.129 0 0.259-0.024 0.383-0.076 0.373-0.154 0.617-0.52 0.617-0.924v-4c0-0.404-0.244-0.768-0.617-0.924zM24 30c-12.131 0-22-9.869-22-22 0-1.655 1.345-3 3-3s3 1.345 3 3c0 8.822 7.178 16 16 16 1.654 0 3 1.346 3 3s-1.346 3-3 3z"></path>'),
	   	 			'arrow-up' => array('keywords' => 'arrow-up ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 1l-15 15h9v16h12v-16h9z"></path>'),
	   	 			'windows' => array('keywords' => 'windows ','viewbox' => '0 0 32 32', 'path' =>'<path d="M12.882 15.997c-1.491-0.766-2.94-1.155-4.309-1.155-0.186 0-0.373 0.006-0.561 0.022-1.746 0.145-3.341 0.605-4.367 0.963-0.272 0.1-0.551 0.205-0.838 0.322l-2.807 9.731c1.928-0.713 3.634-1.061 5.196-1.061 2.526 0 4.36 0.944 5.875 1.916 0.718-2.435 2.439-8.315 2.953-10.073-0.373-0.228-0.752-0.455-1.141-0.666zM16.511 18.471l-2.826 9.817c0.838 0.48 3.659 2.002 5.819 2.002 1.744 0 3.695-0.447 5.964-1.369l2.699-9.437c-1.832 0.591-3.59 0.891-5.233 0.891-2.998 0-5.097-0.972-6.422-1.905zM9.151 11.525c2.41 0.025 4.192 0.944 5.669 1.891l2.899-9.917c-0.611-0.35-2.213-1.222-3.371-1.519-0.762-0.178-1.563-0.269-2.413-0.269-1.619 0.030-3.387 0.436-5.403 1.244l-2.764 9.706c2.025-0.764 3.77-1.136 5.378-1.136 0.001 0 0.004 0 0.004 0zM32 6.191c-1.838 0.713-3.631 1.077-5.345 1.077-2.865 0-4.978-0.994-6.347-1.949l-2.873 9.945c1.93 1.241 4.009 1.871 6.191 1.871 1.78 0 3.623-0.427 5.483-1.271l-0.006-0.069 0.117-0.028 2.779-9.576z"></path>'),
	   	 			'clock3' => array('keywords' => 'clock3 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 32c8.822 0 16-7.178 16-16s-7.178-16-16-16-16 7.178-16 16 7.178 16 16 16zM16 1c8.271 0 15 6.729 15 15s-6.729 15-15 15-15-6.729-15-15 6.729-15 15-15zM20.061 21.768c0.098 0.098 0.226 0.146 0.354 0.146s0.256-0.049 0.354-0.146c0.195-0.195 0.195-0.512 0-0.707l-4.769-4.768v-6.974c0-0.276-0.224-0.5-0.5-0.5s-0.5 0.224-0.5 0.5v7.181c0 0.133 0.053 0.26 0.146 0.354l4.915 4.914zM3 16c0 0.552 0.448 1 1 1s1-0.448 1-1c0-0.552-0.448-1-1-1s-1 0.448-1 1zM27 16c0 0.552 0.448 1 1 1s1-0.448 1-1c0-0.552-0.448-1-1-1s-1 0.448-1 1zM15 4c0 0.552 0.448 1 1 1s1-0.448 1-1c0-0.552-0.448-1-1-1s-1 0.448-1 1zM15 28c0 0.552 0.448 1 1 1s1-0.448 1-1c0-0.552-0.448-1-1-1s-1 0.448-1 1zM7 8c0 0.552 0.448 1 1 1s1-0.448 1-1c0-0.552-0.448-1-1-1s-1 0.448-1 1zM23 24c0 0.552 0.448 1 1 1s1-0.448 1-1c0-0.552-0.448-1-1-1s-1 0.448-1 1zM24 8c0 0.552 0.448 1 1 1s1-0.448 1-1c0-0.552-0.448-1-1-1s-1 0.448-1 1zM7 24c0 0.552 0.448 1 1 1s1-0.448 1-1c0-0.552-0.448-1-1-1s-1 0.448-1 1z"></path>'),
	   	 			'quotes-right' => array('keywords' => 'quotes-right ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25 20c-3.866 0-7-3.134-7-7s3.134-7 7-7 7 3.134 7 7l0.031 1c0 7.732-6.268 14-14 14v-4c2.671 0 5.182-1.040 7.071-2.929 0.364-0.364 0.695-0.75 0.995-1.157-0.357 0.056-0.724 0.086-1.097 0.086zM7 20c-3.866 0-7-3.134-7-7s3.134-7 7-7 7 3.134 7 7l0.031 1c0 7.732-6.268 14-14 14v-4c2.671 0 5.182-1.040 7.071-2.929 0.364-0.364 0.695-0.75 0.995-1.157-0.357 0.056-0.724 0.086-1.097 0.086z"></path>'),
	   	 			'home_hospital' => array('keywords' => 'home_hospital ','viewbox' => '0 0 32 32', 'path' =>'<path d="M18 18h-4v-2.99c0-0.004 0.001-0.007 0.001-0.010 0-0.553-0.448-1-1-1s-1.001 0.447-1.001 1v8c0 0.552 0.448 1 1 1s1-0.448 1.001-1c0-0.003-0.001-0.006-0.001-0.010v-2.991h4v3c0 0.552 0.448 1 1 1s1-0.448 1-1c0-0.003-0.001-0.006-0.001-0.010v-7.979c0-0.004 0.001-0.007 0.001-0.010 0-0.553-0.448-1-1-1s-1 0.447-1 1v3zM31.707 13.293l-15-13c-0.39-0.391-1.024-0.391-1.414 0l-15 13c-0.391 0.39-0.391 1.024 0 1.414s1.024 0.39 1.414 0l2.293-1.988v16.281c0 1.65 1.35 3 3 3h18c1.65 0 3-1.35 3-3v-16.28l2.293 1.988c0.39 0.39 1.024 0.39 1.414 0s0.391-1.024 0-1.414zM26 29c0 0.55-0.45 1-1 1h-18c-0.55 0-1-0.45-1-1v-18.014l10-8.666 10 8.666v18.014z"></path>'),
	   	 			'infinite' => array('keywords' => 'infinite ','viewbox' => '0 0 32 32', 'path' =>'<path d="M24.5 23.5c-2.003 0-3.887-0.78-5.303-2.197l-3.197-3.196-3.196 3.196c-1.417 1.417-3.3 2.197-5.303 2.197s-3.887-0.78-5.304-2.197c-1.417-1.417-2.197-3.3-2.197-5.303s0.78-3.887 2.197-5.304c1.417-1.417 3.3-2.197 5.304-2.197s3.887 0.78 5.303 2.197l3.196 3.196 3.196-3.196c1.417-1.417 3.3-2.197 5.303-2.197s3.887 0.78 5.303 2.197c1.417 1.417 2.197 3.3 2.197 5.304s-0.78 3.887-2.197 5.303c-1.416 1.417-3.3 2.197-5.303 2.197zM21.304 19.197c0.854 0.853 1.989 1.324 3.196 1.323s2.342-0.47 3.196-1.324c0.854-0.854 1.324-1.989 1.324-3.196s-0.47-2.342-1.324-3.196c-0.854-0.854-1.989-1.324-3.196-1.324s-2.342 0.47-3.196 1.324l-3.196 3.196 3.196 3.197zM7.5 11.48c-1.207 0-2.342 0.47-3.196 1.324s-1.324 1.989-1.324 3.196c0 1.207 0.47 2.342 1.324 3.196s1.989 1.324 3.196 1.324c1.207 0 2.342-0.47 3.196-1.324l3.196-3.196-3.196-3.196c-0.854-0.854-1.989-1.324-3.196-1.324v0z"></path>'),
	   	 			'ring_bell_off' => array('keywords' => 'ring_bell_off ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31.707 0.293c-0.39-0.391-1.023-0.391-1.414 0l-7.773 7.772c-0.892-1.024-2.123-1.739-3.519-1.975v-1.091c0-1.655-1.346-3-3-3s-3 1.345-3 3v1.091c-2.823 0.477-4.985 2.926-4.998 5.88-0.001 0.010-0.003 0.020-0.003 0.030v7c0 0.001 0 0.002 0 0.003-0.002 0.549-0.448 0.996-0.997 0.997-0.001 0-0.002-0-0.003-0-1.654 0-3 1.346-3 3 0 0.977 0.471 1.843 1.196 2.391l-4.902 4.902c-0.391 0.39-0.391 1.023 0 1.414 0.196 0.195 0.451 0.293 0.707 0.293s0.511-0.098 0.707-0.293l5.707-5.707h4.587c0 0 0 0 0 0 0 2.206 1.794 4 4 4s4-1.794 4-4c0 0 0 0 0-0h4.994c0.002 0 0.003 0 0.005 0 1.654 0 3-1.346 3-3s-1.346-3-3-3c-0.552 0-1-0.448-1-1v-6.99c0-0.004 0.001-0.007 0.001-0.010 0-0.767-0.15-1.498-0.413-2.174l8.12-8.12c0.391-0.391 0.391-1.024 0-1.414zM6.997 22c0.001 0 0.002 0 0.003 0 1.655 0 3-1.346 3-3 0-0.002-0.001-0.003-0.001-0.005v-6.98c0-0.005 0.002-0.010 0.002-0.014 0-2.205 1.794-4 4-4 0.552 0 1-0.448 1-1v-2c0-0.552 0.448-1 1-1s1 0.448 1 1v2c0 0.552 0.448 1 1 1 1.252 0 2.369 0.579 3.104 1.482l-14.452 14.452c-0.38-0.142-0.652-0.506-0.652-0.934 0-0.551 0.447-0.998 0.998-1zM18.001 26c0 1.102-0.897 2-2 2s-2-0.898-2-2c0 0 0 0 0-0l4 0c0 0 0 0 0 0zM22 11.993c0 0.002-0 0.005-0 0.007v7c0 1.654 1.346 3 3 3 0.552 0 1 0.448 1 1 0 0.551-0.448 0.998-0.997 1-0.001 0-0.002-0-0.003-0h-15.585l12.545-12.544c0.024 0.177 0.041 0.355 0.041 0.538z"></path>'),
	   	 			'keyboard-o' => array('keywords' => 'keyboard-o ','viewbox' => '0 0 34 32', 'path' =>'<path d="M6.857 21.143v1.714q0 0.286-0.286 0.286h-1.714q-0.286 0-0.286-0.286v-1.714q0-0.286 0.286-0.286h1.714q0.286 0 0.286 0.286zM9.143 16.571v1.714q0 0.286-0.286 0.286h-4q-0.286 0-0.286-0.286v-1.714q0-0.286 0.286-0.286h4q0.286 0 0.286 0.286zM6.857 12v1.714q0 0.286-0.286 0.286h-1.714q-0.286 0-0.286-0.286v-1.714q0-0.286 0.286-0.286h1.714q0.286 0 0.286 0.286zM25.143 21.143v1.714q0 0.286-0.286 0.286h-15.429q-0.286 0-0.286-0.286v-1.714q0-0.286 0.286-0.286h15.429q0.286 0 0.286 0.286zM13.714 16.571v1.714q0 0.286-0.286 0.286h-1.714q-0.286 0-0.286-0.286v-1.714q0-0.286 0.286-0.286h1.714q0.286 0 0.286 0.286zM11.429 12v1.714q0 0.286-0.286 0.286h-1.714q-0.286 0-0.286-0.286v-1.714q0-0.286 0.286-0.286h1.714q0.286 0 0.286 0.286zM18.286 16.571v1.714q0 0.286-0.286 0.286h-1.714q-0.286 0-0.286-0.286v-1.714q0-0.286 0.286-0.286h1.714q0.286 0 0.286 0.286zM16 12v1.714q0 0.286-0.286 0.286h-1.714q-0.286 0-0.286-0.286v-1.714q0-0.286 0.286-0.286h1.714q0.286 0 0.286 0.286zM22.857 16.571v1.714q0 0.286-0.286 0.286h-1.714q-0.286 0-0.286-0.286v-1.714q0-0.286 0.286-0.286h1.714q0.286 0 0.286 0.286zM29.714 21.143v1.714q0 0.286-0.286 0.286h-1.714q-0.286 0-0.286-0.286v-1.714q0-0.286 0.286-0.286h1.714q0.286 0 0.286 0.286zM20.571 12v1.714q0 0.286-0.286 0.286h-1.714q-0.286 0-0.286-0.286v-1.714q0-0.286 0.286-0.286h1.714q0.286 0 0.286 0.286zM25.143 12v1.714q0 0.286-0.286 0.286h-1.714q-0.286 0-0.286-0.286v-1.714q0-0.286 0.286-0.286h1.714q0.286 0 0.286 0.286zM29.714 12v6.286q0 0.286-0.286 0.286h-4q-0.286 0-0.286-0.286v-1.714q0-0.286 0.286-0.286h2v-4.286q0-0.286 0.286-0.286h1.714q0.286 0 0.286 0.286zM32 25.429v-16h-29.714v16h29.714zM34.286 9.429v16q0 0.946-0.67 1.616t-1.616 0.67h-29.714q-0.946 0-1.616-0.67t-0.67-1.616v-16q0-0.946 0.67-1.616t1.616-0.67h29.714q0.946 0 1.616 0.67t0.67 1.616z"></path>'),
	   	 			'html-five2' => array('keywords' => 'html-five2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M1.892 0l2.567 28.801 11.524 3.199 11.554-3.204 2.572-28.796h-28.216zM25.336 26.963l-9.288 2.574v0.015l-0.024-0.007-0.024 0.007v-0.015l-9.288-2.574-2.195-24.609h23.015l-2.195 24.609zM20.336 16.569l-0.408 4.58-3.944 1.065-3.933-1.060-0.252-2.82h-3.547l0.495 5.547 7.252 2.006 7.229-2.006 0.97-10.844h-12.874l-0.322-3.617h13.517l0.316-3.532h-17.694l0.953 10.681z"></path>'),
	   	 			'melody_symbol1' => array('keywords' => 'melody_symbol1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M24.258 5.031l-6.758 1.689v-2.938l7.242-1.81c0.536-0.134 0.862-0.677 0.728-1.213s-0.678-0.864-1.212-0.728l-8 2c-0.445 0.111-0.758 0.511-0.758 0.97v19.261c-0.951-0.787-2.171-1.261-3.5-1.261-3.033 0-5.5 2.468-5.5 5.5s2.467 5.5 5.5 5.5 5.5-2.468 5.5-5.5v-17.72l7.242-1.811c0.536-0.134 0.862-0.677 0.728-1.213s-0.678-0.862-1.212-0.727zM12 30.001c-1.93 0-3.5-1.57-3.5-3.5s1.57-3.5 3.5-3.5 3.5 1.57 3.5 3.5-1.57 3.5-3.5 3.5z"></path>'),
	   	 			'mobile' => array('keywords' => 'mobile ','viewbox' => '0 0 32 32', 'path' =>'<path d="M23 0h-14c-1.65 0-3 1.35-3 3v26c0 1.65 1.35 3 3 3h14c1.65 0 3-1.35 3-3v-26c0-1.65-1.35-3-3-3zM12 1.5h8v1h-8v-1zM16 30c-1.105 0-2-0.895-2-2s0.895-2 2-2 2 0.895 2 2-0.895 2-2 2zM24 24h-16v-20h16v20z"></path>'),
	   	 			'heart3' => array('keywords' => 'heart3 ','viewbox' => '0 0 37 32', 'path' =>'<path d="M27 0c-2.476 0-4.856 0.921-6.704 2.595-0.702 0.635-1.303 1.357-1.796 2.154-0.493-0.797-1.094-1.519-1.796-2.155-1.848-1.673-4.228-2.594-6.704-2.594-5.514 0-10 4.486-10 10 0 3.722 1.158 6.66 3.871 9.825 3.942 4.6 13.919 11.62 14.342 11.917 0.086 0.061 0.187 0.091 0.287 0.091s0.201-0.030 0.287-0.091c0.423-0.297 10.4-7.317 14.343-11.917 2.712-3.165 3.87-6.103 3.87-9.825 0-5.514-4.486-10-10-10zM32.371 19.175c-3.495 4.076-12.18 10.341-13.871 11.545-1.691-1.204-10.376-7.469-13.87-11.545-2.545-2.969-3.63-5.713-3.63-9.175 0-4.963 4.038-9 9-9 2.227 0 4.37 0.829 6.032 2.335 0.838 0.76 1.518 1.656 2.020 2.664 0.17 0.34 0.726 0.34 0.896 0 0.502-1.008 1.182-1.904 2.020-2.663 1.662-1.507 3.805-2.336 6.032-2.336 4.962 0 9 4.037 9 9 0 3.462-1.085 6.206-3.629 9.175z"></path>'),
	   	 			'sitemap' => array('keywords' => 'sitemap ','viewbox' => '0 0 32 32', 'path' =>'<path d="M32 22.571v5.714q0 0.714-0.5 1.214t-1.214 0.5h-5.714q-0.714 0-1.214-0.5t-0.5-1.214v-5.714q0-0.714 0.5-1.214t1.214-0.5h1.714v-3.429h-9.143v3.429h1.714q0.714 0 1.214 0.5t0.5 1.214v5.714q0 0.714-0.5 1.214t-1.214 0.5h-5.714q-0.714 0-1.214-0.5t-0.5-1.214v-5.714q0-0.714 0.5-1.214t1.214-0.5h1.714v-3.429h-9.143v3.429h1.714q0.714 0 1.214 0.5t0.5 1.214v5.714q0 0.714-0.5 1.214t-1.214 0.5h-5.714q-0.714 0-1.214-0.5t-0.5-1.214v-5.714q0-0.714 0.5-1.214t1.214-0.5h1.714v-3.429q0-0.929 0.679-1.607t1.607-0.679h9.143v-3.429h-1.714q-0.714 0-1.214-0.5t-0.5-1.214v-5.714q0-0.714 0.5-1.214t1.214-0.5h5.714q0.714 0 1.214 0.5t0.5 1.214v5.714q0 0.714-0.5 1.214t-1.214 0.5h-1.714v3.429h9.143q0.929 0 1.607 0.679t0.679 1.607v3.429h1.714q0.714 0 1.214 0.5t0.5 1.214z"></path>'),
	   	 			'home_green' => array('keywords' => 'home_green ','viewbox' => '0 0 32 32', 'path' =>'<path d="M26.625 19.219l-4.627-3.701c0-0.006 0.002-0.011 0.002-0.018v-3.625c0.683-0.171 1.311-0.514 1.8-1.004 0.552-0.553 1.207-1.569 1.2-3.263-0.009-2.553-2.854-6.714-3.178-7.179-0.186-0.268-0.492-0.428-0.819-0.429-0 0-0.002 0-0.003 0-0.325 0-0.631 0.158-0.818 0.424-0.326 0.464-3.192 4.609-3.182 7.168 0.008 2.675 1.42 3.93 3 4.291v2.035l-3.375-2.7c-0.365-0.293-0.884-0.293-1.249 0l-10 8c-0.431 0.345-0.502 0.974-0.156 1.406 0.345 0.43 0.974 0.501 1.405 0.156l0.875-0.701v8.843c0 1.697 1.415 3.078 3.155 3.078h10.69c1.739 0 3.155-1.381 3.155-3.078v-8.843l0.875 0.701c0.184 0.148 0.405 0.22 0.624 0.22 0.293 0 0.584-0.128 0.781-0.375 0.346-0.431 0.276-1.061-0.156-1.406zM19 7.585c-0.005-1.119 1.024-3.162 1.995-4.75 0.97 1.6 2 3.658 2.004 4.782 0.003 0.808-0.204 1.429-0.617 1.844-0.111 0.112-0.243 0.201-0.383 0.28v-2.812c0-0.552-0.448-1-1-1s-1 0.448-1 1v2.839c-0.655-0.342-0.996-1.066-1-2.184zM14.5 23h3v7h-3v-7zM22.5 18.5v10.422c0 0.594-0.518 1.078-1.155 1.078h-1.845v-8c0-0.552-0.448-1-1-1h-5c-0.552 0-1 0.448-1 1v8h-1.845c-0.637 0-1.155-0.483-1.155-1.078v-10.422c0-0.006-0.002-0.012-0.002-0.018l6.502-5.201 6.502 5.201c0 0.006-0.002 0.012-0.002 0.018z"></path>'),
	   	 			'format_color_text' => array('keywords' => 'format_color_text ','viewbox' => '0 0 32 32', 'path' =>'<path d="M12.813 16.667h6.375l-3.188-8.438zM14.688 4.667h2.625l7.313 18.688h-3l-1.438-4h-8.375l-1.5 4h-3zM0 27.354h32v5.313h-32v-5.313z"></path>'),
	   	 			'compare' => array('keywords' => 'compare ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25.313 4.667q1.063 0 1.875 0.813t0.813 1.875v18.625q0 1.063-0.813 1.875t-1.875 0.813h-6.625v-12l6.625 8v-17.313h-6.625v-2.688h6.625zM13.313 24.667v-8l-6.625 8h6.625zM13.313 4.667v-2.688h2.688v29.375h-2.688v-2.688h-6.625q-1.063 0-1.875-0.813t-0.813-1.875v-18.625q0-1.063 0.813-1.875t1.875-0.813h6.625z"></path>'),
	   	 			'folder_7' => array('keywords' => 'folder_7 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 6.5h-14.070l-3.369-3.561c-0.292-0.293-0.677-0.439-1.060-0.439v0h-7.5c-1.651 0-3 1.349-3 3v21c0 1.649 1.349 3 3 3h26c1.649 0 3-1.351 3-3v-17c0-1.651-1.351-3-3-3zM30 26.5c0 0.55-0.45 1-1 1h-26c-0.55 0-1-0.45-1-1v-17c0-0.55 0.45-1 1-1h26c0.55 0 1 0.45 1 1v17z"></path>'),
	   	 			'steam' => array('keywords' => 'steam ','viewbox' => '0 0 32 32', 'path' =>'<path d="M22 9c0-1.657 1.343-3 3-3s3 1.343 3 3c0 1.657-1.343 3-3 3s-3-1.343-3-3zM29.95 4.050c-2.734-2.734-7.166-2.734-9.9 0-1.112 1.112-1.771 2.505-1.979 3.95v0l-6.397 9.695c-0.86 0.044-1.712 0.263-2.499 0.657l-4.934-3.857c-1.142-0.893-2.792-0.691-3.685 0.451s-0.691 2.792 0.452 3.685l4.873 3.809c-0.53 2.087 0.021 4.392 1.654 6.025 2.466 2.466 6.464 2.466 8.929 0 1.515-1.515 2.098-3.607 1.752-5.568l7.783-6.968c1.445-0.207 2.838-0.867 3.95-1.979 2.734-2.734 2.734-7.166 0-9.899zM12 28.209c-2.325 0-4.209-1.884-4.209-4.209 0-0.022 0.001-0.044 0.002-0.066l2.091 1.634c0.48 0.375 1.049 0.557 1.615 0.557 0.78 0 1.552-0.346 2.070-1.009 0.893-1.142 0.691-2.792-0.451-3.685l-1.984-1.551c0.28-0.059 0.57-0.090 0.868-0.090 2.325 0 4.209 1.884 4.209 4.209s-1.885 4.209-4.209 4.209zM25 14c-2.761 0-5-2.239-5-5s2.239-5 5-5 5 2.239 5 5-2.239 5-5 5z"></path>'),
	   	 			'filter_6' => array('keywords' => 'filter_6 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M17.313 15.354v2.625h2.688v-2.625h-2.688zM17.313 20.667q-1.063 0-1.844-0.781t-0.781-1.906v-8q0-1.125 0.781-1.875t1.844-0.75h5.375v2.625h-5.375v2.688h2.688q1.063 0 1.875 0.781t0.813 1.906v2.625q0 1.125-0.813 1.906t-1.875 0.781h-2.688zM28 23.354v-18.688h-18.688v18.688h18.688zM28 1.979q1.063 0 1.875 0.813t0.813 1.875v18.688q0 1.063-0.813 1.844t-1.875 0.781h-18.688q-1.063 0-1.844-0.781t-0.781-1.844v-18.688q0-1.063 0.781-1.875t1.844-0.813h18.688zM4 7.354v21.313h21.313v2.688h-21.313q-1.063 0-1.875-0.813t-0.813-1.875v-21.313h2.688z"></path>'),
	   	 			'star_space2' => array('keywords' => 'star_space2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31.258 15.034l-8.814-2.351 2.421-4.182c0.227-0.392 0.162-0.888-0.158-1.208s-0.817-0.386-1.208-0.158l-4.182 2.421-2.351-8.814c-0.117-0.438-0.514-0.742-0.966-0.742s-0.85 0.304-0.966 0.742l-2.351 8.814-4.182-2.421c-0.393-0.228-0.888-0.162-1.208 0.158s-0.386 0.816-0.158 1.208l2.421 4.182-8.814 2.351c-0.438 0.117-0.742 0.514-0.742 0.966s0.304 0.849 0.742 0.966l8.813 2.351-2.421 4.182c-0.228 0.392-0.162 0.887 0.158 1.208 0.193 0.193 0.449 0.293 0.708 0.293 0.172 0 0.345-0.044 0.501-0.135l4.182-2.421 2.351 8.814c0.117 0.438 0.514 0.742 0.966 0.742s0.849-0.305 0.966-0.742l2.351-8.814 4.182 2.421c0.157 0.090 0.329 0.134 0.501 0.134 0.259 0 0.515-0.1 0.707-0.293 0.32-0.32 0.386-0.816 0.158-1.208l-2.421-4.182 8.814-2.351c0.438-0.117 0.742-0.514 0.742-0.966s-0.305-0.85-0.742-0.966zM21.256 10.744l-0.814 1.405-0.467-0.124-0.125-0.467 1.405-0.813zM16 4.881l2.043 7.661-2.043 2.043-2.043-2.043 2.043-7.661zM10.744 10.744l1.405 0.813-0.125 0.467-0.467 0.124-0.813-1.405zM12.542 13.957l2.044 2.043-2.044 2.044-7.661-2.044 7.661-2.043zM10.744 21.256l0.813-1.405 0.467 0.125 0.125 0.468-1.405 0.814zM16 27.119l-2.043-7.661 2.043-2.044 2.043 2.044-2.043 7.661zM21.256 21.256l-1.405-0.814 0.125-0.468 0.467-0.125 0.814 1.405zM19.458 18.044l-2.044-2.044 2.044-2.043 7.661 2.043-7.661 2.044z"></path>'),
	   	 			'map_symbol2' => array('keywords' => 'map_symbol2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M21 15.5c-1.654 0-3 1.346-3 3s1.346 3 3 3 3-1.346 3-3-1.346-3-3-3zM21 19.5c-0.552 0-1-0.448-1-1s0.448-1 1-1 1 0.448 1 1-0.448 1-1 1zM31.371 4.072l-10-4c-0.241-0.096-0.506-0.091-0.741 0.004-0.001-0.001-0.001-0.002-0.001-0.004l-9.629 3.852-9.629-3.852c-0.308-0.123-0.657-0.085-0.932 0.101s-0.44 0.496-0.44 0.828v26c0 0.409 0.249 0.776 0.628 0.928l10 4c0.12 0.048 0.246 0.072 0.371 0.072 0.127 0 0.252-0.033 0.37-0.081 0 0.003 0.001 0.006 0.001 0.010l7.22-2.888c0.843 1.427 1.503 2.407 1.581 2.521 0.186 0.274 0.497 0.438 0.828 0.438s0.641-0.164 0.827-0.439c0.078-0.114 0.738-1.093 1.581-2.521l7.221 2.888c0.12 0.048 0.246 0.072 0.372 0.072 0.198 0 0.392-0.058 0.561-0.172 0.275-0.186 0.439-0.496 0.439-0.828v-26c0-0.409-0.249-0.777-0.629-0.928zM2 2.477l8 3.2v23.846l-8-3.2v-23.846zM21 29.159c-1.745-2.805-4.5-7.852-4.5-10.759 0-2.427 2.018-4.4 4.5-4.4s4.5 1.973 4.5 4.4c0 2.908-2.755 7.954-4.5 10.759zM30 29.523l-5.596-2.239c1.5-2.764 3.096-6.31 3.096-8.884 0-3.529-2.916-6.4-6.5-6.4s-6.5 2.871-6.5 6.4c0 2.574 1.596 6.12 3.096 8.884l-5.596 2.238v-23.846l8-3.2v7.523c0 0.552 0.448 1 1 1s1-0.448 1-1v-7.523l8 3.2v23.846z"></path>'),
	   	 			'rugby_ball' => array('keywords' => 'rugby_ball ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 5c-8.822 0-16 4.934-16 11s7.178 11 16 11 16-4.934 16-11-7.178-11-16-11zM29.912 15h-3.412v-4.944c1.852 1.351 3.086 3.060 3.412 4.944zM24.5 8.855v6.145h-5.5v-0.998c0-0.001 0-0.002 0-0.002 0-0.552-0.448-1-1-1s-1 0.448-1 1v1h-2v-0.998c0-0.001 0-0.002 0-0.002 0-0.552-0.447-1-1-1s-1 0.448-1 1v1h-5.5v-6.145c2.358-1.162 5.305-1.856 8.5-1.856s6.142 0.693 8.5 1.856zM5.5 10.056v4.944h-3.412c0.325-1.883 1.559-3.592 3.412-4.944zM2.088 17h3.412v4.944c-1.853-1.351-3.086-3.060-3.412-4.944zM7.5 23.145v-6.145h5.5v1c0 0.552 0.448 1 1 1s1-0.448 1-1c0-0.001 0-0.002 0-0.003v-0.997h2v1c0 0.552 0.448 1 1 1s1-0.448 1-1c0-0.001 0-0.002 0-0.003v-0.997h5.5v6.145c-2.358 1.162-5.305 1.855-8.5 1.855s-6.142-0.694-8.5-1.855zM26.5 21.944v-4.944h3.412c-0.326 1.884-1.559 3.593-3.412 4.944z"></path>'),
	   	 			'archery_target' => array('keywords' => 'archery_target ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25.865 30.497l-3.235-5.602c2.947-2.082 4.87-5.511 4.87-9.395 0.002-6.014-4.617-10.948-10.5-11.455v-3.043c0-0.001 0-0.002 0-0.002 0-0.552-0.448-1-1-1s-1 0.448-1 1v3.046c-5.883 0.507-10.502 5.441-10.5 11.456-0.002 4.038 2.082 7.586 5.229 9.637l-3.094 5.358c-0 0.001-0 0.002-0.002 0.003-0.276 0.478-0.112 1.090 0.366 1.366s1.090 0.113 1.366-0.366l3.127-5.417c1.384 0.59 2.907 0.917 4.507 0.917 1.755 0 3.416-0.394 4.904-1.096l3.23 5.596c0.276 0.478 0.887 0.642 1.366 0.366s0.642-0.887 0.366-1.366c-0.001-0.001-0.001-0.002-0.001-0.003zM6.5 15.499c0-5.248 4.251-9.501 9.5-9.499s9.498 4.252 9.501 9.501c-0.003 5.248-4.252 9.501-9.501 9.501-5.249-0.001-9.5-4.262-9.5-9.502zM16 8c-4.142 0-7.501 3.358-7.5 7.501-0.001 4.143 3.358 7.499 7.5 7.499 4.143 0 7.501-3.357 7.5-7.5 0.001-4.142-3.358-7.5-7.5-7.5zM16 21c-3.038-0-5.5-2.468-5.5-5.5 0-3.038 2.462-5.5 5.5-5.5s5.498 2.461 5.5 5.5c-0.002 3.038-2.462 5.5-5.5 5.5zM16 12c-1.933 0-3.5 1.567-3.5 3.5s1.567 3.5 3.5 3.5c1.933 0 3.501-1.567 3.5-3.5 0.001-1.933-1.567-3.5-3.5-3.5zM16 17c-0.828 0-1.5-0.674-1.5-1.5 0-0.829 0.672-1.5 1.5-1.5 0.829 0.001 1.5 0.671 1.5 1.5s-0.671 1.5-1.5 1.5z"></path>'),
	   	 			'recent_actors' => array('keywords' => 'recent_actors ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16.688 23.354v-1q0-1.375-2.063-2.188t-3.938-0.813-3.938 0.813-2.063 2.188v1h12zM10.688 10.979q-1.188 0-2.094 0.906t-0.906 2.094 0.906 2.094 2.094 0.906 2.094-0.906 0.906-2.094-0.906-2.094-2.094-0.906zM18.688 7.354q0.563 0 0.938 0.375t0.375 0.937v16q0 0.563-0.375 0.938t-0.938 0.375h-16q-0.563 0-0.969-0.375t-0.406-0.938v-16q0-0.563 0.406-0.938t0.969-0.375h16zM22.688 25.979v-18.625h2.625v18.625h-2.625zM28 7.354h2.688v18.625h-2.688v-18.625z"></path>'),
	   	 			'boat_forward' => array('keywords' => 'boat_forward ','viewbox' => '0 0 32 32', 'path' =>'<path d="M13.5 9.5h5c0.552 0 1-0.448 1-1s-0.448-1-1-1h-5c-0.552 0-1 0.448-1 1s0.448 1 1 1zM15 16c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM19 16c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM27.5 27h-3v-4.724l2.858-4.762c0.284-0.473 0.131-1.087-0.343-1.372-0.029-0.017-0.058-0.027-0.087-0.041 0.001-0.002 0.002-0.003 0.002-0.005l-2.435-1.159c-0.001-0.014 0.002-0.028-0-0.042l-1-9.5c-0.053-0.514-0.485-0.893-0.994-0.891 0-0.002 0-0.003 0-0.005h-4v-1.5c0-0.552-0.448-1-1-1s-1 0.448-1 1v1.5h-1v-3.5c0-0.552-0.448-1-1-1s-1 0.448-1 1v3.5h-4c0 0.002-0.001 0.003-0.001 0.005-0.505-0.002-0.94 0.377-0.994 0.891l-1 9.5c-0.002 0.014 0 0.028 0 0.042l-2.436 1.16c0.002 0.002 0.003 0.003 0.004 0.004-0.029 0.014-0.060 0.024-0.088 0.041-0.473 0.284-0.627 0.898-0.343 1.372l2.857 4.762v4.724h-3c-0.552 0-1 0.448-1 1s0.448 1 1 1h3.808l7.321 2.928c0.122 0.049 0.248 0.072 0.372 0.072 0.13 0 0.254-0.034 0.373-0.082-0 0.004-0 0.006-0.001 0.011l7.32-2.928h3.808c0.552 0 1-0.448 1-1s-0.448-1-1-1zM22.382 13.931l-5.952-2.835c-0.282-0.135-0.594-0.121-0.857 0.003-0.001-0.001-0.002-0.002-0.004-0.003l-5.952 2.835 0.782-7.431h11.2l0.782 7.431zM22.642 21.485c-0.096 0.161-0.139 0.339-0.139 0.514-0.002 0-0.003 0-0.004 0v5.323l-6.5 2.6-6.5-2.6v-5.323c-0.002 0-0.002-0.001-0.004-0.001 0-0.175-0.042-0.352-0.139-0.514l-2.434-4.056 9.076-4.322 9.076 4.322-2.433 4.056zM26.5 30h-4c-0.552 0-1 0.448-1 1s0.448 1 1 1h4c0.552 0 1-0.448 1-1s-0.448-1-1-1zM9.5 30h-4c-0.552 0-1 0.448-1 1s0.448 1 1 1h4c0.552 0 1-0.448 1-1s-0.448-1-1-1z"></path>'),
	   	 			'home_dollar' => array('keywords' => 'home_dollar ','viewbox' => '0 0 32 32', 'path' =>'<path d="M17 12c0-0.552-0.448-1-1-1s-1 0.448-1 1v1c0 0.050 0.008 0.096 0.014 0.143-1.451 0.428-2.514 1.769-2.514 3.357 0 1.869 1.838 2.492 3.178 2.947 1.067 0.361 1.822 0.648 1.822 1.052 0 0.827-0.673 1.5-1.5 1.5s-1.5-0.673-1.5-1.5c0-0.552-0.448-1-1-1s-1 0.448-1 1c0 1.587 1.063 2.929 2.514 3.357-0.007 0.047-0.014 0.094-0.014 0.143v1c0 0.552 0.448 1 1 1s1-0.448 1-1v-1c0-0.049-0.008-0.096-0.015-0.143 1.451-0.427 2.515-1.769 2.515-3.357 0-1.869-1.837-2.492-3.178-2.948-1.066-0.361-1.822-0.648-1.822-1.052 0-0.827 0.673-1.5 1.5-1.5s1.5 0.673 1.5 1.5c0 0.552 0.448 1 1 1s1-0.448 1-1c0-1.588-1.064-2.929-2.514-3.357 0.006-0.047 0.015-0.094 0.015-0.143v-1zM31.207 14.793l-14.5-14.5c-0.39-0.391-1.024-0.391-1.414 0l-14.5 14.5c-0.391 0.39-0.391 1.024 0 1.414s1.024 0.39 1.414 0l1.793-1.793v14.586c0 1.65 1.35 3 3 3h18c1.65 0 3-1.35 3-3v-14.586l1.793 1.793c0.39 0.39 1.024 0.39 1.414 0s0.39-1.024 0-1.414zM26 29c0 0.55-0.45 1-1 1h-18c-0.55 0-1-0.45-1-1v-16.586l10-10 10 10v16.586z"></path>'),
	   	 			'screen_rotation' => array('keywords' => 'screen_rotation ','viewbox' => '0 0 32 32', 'path' =>'<path d="M10 29.292l1.813-1.75 5.063 5.063-0.875 0.063q-6.25 0-10.844-4.25t-5.094-10.438h2q0.375 3.75 2.5 6.75t5.438 4.563zM19.75 28.917l8.5-8.5-16-16-8.5 8.5zM13.625 2.979l16.063 16.063q0.625 0.563 0.625 1.375t-0.625 1.438l-8.5 8.5q-0.563 0.625-1.375 0.625t-1.438-0.625l-16.063-16.063q-0.625-0.563-0.625-1.375t0.625-1.438l8.5-8.5q0.563-0.625 1.375-0.625t1.438 0.625zM22 4.042l-1.813 1.75-5.063-5.063 0.875-0.063q6.25 0 10.844 4.25t5.094 10.438h-2q-0.375-3.75-2.5-6.75t-5.438-4.563z"></path>'),
	   	 			'cloud_comment' => array('keywords' => 'cloud_comment ','viewbox' => '0 0 32 32', 'path' =>'<path d="M9.146 28.5c-0.129 0-0.259-0.025-0.382-0.076-0.374-0.155-0.617-0.52-0.617-0.924v-6h-2.147c-3.308 0-6-2.692-6-6s2.692-6 6-6c0.495 0 0.981 0.060 1.455 0.18 1.197-3.641 4.625-6.18 8.545-6.18 3.094 0 5.928 1.571 7.576 4.149 0.47-0.098 0.947-0.149 1.424-0.149 3.86 0 7 3.14 7 7s-3.14 7-7 7h-8.438l-6.707 6.707c-0.191 0.192-0.447 0.293-0.707 0.293zM6 11.5c-2.205 0-4 1.794-4 4s1.795 4 4 4h3.147c0.552 0 1 0.448 1 1v4.586l5.293-5.293c0.188-0.188 0.442-0.293 0.707-0.293h8.853c2.757 0 5-2.243 5-5s-2.243-5-5-5c-0.534 0-1.067 0.088-1.587 0.261-0.466 0.156-0.977-0.050-1.204-0.486-1.213-2.329-3.592-3.775-6.209-3.775-3.352 0-6.242 2.388-6.871 5.677-0.057 0.305-0.254 0.565-0.53 0.705s-0.603 0.143-0.883 0.010c-0.545-0.26-1.122-0.392-1.716-0.392z"></path>'),
	   	 			'folder_20' => array('keywords' => 'folder_20 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 19.273c-0.552 0-1 0.448-1 1v1c0 0.552 0.448 1 1 1s1-0.448 1-1v-1c0-0.553-0.448-1-1-1zM16 21.274c-0.002 0-0.003-0.001-0.005-0.001h0.009c-0.002 0-0.003 0.001-0.005 0.001zM22 21.773v-6h-1.919c0.788-1.875 0.040-4.078-1.787-5.064-1.942-1.050-4.365-0.328-5.418 1.611-0.001 0.002-0.003 0.004-0.004 0.006-0.197 0.364-0.062 0.819 0.303 1.017s0.819 0.062 1.017-0.303c0-0.001 0-0.001 0-0.001v0c0.656-1.214 2.173-1.667 3.388-1.010s1.667 2.173 1.011 3.387l-0 0.001-0.192 0.357h-8.397v6.001c-0.001 2.209 1.79 3.999 3.999 3.999h4c2.209 0.001 4-1.79 4-3.999l-0-0.001zM18 23.773v0l-0 0.001h-4c-1.104 0-1.999-0.896-2-2l-0.001-0.001h0.001v-4.001l0.001 0.001h8v4h0c0 1.105-0.896 2-2 2zM29 6.5h-14.070l-3.369-3.561c-0.292-0.293-0.677-0.439-1.060-0.439v0h-7.5c-1.651 0-3 1.349-3 3v21c0 1.649 1.349 3 3 3h26c1.649 0 3-1.351 3-3v-17c0-1.651-1.351-3-3-3zM30 26.5c0 0.55-0.45 1-1 1h-26c-0.55 0-1-0.45-1-1v-17c0-0.55 0.45-1 1-1h26c0.55 0 1 0.45 1 1v17z"></path>'),
	   	 			'user_person6' => array('keywords' => 'user_person6 ','viewbox' => '0 0 20 32', 'path' =>'<path d="M10 13c-5.514 0-10 4.486-10 10 0 0.552 0.448 1 1 1h3.5v7c0 0.552 0.448 1 1 1h9c0.552 0 1-0.448 1-1v-7h3.5c0.552 0 1-0.448 1-1 0-5.514-4.486-10-10-10zM13.053 15.613l-3.053 3.393-3.053-3.393c0.942-0.392 1.972-0.613 3.053-0.613s2.111 0.221 3.053 0.613zM6.5 23c0-0.552-0.448-1-1-1h-3.438c0.274-2.186 1.436-4.099 3.11-5.37l3.829 4.254v9.116h-2.5v-7zM14.5 22c-0.552 0-1 0.448-1 1v7h-2.5v-9.116l3.829-4.254c1.673 1.271 2.836 3.183 3.109 5.37h-3.438zM2 2v2c0 0.552 0.448 1 1 1s1-0.448 1-1v-2h1c0 0 0 4.763 0 5 0 2.757 2.243 5 5 5s5-2.243 5-5c0-0.237 0-5 0-5h3c0.552 0 1-0.448 1-1s-0.448-1-1-1h-16c-0.552 0-1 0.448-1 1s0.448 1 1 1zM10 10c-1.655 0-3-1.345-3-3h6c0 1.655-1.345 3-3 3zM13 2v3h-6v-3h6z"></path>'),
	   	 			'calendar' => array('keywords' => 'calendar ','viewbox' => '0 0 32 32', 'path' =>'<path d="M10 12h4v4h-4zM16 12h4v4h-4zM22 12h4v4h-4zM4 24h4v4h-4zM10 24h4v4h-4zM16 24h4v4h-4zM10 18h4v4h-4zM16 18h4v4h-4zM22 18h4v4h-4zM4 18h4v4h-4zM26 0v2h-4v-2h-14v2h-4v-2h-4v32h30v-32h-4zM28 30h-26v-22h26v22z"></path>'),
	   	 			'border_style' => array('keywords' => 'border_style ','viewbox' => '0 0 32 32', 'path' =>'<path d="M25.313 12.667v-2.688h2.688v2.688h-2.688zM4 4.667h24v2.688h-21.313v21.313h-2.688v-24zM25.313 17.979v-2.625h2.688v2.625h-2.688zM25.313 23.354v-2.688h2.688v2.688h-2.688zM14.688 28.667v-2.688h2.625v2.688h-2.625zM9.313 28.667v-2.688h2.688v2.688h-2.688zM25.313 28.667v-2.688h2.688v2.688h-2.688zM20 28.667v-2.688h2.688v2.688h-2.688z"></path>'),
	   	 			'restaurant_meal' => array('keywords' => 'restaurant_meal ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31 25h-30c-0.552 0-1 0.448-1 1s0.448 1 1 1h30c0.552 0 1-0.448 1-1s-0.448-1-1-1zM3.999 24c0.001 0 0.001 0 0.002 0h23.995c0.001 0 0.002 0 0.003 0 0.414 0 0.77-0.252 0.921-0.611 0.050-0.12 0.079-0.252 0.079-0.39 0-0.001 0-0.002 0-0.003-0.002-6.145-4.291-11.304-10.032-12.65 0.335-0.537 0.532-1.168 0.532-1.846 0-1.93-1.57-3.5-3.5-3.5s-3.5 1.57-3.5 3.5c0 0.678 0.197 1.309 0.531 1.845-5.742 1.347-10.032 6.508-10.032 12.655 0 0.552 0.447 1 1 1zM16 7c0.827 0 1.5 0.673 1.5 1.5s-0.673 1.5-1.5 1.5-1.5-0.673-1.5-1.5 0.673-1.5 1.5-1.5zM15.999 12c5.728 0 10.446 4.401 10.952 10h-21.905c0.507-5.599 5.224-10 10.953-10z"></path>'),
	   	 			'connectdevelop' => array('keywords' => 'connectdevelop ','viewbox' => '0 0 37 32', 'path' =>'<path d="M36.571 16.268q0 0.375-0.232 0.652t-0.589 0.348l-3.661 6.357q0.054 0.161 0.054 0.321 0 0.357-0.223 0.634t-0.58 0.348l-3.446 6.018q0.054 0.143 0.054 0.286 0 0.411-0.295 0.714t-0.723 0.304q-0.446 0-0.732-0.321h-7.143q-0.304 0.357-0.768 0.357t-0.768-0.357h-7.125q-0.304 0.357-0.768 0.357-0.411 0-0.714-0.295t-0.304-0.723q0-0.143 0.071-0.357l-3.446-5.982q-0.357-0.071-0.58-0.348t-0.223-0.634q0-0.161 0.054-0.321l-3.679-6.357q-0.357-0.089-0.58-0.366t-0.223-0.634q0-0.375 0.241-0.652t0.598-0.348l3.554-6.143q0-0.018-0.009-0.054t-0.009-0.054q0-0.643 0.607-0.911l3.732-6.482q-0.071-0.179-0.071-0.321 0-0.429 0.304-0.723t0.714-0.295q0.464 0 0.786 0.375h7.071q0.286-0.375 0.768-0.375t0.768 0.375h7.107q0.321-0.375 0.786-0.375 0.411 0 0.714 0.295t0.304 0.723q0 0.107-0.071 0.321l3.696 6.393q0.411 0.018 0.696 0.313t0.286 0.688q0 0.232-0.125 0.482l3.339 5.786q0.339 0.071 0.563 0.348t0.223 0.634zM18.982 30.536h6.946l-6.107-6.321h-2.554l-6.107 6.321h6.429q0.321-0.286 0.696-0.286t0.696 0.286zM2 16.036q0.018 0.071 0.018 0.232 0 0.179-0.036 0.268l3.714 6.429q0.036 0 0.080 0.018t0.098 0.045l0.089 0.045 3.357-3.554v-6.196l-3.339-3.464q-0.232 0.143-0.518 0.179zM17.607 2.036h-6.929l3.393 3.571 9.893-3.571h-5q-0.286 0.286-0.679 0.286t-0.679-0.286zM30.161 23.679q0.018-0.107 0.089-0.196l-1.143-1.214-0.304 1.411h1.357zM28.268 23.679l0.393-1.875-4.5-4.75-5.286 5.482 1.125 1.143h8.268zM26.696 30.25l0.286-0.5 1.161-5.536h-7.625l5.946 6.125q0.143-0.071 0.232-0.089zM10.321 30.536h0.089l6.107-6.321h-6.661v5.982l0.071 0.107q0.25 0.089 0.393 0.232zM9.857 23.679h7.179l1.143-1.179-5.518-5.732-2.804 2.964v3.946zM6.411 23.679h2.911v-3.375l-3 3.161q0.071 0.143 0.089 0.214zM6.393 8.946q0 0.018 0.009 0.036t0.009 0.036q0 0.286-0.143 0.518l3.054 3.161v-4.804zM9.857 7.696v5.554l2.732 2.804 5.304-5.607-3.982-4.214zM9.929 2.268l-0.071 0.143v4.714l3.661-1.321-3.411-3.589q-0.107 0.036-0.179 0.054zM25.839 2.036h-0.286l-11.089 4 3.804 4.018zM18.268 10.821l-5.304 5.625 5.554 5.696 5.286-5.482zM12.286 16.393l-2.429-2.518v5.071zM18.536 22.893l-0.75 0.786h1.518zM24.536 16.679l4.25 4.482 2.357-11.143-0.054-0.089-0.018-0.018zM30.679 9.536q-0.143-0.232-0.143-0.518v-0.036l-3.857-6.714q-0.089-0.018-0.232-0.089l-7.804 8.268 5.536 5.839zM9.321 7.321v-3.982l-2.911 5.036zM9.321 24.214h-2.911l2.911 5.054v-5.054zM28.696 24.214l-0.857 4.054 2.321-4.054h-1.464zM30.875 22.964l3.696-6.446q-0.036-0.179-0.036-0.25 0-0.018 0.054-0.286l-3.054-5.286-2.304 10.929 1.375 1.464q0.089-0.054 0.268-0.125z"></path>'),
	   	 			'ninja1' => array('keywords' => 'ninja1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M15.999 13c-1.654 0-3 1.345-3 3s1.345 3 3 3 3-1.345 3-3-1.345-3-3-3zM15.999 17c-0.552 0-1-0.448-1-1s0.448-1 1-1 1 0.448 1 1c0 0.551-0.448 1-1 1zM27.894 22.552c-0.085-0.17-0.217-0.312-0.379-0.41-2.431-1.462-3.515-3.357-3.515-6.143s1.084-4.681 3.515-6.143c0.162-0.098 0.294-0.24 0.379-0.409l4-8c0.192-0.385 0.117-0.85-0.188-1.154s-0.768-0.38-1.154-0.188l-8 4c-0.17 0.085-0.312 0.216-0.41 0.379-1.462 2.431-3.356 3.515-6.143 3.515s-4.68-1.084-6.142-3.515c-0.098-0.163-0.24-0.295-0.409-0.38l-8-4c-0.385-0.193-0.85-0.117-1.154 0.188s-0.38 0.769-0.188 1.154l3.999 8c0.085 0.169 0.217 0.312 0.379 0.409 2.431 1.463 3.515 3.357 3.515 6.143s-1.084 4.681-3.515 6.143c-0.162 0.098-0.294 0.239-0.379 0.41l-4 8c-0.193 0.385-0.117 0.85 0.188 1.154s0.769 0.38 1.154 0.188l8-4c0.17-0.085 0.312-0.217 0.409-0.38 1.462-2.431 3.356-3.515 6.143-3.515s4.68 1.084 6.142 3.515c0.098 0.163 0.24 0.294 0.41 0.38l8 4c0.142 0.071 0.296 0.105 0.447 0.105 0.26 0 0.515-0.101 0.707-0.293 0.304-0.304 0.38-0.769 0.188-1.154l-3.999-8zM23.7 26.232c-1.804-2.847-4.327-4.232-7.701-4.232s-5.896 1.385-7.701 4.232l-5.062 2.531 2.531-5.062c2.847-1.804 4.232-4.327 4.232-7.701s-1.385-5.896-4.232-7.701l-2.531-5.062 5.062 2.531c1.804 2.847 4.327 4.232 7.701 4.232s5.896-1.385 7.701-4.232l5.062-2.531-2.531 5.062c-2.847 1.805-4.232 4.327-4.232 7.701s1.385 5.896 4.232 7.701l2.531 5.062-5.062-2.531z"></path>'),
	   	 			'right-quote-alt' => array('keywords' => 'right-quote-alt ','viewbox' => '0 0 32 32', 'path' =>'<path d="M0 4v24l12-12v-12zM20 4v24l12-12v-12z"></path>'),
	   	 			'castle_symbol1' => array('keywords' => 'castle_symbol1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 8.5c-1.655 0-3 1.345-3 3s1.345 3 3 3 3-1.345 3-3-1.346-3-3-3zM16 12.5c-0.552 0-1-0.448-1-1s0.448-1 1-1c0.552 0 1 0.448 1 1s-0.448 1-1 1zM31.217 16.523l-8.217-1.826v-7.697c0-0.431-0.276-0.813-0.683-0.949l-5.317-1.771v-3.28c0-0.552-0.448-1-1-1s-1 0.448-1 1v3.28l-5.316 1.771c-0.409 0.136-0.684 0.518-0.684 0.949v7.697l-8.217 1.826c-0.458 0.102-0.783 0.508-0.783 0.977v13.5c0 0.552 0.448 1 1 1h30c0.552 0 1-0.448 1-1v-13.5c0-0.469-0.325-0.875-0.783-0.977zM7 23.5c0-0.552 0.449-1 1-1s1 0.448 1 1v6.5h-2v-6.5zM15 23.5c0-0.552 0.448-1 1-1s1 0.448 1 1v6.5h-2v-6.5zM23 23.5c0-0.552 0.448-1 1-1s1 0.448 1 1v6.5h-2v-6.5zM30 30h-3v-6.5c0-1.654-1.346-3-3-3s-3 1.346-3 3v6.5h-2v-6.5c0-1.654-1.346-3-3-3s-3 1.346-3 3v6.5h-2v-6.5c0-1.654-1.345-3-3-3s-3 1.346-3 3v6.5h-3v-11.698l8.217-1.826c0.457-0.102 0.783-0.507 0.783-0.976v-7.779l5-1.667 5 1.667v7.779c0 0.469 0.325 0.874 0.783 0.976l8.217 1.826v11.698z"></path>'),
	   	 			'bargraph' => array('keywords' => 'bargraph ','viewbox' => '0 0 36 32', 'path' =>'<path d="M26 10.5v20c0 0.176 0.036 0.343 0.092 0.5h-3.184c0.056-0.157 0.092-0.324 0.092-0.5v-29c0-0.827-0.673-1.5-1.5-1.5h-7c-0.827 0-1.5 0.673-1.5 1.5v29c0 0.176 0.036 0.343 0.092 0.5h-3.184c0.056-0.157 0.092-0.324 0.092-0.5v-11c0-0.827-0.673-1.5-1.5-1.5h-7c-0.827 0-1.5 0.673-1.5 1.5v11c0 0.827 0.673 1.5 1.5 1.5h33c0.827 0 1.5-0.673 1.5-1.5v-20c0-0.827-0.673-1.5-1.5-1.5h-7c-0.827 0-1.5 0.673-1.5 1.5zM5 31h-3.5c-0.275 0-0.5-0.224-0.5-0.5v-11c0-0.276 0.225-0.5 0.5-0.5h7c0.275 0 0.5 0.224 0.5 0.5v11c0 0.276-0.225 0.5-0.5 0.5h-3.5zM14.5 31c-0.275 0-0.5-0.224-0.5-0.5v-29c0-0.276 0.225-0.5 0.5-0.5h7c0.275 0 0.5 0.224 0.5 0.5v29c0 0.276-0.225 0.5-0.5 0.5h-7zM35 10.5v20c0 0.276-0.225 0.5-0.5 0.5h-7c-0.275 0-0.5-0.224-0.5-0.5v-20c0-0.276 0.225-0.5 0.5-0.5h7c0.275 0 0.5 0.224 0.5 0.5z"></path>'),
	   	 			'profile-female' => array('keywords' => 'profile-female ','viewbox' => '0 0 36 32', 'path' =>'<path d="M22.22 20.726c-0.157-0.024-0.317 0.038-0.425 0.155-0.109 0.116-0.156 0.278-0.126 0.435 0.276 1.45 1.205 3.44 4.057 4.679 0.338 0.146 0.86 0.26 1.522 0.403 2.478 0.536 6.622 1.434 7.64 5.232 0.060 0.223 0.262 0.37 0.483 0.37 0.043 0 0.086-0.006 0.13-0.017 0.267-0.072 0.425-0.346 0.354-0.613-1.177-4.387-5.872-5.404-8.395-5.95-0.584-0.127-1.089-0.236-1.336-0.344-1.714-0.744-2.821-1.848-3.301-3.286 4.762 0.354 6.918-1.543 7.013-1.629 0.118-0.107 0.179-0.266 0.161-0.425s-0.11-0.3-0.249-0.38c-2.748-1.57-2.748-6.995-2.748-9.038 0-5.713-3.848-10.242-8.781-10.313-0.014-0.001-0.121-0.003-0.141-0.003 0 0 0 0-0.001 0-5.005 0.028-9.077 4.562-9.077 10.108 0 2.043 0 7.469-2.748 9.038-0.145 0.083-0.238 0.232-0.251 0.398-0.012 0.166 0.060 0.328 0.191 0.431 0.138 0.107 3.188 2.441 6.941 1.732-0.502 1.378-1.594 2.438-3.258 3.161-0.241 0.105-0.721 0.22-1.277 0.352-2.54 0.604-7.269 1.729-8.453 6.147-0.071 0.268 0.087 0.541 0.354 0.613 0.271 0.067 0.541-0.088 0.613-0.354 1.029-3.844 5.217-4.839 7.718-5.435 0.627-0.149 1.122-0.267 1.444-0.406 2.852-1.239 3.78-3.229 4.057-4.679 0.033-0.173-0.027-0.351-0.159-0.467-0.131-0.117-0.312-0.157-0.482-0.104-2.707 0.852-5.208-0.32-6.301-0.97 2.611-2.186 2.611-7.217 2.611-9.457 0-4.997 3.626-9.083 8.12-9.11 0.005 0 0.102 0.006 0.106 0.006 4.432 0.063 7.774 4.066 7.774 9.312 0 2.241 0 7.283 2.622 9.469-0.903 0.516-2.962 1.351-6.402 0.939z"></path>'),
	   	 			'group_add' => array('keywords' => 'group_add ','viewbox' => '0 0 32 32', 'path' =>'<path d="M17.313 17.979q2.5 0 5.25 1.094t2.75 2.906v2.688h-16v-2.688q0-1.813 2.75-2.906t5.25-1.094zM26.188 18.229q2.313 0.375 4.063 1.344t1.75 2.406v2.688h-4v-2.688q0-2.125-1.813-3.75zM17.313 15.354q-1.625 0-2.813-1.188t-1.188-2.813 1.188-2.813 2.813-1.188 2.813 1.188 1.188 2.813-1.188 2.813-2.813 1.188zM24 15.354q-0.625 0-1.188-0.188 1.188-1.688 1.188-3.813t-1.188-3.813q0.563-0.188 1.188-0.188 1.625 0 2.813 1.188t1.188 2.813-1.188 2.813-2.813 1.188zM10.688 13.979v2.688h-4v4h-2.688v-4h-4v-2.688h4v-4h2.688v4h4z"></path>'),
	   	 			'newspaper2' => array('keywords' => 'newspaper2 ','viewbox' => '0 0 42 32', 'path' =>'<path d="M37 29c1.196 0 2-0.804 2-2v-26.5c0-0.276-0.224-0.5-0.5-0.5s-0.5 0.224-0.5 0.5v26.5c0 0.87-0.627 1-1 1-0.103 0-1-0.028-1-1v-26.5c0-0.276-0.224-0.5-0.5-0.5s-0.5 0.224-0.5 0.5v26.5c0 1.313 1.006 2 2 2zM4.5 21h10c0.276 0 0.5-0.224 0.5-0.5v-9c0-0.276-0.224-0.5-0.5-0.5h-10c-0.276 0-0.5 0.224-0.5 0.5v9c0 0.276 0.224 0.5 0.5 0.5zM5 12h9v8h-9v-8zM4.5 8h24c0.276 0 0.5-0.224 0.5-0.5v-4c0-0.276-0.224-0.5-0.5-0.5h-24c-0.276 0-0.5 0.224-0.5 0.5v4c0 0.276 0.224 0.5 0.5 0.5zM5 4h23v3h-23v-3zM28.5 11h-10c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h10c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5zM28.5 14h-10c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h10c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5zM28.5 17h-10c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h10c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5zM28.5 20h-10c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h10c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5zM28.5 23h-10c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h10c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5zM4.5 24h10c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-10c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5zM28.5 26h-10c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h10c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5zM4.5 27h10c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-10c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5zM5 31.947h32c0.008 0 0.016 0 0.020 0 0.007 0 0.013-0.004 0.020-0.004 2.709-0.022 4.908-2.229 4.908-4.943v-26.5c0-0.247-0.2-0.447-0.447-0.447s-0.447 0.2-0.447 0.447v26.5c0 2.235-1.818 4.053-4.053 4.053s-4.054-1.818-4.054-4.053v-26.5c0-0.247-0.2-0.447-0.447-0.447h-32c-0.247 0-0.447 0.2-0.447 0.447v26.5c0 2.728 2.219 4.947 4.947 4.947zM0.947 0.947h31.105v26.053c0 0.306 0.037 0.603 0.090 0.895 0.011 0.058 0.020 0.116 0.033 0.173 0.062 0.278 0.144 0.547 0.251 0.806 0.019 0.047 0.042 0.091 0.063 0.137 0.108 0.242 0.233 0.475 0.378 0.695 0.017 0.025 0.030 0.052 0.047 0.077 0.158 0.23 0.338 0.443 0.531 0.643 0.042 0.043 0.083 0.085 0.127 0.127 0.186 0.18 0.382 0.351 0.594 0.5h-29.166c-2.234 0-4.053-1.818-4.053-4.053v-26.053z"></path>'),
	   	 			'eyedropper' => array('keywords' => 'eyedropper ','viewbox' => '0 0 32 32', 'path' =>'<path d="M30.828 1.172c-1.562-1.562-4.095-1.562-5.657 0l-5.379 5.379-3.793-3.793-4.243 4.243 3.326 3.326-14.754 14.754c-0.252 0.252-0.358 0.592-0.322 0.921h-0.008v5c0 0.552 0.448 1 1 1h5c0 0 0.083 0 0.125 0 0.288 0 0.576-0.11 0.795-0.329l14.754-14.754 3.326 3.326 4.243-4.243-3.793-3.793 5.379-5.379c1.562-1.562 1.562-4.095 0-5.657zM5.409 30h-3.409v-3.409l14.674-14.674 3.409 3.409-14.674 14.674z"></path>'),
	   	 			'playlist_add' => array('keywords' => 'playlist_add ','viewbox' => '0 0 32 32', 'path' =>'<path d="M2.688 21.979v-2.625h10.625v2.625h-10.625zM24 19.354h5.313v2.625h-5.313v5.375h-2.688v-5.375h-5.313v-2.625h5.313v-5.375h2.688v5.375zM18.688 8.667v2.688h-16v-2.688h16zM18.688 13.979v2.688h-16v-2.688h16z"></path>'),
	   	 			'chat_bubble_outline' => array('keywords' => 'chat_bubble_outline ','viewbox' => '0 0 32 32', 'path' =>'<path d="M26.688 21.979v-16h-21.375v18.688l2.688-2.688h18.688zM26.688 3.354q1.063 0 1.844 0.781t0.781 1.844v16q0 1.063-0.781 1.875t-1.844 0.813h-18.688l-5.313 5.313v-24q0-1.063 0.781-1.844t1.844-0.781h21.375z"></path>'),
	   	 			'server' => array('keywords' => 'server ','viewbox' => '0 0 32 32', 'path' =>'<path d="M2.286 25.429h18.286v-2.286h-18.286v2.286zM2.286 16.286h18.286v-2.286h-18.286v2.286zM30.286 24.286q0-0.714-0.5-1.214t-1.214-0.5-1.214 0.5-0.5 1.214 0.5 1.214 1.214 0.5 1.214-0.5 0.5-1.214zM2.286 7.143h18.286v-2.286h-18.286v2.286zM30.286 15.143q0-0.714-0.5-1.214t-1.214-0.5-1.214 0.5-0.5 1.214 0.5 1.214 1.214 0.5 1.214-0.5 0.5-1.214zM30.286 6q0-0.714-0.5-1.214t-1.214-0.5-1.214 0.5-0.5 1.214 0.5 1.214 1.214 0.5 1.214-0.5 0.5-1.214zM32 20.857v6.857h-32v-6.857h32zM32 11.714v6.857h-32v-6.857h32zM32 2.571v6.857h-32v-6.857h32z"></path>'),
	   	 			'temperature_3' => array('keywords' => 'temperature_3 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M1 11.999h11.995c0.002 0 0.003 0.001 0.005 0.001 2.757 0 5-2.243 5-5s-2.243-5-5-5-5 2.243-5 5c0 0.552 0.448 1 1 1s1-0.448 1-1c0-1.655 1.345-3 3-3s3 1.345 3 3c0 1.653-1.344 2.998-2.996 3-0.001 0-0.002 0-0.002 0h-12.002c-0.552 0-1 0.448-1 1s0.448 0.999 1 0.999zM32 9c0-3.309-2.692-6-6-6s-6 2.691-6 6c0 0.552 0.448 1 1 1s1-0.448 1-1c0-2.205 1.794-4 4-4s4 1.795 4 4c0 2.204-1.793 3.998-3.997 4-0.001 0-0.002 0-0.003 0h-25c-0.552 0-1 0.448-1 1s0.448 1 1 1h23.088c-0.202 0.303-0.421 0.639-0.649 1.001h-22.439c-0.552 0-1 0.448-1 1s0.448 1 1 1h21.244c-1.173 2.096-2.244 4.486-2.244 6.226 0 3.183 2.692 5.773 6 5.773s6-2.59 6-5.773c0-2.787-2.744-7.238-4.261-9.486 2.462-0.748 4.261-3.037 4.261-5.741zM26 28c-2.206 0-4-1.692-4-3.773 0-2.111 2.424-6.151 4-8.485 1.576 2.334 4 6.374 4 8.485 0 2.080-1.794 3.773-4 3.773z"></path>'),
	   	 			'soundcloud' => array('keywords' => 'soundcloud ','viewbox' => '0 0 32 32', 'path' =>'<path d="M27.874 16.069c-0.565 0-1.105 0.11-1.596 0.308-0.328-3.574-3.447-6.377-7.25-6.377-0.931 0-1.834 0.176-2.635 0.474-0.311 0.116-0.393 0.235-0.393 0.466v12.585c0 0.243 0.195 0.445 0.441 0.469 0.011 0.001 11.36 0.007 11.434 0.007 2.278 0 4.125-1.776 4.125-3.965s-1.848-3.966-4.126-3.966zM12.5 24h1l0.5-7.007-0.5-6.993h-1l-0.5 6.993zM9.5 24h-1l-0.5-5.086 0.5-4.914h1l0.5 5zM4.5 24h1l0.5-4-0.5-4h-1l-0.5 4zM0.5 22h1l0.5-2-0.5-2h-1l-0.5 2z"></path>'),
	   	 			'bluetooth' => array('keywords' => 'bluetooth ','viewbox' => '0 0 27 32', 'path' =>'<path d="M15.018 19.089l2.643 2.643-2.661 2.661zM15 8.179l2.661 2.661-2.643 2.643zM12.679 30.036l8.286-8.286-5.464-5.464 5.464-5.464-8.286-8.286v10.911l-4.554-4.554-1.661 1.661 5.714 5.732-5.714 5.732 1.661 1.661 4.554-4.554v10.911zM25.518 16.286q0 3.732-0.571 6.527t-1.563 4.589-2.509 2.902-3.241 1.545-3.92 0.438-3.92-0.438-3.241-1.545-2.509-2.902-1.563-4.589-0.571-6.527 0.571-6.527 1.563-4.589 2.509-2.902 3.241-1.545 3.92-0.438 3.92 0.438 3.241 1.545 2.509 2.902 1.563 4.589 0.571 6.527z"></path>'),
	   	 			'cc-amex' => array('keywords' => 'cc-amex ','viewbox' => '0 0 41 32', 'path' =>'<path d="M2.125 12.464h1.589l-0.804-1.929zM13.214 21.857l1.321-1.411-1.25-1.411h-2.911v0.875h2.536v0.982h-2.536v0.964h2.839zM16.036 20.464l1.768 1.964v-3.875zM21.179 19.625q0-0.589-0.714-0.589h-1.5v1.232h1.482q0.732 0 0.732-0.643zM26.339 19.554q0-0.518-0.75-0.518h-1.464v1.089h1.446q0.768 0 0.768-0.571zM21.375 11.232q0-0.518-0.75-0.518h-1.464v1.071h1.446q0.768 0 0.768-0.554zM29.571 12.464h1.589l-0.786-1.929zM12.482 9.696v4.839h-1.179v-3.786l-1.679 3.786h-1.018l-1.679-3.786v3.786h-2.357l-0.446-1.071h-2.411l-0.446 1.071h-1.25l2.071-4.839h1.714l1.964 4.589v-4.589h1.893l1.518 3.286 1.375-3.286h1.929zM22.411 19.625q0 0.357-0.098 0.625t-0.25 0.446-0.402 0.295-0.464 0.179-0.563 0.080-0.563 0.018-0.58-0.009-0.527-0.009v1.625h-2.25l-1.429-1.607-1.482 1.607h-4.571v-4.839h4.643l1.429 1.589 1.464-1.589h3.696q1.946 0 1.946 1.589zM17.214 13.536v1h-3.875v-4.839h3.875v1.018h-2.714v0.875h2.643v0.982h-2.643v0.964h2.714zM41.143 23.518v4.089q0 0.982-0.688 1.688t-1.67 0.705h-36.429q-0.982 0-1.67-0.705t-0.688-1.688v-12.107h1.982l0.446-1.089h0.982l0.446 1.089h3.893v-0.821l0.339 0.821h2.018l0.357-0.839v0.839h9.661v-1.768l0.179-0.018q0.179 0 0.179 0.25v1.536h4.982v-0.411q0.411 0.214 0.982 0.321t0.938 0.116 1.125-0.009 0.92-0.018l0.446-1.089h1l0.446 1.089h4.054v-1.036l0.607 1.036h3.25v-6.75h-3.214v0.786l-0.446-0.786h-3.304v0.786l-0.411-0.786h-4.446q-1.232 0-1.946 0.393v-0.393h-3.071v0.393q-0.429-0.393-1.304-0.393h-11.214l-0.768 1.732-0.768-1.732h-3.536v0.786l-0.393-0.786h-3.018l-1.393 3.196v-6.982q0-0.982 0.688-1.688t1.67-0.705h36.429q0.982 0 1.67 0.705t0.688 1.688v12.107h-2.143q-0.911 0-1.446 0.393v-0.393h-3.161q-0.982 0-1.393 0.393v-0.393h-5.643v0.393q-0.554-0.393-1.554-0.393h-3.732v0.393q-0.411-0.393-1.625-0.393h-4.179l-0.964 1.036-0.893-1.036h-6.232v6.75h6.125l0.982-1.054 0.929 1.054h3.768v-1.589h0.375q1.054 0 1.607-0.232v1.821h3.107v-1.768h0.143q0.143 0 0.179 0.036t0.036 0.179v1.554h9.446q1.018 0 1.571-0.429v0.429h3q1.071 0 1.696-0.304zM27.607 19.339q0 0.411-0.214 0.768t-0.607 0.518q0.446 0.161 0.607 0.464t0.161 0.821v0.964h-1.161v-0.804q0-0.589-0.214-0.777t-0.821-0.188h-1.232v1.768h-1.161v-4.839h2.75q0.857 0 1.375 0.268t0.518 1.036zM22.661 11q0 0.429-0.223 0.786t-0.598 0.518q0.464 0.161 0.616 0.455t0.152 0.83v0.946h-1.161q0-0.161 0.009-0.473t0-0.446-0.054-0.33-0.152-0.286-0.313-0.152-0.527-0.063h-1.25v1.75h-1.143v-4.839l2.732 0.018q0.875 0 1.393 0.259t0.518 1.027zM32.107 21.875v1h-3.857v-4.839h3.857v1h-2.696v0.875h2.643v0.982h-2.643v0.964zM24.5 9.696v4.839h-1.179v-4.839h1.179zM36.875 21.339q0 1.536-1.821 1.536h-2.25v-1.036h2.25q0.607 0 0.607-0.446 0-0.286-0.304-0.375t-0.741-0.089-0.884-0.063-0.75-0.402-0.304-0.982q0-0.696 0.464-1.071t1.179-0.375h2.321v1.018h-2.125q-0.643 0-0.643 0.446 0 0.286 0.313 0.366t0.75 0.071 0.875 0.045 0.75 0.384 0.313 0.973zM41.143 20.446v1.804q-0.429 0.625-1.571 0.625h-2.232v-1.036h2.232q0.589 0 0.589-0.446 0-0.232-0.223-0.339t-0.554-0.098-0.714-0.036-0.714-0.143-0.554-0.429-0.223-0.866q0-0.696 0.473-1.071t1.188-0.375h2.304v1.018h-2.107q-0.643 0-0.643 0.446 0 0.357 0.518 0.393t1.223 0.089 1.009 0.464zM38.196 9.714v4.821h-1.643l-2.179-3.625v3.625h-2.357l-0.464-1.071h-2.393l-0.446 1.071h-1.339q-2.304 0-2.304-2.375 0-2.464 2.375-2.464h1.125v1.054q-0.125 0-0.5-0.018t-0.509-0.009-0.411 0.036-0.384 0.116-0.259 0.241-0.205 0.411-0.054 0.598q0 0.679 0.241 1.036t0.884 0.357h0.518l1.643-3.804h1.732l1.946 4.571v-4.571h1.768l2.036 3.357v-3.357h1.179z"></path>'),
	   	 			'shirtsinbulk' => array('keywords' => 'shirtsinbulk ','viewbox' => '0 0 27 32', 'path' =>'<path d="M0 0.286h27.429v24.857l-13.857 6.036-13.571-6.036v-24.857zM25.643 23.982v-16.536h-23.857v16.536l11.804 5.25zM25.643 5.661v-3.589h-23.857v3.589h23.857zM3.232 10.982v2.054h-0.661v-2.054h0.661zM3.232 13.625v2.054h-0.661v-2.054h0.661zM3.232 16.268v2.054h-0.661v-2.054h0.661zM3.232 18.911v2.054h-0.661v-2.054h0.661zM3.232 21.554v2.054h-0.661v-2.054h0.661zM3.696 24.107l0.268-0.607 1.875 0.839-0.268 0.589zM6.125 25.179l0.268-0.607 1.875 0.821-0.268 0.607zM8.536 26.25l0.268-0.607 1.875 0.821-0.268 0.607zM10.964 27.304l0.268-0.589 1.857 0.821-0.268 0.607zM14.232 27.536l1.875-0.821 0.268 0.589-1.875 0.839zM16.643 26.464l1.875-0.821 0.268 0.607-1.875 0.821zM19.071 25.393l1.875-0.821 0.268 0.607-1.875 0.821zM21.482 24.339l1.875-0.839 0.268 0.607-1.875 0.821zM4.625 2.911v0.643h-2.036v-0.643h2.036zM7.518 2.911v0.643h-2.054v-0.643h2.054zM10.411 2.911v0.643h-2.054v-0.643h2.054zM13.286 2.911v0.643h-2.036v-0.643h2.036zM16.179 2.911v0.643h-2.036v-0.643h2.036zM19.071 2.911v0.643h-2.054v-0.643h2.054zM21.964 2.911v0.643h-2.054v-0.643h2.054zM24.839 2.911v0.643h-2.036v-0.643h2.036zM3.232 8.982v1.411h-0.661v-2.054h2.054v0.643h-1.393zM7.518 8.339v0.643h-2.054v-0.643h2.054zM10.411 8.339v0.643h-2.054v-0.643h2.054zM13.286 8.339v0.643h-2.036v-0.643h2.036zM16.179 8.339v0.643h-2.036v-0.643h2.036zM19.071 8.339v0.643h-2.054v-0.643h2.054zM21.964 8.339v0.643h-2.054v-0.643h2.054zM24.196 10.393v-1.411h-1.393v-0.643h2.054v2.054h-0.661zM24.196 13.036v-2.054h0.661v2.054h-0.661zM24.196 15.679v-2.054h0.661v2.054h-0.661zM24.196 18.321v-2.054h0.661v2.054h-0.661zM24.196 20.964v-2.054h0.661v2.054h-0.661zM24.196 23.607v-2.054h0.661v2.054h-0.661zM13.571 22.982q-2.304 0-3.946-1.634t-1.643-3.955q0-2.304 1.643-3.946t3.946-1.643q2.321 0 3.955 1.643t1.634 3.946q0 2.321-1.634 3.955t-3.955 1.634zM10.625 16.179q0 0.643 0.348 1.009t0.884 0.446 1.143 0.125 1.143 0.036 0.884 0.161 0.348 0.545q0 0.875-2 0.875-1.732 0-2.196-0.911h-0.054l-0.554 1.125q1.196 0.75 2.893 0.75 0.518 0 1.009-0.089t0.991-0.286 0.813-0.589 0.313-0.946q0-0.821-0.491-1.241t-1.205-0.482-1.42-0.054-1.196-0.089-0.491-0.455q0-0.375 0.366-0.589t0.723-0.268 0.732-0.054q0.607 0 1.259 0.196t0.92 0.607h0.054l0.536-1.036q-0.054-0.018-0.375-0.152t-0.402-0.161-0.348-0.125-0.393-0.125-0.357-0.080-0.429-0.071-0.411-0.018q-0.518 0-1.009 0.089t-0.964 0.295-0.768 0.607-0.295 0.955z"></path>'),
	   	 			'sort-amount-asc' => array('keywords' => 'sort-amount-asc ','viewbox' => '0 0 32 32', 'path' =>'<path d="M10 24v-24h-4v24h-5l7 7 7-7h-5zM14 18h18v4h-18v-4zM14 12h14v4h-14v-4zM14 6h10v4h-10v-4zM14 0h6v4h-6v-4z"></path>'),
	   	 			'podcast' => array('keywords' => 'podcast ','viewbox' => '0 0 32 32', 'path' =>'<path d="M32 16c0-8.837-7.163-16-16-16s-16 7.163-16 16c0 6.877 4.339 12.739 10.428 15.002l-0.428 0.998h12l-0.428-0.998c6.089-2.263 10.428-8.125 10.428-15.002zM15.212 19.838c-0.713-0.306-1.212-1.014-1.212-1.838 0-1.105 0.895-2 2-2s2 0.895 2 2c0 0.825-0.499 1.533-1.212 1.839l-0.788-1.839-0.788 1.838zM16.821 19.915c1.815-0.379 3.179-1.988 3.179-3.915 0-2.209-1.791-4-4-4s-4 1.791-4 4c0 1.928 1.364 3.535 3.18 3.913l-2.332 5.441c-2.851-1.223-4.848-4.056-4.848-7.355 0-4.418 3.582-8.375 8-8.375s8 3.957 8 8.375c0 3.299-1.997 6.131-4.848 7.355l-2.331-5.439zM21.514 30.866l-2.31-5.39c3.951-1.336 6.796-5.073 6.796-9.476 0-5.523-4.477-10-10-10s-10 4.477-10 10c0 4.402 2.845 8.14 6.796 9.476l-2.31 5.39c-4.987-2.14-8.481-7.095-8.481-12.866 0-7.729 6.266-14.37 13.995-14.37s13.995 6.641 13.995 14.37c0 5.771-3.494 10.726-8.481 12.866z"></path>'),
	   	 			'fingerprint' => array('keywords' => 'fingerprint ','viewbox' => '0 0 32 32', 'path' =>'<path d="M19.875 29.979h-0.188q-2.875-0.75-4.938-2.813-2.875-2.875-2.875-6.938 0-1.625 1.188-2.781t2.875-1.156 2.906 1.156 1.219 2.781q0 1.063 0.781 1.813t1.969 0.75 2-0.75 0.813-1.813q0-3.75-2.844-6.438t-6.844-2.688q-2.875 0-5.25 1.469t-3.563 3.906q-0.75 1.563-0.75 3.75 0 2.5 0.875 4.813 0.188 0.625-0.438 0.813t-0.813-0.375q-1-2.813-1-5.25t0.938-4.313q1.313-2.813 4.031-4.5t5.969-1.688q4.563 0 7.781 3.094t3.219 7.406q0 1.625-1.219 2.75t-2.906 1.125-2.875-1.125-1.188-2.75q0-1.063-0.813-1.844t-2-0.781-1.969 0.781-0.781 1.844q0 3.5 2.5 6 1.75 1.75 4.375 2.438 0.563 0.063 0.438 0.813-0.125 0.5-0.625 0.5zM16.563 20.229q0 2.313 1.719 4t4.281 1.688q0.125 0 0.563-0.063t0.719-0.063 0.563 0.094 0.344 0.406q0.125 0.688-0.563 0.813-0.75 0.125-1.625 0.125-2.5 0-4.125-1.188-3.188-2.188-3.188-5.813 0-0.688 0.688-0.688 0.625 0 0.625 0.688zM13 29.729q-0.25 0-0.438-0.188-1.688-1.688-2.688-3.563-1.438-2.5-1.438-5.75 0-2.938 2.219-5.063t5.344-2.125 5.344 2.125 2.219 5.063q0 0.625-0.688 0.625t-0.688-0.625q0-2.438-1.813-4.156t-4.375-1.719-4.375 1.719-1.813 4.156q0 3 1.188 5.125 0.813 1.438 2.5 3.25 0.5 0.438 0 0.938-0.188 0.188-0.5 0.188zM4.688 13.604q-0.438 0-0.625-0.313t0.063-0.688q2-2.875 5-4.375 3.125-1.625 6.875-1.625t6.875 1.625q3.063 1.5 5 4.313 0.375 0.625-0.188 0.938-0.625 0.375-0.938-0.188-1.688-2.438-4.5-3.875-2.875-1.438-6.25-1.469t-6.25 1.469q-2.813 1.438-4.563 3.938-0.188 0.25-0.5 0.25zM23.75 6.604q-0.25 0-0.313-0.063-3.688-1.875-7.438-1.875-4.063 0-7.438 1.875-0.375 0.188-0.656-0.031t-0.281-0.563 0.313-0.594q3.625-2 8.063-2 4.063 0 8.063 2 0.438 0.25 0.313 0.75t-0.625 0.5z"></path>'),
	   	 			'snow_symbol' => array('keywords' => 'snow_symbol ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29.313 15.354v2.625h-5.563l4.313 4.313-1.875 1.938-6.188-6.25h-2.688v2.688l6.25 6.188-1.938 1.875-4.313-4.313v5.563h-2.625v-5.563l-4.313 4.313-1.938-1.875 6.25-6.188v-2.688h-2.688l-6.188 6.25-1.875-1.938 4.313-4.313h-5.563v-2.625h5.563l-4.313-4.313 1.875-1.938 6.188 6.25h2.688v-2.688l-6.25-6.188 1.938-1.875 4.313 4.313v-5.563h2.625v5.563l4.313-4.313 1.938 1.875-6.25 6.188v2.688h2.688l6.188-6.25 1.875 1.938-4.313 4.313h5.563z"></path>'),
	   	 			'strategy' => array('keywords' => 'strategy ','viewbox' => '0 0 23 32', 'path' =>'<path d="M22 31.5c0-0.276-0.224-0.5-0.5-0.5h-18c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h18c0.276 0 0.5-0.224 0.5-0.5zM1.274 9.354c-0.418 0.278-1.052 1.124-0.451 2.326 0.499 0.997 1.54 2.217 2.647 2.539 0.564 0.166 1.12 0.097 1.605-0.196 1.099-0.658 2.397-1.548 2.947-1.93 0.694 0.351 1.57 0.424 2.46 0.195 0.004-0.001 0.008-0.003 0.012-0.004-0.052 1.651-0.611 2.682-3.344 5.22-2.436 2.261-3.881 5.231-3.867 7.946 0.010 1.781 0.659 3.31 1.88 4.419 0.093 0.085 0.213 0.131 0.337 0.131h14c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-13.801c-0.919-0.905-1.407-2.13-1.415-3.555-0.013-2.402 1.347-5.165 3.547-7.208 2.915-2.706 3.669-3.988 3.669-6.237 0-0.041-0.014-0.077-0.023-0.115 0.547-0.295 1.020-0.685 1.343-1.157 0.405-0.59 1.277-2.105 0.63-3.446-0.12-0.247-0.419-0.352-0.668-0.232s-0.353 0.419-0.232 0.668c0.291 0.603 0.084 1.517-0.554 2.445-0.368 0.536-1.026 0.969-1.761 1.157-0.747 0.191-1.457 0.107-1.952-0.232-0.173-0.118-0.4-0.117-0.571 0.004-0.018 0.012-1.777 1.251-3.149 2.074-0.251 0.15-0.516 0.182-0.812 0.094-0.774-0.226-1.625-1.212-2.032-2.026-0.329-0.658 0.008-0.972 0.161-1.084 3.447-2.977 5.177-6.070 5.248-6.201 0.066-0.122 0.080-0.266 0.036-0.399-0.005-0.015-0.35-1.063-0.54-2.033 1.046 0.63 2.845 1.51 4.718 1.51 2.604 0 8.658 0.972 8.658 9.976 0 0.049-0.009 4.944-1.97 10.327-0.095 0.259 0.039 0.546 0.299 0.641 0.057 0.019 0.114 0.029 0.171 0.029 0.204 0 0.396-0.126 0.47-0.329 2.021-5.548 2.031-10.466 2.030-10.671 0-10.183-7.393-10.974-9.658-10.974-2.509 0-5.012-1.903-5.036-1.923-0.153-0.115-0.355-0.134-0.527-0.051s-0.279 0.258-0.279 0.448c0 0.981 0.465 2.568 0.646 3.147-0.418 0.698-2.066 3.281-4.872 5.707zM17.485 1.54c-1.601-1.079-3.391-1.54-5.985-1.54-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5c2.38 0 4.003 0.409 5.427 1.369 2.314 1.562 5.073 4.674 5.073 10.631 0 1.451 0 3.438-0.985 7.379-0.066 0.268 0.096 0.539 0.364 0.606 0.041 0.010 0.081 0.015 0.121 0.015 0.225 0 0.429-0.151 0.485-0.379 1.015-4.059 1.015-6.118 1.015-7.621 0-6.396-2.999-9.763-5.515-11.46z"></path>'),
	   	 			'map_marker_4' => array('keywords' => 'map_marker_4 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M19.5 8.5c0-1.93-1.57-3.5-3.5-3.5s-3.5 1.57-3.5 3.5 1.57 3.5 3.5 3.5 3.5-1.57 3.5-3.5zM14.5 8.5c0-0.827 0.673-1.5 1.5-1.5s1.5 0.673 1.5 1.5-0.673 1.5-1.5 1.5-1.5-0.673-1.5-1.5zM16 27c0.334 0 0.646-0.167 0.832-0.445 0.314-0.47 7.668-11.576 7.668-18.055 0-4.687-3.813-8.5-8.5-8.5s-8.5 3.813-8.5 8.5c0 6.479 7.354 17.585 7.668 18.055 0.185 0.279 0.498 0.445 0.832 0.445zM16 2c3.584 0 6.5 2.916 6.5 6.5 0 4.666-4.579 12.541-6.5 15.638-1.921-3.098-6.5-10.97-6.5-15.639 0-3.584 2.916-6.5 6.5-6.5zM22.948 26.683c-0.174-0.524-0.742-0.805-1.265-0.633l-5.684 1.895-5.684-1.895c-0.523-0.174-1.091 0.108-1.265 0.633s0.109 1.090 0.633 1.264l3.154 1.052-3.155 1.051c-0.524 0.175-0.806 0.741-0.633 1.265 0.14 0.419 0.53 0.684 0.949 0.684 0.104 0 0.211-0.017 0.316-0.052l5.684-1.895 5.683 1.895c0.105 0.035 0.212 0.052 0.317 0.052 0.419 0 0.809-0.265 0.948-0.684 0.174-0.524-0.109-1.090-0.633-1.265l-3.154-1.051 3.154-1.052c0.523-0.174 0.806-0.741 0.632-1.265z"></path>'),
	   	 			'plugging_in' => array('keywords' => 'plugging_in ','viewbox' => '0 0 32 32', 'path' =>'<path d="M22 19h-2v-3c0-0.552-0.448-1-1-1s-1 0.448-1 1v3h-4v-3c0-0.552-0.448-1-1-1s-1 0.448-1 1v3h-2c-0.552 0-1 0.448-1 1v3c0 0.552 0.448 1 1 1v2c0 1.654 1.345 3 3 3h2.131c0.446 1.723 2.009 3 3.869 3 0.552 0 1-0.448 1-1s-0.448-1-1-1c-0.737 0-1.375-0.405-1.721-1h1.721c1.654 0 3-1.346 3-3v-2c0.552 0 1-0.448 1-1v-3c0-0.552-0.448-1-1-1zM21 22c-0.552 0-1 0.448-1 1v3c0 0.552-0.448 1-1 1h-6c-0.552 0-1-0.448-1-1v-3c0-0.552-0.448-1-1-1v-1h10v1zM22 8v-2c0-1.655-1.346-3-3-3h-2.132c-0.445-1.722-2.008-3-3.868-3-0.552 0-1 0.448-1 1s0.448 1 1 1c0.737 0 1.375 0.405 1.722 1h-1.722c-1.655 0-3 1.345-3 3v2c-0.552 0-1 0.448-1 1v3c0 0.552 0.448 1 1 1h12c0.552 0 1-0.448 1-1v-3c0-0.552-0.448-1-1-1zM21 11h-10v-1c0.552 0 1-0.448 1-1v-3c0-0.552 0.448-1 1-1h6c0.552 0 1 0.448 1 1v3c0 0.552 0.448 1 1 1v1z"></path>'),
	   	 			'intersex' => array('keywords' => 'intersex ','viewbox' => '0 0 25 32', 'path' =>'<path d="M18.286 0.857q0-0.25 0.161-0.411t0.411-0.161h5.143q0.464 0 0.804 0.339t0.339 0.804v5.143q0 0.25-0.161 0.411t-0.411 0.161h-1.143q-0.25 0-0.411-0.161t-0.161-0.411v-2.393l-4.536 4.554q2.25 2.821 2.25 6.411 0 3.946-2.634 6.866t-6.509 3.348v2.357h1.714q0.25 0 0.411 0.161t0.161 0.411v1.143q0 0.25-0.161 0.411t-0.411 0.161h-1.714v1.714q0 0.25-0.161 0.411t-0.411 0.161h-1.143q-0.25 0-0.411-0.161t-0.161-0.411v-1.714h-1.714q-0.25 0-0.411-0.161t-0.161-0.411v-1.143q0-0.25 0.161-0.411t0.411-0.161h1.714v-2.357q-2.661-0.286-4.83-1.839t-3.33-3.991-0.946-5.205q0.286-3.643 2.857-6.313t6.196-3.080q2.107-0.25 4.071 0.339t3.536 1.839l4.554-4.536h-2.393q-0.25 0-0.411-0.161t-0.161-0.411v-1.143zM10.286 23.143q3.304 0 5.652-2.348t2.348-5.652-2.348-5.652-5.652-2.348-5.652 2.348-2.348 5.652 2.348 5.652 5.652 2.348z"></path>'),
	   	 			'ticket2' => array('keywords' => 'ticket2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M18.286 8.357l5.643 5.643-10.214 10.214-5.643-5.643zM14.518 25.839l11.036-11.036q0.339-0.339 0.339-0.804t-0.339-0.804l-6.464-6.464q-0.321-0.321-0.804-0.321t-0.804 0.321l-11.036 11.036q-0.339 0.339-0.339 0.804t0.339 0.804l6.464 6.464q0.321 0.321 0.804 0.321t0.804-0.321zM30.393 14.464l-16.196 16.214q-0.661 0.661-1.616 0.661t-1.616-0.661l-2.25-2.25q1-1 1-2.429t-1-2.429-2.429-1-2.429 1l-2.232-2.25q-0.661-0.661-0.661-1.616t0.661-1.616l16.196-16.179q0.661-0.661 1.616-0.661t1.616 0.661l2.232 2.232q-1 1-1 2.429t1 2.429 2.429 1 2.429-1l2.25 2.232q0.661 0.661 0.661 1.616t-0.661 1.616z"></path>'),
	   	 			'codepen' => array('keywords' => 'codepen ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29.555 11.501l-14-9.333c-0.336-0.224-0.774-0.224-1.109 0l-14 9.333c-0.278 0.185-0.445 0.498-0.445 0.832v9.333c0 0.334 0.167 0.647 0.445 0.832l14 9.333c0.168 0.112 0.361 0.168 0.555 0.168s0.387-0.056 0.555-0.168l14-9.333c0.278-0.185 0.445-0.498 0.445-0.832v-9.333c0-0.334-0.167-0.647-0.445-0.832zM15 20.465l-5.197-3.465 5.197-3.465 5.197 3.465-5.197 3.465zM16 11.798v-6.93l11.197 7.465-5.197 3.465-6-4zM14 11.798l-6 4-5.197-3.465 11.197-7.465v6.93zM6.197 17l-4.197 2.798v-5.596l4.197 2.798zM8 18.202l6 4v6.93l-11.197-7.465 5.197-3.465zM16 22.202l6-4 5.197 3.465-11.197 7.465v-6.93zM23.803 17l4.197-2.798v5.596l-4.197-2.798z"></path>'),
	   	 			'plane_front' => array('keywords' => 'plane_front ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31 19.5h-8.526c0.013-0.166 0.026-0.331 0.026-0.5 0-2.7-1.655-5.020-4.004-6h2.504c0.552 0 1-0.448 1-1s-0.448-1-1-1h-4v-3.5c0-0.552-0.448-1-1-1s-1 0.448-1 1v3.5h-4c-0.552 0-1 0.448-1 1s0.448 1 1 1h2.504c-2.348 0.98-4.004 3.3-4.004 6 0 0.169 0.012 0.334 0.025 0.5h-8.525c-0.552 0-1 0.448-1 1s0.448 1 1 1h2.175c-0.111 0.314-0.175 0.649-0.175 1 0 1.654 1.345 3 3 3s3-1.346 3-3c0-0.351-0.063-0.686-0.175-1h1.175c0.001 0 0.001 0 0.002 0 0.982 2.346 3.3 4 5.998 4s5.017-1.654 5.998-4c0 0 0.001 0 0.002 0h1.175c-0.111 0.314-0.175 0.649-0.175 1 0 1.654 1.346 3 3 3s3-1.346 3-3c0-0.351-0.064-0.686-0.175-1h2.175c0.552 0 1-0.448 1-1s-0.448-1-1-1zM7 22.5c0 0.552-0.449 1-1 1s-1-0.448-1-1 0.449-1 1-1 1 0.448 1 1zM16 23.5c-2.481 0-4.5-2.018-4.5-4.5s2.019-4.5 4.5-4.5c2.482 0 4.5 2.018 4.5 4.5s-2.018 4.5-4.5 4.5zM27 22.5c0 0.552-0.448 1-1 1s-1-0.448-1-1 0.448-1 1-1 1 0.448 1 1zM18 16h-4c-0.552 0-1 0.448-1 1s0.448 1 1 1h4c0.552 0 1-0.448 1-1s-0.448-1-1-1z"></path>'),
	   	 			'leading_light' => array('keywords' => 'leading_light ','viewbox' => '0 0 32 32', 'path' =>'<path d="M23 26h-1.125l-1.6-12h1.224c0.552 0 1-0.448 1-1s-0.448-1-1-1h-1.491l-0.009-0.066v-4.934c0-1.86-1.278-3.422-3-3.869v-2.131c0-0.552-0.448-1-1-1s-1 0.448-1 1v2.131c-1.722 0.446-3 2.009-3 3.869v4.934l-0.009 0.066h-1.491c-0.552 0-1 0.448-1 1s0.448 1 1 1h1.224l-1.6 12h-1.124c-0.552 0-1 0.448-1 1v4c0 0.552 0.448 1 1 1h14c0.552 0 1-0.448 1-1v-4c0-0.552-0.448-1-1-1zM13.077 18.988c0.041 0.005 0.081 0.012 0.123 0.012h5.6c0.042 0 0.082-0.008 0.123-0.012l0.268 2.012h-6.383l0.268-2.012zM16 5c0.738 0 1.375 0.405 1.721 1h-3.444c0.347-0.595 0.985-1 1.722-1zM14 8h4v4h-1v-1c0-0.552-0.448-1-1-1s-1 0.448-1 1v1h-1v-4zM18.258 14l0.4 3h-5.316l0.4-3h4.516zM12.542 23h6.916l0.4 3h-7.716l0.4-3zM22 30h-12v-2h12v2z"></path>'),
	   	 			'home_percentage' => array('keywords' => 'home_percentage ','viewbox' => '0 0 32 32', 'path' =>'<path d="M17.524 21.524c-1.365 1.366-1.366 3.584 0 4.95 1.367 1.367 3.582 1.367 4.95 0 1.366-1.366 1.367-3.583 0-4.95-1.366-1.366-3.584-1.366-4.95 0zM21.061 25.060c-0.585 0.585-1.536 0.584-2.122 0-0.585-0.587-0.584-1.537 0-2.121 0.587-0.587 1.535-0.587 2.122 0 0.585 0.584 0.586 1.535 0 2.121zM14.475 18.474c1.366-1.366 1.367-3.583 0-4.95-1.366-1.367-3.584-1.366-4.95 0s-1.367 3.584 0 4.95c1.367 1.367 3.582 1.367 4.95 0zM10.939 14.939c0.586-0.587 1.535-0.587 2.122 0 0.585 0.585 0.586 1.535 0 2.122-0.585 0.584-1.536 0.584-2.122 0-0.586-0.587-0.585-1.537 0-2.122zM10.293 24.293c-0.39 0.39-0.39 1.023 0 1.414 0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293l10-10c0.39-0.39 0.39-1.024 0-1.414s-1.024-0.39-1.414 0l-10 10zM31.207 14.793l-14.5-14.5c-0.39-0.391-1.024-0.391-1.414 0l-14.5 14.5c-0.391 0.39-0.391 1.024 0 1.414s1.024 0.39 1.414 0l1.793-1.793v14.586c0 1.65 1.35 3 3 3h18c1.65 0 3-1.35 3-3v-14.586l1.793 1.793c0.39 0.39 1.024 0.39 1.414 0s0.39-1.024 0-1.414zM26 29c0 0.55-0.45 1-1 1h-18c-0.55 0-1-0.45-1-1v-16.586l10-10 10 10v16.586z"></path>'),
	   	 			'px' => array('keywords' => 'px ','viewbox' => '0 0 32 32', 'path' =>'<path d="M7.906 21.025c0.006 0.019 0.175 0.475 0.269 0.706 0.525 1.244 1.281 2.369 2.244 3.331s2.081 1.719 3.331 2.244c1.294 0.544 2.663 0.825 4.075 0.825s2.788-0.275 4.075-0.825c1.25-0.525 2.369-1.281 3.331-2.244s1.719-2.081 2.244-3.331c0.544-1.294 0.825-2.663 0.825-4.075s-0.275-2.787-0.825-4.075c-0.525-1.25-1.281-2.369-2.244-3.331s-2.081-1.719-3.331-2.244c-1.294-0.544-2.663-0.825-4.075-0.825-1.431 0-2.863 0.287-4.131 0.825-1.019 0.431-2.744 1.537-3.75 2.581l-0.006 0.006v-8.625h14.481c0.525-0.006 0.525-0.744 0.525-0.981 0-0.244 0-0.975-0.531-0.981h-15.656c-0.425 0-0.688 0.356-0.688 0.681v12.131c0 0.394 0.488 0.675 0.944 0.769 0.887 0.188 1.088-0.094 1.306-0.394l0.031-0.037c0.331-0.494 1.363-1.531 1.375-1.544 1.613-1.613 3.769-2.5 6.075-2.5 2.294 0 4.444 0.887 6.056 2.5 1.619 1.619 2.512 3.763 2.512 6.037 0 2.281-0.887 4.431-2.5 6.038-1.587 1.587-3.813 2.5-6.094 2.5-1.544 0-3.037-0.413-4.319-1.194l0.006-7.375c0-0.981 0.425-2.056 1.144-2.863 0.819-0.925 1.944-1.431 3.175-1.431 1.188 0 2.3 0.45 3.131 1.269 0.819 0.813 1.275 1.9 1.275 3.056 0 2.462-1.938 4.394-4.412 4.394-0.475 0-1.344-0.212-1.381-0.219-0.5-0.15-0.713 0.544-0.781 0.775-0.269 0.881 0.137 1.056 0.219 1.081 0.794 0.25 1.319 0.294 2.006 0.294 3.494 0 6.337-2.844 6.337-6.338 0-3.469-2.844-6.287-6.331-6.287-1.712 0-3.319 0.656-4.525 1.838-1.15 1.131-1.806 2.637-1.806 4.137v0.038c-0.006 0.188-0.006 4.613-0.012 6.063l-0.006-0.006c-0.656-0.725-1.306-1.837-1.738-2.975-0.169-0.444-0.55-0.369-1.069-0.206-0.25 0.069-0.938 0.281-0.781 0.788v0zM15.35 19.294c0 0.212 0.194 0.4 0.313 0.506l0.037 0.038c0.2 0.194 0.387 0.294 0.563 0.294 0.144 0 0.231-0.069 0.262-0.1 0.087-0.081 1.075-1.087 1.175-1.181l1.106 1.1c0.1 0.113 0.212 0.175 0.344 0.175 0.175 0 0.369-0.106 0.569-0.313 0.475-0.488 0.238-0.75 0.125-0.875l-1.119-1.119 1.169-1.175c0.256-0.275 0.031-0.569-0.194-0.794-0.325-0.325-0.644-0.412-0.844-0.225l-1.163 1.162-1.175-1.175c-0.063-0.063-0.144-0.094-0.225-0.094-0.156 0-0.344 0.106-0.55 0.313-0.363 0.363-0.438 0.613-0.25 0.813l1.175 1.169-1.169 1.169c-0.106 0.1-0.156 0.206-0.15 0.313zM17.906 3.431c-1.875 0-3.875 0.381-5.338 1.012-0.156 0.063-0.25 0.188-0.269 0.362-0.019 0.169 0.025 0.388 0.137 0.675 0.094 0.231 0.331 0.85 0.8 0.669 1.5-0.575 3.162-0.888 4.669-0.888 1.712 0 3.375 0.338 4.938 0.994 1.244 0.525 2.413 1.287 3.688 2.388 0.094 0.081 0.194 0.119 0.294 0.119 0.25 0 0.488-0.244 0.694-0.475 0.337-0.381 0.575-0.7 0.238-1.019-1.219-1.15-2.55-2.013-4.2-2.712-1.788-0.744-3.694-1.125-5.65-1.125zM28.012 26.6v0c-0.225-0.225-0.419-0.356-0.587-0.406s-0.325-0.012-0.444 0.106l-0.113 0.113c-1.163 1.163-2.519 2.075-4.025 2.712-1.563 0.663-3.219 0.994-4.925 0.994-1.712 0-3.369-0.337-4.925-0.994-1.506-0.637-2.863-1.55-4.025-2.712-1.213-1.212-2.125-2.569-2.713-4.025-0.575-1.425-0.763-2.494-0.825-2.844-0.006-0.031-0.013-0.056-0.013-0.075-0.081-0.413-0.463-0.444-1.006-0.356-0.225 0.038-0.919 0.144-0.856 0.637v0.012c0.181 1.156 0.506 2.288 0.963 3.363 0.731 1.731 1.781 3.288 3.119 4.625s2.894 2.381 4.625 3.119c1.794 0.756 3.7 1.144 5.662 1.144s3.869-0.387 5.663-1.144c1.731-0.731 3.288-1.781 4.625-3.119 0 0 0.075-0.075 0.119-0.119 0.137-0.169 0.269-0.45-0.319-1.031z"></path>'),
	   	 			'fire-extinguisher' => array('keywords' => 'fire-extinguisher ','viewbox' => '0 0 25 32', 'path' =>'<path d="M9.143 3.714q0-0.464-0.339-0.804t-0.804-0.339-0.804 0.339-0.339 0.804 0.339 0.804 0.804 0.339 0.804-0.339 0.339-0.804zM25.143 3.143v5.714q0 0.286-0.214 0.446-0.143 0.125-0.357 0.125-0.071 0-0.125-0.018l-8-1.714q-0.196-0.036-0.321-0.196t-0.125-0.357h-4.571v1.821q1.982 0.411 3.277 1.982t1.295 3.625v14.286q0 0.464-0.339 0.804t-0.804 0.339h-9.143q-0.464 0-0.804-0.339t-0.339-0.804v-14.286q0-1.893 1.116-3.402t2.884-2.045v-1.982h-0.571q-1.054 0-2.054 0.42t-1.634 0.946-1.179 1.188-0.723 0.955-0.25 0.438q-0.304 0.625-1.018 0.625-0.286 0-0.518-0.125-0.411-0.214-0.563-0.661t0.063-0.875q0.089-0.179 0.259-0.464t0.67-0.955 1.080-1.25 1.518-1.196 1.938-0.938q-0.446-0.75-0.446-1.536 0-1.179 0.839-2.018t2.018-0.839 2.018 0.839 0.839 2.018q0 0.589-0.25 1.143h5.393q0-0.196 0.125-0.357t0.321-0.196l8-1.714q0.054-0.018 0.125-0.018 0.214 0 0.357 0.125 0.214 0.161 0.214 0.446z"></path>'),
	   	 			'magnet' => array('keywords' => 'magnet ','viewbox' => '0 0 32 32', 'path' =>'<path d="M28 0h-8l2 18c0 3.314-2.686 6-6 6s-6-2.686-6-6l2-18h-8l-2 18c0 7.732 6.268 14 14 14s14-6.268 14-14l-2-18zM24.309 26.309c-2.219 2.219-5.17 3.441-8.309 3.441s-6.089-1.222-8.309-3.441c-2.191-2.191-3.41-5.095-3.441-8.189l1.128-10.151h3.472l-1.101 9.907v0.125c0 2.204 0.858 4.275 2.416 5.834s3.63 2.416 5.834 2.416 4.275-0.858 5.834-2.416c1.558-1.558 2.416-3.63 2.416-5.834v-0.125l-0.014-0.124-1.087-9.783h3.472l1.128 10.151c-0.031 3.094-1.25 5.998-3.441 8.189z"></path>'),
	   	 			'notifications' => array('keywords' => 'notifications ','viewbox' => '0 0 32 32', 'path' =>'<path d="M24 21.979l2.688 2.688v1.313h-21.375v-1.313l2.688-2.688v-6.625q0-3.125 1.594-5.438t4.406-3v-0.938q0-0.813 0.563-1.406t1.438-0.594 1.438 0.594 0.563 1.406v0.938q2.813 0.688 4.406 3t1.594 5.438v6.625zM16 29.979q-1.125 0-1.906-0.781t-0.781-1.844h5.375q0 1.063-0.813 1.844t-1.875 0.781z"></path>'),
	   	 			'krw' => array('keywords' => 'krw ','viewbox' => '0 0 32 32', 'path' =>'<path d="M9.179 21.625l1.446-5.339h-2.839l1.339 5.357q0.018 0.018 0.018 0.054t0.018 0.054q0-0.018 0.009-0.063t0.009-0.063zM11.25 14l0.625-2.286h-5.214l0.571 2.286h4.018zM14.679 14h2.482l-0.625-2.286h-1.25zM22.696 21.643l1.393-5.357h-2.893l1.446 5.339q0 0.018 0.009 0.063t0.027 0.063q0-0.018 0.009-0.054t0.009-0.054zM24.679 14l0.589-2.286h-5.304l0.607 2.286h4.107zM32 14.571v1.143q0 0.25-0.161 0.411t-0.411 0.161h-3.804l-2.929 11q-0.125 0.429-0.554 0.429h-2.839q-0.429 0-0.554-0.429l-2.964-11h-3.732l-2.982 11q-0.125 0.429-0.554 0.429h-2.839q-0.196 0-0.348-0.125t-0.188-0.304l-2.857-11h-3.714q-0.25 0-0.411-0.161t-0.161-0.411v-1.143q0-0.25 0.161-0.411t0.411-0.161h3.125l-0.589-2.286h-2.536q-0.25 0-0.411-0.161t-0.161-0.411v-1.143q0-0.25 0.161-0.411t0.411-0.161h1.946l-1.589-6.143q-0.089-0.268 0.089-0.5 0.179-0.214 0.464-0.214h2.446q0.464 0 0.554 0.429l1.607 6.429h6.411l1.732-6.429q0.125-0.429 0.554-0.429h2.25q0.429 0 0.554 0.429l1.75 6.429h6.518l1.661-6.429q0.089-0.429 0.554-0.429h2.446q0.286 0 0.464 0.214 0.179 0.232 0.089 0.5l-1.625 6.143h1.982q0.25 0 0.411 0.161t0.161 0.411v1.143q0 0.25-0.161 0.411t-0.411 0.161h-2.589l-0.607 2.286h3.196q0.25 0 0.411 0.161t0.161 0.411z"></path>'),
	   	 			'hand_care1' => array('keywords' => 'hand_care1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M27.529 6.883c-0.255-0.247-0.588-0.383-0.939-0.383-0.586 0-1.158 0.367-1.654 1.061-0.615 0.863-1.075 2.198-0.717 3.242 0.235 0.684 0.535 1.351 0.819 1.959-0.605 0.025-1.422 0.363-2.037 1.754-0.204 0.463-0.489 1.078-0.8 1.751-1.652 3.575-2.202 4.873-2.202 5.518 0 1.688 1.148 6.419 1.279 6.953 0.11 0.448 0.511 0.762 0.971 0.762h5c0.552 0 1-0.448 1-1v-4.014c1.113-1.89 3.75-7.19 3.75-8.758 0-1.632-3.541-7.945-4.471-8.845zM26.399 23.682c-0.098 0.158-0.149 0.34-0.149 0.526v3.291h-3.211c-0.395-1.69-1.023-4.598-1.039-5.676 0.113-0.595 1.349-3.272 2.017-4.718 0.317-0.685 0.605-1.31 0.814-1.781 0.14-0.316 0.255-0.469 0.319-0.536 0.146 0.089 0.363 0.328 0.553 0.601l-1.445 3.152c-0.23 0.502-0.011 1.096 0.491 1.326 0.136 0.061 0.277 0.091 0.416 0.091 0.379 0 0.741-0.216 0.909-0.583l1.667-3.635c0.021-0.047 0.035-0.095 0.049-0.143 0.342-0.918-0.163-2.018-0.805-3.393-0.312-0.668-0.636-1.358-0.873-2.052-0.105-0.306 0.136-0.944 0.398-1.354 1.078 1.581 3.419 6.049 3.49 6.928-0.020 0.873-2.207 5.706-3.6 7.956zM8.998 14.516c-0.615-1.392-1.433-1.729-2.037-1.754 0.282-0.607 0.583-1.275 0.818-1.959 0.359-1.043-0.101-2.38-0.716-3.242-0.495-0.694-1.067-1.061-1.654-1.061-0.351 0-0.684 0.136-0.939 0.383-0.929 0.9-4.471 7.213-4.471 8.845 0 1.569 2.637 6.868 3.75 8.758v4.014c0 0.552 0.448 1 1 1h5c0.46 0 0.861-0.314 0.971-0.762 0.131-0.535 1.279-5.265 1.279-6.953 0-0.645-0.55-1.944-2.202-5.518-0.311-0.673-0.595-1.288-0.8-1.751zM8.96 27.5h-3.21v-3.291c0-0.186-0.052-0.368-0.149-0.526-1.393-2.249-3.579-7.082-3.601-7.939 0.072-0.894 2.413-5.364 3.49-6.945 0.261 0.41 0.503 1.049 0.397 1.354-0.239 0.694-0.561 1.384-0.873 2.051-0.643 1.374-1.147 2.476-0.806 3.393 0.014 0.049 0.027 0.097 0.050 0.144l1.667 3.635c0.168 0.366 0.531 0.583 0.909 0.583 0.139 0 0.281-0.029 0.417-0.091 0.502-0.23 0.722-0.824 0.492-1.326l-1.446-3.153c0.197-0.282 0.419-0.531 0.546-0.608 0.061 0.063 0.18 0.213 0.326 0.543 0.208 0.47 0.497 1.096 0.814 1.781 0.668 1.447 1.905 4.122 2.017 4.718-0.014 1.077-0.644 3.986-1.039 5.676zM22.5 13.5v-7c0-0.365-0.199-0.702-0.52-0.877l-5.479-3c-0.299-0.164-0.662-0.164-0.96 0l-5.479 3c-0.32 0.176-0.52 0.512-0.52 0.877h-0.043v7c0 0.365 0.199 0.701 0.52 0.877l5.479 3c0.149 0.082 0.315 0.123 0.48 0.123s0.329-0.041 0.477-0.121l5.521-3c0.323-0.175 0.523-0.512 0.523-0.879zM16.021 4.64l3.396 1.86-3.396 1.86-3.397-1.86 3.397-1.86zM15.98 15.361l-4.48-2.454v-4.743l4.041 2.213c0.149 0.082 0.315 0.123 0.48 0.123s0.331-0.041 0.48-0.123l3.998-2.189v4.718l-4.52 2.456z"></path>'),
	   	 			'thumbs_up_down' => array('keywords' => 'thumbs_up_down ','viewbox' => '0 0 32 32', 'path' =>'<path d="M30 13.979q0.875 0 1.438 0.594t0.563 1.406v8.688q0 0.875-0.563 1.438l-6.625 6.563-1.063-1.063q-0.438-0.438-0.438-1.063 0.188-0.875 0.531-2.5t0.406-2.063h-6.938q-0.563 0-0.938-0.375t-0.375-0.938v-1.688q0-0.188 0.125-0.688l3.063-7.063q0.563-1.25 1.813-1.25h9zM16 8.667v1.688q0 0.188-0.125 0.688l-3.063 7.063q-0.563 1.25-1.813 1.25h-9q-0.875 0-1.438-0.594t-0.563-1.406v-8.688q0-0.875 0.563-1.438l6.625-6.563 1.063 1.063q0.438 0.438 0.438 1.063-0.188 0.875-0.531 2.5t-0.406 2.063h6.938q0.563 0 0.938 0.375t0.375 0.938z"></path>'),
	   	 			'thumbs-o-down' => array('keywords' => 'thumbs-o-down ','viewbox' => '0 0 27 32', 'path' =>'<path d="M4.571 8.286q0-0.464-0.339-0.804t-0.804-0.339-0.804 0.339-0.339 0.804 0.339 0.804 0.804 0.339 0.804-0.339 0.339-0.804zM25.143 18.571q0-0.625-0.384-1.446t-0.955-0.839q0.268-0.304 0.446-0.848t0.179-0.991q0-1.232-0.946-2.125 0.321-0.571 0.321-1.232t-0.313-1.313-0.848-0.938q0.089-0.536 0.089-1 0-1.518-0.875-2.25t-2.429-0.732h-2.286q-2.339 0-6.107 1.304-0.089 0.036-0.518 0.188t-0.634 0.223-0.625 0.205-0.679 0.196-0.589 0.116-0.563 0.054h-0.571v11.429h0.571q0.286 0 0.634 0.161t0.714 0.482 0.688 0.634 0.714 0.786 0.616 0.759 0.563 0.732 0.411 0.536q0.982 1.214 1.375 1.625 0.732 0.768 1.063 1.955t0.545 2.241 0.679 1.518q1.714 0 2.286-0.839t0.571-2.589q0-1.054-0.857-2.866t-0.857-2.848h6.286q0.893 0 1.589-0.688t0.696-1.598zM27.429 18.589q0 1.839-1.357 3.196t-3.214 1.357h-3.143q0.857 1.768 0.857 3.429 0 2.107-0.625 3.321-0.625 1.232-1.821 1.813t-2.696 0.58q-0.911 0-1.607-0.661-0.607-0.589-0.964-1.464t-0.455-1.616-0.313-1.509-0.554-1.143q-0.857-0.893-1.911-2.268-1.804-2.339-2.446-2.768h-4.893q-0.946 0-1.616-0.67t-0.67-1.616v-11.429q0-0.946 0.67-1.616t1.616-0.67h5.143q0.393 0 2.464-0.714 2.286-0.786 3.982-1.179t3.571-0.393h2q2.5 0 4.045 1.411t1.527 3.857v0.089q1.071 1.375 1.071 3.179 0 0.393-0.054 0.768 0.679 1.196 0.679 2.571 0 0.643-0.161 1.232 0.875 1.321 0.875 2.911z"></path>'),
	   	 			'toll' => array('keywords' => 'toll ','viewbox' => '0 0 32 32', 'path' =>'<path d="M4 16.667q0 2.625 1.469 4.688t3.844 2.875v2.75q-3.5-0.875-5.75-3.75t-2.25-6.563 2.25-6.563 5.75-3.75v2.75q-2.375 0.813-3.844 2.875t-1.469 4.688zM20 24.667q3.313 0 5.656-2.344t2.344-5.656-2.344-5.656-5.656-2.344-5.656 2.344-2.344 5.656 2.344 5.656 5.656 2.344zM20 5.979q4.375 0 7.531 3.156t3.156 7.531-3.156 7.531-7.531 3.156-7.531-3.156-3.156-7.531 3.156-7.531 7.531-3.156z"></path>'),
	   	 			'mic_off' => array('keywords' => 'mic_off ','viewbox' => '0 0 32 32', 'path' =>'<path d="M5.688 4.667l22.313 22.313-1.688 1.688-5.563-5.563q-1.375 0.875-3.438 1.188v4.375h-2.625v-4.375q-3.313-0.5-5.656-3.031t-2.344-5.906h2.25q0 2.938 2.094 4.844t4.969 1.906q1.563 0 3.063-0.688l-2.188-2.188q-0.5 0.125-0.875 0.125-1.625 0-2.813-1.188t-1.188-2.813v-1l-8-8zM20 15.542l-8-7.938v-0.25q0-1.625 1.188-2.813t2.813-1.188 2.813 1.188 1.188 2.813v8.188zM25.313 15.354q0 2.313-1.188 4.375l-1.625-1.688q0.563-1.25 0.563-2.688h2.25z"></path>'),
	   	 			'pokemon' => array('keywords' => 'pokemon ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 0c-8.822 0-16 7.177-16 16s7.178 16 16 16 16-7.178 16-16c0-8.823-7.178-16-16-16zM16 2c7.383 0 13.445 5.745 13.96 13h-8.556c-0.471-2.556-2.713-4.5-5.404-4.5s-4.933 1.944-5.404 4.5h-8.556c0.515-7.255 6.577-13 13.96-13zM16 19.5c-1.93 0-3.5-1.57-3.5-3.5s1.57-3.5 3.5-3.5c1.93 0 3.5 1.57 3.5 3.5s-1.57 3.5-3.5 3.5zM2.039 17h8.556c0.278 1.505 1.168 2.795 2.405 3.604v9.070c-5.966-1.308-10.517-6.431-10.96-12.673zM16 30c-0.337 0-0.669-0.017-1-0.040v-8.556c0.325 0.059 0.658 0.096 1 0.096s0.675-0.036 1-0.096v8.556c-0.331 0.023-0.663 0.040-1 0.040zM19 29.673v-9.070c1.236-0.808 2.127-2.099 2.404-3.604h8.556c-0.444 6.242-4.994 11.364-10.96 12.673z"></path>'),
	   	 			'star-full' => array('keywords' => 'star-full ','viewbox' => '0 0 32 32', 'path' =>'<path d="M32 12.408l-11.056-1.607-4.944-10.018-4.944 10.018-11.056 1.607 8 7.798-1.889 11.011 9.889-5.199 9.889 5.199-1.889-11.011 8-7.798z"></path>'),
	   	 			'brief_case4' => array('keywords' => 'brief_case4 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M29 6l-7-0c0-3.313-2.686-6-6-6s-6 2.686-6 6l-7-0c-1.649 0-3 1.351-3 3.001v7c0 1.299 0.839 2.409 2 2.823v10.177c0 1.651 1.349 3 3 3h22c1.649 0 3-1.349 3-3v-10.177c1.162-0.415 2-1.525 2-2.823v-7c0-1.651-1.349-3-3-3zM16 2c2.209 0 4 1.791 4 3.999h-8c0.001-2.209 1.791-3.999 4-3.999zM27 30h-22c-0.551 0-1-0.45-1-1v-10h8.5v1c0 0.777 0.723 1.5 1.5 1.5h4c0.776 0 1.5-0.723 1.5-1.5v-1h8.5v10c0 0.55-0.45 1-1 1zM14.5 19.5v-3h3v3h-3zM30 16c0 0.55-0.45 1-1 1h-9.5v-1c0-0.777-0.724-1.5-1.5-1.5h-4c-0.777 0-1.5 0.723-1.5 1.5v1h-9.5c-0.55 0-1-0.45-1-1v-7c0-0.55 0.45-1.001 1-1.001l26 0.001c0.55 0 1 0.45 1 1v7z"></path>'),
	   	 			'toggle-on' => array('keywords' => 'toggle-on ','viewbox' => '0 0 37 32', 'path' =>'<path d="M0 16.286q0-2.321 0.911-4.438t2.438-3.643 3.643-2.438 4.438-0.911h13.714q2.321 0 4.438 0.911t3.643 2.438 2.438 3.643 0.911 4.438-0.911 4.438-2.438 3.643-3.643 2.438-4.438 0.911h-13.714q-2.321 0-4.438-0.911t-3.643-2.438-2.438-3.643-0.911-4.438zM25.143 25.429q1.857 0 3.545-0.723t2.92-1.955 1.955-2.92 0.723-3.545-0.723-3.545-1.955-2.92-2.92-1.955-3.545-0.723-3.545 0.723-2.92 1.955-1.955 2.92-0.723 3.545 0.723 3.545 1.955 2.92 2.92 1.955 3.545 0.723z"></path>'),
	   	 			'projector_board1' => array('keywords' => 'projector_board1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31 0h-30c-0.552 0-1 0.448-1 1s0.448 1 1 1h2v17c0 0.552 0.448 1 1 1h11v5.586l-3.707 3.707c-0.39 0.39-0.39 1.023 0 1.414 0.195 0.195 0.451 0.293 0.707 0.293s0.511-0.098 0.707-0.293l2.293-2.293v2.586c0 0.552 0.448 1 1 1s1-0.448 1-1v-2.586l2.293 2.293c0.195 0.195 0.451 0.293 0.707 0.293s0.512-0.098 0.707-0.293c0.39-0.39 0.39-1.023 0-1.414l-3.707-3.707v-5.586h11c0.552 0 1-0.448 1-1v-17h2c0.552 0 1-0.448 1-1s-0.448-1-1-1zM27 18h-22v-16h22v16z"></path>'),
	   	 			'map-pin2' => array('keywords' => 'map-pin2 ','viewbox' => '0 0 24 32', 'path' =>'<path d="M12 0c-6.617 0-12 5.394-12 12.022 0 9.927 11.201 19.459 11.678 19.86 0.093 0.079 0.208 0.118 0.322 0.118s0.226-0.038 0.318-0.114c0.477-0.394 11.682-9.762 11.682-19.864 0-6.628-5.383-12.022-12-12.022zM12.002 30.838c-1.841-1.645-11.002-10.259-11.002-18.816 0-6.078 4.935-11.022 11-11.022s11 4.944 11 11.022c0 8.702-9.152 17.193-10.998 18.816zM12 6c-3.309 0-6 2.691-6 6s2.691 6 6 6 6-2.691 6-6-2.691-6-6-6zM12 17c-2.757 0-5-2.243-5-5s2.243-5 5-5 5 2.243 5 5-2.243 5-5 5z"></path>'),
	   	 			'linegraph' => array('keywords' => 'linegraph ','viewbox' => '0 0 42 32', 'path' =>'<path d="M39 0c-1.654 0-3 1.346-3 3 0 0.888 0.396 1.679 1.011 2.229l-8.8 14.031c-0.371-0.165-0.78-0.26-1.211-0.26-0.868 0-1.644 0.376-2.193 0.967l-9.073-5.745c0.168-0.374 0.266-0.786 0.266-1.222 0-1.654-1.346-3-3-3s-3 1.346-3 3c0 0.904 0.41 1.706 1.044 2.256l-6.895 10.975c-0.354-0.148-0.742-0.231-1.149-0.231-1.654 0-3 1.346-3 3s1.346 3 3 3 3-1.346 3-3c0-0.888-0.395-1.678-1.010-2.228l6.904-10.99c0.343 0.138 0.715 0.218 1.106 0.218 0.859 0 1.629-0.367 2.176-0.947l9.078 5.748c-0.161 0.368-0.254 0.772-0.254 1.199 0 1.654 1.346 3 3 3s3-1.346 3-3c0-0.863-0.371-1.636-0.957-2.184l8.81-14.046c0.354 0.147 0.741 0.23 1.147 0.23 1.654 0 3-1.346 3-3s-1.346-3-3-3zM5 29c0 1.103-0.897 2-2 2s-2-0.897-2-2 0.897-2 2-2 2 0.897 2 2zM13 15c-1.103 0-2-0.897-2-2s0.897-2 2-2 2 0.897 2 2-0.897 2-2 2zM27 24c-1.103 0-2-0.897-2-2s0.897-2 2-2 2 0.897 2 2-0.897 2-2 2zM39 5c-1.103 0-2-0.897-2-2s0.897-2 2-2 2 0.897 2 2-0.897 2-2 2z"></path>'),
	   	 			'ticket' => array('keywords' => 'ticket ','viewbox' => '0 0 32 32', 'path' =>'<path d="M18 10l4 4-8 8-4-4zM31.298 9.297l-2.297-2.297-1 1c-0.512 0.512-1.219 0.828-2 0.828-1.562 0-2.829-1.266-2.829-2.828 0-0.781 0.317-1.489 0.829-2.001l1-1-2.297-2.297c-0.936-0.936-2.469-0.936-3.405 0l-18.595 18.595c-0.936 0.936-0.936 2.469 0 3.405l2.297 2.297 0.999-0.999c0.512-0.513 1.22-0.83 2.001-0.83 1.562 0 2.828 1.266 2.828 2.828 0 0.781-0.317 1.489-0.829 2.001l-1 1 2.297 2.297c0.936 0.936 2.469 0.936 3.405 0l18.595-18.595c0.936-0.937 0.936-2.469 0-3.406zM14 26l-8-8 12-12 8 8-12 12z"></path>'),
	   	 			'fauteuil_two_places' => array('keywords' => 'fauteuil_two_places ','viewbox' => '0 0 32 32', 'path' =>'<path d="M32 15c0-1.379-1.122-2.5-2.5-2.5h-2c-0.171 0-0.338 0.018-0.5 0.051v-5.051c0-0.552-0.448-1-1-1h-20c-0.552 0-1 0.448-1 1v5.051c-0.162-0.034-0.329-0.051-0.5-0.051h-2c-1.379 0-2.5 1.121-2.5 2.5v4.5l0.009 0.005h-0.009c0 2.206 1.794 4 4 4v-0.005h1v1c0 0.552 0.448 1 1 1s1-0.448 1-1v-1h18v1c0 0.552 0.448 1 1 1s1-0.448 1-1v-1h1v0.005c2.206 0 4-1.794 4-4h-0.009l0.009-0.005v-4.5zM17 8.5h8v8h-8v-8zM7 8.5h8v8h-8v-8zM30 19.505c0 1.103-0.898 2-2 2v-0.005l-24 0.005c-1.103 0-2-0.897-2-2h-0.009l0.009-0.005v-4.5c0-0.275 0.224-0.5 0.5-0.5h2c0.276 0 0.5 0.225 0.5 0.5v2.5c0 0.552 0.448 1 1 1h20c0.552 0 1-0.448 1-1v-2.5c0-0.275 0.224-0.5 0.5-0.5h2c0.276 0 0.5 0.225 0.5 0.5v4.5l0.009 0.005h-0.009z"></path>'),
	   	 			'chess_3' => array('keywords' => 'chess_3 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M23.243 26.024c-1.21-0.418-2.695-2.142-3.114-4.579-0.268-1.557-0.762-5.502-1-7.445h0.871c0.070 0 0.137-0.007 0.201-0.021 1.283-0.104 2.299-1.17 2.299-2.479 0-1.303-1.006-2.364-2.281-2.478 0.799-0.955 1.281-2.183 1.281-3.522 0-3.033-2.468-5.5-5.5-5.5s-5.5 2.467-5.5 5.5c0 1.34 0.482 2.567 1.281 3.522-1.274 0.114-2.281 1.175-2.281 2.478 0 1.309 1.015 2.375 2.299 2.479 0.065 0.014 0.132 0.021 0.201 0.021h0.871c-0.238 1.944-0.732 5.888-0.999 7.446-0.419 2.437-1.905 4.161-3.114 4.578-1.264 0.125-2.257 1.18-2.257 2.476v2.5c0 0.552 0.448 1 1 1h17c0.552 0 1-0.448 1-1v-2.5c0-1.295-0.994-2.351-2.257-2.476zM12 12c-0.276 0-0.5-0.225-0.5-0.5s0.224-0.5 0.5-0.5h8c0.276 0 0.5 0.225 0.5 0.5s-0.224 0.5-0.5 0.5h-8zM16 2c1.93 0 3.5 1.57 3.5 3.5s-1.57 3.5-3.5 3.5-3.5-1.57-3.5-3.5 1.57-3.5 3.5-3.5zM17.113 14c0.226 1.853 0.753 6.096 1.044 7.785 0.276 1.607 0.957 3.087 1.868 4.215h-8.052c0.911-1.128 1.592-2.609 1.868-4.215 0.291-1.689 0.819-5.933 1.044-7.785h2.227zM23.5 30h-15v-1.5c0-0.276 0.223-0.499 0.499-0.5h14c0 0 0.001 0 0.002 0h0c0.276 0.001 0.499 0.224 0.499 0.5v1.5z"></path>'),
	   	 			'hammer' => array('keywords' => 'hammer ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31.562 25.905l-9.423-9.423c-0.583-0.583-1.538-0.583-2.121 0l-0.707 0.707-5.75-5.75 9.439-9.439h-10l-4.439 4.439-0.439-0.439h-2.121v2.121l0.439 0.439-6.439 6.439 5 5 6.439-6.439 5.75 5.75-0.707 0.707c-0.583 0.583-0.583 1.538 0 2.121l9.423 9.423c0.583 0.583 1.538 0.583 2.121 0l3.535-3.535c0.583-0.583 0.583-1.538 0-2.121z"></path>'),
	   	 			'camera_rear' => array('keywords' => 'camera_rear ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 8.667q1.063 0 1.844-0.813t0.781-1.875-0.781-1.844-1.844-0.781-1.875 0.781-0.813 1.844 0.781 1.875 1.906 0.813zM22.688 0.667q1.063 0 1.844 0.813t0.781 1.875v18.625q0 1.063-0.781 1.875t-1.844 0.813h-9.375l4 4-4 4v-2.688h-6.625v-2.625h6.625v-2.688h-4q-1.063 0-1.844-0.813t-0.781-1.875v-18.625q0-1.063 0.781-1.875t1.844-0.813h13.375zM18.688 27.354h6.625v2.625h-6.625v-2.625z"></path>'),
	   	 			'construction_machine' => array('keywords' => 'construction_machine ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31.625 9.719l-5-4c-0.001 0.002-0.002 0.003-0.003 0.004-0.172-0.138-0.385-0.223-0.622-0.223h-13.13c-0.046-0.079-0.098-0.154-0.164-0.218l-3.926-4.907c-0.265-0.333-0.712-0.459-1.112-0.32-0.4 0.141-0.668 0.519-0.668 0.944v4.5h-2v-1.5c0-0.552-0.447-1-1-1h-3c-0.552 0-1 0.448-1 1v9c0 0.552 0.448 1 1 1h3c0.553 0 1-0.448 1-1v-1.5h2v18.5h-3c-0.552 0-1 0.448-1 1s0.448 1 1 1h12c0.552 0 1-0.448 1-1s-0.448-1-1-1h-3v-16.5h2c0.004 0 0.007 0 0.011 0 0.552 0 1-0.448 1-1 0-0.194-0.055-0.376-0.152-0.53l-0.211-0.47h10.853v4c0 0.552 0.448 1 1 1 0.827 0 1.5 0.673 1.5 1.5s-0.673 1.5-1.5 1.5-1.5-0.674-1.5-1.5c0-0.552-0.448-1-1-1s-1 0.448-1 1c0 1.929 1.57 3.5 3.5 3.5s3.5-1.571 3.5-3.5c0-1.582-1.055-2.921-2.5-3.352v-3.148h2.5c0.425 0 0.802-0.268 0.945-0.669 0.14-0.402 0.012-0.847-0.32-1.112zM2.999 12h-1v-7h1v7zM8.999 3.85l0.92 1.15h-0.92v-1.149zM5 9.5v-2h2v2h-2zM10.999 30h-2v-3h2v3zM10.999 25h-2v-3h2v3zM10.999 20h-2v-3h2v3zM10.999 15h-2v-1.5h2v1.5zM8.999 11.5v-4h2.661l1.795 4h-4.455zM15.999 9.5h-1.25l-0.897-2h2.148v2zM21 9.5h-3v-2h3v2zM26 9.5h-3v-2h2.65l2.5 2h-2.149z"></path>'),
	   	 			'sand_timer' => array('keywords' => 'sand_timer ','viewbox' => '0 0 32 32', 'path' =>'<path d="M24 30h-1v-8.5c0-2.456-1.484-4.573-3.602-5.5 2.119-0.927 3.602-3.043 3.602-5.5v-8.5h1c0.552 0 1-0.448 1-1s-0.448-1-1-1h-16c-0.552 0-1 0.448-1 1s0.448 1 1 1h1v8.5c0 2.457 1.484 4.573 3.602 5.5-2.119 0.927-3.602 3.044-3.602 5.5v8.5h-1c-0.552 0-1 0.448-1 1s0.448 1 1 1h16c0.552 0 1-0.448 1-1s-0.448-1-1-1zM21 2v5.779l-5 1.666-5-1.667v-5.779h10zM11 10.5v-0.613l4.684 1.562c0-0.001 0.001-0.001 0.001-0.002 0.101 0.033 0.207 0.053 0.316 0.053 0.105 0 0.212-0.017 0.317-0.052l4.683-1.561v0.613c0 2.206-1.794 4-4 4h-2c-2.206 0-4-1.794-4-4zM15 17.5h2c2.206 0 4 1.794 4 4v2.613l-4.684-1.561c-0.214-0.072-0.434-0.063-0.632 0.003 0-0.002-0.001-0.002-0.001-0.003l-4.684 1.561v-2.613c0-2.206 1.794-4 4-4zM11 26.221l5-1.666 5 1.666v3.779h-10v-3.779z"></path>'),
	   	 			'home22' => array('keywords' => 'home22 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 1l-16 16 3 3 3-3v13h8v-6h4v6h8v-13l3 3 3-3-16-16zM16 14c-1.105 0-2-0.895-2-2s0.895-2 2-2c1.105 0 2 0.895 2 2s-0.895 2-2 2z"></path>'),
	   	 			'traffic_light' => array('keywords' => 'traffic_light ','viewbox' => '0 0 32 32', 'path' =>'<path d="M16 3c-1.93 0-3.5 1.571-3.5 3.5s1.57 3.5 3.5 3.5c1.93 0 3.5-1.57 3.5-3.5s-1.57-3.5-3.5-3.5zM16 8c-0.827 0-1.5-0.673-1.5-1.5s0.673-1.5 1.5-1.5 1.5 0.673 1.5 1.5-0.673 1.5-1.5 1.5zM16 11c-1.93 0-3.5 1.57-3.5 3.5s1.57 3.5 3.5 3.5c1.93 0 3.5-1.57 3.5-3.5s-1.57-3.5-3.5-3.5zM16 16c-0.827 0-1.5-0.673-1.5-1.5s0.673-1.5 1.5-1.5 1.5 0.673 1.5 1.5-0.673 1.5-1.5 1.5zM16 19c-1.93 0-3.5 1.57-3.5 3.5s1.57 3.5 3.5 3.5c1.93 0 3.5-1.57 3.5-3.5s-1.57-3.5-3.5-3.5zM16 24c-0.827 0-1.5-0.673-1.5-1.5s0.673-1.5 1.5-1.5 1.5 0.673 1.5 1.5-0.673 1.5-1.5 1.5zM27.706 3.708c0.181-0.181 0.294-0.431 0.294-0.708v-2c0-0.552-0.448-1-1-1h-22c-0.552 0-1 0.448-1 1v2c0 0.276 0.112 0.526 0.293 0.708l3.707 3.706v1.586h-3c-0.552 0-1 0.448-1 1v2c0 0.277 0.112 0.527 0.293 0.708l3.707 3.706v1.586h-3c-0.552 0-1 0.448-1 1v2c0 0.276 0.112 0.526 0.293 0.708l3.707 3.706v2.586c0 0.552 0.448 1 1 1h4v2c0 0.552 0.448 1 1 1s1-0.448 1-1v-2h2v2c0 0.552 0.448 1 1 1s1-0.448 1-1v-2h4c0.552 0 1-0.448 1-1v-2.586l3.706-3.706c0.181-0.181 0.294-0.431 0.294-0.708v-2c0-0.552-0.448-1-1-1h-3v-1.586l3.706-3.706c0.181-0.181 0.294-0.431 0.294-0.708v-2c0-0.552-0.448-1-1-1h-3v-1.586l3.706-3.706zM23 11h3v0.586l-3.707 3.707c-0.195 0.195-0.293 0.451-0.293 0.707v3c0 0.552 0.448 1 1 1h3v0.586l-3.706 3.706c-0.181 0.181-0.294 0.431-0.294 0.708v2h-12v-2c0-0.276-0.113-0.526-0.293-0.708l-3.707-3.706v-0.586h3c0.552 0 1-0.448 1-1v-3c0-0.256-0.098-0.511-0.293-0.707l-3.707-3.707v-0.586h3c0.552 0 1-0.448 1-1v-3c0-0.256-0.098-0.511-0.293-0.707l-3.707-3.707v-0.586h20v0.586l-3.707 3.707c-0.195 0.196-0.293 0.451-0.293 0.707v3c0 0.552 0.448 1 1 1z"></path>'),
	   	 			'magnifying-glass' => array('keywords' => 'magnifying-glass ','viewbox' => '0 0 32 32', 'path' =>'<path d="M10.5 0c-5.79 0-10.5 4.71-10.5 10.5s4.71 10.5 10.5 10.5c2.725 0 5.203-1.052 7.071-2.76 0.022 0.039 0.042 0.080 0.076 0.114l2.151 2.151c-0.18 0.304-0.282 0.648-0.282 1.011 0 0.534 0.208 1.036 0.586 1.414l8.485 8.485c0.377 0.377 0.879 0.585 1.413 0.585s1.036-0.208 1.414-0.586 0.586-0.88 0.586-1.414-0.208-1.036-0.586-1.414l-8.485-8.485c-0.634-0.634-1.659-0.729-2.42-0.299l-2.155-2.155c-0.034-0.034-0.074-0.054-0.114-0.076 1.708-1.868 2.76-4.346 2.76-7.071 0-5.79-4.71-10.5-10.5-10.5zM22.222 20.808l8.485 8.485c0.189 0.189 0.293 0.44 0.293 0.707s-0.104 0.518-0.293 0.707c-0.379 0.377-1.035 0.377-1.414 0l-8.485-8.485c-0.188-0.189-0.293-0.44-0.293-0.707s0.104-0.518 0.293-0.707c0.189-0.188 0.44-0.293 0.707-0.293s0.517 0.104 0.707 0.293zM10.5 20c-5.238 0-9.5-4.262-9.5-9.5s4.262-9.5 9.5-9.5 9.5 4.262 9.5 9.5-4.262 9.5-9.5 9.5zM10.5 3c-4.136 0-7.5 3.364-7.5 7.5s3.364 7.5 7.5 7.5 7.5-3.364 7.5-7.5-3.364-7.5-7.5-7.5zM10.5 17c-3.584 0-6.5-2.916-6.5-6.5s2.916-6.5 6.5-6.5 6.5 2.916 6.5 6.5-2.916 6.5-6.5 6.5z"></path>'),
	   	 			'documents_holder1' => array('keywords' => 'documents_holder1 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M11.5 12c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM11.5 17c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM11.5 22c0 0.552-0.448 1-1 1s-1-0.448-1-1c0-0.552 0.448-1 1-1s1 0.448 1 1zM21.5 11h-8c-0.552 0-1 0.448-1 1s0.448 1 1 1h8c0.552 0 1-0.448 1-1s-0.448-1-1-1zM21.5 16h-8c-0.552 0-1 0.448-1 1s0.448 1 1 1h8c0.552 0 1-0.448 1-1s-0.448-1-1-1zM21.5 21h-8c-0.552 0-1 0.448-1 1s0.448 1 1 1h8c0.552 0 1-0.448 1-1s-0.448-1-1-1zM24.5 2h-2.5v-1c0-0.552-0.448-1-1-1h-10c-0.552 0-1 0.448-1 1v1h-2.5c-1.65 0-3 1.351-3 3v24c0 1.651 1.35 3 3 3h17c1.65 0 3-1.349 3-3v-24c0-1.649-1.35-3-3-3zM12 2h8v2h-8v-2zM25.5 29c0 0.55-0.45 1-1 1h-17c-0.55 0-1-0.45-1-1v-24c0-0.55 0.45-1 1-1h2.5v1c0 0.552 0.448 1 1 1h10c0.552 0 1-0.448 1-1v-1h2.5c0.55 0 1 0.45 1 1v24z"></path>'),
	   	 			'scooter_side' => array('keywords' => 'scooter_side ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31.998 22.846c-0.081-3.398-2.849-6.346-5.998-6.346-1.102 0-2-0.898-2-2v-1.113l1.683 0.561c0.104 0.035 0.21 0.052 0.317 0.052 0.207 0 0.412-0.065 0.585-0.188 0.261-0.188 0.415-0.49 0.415-0.812v-5c0-0.322-0.154-0.623-0.415-0.811s-0.596-0.239-0.901-0.137l-1.779 0.593c-0.393-1.796-1.994-3.144-3.905-3.144-0.087 0-0.17 0.014-0.25 0.035-0.080-0.021-0.163-0.035-0.25-0.035h-1c-0.552 0-1 0.448-1 1s0.448 1 1 1h1c0.087 0 0.17-0.014 0.25-0.035 0.080 0.021 0.163 0.035 0.25 0.035 1.102 0 2 0.897 2 2v8.5c0 0.547 0 2-3.5 2-2.061 0-3.288-0.791-4.588-1.63-0.001-0-0.001-0-0.001-0-0.002-0.002-0.003-0.003-0.005-0.004-0.314-0.199-0.645-0.352-0.982-0.485 0.049-0.117 0.076-0.246 0.076-0.381v-4c0-0.552-0.448-1-1-1h-10c-0.308 0-0.599 0.142-0.788 0.385-0.19 0.242-0.257 0.559-0.182 0.857l1 4c0.104 0.419 0.466 0.717 0.89 0.751-1.721 1.171-2.921 3.245-2.921 5.506 0 0.552 0.448 1 1 1h0.616c0.457 2.001 2.247 3.5 4.384 3.5s3.928-1.499 4.384-3.5h11.232c0.456 2.001 2.247 3.5 4.384 3.5s3.928-1.499 4.384-3.5h0.616c0.003 0 0.007 0 0.010 0 0.552 0 1-0.448 1-1 0-0.052-0.004-0.104-0.012-0.154zM29.88 22h-7.76c0.427-1.806 1.947-3.5 3.88-3.5s3.454 1.694 3.88 3.5zM25 11.613l-1-0.333v-1.559l1-0.333v2.225zM11 13.5v2h-7.219l-0.5-2h7.719zM6 18.5h5c0.633 0 1.248 0.186 1.829 0.552 1.416 0.913 3.023 1.948 5.671 1.948 0.717 0 1.332-0.061 1.878-0.162-0.131 0.375-0.229 0.763-0.291 1.162h-17.966c0.426-1.806 1.947-3.5 3.88-3.5zM6 25.5c-1.022 0-1.901-0.619-2.288-1.5h4.576c-0.387 0.881-1.266 1.5-2.288 1.5zM26 25.5c-1.023 0-1.901-0.619-2.288-1.5h4.576c-0.387 0.881-1.265 1.5-2.288 1.5z"></path>'),
	   	 			'mouse' => array('keywords' => 'mouse ','viewbox' => '0 0 32 32', 'path' =>'<path d="M14.688 2.104v10.563h-9.375q0-4.063 2.719-7.063t6.656-3.5zM5.313 20.667v-5.313h21.375v5.313q0 4.375-3.156 7.531t-7.531 3.156-7.531-3.156-3.156-7.531zM17.313 2.104q3.938 0.5 6.656 3.5t2.719 7.062h-9.375v-10.563z"></path>'),
	   	 			'paragraph' => array('keywords' => 'paragraph ','viewbox' => '0 0 23 32', 'path' =>'<path d="M22.821 3.661v1.304q0 0.518-0.33 1.089t-0.759 0.571q-0.893 0-0.964 0.018-0.464 0.107-0.571 0.554-0.054 0.196-0.054 1.143v20.571q0 0.446-0.321 0.768t-0.768 0.321h-1.929q-0.446 0-0.768-0.321t-0.321-0.768v-21.75h-2.554v21.75q0 0.446-0.313 0.768t-0.777 0.321h-1.929q-0.464 0-0.777-0.321t-0.313-0.768v-8.857q-2.625-0.214-4.375-1.054-2.25-1.036-3.429-3.196-1.143-2.089-1.143-4.625 0-2.964 1.571-5.107 1.571-2.107 3.732-2.839 1.982-0.661 7.446-0.661h8.554q0.446 0 0.768 0.321t0.321 0.768z"></path>'),
	   	 			'camera4' => array('keywords' => 'camera4 ','viewbox' => '0 0 42 32', 'path' =>'<path d="M39.5 6h-7.5c-1.927 0-1.998-1.797-2-2v-1c0-1.258-1.39-3-4-3h-9.969c-2.935 0-4 1.794-4 3v0.994c-0.001 0.082-0.048 2.006-2.031 2.006h-7.5c-1.379 0-2.5 1.122-2.5 2.5v18c0 1.378 1.121 2.5 2.5 2.5h6c0.276 0 0.5-0.224 0.5-0.5s-0.224-0.5-0.5-0.5h-6c-0.827 0-1.5-0.673-1.5-1.5v-12.5h8c-0.644 1.54-1 3.229-1 5 0 7.168 5.832 13 13 13s13-5.832 13-13c0-1.771-0.359-3.46-1.003-5h8.003v12.5c0 0.827-0.673 1.5-1.5 1.5h-7c-0.276 0-0.5 0.224-0.5 0.5s0.224 0.5 0.5 0.5h7c1.379 0 2.5-1.122 2.5-2.5v-18c0-1.378-1.121-2.5-2.5-2.5zM21 31c-6.617 0-12-5.383-12-12s5.383-12 12-12 12 5.383 12 12-5.383 12-12 12zM32.75 13c-0.074 0-0.143 0.018-0.206 0.047-2.164-4.179-6.522-7.047-11.544-7.047s-9.38 2.868-11.544 7.047c-0.063-0.029-0.132-0.047-0.206-0.047h-8.25v-4.5c0-0.827 0.673-1.5 1.5-1.5h7.5c2.368 0 3.019-1.958 3.031-3v-1c0-0.804 0.799-2 3-2h9.969c2.094 0 3 1.324 3 2v1c0 1.038 0.627 3 3 3h7.5c0.827 0 1.5 0.673 1.5 1.5v4.5h-8.25zM9.5 5c0.276 0 0.5-0.224 0.5-0.5v-1c0-0.827-0.673-1.5-1.5-1.5h-4c-0.827 0-1.5 0.673-1.5 1.5v1c0 0.276 0.224 0.5 0.5 0.5s0.5-0.224 0.5-0.5v-1c0-0.276 0.225-0.5 0.5-0.5h4c0.275 0 0.5 0.224 0.5 0.5v1c0 0.276 0.224 0.5 0.5 0.5zM21 10c-4.963 0-9 4.038-9 9s4.037 9 9 9 9-4.038 9-9-4.037-9-9-9zM21 27c-4.411 0-8-3.589-8-8s3.589-8 8-8 8 3.589 8 8-3.589 8-8 8z"></path>'),
	   	 			'satellite_2' => array('keywords' => 'satellite_2 ','viewbox' => '0 0 32 32', 'path' =>'<path d="M31 13h-10c-0.552 0-1 0.448-1 1v2.5h-1v-4c0-0.552-0.448-1-1-1h-1v-1.175c1.163-0.413 2-1.522 2-2.825 0-1.654-1.346-3-3-3s-3 1.346-3 3c0 1.303 0.837 2.412 2 2.825v1.175h-1c-0.552 0-1 0.448-1 1v4h-1v-2.5c0-0.552-0.448-1-1-1h-10c-0.552 0-1 0.448-1 1v7c0 0.552 0.448 1 1 1h10c0.552 0 1-0.448 1-1v-2.5h1v4h-0.5c-0.552 0-1 0.448-1 1v3c0 0.552 0.448 1 1 1h7c0.552 0 1-0.448 1-1v-3c0-0.552-0.448-1-1-1h-0.5v-4h1v2.5c0 0.552 0.448 1 1 1h10c0.552 0 1-0.448 1-1v-7c0-0.552-0.448-1-1-1zM16 6.5c0.552 0 1 0.449 1 1s-0.448 1-1 1-1-0.448-1-1 0.448-1 1-1zM10 15v2h-2v-2h2zM7 15v2h-2v-2h2zM4 15v2h-2v-2h2zM2 20v-2h2v2h-2zM5 20v-2h2v2h-2zM8 20v-2h2v2h-2zM18.5 25.5h-5v-1h5v1zM15 22.5v-9h2v9h-2zM30 15v2h-2v-2h2zM27 15v2h-2v-2h2zM24 15v2h-2v-2h2zM22 20v-2h2v2h-2zM25 20v-2h2v2h-2zM28 20v-2h2v2h-2z"></path>'),
	   	 			'cc-diners-club' => array('keywords' => 'cc-diners-club ','viewbox' => '0 0 41 32', 'path' =>'<path d="M15.321 22.446v-12.375q-1.893 0.732-3.071 2.42t-1.179 3.777 1.179 3.777 3.071 2.402zM24.321 16.268q0-2.089-1.179-3.777t-3.071-2.42v12.393q1.893-0.732 3.071-2.42t1.179-3.777zM28.161 16.268q0 2.839-1.402 5.25t-3.813 3.813-5.25 1.402q-2.125 0-4.063-0.83t-3.339-2.232-2.232-3.339-0.83-4.063q0-2.839 1.402-5.25t3.813-3.813 5.25-1.402 5.25 1.402 3.813 3.813 1.402 5.25zM35 16.393q0-2.482-0.991-4.67t-2.634-3.67-3.813-2.339-4.509-0.857h-5.375q-3.143 0-5.777 1.446t-4.196 4.107-1.563 5.982q0 3.054 1.554 5.67t4.214 4.134 5.768 1.518h5.375q2.304 0 4.491-0.902t3.83-2.411 2.634-3.616 0.991-4.393zM41.143 4.857v22.857q0 0.929-0.679 1.607t-1.607 0.679h-36.571q-0.929 0-1.607-0.679t-0.679-1.607v-22.857q0-0.929 0.679-1.607t1.607-0.679h36.571q0.929 0 1.607 0.679t0.679 1.607z"></path>'),
	   	 			'phone_android' => array('keywords' => 'phone_android ','viewbox' => '0 0 32 32', 'path' =>'<path d="M23 24.667v-18.688h-14v18.688h14zM18.688 28.667v-1.313h-5.375v1.313h5.375zM21.313 1.979q1.625 0 2.813 1.188t1.188 2.813v21.375q0 1.625-1.188 2.813t-2.813 1.188h-10.625q-1.625 0-2.813-1.188t-1.188-2.813v-21.375q0-1.625 1.188-2.813t2.813-1.188h10.625z"></path>'),
	   	 			'angle-double-left' => array('keywords' => 'angle-double-left ','viewbox' => '0 0 19 32', 'path' =>'<path d="M11.196 24.857q0 0.232-0.179 0.411l-0.893 0.893q-0.179 0.179-0.411 0.179t-0.411-0.179l-8.321-8.321q-0.179-0.179-0.179-0.411t0.179-0.411l8.321-8.321q0.179-0.179 0.411-0.179t0.411 0.179l0.893 0.893q0.179 0.179 0.179 0.411t-0.179 0.411l-7.018 7.018 7.018 7.018q0.179 0.179 0.179 0.411zM18.054 24.857q0 0.232-0.179 0.411l-0.893 0.893q-0.179 0.179-0.411 0.179t-0.411-0.179l-8.321-8.321q-0.179-0.179-0.179-0.411t0.179-0.411l8.321-8.321q0.179-0.179 0.411-0.179t0.411 0.179l0.893 0.893q0.179 0.179 0.179 0.411t-0.179 0.411l-7.018 7.018 7.018 7.018q0.179 0.179 0.179 0.411z"></path>'),
	   	 			'room_service' => array('keywords' => 'room_service ','viewbox' => '0 0 32 32', 'path' =>'<path d="M18.438 11.042q3.938 0.813 6.625 3.844t2.938 7.094h-24q0.25-4.063 2.938-7.094t6.625-3.844q-0.25-0.625-0.25-1.063 0-1.063 0.813-1.844t1.875-0.781 1.875 0.781 0.813 1.844q0 0.438-0.25 1.063zM2.688 23.354h26.625v2.625h-26.625v-2.625z"></path>'),
	   	 			'amazon' => array('keywords' => 'amazon ','viewbox' => '0 0 32 32', 'path' =>'<path d="M28.925 27.663c-3.506 2.587-8.581 3.962-12.956 3.962-6.131 0-11.65-2.262-15.825-6.038-0.325-0.294-0.038-0.7 0.356-0.469 4.506 2.625 10.081 4.2 15.838 4.2 3.881 0 8.15-0.806 12.081-2.475 0.587-0.25 1.087 0.394 0.506 0.819zM30.381 26c-0.45-0.575-2.962-0.275-4.094-0.137-0.344 0.038-0.394-0.256-0.087-0.475 2.006-1.406 5.294-1 5.675-0.531 0.387 0.475-0.1 3.769-1.981 5.344-0.288 0.244-0.563 0.113-0.438-0.206 0.431-1.056 1.375-3.419 0.925-3.994zM22.106 23.675l0.006 0.006c0.775-0.681 2.169-1.9 2.956-2.556 0.313-0.25 0.256-0.669 0.012-1.019-0.706-0.975-1.456-1.769-1.456-3.569v-6c0-2.544 0.175-4.875-1.694-6.625-1.475-1.413-3.925-1.913-5.8-1.913-3.662 0-7.75 1.369-8.606 5.894-0.094 0.481 0.263 0.738 0.575 0.806l3.731 0.406c0.35-0.019 0.6-0.363 0.669-0.713 0.319-1.556 1.625-2.313 3.094-2.313 0.794 0 1.694 0.287 2.163 1 0.538 0.794 0.469 1.875 0.469 2.794v0.5c-2.231 0.25-5.15 0.412-7.238 1.331-2.412 1.044-4.106 3.169-4.106 6.294 0 4 2.519 6 5.763 6 2.738 0 4.231-0.644 6.344-2.806 0.7 1.012 0.925 1.506 2.206 2.569 0.294 0.156 0.656 0.144 0.913-0.087zM18.225 14.287c0 1.5 0.038 2.75-0.719 4.081-0.613 1.087-1.581 1.75-2.662 1.75-1.475 0-2.338-1.125-2.338-2.788 0-3.281 2.944-3.875 5.725-3.875v0.831z"></path>'),
	   	 			'telegram' => array('keywords' => 'telegram ','viewbox' => '0 0 512 512', 'path' =>'<path d="M484.689,98.231l-69.417,327.37c-5.237,23.105-18.895,28.854-38.304,17.972L271.2,365.631l-51.034,49.086    c-5.647,5.647-10.372,10.372-21.256,10.372l7.598-107.722L402.539,140.23c8.523-7.598-1.848-11.809-13.247-4.21L146.95,288.614    L42.619,255.96c-22.694-7.086-23.104-22.695,4.723-33.579L455.423,65.166C474.316,58.081,490.85,69.375,484.689,98.231z"/>'),
	   	 			'filter_new' => array('keywords' => 'filter_new ','viewbox' => '0 0 128 128', 'path' =>'<path d="M61.894,66.056H16.185c-1.104,0-2-0.896-2-2s0.896-2,2-2h45.709c1.104,0,2,0.896,2,2S62.998,66.056,61.894,66.056z"/><path d="M111.907,66.056H87.655c-1.104,0-2-0.896-2-2s0.896-2,2-2h24.252c1.104,0,2,0.896,2,2S113.012,66.056,111.907,66.056z"/><path d="M48.503,96.609H16.185c-1.104,0-2-0.896-2-2s0.896-2,2-2h32.318c1.104,0,2,0.896,2,2S49.607,96.609,48.503,96.609z"/><path d="M111.907,96.609H74.774c-1.104,0-2-0.896-2-2s0.896-2,2-2h37.133c1.104,0,2,0.896,2,2S113.012,96.609,111.907,96.609z"/><path d="M35.013,35.502H16.185c-1.104,0-2-0.896-2-2s0.896-2,2-2h18.828c1.104,0,2,0.896,2,2S36.117,35.502,35.013,35.502z"/><path d="M111.907,35.502H60.776c-1.104,0-2-0.896-2-2s0.896-2,2-2h51.131c1.104,0,2,0.896,2,2S113.012,35.502,111.907,35.502z"/><path d="M42.616,43.104c-5.295,0-9.604-4.309-9.604-9.604c0-5.295,4.309-9.603,9.604-9.603s9.604,4.308,9.604,9.603  C52.22,38.796,47.911,43.104,42.616,43.104z M42.616,27.897c-3.09,0-5.604,2.514-5.604,5.603c0,3.09,2.514,5.604,5.604,5.604  S48.22,36.59,48.22,33.5C48.22,30.411,45.706,27.897,42.616,27.897z"/><path d="M56.106,104.215c-5.295,0-9.604-4.309-9.604-9.605c0-5.295,4.309-9.604,9.604-9.604c5.297,0,9.605,4.309,9.605,9.604  C65.712,99.906,61.403,104.215,56.106,104.215z M56.106,89.006c-3.09,0-5.604,2.514-5.604,5.604c0,3.092,2.514,5.605,5.604,5.605  c3.091,0,5.605-2.514,5.605-5.605C61.712,91.52,59.197,89.006,56.106,89.006z"/><path d="M69.501,73.661c-5.298,0-9.607-4.31-9.607-9.605c0-5.295,4.31-9.604,9.607-9.604c5.294,0,9.602,4.308,9.602,9.604  C79.103,69.352,74.795,73.661,69.501,73.661z M69.501,58.452c-3.092,0-5.607,2.514-5.607,5.604c0,3.091,2.516,5.605,5.607,5.605  c3.089,0,5.602-2.515,5.602-5.605C75.103,60.966,72.59,58.452,69.501,58.452z"/>'),

);
	   	 			
//endif;